/*
* Copyright (c) 2015 NVIDIA CORPORATION.  All rights reserved.
*
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *  * Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *  * Neither the name of NVIDIA CORPORATION nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

#ifndef _IRQS_HW_H_
#define _IRQS_HW_H_

#define NV_AON_INTERRUPT_VIC0_BASE	0
#define NV_AON_INTERRUPT_VIC1_BASE	32

// VIC0 interrupts
#define NV_AON_INTERRUPT_WDTFIQ 0
#define NV_AON_INTERRUPT_WDTIRQ 1
#define NV_AON_INTERRUPT_TIMER0 2
#define NV_AON_INTERRUPT_TIMER1 3
#define NV_AON_INTERRUPT_TIMER2 4
#define NV_AON_INTERRUPT_TIMER3 5
#define NV_AON_INTERRUPT_MBOX   6
#define NV_AON_INTERRUPT_GTE    7
#define NV_AON_INTERRUPT_PMU    8
#define NV_AON_INTERRUPT_DMA0   9
#define NV_AON_INTERRUPT_DMA1   10
#define NV_AON_INTERRUPT_DMA2   11
#define NV_AON_INTERRUPT_DMA3   12
#define NV_AON_INTERRUPT_DMA4   13
#define NV_AON_INTERRUPT_DMA5   14
#define NV_AON_INTERRUPT_DMA6   15
#define NV_AON_INTERRUPT_DMA7   16
#define NV_AON_INTERRUPT_I2C1   17
#define NV_AON_INTERRUPT_I2C2   18
#define NV_AON_INTERRUPT_I2C3   19
#define NV_AON_INTERRUPT_SPI    20
#define NV_AON_INTERRUPT_DMIC   21
#define NV_AON_INTERRUPT_UART_1 22
#define NV_AON_INTERRUPT_UART_2 23
#define NV_AON_INTERRUPT_CAN1_0 24
#define NV_AON_INTERRUPT_CAN1_1 25
#define NV_AON_INTERRUPT_CAN2_0 26
#define NV_AON_INTERRUPT_CAN2_1 27
#define NV_AON_INTERRUPT_LIC0   28
#define NV_AON_INTERRUPT_LIC1   29
#define NV_AON_INTERRUPT_LIC2   30
#define NV_AON_INTERRUPT_LIC3   31

// VIC1 interrupts
#define NV_AON_INTERRUPT_APBERR 0
#define NV_AON_INTERRUPT_GPIO   1
#define NV_AON_INTERRUPT_WAKE0  2
#define NV_AON_INTERRUPT_PMC    3
#define NV_AON_INTERRUPT_V1RSVD4 4
#define NV_AON_INTERRUPT_PM     5
#define NV_AON_INTERRUPT_FPUINT 6
#define NV_AON_INTERRUPT_AOVC   7
#define NV_AON_INTERRUPT_ACTMON 8
#define NV_AON_INTERRUPT_AOWDT  9
#define NV_AON_INTERRUPT_TOP0_HSP_DB 10
#define NV_AON_INTERRUPT_CTIIRQ   11
#define NV_AON_INTERRUPT_APBSEC   12
#define NV_AON_INTERRUPT_CAR      13
#define NV_AON_INTERRUPT_V1RSVD14 14
#define NV_AON_INTERRUPT_V1RSVD15 15
#define NV_AON_INTERRUPT_V1RSVD16 16
#define NV_AON_INTERRUPT_V1RSVD17 17
#define NV_AON_INTERRUPT_V1RSVD18 18
#define NV_AON_INTERRUPT_V1RSVD19 19
#define NV_AON_INTERRUPT_V1RSVD20 20
#define NV_AON_INTERRUPT_V1RSVD21 21
#define NV_AON_INTERRUPT_V1RSVD22 22
#define NV_AON_INTERRUPT_V1RSVD23 23
#define NV_AON_INTERRUPT_V1RSVD24 24
#define NV_AON_INTERRUPT_V1RSVD25 25
#define NV_AON_INTERRUPT_V1RSVD26 26
#define NV_AON_INTERRUPT_V1RSVD27 27
#define NV_AON_INTERRUPT_V1RSVD28 28
#define NV_AON_INTERRUPT_V1RSVD29 29
#define NV_AON_INTERRUPT_V1RSVD30 30
#define NV_AON_INTERRUPT_V1RSVD31 31

#endif /* _IRQS_HW_H_ */
