//
// Copyright (c) 2015 NVIDIA Corporation.
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
//  * Redistributions of source code must retain the above copyright
//    notice, this list of conditions and the following disclaimer.
//  * Redistributions in binary form must reproduce the above copyright
//    notice, this list of conditions and the following disclaimer in the
//    documentation and/or other materials provided with the distribution.
//  * Neither the name of NVIDIA CORPORATION nor the names of its
//    contributors may be used to endorse or promote products derived
//    from this software without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS ``AS IS'' AND ANY
// EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
// PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR
// CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
// EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
// PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
// PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
// OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
// (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
// OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//

//
// DO NOT EDIT - generated by simspec!
//

#ifndef ___ARHOST1X_H_INC_
#define ___ARHOST1X_H_INC_

// Packet HCFCMD
#define HCFCMD_SIZE 32

#define HCFCMD_OPCODE_SHIFT                     _MK_SHIFT_CONST(28)
#define HCFCMD_OPCODE_FIELD                     _MK_FIELD_CONST(0xf, HCFCMD_OPCODE_SHIFT)
#define HCFCMD_OPCODE_RANGE                     _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(28)
#define HCFCMD_OPCODE_ROW                       0
#define HCFCMD_OPCODE_SETCL                     _MK_ENUM_CONST(0)
#define HCFCMD_OPCODE_INCR                      _MK_ENUM_CONST(1)
#define HCFCMD_OPCODE_NONINCR                   _MK_ENUM_CONST(2)
#define HCFCMD_OPCODE_MASK                      _MK_ENUM_CONST(3)
#define HCFCMD_OPCODE_IMM                       _MK_ENUM_CONST(4)
#define HCFCMD_OPCODE_RESTART                   _MK_ENUM_CONST(5)
#define HCFCMD_OPCODE_GATHER                    _MK_ENUM_CONST(6)
#define HCFCMD_OPCODE_EXTEND                    _MK_ENUM_CONST(14)
#define HCFCMD_OPCODE_GATHER_W                  _MK_ENUM_CONST(12)
#define HCFCMD_OPCODE_RESTART_W                 _MK_ENUM_CONST(13)
#define HCFCMD_OPCODE_SETPYLD                   _MK_ENUM_CONST(9)
#define HCFCMD_OPCODE_INCR_W                    _MK_ENUM_CONST(10)
#define HCFCMD_OPCODE_NONINCR_W                 _MK_ENUM_CONST(11)
#define HCFCMD_OPCODE_SETSTRMID                 _MK_ENUM_CONST(7)
#define HCFCMD_OPCODE_SETAPPID                  _MK_ENUM_CONST(8)

#define HCFCMD_DATA_SHIFT                       _MK_SHIFT_CONST(0)
#define HCFCMD_DATA_FIELD                       _MK_FIELD_CONST(0xfffffff, HCFCMD_DATA_SHIFT)
#define HCFCMD_DATA_RANGE                       _MK_SHIFT_CONST(27):_MK_SHIFT_CONST(0)
#define HCFCMD_DATA_ROW                 0


// Packet HCFSETCL
#define HCFSETCL_SIZE 32

#define HCFSETCL_OPCODE_SHIFT                   _MK_SHIFT_CONST(28)
#define HCFSETCL_OPCODE_FIELD                   _MK_FIELD_CONST(0xf, HCFSETCL_OPCODE_SHIFT)
#define HCFSETCL_OPCODE_RANGE                   _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(28)
#define HCFSETCL_OPCODE_ROW                     0
#define HCFSETCL_OPCODE_SETCL                   _MK_ENUM_CONST(0)

#define HCFSETCL_OFFSET_SHIFT                   _MK_SHIFT_CONST(16)
#define HCFSETCL_OFFSET_FIELD                   _MK_FIELD_CONST(0xfff, HCFSETCL_OFFSET_SHIFT)
#define HCFSETCL_OFFSET_RANGE                   _MK_SHIFT_CONST(27):_MK_SHIFT_CONST(16)
#define HCFSETCL_OFFSET_ROW                     0

#define HCFSETCL_CLASSID_SHIFT                  _MK_SHIFT_CONST(6)
#define HCFSETCL_CLASSID_FIELD                  _MK_FIELD_CONST(0x3ff, HCFSETCL_CLASSID_SHIFT)
#define HCFSETCL_CLASSID_RANGE                  _MK_SHIFT_CONST(15):_MK_SHIFT_CONST(6)
#define HCFSETCL_CLASSID_ROW                    0

#define HCFSETCL_MASK_SHIFT                     _MK_SHIFT_CONST(0)
#define HCFSETCL_MASK_FIELD                     _MK_FIELD_CONST(0x3f, HCFSETCL_MASK_SHIFT)
#define HCFSETCL_MASK_RANGE                     _MK_SHIFT_CONST(5):_MK_SHIFT_CONST(0)
#define HCFSETCL_MASK_ROW                       0


// Packet HCFINCR
#define HCFINCR_SIZE 32

#define HCFINCR_OPCODE_SHIFT                    _MK_SHIFT_CONST(28)
#define HCFINCR_OPCODE_FIELD                    _MK_FIELD_CONST(0xf, HCFINCR_OPCODE_SHIFT)
#define HCFINCR_OPCODE_RANGE                    _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(28)
#define HCFINCR_OPCODE_ROW                      0
#define HCFINCR_OPCODE_INCR                     _MK_ENUM_CONST(1)

#define HCFINCR_OFFSET_SHIFT                    _MK_SHIFT_CONST(16)
#define HCFINCR_OFFSET_FIELD                    _MK_FIELD_CONST(0xfff, HCFINCR_OFFSET_SHIFT)
#define HCFINCR_OFFSET_RANGE                    _MK_SHIFT_CONST(27):_MK_SHIFT_CONST(16)
#define HCFINCR_OFFSET_ROW                      0

#define HCFINCR_COUNT_SHIFT                     _MK_SHIFT_CONST(0)
#define HCFINCR_COUNT_FIELD                     _MK_FIELD_CONST(0xffff, HCFINCR_COUNT_SHIFT)
#define HCFINCR_COUNT_RANGE                     _MK_SHIFT_CONST(15):_MK_SHIFT_CONST(0)
#define HCFINCR_COUNT_ROW                       0


// Packet HCFNONINCR
#define HCFNONINCR_SIZE 32

#define HCFNONINCR_OPCODE_SHIFT                 _MK_SHIFT_CONST(28)
#define HCFNONINCR_OPCODE_FIELD                 _MK_FIELD_CONST(0xf, HCFNONINCR_OPCODE_SHIFT)
#define HCFNONINCR_OPCODE_RANGE                 _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(28)
#define HCFNONINCR_OPCODE_ROW                   0
#define HCFNONINCR_OPCODE_NONINCR                       _MK_ENUM_CONST(2)

#define HCFNONINCR_OFFSET_SHIFT                 _MK_SHIFT_CONST(16)
#define HCFNONINCR_OFFSET_FIELD                 _MK_FIELD_CONST(0xfff, HCFNONINCR_OFFSET_SHIFT)
#define HCFNONINCR_OFFSET_RANGE                 _MK_SHIFT_CONST(27):_MK_SHIFT_CONST(16)
#define HCFNONINCR_OFFSET_ROW                   0

#define HCFNONINCR_COUNT_SHIFT                  _MK_SHIFT_CONST(0)
#define HCFNONINCR_COUNT_FIELD                  _MK_FIELD_CONST(0xffff, HCFNONINCR_COUNT_SHIFT)
#define HCFNONINCR_COUNT_RANGE                  _MK_SHIFT_CONST(15):_MK_SHIFT_CONST(0)
#define HCFNONINCR_COUNT_ROW                    0


// Packet HCFMASK
#define HCFMASK_SIZE 32

#define HCFMASK_OPCODE_SHIFT                    _MK_SHIFT_CONST(28)
#define HCFMASK_OPCODE_FIELD                    _MK_FIELD_CONST(0xf, HCFMASK_OPCODE_SHIFT)
#define HCFMASK_OPCODE_RANGE                    _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(28)
#define HCFMASK_OPCODE_ROW                      0
#define HCFMASK_OPCODE_MASK                     _MK_ENUM_CONST(3)

#define HCFMASK_OFFSET_SHIFT                    _MK_SHIFT_CONST(16)
#define HCFMASK_OFFSET_FIELD                    _MK_FIELD_CONST(0xfff, HCFMASK_OFFSET_SHIFT)
#define HCFMASK_OFFSET_RANGE                    _MK_SHIFT_CONST(27):_MK_SHIFT_CONST(16)
#define HCFMASK_OFFSET_ROW                      0

#define HCFMASK_MASK_SHIFT                      _MK_SHIFT_CONST(0)
#define HCFMASK_MASK_FIELD                      _MK_FIELD_CONST(0xffff, HCFMASK_MASK_SHIFT)
#define HCFMASK_MASK_RANGE                      _MK_SHIFT_CONST(15):_MK_SHIFT_CONST(0)
#define HCFMASK_MASK_ROW                        0


// Packet HCFIMM
#define HCFIMM_SIZE 32

#define HCFIMM_OPCODE_SHIFT                     _MK_SHIFT_CONST(28)
#define HCFIMM_OPCODE_FIELD                     _MK_FIELD_CONST(0xf, HCFIMM_OPCODE_SHIFT)
#define HCFIMM_OPCODE_RANGE                     _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(28)
#define HCFIMM_OPCODE_ROW                       0
#define HCFIMM_OPCODE_IMM                       _MK_ENUM_CONST(4)

#define HCFIMM_OFFSET_SHIFT                     _MK_SHIFT_CONST(16)
#define HCFIMM_OFFSET_FIELD                     _MK_FIELD_CONST(0xfff, HCFIMM_OFFSET_SHIFT)
#define HCFIMM_OFFSET_RANGE                     _MK_SHIFT_CONST(27):_MK_SHIFT_CONST(16)
#define HCFIMM_OFFSET_ROW                       0

#define HCFIMM_IMMDATA_SHIFT                    _MK_SHIFT_CONST(0)
#define HCFIMM_IMMDATA_FIELD                    _MK_FIELD_CONST(0xffff, HCFIMM_IMMDATA_SHIFT)
#define HCFIMM_IMMDATA_RANGE                    _MK_SHIFT_CONST(15):_MK_SHIFT_CONST(0)
#define HCFIMM_IMMDATA_ROW                      0


// Packet HCFRESTART
#define HCFRESTART_SIZE 32

#define HCFRESTART_OPCODE_SHIFT                 _MK_SHIFT_CONST(28)
#define HCFRESTART_OPCODE_FIELD                 _MK_FIELD_CONST(0xf, HCFRESTART_OPCODE_SHIFT)
#define HCFRESTART_OPCODE_RANGE                 _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(28)
#define HCFRESTART_OPCODE_ROW                   0
#define HCFRESTART_OPCODE_RESTART                       _MK_ENUM_CONST(5)

#define HCFRESTART_ADDRESS_SHIFT                        _MK_SHIFT_CONST(0)
#define HCFRESTART_ADDRESS_FIELD                        _MK_FIELD_CONST(0xfffffff, HCFRESTART_ADDRESS_SHIFT)
#define HCFRESTART_ADDRESS_RANGE                        _MK_SHIFT_CONST(27):_MK_SHIFT_CONST(0)
#define HCFRESTART_ADDRESS_ROW                  0


// Packet HCFGATHER
#define HCFGATHER_SIZE 32

#define HCFGATHER_OPCODE_SHIFT                  _MK_SHIFT_CONST(28)
#define HCFGATHER_OPCODE_FIELD                  _MK_FIELD_CONST(0xf, HCFGATHER_OPCODE_SHIFT)
#define HCFGATHER_OPCODE_RANGE                  _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(28)
#define HCFGATHER_OPCODE_ROW                    0
#define HCFGATHER_OPCODE_GATHER                 _MK_ENUM_CONST(6)

#define HCFGATHER_OFFSET_SHIFT                  _MK_SHIFT_CONST(16)
#define HCFGATHER_OFFSET_FIELD                  _MK_FIELD_CONST(0xfff, HCFGATHER_OFFSET_SHIFT)
#define HCFGATHER_OFFSET_RANGE                  _MK_SHIFT_CONST(27):_MK_SHIFT_CONST(16)
#define HCFGATHER_OFFSET_ROW                    0

#define HCFGATHER_INSERT_SHIFT                  _MK_SHIFT_CONST(15)
#define HCFGATHER_INSERT_FIELD                  _MK_FIELD_CONST(0x1, HCFGATHER_INSERT_SHIFT)
#define HCFGATHER_INSERT_RANGE                  _MK_SHIFT_CONST(15):_MK_SHIFT_CONST(15)
#define HCFGATHER_INSERT_ROW                    0
#define HCFGATHER_INSERT_DISABLE                        _MK_ENUM_CONST(0)
#define HCFGATHER_INSERT_ENABLE                 _MK_ENUM_CONST(1)

#define HCFGATHER_TYPE_SHIFT                    _MK_SHIFT_CONST(14)
#define HCFGATHER_TYPE_FIELD                    _MK_FIELD_CONST(0x1, HCFGATHER_TYPE_SHIFT)
#define HCFGATHER_TYPE_RANGE                    _MK_SHIFT_CONST(14):_MK_SHIFT_CONST(14)
#define HCFGATHER_TYPE_ROW                      0
#define HCFGATHER_TYPE_NONINCR                  _MK_ENUM_CONST(0)
#define HCFGATHER_TYPE_INCR                     _MK_ENUM_CONST(1)

#define HCFGATHER_COUNT_SHIFT                   _MK_SHIFT_CONST(0)
#define HCFGATHER_COUNT_FIELD                   _MK_FIELD_CONST(0x3fff, HCFGATHER_COUNT_SHIFT)
#define HCFGATHER_COUNT_RANGE                   _MK_SHIFT_CONST(13):_MK_SHIFT_CONST(0)
#define HCFGATHER_COUNT_ROW                     0

#define HCFGATHER_ADDRESS_SHIFT                 _MK_SHIFT_CONST(2)
#define HCFGATHER_ADDRESS_FIELD                 _MK_FIELD_CONST(0x3fffffff, HCFGATHER_ADDRESS_SHIFT)
#define HCFGATHER_ADDRESS_RANGE                 _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(2)
#define HCFGATHER_ADDRESS_ROW                   1


// Packet HCFEXTEND
#define HCFEXTEND_SIZE 32

#define HCFEXTEND_OPCODE_SHIFT                  _MK_SHIFT_CONST(28)
#define HCFEXTEND_OPCODE_FIELD                  _MK_FIELD_CONST(0xf, HCFEXTEND_OPCODE_SHIFT)
#define HCFEXTEND_OPCODE_RANGE                  _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(28)
#define HCFEXTEND_OPCODE_ROW                    0
#define HCFEXTEND_OPCODE_EXTEND                 _MK_ENUM_CONST(14)

#define HCFEXTEND_SUBOP_SHIFT                   _MK_SHIFT_CONST(24)
#define HCFEXTEND_SUBOP_FIELD                   _MK_FIELD_CONST(0xf, HCFEXTEND_SUBOP_SHIFT)
#define HCFEXTEND_SUBOP_RANGE                   _MK_SHIFT_CONST(27):_MK_SHIFT_CONST(24)
#define HCFEXTEND_SUBOP_ROW                     0
#define HCFEXTEND_SUBOP_ACQUIRE_MLOCK                   _MK_ENUM_CONST(0)
#define HCFEXTEND_SUBOP_RELEASE_MLOCK                   _MK_ENUM_CONST(1)

#define HCFEXTEND_VALUE_SHIFT                   _MK_SHIFT_CONST(0)
#define HCFEXTEND_VALUE_FIELD                   _MK_FIELD_CONST(0xffffff, HCFEXTEND_VALUE_SHIFT)
#define HCFEXTEND_VALUE_RANGE                   _MK_SHIFT_CONST(23):_MK_SHIFT_CONST(0)
#define HCFEXTEND_VALUE_ROW                     0


// Packet HCFACQUIRE_MLOCK
#define HCFACQUIRE_MLOCK_SIZE 32

#define HCFACQUIRE_MLOCK_OPCODE_SHIFT                   _MK_SHIFT_CONST(28)
#define HCFACQUIRE_MLOCK_OPCODE_FIELD                   _MK_FIELD_CONST(0xf, HCFACQUIRE_MLOCK_OPCODE_SHIFT)
#define HCFACQUIRE_MLOCK_OPCODE_RANGE                   _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(28)
#define HCFACQUIRE_MLOCK_OPCODE_ROW                     0
#define HCFACQUIRE_MLOCK_OPCODE_EXTEND                  _MK_ENUM_CONST(14)

#define HCFACQUIRE_MLOCK_SUBOP_SHIFT                    _MK_SHIFT_CONST(24)
#define HCFACQUIRE_MLOCK_SUBOP_FIELD                    _MK_FIELD_CONST(0xf, HCFACQUIRE_MLOCK_SUBOP_SHIFT)
#define HCFACQUIRE_MLOCK_SUBOP_RANGE                    _MK_SHIFT_CONST(27):_MK_SHIFT_CONST(24)
#define HCFACQUIRE_MLOCK_SUBOP_ROW                      0
#define HCFACQUIRE_MLOCK_SUBOP_ACQUIRE_MLOCK                    _MK_ENUM_CONST(0)

#define HCFACQUIRE_MLOCK_INDX_SHIFT                     _MK_SHIFT_CONST(0)
#define HCFACQUIRE_MLOCK_INDX_FIELD                     _MK_FIELD_CONST(0x3ff, HCFACQUIRE_MLOCK_INDX_SHIFT)
#define HCFACQUIRE_MLOCK_INDX_RANGE                     _MK_SHIFT_CONST(9):_MK_SHIFT_CONST(0)
#define HCFACQUIRE_MLOCK_INDX_ROW                       0


// Packet HCFRELEASE_MLOCK
#define HCFRELEASE_MLOCK_SIZE 32

#define HCFRELEASE_MLOCK_OPCODE_SHIFT                   _MK_SHIFT_CONST(28)
#define HCFRELEASE_MLOCK_OPCODE_FIELD                   _MK_FIELD_CONST(0xf, HCFRELEASE_MLOCK_OPCODE_SHIFT)
#define HCFRELEASE_MLOCK_OPCODE_RANGE                   _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(28)
#define HCFRELEASE_MLOCK_OPCODE_ROW                     0
#define HCFRELEASE_MLOCK_OPCODE_EXTEND                  _MK_ENUM_CONST(14)

#define HCFRELEASE_MLOCK_SUBOP_SHIFT                    _MK_SHIFT_CONST(24)
#define HCFRELEASE_MLOCK_SUBOP_FIELD                    _MK_FIELD_CONST(0xf, HCFRELEASE_MLOCK_SUBOP_SHIFT)
#define HCFRELEASE_MLOCK_SUBOP_RANGE                    _MK_SHIFT_CONST(27):_MK_SHIFT_CONST(24)
#define HCFRELEASE_MLOCK_SUBOP_ROW                      0
#define HCFRELEASE_MLOCK_SUBOP_RELEASE_MLOCK                    _MK_ENUM_CONST(1)

#define HCFRELEASE_MLOCK_INDX_SHIFT                     _MK_SHIFT_CONST(0)
#define HCFRELEASE_MLOCK_INDX_FIELD                     _MK_FIELD_CONST(0x3ff, HCFRELEASE_MLOCK_INDX_SHIFT)
#define HCFRELEASE_MLOCK_INDX_RANGE                     _MK_SHIFT_CONST(9):_MK_SHIFT_CONST(0)
#define HCFRELEASE_MLOCK_INDX_ROW                       0


// Packet HCFRESTART_W
#define HCFRESTART_W_SIZE 32

#define HCFRESTART_W_OPCODE_SHIFT                       _MK_SHIFT_CONST(28)
#define HCFRESTART_W_OPCODE_FIELD                       _MK_FIELD_CONST(0xf, HCFRESTART_W_OPCODE_SHIFT)
#define HCFRESTART_W_OPCODE_RANGE                       _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(28)
#define HCFRESTART_W_OPCODE_ROW                 0
#define HCFRESTART_W_OPCODE_RESTART                     _MK_ENUM_CONST(13)

#define HCFRESTART_W_ADDRESS_SHIFT                      _MK_SHIFT_CONST(0)
#define HCFRESTART_W_ADDRESS_FIELD                      _MK_FIELD_CONST(0xfffffff, HCFRESTART_W_ADDRESS_SHIFT)
#define HCFRESTART_W_ADDRESS_RANGE                      _MK_SHIFT_CONST(27):_MK_SHIFT_CONST(0)
#define HCFRESTART_W_ADDRESS_ROW                        0

#define HCFRESTART_W_ADDRESS_HI_SHIFT                   _MK_SHIFT_CONST(0)
#define HCFRESTART_W_ADDRESS_HI_FIELD                   _MK_FIELD_CONST(0x3ff, HCFRESTART_W_ADDRESS_HI_SHIFT)
#define HCFRESTART_W_ADDRESS_HI_RANGE                   _MK_SHIFT_CONST(9):_MK_SHIFT_CONST(0)
#define HCFRESTART_W_ADDRESS_HI_ROW                     1


// Packet HCFGATHER_W
#define HCFGATHER_W_SIZE 32

#define HCFGATHER_W_OPCODE_SHIFT                        _MK_SHIFT_CONST(28)
#define HCFGATHER_W_OPCODE_FIELD                        _MK_FIELD_CONST(0xf, HCFGATHER_W_OPCODE_SHIFT)
#define HCFGATHER_W_OPCODE_RANGE                        _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(28)
#define HCFGATHER_W_OPCODE_ROW                  0
#define HCFGATHER_W_OPCODE_GATHER                       _MK_ENUM_CONST(12)

#define HCFGATHER_W_OFFSET_SHIFT                        _MK_SHIFT_CONST(16)
#define HCFGATHER_W_OFFSET_FIELD                        _MK_FIELD_CONST(0xfff, HCFGATHER_W_OFFSET_SHIFT)
#define HCFGATHER_W_OFFSET_RANGE                        _MK_SHIFT_CONST(27):_MK_SHIFT_CONST(16)
#define HCFGATHER_W_OFFSET_ROW                  0

#define HCFGATHER_W_COUNT_SHIFT                 _MK_SHIFT_CONST(0)
#define HCFGATHER_W_COUNT_FIELD                 _MK_FIELD_CONST(0xffff, HCFGATHER_W_COUNT_SHIFT)
#define HCFGATHER_W_COUNT_RANGE                 _MK_SHIFT_CONST(15):_MK_SHIFT_CONST(0)
#define HCFGATHER_W_COUNT_ROW                   0

#define HCFGATHER_W_ADDRESS_SHIFT                       _MK_SHIFT_CONST(2)
#define HCFGATHER_W_ADDRESS_FIELD                       _MK_FIELD_CONST(0x3fffffff, HCFGATHER_W_ADDRESS_SHIFT)
#define HCFGATHER_W_ADDRESS_RANGE                       _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(2)
#define HCFGATHER_W_ADDRESS_ROW                 1

#define HCFGATHER_W_ADDRESS_HI_SHIFT                    _MK_SHIFT_CONST(0)
#define HCFGATHER_W_ADDRESS_HI_FIELD                    _MK_FIELD_CONST(0xff, HCFGATHER_W_ADDRESS_HI_SHIFT)
#define HCFGATHER_W_ADDRESS_HI_RANGE                    _MK_SHIFT_CONST(7):_MK_SHIFT_CONST(0)
#define HCFGATHER_W_ADDRESS_HI_ROW                      2


// Packet HCFSETPYLD
#define HCFSETPYLD_SIZE 32

#define HCFSETPYLD_OPCODE_SHIFT                 _MK_SHIFT_CONST(28)
#define HCFSETPYLD_OPCODE_FIELD                 _MK_FIELD_CONST(0xf, HCFSETPYLD_OPCODE_SHIFT)
#define HCFSETPYLD_OPCODE_RANGE                 _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(28)
#define HCFSETPYLD_OPCODE_ROW                   0
#define HCFSETPYLD_OPCODE_SETPYLD                       _MK_ENUM_CONST(9)

#define HCFSETPYLD_PAYLOAD_SHIFT                        _MK_SHIFT_CONST(0)
#define HCFSETPYLD_PAYLOAD_FIELD                        _MK_FIELD_CONST(0xffff, HCFSETPYLD_PAYLOAD_SHIFT)
#define HCFSETPYLD_PAYLOAD_RANGE                        _MK_SHIFT_CONST(15):_MK_SHIFT_CONST(0)
#define HCFSETPYLD_PAYLOAD_ROW                  0


// Packet HCFINCR_W
#define HCFINCR_W_SIZE 32

#define HCFINCR_W_OPCODE_SHIFT                  _MK_SHIFT_CONST(28)
#define HCFINCR_W_OPCODE_FIELD                  _MK_FIELD_CONST(0xf, HCFINCR_W_OPCODE_SHIFT)
#define HCFINCR_W_OPCODE_RANGE                  _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(28)
#define HCFINCR_W_OPCODE_ROW                    0
#define HCFINCR_W_OPCODE_INCR_W                 _MK_ENUM_CONST(10)

#define HCFINCR_W_OFFSET_SHIFT                  _MK_SHIFT_CONST(0)
#define HCFINCR_W_OFFSET_FIELD                  _MK_FIELD_CONST(0xfffff, HCFINCR_W_OFFSET_SHIFT)
#define HCFINCR_W_OFFSET_RANGE                  _MK_SHIFT_CONST(19):_MK_SHIFT_CONST(0)
#define HCFINCR_W_OFFSET_ROW                    0


// Packet HCFNONINCR_W
#define HCFNONINCR_W_SIZE 32

#define HCFNONINCR_W_OPCODE_SHIFT                       _MK_SHIFT_CONST(28)
#define HCFNONINCR_W_OPCODE_FIELD                       _MK_FIELD_CONST(0xf, HCFNONINCR_W_OPCODE_SHIFT)
#define HCFNONINCR_W_OPCODE_RANGE                       _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(28)
#define HCFNONINCR_W_OPCODE_ROW                 0
#define HCFNONINCR_W_OPCODE_NONINCR_W                   _MK_ENUM_CONST(11)

#define HCFNONINCR_W_OFFSET_SHIFT                       _MK_SHIFT_CONST(0)
#define HCFNONINCR_W_OFFSET_FIELD                       _MK_FIELD_CONST(0xfffff, HCFNONINCR_W_OFFSET_SHIFT)
#define HCFNONINCR_W_OFFSET_RANGE                       _MK_SHIFT_CONST(19):_MK_SHIFT_CONST(0)
#define HCFNONINCR_W_OFFSET_ROW                 0


// Packet HCFSETSTRMID
#define HCFSETSTRMID_SIZE 32

#define HCFSETSTRMID_OPCODE_SHIFT                       _MK_SHIFT_CONST(28)
#define HCFSETSTRMID_OPCODE_FIELD                       _MK_FIELD_CONST(0xf, HCFSETSTRMID_OPCODE_SHIFT)
#define HCFSETSTRMID_OPCODE_RANGE                       _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(28)
#define HCFSETSTRMID_OPCODE_ROW                 0
#define HCFSETSTRMID_OPCODE_SETSTRMID                   _MK_ENUM_CONST(7)

#define HCFSETSTRMID_OFFSET_SHIFT                       _MK_SHIFT_CONST(0)
#define HCFSETSTRMID_OFFSET_FIELD                       _MK_FIELD_CONST(0xfffff, HCFSETSTRMID_OFFSET_SHIFT)
#define HCFSETSTRMID_OFFSET_RANGE                       _MK_SHIFT_CONST(19):_MK_SHIFT_CONST(0)
#define HCFSETSTRMID_OFFSET_ROW                 0


// Packet HCFSETAPPID
#define HCFSETAPPID_SIZE 32

#define HCFSETAPPID_OPCODE_SHIFT                        _MK_SHIFT_CONST(28)
#define HCFSETAPPID_OPCODE_FIELD                        _MK_FIELD_CONST(0xf, HCFSETAPPID_OPCODE_SHIFT)
#define HCFSETAPPID_OPCODE_RANGE                        _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(28)
#define HCFSETAPPID_OPCODE_ROW                  0
#define HCFSETAPPID_OPCODE_SETAPPID                     _MK_ENUM_CONST(8)

#define HCFSETAPPID_APPID_SHIFT                 _MK_SHIFT_CONST(0)
#define HCFSETAPPID_APPID_FIELD                 _MK_FIELD_CONST(0xff, HCFSETAPPID_APPID_SHIFT)
#define HCFSETAPPID_APPID_RANGE                 _MK_SHIFT_CONST(7):_MK_SHIFT_CONST(0)
#define HCFSETAPPID_APPID_ROW                   0


// Packet HOST_CLWR
#define HOST_CLWR_SIZE 76

#define HOST_CLWR_DATA_SHIFT                    _MK_SHIFT_CONST(0)
#define HOST_CLWR_DATA_FIELD                    _MK_FIELD_CONST(0xffffffff, HOST_CLWR_DATA_SHIFT)
#define HOST_CLWR_DATA_RANGE                    _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define HOST_CLWR_DATA_ROW                      0

#define HOST_CLWR_OFFSET_SHIFT                  _MK_SHIFT_CONST(32)
#define HOST_CLWR_OFFSET_FIELD                  _MK_FIELD_CONST(0xffff, HOST_CLWR_OFFSET_SHIFT)
#define HOST_CLWR_OFFSET_RANGE                  _MK_SHIFT_CONST(47):_MK_SHIFT_CONST(32)
#define HOST_CLWR_OFFSET_ROW                    0

#define HOST_CLWR_BE_SHIFT                      _MK_SHIFT_CONST(48)
#define HOST_CLWR_BE_FIELD                      _MK_FIELD_CONST(0xf, HOST_CLWR_BE_SHIFT)
#define HOST_CLWR_BE_RANGE                      _MK_SHIFT_CONST(51):_MK_SHIFT_CONST(48)
#define HOST_CLWR_BE_ROW                        0

#define HOST_CLWR_RWN_SHIFT                     _MK_SHIFT_CONST(52)
#define HOST_CLWR_RWN_FIELD                     _MK_FIELD_CONST(0x1, HOST_CLWR_RWN_SHIFT)
#define HOST_CLWR_RWN_RANGE                     _MK_SHIFT_CONST(52):_MK_SHIFT_CONST(52)
#define HOST_CLWR_RWN_ROW                       0
#define HOST_CLWR_RWN_WRITE                     _MK_ENUM_CONST(0)
#define HOST_CLWR_RWN_READ                      _MK_ENUM_CONST(1)

#define HOST_CLWR_COR_SHIFT                     _MK_SHIFT_CONST(53)
#define HOST_CLWR_COR_FIELD                     _MK_FIELD_CONST(0x1, HOST_CLWR_COR_SHIFT)
#define HOST_CLWR_COR_RANGE                     _MK_SHIFT_CONST(53):_MK_SHIFT_CONST(53)
#define HOST_CLWR_COR_ROW                       0
#define HOST_CLWR_COR_CLASS                     _MK_ENUM_CONST(0)
#define HOST_CLWR_COR_REGISTER                  _MK_ENUM_CONST(1)

#define HOST_CLWR_CTXSW_SHIFT                   _MK_SHIFT_CONST(54)
#define HOST_CLWR_CTXSW_FIELD                   _MK_FIELD_CONST(0x1, HOST_CLWR_CTXSW_SHIFT)
#define HOST_CLWR_CTXSW_RANGE                   _MK_SHIFT_CONST(54):_MK_SHIFT_CONST(54)
#define HOST_CLWR_CTXSW_ROW                     0

#define HOST_CLWR_CHANNEL_SHIFT                 _MK_SHIFT_CONST(55)
#define HOST_CLWR_CHANNEL_FIELD                 _MK_FIELD_CONST(0x3ff, HOST_CLWR_CHANNEL_SHIFT)
#define HOST_CLWR_CHANNEL_RANGE                 _MK_SHIFT_CONST(64):_MK_SHIFT_CONST(55)
#define HOST_CLWR_CHANNEL_ROW                   0
#define HOST_CLWR_CHANNEL_CH0                   _MK_ENUM_CONST(0)
#define HOST_CLWR_CHANNEL_CH1                   _MK_ENUM_CONST(1)
#define HOST_CLWR_CHANNEL_CH2                   _MK_ENUM_CONST(2)
#define HOST_CLWR_CHANNEL_CH3                   _MK_ENUM_CONST(3)
#define HOST_CLWR_CHANNEL_CH4                   _MK_ENUM_CONST(4)
#define HOST_CLWR_CHANNEL_CH5                   _MK_ENUM_CONST(5)
#define HOST_CLWR_CHANNEL_CH6                   _MK_ENUM_CONST(6)
#define HOST_CLWR_CHANNEL_CH7                   _MK_ENUM_CONST(7)
#define HOST_CLWR_CHANNEL_CH8                   _MK_ENUM_CONST(8)
#define HOST_CLWR_CHANNEL_CH9                   _MK_ENUM_CONST(9)
#define HOST_CLWR_CHANNEL_CH10                  _MK_ENUM_CONST(10)
#define HOST_CLWR_CHANNEL_CH11                  _MK_ENUM_CONST(11)
#define HOST_CLWR_CHANNEL_CH12                  _MK_ENUM_CONST(12)
#define HOST_CLWR_CHANNEL_CH13                  _MK_ENUM_CONST(13)
#define HOST_CLWR_CHANNEL_CH14                  _MK_ENUM_CONST(14)
#define HOST_CLWR_CHANNEL_CH15                  _MK_ENUM_CONST(15)
#define HOST_CLWR_CHANNEL_CH16                  _MK_ENUM_CONST(16)
#define HOST_CLWR_CHANNEL_CH17                  _MK_ENUM_CONST(17)
#define HOST_CLWR_CHANNEL_CH18                  _MK_ENUM_CONST(18)
#define HOST_CLWR_CHANNEL_CH19                  _MK_ENUM_CONST(19)
#define HOST_CLWR_CHANNEL_CH20                  _MK_ENUM_CONST(20)
#define HOST_CLWR_CHANNEL_CH21                  _MK_ENUM_CONST(21)
#define HOST_CLWR_CHANNEL_CH22                  _MK_ENUM_CONST(22)
#define HOST_CLWR_CHANNEL_CH23                  _MK_ENUM_CONST(23)
#define HOST_CLWR_CHANNEL_CH24                  _MK_ENUM_CONST(24)
#define HOST_CLWR_CHANNEL_CH25                  _MK_ENUM_CONST(25)
#define HOST_CLWR_CHANNEL_CH26                  _MK_ENUM_CONST(26)
#define HOST_CLWR_CHANNEL_CH27                  _MK_ENUM_CONST(27)
#define HOST_CLWR_CHANNEL_CH28                  _MK_ENUM_CONST(28)
#define HOST_CLWR_CHANNEL_CH29                  _MK_ENUM_CONST(29)
#define HOST_CLWR_CHANNEL_CH30                  _MK_ENUM_CONST(30)
#define HOST_CLWR_CHANNEL_CH31                  _MK_ENUM_CONST(31)
#define HOST_CLWR_CHANNEL_CH32                  _MK_ENUM_CONST(32)
#define HOST_CLWR_CHANNEL_CH33                  _MK_ENUM_CONST(33)
#define HOST_CLWR_CHANNEL_CH34                  _MK_ENUM_CONST(34)
#define HOST_CLWR_CHANNEL_CH35                  _MK_ENUM_CONST(35)
#define HOST_CLWR_CHANNEL_CH36                  _MK_ENUM_CONST(36)
#define HOST_CLWR_CHANNEL_CH37                  _MK_ENUM_CONST(37)
#define HOST_CLWR_CHANNEL_CH38                  _MK_ENUM_CONST(38)
#define HOST_CLWR_CHANNEL_CH39                  _MK_ENUM_CONST(39)
#define HOST_CLWR_CHANNEL_CH40                  _MK_ENUM_CONST(40)
#define HOST_CLWR_CHANNEL_CH41                  _MK_ENUM_CONST(41)
#define HOST_CLWR_CHANNEL_CH42                  _MK_ENUM_CONST(42)
#define HOST_CLWR_CHANNEL_CH43                  _MK_ENUM_CONST(43)
#define HOST_CLWR_CHANNEL_CH44                  _MK_ENUM_CONST(44)
#define HOST_CLWR_CHANNEL_CH45                  _MK_ENUM_CONST(45)
#define HOST_CLWR_CHANNEL_CH46                  _MK_ENUM_CONST(46)
#define HOST_CLWR_CHANNEL_CH47                  _MK_ENUM_CONST(47)
#define HOST_CLWR_CHANNEL_CH48                  _MK_ENUM_CONST(48)
#define HOST_CLWR_CHANNEL_CH49                  _MK_ENUM_CONST(49)
#define HOST_CLWR_CHANNEL_CH50                  _MK_ENUM_CONST(50)
#define HOST_CLWR_CHANNEL_CH51                  _MK_ENUM_CONST(51)
#define HOST_CLWR_CHANNEL_CH52                  _MK_ENUM_CONST(52)
#define HOST_CLWR_CHANNEL_CH53                  _MK_ENUM_CONST(53)
#define HOST_CLWR_CHANNEL_CH54                  _MK_ENUM_CONST(54)
#define HOST_CLWR_CHANNEL_CH55                  _MK_ENUM_CONST(55)
#define HOST_CLWR_CHANNEL_CH56                  _MK_ENUM_CONST(56)
#define HOST_CLWR_CHANNEL_CH57                  _MK_ENUM_CONST(57)
#define HOST_CLWR_CHANNEL_CH58                  _MK_ENUM_CONST(58)
#define HOST_CLWR_CHANNEL_CH59                  _MK_ENUM_CONST(59)
#define HOST_CLWR_CHANNEL_CH60                  _MK_ENUM_CONST(60)
#define HOST_CLWR_CHANNEL_CH61                  _MK_ENUM_CONST(61)
#define HOST_CLWR_CHANNEL_CH62                  _MK_ENUM_CONST(62)
#define HOST_CLWR_CHANNEL_CHINV                 _MK_ENUM_CONST(63)

#define HOST_CLWR_SECGROUP_SHIFT                        _MK_SHIFT_CONST(65)
#define HOST_CLWR_SECGROUP_FIELD                        _MK_FIELD_CONST(0x7ff, HOST_CLWR_SECGROUP_SHIFT)
#define HOST_CLWR_SECGROUP_RANGE                        _MK_SHIFT_CONST(75):_MK_SHIFT_CONST(65)
#define HOST_CLWR_SECGROUP_ROW                  0


// Packet HOST_CLWR1
#define HOST_CLWR1_SIZE 80

#define HOST_CLWR1_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define HOST_CLWR1_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, HOST_CLWR1_DATA_SHIFT)
#define HOST_CLWR1_DATA_RANGE                   _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define HOST_CLWR1_DATA_ROW                     0

#define HOST_CLWR1_OFFSET_SHIFT                 _MK_SHIFT_CONST(32)
#define HOST_CLWR1_OFFSET_FIELD                 _MK_FIELD_CONST(0xfffff, HOST_CLWR1_OFFSET_SHIFT)
#define HOST_CLWR1_OFFSET_RANGE                 _MK_SHIFT_CONST(51):_MK_SHIFT_CONST(32)
#define HOST_CLWR1_OFFSET_ROW                   0

#define HOST_CLWR1_BE_SHIFT                     _MK_SHIFT_CONST(52)
#define HOST_CLWR1_BE_FIELD                     _MK_FIELD_CONST(0xf, HOST_CLWR1_BE_SHIFT)
#define HOST_CLWR1_BE_RANGE                     _MK_SHIFT_CONST(55):_MK_SHIFT_CONST(52)
#define HOST_CLWR1_BE_ROW                       0

#define HOST_CLWR1_RWN_SHIFT                    _MK_SHIFT_CONST(56)
#define HOST_CLWR1_RWN_FIELD                    _MK_FIELD_CONST(0x1, HOST_CLWR1_RWN_SHIFT)
#define HOST_CLWR1_RWN_RANGE                    _MK_SHIFT_CONST(56):_MK_SHIFT_CONST(56)
#define HOST_CLWR1_RWN_ROW                      0
#define HOST_CLWR1_RWN_WRITE                    _MK_ENUM_CONST(0)
#define HOST_CLWR1_RWN_READ                     _MK_ENUM_CONST(1)

#define HOST_CLWR1_COR_SHIFT                    _MK_SHIFT_CONST(57)
#define HOST_CLWR1_COR_FIELD                    _MK_FIELD_CONST(0x1, HOST_CLWR1_COR_SHIFT)
#define HOST_CLWR1_COR_RANGE                    _MK_SHIFT_CONST(57):_MK_SHIFT_CONST(57)
#define HOST_CLWR1_COR_ROW                      0
#define HOST_CLWR1_COR_CLASS                    _MK_ENUM_CONST(0)
#define HOST_CLWR1_COR_REGISTER                 _MK_ENUM_CONST(1)

#define HOST_CLWR1_CTXSW_SHIFT                  _MK_SHIFT_CONST(58)
#define HOST_CLWR1_CTXSW_FIELD                  _MK_FIELD_CONST(0x1, HOST_CLWR1_CTXSW_SHIFT)
#define HOST_CLWR1_CTXSW_RANGE                  _MK_SHIFT_CONST(58):_MK_SHIFT_CONST(58)
#define HOST_CLWR1_CTXSW_ROW                    0

#define HOST_CLWR1_CHANNEL_SHIFT                        _MK_SHIFT_CONST(59)
#define HOST_CLWR1_CHANNEL_FIELD                        _MK_FIELD_CONST(0x3ff, HOST_CLWR1_CHANNEL_SHIFT)
#define HOST_CLWR1_CHANNEL_RANGE                        _MK_SHIFT_CONST(68):_MK_SHIFT_CONST(59)
#define HOST_CLWR1_CHANNEL_ROW                  0
#define HOST_CLWR1_CHANNEL_CH0                  _MK_ENUM_CONST(0)
#define HOST_CLWR1_CHANNEL_CH1                  _MK_ENUM_CONST(1)
#define HOST_CLWR1_CHANNEL_CH2                  _MK_ENUM_CONST(2)
#define HOST_CLWR1_CHANNEL_CH3                  _MK_ENUM_CONST(3)
#define HOST_CLWR1_CHANNEL_CH4                  _MK_ENUM_CONST(4)
#define HOST_CLWR1_CHANNEL_CH5                  _MK_ENUM_CONST(5)
#define HOST_CLWR1_CHANNEL_CH6                  _MK_ENUM_CONST(6)
#define HOST_CLWR1_CHANNEL_CH7                  _MK_ENUM_CONST(7)
#define HOST_CLWR1_CHANNEL_CH8                  _MK_ENUM_CONST(8)
#define HOST_CLWR1_CHANNEL_CH9                  _MK_ENUM_CONST(9)
#define HOST_CLWR1_CHANNEL_CH10                 _MK_ENUM_CONST(10)
#define HOST_CLWR1_CHANNEL_CH11                 _MK_ENUM_CONST(11)
#define HOST_CLWR1_CHANNEL_CH12                 _MK_ENUM_CONST(12)
#define HOST_CLWR1_CHANNEL_CH13                 _MK_ENUM_CONST(13)
#define HOST_CLWR1_CHANNEL_CH14                 _MK_ENUM_CONST(14)
#define HOST_CLWR1_CHANNEL_CH15                 _MK_ENUM_CONST(15)
#define HOST_CLWR1_CHANNEL_CH16                 _MK_ENUM_CONST(16)
#define HOST_CLWR1_CHANNEL_CH17                 _MK_ENUM_CONST(17)
#define HOST_CLWR1_CHANNEL_CH18                 _MK_ENUM_CONST(18)
#define HOST_CLWR1_CHANNEL_CH19                 _MK_ENUM_CONST(19)
#define HOST_CLWR1_CHANNEL_CH20                 _MK_ENUM_CONST(20)
#define HOST_CLWR1_CHANNEL_CH21                 _MK_ENUM_CONST(21)
#define HOST_CLWR1_CHANNEL_CH22                 _MK_ENUM_CONST(22)
#define HOST_CLWR1_CHANNEL_CH23                 _MK_ENUM_CONST(23)
#define HOST_CLWR1_CHANNEL_CH24                 _MK_ENUM_CONST(24)
#define HOST_CLWR1_CHANNEL_CH25                 _MK_ENUM_CONST(25)
#define HOST_CLWR1_CHANNEL_CH26                 _MK_ENUM_CONST(26)
#define HOST_CLWR1_CHANNEL_CH27                 _MK_ENUM_CONST(27)
#define HOST_CLWR1_CHANNEL_CH28                 _MK_ENUM_CONST(28)
#define HOST_CLWR1_CHANNEL_CH29                 _MK_ENUM_CONST(29)
#define HOST_CLWR1_CHANNEL_CH30                 _MK_ENUM_CONST(30)
#define HOST_CLWR1_CHANNEL_CH31                 _MK_ENUM_CONST(31)
#define HOST_CLWR1_CHANNEL_CH32                 _MK_ENUM_CONST(32)
#define HOST_CLWR1_CHANNEL_CH33                 _MK_ENUM_CONST(33)
#define HOST_CLWR1_CHANNEL_CH34                 _MK_ENUM_CONST(34)
#define HOST_CLWR1_CHANNEL_CH35                 _MK_ENUM_CONST(35)
#define HOST_CLWR1_CHANNEL_CH36                 _MK_ENUM_CONST(36)
#define HOST_CLWR1_CHANNEL_CH37                 _MK_ENUM_CONST(37)
#define HOST_CLWR1_CHANNEL_CH38                 _MK_ENUM_CONST(38)
#define HOST_CLWR1_CHANNEL_CH39                 _MK_ENUM_CONST(39)
#define HOST_CLWR1_CHANNEL_CH40                 _MK_ENUM_CONST(40)
#define HOST_CLWR1_CHANNEL_CH41                 _MK_ENUM_CONST(41)
#define HOST_CLWR1_CHANNEL_CH42                 _MK_ENUM_CONST(42)
#define HOST_CLWR1_CHANNEL_CH43                 _MK_ENUM_CONST(43)
#define HOST_CLWR1_CHANNEL_CH44                 _MK_ENUM_CONST(44)
#define HOST_CLWR1_CHANNEL_CH45                 _MK_ENUM_CONST(45)
#define HOST_CLWR1_CHANNEL_CH46                 _MK_ENUM_CONST(46)
#define HOST_CLWR1_CHANNEL_CH47                 _MK_ENUM_CONST(47)
#define HOST_CLWR1_CHANNEL_CH48                 _MK_ENUM_CONST(48)
#define HOST_CLWR1_CHANNEL_CH49                 _MK_ENUM_CONST(49)
#define HOST_CLWR1_CHANNEL_CH50                 _MK_ENUM_CONST(50)
#define HOST_CLWR1_CHANNEL_CH51                 _MK_ENUM_CONST(51)
#define HOST_CLWR1_CHANNEL_CH52                 _MK_ENUM_CONST(52)
#define HOST_CLWR1_CHANNEL_CH53                 _MK_ENUM_CONST(53)
#define HOST_CLWR1_CHANNEL_CH54                 _MK_ENUM_CONST(54)
#define HOST_CLWR1_CHANNEL_CH55                 _MK_ENUM_CONST(55)
#define HOST_CLWR1_CHANNEL_CH56                 _MK_ENUM_CONST(56)
#define HOST_CLWR1_CHANNEL_CH57                 _MK_ENUM_CONST(57)
#define HOST_CLWR1_CHANNEL_CH58                 _MK_ENUM_CONST(58)
#define HOST_CLWR1_CHANNEL_CH59                 _MK_ENUM_CONST(59)
#define HOST_CLWR1_CHANNEL_CH60                 _MK_ENUM_CONST(60)
#define HOST_CLWR1_CHANNEL_CH61                 _MK_ENUM_CONST(61)
#define HOST_CLWR1_CHANNEL_CH62                 _MK_ENUM_CONST(62)
#define HOST_CLWR1_CHANNEL_CHINV                        _MK_ENUM_CONST(63)

#define HOST_CLWR1_SECGROUP_SHIFT                       _MK_SHIFT_CONST(69)
#define HOST_CLWR1_SECGROUP_FIELD                       _MK_FIELD_CONST(0x7ff, HOST_CLWR1_SECGROUP_SHIFT)
#define HOST_CLWR1_SECGROUP_RANGE                       _MK_SHIFT_CONST(79):_MK_SHIFT_CONST(69)
#define HOST_CLWR1_SECGROUP_ROW                 0


// Packet HOST_CLWR_TYPE_CTXSW
#define HOST_CLWR_TYPE_CTXSW_SIZE 10

#define HOST_CLWR_TYPE_CTXSW_CLASS_SHIFT                        _MK_SHIFT_CONST(0)
#define HOST_CLWR_TYPE_CTXSW_CLASS_FIELD                        _MK_FIELD_CONST(0x3ff, HOST_CLWR_TYPE_CTXSW_CLASS_SHIFT)
#define HOST_CLWR_TYPE_CTXSW_CLASS_RANGE                        _MK_SHIFT_CONST(9):_MK_SHIFT_CONST(0)
#define HOST_CLWR_TYPE_CTXSW_CLASS_ROW                  0


// Packet HOST_CLWR1_TYPE_CTXSW
#define HOST_CLWR1_TYPE_CTXSW_SIZE 10

#define HOST_CLWR1_TYPE_CTXSW_CLASS_SHIFT                       _MK_SHIFT_CONST(0)
#define HOST_CLWR1_TYPE_CTXSW_CLASS_FIELD                       _MK_FIELD_CONST(0x3ff, HOST_CLWR1_TYPE_CTXSW_CLASS_SHIFT)
#define HOST_CLWR1_TYPE_CTXSW_CLASS_RANGE                       _MK_SHIFT_CONST(9):_MK_SHIFT_CONST(0)
#define HOST_CLWR1_TYPE_CTXSW_CLASS_ROW                 0


// Packet HOST_CLWR_TYPE_SYNCPT
#define HOST_CLWR_TYPE_SYNCPT_SIZE 18

#define HOST_CLWR_TYPE_SYNCPT_INDX_SHIFT                        _MK_SHIFT_CONST(0)
#define HOST_CLWR_TYPE_SYNCPT_INDX_FIELD                        _MK_FIELD_CONST(0x3ff, HOST_CLWR_TYPE_SYNCPT_INDX_SHIFT)
#define HOST_CLWR_TYPE_SYNCPT_INDX_RANGE                        _MK_SHIFT_CONST(9):_MK_SHIFT_CONST(0)
#define HOST_CLWR_TYPE_SYNCPT_INDX_ROW                  0

#define HOST_CLWR_TYPE_SYNCPT_COND_SHIFT                        _MK_SHIFT_CONST(10)
#define HOST_CLWR_TYPE_SYNCPT_COND_FIELD                        _MK_FIELD_CONST(0xff, HOST_CLWR_TYPE_SYNCPT_COND_SHIFT)
#define HOST_CLWR_TYPE_SYNCPT_COND_RANGE                        _MK_SHIFT_CONST(17):_MK_SHIFT_CONST(10)
#define HOST_CLWR_TYPE_SYNCPT_COND_ROW                  0


// Packet HOST_CLWR1_TYPE_SYNCPT
#define HOST_CLWR1_TYPE_SYNCPT_SIZE 18

#define HOST_CLWR1_TYPE_SYNCPT_INDX_SHIFT                       _MK_SHIFT_CONST(0)
#define HOST_CLWR1_TYPE_SYNCPT_INDX_FIELD                       _MK_FIELD_CONST(0x3ff, HOST_CLWR1_TYPE_SYNCPT_INDX_SHIFT)
#define HOST_CLWR1_TYPE_SYNCPT_INDX_RANGE                       _MK_SHIFT_CONST(9):_MK_SHIFT_CONST(0)
#define HOST_CLWR1_TYPE_SYNCPT_INDX_ROW                 0

#define HOST_CLWR1_TYPE_SYNCPT_COND_SHIFT                       _MK_SHIFT_CONST(10)
#define HOST_CLWR1_TYPE_SYNCPT_COND_FIELD                       _MK_FIELD_CONST(0xff, HOST_CLWR1_TYPE_SYNCPT_COND_SHIFT)
#define HOST_CLWR1_TYPE_SYNCPT_COND_RANGE                       _MK_SHIFT_CONST(17):_MK_SHIFT_CONST(10)
#define HOST_CLWR1_TYPE_SYNCPT_COND_ROW                 0


// Packet HOST_CLRD
#define HOST_CLRD_SIZE 45

#define HOST_CLRD_DATA_SHIFT                    _MK_SHIFT_CONST(0)
#define HOST_CLRD_DATA_FIELD                    _MK_FIELD_CONST(0xffffffff, HOST_CLRD_DATA_SHIFT)
#define HOST_CLRD_DATA_RANGE                    _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define HOST_CLRD_DATA_ROW                      0

#define HOST_CLRD_CHANNEL_SHIFT                 _MK_SHIFT_CONST(32)
#define HOST_CLRD_CHANNEL_FIELD                 _MK_FIELD_CONST(0x3ff, HOST_CLRD_CHANNEL_SHIFT)
#define HOST_CLRD_CHANNEL_RANGE                 _MK_SHIFT_CONST(41):_MK_SHIFT_CONST(32)
#define HOST_CLRD_CHANNEL_ROW                   0
#define HOST_CLRD_CHANNEL_CH0                   _MK_ENUM_CONST(0)
#define HOST_CLRD_CHANNEL_CH1                   _MK_ENUM_CONST(1)
#define HOST_CLRD_CHANNEL_CH2                   _MK_ENUM_CONST(2)
#define HOST_CLRD_CHANNEL_CH3                   _MK_ENUM_CONST(3)
#define HOST_CLRD_CHANNEL_CH4                   _MK_ENUM_CONST(4)
#define HOST_CLRD_CHANNEL_CH5                   _MK_ENUM_CONST(5)
#define HOST_CLRD_CHANNEL_CH6                   _MK_ENUM_CONST(6)
#define HOST_CLRD_CHANNEL_CH7                   _MK_ENUM_CONST(7)
#define HOST_CLRD_CHANNEL_CH8                   _MK_ENUM_CONST(8)
#define HOST_CLRD_CHANNEL_CH9                   _MK_ENUM_CONST(9)
#define HOST_CLRD_CHANNEL_CH10                  _MK_ENUM_CONST(10)
#define HOST_CLRD_CHANNEL_CH11                  _MK_ENUM_CONST(11)
#define HOST_CLRD_CHANNEL_CH12                  _MK_ENUM_CONST(12)
#define HOST_CLRD_CHANNEL_CH13                  _MK_ENUM_CONST(13)
#define HOST_CLRD_CHANNEL_CH14                  _MK_ENUM_CONST(14)
#define HOST_CLRD_CHANNEL_CH15                  _MK_ENUM_CONST(15)
#define HOST_CLRD_CHANNEL_CH16                  _MK_ENUM_CONST(16)
#define HOST_CLRD_CHANNEL_CH17                  _MK_ENUM_CONST(17)
#define HOST_CLRD_CHANNEL_CH18                  _MK_ENUM_CONST(18)
#define HOST_CLRD_CHANNEL_CH19                  _MK_ENUM_CONST(19)
#define HOST_CLRD_CHANNEL_CH20                  _MK_ENUM_CONST(20)
#define HOST_CLRD_CHANNEL_CH21                  _MK_ENUM_CONST(21)
#define HOST_CLRD_CHANNEL_CH22                  _MK_ENUM_CONST(22)
#define HOST_CLRD_CHANNEL_CH23                  _MK_ENUM_CONST(23)
#define HOST_CLRD_CHANNEL_CH24                  _MK_ENUM_CONST(24)
#define HOST_CLRD_CHANNEL_CH25                  _MK_ENUM_CONST(25)
#define HOST_CLRD_CHANNEL_CH26                  _MK_ENUM_CONST(26)
#define HOST_CLRD_CHANNEL_CH27                  _MK_ENUM_CONST(27)
#define HOST_CLRD_CHANNEL_CH28                  _MK_ENUM_CONST(28)
#define HOST_CLRD_CHANNEL_CH29                  _MK_ENUM_CONST(29)
#define HOST_CLRD_CHANNEL_CH30                  _MK_ENUM_CONST(30)
#define HOST_CLRD_CHANNEL_CH31                  _MK_ENUM_CONST(31)
#define HOST_CLRD_CHANNEL_CH32                  _MK_ENUM_CONST(32)
#define HOST_CLRD_CHANNEL_CH33                  _MK_ENUM_CONST(33)
#define HOST_CLRD_CHANNEL_CH34                  _MK_ENUM_CONST(34)
#define HOST_CLRD_CHANNEL_CH35                  _MK_ENUM_CONST(35)
#define HOST_CLRD_CHANNEL_CH36                  _MK_ENUM_CONST(36)
#define HOST_CLRD_CHANNEL_CH37                  _MK_ENUM_CONST(37)
#define HOST_CLRD_CHANNEL_CH38                  _MK_ENUM_CONST(38)
#define HOST_CLRD_CHANNEL_CH39                  _MK_ENUM_CONST(39)
#define HOST_CLRD_CHANNEL_CH40                  _MK_ENUM_CONST(40)
#define HOST_CLRD_CHANNEL_CH41                  _MK_ENUM_CONST(41)
#define HOST_CLRD_CHANNEL_CH42                  _MK_ENUM_CONST(42)
#define HOST_CLRD_CHANNEL_CH43                  _MK_ENUM_CONST(43)
#define HOST_CLRD_CHANNEL_CH44                  _MK_ENUM_CONST(44)
#define HOST_CLRD_CHANNEL_CH45                  _MK_ENUM_CONST(45)
#define HOST_CLRD_CHANNEL_CH46                  _MK_ENUM_CONST(46)
#define HOST_CLRD_CHANNEL_CH47                  _MK_ENUM_CONST(47)
#define HOST_CLRD_CHANNEL_CH48                  _MK_ENUM_CONST(48)
#define HOST_CLRD_CHANNEL_CH49                  _MK_ENUM_CONST(49)
#define HOST_CLRD_CHANNEL_CH50                  _MK_ENUM_CONST(50)
#define HOST_CLRD_CHANNEL_CH51                  _MK_ENUM_CONST(51)
#define HOST_CLRD_CHANNEL_CH52                  _MK_ENUM_CONST(52)
#define HOST_CLRD_CHANNEL_CH53                  _MK_ENUM_CONST(53)
#define HOST_CLRD_CHANNEL_CH54                  _MK_ENUM_CONST(54)
#define HOST_CLRD_CHANNEL_CH55                  _MK_ENUM_CONST(55)
#define HOST_CLRD_CHANNEL_CH56                  _MK_ENUM_CONST(56)
#define HOST_CLRD_CHANNEL_CH57                  _MK_ENUM_CONST(57)
#define HOST_CLRD_CHANNEL_CH58                  _MK_ENUM_CONST(58)
#define HOST_CLRD_CHANNEL_CH59                  _MK_ENUM_CONST(59)
#define HOST_CLRD_CHANNEL_CH60                  _MK_ENUM_CONST(60)
#define HOST_CLRD_CHANNEL_CH61                  _MK_ENUM_CONST(61)
#define HOST_CLRD_CHANNEL_CH62                  _MK_ENUM_CONST(62)
#define HOST_CLRD_CHANNEL_CHINV                 _MK_ENUM_CONST(63)

#define HOST_CLRD_TYPE_SHIFT                    _MK_SHIFT_CONST(42)
#define HOST_CLRD_TYPE_FIELD                    _MK_FIELD_CONST(0x3, HOST_CLRD_TYPE_SHIFT)
#define HOST_CLRD_TYPE_RANGE                    _MK_SHIFT_CONST(43):_MK_SHIFT_CONST(42)
#define HOST_CLRD_TYPE_ROW                      0
#define HOST_CLRD_TYPE_REGISTER                 _MK_ENUM_CONST(0)
#define HOST_CLRD_TYPE_SYNCPT                   _MK_ENUM_CONST(2)
#define HOST_CLRD_TYPE_CTXSW_ACK                        _MK_ENUM_CONST(3)

#define HOST_CLRD_NVTZG0_SHIFT                  _MK_SHIFT_CONST(44)
#define HOST_CLRD_NVTZG0_FIELD                  _MK_FIELD_CONST(0x1, HOST_CLRD_NVTZG0_SHIFT)
#define HOST_CLRD_NVTZG0_RANGE                  _MK_SHIFT_CONST(44):_MK_SHIFT_CONST(44)
#define HOST_CLRD_NVTZG0_ROW                    0
#define HOST_CLRD_NVTZG0_TZSECURE                       _MK_ENUM_CONST(0)
#define HOST_CLRD_NVTZG0_TZNONSECURE                    _MK_ENUM_CONST(1)


// Packet HOST_CLRD_TYPE_SYNCPT
#define HOST_CLRD_TYPE_SYNCPT_SIZE 10

#define HOST_CLRD_TYPE_SYNCPT_INDX_SHIFT                        _MK_SHIFT_CONST(0)
#define HOST_CLRD_TYPE_SYNCPT_INDX_FIELD                        _MK_FIELD_CONST(0x3ff, HOST_CLRD_TYPE_SYNCPT_INDX_SHIFT)
#define HOST_CLRD_TYPE_SYNCPT_INDX_RANGE                        _MK_SHIFT_CONST(9):_MK_SHIFT_CONST(0)
#define HOST_CLRD_TYPE_SYNCPT_INDX_ROW                  0


// Packet IF2HOST_PKT
#define IF2HOST_PKT_SIZE 77

#define IF2HOST_PKT_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define IF2HOST_PKT_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, IF2HOST_PKT_DATA_SHIFT)
#define IF2HOST_PKT_DATA_RANGE                  _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define IF2HOST_PKT_DATA_ROW                    0

#define IF2HOST_PKT_ADDR_SHIFT                  _MK_SHIFT_CONST(32)
#define IF2HOST_PKT_ADDR_FIELD                  _MK_FIELD_CONST(0xffffffff, IF2HOST_PKT_ADDR_SHIFT)
#define IF2HOST_PKT_ADDR_RANGE                  _MK_SHIFT_CONST(63):_MK_SHIFT_CONST(32)
#define IF2HOST_PKT_ADDR_ROW                    0

#define IF2HOST_PKT_RST_n_SHIFT                 _MK_SHIFT_CONST(64)
#define IF2HOST_PKT_RST_n_FIELD                 _MK_FIELD_CONST(0x1, IF2HOST_PKT_RST_n_SHIFT)
#define IF2HOST_PKT_RST_n_RANGE                 _MK_SHIFT_CONST(64):_MK_SHIFT_CONST(64)
#define IF2HOST_PKT_RST_n_ROW                   0

#define IF2HOST_PKT_CS_n_SHIFT                  _MK_SHIFT_CONST(65)
#define IF2HOST_PKT_CS_n_FIELD                  _MK_FIELD_CONST(0x1, IF2HOST_PKT_CS_n_SHIFT)
#define IF2HOST_PKT_CS_n_RANGE                  _MK_SHIFT_CONST(65):_MK_SHIFT_CONST(65)
#define IF2HOST_PKT_CS_n_ROW                    0

#define IF2HOST_PKT_RD_n_SHIFT                  _MK_SHIFT_CONST(66)
#define IF2HOST_PKT_RD_n_FIELD                  _MK_FIELD_CONST(0x1, IF2HOST_PKT_RD_n_SHIFT)
#define IF2HOST_PKT_RD_n_RANGE                  _MK_SHIFT_CONST(66):_MK_SHIFT_CONST(66)
#define IF2HOST_PKT_RD_n_ROW                    0

#define IF2HOST_PKT_WR_n_SHIFT                  _MK_SHIFT_CONST(67)
#define IF2HOST_PKT_WR_n_FIELD                  _MK_FIELD_CONST(0x1, IF2HOST_PKT_WR_n_SHIFT)
#define IF2HOST_PKT_WR_n_RANGE                  _MK_SHIFT_CONST(67):_MK_SHIFT_CONST(67)
#define IF2HOST_PKT_WR_n_ROW                    0

#define IF2HOST_PKT_BE_n_SHIFT                  _MK_SHIFT_CONST(68)
#define IF2HOST_PKT_BE_n_FIELD                  _MK_FIELD_CONST(0xf, IF2HOST_PKT_BE_n_SHIFT)
#define IF2HOST_PKT_BE_n_RANGE                  _MK_SHIFT_CONST(71):_MK_SHIFT_CONST(68)
#define IF2HOST_PKT_BE_n_ROW                    0

#define IF2HOST_PKT_HGP4_RDY_SHIFT                      _MK_SHIFT_CONST(72)
#define IF2HOST_PKT_HGP4_RDY_FIELD                      _MK_FIELD_CONST(0x1, IF2HOST_PKT_HGP4_RDY_SHIFT)
#define IF2HOST_PKT_HGP4_RDY_RANGE                      _MK_SHIFT_CONST(72):_MK_SHIFT_CONST(72)
#define IF2HOST_PKT_HGP4_RDY_ROW                        0

#define IF2HOST_PKT_CS1_n_SHIFT                 _MK_SHIFT_CONST(68)
#define IF2HOST_PKT_CS1_n_FIELD                 _MK_FIELD_CONST(0x1, IF2HOST_PKT_CS1_n_SHIFT)
#define IF2HOST_PKT_CS1_n_RANGE                 _MK_SHIFT_CONST(68):_MK_SHIFT_CONST(68)
#define IF2HOST_PKT_CS1_n_ROW                   0

#define IF2HOST_PKT_BURST_SHIFT                 _MK_SHIFT_CONST(69)
#define IF2HOST_PKT_BURST_FIELD                 _MK_FIELD_CONST(0xff, IF2HOST_PKT_BURST_SHIFT)
#define IF2HOST_PKT_BURST_RANGE                 _MK_SHIFT_CONST(76):_MK_SHIFT_CONST(69)
#define IF2HOST_PKT_BURST_ROW                   0


// Packet HOST2IF_PKT
#define HOST2IF_PKT_SIZE 32

#define HOST2IF_PKT_DATA_SHIFT                  _MK_SHIFT_CONST(0)
#define HOST2IF_PKT_DATA_FIELD                  _MK_FIELD_CONST(0xffffffff, HOST2IF_PKT_DATA_SHIFT)
#define HOST2IF_PKT_DATA_RANGE                  _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define HOST2IF_PKT_DATA_ROW                    0


// Packet HOST_FIFO_WRITE
#define HOST_FIFO_WRITE_SIZE 32

#define HOST_FIFO_WRITE_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define HOST_FIFO_WRITE_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, HOST_FIFO_WRITE_DATA_SHIFT)
#define HOST_FIFO_WRITE_DATA_RANGE                      _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define HOST_FIFO_WRITE_DATA_ROW                        0

#define NV_HOST1X_MAPPING_CHANNEL_BASE  65536
#define NV_HOST1X_CHANNEL_MAP_SIZE_BITS 8
#define NV_HOST1X_CHANNEL_MAP_SIZE_BYTES        256
#define NV_HOST1X_CHANNELID_INVALID     63
#define NV_HOST1X_CHANNEL0_BASE 65536
#define NV_HOST1X_CHANNEL1_BASE 65792
#define NV_HOST1X_CHANNEL2_BASE 66048
#define NV_HOST1X_CHANNEL3_BASE 66304
#define NV_HOST1X_CHANNEL4_BASE 66560
#define NV_HOST1X_CHANNEL5_BASE 66816
#define NV_HOST1X_CHANNEL6_BASE 67072
#define NV_HOST1X_CHANNEL7_BASE 67328
#define NV_HOST1X_CHANNEL8_BASE 67584
#define NV_HOST1X_CHANNEL9_BASE 67840
#define NV_HOST1X_CHANNEL10_BASE        68096
#define NV_HOST1X_CHANNEL11_BASE        68352
#define NV_HOST1X_CHANNEL12_BASE        68608
#define NV_HOST1X_CHANNEL13_BASE        68864
#define NV_HOST1X_CHANNEL14_BASE        69120
#define NV_HOST1X_CHANNEL15_BASE        69376
#define NV_HOST1X_CHANNEL16_BASE        69632
#define NV_HOST1X_CHANNEL17_BASE        69888
#define NV_HOST1X_CHANNEL18_BASE        70144
#define NV_HOST1X_CHANNEL19_BASE        70400
#define NV_HOST1X_CHANNEL20_BASE        70656
#define NV_HOST1X_CHANNEL21_BASE        70912
#define NV_HOST1X_CHANNEL22_BASE        71168
#define NV_HOST1X_CHANNEL23_BASE        71424
#define NV_HOST1X_CHANNEL24_BASE        71680
#define NV_HOST1X_CHANNEL25_BASE        71936
#define NV_HOST1X_CHANNEL26_BASE        72192
#define NV_HOST1X_CHANNEL27_BASE        72448
#define NV_HOST1X_CHANNEL28_BASE        72704
#define NV_HOST1X_CHANNEL29_BASE        72960
#define NV_HOST1X_CHANNEL30_BASE        73216
#define NV_HOST1X_CHANNEL31_BASE        73472
#define NV_HOST1X_CHANNEL32_BASE        73728
#define NV_HOST1X_CHANNEL33_BASE        73984
#define NV_HOST1X_CHANNEL34_BASE        74240
#define NV_HOST1X_CHANNEL35_BASE        74496
#define NV_HOST1X_CHANNEL36_BASE        74752
#define NV_HOST1X_CHANNEL37_BASE        75008
#define NV_HOST1X_CHANNEL38_BASE        75264
#define NV_HOST1X_CHANNEL39_BASE        75520
#define NV_HOST1X_CHANNEL40_BASE        75776
#define NV_HOST1X_CHANNEL41_BASE        76032
#define NV_HOST1X_CHANNEL42_BASE        76288
#define NV_HOST1X_CHANNEL43_BASE        76544
#define NV_HOST1X_CHANNEL44_BASE        76800
#define NV_HOST1X_CHANNEL45_BASE        77056
#define NV_HOST1X_CHANNEL46_BASE        77312
#define NV_HOST1X_CHANNEL47_BASE        77568
#define NV_HOST1X_CHANNEL48_BASE        77824
#define NV_HOST1X_CHANNEL49_BASE        78080
#define NV_HOST1X_CHANNEL50_BASE        78336
#define NV_HOST1X_CHANNEL51_BASE        78592
#define NV_HOST1X_CHANNEL52_BASE        78848
#define NV_HOST1X_CHANNEL53_BASE        79104
#define NV_HOST1X_CHANNEL54_BASE        79360
#define NV_HOST1X_CHANNEL55_BASE        79616
#define NV_HOST1X_CHANNEL56_BASE        79872
#define NV_HOST1X_CHANNEL57_BASE        80128
#define NV_HOST1X_CHANNEL58_BASE        80384
#define NV_HOST1X_CHANNEL59_BASE        80640
#define NV_HOST1X_CHANNEL60_BASE        80896
#define NV_HOST1X_CHANNEL61_BASE        81152
#define NV_HOST1X_CHANNEL62_BASE        81408
#define HOST1X_CHANNEL_BASE     65536

//
// ADDRESS SPACES
//


//
// ARHOST1X REGISTER BANKS
//


// To satisfy various compilers and platforms,
// we let users control the types and syntax of certain constants, using macros.
#ifndef _MK_SHIFT_CONST
  #define _MK_SHIFT_CONST(_constant_) _constant_
#endif
#ifndef _MK_MASK_CONST
  #define _MK_MASK_CONST(_constant_) _constant_
#endif
#ifndef _MK_ENUM_CONST
  #define _MK_ENUM_CONST(_constant_) (_constant_ ## UL)
#endif
#ifndef _MK_ADDR_CONST
  #define _MK_ADDR_CONST(_constant_) _constant_
#endif
#ifndef _MK_FIELD_CONST
  #define _MK_FIELD_CONST(_mask_, _shift_) (_MK_MASK_CONST(_mask_) << _MK_SHIFT_CONST(_shift_))
#endif

#endif // ifndef ___ARHOST1X_H_INC_
