//
// Copyright (c) 2016 NVIDIA Corporation.
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
//  * Redistributions of source code must retain the above copyright
//    notice, this list of conditions and the following disclaimer.
//  * Redistributions in binary form must reproduce the above copyright
//    notice, this list of conditions and the following disclaimer in the
//    documentation and/or other materials provided with the distribution.
//  * Neither the name of NVIDIA CORPORATION nor the names of its
//    contributors may be used to endorse or promote products derived
//    from this software without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS ``AS IS'' AND ANY
// EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
// PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR
// CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
// EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
// PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
// PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
// OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
// (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
// OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//

//
// DO NOT EDIT - generated by simspec!
//

#ifndef ___ARSYSCTR0_H_INC_
#define ___ARSYSCTR0_H_INC_

// Register SYSCTR0_CNTCR_0
#define SYSCTR0_CNTCR_0                 _MK_ADDR_CONST(0x0)
#define SYSCTR0_CNTCR_0_SECURE                  0x0
#define SYSCTR0_CNTCR_0_SCR                     0
#define SYSCTR0_CNTCR_0_WORD_COUNT                      0x1
#define SYSCTR0_CNTCR_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTCR_0_RESET_MASK                      _MK_MASK_CONST(0x103)
#define SYSCTR0_CNTCR_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTCR_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTCR_0_READ_MASK                       _MK_MASK_CONST(0x103)
#define SYSCTR0_CNTCR_0_WRITE_MASK                      _MK_MASK_CONST(0x103)
#define SYSCTR0_CNTCR_0_EN_SHIFT                        _MK_SHIFT_CONST(0)
#define SYSCTR0_CNTCR_0_EN_FIELD                        _MK_FIELD_CONST(0x1, SYSCTR0_CNTCR_0_EN_SHIFT)
#define SYSCTR0_CNTCR_0_EN_RANGE                        0:0
#define SYSCTR0_CNTCR_0_EN_WOFFSET                      0x0
#define SYSCTR0_CNTCR_0_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTCR_0_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SYSCTR0_CNTCR_0_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTCR_0_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTCR_0_EN_DISABLE                      _MK_ENUM_CONST(0)
#define SYSCTR0_CNTCR_0_EN_ENABLE                       _MK_ENUM_CONST(1)

#define SYSCTR0_CNTCR_0_HDBG_SHIFT                      _MK_SHIFT_CONST(1)
#define SYSCTR0_CNTCR_0_HDBG_FIELD                      _MK_FIELD_CONST(0x1, SYSCTR0_CNTCR_0_HDBG_SHIFT)
#define SYSCTR0_CNTCR_0_HDBG_RANGE                      1:1
#define SYSCTR0_CNTCR_0_HDBG_WOFFSET                    0x0
#define SYSCTR0_CNTCR_0_HDBG_DEFAULT                    _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTCR_0_HDBG_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SYSCTR0_CNTCR_0_HDBG_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTCR_0_HDBG_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTCR_0_HDBG_DISABLE                    _MK_ENUM_CONST(0)
#define SYSCTR0_CNTCR_0_HDBG_ENABLE                     _MK_ENUM_CONST(1)

#define SYSCTR0_CNTCR_0_FCREQ_SHIFT                     _MK_SHIFT_CONST(8)
#define SYSCTR0_CNTCR_0_FCREQ_FIELD                     _MK_FIELD_CONST(0x1, SYSCTR0_CNTCR_0_FCREQ_SHIFT)
#define SYSCTR0_CNTCR_0_FCREQ_RANGE                     8:8
#define SYSCTR0_CNTCR_0_FCREQ_WOFFSET                   0x0
#define SYSCTR0_CNTCR_0_FCREQ_DEFAULT                   _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTCR_0_FCREQ_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SYSCTR0_CNTCR_0_FCREQ_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTCR_0_FCREQ_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)


// Register SYSCTR0_CNTSR_0
#define SYSCTR0_CNTSR_0                 _MK_ADDR_CONST(0x4)
#define SYSCTR0_CNTSR_0_SECURE                  0x0
#define SYSCTR0_CNTSR_0_SCR                     0
#define SYSCTR0_CNTSR_0_WORD_COUNT                      0x1
#define SYSCTR0_CNTSR_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTSR_0_RESET_MASK                      _MK_MASK_CONST(0x103)
#define SYSCTR0_CNTSR_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTSR_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTSR_0_READ_MASK                       _MK_MASK_CONST(0x103)
#define SYSCTR0_CNTSR_0_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTSR_0_RESERVED_SHIFT                  _MK_SHIFT_CONST(0)
#define SYSCTR0_CNTSR_0_RESERVED_FIELD                  _MK_FIELD_CONST(0x1, SYSCTR0_CNTSR_0_RESERVED_SHIFT)
#define SYSCTR0_CNTSR_0_RESERVED_RANGE                  0:0
#define SYSCTR0_CNTSR_0_RESERVED_WOFFSET                        0x0
#define SYSCTR0_CNTSR_0_RESERVED_DEFAULT                        _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTSR_0_RESERVED_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SYSCTR0_CNTSR_0_RESERVED_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTSR_0_RESERVED_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)

#define SYSCTR0_CNTSR_0_HDBG_SHIFT                      _MK_SHIFT_CONST(1)
#define SYSCTR0_CNTSR_0_HDBG_FIELD                      _MK_FIELD_CONST(0x1, SYSCTR0_CNTSR_0_HDBG_SHIFT)
#define SYSCTR0_CNTSR_0_HDBG_RANGE                      1:1
#define SYSCTR0_CNTSR_0_HDBG_WOFFSET                    0x0
#define SYSCTR0_CNTSR_0_HDBG_DEFAULT                    _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTSR_0_HDBG_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SYSCTR0_CNTSR_0_HDBG_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTSR_0_HDBG_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTSR_0_HDBG_DISABLE                    _MK_ENUM_CONST(0)
#define SYSCTR0_CNTSR_0_HDBG_ENABLE                     _MK_ENUM_CONST(1)

#define SYSCTR0_CNTSR_0_FCREQ_SHIFT                     _MK_SHIFT_CONST(8)
#define SYSCTR0_CNTSR_0_FCREQ_FIELD                     _MK_FIELD_CONST(0x1, SYSCTR0_CNTSR_0_FCREQ_SHIFT)
#define SYSCTR0_CNTSR_0_FCREQ_RANGE                     8:8
#define SYSCTR0_CNTSR_0_FCREQ_WOFFSET                   0x0
#define SYSCTR0_CNTSR_0_FCREQ_DEFAULT                   _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTSR_0_FCREQ_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SYSCTR0_CNTSR_0_FCREQ_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTSR_0_FCREQ_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)


// Register SYSCTR0_CNTCV0_0
#define SYSCTR0_CNTCV0_0                        _MK_ADDR_CONST(0x8)
#define SYSCTR0_CNTCV0_0_SECURE                         0x0
#define SYSCTR0_CNTCV0_0_SCR                    0
#define SYSCTR0_CNTCV0_0_WORD_COUNT                     0x1
#define SYSCTR0_CNTCV0_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTCV0_0_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SYSCTR0_CNTCV0_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTCV0_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTCV0_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SYSCTR0_CNTCV0_0_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define SYSCTR0_CNTCV0_0_CV_SHIFT                       _MK_SHIFT_CONST(0)
#define SYSCTR0_CNTCV0_0_CV_FIELD                       _MK_FIELD_CONST(0xffffffff, SYSCTR0_CNTCV0_0_CV_SHIFT)
#define SYSCTR0_CNTCV0_0_CV_RANGE                       31:0
#define SYSCTR0_CNTCV0_0_CV_WOFFSET                     0x0
#define SYSCTR0_CNTCV0_0_CV_DEFAULT                     _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTCV0_0_CV_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SYSCTR0_CNTCV0_0_CV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTCV0_0_CV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)


// Register SYSCTR0_CNTCV1_0
#define SYSCTR0_CNTCV1_0                        _MK_ADDR_CONST(0xc)
#define SYSCTR0_CNTCV1_0_SECURE                         0x0
#define SYSCTR0_CNTCV1_0_SCR                    0
#define SYSCTR0_CNTCV1_0_WORD_COUNT                     0x1
#define SYSCTR0_CNTCV1_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTCV1_0_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SYSCTR0_CNTCV1_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTCV1_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTCV1_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SYSCTR0_CNTCV1_0_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define SYSCTR0_CNTCV1_0_CV_SHIFT                       _MK_SHIFT_CONST(0)
#define SYSCTR0_CNTCV1_0_CV_FIELD                       _MK_FIELD_CONST(0xffffffff, SYSCTR0_CNTCV1_0_CV_SHIFT)
#define SYSCTR0_CNTCV1_0_CV_RANGE                       31:0
#define SYSCTR0_CNTCV1_0_CV_WOFFSET                     0x0
#define SYSCTR0_CNTCV1_0_CV_DEFAULT                     _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTCV1_0_CV_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SYSCTR0_CNTCV1_0_CV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTCV1_0_CV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)


// Reserved address 16 [0x10]

// Reserved address 20 [0x14]

// Reserved address 24 [0x18]

// Reserved address 28 [0x1c]

// Register SYSCTR0_CNTFID0_0
#define SYSCTR0_CNTFID0_0                       _MK_ADDR_CONST(0x20)
#define SYSCTR0_CNTFID0_0_SECURE                        0x0
#define SYSCTR0_CNTFID0_0_SCR                   0
#define SYSCTR0_CNTFID0_0_WORD_COUNT                    0x1
#define SYSCTR0_CNTFID0_0_RESET_VAL                     _MK_MASK_CONST(0xb71b00)
#define SYSCTR0_CNTFID0_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SYSCTR0_CNTFID0_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTFID0_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTFID0_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SYSCTR0_CNTFID0_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SYSCTR0_CNTFID0_0_FV_SHIFT                      _MK_SHIFT_CONST(0)
#define SYSCTR0_CNTFID0_0_FV_FIELD                      _MK_FIELD_CONST(0xffffffff, SYSCTR0_CNTFID0_0_FV_SHIFT)
#define SYSCTR0_CNTFID0_0_FV_RANGE                      31:0
#define SYSCTR0_CNTFID0_0_FV_WOFFSET                    0x0
#define SYSCTR0_CNTFID0_0_FV_DEFAULT                    _MK_MASK_CONST(0xb71b00)
#define SYSCTR0_CNTFID0_0_FV_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SYSCTR0_CNTFID0_0_FV_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTFID0_0_FV_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register SYSCTR0_CNTFID1_0
#define SYSCTR0_CNTFID1_0                       _MK_ADDR_CONST(0x24)
#define SYSCTR0_CNTFID1_0_SECURE                        0x0
#define SYSCTR0_CNTFID1_0_SCR                   0
#define SYSCTR0_CNTFID1_0_WORD_COUNT                    0x1
#define SYSCTR0_CNTFID1_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTFID1_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SYSCTR0_CNTFID1_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTFID1_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTFID1_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SYSCTR0_CNTFID1_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTFID1_0_FV_SHIFT                      _MK_SHIFT_CONST(0)
#define SYSCTR0_CNTFID1_0_FV_FIELD                      _MK_FIELD_CONST(0xffffffff, SYSCTR0_CNTFID1_0_FV_SHIFT)
#define SYSCTR0_CNTFID1_0_FV_RANGE                      31:0
#define SYSCTR0_CNTFID1_0_FV_WOFFSET                    0x0
#define SYSCTR0_CNTFID1_0_FV_DEFAULT                    _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTFID1_0_FV_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SYSCTR0_CNTFID1_0_FV_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SYSCTR0_CNTFID1_0_FV_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Reserved address 40 [0x28]

// Reserved address 44 [0x2c]

// Reserved address 48 [0x30]

// Reserved address 52 [0x34]

// Reserved address 56 [0x38]

// Reserved address 60 [0x3c]

// Reserved address 64 [0x40]

// Reserved address 68 [0x44]

// Reserved address 72 [0x48]

// Reserved address 76 [0x4c]

// Reserved address 80 [0x50]

// Reserved address 84 [0x54]

// Reserved address 88 [0x58]

// Reserved address 92 [0x5c]

// Reserved address 96 [0x60]

// Reserved address 100 [0x64]

// Reserved address 104 [0x68]

// Reserved address 108 [0x6c]

// Reserved address 112 [0x70]

// Reserved address 116 [0x74]

// Reserved address 120 [0x78]

// Reserved address 124 [0x7c]

// Reserved address 128 [0x80]

// Reserved address 132 [0x84]

// Reserved address 136 [0x88]

// Reserved address 140 [0x8c]

// Reserved address 144 [0x90]

// Reserved address 148 [0x94]

// Reserved address 152 [0x98]

// Reserved address 156 [0x9c]

// Reserved address 160 [0xa0]

// Reserved address 164 [0xa4]

// Reserved address 168 [0xa8]

// Reserved address 172 [0xac]

// Reserved address 176 [0xb0]

// Reserved address 180 [0xb4]

// Reserved address 184 [0xb8]

// Reserved address 188 [0xbc]

// Reserved address 192 [0xc0]

// Reserved address 196 [0xc4]

// Reserved address 200 [0xc8]

// Reserved address 204 [0xcc]

// Reserved address 208 [0xd0]

// Reserved address 212 [0xd4]

// Reserved address 216 [0xd8]

// Reserved address 220 [0xdc]

// Reserved address 224 [0xe0]

// Reserved address 228 [0xe4]

// Reserved address 232 [0xe8]

// Reserved address 236 [0xec]

// Reserved address 240 [0xf0]

// Reserved address 244 [0xf4]

// Reserved address 248 [0xf8]

// Reserved address 252 [0xfc]

// Reserved address 256 [0x100]

// Reserved address 260 [0x104]

// Reserved address 264 [0x108]

// Reserved address 268 [0x10c]

// Reserved address 272 [0x110]

// Reserved address 276 [0x114]

// Reserved address 280 [0x118]

// Reserved address 284 [0x11c]

// Reserved address 288 [0x120]

// Reserved address 292 [0x124]

// Reserved address 296 [0x128]

// Reserved address 300 [0x12c]

// Reserved address 304 [0x130]

// Reserved address 308 [0x134]

// Reserved address 312 [0x138]

// Reserved address 316 [0x13c]

// Reserved address 320 [0x140]

// Reserved address 324 [0x144]

// Reserved address 328 [0x148]

// Reserved address 332 [0x14c]

// Reserved address 336 [0x150]

// Reserved address 340 [0x154]

// Reserved address 344 [0x158]

// Reserved address 348 [0x15c]

// Reserved address 352 [0x160]

// Reserved address 356 [0x164]

// Reserved address 360 [0x168]

// Reserved address 364 [0x16c]

// Reserved address 368 [0x170]

// Reserved address 372 [0x174]

// Reserved address 376 [0x178]

// Reserved address 380 [0x17c]

// Reserved address 384 [0x180]

// Reserved address 388 [0x184]

// Reserved address 392 [0x188]

// Reserved address 396 [0x18c]

// Reserved address 400 [0x190]

// Reserved address 404 [0x194]

// Reserved address 408 [0x198]

// Reserved address 412 [0x19c]

// Reserved address 416 [0x1a0]

// Reserved address 420 [0x1a4]

// Reserved address 424 [0x1a8]

// Reserved address 428 [0x1ac]

// Reserved address 432 [0x1b0]

// Reserved address 436 [0x1b4]

// Reserved address 440 [0x1b8]

// Reserved address 444 [0x1bc]

// Reserved address 448 [0x1c0]

// Reserved address 452 [0x1c4]

// Reserved address 456 [0x1c8]

// Reserved address 460 [0x1cc]

// Reserved address 464 [0x1d0]

// Reserved address 468 [0x1d4]

// Reserved address 472 [0x1d8]

// Reserved address 476 [0x1dc]

// Reserved address 480 [0x1e0]

// Reserved address 484 [0x1e4]

// Reserved address 488 [0x1e8]

// Reserved address 492 [0x1ec]

// Reserved address 496 [0x1f0]

// Reserved address 500 [0x1f4]

// Reserved address 504 [0x1f8]

// Reserved address 508 [0x1fc]

// Reserved address 512 [0x200]

// Reserved address 516 [0x204]

// Reserved address 520 [0x208]

// Reserved address 524 [0x20c]

// Reserved address 528 [0x210]

// Reserved address 532 [0x214]

// Reserved address 536 [0x218]

// Reserved address 540 [0x21c]

// Reserved address 544 [0x220]

// Reserved address 548 [0x224]

// Reserved address 552 [0x228]

// Reserved address 556 [0x22c]

// Reserved address 560 [0x230]

// Reserved address 564 [0x234]

// Reserved address 568 [0x238]

// Reserved address 572 [0x23c]

// Reserved address 576 [0x240]

// Reserved address 580 [0x244]

// Reserved address 584 [0x248]

// Reserved address 588 [0x24c]

// Reserved address 592 [0x250]

// Reserved address 596 [0x254]

// Reserved address 600 [0x258]

// Reserved address 604 [0x25c]

// Reserved address 608 [0x260]

// Reserved address 612 [0x264]

// Reserved address 616 [0x268]

// Reserved address 620 [0x26c]

// Reserved address 624 [0x270]

// Reserved address 628 [0x274]

// Reserved address 632 [0x278]

// Reserved address 636 [0x27c]

// Reserved address 640 [0x280]

// Reserved address 644 [0x284]

// Reserved address 648 [0x288]

// Reserved address 652 [0x28c]

// Reserved address 656 [0x290]

// Reserved address 660 [0x294]

// Reserved address 664 [0x298]

// Reserved address 668 [0x29c]

// Reserved address 672 [0x2a0]

// Reserved address 676 [0x2a4]

// Reserved address 680 [0x2a8]

// Reserved address 684 [0x2ac]

// Reserved address 688 [0x2b0]

// Reserved address 692 [0x2b4]

// Reserved address 696 [0x2b8]

// Reserved address 700 [0x2bc]

// Reserved address 704 [0x2c0]

// Reserved address 708 [0x2c4]

// Reserved address 712 [0x2c8]

// Reserved address 716 [0x2cc]

// Reserved address 720 [0x2d0]

// Reserved address 724 [0x2d4]

// Reserved address 728 [0x2d8]

// Reserved address 732 [0x2dc]

// Reserved address 736 [0x2e0]

// Reserved address 740 [0x2e4]

// Reserved address 744 [0x2e8]

// Reserved address 748 [0x2ec]

// Reserved address 752 [0x2f0]

// Reserved address 756 [0x2f4]

// Reserved address 760 [0x2f8]

// Reserved address 764 [0x2fc]

// Reserved address 768 [0x300]

// Reserved address 772 [0x304]

// Reserved address 776 [0x308]

// Reserved address 780 [0x30c]

// Reserved address 784 [0x310]

// Reserved address 788 [0x314]

// Reserved address 792 [0x318]

// Reserved address 796 [0x31c]

// Reserved address 800 [0x320]

// Reserved address 804 [0x324]

// Reserved address 808 [0x328]

// Reserved address 812 [0x32c]

// Reserved address 816 [0x330]

// Reserved address 820 [0x334]

// Reserved address 824 [0x338]

// Reserved address 828 [0x33c]

// Reserved address 832 [0x340]

// Reserved address 836 [0x344]

// Reserved address 840 [0x348]

// Reserved address 844 [0x34c]

// Reserved address 848 [0x350]

// Reserved address 852 [0x354]

// Reserved address 856 [0x358]

// Reserved address 860 [0x35c]

// Reserved address 864 [0x360]

// Reserved address 868 [0x364]

// Reserved address 872 [0x368]

// Reserved address 876 [0x36c]

// Reserved address 880 [0x370]

// Reserved address 884 [0x374]

// Reserved address 888 [0x378]

// Reserved address 892 [0x37c]

// Reserved address 896 [0x380]

// Reserved address 900 [0x384]

// Reserved address 904 [0x388]

// Reserved address 908 [0x38c]

// Reserved address 912 [0x390]

// Reserved address 916 [0x394]

// Reserved address 920 [0x398]

// Reserved address 924 [0x39c]

// Reserved address 928 [0x3a0]

// Reserved address 932 [0x3a4]

// Reserved address 936 [0x3a8]

// Reserved address 940 [0x3ac]

// Reserved address 944 [0x3b0]

// Reserved address 948 [0x3b4]

// Reserved address 952 [0x3b8]

// Reserved address 956 [0x3bc]

// Reserved address 960 [0x3c0]

// Reserved address 964 [0x3c4]

// Reserved address 968 [0x3c8]

// Reserved address 972 [0x3cc]

// Reserved address 976 [0x3d0]

// Reserved address 980 [0x3d4]

// Reserved address 984 [0x3d8]

// Reserved address 988 [0x3dc]

// Reserved address 992 [0x3e0]

// Reserved address 996 [0x3e4]

// Reserved address 1000 [0x3e8]

// Reserved address 1004 [0x3ec]

// Reserved address 1008 [0x3f0]

// Reserved address 1012 [0x3f4]

// Reserved address 1016 [0x3f8]

// Reserved address 1020 [0x3fc]

// Reserved address 1024 [0x400]

// Reserved address 1028 [0x404]

// Reserved address 1032 [0x408]

// Reserved address 1036 [0x40c]

// Reserved address 1040 [0x410]

// Reserved address 1044 [0x414]

// Reserved address 1048 [0x418]

// Reserved address 1052 [0x41c]

// Reserved address 1056 [0x420]

// Reserved address 1060 [0x424]

// Reserved address 1064 [0x428]

// Reserved address 1068 [0x42c]

// Reserved address 1072 [0x430]

// Reserved address 1076 [0x434]

// Reserved address 1080 [0x438]

// Reserved address 1084 [0x43c]

// Reserved address 1088 [0x440]

// Reserved address 1092 [0x444]

// Reserved address 1096 [0x448]

// Reserved address 1100 [0x44c]

// Reserved address 1104 [0x450]

// Reserved address 1108 [0x454]

// Reserved address 1112 [0x458]

// Reserved address 1116 [0x45c]

// Reserved address 1120 [0x460]

// Reserved address 1124 [0x464]

// Reserved address 1128 [0x468]

// Reserved address 1132 [0x46c]

// Reserved address 1136 [0x470]

// Reserved address 1140 [0x474]

// Reserved address 1144 [0x478]

// Reserved address 1148 [0x47c]

// Reserved address 1152 [0x480]

// Reserved address 1156 [0x484]

// Reserved address 1160 [0x488]

// Reserved address 1164 [0x48c]

// Reserved address 1168 [0x490]

// Reserved address 1172 [0x494]

// Reserved address 1176 [0x498]

// Reserved address 1180 [0x49c]

// Reserved address 1184 [0x4a0]

// Reserved address 1188 [0x4a4]

// Reserved address 1192 [0x4a8]

// Reserved address 1196 [0x4ac]

// Reserved address 1200 [0x4b0]

// Reserved address 1204 [0x4b4]

// Reserved address 1208 [0x4b8]

// Reserved address 1212 [0x4bc]

// Reserved address 1216 [0x4c0]

// Reserved address 1220 [0x4c4]

// Reserved address 1224 [0x4c8]

// Reserved address 1228 [0x4cc]

// Reserved address 1232 [0x4d0]

// Reserved address 1236 [0x4d4]

// Reserved address 1240 [0x4d8]

// Reserved address 1244 [0x4dc]

// Reserved address 1248 [0x4e0]

// Reserved address 1252 [0x4e4]

// Reserved address 1256 [0x4e8]

// Reserved address 1260 [0x4ec]

// Reserved address 1264 [0x4f0]

// Reserved address 1268 [0x4f4]

// Reserved address 1272 [0x4f8]

// Reserved address 1276 [0x4fc]

// Reserved address 1280 [0x500]

// Reserved address 1284 [0x504]

// Reserved address 1288 [0x508]

// Reserved address 1292 [0x50c]

// Reserved address 1296 [0x510]

// Reserved address 1300 [0x514]

// Reserved address 1304 [0x518]

// Reserved address 1308 [0x51c]

// Reserved address 1312 [0x520]

// Reserved address 1316 [0x524]

// Reserved address 1320 [0x528]

// Reserved address 1324 [0x52c]

// Reserved address 1328 [0x530]

// Reserved address 1332 [0x534]

// Reserved address 1336 [0x538]

// Reserved address 1340 [0x53c]

// Reserved address 1344 [0x540]

// Reserved address 1348 [0x544]

// Reserved address 1352 [0x548]

// Reserved address 1356 [0x54c]

// Reserved address 1360 [0x550]

// Reserved address 1364 [0x554]

// Reserved address 1368 [0x558]

// Reserved address 1372 [0x55c]

// Reserved address 1376 [0x560]

// Reserved address 1380 [0x564]

// Reserved address 1384 [0x568]

// Reserved address 1388 [0x56c]

// Reserved address 1392 [0x570]

// Reserved address 1396 [0x574]

// Reserved address 1400 [0x578]

// Reserved address 1404 [0x57c]

// Reserved address 1408 [0x580]

// Reserved address 1412 [0x584]

// Reserved address 1416 [0x588]

// Reserved address 1420 [0x58c]

// Reserved address 1424 [0x590]

// Reserved address 1428 [0x594]

// Reserved address 1432 [0x598]

// Reserved address 1436 [0x59c]

// Reserved address 1440 [0x5a0]

// Reserved address 1444 [0x5a4]

// Reserved address 1448 [0x5a8]

// Reserved address 1452 [0x5ac]

// Reserved address 1456 [0x5b0]

// Reserved address 1460 [0x5b4]

// Reserved address 1464 [0x5b8]

// Reserved address 1468 [0x5bc]

// Reserved address 1472 [0x5c0]

// Reserved address 1476 [0x5c4]

// Reserved address 1480 [0x5c8]

// Reserved address 1484 [0x5cc]

// Reserved address 1488 [0x5d0]

// Reserved address 1492 [0x5d4]

// Reserved address 1496 [0x5d8]

// Reserved address 1500 [0x5dc]

// Reserved address 1504 [0x5e0]

// Reserved address 1508 [0x5e4]

// Reserved address 1512 [0x5e8]

// Reserved address 1516 [0x5ec]

// Reserved address 1520 [0x5f0]

// Reserved address 1524 [0x5f4]

// Reserved address 1528 [0x5f8]

// Reserved address 1532 [0x5fc]

// Reserved address 1536 [0x600]

// Reserved address 1540 [0x604]

// Reserved address 1544 [0x608]

// Reserved address 1548 [0x60c]

// Reserved address 1552 [0x610]

// Reserved address 1556 [0x614]

// Reserved address 1560 [0x618]

// Reserved address 1564 [0x61c]

// Reserved address 1568 [0x620]

// Reserved address 1572 [0x624]

// Reserved address 1576 [0x628]

// Reserved address 1580 [0x62c]

// Reserved address 1584 [0x630]

// Reserved address 1588 [0x634]

// Reserved address 1592 [0x638]

// Reserved address 1596 [0x63c]

// Reserved address 1600 [0x640]

// Reserved address 1604 [0x644]

// Reserved address 1608 [0x648]

// Reserved address 1612 [0x64c]

// Reserved address 1616 [0x650]

// Reserved address 1620 [0x654]

// Reserved address 1624 [0x658]

// Reserved address 1628 [0x65c]

// Reserved address 1632 [0x660]

// Reserved address 1636 [0x664]

// Reserved address 1640 [0x668]

// Reserved address 1644 [0x66c]

// Reserved address 1648 [0x670]

// Reserved address 1652 [0x674]

// Reserved address 1656 [0x678]

// Reserved address 1660 [0x67c]

// Reserved address 1664 [0x680]

// Reserved address 1668 [0x684]

// Reserved address 1672 [0x688]

// Reserved address 1676 [0x68c]

// Reserved address 1680 [0x690]

// Reserved address 1684 [0x694]

// Reserved address 1688 [0x698]

// Reserved address 1692 [0x69c]

// Reserved address 1696 [0x6a0]

// Reserved address 1700 [0x6a4]

// Reserved address 1704 [0x6a8]

// Reserved address 1708 [0x6ac]

// Reserved address 1712 [0x6b0]

// Reserved address 1716 [0x6b4]

// Reserved address 1720 [0x6b8]

// Reserved address 1724 [0x6bc]

// Reserved address 1728 [0x6c0]

// Reserved address 1732 [0x6c4]

// Reserved address 1736 [0x6c8]

// Reserved address 1740 [0x6cc]

// Reserved address 1744 [0x6d0]

// Reserved address 1748 [0x6d4]

// Reserved address 1752 [0x6d8]

// Reserved address 1756 [0x6dc]

// Reserved address 1760 [0x6e0]

// Reserved address 1764 [0x6e4]

// Reserved address 1768 [0x6e8]

// Reserved address 1772 [0x6ec]

// Reserved address 1776 [0x6f0]

// Reserved address 1780 [0x6f4]

// Reserved address 1784 [0x6f8]

// Reserved address 1788 [0x6fc]

// Reserved address 1792 [0x700]

// Reserved address 1796 [0x704]

// Reserved address 1800 [0x708]

// Reserved address 1804 [0x70c]

// Reserved address 1808 [0x710]

// Reserved address 1812 [0x714]

// Reserved address 1816 [0x718]

// Reserved address 1820 [0x71c]

// Reserved address 1824 [0x720]

// Reserved address 1828 [0x724]

// Reserved address 1832 [0x728]

// Reserved address 1836 [0x72c]

// Reserved address 1840 [0x730]

// Reserved address 1844 [0x734]

// Reserved address 1848 [0x738]

// Reserved address 1852 [0x73c]

// Reserved address 1856 [0x740]

// Reserved address 1860 [0x744]

// Reserved address 1864 [0x748]

// Reserved address 1868 [0x74c]

// Reserved address 1872 [0x750]

// Reserved address 1876 [0x754]

// Reserved address 1880 [0x758]

// Reserved address 1884 [0x75c]

// Reserved address 1888 [0x760]

// Reserved address 1892 [0x764]

// Reserved address 1896 [0x768]

// Reserved address 1900 [0x76c]

// Reserved address 1904 [0x770]

// Reserved address 1908 [0x774]

// Reserved address 1912 [0x778]

// Reserved address 1916 [0x77c]

// Reserved address 1920 [0x780]

// Reserved address 1924 [0x784]

// Reserved address 1928 [0x788]

// Reserved address 1932 [0x78c]

// Reserved address 1936 [0x790]

// Reserved address 1940 [0x794]

// Reserved address 1944 [0x798]

// Reserved address 1948 [0x79c]

// Reserved address 1952 [0x7a0]

// Reserved address 1956 [0x7a4]

// Reserved address 1960 [0x7a8]

// Reserved address 1964 [0x7ac]

// Reserved address 1968 [0x7b0]

// Reserved address 1972 [0x7b4]

// Reserved address 1976 [0x7b8]

// Reserved address 1980 [0x7bc]

// Reserved address 1984 [0x7c0]

// Reserved address 1988 [0x7c4]

// Reserved address 1992 [0x7c8]

// Reserved address 1996 [0x7cc]

// Reserved address 2000 [0x7d0]

// Reserved address 2004 [0x7d4]

// Reserved address 2008 [0x7d8]

// Reserved address 2012 [0x7dc]

// Reserved address 2016 [0x7e0]

// Reserved address 2020 [0x7e4]

// Reserved address 2024 [0x7e8]

// Reserved address 2028 [0x7ec]

// Reserved address 2032 [0x7f0]

// Reserved address 2036 [0x7f4]

// Reserved address 2040 [0x7f8]

// Reserved address 2044 [0x7fc]

// Reserved address 2048 [0x800]

// Reserved address 2052 [0x804]

// Reserved address 2056 [0x808]

// Reserved address 2060 [0x80c]

// Reserved address 2064 [0x810]

// Reserved address 2068 [0x814]

// Reserved address 2072 [0x818]

// Reserved address 2076 [0x81c]

// Reserved address 2080 [0x820]

// Reserved address 2084 [0x824]

// Reserved address 2088 [0x828]

// Reserved address 2092 [0x82c]

// Reserved address 2096 [0x830]

// Reserved address 2100 [0x834]

// Reserved address 2104 [0x838]

// Reserved address 2108 [0x83c]

// Reserved address 2112 [0x840]

// Reserved address 2116 [0x844]

// Reserved address 2120 [0x848]

// Reserved address 2124 [0x84c]

// Reserved address 2128 [0x850]

// Reserved address 2132 [0x854]

// Reserved address 2136 [0x858]

// Reserved address 2140 [0x85c]

// Reserved address 2144 [0x860]

// Reserved address 2148 [0x864]

// Reserved address 2152 [0x868]

// Reserved address 2156 [0x86c]

// Reserved address 2160 [0x870]

// Reserved address 2164 [0x874]

// Reserved address 2168 [0x878]

// Reserved address 2172 [0x87c]

// Reserved address 2176 [0x880]

// Reserved address 2180 [0x884]

// Reserved address 2184 [0x888]

// Reserved address 2188 [0x88c]

// Reserved address 2192 [0x890]

// Reserved address 2196 [0x894]

// Reserved address 2200 [0x898]

// Reserved address 2204 [0x89c]

// Reserved address 2208 [0x8a0]

// Reserved address 2212 [0x8a4]

// Reserved address 2216 [0x8a8]

// Reserved address 2220 [0x8ac]

// Reserved address 2224 [0x8b0]

// Reserved address 2228 [0x8b4]

// Reserved address 2232 [0x8b8]

// Reserved address 2236 [0x8bc]

// Reserved address 2240 [0x8c0]

// Reserved address 2244 [0x8c4]

// Reserved address 2248 [0x8c8]

// Reserved address 2252 [0x8cc]

// Reserved address 2256 [0x8d0]

// Reserved address 2260 [0x8d4]

// Reserved address 2264 [0x8d8]

// Reserved address 2268 [0x8dc]

// Reserved address 2272 [0x8e0]

// Reserved address 2276 [0x8e4]

// Reserved address 2280 [0x8e8]

// Reserved address 2284 [0x8ec]

// Reserved address 2288 [0x8f0]

// Reserved address 2292 [0x8f4]

// Reserved address 2296 [0x8f8]

// Reserved address 2300 [0x8fc]

// Reserved address 2304 [0x900]

// Reserved address 2308 [0x904]

// Reserved address 2312 [0x908]

// Reserved address 2316 [0x90c]

// Reserved address 2320 [0x910]

// Reserved address 2324 [0x914]

// Reserved address 2328 [0x918]

// Reserved address 2332 [0x91c]

// Reserved address 2336 [0x920]

// Reserved address 2340 [0x924]

// Reserved address 2344 [0x928]

// Reserved address 2348 [0x92c]

// Reserved address 2352 [0x930]

// Reserved address 2356 [0x934]

// Reserved address 2360 [0x938]

// Reserved address 2364 [0x93c]

// Reserved address 2368 [0x940]

// Reserved address 2372 [0x944]

// Reserved address 2376 [0x948]

// Reserved address 2380 [0x94c]

// Reserved address 2384 [0x950]

// Reserved address 2388 [0x954]

// Reserved address 2392 [0x958]

// Reserved address 2396 [0x95c]

// Reserved address 2400 [0x960]

// Reserved address 2404 [0x964]

// Reserved address 2408 [0x968]

// Reserved address 2412 [0x96c]

// Reserved address 2416 [0x970]

// Reserved address 2420 [0x974]

// Reserved address 2424 [0x978]

// Reserved address 2428 [0x97c]

// Reserved address 2432 [0x980]

// Reserved address 2436 [0x984]

// Reserved address 2440 [0x988]

// Reserved address 2444 [0x98c]

// Reserved address 2448 [0x990]

// Reserved address 2452 [0x994]

// Reserved address 2456 [0x998]

// Reserved address 2460 [0x99c]

// Reserved address 2464 [0x9a0]

// Reserved address 2468 [0x9a4]

// Reserved address 2472 [0x9a8]

// Reserved address 2476 [0x9ac]

// Reserved address 2480 [0x9b0]

// Reserved address 2484 [0x9b4]

// Reserved address 2488 [0x9b8]

// Reserved address 2492 [0x9bc]

// Reserved address 2496 [0x9c0]

// Reserved address 2500 [0x9c4]

// Reserved address 2504 [0x9c8]

// Reserved address 2508 [0x9cc]

// Reserved address 2512 [0x9d0]

// Reserved address 2516 [0x9d4]

// Reserved address 2520 [0x9d8]

// Reserved address 2524 [0x9dc]

// Reserved address 2528 [0x9e0]

// Reserved address 2532 [0x9e4]

// Reserved address 2536 [0x9e8]

// Reserved address 2540 [0x9ec]

// Reserved address 2544 [0x9f0]

// Reserved address 2548 [0x9f4]

// Reserved address 2552 [0x9f8]

// Reserved address 2556 [0x9fc]

// Reserved address 2560 [0xa00]

// Reserved address 2564 [0xa04]

// Reserved address 2568 [0xa08]

// Reserved address 2572 [0xa0c]

// Reserved address 2576 [0xa10]

// Reserved address 2580 [0xa14]

// Reserved address 2584 [0xa18]

// Reserved address 2588 [0xa1c]

// Reserved address 2592 [0xa20]

// Reserved address 2596 [0xa24]

// Reserved address 2600 [0xa28]

// Reserved address 2604 [0xa2c]

// Reserved address 2608 [0xa30]

// Reserved address 2612 [0xa34]

// Reserved address 2616 [0xa38]

// Reserved address 2620 [0xa3c]

// Reserved address 2624 [0xa40]

// Reserved address 2628 [0xa44]

// Reserved address 2632 [0xa48]

// Reserved address 2636 [0xa4c]

// Reserved address 2640 [0xa50]

// Reserved address 2644 [0xa54]

// Reserved address 2648 [0xa58]

// Reserved address 2652 [0xa5c]

// Reserved address 2656 [0xa60]

// Reserved address 2660 [0xa64]

// Reserved address 2664 [0xa68]

// Reserved address 2668 [0xa6c]

// Reserved address 2672 [0xa70]

// Reserved address 2676 [0xa74]

// Reserved address 2680 [0xa78]

// Reserved address 2684 [0xa7c]

// Reserved address 2688 [0xa80]

// Reserved address 2692 [0xa84]

// Reserved address 2696 [0xa88]

// Reserved address 2700 [0xa8c]

// Reserved address 2704 [0xa90]

// Reserved address 2708 [0xa94]

// Reserved address 2712 [0xa98]

// Reserved address 2716 [0xa9c]

// Reserved address 2720 [0xaa0]

// Reserved address 2724 [0xaa4]

// Reserved address 2728 [0xaa8]

// Reserved address 2732 [0xaac]

// Reserved address 2736 [0xab0]

// Reserved address 2740 [0xab4]

// Reserved address 2744 [0xab8]

// Reserved address 2748 [0xabc]

// Reserved address 2752 [0xac0]

// Reserved address 2756 [0xac4]

// Reserved address 2760 [0xac8]

// Reserved address 2764 [0xacc]

// Reserved address 2768 [0xad0]

// Reserved address 2772 [0xad4]

// Reserved address 2776 [0xad8]

// Reserved address 2780 [0xadc]

// Reserved address 2784 [0xae0]

// Reserved address 2788 [0xae4]

// Reserved address 2792 [0xae8]

// Reserved address 2796 [0xaec]

// Reserved address 2800 [0xaf0]

// Reserved address 2804 [0xaf4]

// Reserved address 2808 [0xaf8]

// Reserved address 2812 [0xafc]

// Reserved address 2816 [0xb00]

// Reserved address 2820 [0xb04]

// Reserved address 2824 [0xb08]

// Reserved address 2828 [0xb0c]

// Reserved address 2832 [0xb10]

// Reserved address 2836 [0xb14]

// Reserved address 2840 [0xb18]

// Reserved address 2844 [0xb1c]

// Reserved address 2848 [0xb20]

// Reserved address 2852 [0xb24]

// Reserved address 2856 [0xb28]

// Reserved address 2860 [0xb2c]

// Reserved address 2864 [0xb30]

// Reserved address 2868 [0xb34]

// Reserved address 2872 [0xb38]

// Reserved address 2876 [0xb3c]

// Reserved address 2880 [0xb40]

// Reserved address 2884 [0xb44]

// Reserved address 2888 [0xb48]

// Reserved address 2892 [0xb4c]

// Reserved address 2896 [0xb50]

// Reserved address 2900 [0xb54]

// Reserved address 2904 [0xb58]

// Reserved address 2908 [0xb5c]

// Reserved address 2912 [0xb60]

// Reserved address 2916 [0xb64]

// Reserved address 2920 [0xb68]

// Reserved address 2924 [0xb6c]

// Reserved address 2928 [0xb70]

// Reserved address 2932 [0xb74]

// Reserved address 2936 [0xb78]

// Reserved address 2940 [0xb7c]

// Reserved address 2944 [0xb80]

// Reserved address 2948 [0xb84]

// Reserved address 2952 [0xb88]

// Reserved address 2956 [0xb8c]

// Reserved address 2960 [0xb90]

// Reserved address 2964 [0xb94]

// Reserved address 2968 [0xb98]

// Reserved address 2972 [0xb9c]

// Reserved address 2976 [0xba0]

// Reserved address 2980 [0xba4]

// Reserved address 2984 [0xba8]

// Reserved address 2988 [0xbac]

// Reserved address 2992 [0xbb0]

// Reserved address 2996 [0xbb4]

// Reserved address 3000 [0xbb8]

// Reserved address 3004 [0xbbc]

// Reserved address 3008 [0xbc0]

// Reserved address 3012 [0xbc4]

// Reserved address 3016 [0xbc8]

// Reserved address 3020 [0xbcc]

// Reserved address 3024 [0xbd0]

// Reserved address 3028 [0xbd4]

// Reserved address 3032 [0xbd8]

// Reserved address 3036 [0xbdc]

// Reserved address 3040 [0xbe0]

// Reserved address 3044 [0xbe4]

// Reserved address 3048 [0xbe8]

// Reserved address 3052 [0xbec]

// Reserved address 3056 [0xbf0]

// Reserved address 3060 [0xbf4]

// Reserved address 3064 [0xbf8]

// Reserved address 3068 [0xbfc]

// Reserved address 3072 [0xc00]

// Reserved address 3076 [0xc04]

// Reserved address 3080 [0xc08]

// Reserved address 3084 [0xc0c]

// Reserved address 3088 [0xc10]

// Reserved address 3092 [0xc14]

// Reserved address 3096 [0xc18]

// Reserved address 3100 [0xc1c]

// Reserved address 3104 [0xc20]

// Reserved address 3108 [0xc24]

// Reserved address 3112 [0xc28]

// Reserved address 3116 [0xc2c]

// Reserved address 3120 [0xc30]

// Reserved address 3124 [0xc34]

// Reserved address 3128 [0xc38]

// Reserved address 3132 [0xc3c]

// Reserved address 3136 [0xc40]

// Reserved address 3140 [0xc44]

// Reserved address 3144 [0xc48]

// Reserved address 3148 [0xc4c]

// Reserved address 3152 [0xc50]

// Reserved address 3156 [0xc54]

// Reserved address 3160 [0xc58]

// Reserved address 3164 [0xc5c]

// Reserved address 3168 [0xc60]

// Reserved address 3172 [0xc64]

// Reserved address 3176 [0xc68]

// Reserved address 3180 [0xc6c]

// Reserved address 3184 [0xc70]

// Reserved address 3188 [0xc74]

// Reserved address 3192 [0xc78]

// Reserved address 3196 [0xc7c]

// Reserved address 3200 [0xc80]

// Reserved address 3204 [0xc84]

// Reserved address 3208 [0xc88]

// Reserved address 3212 [0xc8c]

// Reserved address 3216 [0xc90]

// Reserved address 3220 [0xc94]

// Reserved address 3224 [0xc98]

// Reserved address 3228 [0xc9c]

// Reserved address 3232 [0xca0]

// Reserved address 3236 [0xca4]

// Reserved address 3240 [0xca8]

// Reserved address 3244 [0xcac]

// Reserved address 3248 [0xcb0]

// Reserved address 3252 [0xcb4]

// Reserved address 3256 [0xcb8]

// Reserved address 3260 [0xcbc]

// Reserved address 3264 [0xcc0]

// Reserved address 3268 [0xcc4]

// Reserved address 3272 [0xcc8]

// Reserved address 3276 [0xccc]

// Reserved address 3280 [0xcd0]

// Reserved address 3284 [0xcd4]

// Reserved address 3288 [0xcd8]

// Reserved address 3292 [0xcdc]

// Reserved address 3296 [0xce0]

// Reserved address 3300 [0xce4]

// Reserved address 3304 [0xce8]

// Reserved address 3308 [0xcec]

// Reserved address 3312 [0xcf0]

// Reserved address 3316 [0xcf4]

// Reserved address 3320 [0xcf8]

// Reserved address 3324 [0xcfc]

// Reserved address 3328 [0xd00]

// Reserved address 3332 [0xd04]

// Reserved address 3336 [0xd08]

// Reserved address 3340 [0xd0c]

// Reserved address 3344 [0xd10]

// Reserved address 3348 [0xd14]

// Reserved address 3352 [0xd18]

// Reserved address 3356 [0xd1c]

// Reserved address 3360 [0xd20]

// Reserved address 3364 [0xd24]

// Reserved address 3368 [0xd28]

// Reserved address 3372 [0xd2c]

// Reserved address 3376 [0xd30]

// Reserved address 3380 [0xd34]

// Reserved address 3384 [0xd38]

// Reserved address 3388 [0xd3c]

// Reserved address 3392 [0xd40]

// Reserved address 3396 [0xd44]

// Reserved address 3400 [0xd48]

// Reserved address 3404 [0xd4c]

// Reserved address 3408 [0xd50]

// Reserved address 3412 [0xd54]

// Reserved address 3416 [0xd58]

// Reserved address 3420 [0xd5c]

// Reserved address 3424 [0xd60]

// Reserved address 3428 [0xd64]

// Reserved address 3432 [0xd68]

// Reserved address 3436 [0xd6c]

// Reserved address 3440 [0xd70]

// Reserved address 3444 [0xd74]

// Reserved address 3448 [0xd78]

// Reserved address 3452 [0xd7c]

// Reserved address 3456 [0xd80]

// Reserved address 3460 [0xd84]

// Reserved address 3464 [0xd88]

// Reserved address 3468 [0xd8c]

// Reserved address 3472 [0xd90]

// Reserved address 3476 [0xd94]

// Reserved address 3480 [0xd98]

// Reserved address 3484 [0xd9c]

// Reserved address 3488 [0xda0]

// Reserved address 3492 [0xda4]

// Reserved address 3496 [0xda8]

// Reserved address 3500 [0xdac]

// Reserved address 3504 [0xdb0]

// Reserved address 3508 [0xdb4]

// Reserved address 3512 [0xdb8]

// Reserved address 3516 [0xdbc]

// Reserved address 3520 [0xdc0]

// Reserved address 3524 [0xdc4]

// Reserved address 3528 [0xdc8]

// Reserved address 3532 [0xdcc]

// Reserved address 3536 [0xdd0]

// Reserved address 3540 [0xdd4]

// Reserved address 3544 [0xdd8]

// Reserved address 3548 [0xddc]

// Reserved address 3552 [0xde0]

// Reserved address 3556 [0xde4]

// Reserved address 3560 [0xde8]

// Reserved address 3564 [0xdec]

// Reserved address 3568 [0xdf0]

// Reserved address 3572 [0xdf4]

// Reserved address 3576 [0xdf8]

// Reserved address 3580 [0xdfc]

// Reserved address 3584 [0xe00]

// Reserved address 3588 [0xe04]

// Reserved address 3592 [0xe08]

// Reserved address 3596 [0xe0c]

// Reserved address 3600 [0xe10]

// Reserved address 3604 [0xe14]

// Reserved address 3608 [0xe18]

// Reserved address 3612 [0xe1c]

// Reserved address 3616 [0xe20]

// Reserved address 3620 [0xe24]

// Reserved address 3624 [0xe28]

// Reserved address 3628 [0xe2c]

// Reserved address 3632 [0xe30]

// Reserved address 3636 [0xe34]

// Reserved address 3640 [0xe38]

// Reserved address 3644 [0xe3c]

// Reserved address 3648 [0xe40]

// Reserved address 3652 [0xe44]

// Reserved address 3656 [0xe48]

// Reserved address 3660 [0xe4c]

// Reserved address 3664 [0xe50]

// Reserved address 3668 [0xe54]

// Reserved address 3672 [0xe58]

// Reserved address 3676 [0xe5c]

// Reserved address 3680 [0xe60]

// Reserved address 3684 [0xe64]

// Reserved address 3688 [0xe68]

// Reserved address 3692 [0xe6c]

// Reserved address 3696 [0xe70]

// Reserved address 3700 [0xe74]

// Reserved address 3704 [0xe78]

// Reserved address 3708 [0xe7c]

// Reserved address 3712 [0xe80]

// Reserved address 3716 [0xe84]

// Reserved address 3720 [0xe88]

// Reserved address 3724 [0xe8c]

// Reserved address 3728 [0xe90]

// Reserved address 3732 [0xe94]

// Reserved address 3736 [0xe98]

// Reserved address 3740 [0xe9c]

// Reserved address 3744 [0xea0]

// Reserved address 3748 [0xea4]

// Reserved address 3752 [0xea8]

// Reserved address 3756 [0xeac]

// Reserved address 3760 [0xeb0]

// Reserved address 3764 [0xeb4]

// Reserved address 3768 [0xeb8]

// Reserved address 3772 [0xebc]

// Reserved address 3776 [0xec0]

// Reserved address 3780 [0xec4]

// Reserved address 3784 [0xec8]

// Reserved address 3788 [0xecc]

// Reserved address 3792 [0xed0]

// Reserved address 3796 [0xed4]

// Reserved address 3800 [0xed8]

// Reserved address 3804 [0xedc]

// Reserved address 3808 [0xee0]

// Reserved address 3812 [0xee4]

// Reserved address 3816 [0xee8]

// Reserved address 3820 [0xeec]

// Reserved address 3824 [0xef0]

// Reserved address 3828 [0xef4]

// Reserved address 3832 [0xef8]

// Reserved address 3836 [0xefc]

// Reserved address 3840 [0xf00]

// Reserved address 3844 [0xf04]

// Reserved address 3848 [0xf08]

// Reserved address 3852 [0xf0c]

// Reserved address 3856 [0xf10]

// Reserved address 3860 [0xf14]

// Reserved address 3864 [0xf18]

// Reserved address 3868 [0xf1c]

// Reserved address 3872 [0xf20]

// Reserved address 3876 [0xf24]

// Reserved address 3880 [0xf28]

// Reserved address 3884 [0xf2c]

// Reserved address 3888 [0xf30]

// Reserved address 3892 [0xf34]

// Reserved address 3896 [0xf38]

// Reserved address 3900 [0xf3c]

// Reserved address 3904 [0xf40]

// Reserved address 3908 [0xf44]

// Reserved address 3912 [0xf48]

// Reserved address 3916 [0xf4c]

// Reserved address 3920 [0xf50]

// Reserved address 3924 [0xf54]

// Reserved address 3928 [0xf58]

// Reserved address 3932 [0xf5c]

// Reserved address 3936 [0xf60]

// Reserved address 3940 [0xf64]

// Reserved address 3944 [0xf68]

// Reserved address 3948 [0xf6c]

// Reserved address 3952 [0xf70]

// Reserved address 3956 [0xf74]

// Reserved address 3960 [0xf78]

// Reserved address 3964 [0xf7c]

// Reserved address 3968 [0xf80]

// Reserved address 3972 [0xf84]

// Reserved address 3976 [0xf88]

// Reserved address 3980 [0xf8c]

// Reserved address 3984 [0xf90]

// Reserved address 3988 [0xf94]

// Reserved address 3992 [0xf98]

// Reserved address 3996 [0xf9c]

// Reserved address 4000 [0xfa0]

// Reserved address 4004 [0xfa4]

// Reserved address 4008 [0xfa8]

// Reserved address 4012 [0xfac]

// Reserved address 4016 [0xfb0]

// Reserved address 4020 [0xfb4]

// Reserved address 4024 [0xfb8]

// Reserved address 4028 [0xfbc]

// Reserved address 4032 [0xfc0]

// Reserved address 4036 [0xfc4]

// Reserved address 4040 [0xfc8]

// Reserved address 4044 [0xfcc]

// Register SYSCTR0_COUNTERID4_0
#define SYSCTR0_COUNTERID4_0                    _MK_ADDR_CONST(0xfd0)
#define SYSCTR0_COUNTERID4_0_SECURE                     0x0
#define SYSCTR0_COUNTERID4_0_SCR                        0
#define SYSCTR0_COUNTERID4_0_WORD_COUNT                         0x1
#define SYSCTR0_COUNTERID4_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID4_0_RESET_MASK                         _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID4_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID4_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID4_0_READ_MASK                  _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID4_0_WRITE_MASK                         _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID4_0_VALUE_SHIFT                        _MK_SHIFT_CONST(0)
#define SYSCTR0_COUNTERID4_0_VALUE_FIELD                        _MK_FIELD_CONST(0xff, SYSCTR0_COUNTERID4_0_VALUE_SHIFT)
#define SYSCTR0_COUNTERID4_0_VALUE_RANGE                        7:0
#define SYSCTR0_COUNTERID4_0_VALUE_WOFFSET                      0x0
#define SYSCTR0_COUNTERID4_0_VALUE_DEFAULT                      _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID4_0_VALUE_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID4_0_VALUE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID4_0_VALUE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register SYSCTR0_COUNTERID5_0
#define SYSCTR0_COUNTERID5_0                    _MK_ADDR_CONST(0xfd4)
#define SYSCTR0_COUNTERID5_0_SECURE                     0x0
#define SYSCTR0_COUNTERID5_0_SCR                        0
#define SYSCTR0_COUNTERID5_0_WORD_COUNT                         0x1
#define SYSCTR0_COUNTERID5_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID5_0_RESET_MASK                         _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID5_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID5_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID5_0_READ_MASK                  _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID5_0_WRITE_MASK                         _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID5_0_RESERVED_SHIFT                     _MK_SHIFT_CONST(0)
#define SYSCTR0_COUNTERID5_0_RESERVED_FIELD                     _MK_FIELD_CONST(0xff, SYSCTR0_COUNTERID5_0_RESERVED_SHIFT)
#define SYSCTR0_COUNTERID5_0_RESERVED_RANGE                     7:0
#define SYSCTR0_COUNTERID5_0_RESERVED_WOFFSET                   0x0
#define SYSCTR0_COUNTERID5_0_RESERVED_DEFAULT                   _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID5_0_RESERVED_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID5_0_RESERVED_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID5_0_RESERVED_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)


// Register SYSCTR0_COUNTERID6_0
#define SYSCTR0_COUNTERID6_0                    _MK_ADDR_CONST(0xfd8)
#define SYSCTR0_COUNTERID6_0_SECURE                     0x0
#define SYSCTR0_COUNTERID6_0_SCR                        0
#define SYSCTR0_COUNTERID6_0_WORD_COUNT                         0x1
#define SYSCTR0_COUNTERID6_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID6_0_RESET_MASK                         _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID6_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID6_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID6_0_READ_MASK                  _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID6_0_WRITE_MASK                         _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID6_0_RESERVED_SHIFT                     _MK_SHIFT_CONST(0)
#define SYSCTR0_COUNTERID6_0_RESERVED_FIELD                     _MK_FIELD_CONST(0xff, SYSCTR0_COUNTERID6_0_RESERVED_SHIFT)
#define SYSCTR0_COUNTERID6_0_RESERVED_RANGE                     7:0
#define SYSCTR0_COUNTERID6_0_RESERVED_WOFFSET                   0x0
#define SYSCTR0_COUNTERID6_0_RESERVED_DEFAULT                   _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID6_0_RESERVED_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID6_0_RESERVED_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID6_0_RESERVED_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)


// Register SYSCTR0_COUNTERID7_0
#define SYSCTR0_COUNTERID7_0                    _MK_ADDR_CONST(0xfdc)
#define SYSCTR0_COUNTERID7_0_SECURE                     0x0
#define SYSCTR0_COUNTERID7_0_SCR                        0
#define SYSCTR0_COUNTERID7_0_WORD_COUNT                         0x1
#define SYSCTR0_COUNTERID7_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID7_0_RESET_MASK                         _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID7_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID7_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID7_0_READ_MASK                  _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID7_0_WRITE_MASK                         _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID7_0_RESERVED_SHIFT                     _MK_SHIFT_CONST(0)
#define SYSCTR0_COUNTERID7_0_RESERVED_FIELD                     _MK_FIELD_CONST(0xff, SYSCTR0_COUNTERID7_0_RESERVED_SHIFT)
#define SYSCTR0_COUNTERID7_0_RESERVED_RANGE                     7:0
#define SYSCTR0_COUNTERID7_0_RESERVED_WOFFSET                   0x0
#define SYSCTR0_COUNTERID7_0_RESERVED_DEFAULT                   _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID7_0_RESERVED_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID7_0_RESERVED_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID7_0_RESERVED_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)


// Register SYSCTR0_COUNTERID0_0
#define SYSCTR0_COUNTERID0_0                    _MK_ADDR_CONST(0xfe0)
#define SYSCTR0_COUNTERID0_0_SECURE                     0x0
#define SYSCTR0_COUNTERID0_0_SCR                        0
#define SYSCTR0_COUNTERID0_0_WORD_COUNT                         0x1
#define SYSCTR0_COUNTERID0_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID0_0_RESET_MASK                         _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID0_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID0_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID0_0_READ_MASK                  _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID0_0_WRITE_MASK                         _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID0_0_VALUE_SHIFT                        _MK_SHIFT_CONST(0)
#define SYSCTR0_COUNTERID0_0_VALUE_FIELD                        _MK_FIELD_CONST(0xff, SYSCTR0_COUNTERID0_0_VALUE_SHIFT)
#define SYSCTR0_COUNTERID0_0_VALUE_RANGE                        7:0
#define SYSCTR0_COUNTERID0_0_VALUE_WOFFSET                      0x0
#define SYSCTR0_COUNTERID0_0_VALUE_DEFAULT                      _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID0_0_VALUE_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID0_0_VALUE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID0_0_VALUE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register SYSCTR0_COUNTERID1_0
#define SYSCTR0_COUNTERID1_0                    _MK_ADDR_CONST(0xfe4)
#define SYSCTR0_COUNTERID1_0_SECURE                     0x0
#define SYSCTR0_COUNTERID1_0_SCR                        0
#define SYSCTR0_COUNTERID1_0_WORD_COUNT                         0x1
#define SYSCTR0_COUNTERID1_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID1_0_RESET_MASK                         _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID1_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID1_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID1_0_READ_MASK                  _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID1_0_WRITE_MASK                         _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID1_0_VALUE_SHIFT                        _MK_SHIFT_CONST(0)
#define SYSCTR0_COUNTERID1_0_VALUE_FIELD                        _MK_FIELD_CONST(0xff, SYSCTR0_COUNTERID1_0_VALUE_SHIFT)
#define SYSCTR0_COUNTERID1_0_VALUE_RANGE                        7:0
#define SYSCTR0_COUNTERID1_0_VALUE_WOFFSET                      0x0
#define SYSCTR0_COUNTERID1_0_VALUE_DEFAULT                      _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID1_0_VALUE_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID1_0_VALUE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID1_0_VALUE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register SYSCTR0_COUNTERID2_0
#define SYSCTR0_COUNTERID2_0                    _MK_ADDR_CONST(0xfe8)
#define SYSCTR0_COUNTERID2_0_SECURE                     0x0
#define SYSCTR0_COUNTERID2_0_SCR                        0
#define SYSCTR0_COUNTERID2_0_WORD_COUNT                         0x1
#define SYSCTR0_COUNTERID2_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID2_0_RESET_MASK                         _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID2_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID2_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID2_0_READ_MASK                  _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID2_0_WRITE_MASK                         _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID2_0_VALUE_SHIFT                        _MK_SHIFT_CONST(0)
#define SYSCTR0_COUNTERID2_0_VALUE_FIELD                        _MK_FIELD_CONST(0xff, SYSCTR0_COUNTERID2_0_VALUE_SHIFT)
#define SYSCTR0_COUNTERID2_0_VALUE_RANGE                        7:0
#define SYSCTR0_COUNTERID2_0_VALUE_WOFFSET                      0x0
#define SYSCTR0_COUNTERID2_0_VALUE_DEFAULT                      _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID2_0_VALUE_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID2_0_VALUE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID2_0_VALUE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register SYSCTR0_COUNTERID3_0
#define SYSCTR0_COUNTERID3_0                    _MK_ADDR_CONST(0xfec)
#define SYSCTR0_COUNTERID3_0_SECURE                     0x0
#define SYSCTR0_COUNTERID3_0_SCR                        0
#define SYSCTR0_COUNTERID3_0_WORD_COUNT                         0x1
#define SYSCTR0_COUNTERID3_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID3_0_RESET_MASK                         _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID3_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID3_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID3_0_READ_MASK                  _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID3_0_WRITE_MASK                         _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID3_0_VALUE_SHIFT                        _MK_SHIFT_CONST(0)
#define SYSCTR0_COUNTERID3_0_VALUE_FIELD                        _MK_FIELD_CONST(0xff, SYSCTR0_COUNTERID3_0_VALUE_SHIFT)
#define SYSCTR0_COUNTERID3_0_VALUE_RANGE                        7:0
#define SYSCTR0_COUNTERID3_0_VALUE_WOFFSET                      0x0
#define SYSCTR0_COUNTERID3_0_VALUE_DEFAULT                      _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID3_0_VALUE_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID3_0_VALUE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID3_0_VALUE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register SYSCTR0_COUNTERID8_0
#define SYSCTR0_COUNTERID8_0                    _MK_ADDR_CONST(0xff0)
#define SYSCTR0_COUNTERID8_0_SECURE                     0x0
#define SYSCTR0_COUNTERID8_0_SCR                        0
#define SYSCTR0_COUNTERID8_0_WORD_COUNT                         0x1
#define SYSCTR0_COUNTERID8_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID8_0_RESET_MASK                         _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID8_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID8_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID8_0_READ_MASK                  _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID8_0_WRITE_MASK                         _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID8_0_VALUE_SHIFT                        _MK_SHIFT_CONST(0)
#define SYSCTR0_COUNTERID8_0_VALUE_FIELD                        _MK_FIELD_CONST(0xff, SYSCTR0_COUNTERID8_0_VALUE_SHIFT)
#define SYSCTR0_COUNTERID8_0_VALUE_RANGE                        7:0
#define SYSCTR0_COUNTERID8_0_VALUE_WOFFSET                      0x0
#define SYSCTR0_COUNTERID8_0_VALUE_DEFAULT                      _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID8_0_VALUE_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID8_0_VALUE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID8_0_VALUE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register SYSCTR0_COUNTERID9_0
#define SYSCTR0_COUNTERID9_0                    _MK_ADDR_CONST(0xff4)
#define SYSCTR0_COUNTERID9_0_SECURE                     0x0
#define SYSCTR0_COUNTERID9_0_SCR                        0
#define SYSCTR0_COUNTERID9_0_WORD_COUNT                         0x1
#define SYSCTR0_COUNTERID9_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID9_0_RESET_MASK                         _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID9_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID9_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID9_0_READ_MASK                  _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID9_0_WRITE_MASK                         _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID9_0_VALUE_SHIFT                        _MK_SHIFT_CONST(0)
#define SYSCTR0_COUNTERID9_0_VALUE_FIELD                        _MK_FIELD_CONST(0xff, SYSCTR0_COUNTERID9_0_VALUE_SHIFT)
#define SYSCTR0_COUNTERID9_0_VALUE_RANGE                        7:0
#define SYSCTR0_COUNTERID9_0_VALUE_WOFFSET                      0x0
#define SYSCTR0_COUNTERID9_0_VALUE_DEFAULT                      _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID9_0_VALUE_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID9_0_VALUE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID9_0_VALUE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register SYSCTR0_COUNTERID10_0
#define SYSCTR0_COUNTERID10_0                   _MK_ADDR_CONST(0xff8)
#define SYSCTR0_COUNTERID10_0_SECURE                    0x0
#define SYSCTR0_COUNTERID10_0_SCR                       0
#define SYSCTR0_COUNTERID10_0_WORD_COUNT                        0x1
#define SYSCTR0_COUNTERID10_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID10_0_RESET_MASK                        _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID10_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID10_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID10_0_READ_MASK                         _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID10_0_WRITE_MASK                        _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID10_0_VALUE_SHIFT                       _MK_SHIFT_CONST(0)
#define SYSCTR0_COUNTERID10_0_VALUE_FIELD                       _MK_FIELD_CONST(0xff, SYSCTR0_COUNTERID10_0_VALUE_SHIFT)
#define SYSCTR0_COUNTERID10_0_VALUE_RANGE                       7:0
#define SYSCTR0_COUNTERID10_0_VALUE_WOFFSET                     0x0
#define SYSCTR0_COUNTERID10_0_VALUE_DEFAULT                     _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID10_0_VALUE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID10_0_VALUE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID10_0_VALUE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)


// Register SYSCTR0_COUNTERID11_0
#define SYSCTR0_COUNTERID11_0                   _MK_ADDR_CONST(0xffc)
#define SYSCTR0_COUNTERID11_0_SECURE                    0x0
#define SYSCTR0_COUNTERID11_0_SCR                       0
#define SYSCTR0_COUNTERID11_0_WORD_COUNT                        0x1
#define SYSCTR0_COUNTERID11_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID11_0_RESET_MASK                        _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID11_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID11_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID11_0_READ_MASK                         _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID11_0_WRITE_MASK                        _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID11_0_VALUE_SHIFT                       _MK_SHIFT_CONST(0)
#define SYSCTR0_COUNTERID11_0_VALUE_FIELD                       _MK_FIELD_CONST(0xff, SYSCTR0_COUNTERID11_0_VALUE_SHIFT)
#define SYSCTR0_COUNTERID11_0_VALUE_RANGE                       7:0
#define SYSCTR0_COUNTERID11_0_VALUE_WOFFSET                     0x0
#define SYSCTR0_COUNTERID11_0_VALUE_DEFAULT                     _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID11_0_VALUE_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define SYSCTR0_COUNTERID11_0_VALUE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SYSCTR0_COUNTERID11_0_VALUE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)


//
// REGISTER LIST
//
#define LIST_ARSYSCTR0_REGS(_op_) \
_op_(SYSCTR0_CNTCR_0) \
_op_(SYSCTR0_CNTSR_0) \
_op_(SYSCTR0_CNTCV0_0) \
_op_(SYSCTR0_CNTCV1_0) \
_op_(SYSCTR0_CNTFID0_0) \
_op_(SYSCTR0_CNTFID1_0) \
_op_(SYSCTR0_COUNTERID4_0) \
_op_(SYSCTR0_COUNTERID5_0) \
_op_(SYSCTR0_COUNTERID6_0) \
_op_(SYSCTR0_COUNTERID7_0) \
_op_(SYSCTR0_COUNTERID0_0) \
_op_(SYSCTR0_COUNTERID1_0) \
_op_(SYSCTR0_COUNTERID2_0) \
_op_(SYSCTR0_COUNTERID3_0) \
_op_(SYSCTR0_COUNTERID8_0) \
_op_(SYSCTR0_COUNTERID9_0) \
_op_(SYSCTR0_COUNTERID10_0) \
_op_(SYSCTR0_COUNTERID11_0)


//
// ADDRESS SPACES
//

#define BASE_ADDRESS_SYSCTR0    0x00000000

//
// ARSYSCTR0 REGISTER BANKS
//

#define SYSCTR00_FIRST_REG 0x0000 // SYSCTR0_CNTCR_0
#define SYSCTR00_LAST_REG 0x000c // SYSCTR0_CNTCV1_0
#define SYSCTR01_FIRST_REG 0x0020 // SYSCTR0_CNTFID0_0
#define SYSCTR01_LAST_REG 0x0024 // SYSCTR0_CNTFID1_0
#define SYSCTR02_FIRST_REG 0x0fd0 // SYSCTR0_COUNTERID4_0
#define SYSCTR02_LAST_REG 0x0ffc // SYSCTR0_COUNTERID11_0

// To satisfy various compilers and platforms,
// we let users control the types and syntax of certain constants, using macros.
#ifndef _MK_SHIFT_CONST
  #define _MK_SHIFT_CONST(_constant_) _constant_
#endif
#ifndef _MK_MASK_CONST
  #define _MK_MASK_CONST(_constant_) _constant_
#endif
#ifndef _MK_ENUM_CONST
  #define _MK_ENUM_CONST(_constant_) (_constant_ ## UL)
#endif
#ifndef _MK_ADDR_CONST
  #define _MK_ADDR_CONST(_constant_) _constant_
#endif
#ifndef _MK_FIELD_CONST
  #define _MK_FIELD_CONST(_mask_, _shift_) (_MK_MASK_CONST(_mask_) << _MK_SHIFT_CONST(_shift_))
#endif

#endif // ifndef ___ARSYSCTR0_H_INC_
