/*
 * Copyright (c) 2017 NVIDIA Corporation.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *  * Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *  * Neither the name of NVIDIA CORPORATION nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef HOST1X_MODULE_IDS_H_INC
#define HOST1X_MODULE_IDS_H_INC

#define NV_HOST1X_MODULEID_HOST1X        0x0
#define NV_HOST1X_MODULEID_DPAUX1        0x1
#define NV_HOST1X_MODULEID_VI            0x2
#define NV_HOST1X_MODULEID_EPP           0x3
#define NV_HOST1X_MODULEID_TSECB         0x4
#define NV_HOST1X_MODULEID_GR2D          0x5
#define NV_HOST1X_MODULEID_GR3D          0x6
#define NV_HOST1X_MODULEID_CSI3          0x7
#define NV_HOST1X_MODULEID_DISPLAY       0x8
#define NV_HOST1X_MODULEID_DISPLAYB      0x9
#define NV_HOST1X_MODULEID_DISP          0x8
#define NV_HOST1X_MODULEID_DISPB         0x9
#define NV_HOST1X_MODULEID_HDMI          0xA
#define NV_HOST1X_MODULEID_TVO           0xB
#define NV_HOST1X_MODULEID_DSI           0xC
#define NV_HOST1X_MODULEID_VIC           0xD
#define NV_HOST1X_MODULEID_NVJPG         0xE
#define NV_HOST1X_MODULEID_CSI           0xF
#define NV_HOST1X_MODULEID_DSIB          0x10
#define NV_HOST1X_MODULEID_GPU           0x11
#define NV_HOST1X_MODULEID_NVDEC         0x12
#define NV_HOST1X_MODULEID_NVENC         0x13
#define NV_HOST1X_MODULEID_TSEC          0x14
#define NV_HOST1X_MODULEID_SOR           0x15
#define NV_HOST1X_MODULEID_SOR1          0x16
#define NV_HOST1X_MODULEID_DPAUX         0x17
#define NV_HOST1X_MODULEID_ISP           0x18
#define NV_HOST1X_MODULEID_DISPLAYC      0x19
#define NV_HOST1X_MODULEID_ISPB          0x1A
#define NV_HOST1X_MODULEID_VII2C         0x1B
#define NV_HOST1X_MODULEID_SYNCPT_CPU0   0x1E
#define NV_HOST1X_MODULEID_SYNCPT_CPU1   0x1F
#endif

