//
// Copyright (c) 2018 NVIDIA Corporation.
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are met:
//
// Redistributions of source code must retain the above copyright notice,
// this list of conditions and the following disclaimer.
//
// Redistributions in binary form must reproduce the above copyright notice,
// this list of conditions and the following disclaimer in the documentation
// and/or other materials provided with the distribution.
//
// Neither the name of the NVIDIA Corporation nor the names of its contributors
// may be used to endorse or promote products derived from this software
// without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
// ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
// LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
// CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
// SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
// INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
// CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
// POSSIBILITY OF SUCH DAMAGE.
//

//
// DO NOT EDIT - generated by simspec!
//

#ifndef ___ARRTC_H_INC_
#define ___ARRTC_H_INC_
#define NV_MOBILE_ARRTC_H_UNIT_OF_OFFSET 1B


// Register APBDEV_RTC_CONTROL_0
#define APBDEV_RTC_CONTROL_0                    _MK_ADDR_CONST(0x0)
#define APBDEV_RTC_CONTROL_0_SECURE                     0x0
#define APBDEV_RTC_CONTROL_0_DUAL                       0x0
#define APBDEV_RTC_CONTROL_0_SCR                        0
#define APBDEV_RTC_CONTROL_0_WORD_COUNT                         0x1
#define APBDEV_RTC_CONTROL_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define APBDEV_RTC_CONTROL_0_RESET_MASK                         _MK_MASK_CONST(0x1)
#define APBDEV_RTC_CONTROL_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_CONTROL_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBDEV_RTC_CONTROL_0_READ_MASK                  _MK_MASK_CONST(0x1)
#define APBDEV_RTC_CONTROL_0_WRITE_MASK                         _MK_MASK_CONST(0x1)
#define APBDEV_RTC_CONTROL_0_WR_SEC_CNT_SHIFT                   _MK_SHIFT_CONST(0)
#define APBDEV_RTC_CONTROL_0_WR_SEC_CNT_FIELD                   _MK_FIELD_CONST(0x1, APBDEV_RTC_CONTROL_0_WR_SEC_CNT_SHIFT)
#define APBDEV_RTC_CONTROL_0_WR_SEC_CNT_RANGE                   0:0
#define APBDEV_RTC_CONTROL_0_WR_SEC_CNT_WOFFSET                 0x0
#define APBDEV_RTC_CONTROL_0_WR_SEC_CNT_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBDEV_RTC_CONTROL_0_WR_SEC_CNT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBDEV_RTC_CONTROL_0_WR_SEC_CNT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBDEV_RTC_CONTROL_0_WR_SEC_CNT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBDEV_RTC_CONTROL_0_WR_SEC_CNT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define APBDEV_RTC_CONTROL_0_WR_SEC_CNT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define APBDEV_RTC_CONTROL_0_WR_SEC_CNT_DISABLE                 _MK_ENUM_CONST(0)
#define APBDEV_RTC_CONTROL_0_WR_SEC_CNT_ENABLE                  _MK_ENUM_CONST(1)


// Register APBDEV_RTC_BUSY_0
#define APBDEV_RTC_BUSY_0                       _MK_ADDR_CONST(0x4)
#define APBDEV_RTC_BUSY_0_SECURE                        0x0
#define APBDEV_RTC_BUSY_0_DUAL                  0x0
#define APBDEV_RTC_BUSY_0_SCR                   0
#define APBDEV_RTC_BUSY_0_WORD_COUNT                    0x1
#define APBDEV_RTC_BUSY_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_BUSY_0_RESET_MASK                    _MK_MASK_CONST(0x1)
#define APBDEV_RTC_BUSY_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define APBDEV_RTC_BUSY_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBDEV_RTC_BUSY_0_READ_MASK                     _MK_MASK_CONST(0x1)
#define APBDEV_RTC_BUSY_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define APBDEV_RTC_BUSY_0_STATUS_SHIFT                  _MK_SHIFT_CONST(0)
#define APBDEV_RTC_BUSY_0_STATUS_FIELD                  _MK_FIELD_CONST(0x1, APBDEV_RTC_BUSY_0_STATUS_SHIFT)
#define APBDEV_RTC_BUSY_0_STATUS_RANGE                  0:0
#define APBDEV_RTC_BUSY_0_STATUS_WOFFSET                        0x0
#define APBDEV_RTC_BUSY_0_STATUS_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBDEV_RTC_BUSY_0_STATUS_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBDEV_RTC_BUSY_0_STATUS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_BUSY_0_STATUS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBDEV_RTC_BUSY_0_STATUS_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define APBDEV_RTC_BUSY_0_STATUS_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define APBDEV_RTC_BUSY_0_STATUS_IDLE                   _MK_ENUM_CONST(0)
#define APBDEV_RTC_BUSY_0_STATUS_BUSY                   _MK_ENUM_CONST(1)


// Register APBDEV_RTC_SECONDS_0
#define APBDEV_RTC_SECONDS_0                    _MK_ADDR_CONST(0x8)
#define APBDEV_RTC_SECONDS_0_SECURE                     0x0
#define APBDEV_RTC_SECONDS_0_DUAL                       0x0
#define APBDEV_RTC_SECONDS_0_SCR                        0
#define APBDEV_RTC_SECONDS_0_WORD_COUNT                         0x1
#define APBDEV_RTC_SECONDS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define APBDEV_RTC_SECONDS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define APBDEV_RTC_SECONDS_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define APBDEV_RTC_SECONDS_0_SECONDS_SHIFT                      _MK_SHIFT_CONST(0)
#define APBDEV_RTC_SECONDS_0_SECONDS_FIELD                      _MK_FIELD_CONST(0xffffffff, APBDEV_RTC_SECONDS_0_SECONDS_SHIFT)
#define APBDEV_RTC_SECONDS_0_SECONDS_RANGE                      31:0
#define APBDEV_RTC_SECONDS_0_SECONDS_WOFFSET                    0x0
#define APBDEV_RTC_SECONDS_0_SECONDS_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_0_SECONDS_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define APBDEV_RTC_SECONDS_0_SECONDS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_0_SECONDS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_0_SECONDS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_0_SECONDS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register APBDEV_RTC_SHADOW_SECONDS_0
#define APBDEV_RTC_SHADOW_SECONDS_0                     _MK_ADDR_CONST(0xc)
#define APBDEV_RTC_SHADOW_SECONDS_0_SECURE                      0x0
#define APBDEV_RTC_SHADOW_SECONDS_0_DUAL                        0x0
#define APBDEV_RTC_SHADOW_SECONDS_0_SCR                         0
#define APBDEV_RTC_SHADOW_SECONDS_0_WORD_COUNT                  0x1
#define APBDEV_RTC_SHADOW_SECONDS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SHADOW_SECONDS_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define APBDEV_RTC_SHADOW_SECONDS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SHADOW_SECONDS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SHADOW_SECONDS_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define APBDEV_RTC_SHADOW_SECONDS_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SHADOW_SECONDS_0_SHADOW_SECONDS_SHIFT                        _MK_SHIFT_CONST(0)
#define APBDEV_RTC_SHADOW_SECONDS_0_SHADOW_SECONDS_FIELD                        _MK_FIELD_CONST(0xffffffff, APBDEV_RTC_SHADOW_SECONDS_0_SHADOW_SECONDS_SHIFT)
#define APBDEV_RTC_SHADOW_SECONDS_0_SHADOW_SECONDS_RANGE                        31:0
#define APBDEV_RTC_SHADOW_SECONDS_0_SHADOW_SECONDS_WOFFSET                      0x0
#define APBDEV_RTC_SHADOW_SECONDS_0_SHADOW_SECONDS_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SHADOW_SECONDS_0_SHADOW_SECONDS_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define APBDEV_RTC_SHADOW_SECONDS_0_SHADOW_SECONDS_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SHADOW_SECONDS_0_SHADOW_SECONDS_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SHADOW_SECONDS_0_SHADOW_SECONDS_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SHADOW_SECONDS_0_SHADOW_SECONDS_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register APBDEV_RTC_MILLI_SECONDS_0
#define APBDEV_RTC_MILLI_SECONDS_0                      _MK_ADDR_CONST(0x10)
#define APBDEV_RTC_MILLI_SECONDS_0_SECURE                       0x0
#define APBDEV_RTC_MILLI_SECONDS_0_DUAL                         0x0
#define APBDEV_RTC_MILLI_SECONDS_0_SCR                  0
#define APBDEV_RTC_MILLI_SECONDS_0_WORD_COUNT                   0x1
#define APBDEV_RTC_MILLI_SECONDS_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define APBDEV_RTC_MILLI_SECONDS_0_RESET_MASK                   _MK_MASK_CONST(0x3ff)
#define APBDEV_RTC_MILLI_SECONDS_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define APBDEV_RTC_MILLI_SECONDS_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBDEV_RTC_MILLI_SECONDS_0_READ_MASK                    _MK_MASK_CONST(0x3ff)
#define APBDEV_RTC_MILLI_SECONDS_0_WRITE_MASK                   _MK_MASK_CONST(0x0)
#define APBDEV_RTC_MILLI_SECONDS_0_MILLI_SECONDS_SHIFT                  _MK_SHIFT_CONST(0)
#define APBDEV_RTC_MILLI_SECONDS_0_MILLI_SECONDS_FIELD                  _MK_FIELD_CONST(0x3ff, APBDEV_RTC_MILLI_SECONDS_0_MILLI_SECONDS_SHIFT)
#define APBDEV_RTC_MILLI_SECONDS_0_MILLI_SECONDS_RANGE                  9:0
#define APBDEV_RTC_MILLI_SECONDS_0_MILLI_SECONDS_WOFFSET                        0x0
#define APBDEV_RTC_MILLI_SECONDS_0_MILLI_SECONDS_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBDEV_RTC_MILLI_SECONDS_0_MILLI_SECONDS_DEFAULT_MASK                   _MK_MASK_CONST(0x3ff)
#define APBDEV_RTC_MILLI_SECONDS_0_MILLI_SECONDS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_MILLI_SECONDS_0_MILLI_SECONDS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBDEV_RTC_MILLI_SECONDS_0_MILLI_SECONDS_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define APBDEV_RTC_MILLI_SECONDS_0_MILLI_SECONDS_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register APBDEV_RTC_SECONDS_ALARM0_0
#define APBDEV_RTC_SECONDS_ALARM0_0                     _MK_ADDR_CONST(0x14)
#define APBDEV_RTC_SECONDS_ALARM0_0_SECURE                      0x0
#define APBDEV_RTC_SECONDS_ALARM0_0_DUAL                        0x0
#define APBDEV_RTC_SECONDS_ALARM0_0_SCR                         0
#define APBDEV_RTC_SECONDS_ALARM0_0_WORD_COUNT                  0x1
#define APBDEV_RTC_SECONDS_ALARM0_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_ALARM0_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define APBDEV_RTC_SECONDS_ALARM0_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_ALARM0_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_ALARM0_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define APBDEV_RTC_SECONDS_ALARM0_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define APBDEV_RTC_SECONDS_ALARM0_0_SECS_MATCH_VALUE_SHIFT                      _MK_SHIFT_CONST(0)
#define APBDEV_RTC_SECONDS_ALARM0_0_SECS_MATCH_VALUE_FIELD                      _MK_FIELD_CONST(0xffffffff, APBDEV_RTC_SECONDS_ALARM0_0_SECS_MATCH_VALUE_SHIFT)
#define APBDEV_RTC_SECONDS_ALARM0_0_SECS_MATCH_VALUE_RANGE                      31:0
#define APBDEV_RTC_SECONDS_ALARM0_0_SECS_MATCH_VALUE_WOFFSET                    0x0
#define APBDEV_RTC_SECONDS_ALARM0_0_SECS_MATCH_VALUE_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_ALARM0_0_SECS_MATCH_VALUE_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define APBDEV_RTC_SECONDS_ALARM0_0_SECS_MATCH_VALUE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_ALARM0_0_SECS_MATCH_VALUE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_ALARM0_0_SECS_MATCH_VALUE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_ALARM0_0_SECS_MATCH_VALUE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register APBDEV_RTC_SECONDS_ALARM1_0
#define APBDEV_RTC_SECONDS_ALARM1_0                     _MK_ADDR_CONST(0x18)
#define APBDEV_RTC_SECONDS_ALARM1_0_SECURE                      0x0
#define APBDEV_RTC_SECONDS_ALARM1_0_DUAL                        0x0
#define APBDEV_RTC_SECONDS_ALARM1_0_SCR                         0
#define APBDEV_RTC_SECONDS_ALARM1_0_WORD_COUNT                  0x1
#define APBDEV_RTC_SECONDS_ALARM1_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_ALARM1_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define APBDEV_RTC_SECONDS_ALARM1_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_ALARM1_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_ALARM1_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define APBDEV_RTC_SECONDS_ALARM1_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define APBDEV_RTC_SECONDS_ALARM1_0_SECS_MATCH_VALUE_SHIFT                      _MK_SHIFT_CONST(0)
#define APBDEV_RTC_SECONDS_ALARM1_0_SECS_MATCH_VALUE_FIELD                      _MK_FIELD_CONST(0xffffffff, APBDEV_RTC_SECONDS_ALARM1_0_SECS_MATCH_VALUE_SHIFT)
#define APBDEV_RTC_SECONDS_ALARM1_0_SECS_MATCH_VALUE_RANGE                      31:0
#define APBDEV_RTC_SECONDS_ALARM1_0_SECS_MATCH_VALUE_WOFFSET                    0x0
#define APBDEV_RTC_SECONDS_ALARM1_0_SECS_MATCH_VALUE_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_ALARM1_0_SECS_MATCH_VALUE_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define APBDEV_RTC_SECONDS_ALARM1_0_SECS_MATCH_VALUE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_ALARM1_0_SECS_MATCH_VALUE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_ALARM1_0_SECS_MATCH_VALUE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_ALARM1_0_SECS_MATCH_VALUE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register APBDEV_RTC_MILLI_SECONDS_ALARM_0
#define APBDEV_RTC_MILLI_SECONDS_ALARM_0                        _MK_ADDR_CONST(0x1c)
#define APBDEV_RTC_MILLI_SECONDS_ALARM_0_SECURE                         0x0
#define APBDEV_RTC_MILLI_SECONDS_ALARM_0_DUAL                   0x0
#define APBDEV_RTC_MILLI_SECONDS_ALARM_0_SCR                    0
#define APBDEV_RTC_MILLI_SECONDS_ALARM_0_WORD_COUNT                     0x1
#define APBDEV_RTC_MILLI_SECONDS_ALARM_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define APBDEV_RTC_MILLI_SECONDS_ALARM_0_RESET_MASK                     _MK_MASK_CONST(0x3ff)
#define APBDEV_RTC_MILLI_SECONDS_ALARM_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define APBDEV_RTC_MILLI_SECONDS_ALARM_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBDEV_RTC_MILLI_SECONDS_ALARM_0_READ_MASK                      _MK_MASK_CONST(0x3ff)
#define APBDEV_RTC_MILLI_SECONDS_ALARM_0_WRITE_MASK                     _MK_MASK_CONST(0x3ff)
#define APBDEV_RTC_MILLI_SECONDS_ALARM_0_MSEC_MATCH_VALUE_SHIFT                 _MK_SHIFT_CONST(0)
#define APBDEV_RTC_MILLI_SECONDS_ALARM_0_MSEC_MATCH_VALUE_FIELD                 _MK_FIELD_CONST(0x3ff, APBDEV_RTC_MILLI_SECONDS_ALARM_0_MSEC_MATCH_VALUE_SHIFT)
#define APBDEV_RTC_MILLI_SECONDS_ALARM_0_MSEC_MATCH_VALUE_RANGE                 9:0
#define APBDEV_RTC_MILLI_SECONDS_ALARM_0_MSEC_MATCH_VALUE_WOFFSET                       0x0
#define APBDEV_RTC_MILLI_SECONDS_ALARM_0_MSEC_MATCH_VALUE_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBDEV_RTC_MILLI_SECONDS_ALARM_0_MSEC_MATCH_VALUE_DEFAULT_MASK                  _MK_MASK_CONST(0x3ff)
#define APBDEV_RTC_MILLI_SECONDS_ALARM_0_MSEC_MATCH_VALUE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBDEV_RTC_MILLI_SECONDS_ALARM_0_MSEC_MATCH_VALUE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBDEV_RTC_MILLI_SECONDS_ALARM_0_MSEC_MATCH_VALUE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_MILLI_SECONDS_ALARM_0_MSEC_MATCH_VALUE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0                    _MK_ADDR_CONST(0x20)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_SECURE                     0x0
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_DUAL                       0x0
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_SCR                        0
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_WORD_COUNT                         0x1
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_ENABLE_SHIFT                       _MK_SHIFT_CONST(31)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_ENABLE_FIELD                       _MK_FIELD_CONST(0x1, APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_ENABLE_SHIFT)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_ENABLE_RANGE                       31:31
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_ENABLE_WOFFSET                     0x0
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_ENABLE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_ENABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_ENABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_ENABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_ENABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_ENABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_ENABLE_DISABLED                    _MK_ENUM_CONST(0)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_ENABLE_ENABLED                     _MK_ENUM_CONST(1)

#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_REPEAT_SHIFT                       _MK_SHIFT_CONST(30)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_REPEAT_FIELD                       _MK_FIELD_CONST(0x1, APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_REPEAT_SHIFT)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_REPEAT_RANGE                       30:30
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_REPEAT_WOFFSET                     0x0
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_REPEAT_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_REPEAT_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_REPEAT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_REPEAT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_REPEAT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_REPEAT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_REPEAT_DISABLED                    _MK_ENUM_CONST(0)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_REPEAT_ENABLED                     _MK_ENUM_CONST(1)

#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_VALUE_SHIFT                        _MK_SHIFT_CONST(0)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_VALUE_FIELD                        _MK_FIELD_CONST(0x3fffffff, APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_VALUE_SHIFT)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_VALUE_RANGE                        29:0
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_VALUE_WOFFSET                      0x0
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_VALUE_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_VALUE_DEFAULT_MASK                 _MK_MASK_CONST(0x3fffffff)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_VALUE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_VALUE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_VALUE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0_VALUE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0                      _MK_ADDR_CONST(0x24)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_SECURE                       0x0
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_DUAL                         0x0
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_SCR                  0
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_WORD_COUNT                   0x1
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_ENABLE_SHIFT                 _MK_SHIFT_CONST(31)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_ENABLE_FIELD                 _MK_FIELD_CONST(0x1, APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_ENABLE_SHIFT)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_ENABLE_RANGE                 31:31
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_ENABLE_WOFFSET                       0x0
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_ENABLE_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_ENABLE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_ENABLE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_ENABLE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_ENABLE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_ENABLE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_ENABLE_DISABLED                      _MK_ENUM_CONST(0)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_ENABLE_ENABLED                       _MK_ENUM_CONST(1)

#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_REPEAT_SHIFT                 _MK_SHIFT_CONST(30)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_REPEAT_FIELD                 _MK_FIELD_CONST(0x1, APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_REPEAT_SHIFT)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_REPEAT_RANGE                 30:30
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_REPEAT_WOFFSET                       0x0
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_REPEAT_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_REPEAT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_REPEAT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_REPEAT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_REPEAT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_REPEAT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_REPEAT_DISABLED                      _MK_ENUM_CONST(0)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_REPEAT_ENABLED                       _MK_ENUM_CONST(1)

#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_VALUE_SHIFT                  _MK_SHIFT_CONST(0)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_VALUE_FIELD                  _MK_FIELD_CONST(0x3fffffff, APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_VALUE_SHIFT)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_VALUE_RANGE                  29:0
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_VALUE_WOFFSET                        0x0
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_VALUE_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_VALUE_DEFAULT_MASK                   _MK_MASK_CONST(0x3fffffff)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_VALUE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_VALUE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_VALUE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0_VALUE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register APBDEV_RTC_INTR_MASK_0
#define APBDEV_RTC_INTR_MASK_0                  _MK_ADDR_CONST(0x28)
#define APBDEV_RTC_INTR_MASK_0_SECURE                   0x0
#define APBDEV_RTC_INTR_MASK_0_DUAL                     0x0
#define APBDEV_RTC_INTR_MASK_0_SCR                      0
#define APBDEV_RTC_INTR_MASK_0_WORD_COUNT                       0x1
#define APBDEV_RTC_INTR_MASK_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_MASK_0_RESET_MASK                       _MK_MASK_CONST(0x1f)
#define APBDEV_RTC_INTR_MASK_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_MASK_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_MASK_0_READ_MASK                        _MK_MASK_CONST(0x1f)
#define APBDEV_RTC_INTR_MASK_0_WRITE_MASK                       _MK_MASK_CONST(0x1f)
#define APBDEV_RTC_INTR_MASK_0_SEC_ALARM0_SHIFT                 _MK_SHIFT_CONST(0)
#define APBDEV_RTC_INTR_MASK_0_SEC_ALARM0_FIELD                 _MK_FIELD_CONST(0x1, APBDEV_RTC_INTR_MASK_0_SEC_ALARM0_SHIFT)
#define APBDEV_RTC_INTR_MASK_0_SEC_ALARM0_RANGE                 0:0
#define APBDEV_RTC_INTR_MASK_0_SEC_ALARM0_WOFFSET                       0x0
#define APBDEV_RTC_INTR_MASK_0_SEC_ALARM0_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_MASK_0_SEC_ALARM0_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBDEV_RTC_INTR_MASK_0_SEC_ALARM0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_MASK_0_SEC_ALARM0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_MASK_0_SEC_ALARM0_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_MASK_0_SEC_ALARM0_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define APBDEV_RTC_INTR_MASK_0_SEC_ALARM1_SHIFT                 _MK_SHIFT_CONST(1)
#define APBDEV_RTC_INTR_MASK_0_SEC_ALARM1_FIELD                 _MK_FIELD_CONST(0x1, APBDEV_RTC_INTR_MASK_0_SEC_ALARM1_SHIFT)
#define APBDEV_RTC_INTR_MASK_0_SEC_ALARM1_RANGE                 1:1
#define APBDEV_RTC_INTR_MASK_0_SEC_ALARM1_WOFFSET                       0x0
#define APBDEV_RTC_INTR_MASK_0_SEC_ALARM1_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_MASK_0_SEC_ALARM1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBDEV_RTC_INTR_MASK_0_SEC_ALARM1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_MASK_0_SEC_ALARM1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_MASK_0_SEC_ALARM1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_MASK_0_SEC_ALARM1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define APBDEV_RTC_INTR_MASK_0_MSEC_ALARM_SHIFT                 _MK_SHIFT_CONST(2)
#define APBDEV_RTC_INTR_MASK_0_MSEC_ALARM_FIELD                 _MK_FIELD_CONST(0x1, APBDEV_RTC_INTR_MASK_0_MSEC_ALARM_SHIFT)
#define APBDEV_RTC_INTR_MASK_0_MSEC_ALARM_RANGE                 2:2
#define APBDEV_RTC_INTR_MASK_0_MSEC_ALARM_WOFFSET                       0x0
#define APBDEV_RTC_INTR_MASK_0_MSEC_ALARM_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_MASK_0_MSEC_ALARM_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBDEV_RTC_INTR_MASK_0_MSEC_ALARM_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_MASK_0_MSEC_ALARM_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_MASK_0_MSEC_ALARM_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_MASK_0_MSEC_ALARM_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define APBDEV_RTC_INTR_MASK_0_SEC_CDN_ALARM_SHIFT                      _MK_SHIFT_CONST(3)
#define APBDEV_RTC_INTR_MASK_0_SEC_CDN_ALARM_FIELD                      _MK_FIELD_CONST(0x1, APBDEV_RTC_INTR_MASK_0_SEC_CDN_ALARM_SHIFT)
#define APBDEV_RTC_INTR_MASK_0_SEC_CDN_ALARM_RANGE                      3:3
#define APBDEV_RTC_INTR_MASK_0_SEC_CDN_ALARM_WOFFSET                    0x0
#define APBDEV_RTC_INTR_MASK_0_SEC_CDN_ALARM_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_MASK_0_SEC_CDN_ALARM_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBDEV_RTC_INTR_MASK_0_SEC_CDN_ALARM_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_MASK_0_SEC_CDN_ALARM_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_MASK_0_SEC_CDN_ALARM_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_MASK_0_SEC_CDN_ALARM_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define APBDEV_RTC_INTR_MASK_0_MSEC_CDN_ALARM_SHIFT                     _MK_SHIFT_CONST(4)
#define APBDEV_RTC_INTR_MASK_0_MSEC_CDN_ALARM_FIELD                     _MK_FIELD_CONST(0x1, APBDEV_RTC_INTR_MASK_0_MSEC_CDN_ALARM_SHIFT)
#define APBDEV_RTC_INTR_MASK_0_MSEC_CDN_ALARM_RANGE                     4:4
#define APBDEV_RTC_INTR_MASK_0_MSEC_CDN_ALARM_WOFFSET                   0x0
#define APBDEV_RTC_INTR_MASK_0_MSEC_CDN_ALARM_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_MASK_0_MSEC_CDN_ALARM_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBDEV_RTC_INTR_MASK_0_MSEC_CDN_ALARM_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_MASK_0_MSEC_CDN_ALARM_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_MASK_0_MSEC_CDN_ALARM_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_MASK_0_MSEC_CDN_ALARM_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register APBDEV_RTC_INTR_STATUS_0
#define APBDEV_RTC_INTR_STATUS_0                        _MK_ADDR_CONST(0x2c)
#define APBDEV_RTC_INTR_STATUS_0_SECURE                         0x0
#define APBDEV_RTC_INTR_STATUS_0_DUAL                   0x0
#define APBDEV_RTC_INTR_STATUS_0_SCR                    0
#define APBDEV_RTC_INTR_STATUS_0_WORD_COUNT                     0x1
#define APBDEV_RTC_INTR_STATUS_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_STATUS_0_RESET_MASK                     _MK_MASK_CONST(0x1f)
#define APBDEV_RTC_INTR_STATUS_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_STATUS_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_STATUS_0_READ_MASK                      _MK_MASK_CONST(0x1f)
#define APBDEV_RTC_INTR_STATUS_0_WRITE_MASK                     _MK_MASK_CONST(0x1f)
#define APBDEV_RTC_INTR_STATUS_0_SEC_ALARM0_SHIFT                       _MK_SHIFT_CONST(0)
#define APBDEV_RTC_INTR_STATUS_0_SEC_ALARM0_FIELD                       _MK_FIELD_CONST(0x1, APBDEV_RTC_INTR_STATUS_0_SEC_ALARM0_SHIFT)
#define APBDEV_RTC_INTR_STATUS_0_SEC_ALARM0_RANGE                       0:0
#define APBDEV_RTC_INTR_STATUS_0_SEC_ALARM0_WOFFSET                     0x0
#define APBDEV_RTC_INTR_STATUS_0_SEC_ALARM0_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_STATUS_0_SEC_ALARM0_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBDEV_RTC_INTR_STATUS_0_SEC_ALARM0_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_STATUS_0_SEC_ALARM0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_STATUS_0_SEC_ALARM0_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_STATUS_0_SEC_ALARM0_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define APBDEV_RTC_INTR_STATUS_0_SEC_ALARM1_SHIFT                       _MK_SHIFT_CONST(1)
#define APBDEV_RTC_INTR_STATUS_0_SEC_ALARM1_FIELD                       _MK_FIELD_CONST(0x1, APBDEV_RTC_INTR_STATUS_0_SEC_ALARM1_SHIFT)
#define APBDEV_RTC_INTR_STATUS_0_SEC_ALARM1_RANGE                       1:1
#define APBDEV_RTC_INTR_STATUS_0_SEC_ALARM1_WOFFSET                     0x0
#define APBDEV_RTC_INTR_STATUS_0_SEC_ALARM1_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_STATUS_0_SEC_ALARM1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBDEV_RTC_INTR_STATUS_0_SEC_ALARM1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_STATUS_0_SEC_ALARM1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_STATUS_0_SEC_ALARM1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_STATUS_0_SEC_ALARM1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define APBDEV_RTC_INTR_STATUS_0_MSEC_ALARM_SHIFT                       _MK_SHIFT_CONST(2)
#define APBDEV_RTC_INTR_STATUS_0_MSEC_ALARM_FIELD                       _MK_FIELD_CONST(0x1, APBDEV_RTC_INTR_STATUS_0_MSEC_ALARM_SHIFT)
#define APBDEV_RTC_INTR_STATUS_0_MSEC_ALARM_RANGE                       2:2
#define APBDEV_RTC_INTR_STATUS_0_MSEC_ALARM_WOFFSET                     0x0
#define APBDEV_RTC_INTR_STATUS_0_MSEC_ALARM_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_STATUS_0_MSEC_ALARM_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBDEV_RTC_INTR_STATUS_0_MSEC_ALARM_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_STATUS_0_MSEC_ALARM_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_STATUS_0_MSEC_ALARM_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_STATUS_0_MSEC_ALARM_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define APBDEV_RTC_INTR_STATUS_0_SEC_CDN_ALARM_SHIFT                    _MK_SHIFT_CONST(3)
#define APBDEV_RTC_INTR_STATUS_0_SEC_CDN_ALARM_FIELD                    _MK_FIELD_CONST(0x1, APBDEV_RTC_INTR_STATUS_0_SEC_CDN_ALARM_SHIFT)
#define APBDEV_RTC_INTR_STATUS_0_SEC_CDN_ALARM_RANGE                    3:3
#define APBDEV_RTC_INTR_STATUS_0_SEC_CDN_ALARM_WOFFSET                  0x0
#define APBDEV_RTC_INTR_STATUS_0_SEC_CDN_ALARM_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_STATUS_0_SEC_CDN_ALARM_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBDEV_RTC_INTR_STATUS_0_SEC_CDN_ALARM_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_STATUS_0_SEC_CDN_ALARM_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_STATUS_0_SEC_CDN_ALARM_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_STATUS_0_SEC_CDN_ALARM_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define APBDEV_RTC_INTR_STATUS_0_MSEC_CDN_ALARM_SHIFT                   _MK_SHIFT_CONST(4)
#define APBDEV_RTC_INTR_STATUS_0_MSEC_CDN_ALARM_FIELD                   _MK_FIELD_CONST(0x1, APBDEV_RTC_INTR_STATUS_0_MSEC_CDN_ALARM_SHIFT)
#define APBDEV_RTC_INTR_STATUS_0_MSEC_CDN_ALARM_RANGE                   4:4
#define APBDEV_RTC_INTR_STATUS_0_MSEC_CDN_ALARM_WOFFSET                 0x0
#define APBDEV_RTC_INTR_STATUS_0_MSEC_CDN_ALARM_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_STATUS_0_MSEC_CDN_ALARM_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBDEV_RTC_INTR_STATUS_0_MSEC_CDN_ALARM_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_STATUS_0_MSEC_CDN_ALARM_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_STATUS_0_MSEC_CDN_ALARM_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_STATUS_0_MSEC_CDN_ALARM_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register APBDEV_RTC_INTR_SOURCE_0
#define APBDEV_RTC_INTR_SOURCE_0                        _MK_ADDR_CONST(0x30)
#define APBDEV_RTC_INTR_SOURCE_0_SECURE                         0x0
#define APBDEV_RTC_INTR_SOURCE_0_DUAL                   0x0
#define APBDEV_RTC_INTR_SOURCE_0_SCR                    0
#define APBDEV_RTC_INTR_SOURCE_0_WORD_COUNT                     0x1
#define APBDEV_RTC_INTR_SOURCE_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SOURCE_0_RESET_MASK                     _MK_MASK_CONST(0x1f)
#define APBDEV_RTC_INTR_SOURCE_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SOURCE_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SOURCE_0_READ_MASK                      _MK_MASK_CONST(0x1f)
#define APBDEV_RTC_INTR_SOURCE_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SOURCE_0_SEC_ALARM0_SHIFT                       _MK_SHIFT_CONST(0)
#define APBDEV_RTC_INTR_SOURCE_0_SEC_ALARM0_FIELD                       _MK_FIELD_CONST(0x1, APBDEV_RTC_INTR_SOURCE_0_SEC_ALARM0_SHIFT)
#define APBDEV_RTC_INTR_SOURCE_0_SEC_ALARM0_RANGE                       0:0
#define APBDEV_RTC_INTR_SOURCE_0_SEC_ALARM0_WOFFSET                     0x0
#define APBDEV_RTC_INTR_SOURCE_0_SEC_ALARM0_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SOURCE_0_SEC_ALARM0_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBDEV_RTC_INTR_SOURCE_0_SEC_ALARM0_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SOURCE_0_SEC_ALARM0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SOURCE_0_SEC_ALARM0_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SOURCE_0_SEC_ALARM0_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define APBDEV_RTC_INTR_SOURCE_0_SEC_ALARM1_SHIFT                       _MK_SHIFT_CONST(1)
#define APBDEV_RTC_INTR_SOURCE_0_SEC_ALARM1_FIELD                       _MK_FIELD_CONST(0x1, APBDEV_RTC_INTR_SOURCE_0_SEC_ALARM1_SHIFT)
#define APBDEV_RTC_INTR_SOURCE_0_SEC_ALARM1_RANGE                       1:1
#define APBDEV_RTC_INTR_SOURCE_0_SEC_ALARM1_WOFFSET                     0x0
#define APBDEV_RTC_INTR_SOURCE_0_SEC_ALARM1_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SOURCE_0_SEC_ALARM1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBDEV_RTC_INTR_SOURCE_0_SEC_ALARM1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SOURCE_0_SEC_ALARM1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SOURCE_0_SEC_ALARM1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SOURCE_0_SEC_ALARM1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define APBDEV_RTC_INTR_SOURCE_0_MSEC_ALARM_SHIFT                       _MK_SHIFT_CONST(2)
#define APBDEV_RTC_INTR_SOURCE_0_MSEC_ALARM_FIELD                       _MK_FIELD_CONST(0x1, APBDEV_RTC_INTR_SOURCE_0_MSEC_ALARM_SHIFT)
#define APBDEV_RTC_INTR_SOURCE_0_MSEC_ALARM_RANGE                       2:2
#define APBDEV_RTC_INTR_SOURCE_0_MSEC_ALARM_WOFFSET                     0x0
#define APBDEV_RTC_INTR_SOURCE_0_MSEC_ALARM_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SOURCE_0_MSEC_ALARM_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBDEV_RTC_INTR_SOURCE_0_MSEC_ALARM_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SOURCE_0_MSEC_ALARM_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SOURCE_0_MSEC_ALARM_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SOURCE_0_MSEC_ALARM_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define APBDEV_RTC_INTR_SOURCE_0_SEC_CDN_ALARM_SHIFT                    _MK_SHIFT_CONST(3)
#define APBDEV_RTC_INTR_SOURCE_0_SEC_CDN_ALARM_FIELD                    _MK_FIELD_CONST(0x1, APBDEV_RTC_INTR_SOURCE_0_SEC_CDN_ALARM_SHIFT)
#define APBDEV_RTC_INTR_SOURCE_0_SEC_CDN_ALARM_RANGE                    3:3
#define APBDEV_RTC_INTR_SOURCE_0_SEC_CDN_ALARM_WOFFSET                  0x0
#define APBDEV_RTC_INTR_SOURCE_0_SEC_CDN_ALARM_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SOURCE_0_SEC_CDN_ALARM_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBDEV_RTC_INTR_SOURCE_0_SEC_CDN_ALARM_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SOURCE_0_SEC_CDN_ALARM_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SOURCE_0_SEC_CDN_ALARM_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SOURCE_0_SEC_CDN_ALARM_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define APBDEV_RTC_INTR_SOURCE_0_MSEC_CDN_ALARM_SHIFT                   _MK_SHIFT_CONST(4)
#define APBDEV_RTC_INTR_SOURCE_0_MSEC_CDN_ALARM_FIELD                   _MK_FIELD_CONST(0x1, APBDEV_RTC_INTR_SOURCE_0_MSEC_CDN_ALARM_SHIFT)
#define APBDEV_RTC_INTR_SOURCE_0_MSEC_CDN_ALARM_RANGE                   4:4
#define APBDEV_RTC_INTR_SOURCE_0_MSEC_CDN_ALARM_WOFFSET                 0x0
#define APBDEV_RTC_INTR_SOURCE_0_MSEC_CDN_ALARM_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SOURCE_0_MSEC_CDN_ALARM_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBDEV_RTC_INTR_SOURCE_0_MSEC_CDN_ALARM_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SOURCE_0_MSEC_CDN_ALARM_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SOURCE_0_MSEC_CDN_ALARM_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SOURCE_0_MSEC_CDN_ALARM_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register APBDEV_RTC_INTR_SET_0
#define APBDEV_RTC_INTR_SET_0                   _MK_ADDR_CONST(0x34)
#define APBDEV_RTC_INTR_SET_0_SECURE                    0x0
#define APBDEV_RTC_INTR_SET_0_DUAL                      0x0
#define APBDEV_RTC_INTR_SET_0_SCR                       0
#define APBDEV_RTC_INTR_SET_0_WORD_COUNT                        0x1
#define APBDEV_RTC_INTR_SET_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SET_0_RESET_MASK                        _MK_MASK_CONST(0x1f)
#define APBDEV_RTC_INTR_SET_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SET_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SET_0_READ_MASK                         _MK_MASK_CONST(0x1f)
#define APBDEV_RTC_INTR_SET_0_WRITE_MASK                        _MK_MASK_CONST(0x1f)
#define APBDEV_RTC_INTR_SET_0_SEC_ALARM0_SHIFT                  _MK_SHIFT_CONST(0)
#define APBDEV_RTC_INTR_SET_0_SEC_ALARM0_FIELD                  _MK_FIELD_CONST(0x1, APBDEV_RTC_INTR_SET_0_SEC_ALARM0_SHIFT)
#define APBDEV_RTC_INTR_SET_0_SEC_ALARM0_RANGE                  0:0
#define APBDEV_RTC_INTR_SET_0_SEC_ALARM0_WOFFSET                        0x0
#define APBDEV_RTC_INTR_SET_0_SEC_ALARM0_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SET_0_SEC_ALARM0_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBDEV_RTC_INTR_SET_0_SEC_ALARM0_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SET_0_SEC_ALARM0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SET_0_SEC_ALARM0_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SET_0_SEC_ALARM0_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define APBDEV_RTC_INTR_SET_0_SEC_ALARM1_SHIFT                  _MK_SHIFT_CONST(1)
#define APBDEV_RTC_INTR_SET_0_SEC_ALARM1_FIELD                  _MK_FIELD_CONST(0x1, APBDEV_RTC_INTR_SET_0_SEC_ALARM1_SHIFT)
#define APBDEV_RTC_INTR_SET_0_SEC_ALARM1_RANGE                  1:1
#define APBDEV_RTC_INTR_SET_0_SEC_ALARM1_WOFFSET                        0x0
#define APBDEV_RTC_INTR_SET_0_SEC_ALARM1_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SET_0_SEC_ALARM1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBDEV_RTC_INTR_SET_0_SEC_ALARM1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SET_0_SEC_ALARM1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SET_0_SEC_ALARM1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SET_0_SEC_ALARM1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define APBDEV_RTC_INTR_SET_0_MSEC_ALARM_SHIFT                  _MK_SHIFT_CONST(2)
#define APBDEV_RTC_INTR_SET_0_MSEC_ALARM_FIELD                  _MK_FIELD_CONST(0x1, APBDEV_RTC_INTR_SET_0_MSEC_ALARM_SHIFT)
#define APBDEV_RTC_INTR_SET_0_MSEC_ALARM_RANGE                  2:2
#define APBDEV_RTC_INTR_SET_0_MSEC_ALARM_WOFFSET                        0x0
#define APBDEV_RTC_INTR_SET_0_MSEC_ALARM_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SET_0_MSEC_ALARM_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBDEV_RTC_INTR_SET_0_MSEC_ALARM_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SET_0_MSEC_ALARM_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SET_0_MSEC_ALARM_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SET_0_MSEC_ALARM_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define APBDEV_RTC_INTR_SET_0_SEC_CDN_ALARM_SHIFT                       _MK_SHIFT_CONST(3)
#define APBDEV_RTC_INTR_SET_0_SEC_CDN_ALARM_FIELD                       _MK_FIELD_CONST(0x1, APBDEV_RTC_INTR_SET_0_SEC_CDN_ALARM_SHIFT)
#define APBDEV_RTC_INTR_SET_0_SEC_CDN_ALARM_RANGE                       3:3
#define APBDEV_RTC_INTR_SET_0_SEC_CDN_ALARM_WOFFSET                     0x0
#define APBDEV_RTC_INTR_SET_0_SEC_CDN_ALARM_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SET_0_SEC_CDN_ALARM_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBDEV_RTC_INTR_SET_0_SEC_CDN_ALARM_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SET_0_SEC_CDN_ALARM_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SET_0_SEC_CDN_ALARM_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SET_0_SEC_CDN_ALARM_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define APBDEV_RTC_INTR_SET_0_MSEC_CDN_ALARM_SHIFT                      _MK_SHIFT_CONST(4)
#define APBDEV_RTC_INTR_SET_0_MSEC_CDN_ALARM_FIELD                      _MK_FIELD_CONST(0x1, APBDEV_RTC_INTR_SET_0_MSEC_CDN_ALARM_SHIFT)
#define APBDEV_RTC_INTR_SET_0_MSEC_CDN_ALARM_RANGE                      4:4
#define APBDEV_RTC_INTR_SET_0_MSEC_CDN_ALARM_WOFFSET                    0x0
#define APBDEV_RTC_INTR_SET_0_MSEC_CDN_ALARM_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SET_0_MSEC_CDN_ALARM_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBDEV_RTC_INTR_SET_0_MSEC_CDN_ALARM_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SET_0_MSEC_CDN_ALARM_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SET_0_MSEC_CDN_ALARM_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define APBDEV_RTC_INTR_SET_0_MSEC_CDN_ALARM_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register APBDEV_RTC_CORRECTION_FACTOR_0
#define APBDEV_RTC_CORRECTION_FACTOR_0                  _MK_ADDR_CONST(0x38)
#define APBDEV_RTC_CORRECTION_FACTOR_0_SECURE                   0x0
#define APBDEV_RTC_CORRECTION_FACTOR_0_DUAL                     0x0
#define APBDEV_RTC_CORRECTION_FACTOR_0_SCR                      0
#define APBDEV_RTC_CORRECTION_FACTOR_0_WORD_COUNT                       0x1
#define APBDEV_RTC_CORRECTION_FACTOR_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define APBDEV_RTC_CORRECTION_FACTOR_0_RESET_MASK                       _MK_MASK_CONST(0x3ff)
#define APBDEV_RTC_CORRECTION_FACTOR_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define APBDEV_RTC_CORRECTION_FACTOR_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBDEV_RTC_CORRECTION_FACTOR_0_READ_MASK                        _MK_MASK_CONST(0x3ff)
#define APBDEV_RTC_CORRECTION_FACTOR_0_WRITE_MASK                       _MK_MASK_CONST(0x3ff)
#define APBDEV_RTC_CORRECTION_FACTOR_0_PPM_SHIFT                        _MK_SHIFT_CONST(0)
#define APBDEV_RTC_CORRECTION_FACTOR_0_PPM_FIELD                        _MK_FIELD_CONST(0x1ff, APBDEV_RTC_CORRECTION_FACTOR_0_PPM_SHIFT)
#define APBDEV_RTC_CORRECTION_FACTOR_0_PPM_RANGE                        8:0
#define APBDEV_RTC_CORRECTION_FACTOR_0_PPM_WOFFSET                      0x0
#define APBDEV_RTC_CORRECTION_FACTOR_0_PPM_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBDEV_RTC_CORRECTION_FACTOR_0_PPM_DEFAULT_MASK                 _MK_MASK_CONST(0x1ff)
#define APBDEV_RTC_CORRECTION_FACTOR_0_PPM_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBDEV_RTC_CORRECTION_FACTOR_0_PPM_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBDEV_RTC_CORRECTION_FACTOR_0_PPM_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define APBDEV_RTC_CORRECTION_FACTOR_0_PPM_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define APBDEV_RTC_CORRECTION_FACTOR_0_DIRECTION_SHIFT                  _MK_SHIFT_CONST(9)
#define APBDEV_RTC_CORRECTION_FACTOR_0_DIRECTION_FIELD                  _MK_FIELD_CONST(0x1, APBDEV_RTC_CORRECTION_FACTOR_0_DIRECTION_SHIFT)
#define APBDEV_RTC_CORRECTION_FACTOR_0_DIRECTION_RANGE                  9:9
#define APBDEV_RTC_CORRECTION_FACTOR_0_DIRECTION_WOFFSET                        0x0
#define APBDEV_RTC_CORRECTION_FACTOR_0_DIRECTION_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBDEV_RTC_CORRECTION_FACTOR_0_DIRECTION_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBDEV_RTC_CORRECTION_FACTOR_0_DIRECTION_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBDEV_RTC_CORRECTION_FACTOR_0_DIRECTION_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBDEV_RTC_CORRECTION_FACTOR_0_DIRECTION_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define APBDEV_RTC_CORRECTION_FACTOR_0_DIRECTION_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define APBDEV_RTC_CORRECTION_FACTOR_0_DIRECTION_DECREMENT                      _MK_ENUM_CONST(0)
#define APBDEV_RTC_CORRECTION_FACTOR_0_DIRECTION_INCREMENT                      _MK_ENUM_CONST(1)


//
// REGISTER LIST
//
#define LIST_ARRTC_REGS(_op_) \
_op_(APBDEV_RTC_CONTROL_0) \
_op_(APBDEV_RTC_BUSY_0) \
_op_(APBDEV_RTC_SECONDS_0) \
_op_(APBDEV_RTC_SHADOW_SECONDS_0) \
_op_(APBDEV_RTC_MILLI_SECONDS_0) \
_op_(APBDEV_RTC_SECONDS_ALARM0_0) \
_op_(APBDEV_RTC_SECONDS_ALARM1_0) \
_op_(APBDEV_RTC_MILLI_SECONDS_ALARM_0) \
_op_(APBDEV_RTC_SECONDS_COUNTDOWN_ALARM_0) \
_op_(APBDEV_RTC_MILLI_SECONDS_COUNTDOWN_ALARM_0) \
_op_(APBDEV_RTC_INTR_MASK_0) \
_op_(APBDEV_RTC_INTR_STATUS_0) \
_op_(APBDEV_RTC_INTR_SOURCE_0) \
_op_(APBDEV_RTC_INTR_SET_0) \
_op_(APBDEV_RTC_CORRECTION_FACTOR_0)


//
// ADDRESS SPACES
//

#define BASE_ADDRESS_APBDEV_RTC 0x00000000

//
// ARRTC REGISTER BANKS
//

#define APBDEV_RTC0_FIRST_REG 0x0000 // APBDEV_RTC_CONTROL_0
#define APBDEV_RTC0_LAST_REG 0x0038 // APBDEV_RTC_CORRECTION_FACTOR_0

// To satisfy various compilers and platforms,
// we let users control the types and syntax of certain constants, using macros.
#ifndef _MK_SHIFT_CONST
  #define _MK_SHIFT_CONST(_constant_) _constant_
#endif
#ifndef _MK_MASK_CONST
  #define _MK_MASK_CONST(_constant_) _constant_
#endif
#ifndef _MK_ENUM_CONST
  #define _MK_ENUM_CONST(_constant_) (_constant_ ## UL)
#endif
#ifndef _MK_ADDR_CONST
  #define _MK_ADDR_CONST(_constant_) _constant_
#endif
#ifndef _MK_FIELD_CONST
  #define _MK_FIELD_CONST(_mask_, _shift_) (_MK_MASK_CONST(_mask_) << _MK_SHIFT_CONST(_shift_))
#endif

#endif // ifndef ___ARRTC_H_INC_
