//
// Copyright (c) 2018 NVIDIA Corporation.
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are met:
//
// Redistributions of source code must retain the above copyright notice,
// this list of conditions and the following disclaimer.
//
// Redistributions in binary form must reproduce the above copyright notice,
// this list of conditions and the following disclaimer in the documentation
// and/or other materials provided with the distribution.
//
// Neither the name of the NVIDIA Corporation nor the names of its contributors
// may be used to endorse or promote products derived from this software
// without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
// ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
// LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
// CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
// SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
// INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
// CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
// POSSIBILITY OF SUCH DAMAGE.
//

//
// DO NOT EDIT - generated by simspec!
//

#ifndef ___ARTSC_SYSCTR0_H_INC_
#define ___ARTSC_SYSCTR0_H_INC_
#define NV_MOBILE_ARTSC_SYSCTR0_H_UNIT_OF_OFFSET 1B


// Register TSC_SYSCTR0_CNTCR_0
#define TSC_SYSCTR0_CNTCR_0                     _MK_ADDR_CONST(0x0)
#define TSC_SYSCTR0_CNTCR_0_SECURE                      0x1
#define TSC_SYSCTR0_CNTCR_0_DUAL                        0x0
#define TSC_SYSCTR0_CNTCR_0_SCR                         0
#define TSC_SYSCTR0_CNTCR_0_WORD_COUNT                  0x1
#define TSC_SYSCTR0_CNTCR_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTCR_0_RESET_MASK                  _MK_MASK_CONST(0x103)
#define TSC_SYSCTR0_CNTCR_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTCR_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTCR_0_READ_MASK                   _MK_MASK_CONST(0x103)
#define TSC_SYSCTR0_CNTCR_0_WRITE_MASK                  _MK_MASK_CONST(0x3)
#define TSC_SYSCTR0_CNTCR_0_EN_SHIFT                    _MK_SHIFT_CONST(0)
#define TSC_SYSCTR0_CNTCR_0_EN_FIELD                    _MK_FIELD_CONST(0x1, TSC_SYSCTR0_CNTCR_0_EN_SHIFT)
#define TSC_SYSCTR0_CNTCR_0_EN_RANGE                    0:0
#define TSC_SYSCTR0_CNTCR_0_EN_WOFFSET                  0x0
#define TSC_SYSCTR0_CNTCR_0_EN_DEFAULT                  _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTCR_0_EN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define TSC_SYSCTR0_CNTCR_0_EN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTCR_0_EN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTCR_0_EN_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTCR_0_EN_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define TSC_SYSCTR0_CNTCR_0_EN_DISABLE                  _MK_ENUM_CONST(0)
#define TSC_SYSCTR0_CNTCR_0_EN_ENABLE                   _MK_ENUM_CONST(1)

#define TSC_SYSCTR0_CNTCR_0_HDBG_SHIFT                  _MK_SHIFT_CONST(1)
#define TSC_SYSCTR0_CNTCR_0_HDBG_FIELD                  _MK_FIELD_CONST(0x1, TSC_SYSCTR0_CNTCR_0_HDBG_SHIFT)
#define TSC_SYSCTR0_CNTCR_0_HDBG_RANGE                  1:1
#define TSC_SYSCTR0_CNTCR_0_HDBG_WOFFSET                        0x0
#define TSC_SYSCTR0_CNTCR_0_HDBG_DEFAULT                        _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTCR_0_HDBG_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define TSC_SYSCTR0_CNTCR_0_HDBG_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTCR_0_HDBG_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTCR_0_HDBG_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTCR_0_HDBG_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define TSC_SYSCTR0_CNTCR_0_HDBG_DISABLE                        _MK_ENUM_CONST(0)
#define TSC_SYSCTR0_CNTCR_0_HDBG_ENABLE                 _MK_ENUM_CONST(1)

#define TSC_SYSCTR0_CNTCR_0_FCREQ_SHIFT                 _MK_SHIFT_CONST(8)
#define TSC_SYSCTR0_CNTCR_0_FCREQ_FIELD                 _MK_FIELD_CONST(0x1, TSC_SYSCTR0_CNTCR_0_FCREQ_SHIFT)
#define TSC_SYSCTR0_CNTCR_0_FCREQ_RANGE                 8:8
#define TSC_SYSCTR0_CNTCR_0_FCREQ_WOFFSET                       0x0
#define TSC_SYSCTR0_CNTCR_0_FCREQ_DEFAULT                       _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTCR_0_FCREQ_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define TSC_SYSCTR0_CNTCR_0_FCREQ_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTCR_0_FCREQ_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTCR_0_FCREQ_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTCR_0_FCREQ_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register TSC_SYSCTR0_CNTSR_0
#define TSC_SYSCTR0_CNTSR_0                     _MK_ADDR_CONST(0x4)
#define TSC_SYSCTR0_CNTSR_0_SECURE                      0x1
#define TSC_SYSCTR0_CNTSR_0_DUAL                        0x0
#define TSC_SYSCTR0_CNTSR_0_SCR                         0
#define TSC_SYSCTR0_CNTSR_0_WORD_COUNT                  0x1
#define TSC_SYSCTR0_CNTSR_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTSR_0_RESET_MASK                  _MK_MASK_CONST(0x102)
#define TSC_SYSCTR0_CNTSR_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTSR_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTSR_0_READ_MASK                   _MK_MASK_CONST(0x102)
#define TSC_SYSCTR0_CNTSR_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTSR_0_HDBG_SHIFT                  _MK_SHIFT_CONST(1)
#define TSC_SYSCTR0_CNTSR_0_HDBG_FIELD                  _MK_FIELD_CONST(0x1, TSC_SYSCTR0_CNTSR_0_HDBG_SHIFT)
#define TSC_SYSCTR0_CNTSR_0_HDBG_RANGE                  1:1
#define TSC_SYSCTR0_CNTSR_0_HDBG_WOFFSET                        0x0
#define TSC_SYSCTR0_CNTSR_0_HDBG_DEFAULT                        _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTSR_0_HDBG_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define TSC_SYSCTR0_CNTSR_0_HDBG_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTSR_0_HDBG_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTSR_0_HDBG_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTSR_0_HDBG_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define TSC_SYSCTR0_CNTSR_0_HDBG_DISABLE                        _MK_ENUM_CONST(0)
#define TSC_SYSCTR0_CNTSR_0_HDBG_ENABLE                 _MK_ENUM_CONST(1)

#define TSC_SYSCTR0_CNTSR_0_FCACK_SHIFT                 _MK_SHIFT_CONST(8)
#define TSC_SYSCTR0_CNTSR_0_FCACK_FIELD                 _MK_FIELD_CONST(0x1, TSC_SYSCTR0_CNTSR_0_FCACK_SHIFT)
#define TSC_SYSCTR0_CNTSR_0_FCACK_RANGE                 8:8
#define TSC_SYSCTR0_CNTSR_0_FCACK_WOFFSET                       0x0
#define TSC_SYSCTR0_CNTSR_0_FCACK_DEFAULT                       _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTSR_0_FCACK_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define TSC_SYSCTR0_CNTSR_0_FCACK_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTSR_0_FCACK_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTSR_0_FCACK_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTSR_0_FCACK_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register TSC_SYSCTR0_CNTCV0_0
#define TSC_SYSCTR0_CNTCV0_0                    _MK_ADDR_CONST(0x8)
#define TSC_SYSCTR0_CNTCV0_0_SECURE                     0x1
#define TSC_SYSCTR0_CNTCV0_0_DUAL                       0x0
#define TSC_SYSCTR0_CNTCV0_0_SCR                        0
#define TSC_SYSCTR0_CNTCV0_0_WORD_COUNT                         0x1
#define TSC_SYSCTR0_CNTCV0_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTCV0_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define TSC_SYSCTR0_CNTCV0_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTCV0_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTCV0_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define TSC_SYSCTR0_CNTCV0_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define TSC_SYSCTR0_CNTCV0_0_CV_SHIFT                   _MK_SHIFT_CONST(0)
#define TSC_SYSCTR0_CNTCV0_0_CV_FIELD                   _MK_FIELD_CONST(0xffffffff, TSC_SYSCTR0_CNTCV0_0_CV_SHIFT)
#define TSC_SYSCTR0_CNTCV0_0_CV_RANGE                   31:0
#define TSC_SYSCTR0_CNTCV0_0_CV_WOFFSET                 0x0
#define TSC_SYSCTR0_CNTCV0_0_CV_DEFAULT                 _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTCV0_0_CV_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define TSC_SYSCTR0_CNTCV0_0_CV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTCV0_0_CV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTCV0_0_CV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTCV0_0_CV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register TSC_SYSCTR0_CNTCV1_0
#define TSC_SYSCTR0_CNTCV1_0                    _MK_ADDR_CONST(0xc)
#define TSC_SYSCTR0_CNTCV1_0_SECURE                     0x1
#define TSC_SYSCTR0_CNTCV1_0_DUAL                       0x0
#define TSC_SYSCTR0_CNTCV1_0_SCR                        0
#define TSC_SYSCTR0_CNTCV1_0_WORD_COUNT                         0x1
#define TSC_SYSCTR0_CNTCV1_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTCV1_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define TSC_SYSCTR0_CNTCV1_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTCV1_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTCV1_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define TSC_SYSCTR0_CNTCV1_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define TSC_SYSCTR0_CNTCV1_0_CV_SHIFT                   _MK_SHIFT_CONST(0)
#define TSC_SYSCTR0_CNTCV1_0_CV_FIELD                   _MK_FIELD_CONST(0xffffffff, TSC_SYSCTR0_CNTCV1_0_CV_SHIFT)
#define TSC_SYSCTR0_CNTCV1_0_CV_RANGE                   31:0
#define TSC_SYSCTR0_CNTCV1_0_CV_WOFFSET                 0x0
#define TSC_SYSCTR0_CNTCV1_0_CV_DEFAULT                 _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTCV1_0_CV_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define TSC_SYSCTR0_CNTCV1_0_CV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTCV1_0_CV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTCV1_0_CV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTCV1_0_CV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Reserved address 0x10

// Reserved address 0x14

// Reserved address 0x18

// Reserved address 0x1c

// Register TSC_SYSCTR0_CNTFID0_0
#define TSC_SYSCTR0_CNTFID0_0                   _MK_ADDR_CONST(0x20)
#define TSC_SYSCTR0_CNTFID0_0_SECURE                    0x0
#define TSC_SYSCTR0_CNTFID0_0_DUAL                      0x0
#define TSC_SYSCTR0_CNTFID0_0_SCR                       0
#define TSC_SYSCTR0_CNTFID0_0_WORD_COUNT                        0x1
#define TSC_SYSCTR0_CNTFID0_0_RESET_VAL                         _MK_MASK_CONST(0x1dcd650)
#define TSC_SYSCTR0_CNTFID0_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define TSC_SYSCTR0_CNTFID0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTFID0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTFID0_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define TSC_SYSCTR0_CNTFID0_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define TSC_SYSCTR0_CNTFID0_0_FV_SHIFT                  _MK_SHIFT_CONST(0)
#define TSC_SYSCTR0_CNTFID0_0_FV_FIELD                  _MK_FIELD_CONST(0xffffffff, TSC_SYSCTR0_CNTFID0_0_FV_SHIFT)
#define TSC_SYSCTR0_CNTFID0_0_FV_RANGE                  31:0
#define TSC_SYSCTR0_CNTFID0_0_FV_WOFFSET                        0x0
#define TSC_SYSCTR0_CNTFID0_0_FV_DEFAULT                        _MK_MASK_CONST(0x1dcd650)
#define TSC_SYSCTR0_CNTFID0_0_FV_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define TSC_SYSCTR0_CNTFID0_0_FV_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTFID0_0_FV_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTFID0_0_FV_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTFID0_0_FV_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register TSC_SYSCTR0_CNTFID1_0
#define TSC_SYSCTR0_CNTFID1_0                   _MK_ADDR_CONST(0x24)
#define TSC_SYSCTR0_CNTFID1_0_SECURE                    0x0
#define TSC_SYSCTR0_CNTFID1_0_DUAL                      0x0
#define TSC_SYSCTR0_CNTFID1_0_SCR                       0
#define TSC_SYSCTR0_CNTFID1_0_WORD_COUNT                        0x1
#define TSC_SYSCTR0_CNTFID1_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTFID1_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define TSC_SYSCTR0_CNTFID1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTFID1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTFID1_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define TSC_SYSCTR0_CNTFID1_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTFID1_0_FV_SHIFT                  _MK_SHIFT_CONST(0)
#define TSC_SYSCTR0_CNTFID1_0_FV_FIELD                  _MK_FIELD_CONST(0xffffffff, TSC_SYSCTR0_CNTFID1_0_FV_SHIFT)
#define TSC_SYSCTR0_CNTFID1_0_FV_RANGE                  31:0
#define TSC_SYSCTR0_CNTFID1_0_FV_WOFFSET                        0x0
#define TSC_SYSCTR0_CNTFID1_0_FV_DEFAULT                        _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTFID1_0_FV_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define TSC_SYSCTR0_CNTFID1_0_FV_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTFID1_0_FV_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTFID1_0_FV_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_CNTFID1_0_FV_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Reserved address 0x28

// Reserved address 0x2c

// Reserved address 0x30

// Reserved address 0x34

// Reserved address 0x38

// Reserved address 0x3c

// Reserved address 0x40

// Reserved address 0x44

// Reserved address 0x48

// Reserved address 0x4c

// Reserved address 0x50

// Reserved address 0x54

// Reserved address 0x58

// Reserved address 0x5c

// Reserved address 0x60

// Reserved address 0x64

// Reserved address 0x68

// Reserved address 0x6c

// Reserved address 0x70

// Reserved address 0x74

// Reserved address 0x78

// Reserved address 0x7c

// Reserved address 0x80

// Reserved address 0x84

// Reserved address 0x88

// Reserved address 0x8c

// Reserved address 0x90

// Reserved address 0x94

// Reserved address 0x98

// Reserved address 0x9c

// Reserved address 0xa0

// Reserved address 0xa4

// Reserved address 0xa8

// Reserved address 0xac

// Reserved address 0xb0

// Reserved address 0xb4

// Reserved address 0xb8

// Reserved address 0xbc

// Reserved address 0xc0

// Reserved address 0xc4

// Reserved address 0xc8

// Reserved address 0xcc

// Reserved address 0xd0

// Reserved address 0xd4

// Reserved address 0xd8

// Reserved address 0xdc

// Reserved address 0xe0

// Reserved address 0xe4

// Reserved address 0xe8

// Reserved address 0xec

// Reserved address 0xf0

// Reserved address 0xf4

// Reserved address 0xf8

// Reserved address 0xfc

// Reserved address 0x100

// Reserved address 0x104

// Reserved address 0x108

// Reserved address 0x10c

// Reserved address 0x110

// Reserved address 0x114

// Reserved address 0x118

// Reserved address 0x11c

// Reserved address 0x120

// Reserved address 0x124

// Reserved address 0x128

// Reserved address 0x12c

// Reserved address 0x130

// Reserved address 0x134

// Reserved address 0x138

// Reserved address 0x13c

// Reserved address 0x140

// Reserved address 0x144

// Reserved address 0x148

// Reserved address 0x14c

// Reserved address 0x150

// Reserved address 0x154

// Reserved address 0x158

// Reserved address 0x15c

// Reserved address 0x160

// Reserved address 0x164

// Reserved address 0x168

// Reserved address 0x16c

// Reserved address 0x170

// Reserved address 0x174

// Reserved address 0x178

// Reserved address 0x17c

// Reserved address 0x180

// Reserved address 0x184

// Reserved address 0x188

// Reserved address 0x18c

// Reserved address 0x190

// Reserved address 0x194

// Reserved address 0x198

// Reserved address 0x19c

// Reserved address 0x1a0

// Reserved address 0x1a4

// Reserved address 0x1a8

// Reserved address 0x1ac

// Reserved address 0x1b0

// Reserved address 0x1b4

// Reserved address 0x1b8

// Reserved address 0x1bc

// Reserved address 0x1c0

// Reserved address 0x1c4

// Reserved address 0x1c8

// Reserved address 0x1cc

// Reserved address 0x1d0

// Reserved address 0x1d4

// Reserved address 0x1d8

// Reserved address 0x1dc

// Reserved address 0x1e0

// Reserved address 0x1e4

// Reserved address 0x1e8

// Reserved address 0x1ec

// Reserved address 0x1f0

// Reserved address 0x1f4

// Reserved address 0x1f8

// Reserved address 0x1fc

// Reserved address 0x200

// Reserved address 0x204

// Reserved address 0x208

// Reserved address 0x20c

// Reserved address 0x210

// Reserved address 0x214

// Reserved address 0x218

// Reserved address 0x21c

// Reserved address 0x220

// Reserved address 0x224

// Reserved address 0x228

// Reserved address 0x22c

// Reserved address 0x230

// Reserved address 0x234

// Reserved address 0x238

// Reserved address 0x23c

// Reserved address 0x240

// Reserved address 0x244

// Reserved address 0x248

// Reserved address 0x24c

// Reserved address 0x250

// Reserved address 0x254

// Reserved address 0x258

// Reserved address 0x25c

// Reserved address 0x260

// Reserved address 0x264

// Reserved address 0x268

// Reserved address 0x26c

// Reserved address 0x270

// Reserved address 0x274

// Reserved address 0x278

// Reserved address 0x27c

// Reserved address 0x280

// Reserved address 0x284

// Reserved address 0x288

// Reserved address 0x28c

// Reserved address 0x290

// Reserved address 0x294

// Reserved address 0x298

// Reserved address 0x29c

// Reserved address 0x2a0

// Reserved address 0x2a4

// Reserved address 0x2a8

// Reserved address 0x2ac

// Reserved address 0x2b0

// Reserved address 0x2b4

// Reserved address 0x2b8

// Reserved address 0x2bc

// Reserved address 0x2c0

// Reserved address 0x2c4

// Reserved address 0x2c8

// Reserved address 0x2cc

// Reserved address 0x2d0

// Reserved address 0x2d4

// Reserved address 0x2d8

// Reserved address 0x2dc

// Reserved address 0x2e0

// Reserved address 0x2e4

// Reserved address 0x2e8

// Reserved address 0x2ec

// Reserved address 0x2f0

// Reserved address 0x2f4

// Reserved address 0x2f8

// Reserved address 0x2fc

// Reserved address 0x300

// Reserved address 0x304

// Reserved address 0x308

// Reserved address 0x30c

// Reserved address 0x310

// Reserved address 0x314

// Reserved address 0x318

// Reserved address 0x31c

// Reserved address 0x320

// Reserved address 0x324

// Reserved address 0x328

// Reserved address 0x32c

// Reserved address 0x330

// Reserved address 0x334

// Reserved address 0x338

// Reserved address 0x33c

// Reserved address 0x340

// Reserved address 0x344

// Reserved address 0x348

// Reserved address 0x34c

// Reserved address 0x350

// Reserved address 0x354

// Reserved address 0x358

// Reserved address 0x35c

// Reserved address 0x360

// Reserved address 0x364

// Reserved address 0x368

// Reserved address 0x36c

// Reserved address 0x370

// Reserved address 0x374

// Reserved address 0x378

// Reserved address 0x37c

// Reserved address 0x380

// Reserved address 0x384

// Reserved address 0x388

// Reserved address 0x38c

// Reserved address 0x390

// Reserved address 0x394

// Reserved address 0x398

// Reserved address 0x39c

// Reserved address 0x3a0

// Reserved address 0x3a4

// Reserved address 0x3a8

// Reserved address 0x3ac

// Reserved address 0x3b0

// Reserved address 0x3b4

// Reserved address 0x3b8

// Reserved address 0x3bc

// Reserved address 0x3c0

// Reserved address 0x3c4

// Reserved address 0x3c8

// Reserved address 0x3cc

// Reserved address 0x3d0

// Reserved address 0x3d4

// Reserved address 0x3d8

// Reserved address 0x3dc

// Reserved address 0x3e0

// Reserved address 0x3e4

// Reserved address 0x3e8

// Reserved address 0x3ec

// Reserved address 0x3f0

// Reserved address 0x3f4

// Reserved address 0x3f8

// Reserved address 0x3fc

// Reserved address 0x400

// Reserved address 0x404

// Reserved address 0x408

// Reserved address 0x40c

// Reserved address 0x410

// Reserved address 0x414

// Reserved address 0x418

// Reserved address 0x41c

// Reserved address 0x420

// Reserved address 0x424

// Reserved address 0x428

// Reserved address 0x42c

// Reserved address 0x430

// Reserved address 0x434

// Reserved address 0x438

// Reserved address 0x43c

// Reserved address 0x440

// Reserved address 0x444

// Reserved address 0x448

// Reserved address 0x44c

// Reserved address 0x450

// Reserved address 0x454

// Reserved address 0x458

// Reserved address 0x45c

// Reserved address 0x460

// Reserved address 0x464

// Reserved address 0x468

// Reserved address 0x46c

// Reserved address 0x470

// Reserved address 0x474

// Reserved address 0x478

// Reserved address 0x47c

// Reserved address 0x480

// Reserved address 0x484

// Reserved address 0x488

// Reserved address 0x48c

// Reserved address 0x490

// Reserved address 0x494

// Reserved address 0x498

// Reserved address 0x49c

// Reserved address 0x4a0

// Reserved address 0x4a4

// Reserved address 0x4a8

// Reserved address 0x4ac

// Reserved address 0x4b0

// Reserved address 0x4b4

// Reserved address 0x4b8

// Reserved address 0x4bc

// Reserved address 0x4c0

// Reserved address 0x4c4

// Reserved address 0x4c8

// Reserved address 0x4cc

// Reserved address 0x4d0

// Reserved address 0x4d4

// Reserved address 0x4d8

// Reserved address 0x4dc

// Reserved address 0x4e0

// Reserved address 0x4e4

// Reserved address 0x4e8

// Reserved address 0x4ec

// Reserved address 0x4f0

// Reserved address 0x4f4

// Reserved address 0x4f8

// Reserved address 0x4fc

// Reserved address 0x500

// Reserved address 0x504

// Reserved address 0x508

// Reserved address 0x50c

// Reserved address 0x510

// Reserved address 0x514

// Reserved address 0x518

// Reserved address 0x51c

// Reserved address 0x520

// Reserved address 0x524

// Reserved address 0x528

// Reserved address 0x52c

// Reserved address 0x530

// Reserved address 0x534

// Reserved address 0x538

// Reserved address 0x53c

// Reserved address 0x540

// Reserved address 0x544

// Reserved address 0x548

// Reserved address 0x54c

// Reserved address 0x550

// Reserved address 0x554

// Reserved address 0x558

// Reserved address 0x55c

// Reserved address 0x560

// Reserved address 0x564

// Reserved address 0x568

// Reserved address 0x56c

// Reserved address 0x570

// Reserved address 0x574

// Reserved address 0x578

// Reserved address 0x57c

// Reserved address 0x580

// Reserved address 0x584

// Reserved address 0x588

// Reserved address 0x58c

// Reserved address 0x590

// Reserved address 0x594

// Reserved address 0x598

// Reserved address 0x59c

// Reserved address 0x5a0

// Reserved address 0x5a4

// Reserved address 0x5a8

// Reserved address 0x5ac

// Reserved address 0x5b0

// Reserved address 0x5b4

// Reserved address 0x5b8

// Reserved address 0x5bc

// Reserved address 0x5c0

// Reserved address 0x5c4

// Reserved address 0x5c8

// Reserved address 0x5cc

// Reserved address 0x5d0

// Reserved address 0x5d4

// Reserved address 0x5d8

// Reserved address 0x5dc

// Reserved address 0x5e0

// Reserved address 0x5e4

// Reserved address 0x5e8

// Reserved address 0x5ec

// Reserved address 0x5f0

// Reserved address 0x5f4

// Reserved address 0x5f8

// Reserved address 0x5fc

// Reserved address 0x600

// Reserved address 0x604

// Reserved address 0x608

// Reserved address 0x60c

// Reserved address 0x610

// Reserved address 0x614

// Reserved address 0x618

// Reserved address 0x61c

// Reserved address 0x620

// Reserved address 0x624

// Reserved address 0x628

// Reserved address 0x62c

// Reserved address 0x630

// Reserved address 0x634

// Reserved address 0x638

// Reserved address 0x63c

// Reserved address 0x640

// Reserved address 0x644

// Reserved address 0x648

// Reserved address 0x64c

// Reserved address 0x650

// Reserved address 0x654

// Reserved address 0x658

// Reserved address 0x65c

// Reserved address 0x660

// Reserved address 0x664

// Reserved address 0x668

// Reserved address 0x66c

// Reserved address 0x670

// Reserved address 0x674

// Reserved address 0x678

// Reserved address 0x67c

// Reserved address 0x680

// Reserved address 0x684

// Reserved address 0x688

// Reserved address 0x68c

// Reserved address 0x690

// Reserved address 0x694

// Reserved address 0x698

// Reserved address 0x69c

// Reserved address 0x6a0

// Reserved address 0x6a4

// Reserved address 0x6a8

// Reserved address 0x6ac

// Reserved address 0x6b0

// Reserved address 0x6b4

// Reserved address 0x6b8

// Reserved address 0x6bc

// Reserved address 0x6c0

// Reserved address 0x6c4

// Reserved address 0x6c8

// Reserved address 0x6cc

// Reserved address 0x6d0

// Reserved address 0x6d4

// Reserved address 0x6d8

// Reserved address 0x6dc

// Reserved address 0x6e0

// Reserved address 0x6e4

// Reserved address 0x6e8

// Reserved address 0x6ec

// Reserved address 0x6f0

// Reserved address 0x6f4

// Reserved address 0x6f8

// Reserved address 0x6fc

// Reserved address 0x700

// Reserved address 0x704

// Reserved address 0x708

// Reserved address 0x70c

// Reserved address 0x710

// Reserved address 0x714

// Reserved address 0x718

// Reserved address 0x71c

// Reserved address 0x720

// Reserved address 0x724

// Reserved address 0x728

// Reserved address 0x72c

// Reserved address 0x730

// Reserved address 0x734

// Reserved address 0x738

// Reserved address 0x73c

// Reserved address 0x740

// Reserved address 0x744

// Reserved address 0x748

// Reserved address 0x74c

// Reserved address 0x750

// Reserved address 0x754

// Reserved address 0x758

// Reserved address 0x75c

// Reserved address 0x760

// Reserved address 0x764

// Reserved address 0x768

// Reserved address 0x76c

// Reserved address 0x770

// Reserved address 0x774

// Reserved address 0x778

// Reserved address 0x77c

// Reserved address 0x780

// Reserved address 0x784

// Reserved address 0x788

// Reserved address 0x78c

// Reserved address 0x790

// Reserved address 0x794

// Reserved address 0x798

// Reserved address 0x79c

// Reserved address 0x7a0

// Reserved address 0x7a4

// Reserved address 0x7a8

// Reserved address 0x7ac

// Reserved address 0x7b0

// Reserved address 0x7b4

// Reserved address 0x7b8

// Reserved address 0x7bc

// Reserved address 0x7c0

// Reserved address 0x7c4

// Reserved address 0x7c8

// Reserved address 0x7cc

// Reserved address 0x7d0

// Reserved address 0x7d4

// Reserved address 0x7d8

// Reserved address 0x7dc

// Reserved address 0x7e0

// Reserved address 0x7e4

// Reserved address 0x7e8

// Reserved address 0x7ec

// Reserved address 0x7f0

// Reserved address 0x7f4

// Reserved address 0x7f8

// Reserved address 0x7fc

// Reserved address 0x800

// Reserved address 0x804

// Reserved address 0x808

// Reserved address 0x80c

// Reserved address 0x810

// Reserved address 0x814

// Reserved address 0x818

// Reserved address 0x81c

// Reserved address 0x820

// Reserved address 0x824

// Reserved address 0x828

// Reserved address 0x82c

// Reserved address 0x830

// Reserved address 0x834

// Reserved address 0x838

// Reserved address 0x83c

// Reserved address 0x840

// Reserved address 0x844

// Reserved address 0x848

// Reserved address 0x84c

// Reserved address 0x850

// Reserved address 0x854

// Reserved address 0x858

// Reserved address 0x85c

// Reserved address 0x860

// Reserved address 0x864

// Reserved address 0x868

// Reserved address 0x86c

// Reserved address 0x870

// Reserved address 0x874

// Reserved address 0x878

// Reserved address 0x87c

// Reserved address 0x880

// Reserved address 0x884

// Reserved address 0x888

// Reserved address 0x88c

// Reserved address 0x890

// Reserved address 0x894

// Reserved address 0x898

// Reserved address 0x89c

// Reserved address 0x8a0

// Reserved address 0x8a4

// Reserved address 0x8a8

// Reserved address 0x8ac

// Reserved address 0x8b0

// Reserved address 0x8b4

// Reserved address 0x8b8

// Reserved address 0x8bc

// Reserved address 0x8c0

// Reserved address 0x8c4

// Reserved address 0x8c8

// Reserved address 0x8cc

// Reserved address 0x8d0

// Reserved address 0x8d4

// Reserved address 0x8d8

// Reserved address 0x8dc

// Reserved address 0x8e0

// Reserved address 0x8e4

// Reserved address 0x8e8

// Reserved address 0x8ec

// Reserved address 0x8f0

// Reserved address 0x8f4

// Reserved address 0x8f8

// Reserved address 0x8fc

// Reserved address 0x900

// Reserved address 0x904

// Reserved address 0x908

// Reserved address 0x90c

// Reserved address 0x910

// Reserved address 0x914

// Reserved address 0x918

// Reserved address 0x91c

// Reserved address 0x920

// Reserved address 0x924

// Reserved address 0x928

// Reserved address 0x92c

// Reserved address 0x930

// Reserved address 0x934

// Reserved address 0x938

// Reserved address 0x93c

// Reserved address 0x940

// Reserved address 0x944

// Reserved address 0x948

// Reserved address 0x94c

// Reserved address 0x950

// Reserved address 0x954

// Reserved address 0x958

// Reserved address 0x95c

// Reserved address 0x960

// Reserved address 0x964

// Reserved address 0x968

// Reserved address 0x96c

// Reserved address 0x970

// Reserved address 0x974

// Reserved address 0x978

// Reserved address 0x97c

// Reserved address 0x980

// Reserved address 0x984

// Reserved address 0x988

// Reserved address 0x98c

// Reserved address 0x990

// Reserved address 0x994

// Reserved address 0x998

// Reserved address 0x99c

// Reserved address 0x9a0

// Reserved address 0x9a4

// Reserved address 0x9a8

// Reserved address 0x9ac

// Reserved address 0x9b0

// Reserved address 0x9b4

// Reserved address 0x9b8

// Reserved address 0x9bc

// Reserved address 0x9c0

// Reserved address 0x9c4

// Reserved address 0x9c8

// Reserved address 0x9cc

// Reserved address 0x9d0

// Reserved address 0x9d4

// Reserved address 0x9d8

// Reserved address 0x9dc

// Reserved address 0x9e0

// Reserved address 0x9e4

// Reserved address 0x9e8

// Reserved address 0x9ec

// Reserved address 0x9f0

// Reserved address 0x9f4

// Reserved address 0x9f8

// Reserved address 0x9fc

// Reserved address 0xa00

// Reserved address 0xa04

// Reserved address 0xa08

// Reserved address 0xa0c

// Reserved address 0xa10

// Reserved address 0xa14

// Reserved address 0xa18

// Reserved address 0xa1c

// Reserved address 0xa20

// Reserved address 0xa24

// Reserved address 0xa28

// Reserved address 0xa2c

// Reserved address 0xa30

// Reserved address 0xa34

// Reserved address 0xa38

// Reserved address 0xa3c

// Reserved address 0xa40

// Reserved address 0xa44

// Reserved address 0xa48

// Reserved address 0xa4c

// Reserved address 0xa50

// Reserved address 0xa54

// Reserved address 0xa58

// Reserved address 0xa5c

// Reserved address 0xa60

// Reserved address 0xa64

// Reserved address 0xa68

// Reserved address 0xa6c

// Reserved address 0xa70

// Reserved address 0xa74

// Reserved address 0xa78

// Reserved address 0xa7c

// Reserved address 0xa80

// Reserved address 0xa84

// Reserved address 0xa88

// Reserved address 0xa8c

// Reserved address 0xa90

// Reserved address 0xa94

// Reserved address 0xa98

// Reserved address 0xa9c

// Reserved address 0xaa0

// Reserved address 0xaa4

// Reserved address 0xaa8

// Reserved address 0xaac

// Reserved address 0xab0

// Reserved address 0xab4

// Reserved address 0xab8

// Reserved address 0xabc

// Reserved address 0xac0

// Reserved address 0xac4

// Reserved address 0xac8

// Reserved address 0xacc

// Reserved address 0xad0

// Reserved address 0xad4

// Reserved address 0xad8

// Reserved address 0xadc

// Reserved address 0xae0

// Reserved address 0xae4

// Reserved address 0xae8

// Reserved address 0xaec

// Reserved address 0xaf0

// Reserved address 0xaf4

// Reserved address 0xaf8

// Reserved address 0xafc

// Reserved address 0xb00

// Reserved address 0xb04

// Reserved address 0xb08

// Reserved address 0xb0c

// Reserved address 0xb10

// Reserved address 0xb14

// Reserved address 0xb18

// Reserved address 0xb1c

// Reserved address 0xb20

// Reserved address 0xb24

// Reserved address 0xb28

// Reserved address 0xb2c

// Reserved address 0xb30

// Reserved address 0xb34

// Reserved address 0xb38

// Reserved address 0xb3c

// Reserved address 0xb40

// Reserved address 0xb44

// Reserved address 0xb48

// Reserved address 0xb4c

// Reserved address 0xb50

// Reserved address 0xb54

// Reserved address 0xb58

// Reserved address 0xb5c

// Reserved address 0xb60

// Reserved address 0xb64

// Reserved address 0xb68

// Reserved address 0xb6c

// Reserved address 0xb70

// Reserved address 0xb74

// Reserved address 0xb78

// Reserved address 0xb7c

// Reserved address 0xb80

// Reserved address 0xb84

// Reserved address 0xb88

// Reserved address 0xb8c

// Reserved address 0xb90

// Reserved address 0xb94

// Reserved address 0xb98

// Reserved address 0xb9c

// Reserved address 0xba0

// Reserved address 0xba4

// Reserved address 0xba8

// Reserved address 0xbac

// Reserved address 0xbb0

// Reserved address 0xbb4

// Reserved address 0xbb8

// Reserved address 0xbbc

// Reserved address 0xbc0

// Reserved address 0xbc4

// Reserved address 0xbc8

// Reserved address 0xbcc

// Reserved address 0xbd0

// Reserved address 0xbd4

// Reserved address 0xbd8

// Reserved address 0xbdc

// Reserved address 0xbe0

// Reserved address 0xbe4

// Reserved address 0xbe8

// Reserved address 0xbec

// Reserved address 0xbf0

// Reserved address 0xbf4

// Reserved address 0xbf8

// Reserved address 0xbfc

// Reserved address 0xc00

// Reserved address 0xc04

// Reserved address 0xc08

// Reserved address 0xc0c

// Reserved address 0xc10

// Reserved address 0xc14

// Reserved address 0xc18

// Reserved address 0xc1c

// Reserved address 0xc20

// Reserved address 0xc24

// Reserved address 0xc28

// Reserved address 0xc2c

// Reserved address 0xc30

// Reserved address 0xc34

// Reserved address 0xc38

// Reserved address 0xc3c

// Reserved address 0xc40

// Reserved address 0xc44

// Reserved address 0xc48

// Reserved address 0xc4c

// Reserved address 0xc50

// Reserved address 0xc54

// Reserved address 0xc58

// Reserved address 0xc5c

// Reserved address 0xc60

// Reserved address 0xc64

// Reserved address 0xc68

// Reserved address 0xc6c

// Reserved address 0xc70

// Reserved address 0xc74

// Reserved address 0xc78

// Reserved address 0xc7c

// Reserved address 0xc80

// Reserved address 0xc84

// Reserved address 0xc88

// Reserved address 0xc8c

// Reserved address 0xc90

// Reserved address 0xc94

// Reserved address 0xc98

// Reserved address 0xc9c

// Reserved address 0xca0

// Reserved address 0xca4

// Reserved address 0xca8

// Reserved address 0xcac

// Reserved address 0xcb0

// Reserved address 0xcb4

// Reserved address 0xcb8

// Reserved address 0xcbc

// Reserved address 0xcc0

// Reserved address 0xcc4

// Reserved address 0xcc8

// Reserved address 0xccc

// Reserved address 0xcd0

// Reserved address 0xcd4

// Reserved address 0xcd8

// Reserved address 0xcdc

// Reserved address 0xce0

// Reserved address 0xce4

// Reserved address 0xce8

// Reserved address 0xcec

// Reserved address 0xcf0

// Reserved address 0xcf4

// Reserved address 0xcf8

// Reserved address 0xcfc

// Reserved address 0xd00

// Reserved address 0xd04

// Reserved address 0xd08

// Reserved address 0xd0c

// Reserved address 0xd10

// Reserved address 0xd14

// Reserved address 0xd18

// Reserved address 0xd1c

// Reserved address 0xd20

// Reserved address 0xd24

// Reserved address 0xd28

// Reserved address 0xd2c

// Reserved address 0xd30

// Reserved address 0xd34

// Reserved address 0xd38

// Reserved address 0xd3c

// Reserved address 0xd40

// Reserved address 0xd44

// Reserved address 0xd48

// Reserved address 0xd4c

// Reserved address 0xd50

// Reserved address 0xd54

// Reserved address 0xd58

// Reserved address 0xd5c

// Reserved address 0xd60

// Reserved address 0xd64

// Reserved address 0xd68

// Reserved address 0xd6c

// Reserved address 0xd70

// Reserved address 0xd74

// Reserved address 0xd78

// Reserved address 0xd7c

// Reserved address 0xd80

// Reserved address 0xd84

// Reserved address 0xd88

// Reserved address 0xd8c

// Reserved address 0xd90

// Reserved address 0xd94

// Reserved address 0xd98

// Reserved address 0xd9c

// Reserved address 0xda0

// Reserved address 0xda4

// Reserved address 0xda8

// Reserved address 0xdac

// Reserved address 0xdb0

// Reserved address 0xdb4

// Reserved address 0xdb8

// Reserved address 0xdbc

// Reserved address 0xdc0

// Reserved address 0xdc4

// Reserved address 0xdc8

// Reserved address 0xdcc

// Reserved address 0xdd0

// Reserved address 0xdd4

// Reserved address 0xdd8

// Reserved address 0xddc

// Reserved address 0xde0

// Reserved address 0xde4

// Reserved address 0xde8

// Reserved address 0xdec

// Reserved address 0xdf0

// Reserved address 0xdf4

// Reserved address 0xdf8

// Reserved address 0xdfc

// Reserved address 0xe00

// Reserved address 0xe04

// Reserved address 0xe08

// Reserved address 0xe0c

// Reserved address 0xe10

// Reserved address 0xe14

// Reserved address 0xe18

// Reserved address 0xe1c

// Reserved address 0xe20

// Reserved address 0xe24

// Reserved address 0xe28

// Reserved address 0xe2c

// Reserved address 0xe30

// Reserved address 0xe34

// Reserved address 0xe38

// Reserved address 0xe3c

// Reserved address 0xe40

// Reserved address 0xe44

// Reserved address 0xe48

// Reserved address 0xe4c

// Reserved address 0xe50

// Reserved address 0xe54

// Reserved address 0xe58

// Reserved address 0xe5c

// Reserved address 0xe60

// Reserved address 0xe64

// Reserved address 0xe68

// Reserved address 0xe6c

// Reserved address 0xe70

// Reserved address 0xe74

// Reserved address 0xe78

// Reserved address 0xe7c

// Reserved address 0xe80

// Reserved address 0xe84

// Reserved address 0xe88

// Reserved address 0xe8c

// Reserved address 0xe90

// Reserved address 0xe94

// Reserved address 0xe98

// Reserved address 0xe9c

// Reserved address 0xea0

// Reserved address 0xea4

// Reserved address 0xea8

// Reserved address 0xeac

// Reserved address 0xeb0

// Reserved address 0xeb4

// Reserved address 0xeb8

// Reserved address 0xebc

// Reserved address 0xec0

// Reserved address 0xec4

// Reserved address 0xec8

// Reserved address 0xecc

// Reserved address 0xed0

// Reserved address 0xed4

// Reserved address 0xed8

// Reserved address 0xedc

// Reserved address 0xee0

// Reserved address 0xee4

// Reserved address 0xee8

// Reserved address 0xeec

// Reserved address 0xef0

// Reserved address 0xef4

// Reserved address 0xef8

// Reserved address 0xefc

// Reserved address 0xf00

// Reserved address 0xf04

// Reserved address 0xf08

// Reserved address 0xf0c

// Reserved address 0xf10

// Reserved address 0xf14

// Reserved address 0xf18

// Reserved address 0xf1c

// Reserved address 0xf20

// Reserved address 0xf24

// Reserved address 0xf28

// Reserved address 0xf2c

// Reserved address 0xf30

// Reserved address 0xf34

// Reserved address 0xf38

// Reserved address 0xf3c

// Reserved address 0xf40

// Reserved address 0xf44

// Reserved address 0xf48

// Reserved address 0xf4c

// Reserved address 0xf50

// Reserved address 0xf54

// Reserved address 0xf58

// Reserved address 0xf5c

// Reserved address 0xf60

// Reserved address 0xf64

// Reserved address 0xf68

// Reserved address 0xf6c

// Reserved address 0xf70

// Reserved address 0xf74

// Reserved address 0xf78

// Reserved address 0xf7c

// Reserved address 0xf80

// Reserved address 0xf84

// Reserved address 0xf88

// Reserved address 0xf8c

// Reserved address 0xf90

// Reserved address 0xf94

// Reserved address 0xf98

// Reserved address 0xf9c

// Reserved address 0xfa0

// Reserved address 0xfa4

// Reserved address 0xfa8

// Reserved address 0xfac

// Reserved address 0xfb0

// Reserved address 0xfb4

// Reserved address 0xfb8

// Reserved address 0xfbc

// Reserved address 0xfc0

// Reserved address 0xfc4

// Reserved address 0xfc8

// Reserved address 0xfcc

// Register TSC_SYSCTR0_COUNTERID4_0
#define TSC_SYSCTR0_COUNTERID4_0                        _MK_ADDR_CONST(0xfd0)
#define TSC_SYSCTR0_COUNTERID4_0_SECURE                         0x0
#define TSC_SYSCTR0_COUNTERID4_0_DUAL                   0x0
#define TSC_SYSCTR0_COUNTERID4_0_SCR                    0
#define TSC_SYSCTR0_COUNTERID4_0_WORD_COUNT                     0x1
#define TSC_SYSCTR0_COUNTERID4_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID4_0_RESET_MASK                     _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID4_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID4_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID4_0_READ_MASK                      _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID4_0_WRITE_MASK                     _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID4_0_VALUE_SHIFT                    _MK_SHIFT_CONST(0)
#define TSC_SYSCTR0_COUNTERID4_0_VALUE_FIELD                    _MK_FIELD_CONST(0xff, TSC_SYSCTR0_COUNTERID4_0_VALUE_SHIFT)
#define TSC_SYSCTR0_COUNTERID4_0_VALUE_RANGE                    7:0
#define TSC_SYSCTR0_COUNTERID4_0_VALUE_WOFFSET                  0x0
#define TSC_SYSCTR0_COUNTERID4_0_VALUE_DEFAULT                  _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID4_0_VALUE_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID4_0_VALUE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID4_0_VALUE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID4_0_VALUE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID4_0_VALUE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register TSC_SYSCTR0_COUNTERID5_0
#define TSC_SYSCTR0_COUNTERID5_0                        _MK_ADDR_CONST(0xfd4)
#define TSC_SYSCTR0_COUNTERID5_0_SECURE                         0x1
#define TSC_SYSCTR0_COUNTERID5_0_DUAL                   0x0
#define TSC_SYSCTR0_COUNTERID5_0_SCR                    0
#define TSC_SYSCTR0_COUNTERID5_0_WORD_COUNT                     0x1
#define TSC_SYSCTR0_COUNTERID5_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID5_0_RESET_MASK                     _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID5_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID5_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID5_0_READ_MASK                      _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID5_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID5_0_RESERVED_SHIFT                 _MK_SHIFT_CONST(0)
#define TSC_SYSCTR0_COUNTERID5_0_RESERVED_FIELD                 _MK_FIELD_CONST(0xff, TSC_SYSCTR0_COUNTERID5_0_RESERVED_SHIFT)
#define TSC_SYSCTR0_COUNTERID5_0_RESERVED_RANGE                 7:0
#define TSC_SYSCTR0_COUNTERID5_0_RESERVED_WOFFSET                       0x0
#define TSC_SYSCTR0_COUNTERID5_0_RESERVED_DEFAULT                       _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID5_0_RESERVED_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID5_0_RESERVED_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID5_0_RESERVED_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID5_0_RESERVED_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID5_0_RESERVED_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register TSC_SYSCTR0_COUNTERID6_0
#define TSC_SYSCTR0_COUNTERID6_0                        _MK_ADDR_CONST(0xfd8)
#define TSC_SYSCTR0_COUNTERID6_0_SECURE                         0x1
#define TSC_SYSCTR0_COUNTERID6_0_DUAL                   0x0
#define TSC_SYSCTR0_COUNTERID6_0_SCR                    0
#define TSC_SYSCTR0_COUNTERID6_0_WORD_COUNT                     0x1
#define TSC_SYSCTR0_COUNTERID6_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID6_0_RESET_MASK                     _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID6_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID6_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID6_0_READ_MASK                      _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID6_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID6_0_RESERVED_SHIFT                 _MK_SHIFT_CONST(0)
#define TSC_SYSCTR0_COUNTERID6_0_RESERVED_FIELD                 _MK_FIELD_CONST(0xff, TSC_SYSCTR0_COUNTERID6_0_RESERVED_SHIFT)
#define TSC_SYSCTR0_COUNTERID6_0_RESERVED_RANGE                 7:0
#define TSC_SYSCTR0_COUNTERID6_0_RESERVED_WOFFSET                       0x0
#define TSC_SYSCTR0_COUNTERID6_0_RESERVED_DEFAULT                       _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID6_0_RESERVED_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID6_0_RESERVED_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID6_0_RESERVED_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID6_0_RESERVED_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID6_0_RESERVED_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register TSC_SYSCTR0_COUNTERID7_0
#define TSC_SYSCTR0_COUNTERID7_0                        _MK_ADDR_CONST(0xfdc)
#define TSC_SYSCTR0_COUNTERID7_0_SECURE                         0x1
#define TSC_SYSCTR0_COUNTERID7_0_DUAL                   0x0
#define TSC_SYSCTR0_COUNTERID7_0_SCR                    0
#define TSC_SYSCTR0_COUNTERID7_0_WORD_COUNT                     0x1
#define TSC_SYSCTR0_COUNTERID7_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID7_0_RESET_MASK                     _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID7_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID7_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID7_0_READ_MASK                      _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID7_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID7_0_RESERVED_SHIFT                 _MK_SHIFT_CONST(0)
#define TSC_SYSCTR0_COUNTERID7_0_RESERVED_FIELD                 _MK_FIELD_CONST(0xff, TSC_SYSCTR0_COUNTERID7_0_RESERVED_SHIFT)
#define TSC_SYSCTR0_COUNTERID7_0_RESERVED_RANGE                 7:0
#define TSC_SYSCTR0_COUNTERID7_0_RESERVED_WOFFSET                       0x0
#define TSC_SYSCTR0_COUNTERID7_0_RESERVED_DEFAULT                       _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID7_0_RESERVED_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID7_0_RESERVED_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID7_0_RESERVED_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID7_0_RESERVED_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID7_0_RESERVED_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register TSC_SYSCTR0_COUNTERID0_0
#define TSC_SYSCTR0_COUNTERID0_0                        _MK_ADDR_CONST(0xfe0)
#define TSC_SYSCTR0_COUNTERID0_0_SECURE                         0x0
#define TSC_SYSCTR0_COUNTERID0_0_DUAL                   0x0
#define TSC_SYSCTR0_COUNTERID0_0_SCR                    0
#define TSC_SYSCTR0_COUNTERID0_0_WORD_COUNT                     0x1
#define TSC_SYSCTR0_COUNTERID0_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID0_0_RESET_MASK                     _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID0_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID0_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID0_0_READ_MASK                      _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID0_0_WRITE_MASK                     _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID0_0_VALUE_SHIFT                    _MK_SHIFT_CONST(0)
#define TSC_SYSCTR0_COUNTERID0_0_VALUE_FIELD                    _MK_FIELD_CONST(0xff, TSC_SYSCTR0_COUNTERID0_0_VALUE_SHIFT)
#define TSC_SYSCTR0_COUNTERID0_0_VALUE_RANGE                    7:0
#define TSC_SYSCTR0_COUNTERID0_0_VALUE_WOFFSET                  0x0
#define TSC_SYSCTR0_COUNTERID0_0_VALUE_DEFAULT                  _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID0_0_VALUE_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID0_0_VALUE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID0_0_VALUE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID0_0_VALUE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID0_0_VALUE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register TSC_SYSCTR0_COUNTERID1_0
#define TSC_SYSCTR0_COUNTERID1_0                        _MK_ADDR_CONST(0xfe4)
#define TSC_SYSCTR0_COUNTERID1_0_SECURE                         0x0
#define TSC_SYSCTR0_COUNTERID1_0_DUAL                   0x0
#define TSC_SYSCTR0_COUNTERID1_0_SCR                    0
#define TSC_SYSCTR0_COUNTERID1_0_WORD_COUNT                     0x1
#define TSC_SYSCTR0_COUNTERID1_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID1_0_RESET_MASK                     _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID1_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID1_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID1_0_READ_MASK                      _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID1_0_WRITE_MASK                     _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID1_0_VALUE_SHIFT                    _MK_SHIFT_CONST(0)
#define TSC_SYSCTR0_COUNTERID1_0_VALUE_FIELD                    _MK_FIELD_CONST(0xff, TSC_SYSCTR0_COUNTERID1_0_VALUE_SHIFT)
#define TSC_SYSCTR0_COUNTERID1_0_VALUE_RANGE                    7:0
#define TSC_SYSCTR0_COUNTERID1_0_VALUE_WOFFSET                  0x0
#define TSC_SYSCTR0_COUNTERID1_0_VALUE_DEFAULT                  _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID1_0_VALUE_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID1_0_VALUE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID1_0_VALUE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID1_0_VALUE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID1_0_VALUE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register TSC_SYSCTR0_COUNTERID2_0
#define TSC_SYSCTR0_COUNTERID2_0                        _MK_ADDR_CONST(0xfe8)
#define TSC_SYSCTR0_COUNTERID2_0_SECURE                         0x0
#define TSC_SYSCTR0_COUNTERID2_0_DUAL                   0x0
#define TSC_SYSCTR0_COUNTERID2_0_SCR                    0
#define TSC_SYSCTR0_COUNTERID2_0_WORD_COUNT                     0x1
#define TSC_SYSCTR0_COUNTERID2_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID2_0_RESET_MASK                     _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID2_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID2_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID2_0_READ_MASK                      _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID2_0_WRITE_MASK                     _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID2_0_VALUE_SHIFT                    _MK_SHIFT_CONST(0)
#define TSC_SYSCTR0_COUNTERID2_0_VALUE_FIELD                    _MK_FIELD_CONST(0xff, TSC_SYSCTR0_COUNTERID2_0_VALUE_SHIFT)
#define TSC_SYSCTR0_COUNTERID2_0_VALUE_RANGE                    7:0
#define TSC_SYSCTR0_COUNTERID2_0_VALUE_WOFFSET                  0x0
#define TSC_SYSCTR0_COUNTERID2_0_VALUE_DEFAULT                  _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID2_0_VALUE_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID2_0_VALUE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID2_0_VALUE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID2_0_VALUE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID2_0_VALUE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register TSC_SYSCTR0_COUNTERID3_0
#define TSC_SYSCTR0_COUNTERID3_0                        _MK_ADDR_CONST(0xfec)
#define TSC_SYSCTR0_COUNTERID3_0_SECURE                         0x0
#define TSC_SYSCTR0_COUNTERID3_0_DUAL                   0x0
#define TSC_SYSCTR0_COUNTERID3_0_SCR                    0
#define TSC_SYSCTR0_COUNTERID3_0_WORD_COUNT                     0x1
#define TSC_SYSCTR0_COUNTERID3_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID3_0_RESET_MASK                     _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID3_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID3_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID3_0_READ_MASK                      _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID3_0_WRITE_MASK                     _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID3_0_VALUE_SHIFT                    _MK_SHIFT_CONST(0)
#define TSC_SYSCTR0_COUNTERID3_0_VALUE_FIELD                    _MK_FIELD_CONST(0xff, TSC_SYSCTR0_COUNTERID3_0_VALUE_SHIFT)
#define TSC_SYSCTR0_COUNTERID3_0_VALUE_RANGE                    7:0
#define TSC_SYSCTR0_COUNTERID3_0_VALUE_WOFFSET                  0x0
#define TSC_SYSCTR0_COUNTERID3_0_VALUE_DEFAULT                  _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID3_0_VALUE_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID3_0_VALUE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID3_0_VALUE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID3_0_VALUE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID3_0_VALUE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register TSC_SYSCTR0_COUNTERID8_0
#define TSC_SYSCTR0_COUNTERID8_0                        _MK_ADDR_CONST(0xff0)
#define TSC_SYSCTR0_COUNTERID8_0_SECURE                         0x0
#define TSC_SYSCTR0_COUNTERID8_0_DUAL                   0x0
#define TSC_SYSCTR0_COUNTERID8_0_SCR                    0
#define TSC_SYSCTR0_COUNTERID8_0_WORD_COUNT                     0x1
#define TSC_SYSCTR0_COUNTERID8_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID8_0_RESET_MASK                     _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID8_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID8_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID8_0_READ_MASK                      _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID8_0_WRITE_MASK                     _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID8_0_VALUE_SHIFT                    _MK_SHIFT_CONST(0)
#define TSC_SYSCTR0_COUNTERID8_0_VALUE_FIELD                    _MK_FIELD_CONST(0xff, TSC_SYSCTR0_COUNTERID8_0_VALUE_SHIFT)
#define TSC_SYSCTR0_COUNTERID8_0_VALUE_RANGE                    7:0
#define TSC_SYSCTR0_COUNTERID8_0_VALUE_WOFFSET                  0x0
#define TSC_SYSCTR0_COUNTERID8_0_VALUE_DEFAULT                  _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID8_0_VALUE_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID8_0_VALUE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID8_0_VALUE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID8_0_VALUE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID8_0_VALUE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register TSC_SYSCTR0_COUNTERID9_0
#define TSC_SYSCTR0_COUNTERID9_0                        _MK_ADDR_CONST(0xff4)
#define TSC_SYSCTR0_COUNTERID9_0_SECURE                         0x0
#define TSC_SYSCTR0_COUNTERID9_0_DUAL                   0x0
#define TSC_SYSCTR0_COUNTERID9_0_SCR                    0
#define TSC_SYSCTR0_COUNTERID9_0_WORD_COUNT                     0x1
#define TSC_SYSCTR0_COUNTERID9_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID9_0_RESET_MASK                     _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID9_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID9_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID9_0_READ_MASK                      _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID9_0_WRITE_MASK                     _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID9_0_VALUE_SHIFT                    _MK_SHIFT_CONST(0)
#define TSC_SYSCTR0_COUNTERID9_0_VALUE_FIELD                    _MK_FIELD_CONST(0xff, TSC_SYSCTR0_COUNTERID9_0_VALUE_SHIFT)
#define TSC_SYSCTR0_COUNTERID9_0_VALUE_RANGE                    7:0
#define TSC_SYSCTR0_COUNTERID9_0_VALUE_WOFFSET                  0x0
#define TSC_SYSCTR0_COUNTERID9_0_VALUE_DEFAULT                  _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID9_0_VALUE_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID9_0_VALUE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID9_0_VALUE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID9_0_VALUE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID9_0_VALUE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register TSC_SYSCTR0_COUNTERID10_0
#define TSC_SYSCTR0_COUNTERID10_0                       _MK_ADDR_CONST(0xff8)
#define TSC_SYSCTR0_COUNTERID10_0_SECURE                        0x0
#define TSC_SYSCTR0_COUNTERID10_0_DUAL                  0x0
#define TSC_SYSCTR0_COUNTERID10_0_SCR                   0
#define TSC_SYSCTR0_COUNTERID10_0_WORD_COUNT                    0x1
#define TSC_SYSCTR0_COUNTERID10_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID10_0_RESET_MASK                    _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID10_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID10_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID10_0_READ_MASK                     _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID10_0_WRITE_MASK                    _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID10_0_VALUE_SHIFT                   _MK_SHIFT_CONST(0)
#define TSC_SYSCTR0_COUNTERID10_0_VALUE_FIELD                   _MK_FIELD_CONST(0xff, TSC_SYSCTR0_COUNTERID10_0_VALUE_SHIFT)
#define TSC_SYSCTR0_COUNTERID10_0_VALUE_RANGE                   7:0
#define TSC_SYSCTR0_COUNTERID10_0_VALUE_WOFFSET                 0x0
#define TSC_SYSCTR0_COUNTERID10_0_VALUE_DEFAULT                 _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID10_0_VALUE_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID10_0_VALUE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID10_0_VALUE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID10_0_VALUE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID10_0_VALUE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register TSC_SYSCTR0_COUNTERID11_0
#define TSC_SYSCTR0_COUNTERID11_0                       _MK_ADDR_CONST(0xffc)
#define TSC_SYSCTR0_COUNTERID11_0_SECURE                        0x0
#define TSC_SYSCTR0_COUNTERID11_0_DUAL                  0x0
#define TSC_SYSCTR0_COUNTERID11_0_SCR                   0
#define TSC_SYSCTR0_COUNTERID11_0_WORD_COUNT                    0x1
#define TSC_SYSCTR0_COUNTERID11_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID11_0_RESET_MASK                    _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID11_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID11_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID11_0_READ_MASK                     _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID11_0_WRITE_MASK                    _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID11_0_VALUE_SHIFT                   _MK_SHIFT_CONST(0)
#define TSC_SYSCTR0_COUNTERID11_0_VALUE_FIELD                   _MK_FIELD_CONST(0xff, TSC_SYSCTR0_COUNTERID11_0_VALUE_SHIFT)
#define TSC_SYSCTR0_COUNTERID11_0_VALUE_RANGE                   7:0
#define TSC_SYSCTR0_COUNTERID11_0_VALUE_WOFFSET                 0x0
#define TSC_SYSCTR0_COUNTERID11_0_VALUE_DEFAULT                 _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID11_0_VALUE_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define TSC_SYSCTR0_COUNTERID11_0_VALUE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID11_0_VALUE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID11_0_VALUE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define TSC_SYSCTR0_COUNTERID11_0_VALUE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


//
// REGISTER LIST
//
#define LIST_ARTSC_SYSCTR0_REGS(_op_) \
_op_(TSC_SYSCTR0_CNTCR_0) \
_op_(TSC_SYSCTR0_CNTSR_0) \
_op_(TSC_SYSCTR0_CNTCV0_0) \
_op_(TSC_SYSCTR0_CNTCV1_0) \
_op_(TSC_SYSCTR0_CNTFID0_0) \
_op_(TSC_SYSCTR0_CNTFID1_0) \
_op_(TSC_SYSCTR0_COUNTERID4_0) \
_op_(TSC_SYSCTR0_COUNTERID5_0) \
_op_(TSC_SYSCTR0_COUNTERID6_0) \
_op_(TSC_SYSCTR0_COUNTERID7_0) \
_op_(TSC_SYSCTR0_COUNTERID0_0) \
_op_(TSC_SYSCTR0_COUNTERID1_0) \
_op_(TSC_SYSCTR0_COUNTERID2_0) \
_op_(TSC_SYSCTR0_COUNTERID3_0) \
_op_(TSC_SYSCTR0_COUNTERID8_0) \
_op_(TSC_SYSCTR0_COUNTERID9_0) \
_op_(TSC_SYSCTR0_COUNTERID10_0) \
_op_(TSC_SYSCTR0_COUNTERID11_0)


//
// ADDRESS SPACES
//

#define BASE_ADDRESS_TSC_SYSCTR0        0x00000000

//
// ARTSC_SYSCTR0 REGISTER BANKS
//

#define TSC_SYSCTR00_FIRST_REG 0x0000 // TSC_SYSCTR0_CNTCR_0
#define TSC_SYSCTR00_LAST_REG 0x000c // TSC_SYSCTR0_CNTCV1_0
#define TSC_SYSCTR01_FIRST_REG 0x0020 // TSC_SYSCTR0_CNTFID0_0
#define TSC_SYSCTR01_LAST_REG 0x0024 // TSC_SYSCTR0_CNTFID1_0
#define TSC_SYSCTR02_FIRST_REG 0x0fd0 // TSC_SYSCTR0_COUNTERID4_0
#define TSC_SYSCTR02_LAST_REG 0x0ffc // TSC_SYSCTR0_COUNTERID11_0

// To satisfy various compilers and platforms,
// we let users control the types and syntax of certain constants, using macros.
#ifndef _MK_SHIFT_CONST
  #define _MK_SHIFT_CONST(_constant_) _constant_
#endif
#ifndef _MK_MASK_CONST
  #define _MK_MASK_CONST(_constant_) _constant_
#endif
#ifndef _MK_ENUM_CONST
  #define _MK_ENUM_CONST(_constant_) (_constant_ ## UL)
#endif
#ifndef _MK_ADDR_CONST
  #define _MK_ADDR_CONST(_constant_) _constant_
#endif
#ifndef _MK_FIELD_CONST
  #define _MK_FIELD_CONST(_mask_, _shift_) (_MK_MASK_CONST(_mask_) << _MK_SHIFT_CONST(_shift_))
#endif

#endif // ifndef ___ARTSC_SYSCTR0_H_INC_
