//
// Copyright (c) 2018 NVIDIA Corporation.
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are met:
//
// Redistributions of source code must retain the above copyright notice,
// this list of conditions and the following disclaimer.
//
// Redistributions in binary form must reproduce the above copyright notice,
// this list of conditions and the following disclaimer in the documentation
// and/or other materials provided with the distribution.
//
// Neither the name of the NVIDIA Corporation nor the names of its contributors
// may be used to endorse or promote products derived from this software
// without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
// ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
// LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
// CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
// SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
// INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
// CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
// POSSIBILITY OF SUCH DAMAGE.
//

//
// DO NOT EDIT - generated by simspec!
//

#ifndef ___ARUSEC_CNTR_H_INC_
#define ___ARUSEC_CNTR_H_INC_
#define NV_MOBILE_ARUSEC_CNTR_H_UNIT_OF_OFFSET 1B


// Register USEC_CNTR_USECCVR_0
#define USEC_CNTR_USECCVR_0                     _MK_ADDR_CONST(0x0)
#define USEC_CNTR_USECCVR_0_SECURE                      0x0
#define USEC_CNTR_USECCVR_0_DUAL                        0x0
#define USEC_CNTR_USECCVR_0_SCR                         USECSCR_0
#define USEC_CNTR_USECCVR_0_WORD_COUNT                  0x1
#define USEC_CNTR_USECCVR_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define USEC_CNTR_USECCVR_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define USEC_CNTR_USECCVR_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define USEC_CNTR_USECCVR_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define USEC_CNTR_USECCVR_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define USEC_CNTR_USECCVR_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define USEC_CNTR_USECCVR_0_CNT_SHIFT                   _MK_SHIFT_CONST(0)
#define USEC_CNTR_USECCVR_0_CNT_FIELD                   _MK_FIELD_CONST(0xffffffff, USEC_CNTR_USECCVR_0_CNT_SHIFT)
#define USEC_CNTR_USECCVR_0_CNT_RANGE                   31:0
#define USEC_CNTR_USECCVR_0_CNT_WOFFSET                 0x0
#define USEC_CNTR_USECCVR_0_CNT_DEFAULT                 _MK_MASK_CONST(0x0)
#define USEC_CNTR_USECCVR_0_CNT_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define USEC_CNTR_USECCVR_0_CNT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define USEC_CNTR_USECCVR_0_CNT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define USEC_CNTR_USECCVR_0_CNT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define USEC_CNTR_USECCVR_0_CNT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register USEC_CNTR_USECCCR_0
#define USEC_CNTR_USECCCR_0                     _MK_ADDR_CONST(0x4)
#define USEC_CNTR_USECCCR_0_SECURE                      0x0
#define USEC_CNTR_USECCCR_0_DUAL                        0x0
#define USEC_CNTR_USECCCR_0_SCR                         USECSCR_0
#define USEC_CNTR_USECCCR_0_WORD_COUNT                  0x1
#define USEC_CNTR_USECCCR_0_RESET_VAL                   _MK_MASK_CONST(0x4bf)
#define USEC_CNTR_USECCCR_0_RESET_MASK                  _MK_MASK_CONST(0xffff)
#define USEC_CNTR_USECCCR_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define USEC_CNTR_USECCCR_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define USEC_CNTR_USECCCR_0_READ_MASK                   _MK_MASK_CONST(0xffff)
#define USEC_CNTR_USECCCR_0_WRITE_MASK                  _MK_MASK_CONST(0xffff)
#define USEC_CNTR_USECCCR_0_Divisor_SHIFT                       _MK_SHIFT_CONST(0)
#define USEC_CNTR_USECCCR_0_Divisor_FIELD                       _MK_FIELD_CONST(0xff, USEC_CNTR_USECCCR_0_Divisor_SHIFT)
#define USEC_CNTR_USECCCR_0_Divisor_RANGE                       7:0
#define USEC_CNTR_USECCCR_0_Divisor_WOFFSET                     0x0
#define USEC_CNTR_USECCCR_0_Divisor_DEFAULT                     _MK_MASK_CONST(0xbf)
#define USEC_CNTR_USECCCR_0_Divisor_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define USEC_CNTR_USECCCR_0_Divisor_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define USEC_CNTR_USECCCR_0_Divisor_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define USEC_CNTR_USECCCR_0_Divisor_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define USEC_CNTR_USECCCR_0_Divisor_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define USEC_CNTR_USECCCR_0_Dividend_SHIFT                      _MK_SHIFT_CONST(8)
#define USEC_CNTR_USECCCR_0_Dividend_FIELD                      _MK_FIELD_CONST(0xff, USEC_CNTR_USECCCR_0_Dividend_SHIFT)
#define USEC_CNTR_USECCCR_0_Dividend_RANGE                      15:8
#define USEC_CNTR_USECCCR_0_Dividend_WOFFSET                    0x0
#define USEC_CNTR_USECCCR_0_Dividend_DEFAULT                    _MK_MASK_CONST(0x4)
#define USEC_CNTR_USECCCR_0_Dividend_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define USEC_CNTR_USECCCR_0_Dividend_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define USEC_CNTR_USECCCR_0_Dividend_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define USEC_CNTR_USECCCR_0_Dividend_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define USEC_CNTR_USECCCR_0_Dividend_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register USEC_CNTR_USECCRSR_0
#define USEC_CNTR_USECCRSR_0                    _MK_ADDR_CONST(0x10)
#define USEC_CNTR_USECCRSR_0_SECURE                     0x0
#define USEC_CNTR_USECCRSR_0_DUAL                       0x0
#define USEC_CNTR_USECCRSR_0_SCR                        USECSCR_0
#define USEC_CNTR_USECCRSR_0_WORD_COUNT                         0x1
#define USEC_CNTR_USECCRSR_0_RESET_VAL                  _MK_MASK_CONST(0x1)
#define USEC_CNTR_USECCRSR_0_RESET_MASK                         _MK_MASK_CONST(0x31)
#define USEC_CNTR_USECCRSR_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define USEC_CNTR_USECCRSR_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define USEC_CNTR_USECCRSR_0_READ_MASK                  _MK_MASK_CONST(0x31)
#define USEC_CNTR_USECCRSR_0_WRITE_MASK                         _MK_MASK_CONST(0x31)
#define USEC_CNTR_USECCRSR_0_FR_SHIFT                   _MK_SHIFT_CONST(0)
#define USEC_CNTR_USECCRSR_0_FR_FIELD                   _MK_FIELD_CONST(0x1, USEC_CNTR_USECCRSR_0_FR_SHIFT)
#define USEC_CNTR_USECCRSR_0_FR_RANGE                   0:0
#define USEC_CNTR_USECCRSR_0_FR_WOFFSET                 0x0
#define USEC_CNTR_USECCRSR_0_FR_DEFAULT                 _MK_MASK_CONST(0x1)
#define USEC_CNTR_USECCRSR_0_FR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define USEC_CNTR_USECCRSR_0_FR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define USEC_CNTR_USECCRSR_0_FR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define USEC_CNTR_USECCRSR_0_FR_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define USEC_CNTR_USECCRSR_0_FR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define USEC_CNTR_USECCRSR_0_MBS_SHIFT                  _MK_SHIFT_CONST(4)
#define USEC_CNTR_USECCRSR_0_MBS_FIELD                  _MK_FIELD_CONST(0x3, USEC_CNTR_USECCRSR_0_MBS_SHIFT)
#define USEC_CNTR_USECCRSR_0_MBS_RANGE                  5:4
#define USEC_CNTR_USECCRSR_0_MBS_WOFFSET                        0x0
#define USEC_CNTR_USECCRSR_0_MBS_DEFAULT                        _MK_MASK_CONST(0x0)
#define USEC_CNTR_USECCRSR_0_MBS_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define USEC_CNTR_USECCRSR_0_MBS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define USEC_CNTR_USECCRSR_0_MBS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define USEC_CNTR_USECCRSR_0_MBS_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define USEC_CNTR_USECCRSR_0_MBS_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register USEC_CNTR_USECCFR_0
#define USEC_CNTR_USECCFR_0                     _MK_ADDR_CONST(0x3c)
#define USEC_CNTR_USECCFR_0_SECURE                      0x0
#define USEC_CNTR_USECCFR_0_DUAL                        0x0
#define USEC_CNTR_USECCFR_0_SCR                         USECSCR_0
#define USEC_CNTR_USECCFR_0_WORD_COUNT                  0x1
#define USEC_CNTR_USECCFR_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define USEC_CNTR_USECCFR_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define USEC_CNTR_USECCFR_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define USEC_CNTR_USECCFR_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define USEC_CNTR_USECCFR_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define USEC_CNTR_USECCFR_0_WRITE_MASK                  _MK_MASK_CONST(0x1)
#define USEC_CNTR_USECCFR_0_HDBG_SHIFT                  _MK_SHIFT_CONST(0)
#define USEC_CNTR_USECCFR_0_HDBG_FIELD                  _MK_FIELD_CONST(0x1, USEC_CNTR_USECCFR_0_HDBG_SHIFT)
#define USEC_CNTR_USECCFR_0_HDBG_RANGE                  0:0
#define USEC_CNTR_USECCFR_0_HDBG_WOFFSET                        0x0
#define USEC_CNTR_USECCFR_0_HDBG_DEFAULT                        _MK_MASK_CONST(0x0)
#define USEC_CNTR_USECCFR_0_HDBG_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define USEC_CNTR_USECCFR_0_HDBG_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define USEC_CNTR_USECCFR_0_HDBG_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define USEC_CNTR_USECCFR_0_HDBG_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define USEC_CNTR_USECCFR_0_HDBG_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register USEC_CNTR_CLK_OVR_ON_0
#define USEC_CNTR_CLK_OVR_ON_0                  _MK_ADDR_CONST(0x40)
#define USEC_CNTR_CLK_OVR_ON_0_SECURE                   0x0
#define USEC_CNTR_CLK_OVR_ON_0_DUAL                     0x0
#define USEC_CNTR_CLK_OVR_ON_0_SCR                      USECSCR_0
#define USEC_CNTR_CLK_OVR_ON_0_WORD_COUNT                       0x1
#define USEC_CNTR_CLK_OVR_ON_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define USEC_CNTR_CLK_OVR_ON_0_RESET_MASK                       _MK_MASK_CONST(0x1)
#define USEC_CNTR_CLK_OVR_ON_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define USEC_CNTR_CLK_OVR_ON_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define USEC_CNTR_CLK_OVR_ON_0_READ_MASK                        _MK_MASK_CONST(0x1)
#define USEC_CNTR_CLK_OVR_ON_0_WRITE_MASK                       _MK_MASK_CONST(0x1)
#define USEC_CNTR_CLK_OVR_ON_0_OSC_SHIFT                        _MK_SHIFT_CONST(0)
#define USEC_CNTR_CLK_OVR_ON_0_OSC_FIELD                        _MK_FIELD_CONST(0x1, USEC_CNTR_CLK_OVR_ON_0_OSC_SHIFT)
#define USEC_CNTR_CLK_OVR_ON_0_OSC_RANGE                        0:0
#define USEC_CNTR_CLK_OVR_ON_0_OSC_WOFFSET                      0x0
#define USEC_CNTR_CLK_OVR_ON_0_OSC_DEFAULT                      _MK_MASK_CONST(0x0)
#define USEC_CNTR_CLK_OVR_ON_0_OSC_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define USEC_CNTR_CLK_OVR_ON_0_OSC_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define USEC_CNTR_CLK_OVR_ON_0_OSC_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define USEC_CNTR_CLK_OVR_ON_0_OSC_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define USEC_CNTR_CLK_OVR_ON_0_OSC_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define USEC_CNTR_CLK_OVR_ON_0_OSC_DISABLE                      _MK_ENUM_CONST(0)
#define USEC_CNTR_CLK_OVR_ON_0_OSC_ENABLE                       _MK_ENUM_CONST(1)


//
// REGISTER LIST
//
#define LIST_ARUSEC_CNTR_REGS(_op_) \
_op_(USEC_CNTR_USECCVR_0) \
_op_(USEC_CNTR_USECCCR_0) \
_op_(USEC_CNTR_USECCRSR_0) \
_op_(USEC_CNTR_USECCFR_0) \
_op_(USEC_CNTR_CLK_OVR_ON_0)


//
// ADDRESS SPACES
//

#define BASE_ADDRESS_USEC_CNTR  0x00000000

//
// ARUSEC_CNTR REGISTER BANKS
//

#define USEC_CNTR0_FIRST_REG 0x0000 // USEC_CNTR_USECCVR_0
#define USEC_CNTR0_LAST_REG 0x0004 // USEC_CNTR_USECCCR_0
#define USEC_CNTR1_FIRST_REG 0x0010 // USEC_CNTR_USECCRSR_0
#define USEC_CNTR1_LAST_REG 0x0010 // USEC_CNTR_USECCRSR_0
#define USEC_CNTR2_FIRST_REG 0x003c // USEC_CNTR_USECCFR_0
#define USEC_CNTR2_LAST_REG 0x0040 // USEC_CNTR_CLK_OVR_ON_0

// To satisfy various compilers and platforms,
// we let users control the types and syntax of certain constants, using macros.
#ifndef _MK_SHIFT_CONST
  #define _MK_SHIFT_CONST(_constant_) _constant_
#endif
#ifndef _MK_MASK_CONST
  #define _MK_MASK_CONST(_constant_) _constant_
#endif
#ifndef _MK_ENUM_CONST
  #define _MK_ENUM_CONST(_constant_) (_constant_ ## UL)
#endif
#ifndef _MK_ADDR_CONST
  #define _MK_ADDR_CONST(_constant_) _constant_
#endif
#ifndef _MK_FIELD_CONST
  #define _MK_FIELD_CONST(_mask_, _shift_) (_MK_MASK_CONST(_mask_) << _MK_SHIFT_CONST(_shift_))
#endif

#endif // ifndef ___ARUSEC_CNTR_H_INC_
