//
// Copyright (c) 2016 NVIDIA Corporation.
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
//  * Redistributions of source code must retain the above copyright
//    notice, this list of conditions and the following disclaimer.
//  * Redistributions in binary form must reproduce the above copyright
//    notice, this list of conditions and the following disclaimer in the
//    documentation and/or other materials provided with the distribution.
//  * Neither the name of NVIDIA CORPORATION nor the names of its
//    contributors may be used to endorse or promote products derived
//    from this software without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS ``AS IS'' AND ANY
// EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
// PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR
// CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
// EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
// PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
// PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
// OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
// (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
// OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//

//
// DO NOT EDIT - generated by simspec!
//

#ifndef ___ARAPBIF_H_INC_
#define ___ARAPBIF_H_INC_
#define CIF_FIFO_DEPTH  32
#define CIF2_FIFO_DEPTH 64
#define CIF_FIFO_WIDTH  32
#define CIF_REPLICATE_MAX_CHANNELS      2
#define APB_CLIENT_ADDR_U       14
#define APB_CLIENT_ADDR_L       2
#define AUDIO_CNFGLNK_WIDTH     8
#define AUDIO_CNFGLNK_PACKET_0_VECTOR_LENGTH    6
#define AUDIO_CNFGLNK_PACKET_0_CYCLES_BITS      3
#define AUDIO_CNFGLNK_PACKET_0_CYCLES   6
#define AUDIO_CNFGLNK_PACKET_0_CYCLES_MINUS1    5
#define AUDIO_CNFGLNK_PACKET_0_PAUSE_CYCLE      1
#define AUDIO_CNFGLNK_PACKET_0_SIZE_MINUS1      47
#define AUDIO_CNFGLNK_PACKET_0_DATA_U   47
#define AUDIO_CNFGLNK_PACKET_0_DATA_L   16
#define AUDIO_CNFGLNK_PACKET_0_RW       15
#define AUDIO_CNFGLNK_PACKET_0_P        14
#define AUDIO_CNFGLNK_PACKET_0_REG_ADDR_U       13
#define AUDIO_CNFGLNK_PACKET_0_REG_ADDR_L       8
#define AUDIO_CNFGLNK_PACKET_0_CLIENT_ADDR_U    7
#define AUDIO_CNFGLNK_PACKET_0_CLIENT_ADDR_L    4
#define AUDIO_CNFGLNK_PACKET_H  1
#define NV_APBIF_CONFIG_LINK_RXFIFO_DEPTH       1
#define NV_APBIF_CONFIG_LINK_RXFIFO_WIDTH       32
#define NV_APBIF_CONFIG_LINK_TXFIFO_DEPTH       1
#define NV_APBIF_CONFIG_LINK_TXFIFO_WIDTH       39
#define NV_APBIF_CONFIG_LINK_TXFIFO_WIDTH_MINUS1        38
#define NV_APBIF_CONFIG_LINK_TXFIFO_RW  38
#define NV_APBIF_CONFIG_LINK_TXFIFO_RDDR_U      37
#define NV_APBIF_CONFIG_LINK_TXFIFO_RDDR_L      32

// Packet AUDIO_CNFGLNK_PACKET_0
#define AUDIO_CNFGLNK_PACKET_0_SIZE 48

#define AUDIO_CNFGLNK_PACKET_0_DATA_SHIFT                       _MK_SHIFT_CONST(16)
#define AUDIO_CNFGLNK_PACKET_0_DATA_FIELD                       _MK_FIELD_CONST(0xffffffff, AUDIO_CNFGLNK_PACKET_0_DATA_SHIFT)
#define AUDIO_CNFGLNK_PACKET_0_DATA_RANGE                       _MK_SHIFT_CONST(47):_MK_SHIFT_CONST(16)
#define AUDIO_CNFGLNK_PACKET_0_DATA_ROW                 0

#define AUDIO_CNFGLNK_PACKET_0_PAUSE_SHIFT                      _MK_SHIFT_CONST(15)
#define AUDIO_CNFGLNK_PACKET_0_PAUSE_FIELD                      _MK_FIELD_CONST(0x1, AUDIO_CNFGLNK_PACKET_0_PAUSE_SHIFT)
#define AUDIO_CNFGLNK_PACKET_0_PAUSE_RANGE                      _MK_SHIFT_CONST(15):_MK_SHIFT_CONST(15)
#define AUDIO_CNFGLNK_PACKET_0_PAUSE_ROW                        0
#define AUDIO_CNFGLNK_PACKET_0_PAUSE_UNSET                      _MK_ENUM_CONST(0)
#define AUDIO_CNFGLNK_PACKET_0_PAUSE_SET                        _MK_ENUM_CONST(1)

#define AUDIO_CNFGLNK_PACKET_0_RW_SHIFT                 _MK_SHIFT_CONST(14)
#define AUDIO_CNFGLNK_PACKET_0_RW_FIELD                 _MK_FIELD_CONST(0x1, AUDIO_CNFGLNK_PACKET_0_RW_SHIFT)
#define AUDIO_CNFGLNK_PACKET_0_RW_RANGE                 _MK_SHIFT_CONST(14):_MK_SHIFT_CONST(14)
#define AUDIO_CNFGLNK_PACKET_0_RW_ROW                   0
#define AUDIO_CNFGLNK_PACKET_0_RW_WRITE                 _MK_ENUM_CONST(0)
#define AUDIO_CNFGLNK_PACKET_0_RW_READ                  _MK_ENUM_CONST(1)

#define AUDIO_CNFGLNK_PACKET_0_REG_ADDR_SHIFT                   _MK_SHIFT_CONST(7)
#define AUDIO_CNFGLNK_PACKET_0_REG_ADDR_FIELD                   _MK_FIELD_CONST(0x7f, AUDIO_CNFGLNK_PACKET_0_REG_ADDR_SHIFT)
#define AUDIO_CNFGLNK_PACKET_0_REG_ADDR_RANGE                   _MK_SHIFT_CONST(13):_MK_SHIFT_CONST(7)
#define AUDIO_CNFGLNK_PACKET_0_REG_ADDR_ROW                     0

#define AUDIO_CNFGLNK_PACKET_0_CLIENT_ADDR_SHIFT                        _MK_SHIFT_CONST(1)
#define AUDIO_CNFGLNK_PACKET_0_CLIENT_ADDR_FIELD                        _MK_FIELD_CONST(0x3f, AUDIO_CNFGLNK_PACKET_0_CLIENT_ADDR_SHIFT)
#define AUDIO_CNFGLNK_PACKET_0_CLIENT_ADDR_RANGE                        _MK_SHIFT_CONST(6):_MK_SHIFT_CONST(1)
#define AUDIO_CNFGLNK_PACKET_0_CLIENT_ADDR_ROW                  0

#define AUDIO_CNFGLNK_PACKET_0_H_SHIFT                  _MK_SHIFT_CONST(0)
#define AUDIO_CNFGLNK_PACKET_0_H_FIELD                  _MK_FIELD_CONST(0x1, AUDIO_CNFGLNK_PACKET_0_H_SHIFT)
#define AUDIO_CNFGLNK_PACKET_0_H_RANGE                  _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define AUDIO_CNFGLNK_PACKET_0_H_ROW                    0

#define NV_APBIF_DMA_CHANNELS   10

// Register APBIF_CHANNEL0_CTRL_0
#define APBIF_CHANNEL0_CTRL_0                   _MK_ADDR_CONST(0x0)
#define APBIF_CHANNEL0_CTRL_0_SECURE                    0x0
#define APBIF_CHANNEL0_CTRL_0_SCR                       0
#define APBIF_CHANNEL0_CTRL_0_WORD_COUNT                        0x1
#define APBIF_CHANNEL0_CTRL_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CTRL_0_RESET_MASK                        _MK_MASK_CONST(0xe0ffff77)
#define APBIF_CHANNEL0_CTRL_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CTRL_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CTRL_0_READ_MASK                         _MK_MASK_CONST(0xe0ffff77)
#define APBIF_CHANNEL0_CTRL_0_WRITE_MASK                        _MK_MASK_CONST(0xe0ffff77)
#define APBIF_CHANNEL0_CTRL_0_TX_ENABLE_SHIFT                   _MK_SHIFT_CONST(31)
#define APBIF_CHANNEL0_CTRL_0_TX_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_CHANNEL0_CTRL_0_TX_ENABLE_SHIFT)
#define APBIF_CHANNEL0_CTRL_0_TX_ENABLE_RANGE                   31:31
#define APBIF_CHANNEL0_CTRL_0_TX_ENABLE_WOFFSET                 0x0
#define APBIF_CHANNEL0_CTRL_0_TX_ENABLE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CTRL_0_TX_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL0_CTRL_0_TX_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CTRL_0_TX_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CTRL_0_TX_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_CHANNEL0_CTRL_0_TX_ENABLE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_CHANNEL0_CTRL_0_RX_ENABLE_SHIFT                   _MK_SHIFT_CONST(30)
#define APBIF_CHANNEL0_CTRL_0_RX_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_CHANNEL0_CTRL_0_RX_ENABLE_SHIFT)
#define APBIF_CHANNEL0_CTRL_0_RX_ENABLE_RANGE                   30:30
#define APBIF_CHANNEL0_CTRL_0_RX_ENABLE_WOFFSET                 0x0
#define APBIF_CHANNEL0_CTRL_0_RX_ENABLE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CTRL_0_RX_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL0_CTRL_0_RX_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CTRL_0_RX_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CTRL_0_RX_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_CHANNEL0_CTRL_0_RX_ENABLE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_CHANNEL0_CTRL_0_LOOPBACK_SHIFT                    _MK_SHIFT_CONST(29)
#define APBIF_CHANNEL0_CTRL_0_LOOPBACK_FIELD                    _MK_FIELD_CONST(0x1, APBIF_CHANNEL0_CTRL_0_LOOPBACK_SHIFT)
#define APBIF_CHANNEL0_CTRL_0_LOOPBACK_RANGE                    29:29
#define APBIF_CHANNEL0_CTRL_0_LOOPBACK_WOFFSET                  0x0
#define APBIF_CHANNEL0_CTRL_0_LOOPBACK_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CTRL_0_LOOPBACK_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL0_CTRL_0_LOOPBACK_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CTRL_0_LOOPBACK_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CTRL_0_LOOPBACK_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_CHANNEL0_CTRL_0_LOOPBACK_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_CHANNEL0_CTRL_0_TX_THRESHOLD_SHIFT                        _MK_SHIFT_CONST(16)
#define APBIF_CHANNEL0_CTRL_0_TX_THRESHOLD_FIELD                        _MK_FIELD_CONST(0xff, APBIF_CHANNEL0_CTRL_0_TX_THRESHOLD_SHIFT)
#define APBIF_CHANNEL0_CTRL_0_TX_THRESHOLD_RANGE                        23:16
#define APBIF_CHANNEL0_CTRL_0_TX_THRESHOLD_WOFFSET                      0x0
#define APBIF_CHANNEL0_CTRL_0_TX_THRESHOLD_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CTRL_0_TX_THRESHOLD_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define APBIF_CHANNEL0_CTRL_0_TX_THRESHOLD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CTRL_0_TX_THRESHOLD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)

#define APBIF_CHANNEL0_CTRL_0_RX_THRESHOLD_SHIFT                        _MK_SHIFT_CONST(8)
#define APBIF_CHANNEL0_CTRL_0_RX_THRESHOLD_FIELD                        _MK_FIELD_CONST(0xff, APBIF_CHANNEL0_CTRL_0_RX_THRESHOLD_SHIFT)
#define APBIF_CHANNEL0_CTRL_0_RX_THRESHOLD_RANGE                        15:8
#define APBIF_CHANNEL0_CTRL_0_RX_THRESHOLD_WOFFSET                      0x0
#define APBIF_CHANNEL0_CTRL_0_RX_THRESHOLD_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CTRL_0_RX_THRESHOLD_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define APBIF_CHANNEL0_CTRL_0_RX_THRESHOLD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CTRL_0_RX_THRESHOLD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)

#define APBIF_CHANNEL0_CTRL_0_TX_PACK_EN_SHIFT                  _MK_SHIFT_CONST(6)
#define APBIF_CHANNEL0_CTRL_0_TX_PACK_EN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_CHANNEL0_CTRL_0_TX_PACK_EN_SHIFT)
#define APBIF_CHANNEL0_CTRL_0_TX_PACK_EN_RANGE                  6:6
#define APBIF_CHANNEL0_CTRL_0_TX_PACK_EN_WOFFSET                        0x0
#define APBIF_CHANNEL0_CTRL_0_TX_PACK_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CTRL_0_TX_PACK_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL0_CTRL_0_TX_PACK_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CTRL_0_TX_PACK_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CTRL_0_TX_PACK_EN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_CHANNEL0_CTRL_0_TX_PACK_EN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_CHANNEL0_CTRL_0_TX_PACK_SHIFT                     _MK_SHIFT_CONST(4)
#define APBIF_CHANNEL0_CTRL_0_TX_PACK_FIELD                     _MK_FIELD_CONST(0x3, APBIF_CHANNEL0_CTRL_0_TX_PACK_SHIFT)
#define APBIF_CHANNEL0_CTRL_0_TX_PACK_RANGE                     5:4
#define APBIF_CHANNEL0_CTRL_0_TX_PACK_WOFFSET                   0x0
#define APBIF_CHANNEL0_CTRL_0_TX_PACK_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CTRL_0_TX_PACK_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define APBIF_CHANNEL0_CTRL_0_TX_PACK_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CTRL_0_TX_PACK_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CTRL_0_TX_PACK_NOP                       _MK_ENUM_CONST(0)
#define APBIF_CHANNEL0_CTRL_0_TX_PACK_RSVD                      _MK_ENUM_CONST(1)
#define APBIF_CHANNEL0_CTRL_0_TX_PACK_PACK8_4                   _MK_ENUM_CONST(2)
#define APBIF_CHANNEL0_CTRL_0_TX_PACK_PACK16                    _MK_ENUM_CONST(3)

#define APBIF_CHANNEL0_CTRL_0_RX_PACK_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define APBIF_CHANNEL0_CTRL_0_RX_PACK_EN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_CHANNEL0_CTRL_0_RX_PACK_EN_SHIFT)
#define APBIF_CHANNEL0_CTRL_0_RX_PACK_EN_RANGE                  2:2
#define APBIF_CHANNEL0_CTRL_0_RX_PACK_EN_WOFFSET                        0x0
#define APBIF_CHANNEL0_CTRL_0_RX_PACK_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CTRL_0_RX_PACK_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL0_CTRL_0_RX_PACK_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CTRL_0_RX_PACK_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CTRL_0_RX_PACK_EN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_CHANNEL0_CTRL_0_RX_PACK_EN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_CHANNEL0_CTRL_0_RX_PACK_SHIFT                     _MK_SHIFT_CONST(0)
#define APBIF_CHANNEL0_CTRL_0_RX_PACK_FIELD                     _MK_FIELD_CONST(0x3, APBIF_CHANNEL0_CTRL_0_RX_PACK_SHIFT)
#define APBIF_CHANNEL0_CTRL_0_RX_PACK_RANGE                     1:0
#define APBIF_CHANNEL0_CTRL_0_RX_PACK_WOFFSET                   0x0
#define APBIF_CHANNEL0_CTRL_0_RX_PACK_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CTRL_0_RX_PACK_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define APBIF_CHANNEL0_CTRL_0_RX_PACK_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CTRL_0_RX_PACK_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CTRL_0_RX_PACK_NOP                       _MK_ENUM_CONST(0)
#define APBIF_CHANNEL0_CTRL_0_RX_PACK_RSVD                      _MK_ENUM_CONST(1)
#define APBIF_CHANNEL0_CTRL_0_RX_PACK_PACK8_4                   _MK_ENUM_CONST(2)
#define APBIF_CHANNEL0_CTRL_0_RX_PACK_PACK16                    _MK_ENUM_CONST(3)


// Register APBIF_CHANNEL0_CLEAR_0
#define APBIF_CHANNEL0_CLEAR_0                  _MK_ADDR_CONST(0x4)
#define APBIF_CHANNEL0_CLEAR_0_SECURE                   0x0
#define APBIF_CHANNEL0_CLEAR_0_SCR                      0
#define APBIF_CHANNEL0_CLEAR_0_WORD_COUNT                       0x1
#define APBIF_CHANNEL0_CLEAR_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CLEAR_0_RESET_MASK                       _MK_MASK_CONST(0xc0000000)
#define APBIF_CHANNEL0_CLEAR_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CLEAR_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CLEAR_0_READ_MASK                        _MK_MASK_CONST(0xc0000000)
#define APBIF_CHANNEL0_CLEAR_0_WRITE_MASK                       _MK_MASK_CONST(0xc0000000)
#define APBIF_CHANNEL0_CLEAR_0_TX_SOFT_RESET_SHIFT                      _MK_SHIFT_CONST(31)
#define APBIF_CHANNEL0_CLEAR_0_TX_SOFT_RESET_FIELD                      _MK_FIELD_CONST(0x1, APBIF_CHANNEL0_CLEAR_0_TX_SOFT_RESET_SHIFT)
#define APBIF_CHANNEL0_CLEAR_0_TX_SOFT_RESET_RANGE                      31:31
#define APBIF_CHANNEL0_CLEAR_0_TX_SOFT_RESET_WOFFSET                    0x0
#define APBIF_CHANNEL0_CLEAR_0_TX_SOFT_RESET_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CLEAR_0_TX_SOFT_RESET_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL0_CLEAR_0_TX_SOFT_RESET_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CLEAR_0_TX_SOFT_RESET_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CLEAR_0_TX_SOFT_RESET_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_CHANNEL0_CLEAR_0_TX_SOFT_RESET_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_CHANNEL0_CLEAR_0_RX_SOFT_RESET_SHIFT                      _MK_SHIFT_CONST(30)
#define APBIF_CHANNEL0_CLEAR_0_RX_SOFT_RESET_FIELD                      _MK_FIELD_CONST(0x1, APBIF_CHANNEL0_CLEAR_0_RX_SOFT_RESET_SHIFT)
#define APBIF_CHANNEL0_CLEAR_0_RX_SOFT_RESET_RANGE                      30:30
#define APBIF_CHANNEL0_CLEAR_0_RX_SOFT_RESET_WOFFSET                    0x0
#define APBIF_CHANNEL0_CLEAR_0_RX_SOFT_RESET_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CLEAR_0_RX_SOFT_RESET_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL0_CLEAR_0_RX_SOFT_RESET_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CLEAR_0_RX_SOFT_RESET_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_CLEAR_0_RX_SOFT_RESET_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_CHANNEL0_CLEAR_0_RX_SOFT_RESET_ENABLE                     _MK_ENUM_CONST(1)


// Register APBIF_CHANNEL0_STATUS_0
#define APBIF_CHANNEL0_STATUS_0                 _MK_ADDR_CONST(0x8)
#define APBIF_CHANNEL0_STATUS_0_SECURE                  0x0
#define APBIF_CHANNEL0_STATUS_0_SCR                     0
#define APBIF_CHANNEL0_STATUS_0_WORD_COUNT                      0x1
#define APBIF_CHANNEL0_STATUS_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_STATUS_0_RESET_MASK                      _MK_MASK_CONST(0x3)
#define APBIF_CHANNEL0_STATUS_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_STATUS_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_STATUS_0_READ_MASK                       _MK_MASK_CONST(0xffff0003)
#define APBIF_CHANNEL0_STATUS_0_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_STATUS_0_TX_FREE_COUNT_SHIFT                     _MK_SHIFT_CONST(24)
#define APBIF_CHANNEL0_STATUS_0_TX_FREE_COUNT_FIELD                     _MK_FIELD_CONST(0xff, APBIF_CHANNEL0_STATUS_0_TX_FREE_COUNT_SHIFT)
#define APBIF_CHANNEL0_STATUS_0_TX_FREE_COUNT_RANGE                     31:24
#define APBIF_CHANNEL0_STATUS_0_TX_FREE_COUNT_WOFFSET                   0x0
#define APBIF_CHANNEL0_STATUS_0_TX_FREE_COUNT_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_STATUS_0_TX_FREE_COUNT_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_STATUS_0_TX_FREE_COUNT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_STATUS_0_TX_FREE_COUNT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)

#define APBIF_CHANNEL0_STATUS_0_RX_FREE_COUNT_SHIFT                     _MK_SHIFT_CONST(16)
#define APBIF_CHANNEL0_STATUS_0_RX_FREE_COUNT_FIELD                     _MK_FIELD_CONST(0xff, APBIF_CHANNEL0_STATUS_0_RX_FREE_COUNT_SHIFT)
#define APBIF_CHANNEL0_STATUS_0_RX_FREE_COUNT_RANGE                     23:16
#define APBIF_CHANNEL0_STATUS_0_RX_FREE_COUNT_WOFFSET                   0x0
#define APBIF_CHANNEL0_STATUS_0_RX_FREE_COUNT_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_STATUS_0_RX_FREE_COUNT_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_STATUS_0_RX_FREE_COUNT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_STATUS_0_RX_FREE_COUNT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)

#define APBIF_CHANNEL0_STATUS_0_TX_TRIG_SHIFT                   _MK_SHIFT_CONST(1)
#define APBIF_CHANNEL0_STATUS_0_TX_TRIG_FIELD                   _MK_FIELD_CONST(0x1, APBIF_CHANNEL0_STATUS_0_TX_TRIG_SHIFT)
#define APBIF_CHANNEL0_STATUS_0_TX_TRIG_RANGE                   1:1
#define APBIF_CHANNEL0_STATUS_0_TX_TRIG_WOFFSET                 0x0
#define APBIF_CHANNEL0_STATUS_0_TX_TRIG_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_STATUS_0_TX_TRIG_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL0_STATUS_0_TX_TRIG_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_STATUS_0_TX_TRIG_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_STATUS_0_TX_TRIG_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_CHANNEL0_STATUS_0_TX_TRIG_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_CHANNEL0_STATUS_0_RX_TRIG_SHIFT                   _MK_SHIFT_CONST(0)
#define APBIF_CHANNEL0_STATUS_0_RX_TRIG_FIELD                   _MK_FIELD_CONST(0x1, APBIF_CHANNEL0_STATUS_0_RX_TRIG_SHIFT)
#define APBIF_CHANNEL0_STATUS_0_RX_TRIG_RANGE                   0:0
#define APBIF_CHANNEL0_STATUS_0_RX_TRIG_WOFFSET                 0x0
#define APBIF_CHANNEL0_STATUS_0_RX_TRIG_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_STATUS_0_RX_TRIG_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL0_STATUS_0_RX_TRIG_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_STATUS_0_RX_TRIG_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_STATUS_0_RX_TRIG_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_CHANNEL0_STATUS_0_RX_TRIG_ENABLE                  _MK_ENUM_CONST(1)


// Register APBIF_CHANNEL0_TXFIFO_0
#define APBIF_CHANNEL0_TXFIFO_0                 _MK_ADDR_CONST(0xc)
#define APBIF_CHANNEL0_TXFIFO_0_SECURE                  0x0
#define APBIF_CHANNEL0_TXFIFO_0_SCR                     0
#define APBIF_CHANNEL0_TXFIFO_0_WORD_COUNT                      0x1
#define APBIF_CHANNEL0_TXFIFO_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_TXFIFO_0_RESET_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_TXFIFO_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_TXFIFO_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_TXFIFO_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define APBIF_CHANNEL0_TXFIFO_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define APBIF_CHANNEL0_TXFIFO_0_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define APBIF_CHANNEL0_TXFIFO_0_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, APBIF_CHANNEL0_TXFIFO_0_DATA_SHIFT)
#define APBIF_CHANNEL0_TXFIFO_0_DATA_RANGE                      31:0
#define APBIF_CHANNEL0_TXFIFO_0_DATA_WOFFSET                    0x0
#define APBIF_CHANNEL0_TXFIFO_0_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_TXFIFO_0_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_TXFIFO_0_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_TXFIFO_0_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register APBIF_CHANNEL0_RXFIFO_0
#define APBIF_CHANNEL0_RXFIFO_0                 _MK_ADDR_CONST(0x10)
#define APBIF_CHANNEL0_RXFIFO_0_SECURE                  0x0
#define APBIF_CHANNEL0_RXFIFO_0_SCR                     0
#define APBIF_CHANNEL0_RXFIFO_0_WORD_COUNT                      0x1
#define APBIF_CHANNEL0_RXFIFO_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_RXFIFO_0_RESET_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_RXFIFO_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_RXFIFO_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_RXFIFO_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define APBIF_CHANNEL0_RXFIFO_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define APBIF_CHANNEL0_RXFIFO_0_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define APBIF_CHANNEL0_RXFIFO_0_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, APBIF_CHANNEL0_RXFIFO_0_DATA_SHIFT)
#define APBIF_CHANNEL0_RXFIFO_0_DATA_RANGE                      31:0
#define APBIF_CHANNEL0_RXFIFO_0_DATA_WOFFSET                    0x0
#define APBIF_CHANNEL0_RXFIFO_0_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_RXFIFO_0_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_RXFIFO_0_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL0_RXFIFO_0_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register APBIF_AUDIOCIF_TX0_CTRL_0
#define APBIF_AUDIOCIF_TX0_CTRL_0                       _MK_ADDR_CONST(0x14)
#define APBIF_AUDIOCIF_TX0_CTRL_0_SECURE                        0x0
#define APBIF_AUDIOCIF_TX0_CTRL_0_SCR                   0
#define APBIF_AUDIOCIF_TX0_CTRL_0_WORD_COUNT                    0x1
#define APBIF_AUDIOCIF_TX0_CTRL_0_RESET_VAL                     _MK_MASK_CONST(0x1100)
#define APBIF_AUDIOCIF_TX0_CTRL_0_RESET_MASK                    _MK_MASK_CONST(0x3fff77ff)
#define APBIF_AUDIOCIF_TX0_CTRL_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_READ_MASK                     _MK_MASK_CONST(0x3fff77ff)
#define APBIF_AUDIOCIF_TX0_CTRL_0_WRITE_MASK                    _MK_MASK_CONST(0x3fff77fb)
#define APBIF_AUDIOCIF_TX0_CTRL_0_MONO_CONV_SHIFT                       _MK_SHIFT_CONST(0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_MONO_CONV_FIELD                       _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_TX0_CTRL_0_MONO_CONV_SHIFT)
#define APBIF_AUDIOCIF_TX0_CTRL_0_MONO_CONV_RANGE                       0:0
#define APBIF_AUDIOCIF_TX0_CTRL_0_MONO_CONV_WOFFSET                     0x0
#define APBIF_AUDIOCIF_TX0_CTRL_0_MONO_CONV_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_MONO_CONV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_TX0_CTRL_0_MONO_CONV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_MONO_CONV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_MONO_CONV_ZERO                        _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_MONO_CONV_COPY                        _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_TX0_CTRL_0_TRUNCATE_SHIFT                        _MK_SHIFT_CONST(1)
#define APBIF_AUDIOCIF_TX0_CTRL_0_TRUNCATE_FIELD                        _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_TX0_CTRL_0_TRUNCATE_SHIFT)
#define APBIF_AUDIOCIF_TX0_CTRL_0_TRUNCATE_RANGE                        1:1
#define APBIF_AUDIOCIF_TX0_CTRL_0_TRUNCATE_WOFFSET                      0x0
#define APBIF_AUDIOCIF_TX0_CTRL_0_TRUNCATE_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_TRUNCATE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_TX0_CTRL_0_TRUNCATE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_TRUNCATE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_TRUNCATE_ROUND                        _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_TRUNCATE_CHOP                 _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_TX0_CTRL_0_DIRECTION_SHIFT                       _MK_SHIFT_CONST(2)
#define APBIF_AUDIOCIF_TX0_CTRL_0_DIRECTION_FIELD                       _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_TX0_CTRL_0_DIRECTION_SHIFT)
#define APBIF_AUDIOCIF_TX0_CTRL_0_DIRECTION_RANGE                       2:2
#define APBIF_AUDIOCIF_TX0_CTRL_0_DIRECTION_WOFFSET                     0x0
#define APBIF_AUDIOCIF_TX0_CTRL_0_DIRECTION_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_DIRECTION_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_TX0_CTRL_0_DIRECTION_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_DIRECTION_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_DIRECTION_INIT_ENUM                   TXCIF
#define APBIF_AUDIOCIF_TX0_CTRL_0_DIRECTION_TXCIF                       _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_DIRECTION_RXCIF                       _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_TX0_CTRL_0_REPLICATE_SHIFT                       _MK_SHIFT_CONST(3)
#define APBIF_AUDIOCIF_TX0_CTRL_0_REPLICATE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_TX0_CTRL_0_REPLICATE_SHIFT)
#define APBIF_AUDIOCIF_TX0_CTRL_0_REPLICATE_RANGE                       3:3
#define APBIF_AUDIOCIF_TX0_CTRL_0_REPLICATE_WOFFSET                     0x0
#define APBIF_AUDIOCIF_TX0_CTRL_0_REPLICATE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_REPLICATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_TX0_CTRL_0_REPLICATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_REPLICATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_REPLICATE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_REPLICATE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_TX0_CTRL_0_STEREO_CONV_SHIFT                     _MK_SHIFT_CONST(4)
#define APBIF_AUDIOCIF_TX0_CTRL_0_STEREO_CONV_FIELD                     _MK_FIELD_CONST(0x3, APBIF_AUDIOCIF_TX0_CTRL_0_STEREO_CONV_SHIFT)
#define APBIF_AUDIOCIF_TX0_CTRL_0_STEREO_CONV_RANGE                     5:4
#define APBIF_AUDIOCIF_TX0_CTRL_0_STEREO_CONV_WOFFSET                   0x0
#define APBIF_AUDIOCIF_TX0_CTRL_0_STEREO_CONV_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_STEREO_CONV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define APBIF_AUDIOCIF_TX0_CTRL_0_STEREO_CONV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_STEREO_CONV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_STEREO_CONV_CH0                       _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_STEREO_CONV_CH1                       _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_TX0_CTRL_0_STEREO_CONV_AVG                       _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_TX0_CTRL_0_STEREO_CONV_RSVD                      _MK_ENUM_CONST(3)

#define APBIF_AUDIOCIF_TX0_CTRL_0_EXPAND_SHIFT                  _MK_SHIFT_CONST(6)
#define APBIF_AUDIOCIF_TX0_CTRL_0_EXPAND_FIELD                  _MK_FIELD_CONST(0x3, APBIF_AUDIOCIF_TX0_CTRL_0_EXPAND_SHIFT)
#define APBIF_AUDIOCIF_TX0_CTRL_0_EXPAND_RANGE                  7:6
#define APBIF_AUDIOCIF_TX0_CTRL_0_EXPAND_WOFFSET                        0x0
#define APBIF_AUDIOCIF_TX0_CTRL_0_EXPAND_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_EXPAND_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define APBIF_AUDIOCIF_TX0_CTRL_0_EXPAND_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_EXPAND_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_EXPAND_ZERO                   _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_EXPAND_ONE                    _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_TX0_CTRL_0_EXPAND_LFSR                   _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_TX0_CTRL_0_EXPAND_RSVD                   _MK_ENUM_CONST(3)

#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_BITS_SHIFT                     _MK_SHIFT_CONST(8)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_BITS_FIELD                     _MK_FIELD_CONST(0x7, APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_BITS_SHIFT)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_BITS_RANGE                     10:8
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_BITS_WOFFSET                   0x0
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_BITS_DEFAULT                   _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_BITS_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_BITS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_BITS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_BITS_BIT4                      _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_BITS_BIT8                      _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_BITS_BIT12                     _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_BITS_BIT16                     _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_BITS_BIT20                     _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_BITS_BIT24                     _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_BITS_BIT28                     _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_BITS_BIT32                     _MK_ENUM_CONST(7)

#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_BITS_SHIFT                      _MK_SHIFT_CONST(12)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_BITS_FIELD                      _MK_FIELD_CONST(0x7, APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_BITS_SHIFT)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_BITS_RANGE                      14:12
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_BITS_WOFFSET                    0x0
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_BITS_DEFAULT                    _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_BITS_DEFAULT_MASK                       _MK_MASK_CONST(0x7)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_BITS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_BITS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_BITS_BIT4                       _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_BITS_BIT8                       _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_BITS_BIT12                      _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_BITS_BIT16                      _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_BITS_BIT20                      _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_BITS_BIT24                      _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_BITS_BIT28                      _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_BITS_BIT32                      _MK_ENUM_CONST(7)

#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_CHANNELS_SHIFT                 _MK_SHIFT_CONST(16)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_CHANNELS_FIELD                 _MK_FIELD_CONST(0xf, APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_CHANNELS_SHIFT)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_CHANNELS_RANGE                 19:16
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_CHANNELS_WOFFSET                       0x0
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_CHANNELS_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_CHANNELS_DEFAULT_MASK                  _MK_MASK_CONST(0xf)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_CHANNELS_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_CHANNELS_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_CHANNELS_CH1                   _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_CHANNELS_CH2                   _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_CHANNELS_CH3                   _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_CHANNELS_CH4                   _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_CHANNELS_CH5                   _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_CHANNELS_CH6                   _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_CHANNELS_CH7                   _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_CHANNELS_CH8                   _MK_ENUM_CONST(7)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_CHANNELS_CH9                   _MK_ENUM_CONST(8)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_CHANNELS_CH10                  _MK_ENUM_CONST(9)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_CHANNELS_CH11                  _MK_ENUM_CONST(10)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_CHANNELS_CH12                  _MK_ENUM_CONST(11)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_CHANNELS_CH13                  _MK_ENUM_CONST(12)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_CHANNELS_CH14                  _MK_ENUM_CONST(13)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_CHANNELS_CH15                  _MK_ENUM_CONST(14)
#define APBIF_AUDIOCIF_TX0_CTRL_0_CLIENT_CHANNELS_CH16                  _MK_ENUM_CONST(15)

#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_CHANNELS_SHIFT                  _MK_SHIFT_CONST(20)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_CHANNELS_FIELD                  _MK_FIELD_CONST(0xf, APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_CHANNELS_SHIFT)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_CHANNELS_RANGE                  23:20
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_CHANNELS_WOFFSET                        0x0
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_CHANNELS_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_CHANNELS_DEFAULT_MASK                   _MK_MASK_CONST(0xf)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_CHANNELS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_CHANNELS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_CHANNELS_CH1                    _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_CHANNELS_CH2                    _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_CHANNELS_CH3                    _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_CHANNELS_CH4                    _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_CHANNELS_CH5                    _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_CHANNELS_CH6                    _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_CHANNELS_CH7                    _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_CHANNELS_CH8                    _MK_ENUM_CONST(7)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_CHANNELS_CH9                    _MK_ENUM_CONST(8)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_CHANNELS_CH10                   _MK_ENUM_CONST(9)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_CHANNELS_CH11                   _MK_ENUM_CONST(10)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_CHANNELS_CH12                   _MK_ENUM_CONST(11)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_CHANNELS_CH13                   _MK_ENUM_CONST(12)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_CHANNELS_CH14                   _MK_ENUM_CONST(13)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_CHANNELS_CH15                   _MK_ENUM_CONST(14)
#define APBIF_AUDIOCIF_TX0_CTRL_0_AUDIO_CHANNELS_CH16                   _MK_ENUM_CONST(15)

#define APBIF_AUDIOCIF_TX0_CTRL_0_FIFO_THRESHOLD_SHIFT                  _MK_SHIFT_CONST(24)
#define APBIF_AUDIOCIF_TX0_CTRL_0_FIFO_THRESHOLD_FIELD                  _MK_FIELD_CONST(0x3f, APBIF_AUDIOCIF_TX0_CTRL_0_FIFO_THRESHOLD_SHIFT)
#define APBIF_AUDIOCIF_TX0_CTRL_0_FIFO_THRESHOLD_RANGE                  29:24
#define APBIF_AUDIOCIF_TX0_CTRL_0_FIFO_THRESHOLD_WOFFSET                        0x0
#define APBIF_AUDIOCIF_TX0_CTRL_0_FIFO_THRESHOLD_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_FIFO_THRESHOLD_DEFAULT_MASK                   _MK_MASK_CONST(0x3f)
#define APBIF_AUDIOCIF_TX0_CTRL_0_FIFO_THRESHOLD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX0_CTRL_0_FIFO_THRESHOLD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register APBIF_AUDIOCIF_RX0_CTRL_0
#define APBIF_AUDIOCIF_RX0_CTRL_0                       _MK_ADDR_CONST(0x18)
#define APBIF_AUDIOCIF_RX0_CTRL_0_SECURE                        0x0
#define APBIF_AUDIOCIF_RX0_CTRL_0_SCR                   0
#define APBIF_AUDIOCIF_RX0_CTRL_0_WORD_COUNT                    0x1
#define APBIF_AUDIOCIF_RX0_CTRL_0_RESET_VAL                     _MK_MASK_CONST(0x1104)
#define APBIF_AUDIOCIF_RX0_CTRL_0_RESET_MASK                    _MK_MASK_CONST(0x3fff77ff)
#define APBIF_AUDIOCIF_RX0_CTRL_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_READ_MASK                     _MK_MASK_CONST(0x3fff77ff)
#define APBIF_AUDIOCIF_RX0_CTRL_0_WRITE_MASK                    _MK_MASK_CONST(0x3fff77fb)
#define APBIF_AUDIOCIF_RX0_CTRL_0_MONO_CONV_SHIFT                       _MK_SHIFT_CONST(0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_MONO_CONV_FIELD                       _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_RX0_CTRL_0_MONO_CONV_SHIFT)
#define APBIF_AUDIOCIF_RX0_CTRL_0_MONO_CONV_RANGE                       0:0
#define APBIF_AUDIOCIF_RX0_CTRL_0_MONO_CONV_WOFFSET                     0x0
#define APBIF_AUDIOCIF_RX0_CTRL_0_MONO_CONV_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_MONO_CONV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_RX0_CTRL_0_MONO_CONV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_MONO_CONV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_MONO_CONV_ZERO                        _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_MONO_CONV_COPY                        _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_RX0_CTRL_0_TRUNCATE_SHIFT                        _MK_SHIFT_CONST(1)
#define APBIF_AUDIOCIF_RX0_CTRL_0_TRUNCATE_FIELD                        _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_RX0_CTRL_0_TRUNCATE_SHIFT)
#define APBIF_AUDIOCIF_RX0_CTRL_0_TRUNCATE_RANGE                        1:1
#define APBIF_AUDIOCIF_RX0_CTRL_0_TRUNCATE_WOFFSET                      0x0
#define APBIF_AUDIOCIF_RX0_CTRL_0_TRUNCATE_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_TRUNCATE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_RX0_CTRL_0_TRUNCATE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_TRUNCATE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_TRUNCATE_ROUND                        _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_TRUNCATE_CHOP                 _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_RX0_CTRL_0_DIRECTION_SHIFT                       _MK_SHIFT_CONST(2)
#define APBIF_AUDIOCIF_RX0_CTRL_0_DIRECTION_FIELD                       _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_RX0_CTRL_0_DIRECTION_SHIFT)
#define APBIF_AUDIOCIF_RX0_CTRL_0_DIRECTION_RANGE                       2:2
#define APBIF_AUDIOCIF_RX0_CTRL_0_DIRECTION_WOFFSET                     0x0
#define APBIF_AUDIOCIF_RX0_CTRL_0_DIRECTION_DEFAULT                     _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_RX0_CTRL_0_DIRECTION_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_RX0_CTRL_0_DIRECTION_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_DIRECTION_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_DIRECTION_INIT_ENUM                   RXCIF
#define APBIF_AUDIOCIF_RX0_CTRL_0_DIRECTION_TXCIF                       _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_DIRECTION_RXCIF                       _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_RX0_CTRL_0_REPLICATE_SHIFT                       _MK_SHIFT_CONST(3)
#define APBIF_AUDIOCIF_RX0_CTRL_0_REPLICATE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_RX0_CTRL_0_REPLICATE_SHIFT)
#define APBIF_AUDIOCIF_RX0_CTRL_0_REPLICATE_RANGE                       3:3
#define APBIF_AUDIOCIF_RX0_CTRL_0_REPLICATE_WOFFSET                     0x0
#define APBIF_AUDIOCIF_RX0_CTRL_0_REPLICATE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_REPLICATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_RX0_CTRL_0_REPLICATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_REPLICATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_REPLICATE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_REPLICATE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_RX0_CTRL_0_STEREO_CONV_SHIFT                     _MK_SHIFT_CONST(4)
#define APBIF_AUDIOCIF_RX0_CTRL_0_STEREO_CONV_FIELD                     _MK_FIELD_CONST(0x3, APBIF_AUDIOCIF_RX0_CTRL_0_STEREO_CONV_SHIFT)
#define APBIF_AUDIOCIF_RX0_CTRL_0_STEREO_CONV_RANGE                     5:4
#define APBIF_AUDIOCIF_RX0_CTRL_0_STEREO_CONV_WOFFSET                   0x0
#define APBIF_AUDIOCIF_RX0_CTRL_0_STEREO_CONV_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_STEREO_CONV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define APBIF_AUDIOCIF_RX0_CTRL_0_STEREO_CONV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_STEREO_CONV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_STEREO_CONV_CH0                       _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_STEREO_CONV_CH1                       _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_RX0_CTRL_0_STEREO_CONV_AVG                       _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_RX0_CTRL_0_STEREO_CONV_RSVD                      _MK_ENUM_CONST(3)

#define APBIF_AUDIOCIF_RX0_CTRL_0_EXPAND_SHIFT                  _MK_SHIFT_CONST(6)
#define APBIF_AUDIOCIF_RX0_CTRL_0_EXPAND_FIELD                  _MK_FIELD_CONST(0x3, APBIF_AUDIOCIF_RX0_CTRL_0_EXPAND_SHIFT)
#define APBIF_AUDIOCIF_RX0_CTRL_0_EXPAND_RANGE                  7:6
#define APBIF_AUDIOCIF_RX0_CTRL_0_EXPAND_WOFFSET                        0x0
#define APBIF_AUDIOCIF_RX0_CTRL_0_EXPAND_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_EXPAND_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define APBIF_AUDIOCIF_RX0_CTRL_0_EXPAND_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_EXPAND_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_EXPAND_ZERO                   _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_EXPAND_ONE                    _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_RX0_CTRL_0_EXPAND_LFSR                   _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_RX0_CTRL_0_EXPAND_RSVD                   _MK_ENUM_CONST(3)

#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_BITS_SHIFT                     _MK_SHIFT_CONST(8)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_BITS_FIELD                     _MK_FIELD_CONST(0x7, APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_BITS_SHIFT)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_BITS_RANGE                     10:8
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_BITS_WOFFSET                   0x0
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_BITS_DEFAULT                   _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_BITS_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_BITS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_BITS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_BITS_BIT4                      _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_BITS_BIT8                      _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_BITS_BIT12                     _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_BITS_BIT16                     _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_BITS_BIT20                     _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_BITS_BIT24                     _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_BITS_BIT28                     _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_BITS_BIT32                     _MK_ENUM_CONST(7)

#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_BITS_SHIFT                      _MK_SHIFT_CONST(12)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_BITS_FIELD                      _MK_FIELD_CONST(0x7, APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_BITS_SHIFT)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_BITS_RANGE                      14:12
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_BITS_WOFFSET                    0x0
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_BITS_DEFAULT                    _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_BITS_DEFAULT_MASK                       _MK_MASK_CONST(0x7)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_BITS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_BITS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_BITS_BIT4                       _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_BITS_BIT8                       _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_BITS_BIT12                      _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_BITS_BIT16                      _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_BITS_BIT20                      _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_BITS_BIT24                      _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_BITS_BIT28                      _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_BITS_BIT32                      _MK_ENUM_CONST(7)

#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_CHANNELS_SHIFT                 _MK_SHIFT_CONST(16)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_CHANNELS_FIELD                 _MK_FIELD_CONST(0xf, APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_CHANNELS_SHIFT)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_CHANNELS_RANGE                 19:16
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_CHANNELS_WOFFSET                       0x0
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_CHANNELS_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_CHANNELS_DEFAULT_MASK                  _MK_MASK_CONST(0xf)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_CHANNELS_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_CHANNELS_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_CHANNELS_CH1                   _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_CHANNELS_CH2                   _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_CHANNELS_CH3                   _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_CHANNELS_CH4                   _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_CHANNELS_CH5                   _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_CHANNELS_CH6                   _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_CHANNELS_CH7                   _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_CHANNELS_CH8                   _MK_ENUM_CONST(7)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_CHANNELS_CH9                   _MK_ENUM_CONST(8)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_CHANNELS_CH10                  _MK_ENUM_CONST(9)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_CHANNELS_CH11                  _MK_ENUM_CONST(10)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_CHANNELS_CH12                  _MK_ENUM_CONST(11)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_CHANNELS_CH13                  _MK_ENUM_CONST(12)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_CHANNELS_CH14                  _MK_ENUM_CONST(13)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_CHANNELS_CH15                  _MK_ENUM_CONST(14)
#define APBIF_AUDIOCIF_RX0_CTRL_0_CLIENT_CHANNELS_CH16                  _MK_ENUM_CONST(15)

#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_CHANNELS_SHIFT                  _MK_SHIFT_CONST(20)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_CHANNELS_FIELD                  _MK_FIELD_CONST(0xf, APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_CHANNELS_SHIFT)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_CHANNELS_RANGE                  23:20
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_CHANNELS_WOFFSET                        0x0
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_CHANNELS_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_CHANNELS_DEFAULT_MASK                   _MK_MASK_CONST(0xf)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_CHANNELS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_CHANNELS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_CHANNELS_CH1                    _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_CHANNELS_CH2                    _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_CHANNELS_CH3                    _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_CHANNELS_CH4                    _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_CHANNELS_CH5                    _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_CHANNELS_CH6                    _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_CHANNELS_CH7                    _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_CHANNELS_CH8                    _MK_ENUM_CONST(7)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_CHANNELS_CH9                    _MK_ENUM_CONST(8)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_CHANNELS_CH10                   _MK_ENUM_CONST(9)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_CHANNELS_CH11                   _MK_ENUM_CONST(10)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_CHANNELS_CH12                   _MK_ENUM_CONST(11)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_CHANNELS_CH13                   _MK_ENUM_CONST(12)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_CHANNELS_CH14                   _MK_ENUM_CONST(13)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_CHANNELS_CH15                   _MK_ENUM_CONST(14)
#define APBIF_AUDIOCIF_RX0_CTRL_0_AUDIO_CHANNELS_CH16                   _MK_ENUM_CONST(15)

#define APBIF_AUDIOCIF_RX0_CTRL_0_FIFO_THRESHOLD_SHIFT                  _MK_SHIFT_CONST(24)
#define APBIF_AUDIOCIF_RX0_CTRL_0_FIFO_THRESHOLD_FIELD                  _MK_FIELD_CONST(0x3f, APBIF_AUDIOCIF_RX0_CTRL_0_FIFO_THRESHOLD_SHIFT)
#define APBIF_AUDIOCIF_RX0_CTRL_0_FIFO_THRESHOLD_RANGE                  29:24
#define APBIF_AUDIOCIF_RX0_CTRL_0_FIFO_THRESHOLD_WOFFSET                        0x0
#define APBIF_AUDIOCIF_RX0_CTRL_0_FIFO_THRESHOLD_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_FIFO_THRESHOLD_DEFAULT_MASK                   _MK_MASK_CONST(0x3f)
#define APBIF_AUDIOCIF_RX0_CTRL_0_FIFO_THRESHOLD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX0_CTRL_0_FIFO_THRESHOLD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Reserved address 28 [0x1c]

// Register APBIF_CHANNEL1_CTRL_0
#define APBIF_CHANNEL1_CTRL_0                   _MK_ADDR_CONST(0x20)
#define APBIF_CHANNEL1_CTRL_0_SECURE                    0x0
#define APBIF_CHANNEL1_CTRL_0_SCR                       0
#define APBIF_CHANNEL1_CTRL_0_WORD_COUNT                        0x1
#define APBIF_CHANNEL1_CTRL_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CTRL_0_RESET_MASK                        _MK_MASK_CONST(0xe0ffff77)
#define APBIF_CHANNEL1_CTRL_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CTRL_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CTRL_0_READ_MASK                         _MK_MASK_CONST(0xe0ffff77)
#define APBIF_CHANNEL1_CTRL_0_WRITE_MASK                        _MK_MASK_CONST(0xe0ffff77)
#define APBIF_CHANNEL1_CTRL_0_TX_ENABLE_SHIFT                   _MK_SHIFT_CONST(31)
#define APBIF_CHANNEL1_CTRL_0_TX_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_CHANNEL1_CTRL_0_TX_ENABLE_SHIFT)
#define APBIF_CHANNEL1_CTRL_0_TX_ENABLE_RANGE                   31:31
#define APBIF_CHANNEL1_CTRL_0_TX_ENABLE_WOFFSET                 0x0
#define APBIF_CHANNEL1_CTRL_0_TX_ENABLE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CTRL_0_TX_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL1_CTRL_0_TX_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CTRL_0_TX_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CTRL_0_TX_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_CHANNEL1_CTRL_0_TX_ENABLE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_CHANNEL1_CTRL_0_RX_ENABLE_SHIFT                   _MK_SHIFT_CONST(30)
#define APBIF_CHANNEL1_CTRL_0_RX_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_CHANNEL1_CTRL_0_RX_ENABLE_SHIFT)
#define APBIF_CHANNEL1_CTRL_0_RX_ENABLE_RANGE                   30:30
#define APBIF_CHANNEL1_CTRL_0_RX_ENABLE_WOFFSET                 0x0
#define APBIF_CHANNEL1_CTRL_0_RX_ENABLE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CTRL_0_RX_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL1_CTRL_0_RX_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CTRL_0_RX_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CTRL_0_RX_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_CHANNEL1_CTRL_0_RX_ENABLE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_CHANNEL1_CTRL_0_LOOPBACK_SHIFT                    _MK_SHIFT_CONST(29)
#define APBIF_CHANNEL1_CTRL_0_LOOPBACK_FIELD                    _MK_FIELD_CONST(0x1, APBIF_CHANNEL1_CTRL_0_LOOPBACK_SHIFT)
#define APBIF_CHANNEL1_CTRL_0_LOOPBACK_RANGE                    29:29
#define APBIF_CHANNEL1_CTRL_0_LOOPBACK_WOFFSET                  0x0
#define APBIF_CHANNEL1_CTRL_0_LOOPBACK_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CTRL_0_LOOPBACK_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL1_CTRL_0_LOOPBACK_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CTRL_0_LOOPBACK_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CTRL_0_LOOPBACK_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_CHANNEL1_CTRL_0_LOOPBACK_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_CHANNEL1_CTRL_0_TX_THRESHOLD_SHIFT                        _MK_SHIFT_CONST(16)
#define APBIF_CHANNEL1_CTRL_0_TX_THRESHOLD_FIELD                        _MK_FIELD_CONST(0xff, APBIF_CHANNEL1_CTRL_0_TX_THRESHOLD_SHIFT)
#define APBIF_CHANNEL1_CTRL_0_TX_THRESHOLD_RANGE                        23:16
#define APBIF_CHANNEL1_CTRL_0_TX_THRESHOLD_WOFFSET                      0x0
#define APBIF_CHANNEL1_CTRL_0_TX_THRESHOLD_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CTRL_0_TX_THRESHOLD_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define APBIF_CHANNEL1_CTRL_0_TX_THRESHOLD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CTRL_0_TX_THRESHOLD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)

#define APBIF_CHANNEL1_CTRL_0_RX_THRESHOLD_SHIFT                        _MK_SHIFT_CONST(8)
#define APBIF_CHANNEL1_CTRL_0_RX_THRESHOLD_FIELD                        _MK_FIELD_CONST(0xff, APBIF_CHANNEL1_CTRL_0_RX_THRESHOLD_SHIFT)
#define APBIF_CHANNEL1_CTRL_0_RX_THRESHOLD_RANGE                        15:8
#define APBIF_CHANNEL1_CTRL_0_RX_THRESHOLD_WOFFSET                      0x0
#define APBIF_CHANNEL1_CTRL_0_RX_THRESHOLD_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CTRL_0_RX_THRESHOLD_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define APBIF_CHANNEL1_CTRL_0_RX_THRESHOLD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CTRL_0_RX_THRESHOLD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)

#define APBIF_CHANNEL1_CTRL_0_TX_PACK_EN_SHIFT                  _MK_SHIFT_CONST(6)
#define APBIF_CHANNEL1_CTRL_0_TX_PACK_EN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_CHANNEL1_CTRL_0_TX_PACK_EN_SHIFT)
#define APBIF_CHANNEL1_CTRL_0_TX_PACK_EN_RANGE                  6:6
#define APBIF_CHANNEL1_CTRL_0_TX_PACK_EN_WOFFSET                        0x0
#define APBIF_CHANNEL1_CTRL_0_TX_PACK_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CTRL_0_TX_PACK_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL1_CTRL_0_TX_PACK_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CTRL_0_TX_PACK_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CTRL_0_TX_PACK_EN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_CHANNEL1_CTRL_0_TX_PACK_EN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_CHANNEL1_CTRL_0_TX_PACK_SHIFT                     _MK_SHIFT_CONST(4)
#define APBIF_CHANNEL1_CTRL_0_TX_PACK_FIELD                     _MK_FIELD_CONST(0x3, APBIF_CHANNEL1_CTRL_0_TX_PACK_SHIFT)
#define APBIF_CHANNEL1_CTRL_0_TX_PACK_RANGE                     5:4
#define APBIF_CHANNEL1_CTRL_0_TX_PACK_WOFFSET                   0x0
#define APBIF_CHANNEL1_CTRL_0_TX_PACK_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CTRL_0_TX_PACK_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define APBIF_CHANNEL1_CTRL_0_TX_PACK_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CTRL_0_TX_PACK_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CTRL_0_TX_PACK_NOP                       _MK_ENUM_CONST(0)
#define APBIF_CHANNEL1_CTRL_0_TX_PACK_RSVD                      _MK_ENUM_CONST(1)
#define APBIF_CHANNEL1_CTRL_0_TX_PACK_PACK8_4                   _MK_ENUM_CONST(2)
#define APBIF_CHANNEL1_CTRL_0_TX_PACK_PACK16                    _MK_ENUM_CONST(3)

#define APBIF_CHANNEL1_CTRL_0_RX_PACK_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define APBIF_CHANNEL1_CTRL_0_RX_PACK_EN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_CHANNEL1_CTRL_0_RX_PACK_EN_SHIFT)
#define APBIF_CHANNEL1_CTRL_0_RX_PACK_EN_RANGE                  2:2
#define APBIF_CHANNEL1_CTRL_0_RX_PACK_EN_WOFFSET                        0x0
#define APBIF_CHANNEL1_CTRL_0_RX_PACK_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CTRL_0_RX_PACK_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL1_CTRL_0_RX_PACK_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CTRL_0_RX_PACK_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CTRL_0_RX_PACK_EN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_CHANNEL1_CTRL_0_RX_PACK_EN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_CHANNEL1_CTRL_0_RX_PACK_SHIFT                     _MK_SHIFT_CONST(0)
#define APBIF_CHANNEL1_CTRL_0_RX_PACK_FIELD                     _MK_FIELD_CONST(0x3, APBIF_CHANNEL1_CTRL_0_RX_PACK_SHIFT)
#define APBIF_CHANNEL1_CTRL_0_RX_PACK_RANGE                     1:0
#define APBIF_CHANNEL1_CTRL_0_RX_PACK_WOFFSET                   0x0
#define APBIF_CHANNEL1_CTRL_0_RX_PACK_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CTRL_0_RX_PACK_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define APBIF_CHANNEL1_CTRL_0_RX_PACK_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CTRL_0_RX_PACK_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CTRL_0_RX_PACK_NOP                       _MK_ENUM_CONST(0)
#define APBIF_CHANNEL1_CTRL_0_RX_PACK_RSVD                      _MK_ENUM_CONST(1)
#define APBIF_CHANNEL1_CTRL_0_RX_PACK_PACK8_4                   _MK_ENUM_CONST(2)
#define APBIF_CHANNEL1_CTRL_0_RX_PACK_PACK16                    _MK_ENUM_CONST(3)


// Register APBIF_CHANNEL1_CLEAR_0
#define APBIF_CHANNEL1_CLEAR_0                  _MK_ADDR_CONST(0x24)
#define APBIF_CHANNEL1_CLEAR_0_SECURE                   0x0
#define APBIF_CHANNEL1_CLEAR_0_SCR                      0
#define APBIF_CHANNEL1_CLEAR_0_WORD_COUNT                       0x1
#define APBIF_CHANNEL1_CLEAR_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CLEAR_0_RESET_MASK                       _MK_MASK_CONST(0xc0000000)
#define APBIF_CHANNEL1_CLEAR_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CLEAR_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CLEAR_0_READ_MASK                        _MK_MASK_CONST(0xc0000000)
#define APBIF_CHANNEL1_CLEAR_0_WRITE_MASK                       _MK_MASK_CONST(0xc0000000)
#define APBIF_CHANNEL1_CLEAR_0_TX_SOFT_RESET_SHIFT                      _MK_SHIFT_CONST(31)
#define APBIF_CHANNEL1_CLEAR_0_TX_SOFT_RESET_FIELD                      _MK_FIELD_CONST(0x1, APBIF_CHANNEL1_CLEAR_0_TX_SOFT_RESET_SHIFT)
#define APBIF_CHANNEL1_CLEAR_0_TX_SOFT_RESET_RANGE                      31:31
#define APBIF_CHANNEL1_CLEAR_0_TX_SOFT_RESET_WOFFSET                    0x0
#define APBIF_CHANNEL1_CLEAR_0_TX_SOFT_RESET_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CLEAR_0_TX_SOFT_RESET_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL1_CLEAR_0_TX_SOFT_RESET_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CLEAR_0_TX_SOFT_RESET_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CLEAR_0_TX_SOFT_RESET_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_CHANNEL1_CLEAR_0_TX_SOFT_RESET_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_CHANNEL1_CLEAR_0_RX_SOFT_RESET_SHIFT                      _MK_SHIFT_CONST(30)
#define APBIF_CHANNEL1_CLEAR_0_RX_SOFT_RESET_FIELD                      _MK_FIELD_CONST(0x1, APBIF_CHANNEL1_CLEAR_0_RX_SOFT_RESET_SHIFT)
#define APBIF_CHANNEL1_CLEAR_0_RX_SOFT_RESET_RANGE                      30:30
#define APBIF_CHANNEL1_CLEAR_0_RX_SOFT_RESET_WOFFSET                    0x0
#define APBIF_CHANNEL1_CLEAR_0_RX_SOFT_RESET_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CLEAR_0_RX_SOFT_RESET_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL1_CLEAR_0_RX_SOFT_RESET_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CLEAR_0_RX_SOFT_RESET_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_CLEAR_0_RX_SOFT_RESET_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_CHANNEL1_CLEAR_0_RX_SOFT_RESET_ENABLE                     _MK_ENUM_CONST(1)


// Register APBIF_CHANNEL1_STATUS_0
#define APBIF_CHANNEL1_STATUS_0                 _MK_ADDR_CONST(0x28)
#define APBIF_CHANNEL1_STATUS_0_SECURE                  0x0
#define APBIF_CHANNEL1_STATUS_0_SCR                     0
#define APBIF_CHANNEL1_STATUS_0_WORD_COUNT                      0x1
#define APBIF_CHANNEL1_STATUS_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_STATUS_0_RESET_MASK                      _MK_MASK_CONST(0x3)
#define APBIF_CHANNEL1_STATUS_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_STATUS_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_STATUS_0_READ_MASK                       _MK_MASK_CONST(0xffff0003)
#define APBIF_CHANNEL1_STATUS_0_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_STATUS_0_TX_FREE_COUNT_SHIFT                     _MK_SHIFT_CONST(24)
#define APBIF_CHANNEL1_STATUS_0_TX_FREE_COUNT_FIELD                     _MK_FIELD_CONST(0xff, APBIF_CHANNEL1_STATUS_0_TX_FREE_COUNT_SHIFT)
#define APBIF_CHANNEL1_STATUS_0_TX_FREE_COUNT_RANGE                     31:24
#define APBIF_CHANNEL1_STATUS_0_TX_FREE_COUNT_WOFFSET                   0x0
#define APBIF_CHANNEL1_STATUS_0_TX_FREE_COUNT_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_STATUS_0_TX_FREE_COUNT_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_STATUS_0_TX_FREE_COUNT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_STATUS_0_TX_FREE_COUNT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)

#define APBIF_CHANNEL1_STATUS_0_RX_FREE_COUNT_SHIFT                     _MK_SHIFT_CONST(16)
#define APBIF_CHANNEL1_STATUS_0_RX_FREE_COUNT_FIELD                     _MK_FIELD_CONST(0xff, APBIF_CHANNEL1_STATUS_0_RX_FREE_COUNT_SHIFT)
#define APBIF_CHANNEL1_STATUS_0_RX_FREE_COUNT_RANGE                     23:16
#define APBIF_CHANNEL1_STATUS_0_RX_FREE_COUNT_WOFFSET                   0x0
#define APBIF_CHANNEL1_STATUS_0_RX_FREE_COUNT_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_STATUS_0_RX_FREE_COUNT_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_STATUS_0_RX_FREE_COUNT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_STATUS_0_RX_FREE_COUNT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)

#define APBIF_CHANNEL1_STATUS_0_TX_TRIG_SHIFT                   _MK_SHIFT_CONST(1)
#define APBIF_CHANNEL1_STATUS_0_TX_TRIG_FIELD                   _MK_FIELD_CONST(0x1, APBIF_CHANNEL1_STATUS_0_TX_TRIG_SHIFT)
#define APBIF_CHANNEL1_STATUS_0_TX_TRIG_RANGE                   1:1
#define APBIF_CHANNEL1_STATUS_0_TX_TRIG_WOFFSET                 0x0
#define APBIF_CHANNEL1_STATUS_0_TX_TRIG_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_STATUS_0_TX_TRIG_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL1_STATUS_0_TX_TRIG_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_STATUS_0_TX_TRIG_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_STATUS_0_TX_TRIG_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_CHANNEL1_STATUS_0_TX_TRIG_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_CHANNEL1_STATUS_0_RX_TRIG_SHIFT                   _MK_SHIFT_CONST(0)
#define APBIF_CHANNEL1_STATUS_0_RX_TRIG_FIELD                   _MK_FIELD_CONST(0x1, APBIF_CHANNEL1_STATUS_0_RX_TRIG_SHIFT)
#define APBIF_CHANNEL1_STATUS_0_RX_TRIG_RANGE                   0:0
#define APBIF_CHANNEL1_STATUS_0_RX_TRIG_WOFFSET                 0x0
#define APBIF_CHANNEL1_STATUS_0_RX_TRIG_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_STATUS_0_RX_TRIG_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL1_STATUS_0_RX_TRIG_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_STATUS_0_RX_TRIG_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_STATUS_0_RX_TRIG_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_CHANNEL1_STATUS_0_RX_TRIG_ENABLE                  _MK_ENUM_CONST(1)


// Register APBIF_CHANNEL1_TXFIFO_0
#define APBIF_CHANNEL1_TXFIFO_0                 _MK_ADDR_CONST(0x2c)
#define APBIF_CHANNEL1_TXFIFO_0_SECURE                  0x0
#define APBIF_CHANNEL1_TXFIFO_0_SCR                     0
#define APBIF_CHANNEL1_TXFIFO_0_WORD_COUNT                      0x1
#define APBIF_CHANNEL1_TXFIFO_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_TXFIFO_0_RESET_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_TXFIFO_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_TXFIFO_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_TXFIFO_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define APBIF_CHANNEL1_TXFIFO_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define APBIF_CHANNEL1_TXFIFO_0_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define APBIF_CHANNEL1_TXFIFO_0_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, APBIF_CHANNEL1_TXFIFO_0_DATA_SHIFT)
#define APBIF_CHANNEL1_TXFIFO_0_DATA_RANGE                      31:0
#define APBIF_CHANNEL1_TXFIFO_0_DATA_WOFFSET                    0x0
#define APBIF_CHANNEL1_TXFIFO_0_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_TXFIFO_0_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_TXFIFO_0_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_TXFIFO_0_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register APBIF_CHANNEL1_RXFIFO_0
#define APBIF_CHANNEL1_RXFIFO_0                 _MK_ADDR_CONST(0x30)
#define APBIF_CHANNEL1_RXFIFO_0_SECURE                  0x0
#define APBIF_CHANNEL1_RXFIFO_0_SCR                     0
#define APBIF_CHANNEL1_RXFIFO_0_WORD_COUNT                      0x1
#define APBIF_CHANNEL1_RXFIFO_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_RXFIFO_0_RESET_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_RXFIFO_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_RXFIFO_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_RXFIFO_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define APBIF_CHANNEL1_RXFIFO_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define APBIF_CHANNEL1_RXFIFO_0_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define APBIF_CHANNEL1_RXFIFO_0_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, APBIF_CHANNEL1_RXFIFO_0_DATA_SHIFT)
#define APBIF_CHANNEL1_RXFIFO_0_DATA_RANGE                      31:0
#define APBIF_CHANNEL1_RXFIFO_0_DATA_WOFFSET                    0x0
#define APBIF_CHANNEL1_RXFIFO_0_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_RXFIFO_0_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_RXFIFO_0_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL1_RXFIFO_0_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register APBIF_AUDIOCIF_TX1_CTRL_0
#define APBIF_AUDIOCIF_TX1_CTRL_0                       _MK_ADDR_CONST(0x34)
#define APBIF_AUDIOCIF_TX1_CTRL_0_SECURE                        0x0
#define APBIF_AUDIOCIF_TX1_CTRL_0_SCR                   0
#define APBIF_AUDIOCIF_TX1_CTRL_0_WORD_COUNT                    0x1
#define APBIF_AUDIOCIF_TX1_CTRL_0_RESET_VAL                     _MK_MASK_CONST(0x1100)
#define APBIF_AUDIOCIF_TX1_CTRL_0_RESET_MASK                    _MK_MASK_CONST(0x3fff77ff)
#define APBIF_AUDIOCIF_TX1_CTRL_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_READ_MASK                     _MK_MASK_CONST(0x3fff77ff)
#define APBIF_AUDIOCIF_TX1_CTRL_0_WRITE_MASK                    _MK_MASK_CONST(0x3fff77fb)
#define APBIF_AUDIOCIF_TX1_CTRL_0_MONO_CONV_SHIFT                       _MK_SHIFT_CONST(0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_MONO_CONV_FIELD                       _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_TX1_CTRL_0_MONO_CONV_SHIFT)
#define APBIF_AUDIOCIF_TX1_CTRL_0_MONO_CONV_RANGE                       0:0
#define APBIF_AUDIOCIF_TX1_CTRL_0_MONO_CONV_WOFFSET                     0x0
#define APBIF_AUDIOCIF_TX1_CTRL_0_MONO_CONV_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_MONO_CONV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_TX1_CTRL_0_MONO_CONV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_MONO_CONV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_MONO_CONV_ZERO                        _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_MONO_CONV_COPY                        _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_TX1_CTRL_0_TRUNCATE_SHIFT                        _MK_SHIFT_CONST(1)
#define APBIF_AUDIOCIF_TX1_CTRL_0_TRUNCATE_FIELD                        _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_TX1_CTRL_0_TRUNCATE_SHIFT)
#define APBIF_AUDIOCIF_TX1_CTRL_0_TRUNCATE_RANGE                        1:1
#define APBIF_AUDIOCIF_TX1_CTRL_0_TRUNCATE_WOFFSET                      0x0
#define APBIF_AUDIOCIF_TX1_CTRL_0_TRUNCATE_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_TRUNCATE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_TX1_CTRL_0_TRUNCATE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_TRUNCATE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_TRUNCATE_ROUND                        _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_TRUNCATE_CHOP                 _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_TX1_CTRL_0_DIRECTION_SHIFT                       _MK_SHIFT_CONST(2)
#define APBIF_AUDIOCIF_TX1_CTRL_0_DIRECTION_FIELD                       _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_TX1_CTRL_0_DIRECTION_SHIFT)
#define APBIF_AUDIOCIF_TX1_CTRL_0_DIRECTION_RANGE                       2:2
#define APBIF_AUDIOCIF_TX1_CTRL_0_DIRECTION_WOFFSET                     0x0
#define APBIF_AUDIOCIF_TX1_CTRL_0_DIRECTION_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_DIRECTION_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_TX1_CTRL_0_DIRECTION_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_DIRECTION_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_DIRECTION_INIT_ENUM                   TXCIF
#define APBIF_AUDIOCIF_TX1_CTRL_0_DIRECTION_TXCIF                       _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_DIRECTION_RXCIF                       _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_TX1_CTRL_0_REPLICATE_SHIFT                       _MK_SHIFT_CONST(3)
#define APBIF_AUDIOCIF_TX1_CTRL_0_REPLICATE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_TX1_CTRL_0_REPLICATE_SHIFT)
#define APBIF_AUDIOCIF_TX1_CTRL_0_REPLICATE_RANGE                       3:3
#define APBIF_AUDIOCIF_TX1_CTRL_0_REPLICATE_WOFFSET                     0x0
#define APBIF_AUDIOCIF_TX1_CTRL_0_REPLICATE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_REPLICATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_TX1_CTRL_0_REPLICATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_REPLICATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_REPLICATE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_REPLICATE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_TX1_CTRL_0_STEREO_CONV_SHIFT                     _MK_SHIFT_CONST(4)
#define APBIF_AUDIOCIF_TX1_CTRL_0_STEREO_CONV_FIELD                     _MK_FIELD_CONST(0x3, APBIF_AUDIOCIF_TX1_CTRL_0_STEREO_CONV_SHIFT)
#define APBIF_AUDIOCIF_TX1_CTRL_0_STEREO_CONV_RANGE                     5:4
#define APBIF_AUDIOCIF_TX1_CTRL_0_STEREO_CONV_WOFFSET                   0x0
#define APBIF_AUDIOCIF_TX1_CTRL_0_STEREO_CONV_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_STEREO_CONV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define APBIF_AUDIOCIF_TX1_CTRL_0_STEREO_CONV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_STEREO_CONV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_STEREO_CONV_CH0                       _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_STEREO_CONV_CH1                       _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_TX1_CTRL_0_STEREO_CONV_AVG                       _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_TX1_CTRL_0_STEREO_CONV_RSVD                      _MK_ENUM_CONST(3)

#define APBIF_AUDIOCIF_TX1_CTRL_0_EXPAND_SHIFT                  _MK_SHIFT_CONST(6)
#define APBIF_AUDIOCIF_TX1_CTRL_0_EXPAND_FIELD                  _MK_FIELD_CONST(0x3, APBIF_AUDIOCIF_TX1_CTRL_0_EXPAND_SHIFT)
#define APBIF_AUDIOCIF_TX1_CTRL_0_EXPAND_RANGE                  7:6
#define APBIF_AUDIOCIF_TX1_CTRL_0_EXPAND_WOFFSET                        0x0
#define APBIF_AUDIOCIF_TX1_CTRL_0_EXPAND_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_EXPAND_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define APBIF_AUDIOCIF_TX1_CTRL_0_EXPAND_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_EXPAND_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_EXPAND_ZERO                   _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_EXPAND_ONE                    _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_TX1_CTRL_0_EXPAND_LFSR                   _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_TX1_CTRL_0_EXPAND_RSVD                   _MK_ENUM_CONST(3)

#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_BITS_SHIFT                     _MK_SHIFT_CONST(8)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_BITS_FIELD                     _MK_FIELD_CONST(0x7, APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_BITS_SHIFT)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_BITS_RANGE                     10:8
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_BITS_WOFFSET                   0x0
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_BITS_DEFAULT                   _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_BITS_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_BITS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_BITS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_BITS_BIT4                      _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_BITS_BIT8                      _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_BITS_BIT12                     _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_BITS_BIT16                     _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_BITS_BIT20                     _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_BITS_BIT24                     _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_BITS_BIT28                     _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_BITS_BIT32                     _MK_ENUM_CONST(7)

#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_BITS_SHIFT                      _MK_SHIFT_CONST(12)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_BITS_FIELD                      _MK_FIELD_CONST(0x7, APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_BITS_SHIFT)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_BITS_RANGE                      14:12
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_BITS_WOFFSET                    0x0
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_BITS_DEFAULT                    _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_BITS_DEFAULT_MASK                       _MK_MASK_CONST(0x7)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_BITS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_BITS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_BITS_BIT4                       _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_BITS_BIT8                       _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_BITS_BIT12                      _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_BITS_BIT16                      _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_BITS_BIT20                      _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_BITS_BIT24                      _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_BITS_BIT28                      _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_BITS_BIT32                      _MK_ENUM_CONST(7)

#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_CHANNELS_SHIFT                 _MK_SHIFT_CONST(16)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_CHANNELS_FIELD                 _MK_FIELD_CONST(0xf, APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_CHANNELS_SHIFT)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_CHANNELS_RANGE                 19:16
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_CHANNELS_WOFFSET                       0x0
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_CHANNELS_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_CHANNELS_DEFAULT_MASK                  _MK_MASK_CONST(0xf)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_CHANNELS_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_CHANNELS_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_CHANNELS_CH1                   _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_CHANNELS_CH2                   _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_CHANNELS_CH3                   _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_CHANNELS_CH4                   _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_CHANNELS_CH5                   _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_CHANNELS_CH6                   _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_CHANNELS_CH7                   _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_CHANNELS_CH8                   _MK_ENUM_CONST(7)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_CHANNELS_CH9                   _MK_ENUM_CONST(8)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_CHANNELS_CH10                  _MK_ENUM_CONST(9)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_CHANNELS_CH11                  _MK_ENUM_CONST(10)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_CHANNELS_CH12                  _MK_ENUM_CONST(11)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_CHANNELS_CH13                  _MK_ENUM_CONST(12)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_CHANNELS_CH14                  _MK_ENUM_CONST(13)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_CHANNELS_CH15                  _MK_ENUM_CONST(14)
#define APBIF_AUDIOCIF_TX1_CTRL_0_CLIENT_CHANNELS_CH16                  _MK_ENUM_CONST(15)

#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_CHANNELS_SHIFT                  _MK_SHIFT_CONST(20)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_CHANNELS_FIELD                  _MK_FIELD_CONST(0xf, APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_CHANNELS_SHIFT)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_CHANNELS_RANGE                  23:20
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_CHANNELS_WOFFSET                        0x0
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_CHANNELS_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_CHANNELS_DEFAULT_MASK                   _MK_MASK_CONST(0xf)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_CHANNELS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_CHANNELS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_CHANNELS_CH1                    _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_CHANNELS_CH2                    _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_CHANNELS_CH3                    _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_CHANNELS_CH4                    _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_CHANNELS_CH5                    _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_CHANNELS_CH6                    _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_CHANNELS_CH7                    _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_CHANNELS_CH8                    _MK_ENUM_CONST(7)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_CHANNELS_CH9                    _MK_ENUM_CONST(8)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_CHANNELS_CH10                   _MK_ENUM_CONST(9)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_CHANNELS_CH11                   _MK_ENUM_CONST(10)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_CHANNELS_CH12                   _MK_ENUM_CONST(11)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_CHANNELS_CH13                   _MK_ENUM_CONST(12)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_CHANNELS_CH14                   _MK_ENUM_CONST(13)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_CHANNELS_CH15                   _MK_ENUM_CONST(14)
#define APBIF_AUDIOCIF_TX1_CTRL_0_AUDIO_CHANNELS_CH16                   _MK_ENUM_CONST(15)

#define APBIF_AUDIOCIF_TX1_CTRL_0_FIFO_THRESHOLD_SHIFT                  _MK_SHIFT_CONST(24)
#define APBIF_AUDIOCIF_TX1_CTRL_0_FIFO_THRESHOLD_FIELD                  _MK_FIELD_CONST(0x3f, APBIF_AUDIOCIF_TX1_CTRL_0_FIFO_THRESHOLD_SHIFT)
#define APBIF_AUDIOCIF_TX1_CTRL_0_FIFO_THRESHOLD_RANGE                  29:24
#define APBIF_AUDIOCIF_TX1_CTRL_0_FIFO_THRESHOLD_WOFFSET                        0x0
#define APBIF_AUDIOCIF_TX1_CTRL_0_FIFO_THRESHOLD_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_FIFO_THRESHOLD_DEFAULT_MASK                   _MK_MASK_CONST(0x3f)
#define APBIF_AUDIOCIF_TX1_CTRL_0_FIFO_THRESHOLD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX1_CTRL_0_FIFO_THRESHOLD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register APBIF_AUDIOCIF_RX1_CTRL_0
#define APBIF_AUDIOCIF_RX1_CTRL_0                       _MK_ADDR_CONST(0x38)
#define APBIF_AUDIOCIF_RX1_CTRL_0_SECURE                        0x0
#define APBIF_AUDIOCIF_RX1_CTRL_0_SCR                   0
#define APBIF_AUDIOCIF_RX1_CTRL_0_WORD_COUNT                    0x1
#define APBIF_AUDIOCIF_RX1_CTRL_0_RESET_VAL                     _MK_MASK_CONST(0x1104)
#define APBIF_AUDIOCIF_RX1_CTRL_0_RESET_MASK                    _MK_MASK_CONST(0x3fff77ff)
#define APBIF_AUDIOCIF_RX1_CTRL_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_READ_MASK                     _MK_MASK_CONST(0x3fff77ff)
#define APBIF_AUDIOCIF_RX1_CTRL_0_WRITE_MASK                    _MK_MASK_CONST(0x3fff77fb)
#define APBIF_AUDIOCIF_RX1_CTRL_0_MONO_CONV_SHIFT                       _MK_SHIFT_CONST(0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_MONO_CONV_FIELD                       _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_RX1_CTRL_0_MONO_CONV_SHIFT)
#define APBIF_AUDIOCIF_RX1_CTRL_0_MONO_CONV_RANGE                       0:0
#define APBIF_AUDIOCIF_RX1_CTRL_0_MONO_CONV_WOFFSET                     0x0
#define APBIF_AUDIOCIF_RX1_CTRL_0_MONO_CONV_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_MONO_CONV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_RX1_CTRL_0_MONO_CONV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_MONO_CONV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_MONO_CONV_ZERO                        _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_MONO_CONV_COPY                        _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_RX1_CTRL_0_TRUNCATE_SHIFT                        _MK_SHIFT_CONST(1)
#define APBIF_AUDIOCIF_RX1_CTRL_0_TRUNCATE_FIELD                        _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_RX1_CTRL_0_TRUNCATE_SHIFT)
#define APBIF_AUDIOCIF_RX1_CTRL_0_TRUNCATE_RANGE                        1:1
#define APBIF_AUDIOCIF_RX1_CTRL_0_TRUNCATE_WOFFSET                      0x0
#define APBIF_AUDIOCIF_RX1_CTRL_0_TRUNCATE_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_TRUNCATE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_RX1_CTRL_0_TRUNCATE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_TRUNCATE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_TRUNCATE_ROUND                        _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_TRUNCATE_CHOP                 _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_RX1_CTRL_0_DIRECTION_SHIFT                       _MK_SHIFT_CONST(2)
#define APBIF_AUDIOCIF_RX1_CTRL_0_DIRECTION_FIELD                       _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_RX1_CTRL_0_DIRECTION_SHIFT)
#define APBIF_AUDIOCIF_RX1_CTRL_0_DIRECTION_RANGE                       2:2
#define APBIF_AUDIOCIF_RX1_CTRL_0_DIRECTION_WOFFSET                     0x0
#define APBIF_AUDIOCIF_RX1_CTRL_0_DIRECTION_DEFAULT                     _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_RX1_CTRL_0_DIRECTION_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_RX1_CTRL_0_DIRECTION_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_DIRECTION_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_DIRECTION_INIT_ENUM                   RXCIF
#define APBIF_AUDIOCIF_RX1_CTRL_0_DIRECTION_TXCIF                       _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_DIRECTION_RXCIF                       _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_RX1_CTRL_0_REPLICATE_SHIFT                       _MK_SHIFT_CONST(3)
#define APBIF_AUDIOCIF_RX1_CTRL_0_REPLICATE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_RX1_CTRL_0_REPLICATE_SHIFT)
#define APBIF_AUDIOCIF_RX1_CTRL_0_REPLICATE_RANGE                       3:3
#define APBIF_AUDIOCIF_RX1_CTRL_0_REPLICATE_WOFFSET                     0x0
#define APBIF_AUDIOCIF_RX1_CTRL_0_REPLICATE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_REPLICATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_RX1_CTRL_0_REPLICATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_REPLICATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_REPLICATE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_REPLICATE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_RX1_CTRL_0_STEREO_CONV_SHIFT                     _MK_SHIFT_CONST(4)
#define APBIF_AUDIOCIF_RX1_CTRL_0_STEREO_CONV_FIELD                     _MK_FIELD_CONST(0x3, APBIF_AUDIOCIF_RX1_CTRL_0_STEREO_CONV_SHIFT)
#define APBIF_AUDIOCIF_RX1_CTRL_0_STEREO_CONV_RANGE                     5:4
#define APBIF_AUDIOCIF_RX1_CTRL_0_STEREO_CONV_WOFFSET                   0x0
#define APBIF_AUDIOCIF_RX1_CTRL_0_STEREO_CONV_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_STEREO_CONV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define APBIF_AUDIOCIF_RX1_CTRL_0_STEREO_CONV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_STEREO_CONV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_STEREO_CONV_CH0                       _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_STEREO_CONV_CH1                       _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_RX1_CTRL_0_STEREO_CONV_AVG                       _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_RX1_CTRL_0_STEREO_CONV_RSVD                      _MK_ENUM_CONST(3)

#define APBIF_AUDIOCIF_RX1_CTRL_0_EXPAND_SHIFT                  _MK_SHIFT_CONST(6)
#define APBIF_AUDIOCIF_RX1_CTRL_0_EXPAND_FIELD                  _MK_FIELD_CONST(0x3, APBIF_AUDIOCIF_RX1_CTRL_0_EXPAND_SHIFT)
#define APBIF_AUDIOCIF_RX1_CTRL_0_EXPAND_RANGE                  7:6
#define APBIF_AUDIOCIF_RX1_CTRL_0_EXPAND_WOFFSET                        0x0
#define APBIF_AUDIOCIF_RX1_CTRL_0_EXPAND_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_EXPAND_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define APBIF_AUDIOCIF_RX1_CTRL_0_EXPAND_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_EXPAND_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_EXPAND_ZERO                   _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_EXPAND_ONE                    _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_RX1_CTRL_0_EXPAND_LFSR                   _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_RX1_CTRL_0_EXPAND_RSVD                   _MK_ENUM_CONST(3)

#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_BITS_SHIFT                     _MK_SHIFT_CONST(8)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_BITS_FIELD                     _MK_FIELD_CONST(0x7, APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_BITS_SHIFT)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_BITS_RANGE                     10:8
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_BITS_WOFFSET                   0x0
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_BITS_DEFAULT                   _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_BITS_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_BITS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_BITS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_BITS_BIT4                      _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_BITS_BIT8                      _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_BITS_BIT12                     _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_BITS_BIT16                     _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_BITS_BIT20                     _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_BITS_BIT24                     _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_BITS_BIT28                     _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_BITS_BIT32                     _MK_ENUM_CONST(7)

#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_BITS_SHIFT                      _MK_SHIFT_CONST(12)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_BITS_FIELD                      _MK_FIELD_CONST(0x7, APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_BITS_SHIFT)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_BITS_RANGE                      14:12
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_BITS_WOFFSET                    0x0
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_BITS_DEFAULT                    _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_BITS_DEFAULT_MASK                       _MK_MASK_CONST(0x7)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_BITS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_BITS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_BITS_BIT4                       _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_BITS_BIT8                       _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_BITS_BIT12                      _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_BITS_BIT16                      _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_BITS_BIT20                      _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_BITS_BIT24                      _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_BITS_BIT28                      _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_BITS_BIT32                      _MK_ENUM_CONST(7)

#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_CHANNELS_SHIFT                 _MK_SHIFT_CONST(16)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_CHANNELS_FIELD                 _MK_FIELD_CONST(0xf, APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_CHANNELS_SHIFT)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_CHANNELS_RANGE                 19:16
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_CHANNELS_WOFFSET                       0x0
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_CHANNELS_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_CHANNELS_DEFAULT_MASK                  _MK_MASK_CONST(0xf)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_CHANNELS_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_CHANNELS_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_CHANNELS_CH1                   _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_CHANNELS_CH2                   _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_CHANNELS_CH3                   _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_CHANNELS_CH4                   _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_CHANNELS_CH5                   _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_CHANNELS_CH6                   _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_CHANNELS_CH7                   _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_CHANNELS_CH8                   _MK_ENUM_CONST(7)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_CHANNELS_CH9                   _MK_ENUM_CONST(8)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_CHANNELS_CH10                  _MK_ENUM_CONST(9)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_CHANNELS_CH11                  _MK_ENUM_CONST(10)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_CHANNELS_CH12                  _MK_ENUM_CONST(11)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_CHANNELS_CH13                  _MK_ENUM_CONST(12)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_CHANNELS_CH14                  _MK_ENUM_CONST(13)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_CHANNELS_CH15                  _MK_ENUM_CONST(14)
#define APBIF_AUDIOCIF_RX1_CTRL_0_CLIENT_CHANNELS_CH16                  _MK_ENUM_CONST(15)

#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_CHANNELS_SHIFT                  _MK_SHIFT_CONST(20)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_CHANNELS_FIELD                  _MK_FIELD_CONST(0xf, APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_CHANNELS_SHIFT)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_CHANNELS_RANGE                  23:20
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_CHANNELS_WOFFSET                        0x0
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_CHANNELS_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_CHANNELS_DEFAULT_MASK                   _MK_MASK_CONST(0xf)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_CHANNELS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_CHANNELS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_CHANNELS_CH1                    _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_CHANNELS_CH2                    _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_CHANNELS_CH3                    _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_CHANNELS_CH4                    _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_CHANNELS_CH5                    _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_CHANNELS_CH6                    _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_CHANNELS_CH7                    _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_CHANNELS_CH8                    _MK_ENUM_CONST(7)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_CHANNELS_CH9                    _MK_ENUM_CONST(8)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_CHANNELS_CH10                   _MK_ENUM_CONST(9)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_CHANNELS_CH11                   _MK_ENUM_CONST(10)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_CHANNELS_CH12                   _MK_ENUM_CONST(11)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_CHANNELS_CH13                   _MK_ENUM_CONST(12)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_CHANNELS_CH14                   _MK_ENUM_CONST(13)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_CHANNELS_CH15                   _MK_ENUM_CONST(14)
#define APBIF_AUDIOCIF_RX1_CTRL_0_AUDIO_CHANNELS_CH16                   _MK_ENUM_CONST(15)

#define APBIF_AUDIOCIF_RX1_CTRL_0_FIFO_THRESHOLD_SHIFT                  _MK_SHIFT_CONST(24)
#define APBIF_AUDIOCIF_RX1_CTRL_0_FIFO_THRESHOLD_FIELD                  _MK_FIELD_CONST(0x3f, APBIF_AUDIOCIF_RX1_CTRL_0_FIFO_THRESHOLD_SHIFT)
#define APBIF_AUDIOCIF_RX1_CTRL_0_FIFO_THRESHOLD_RANGE                  29:24
#define APBIF_AUDIOCIF_RX1_CTRL_0_FIFO_THRESHOLD_WOFFSET                        0x0
#define APBIF_AUDIOCIF_RX1_CTRL_0_FIFO_THRESHOLD_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_FIFO_THRESHOLD_DEFAULT_MASK                   _MK_MASK_CONST(0x3f)
#define APBIF_AUDIOCIF_RX1_CTRL_0_FIFO_THRESHOLD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX1_CTRL_0_FIFO_THRESHOLD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Reserved address 60 [0x3c]

// Register APBIF_CHANNEL2_CTRL_0
#define APBIF_CHANNEL2_CTRL_0                   _MK_ADDR_CONST(0x40)
#define APBIF_CHANNEL2_CTRL_0_SECURE                    0x0
#define APBIF_CHANNEL2_CTRL_0_SCR                       0
#define APBIF_CHANNEL2_CTRL_0_WORD_COUNT                        0x1
#define APBIF_CHANNEL2_CTRL_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CTRL_0_RESET_MASK                        _MK_MASK_CONST(0xe0ffff77)
#define APBIF_CHANNEL2_CTRL_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CTRL_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CTRL_0_READ_MASK                         _MK_MASK_CONST(0xe0ffff77)
#define APBIF_CHANNEL2_CTRL_0_WRITE_MASK                        _MK_MASK_CONST(0xe0ffff77)
#define APBIF_CHANNEL2_CTRL_0_TX_ENABLE_SHIFT                   _MK_SHIFT_CONST(31)
#define APBIF_CHANNEL2_CTRL_0_TX_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_CHANNEL2_CTRL_0_TX_ENABLE_SHIFT)
#define APBIF_CHANNEL2_CTRL_0_TX_ENABLE_RANGE                   31:31
#define APBIF_CHANNEL2_CTRL_0_TX_ENABLE_WOFFSET                 0x0
#define APBIF_CHANNEL2_CTRL_0_TX_ENABLE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CTRL_0_TX_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL2_CTRL_0_TX_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CTRL_0_TX_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CTRL_0_TX_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_CHANNEL2_CTRL_0_TX_ENABLE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_CHANNEL2_CTRL_0_RX_ENABLE_SHIFT                   _MK_SHIFT_CONST(30)
#define APBIF_CHANNEL2_CTRL_0_RX_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_CHANNEL2_CTRL_0_RX_ENABLE_SHIFT)
#define APBIF_CHANNEL2_CTRL_0_RX_ENABLE_RANGE                   30:30
#define APBIF_CHANNEL2_CTRL_0_RX_ENABLE_WOFFSET                 0x0
#define APBIF_CHANNEL2_CTRL_0_RX_ENABLE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CTRL_0_RX_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL2_CTRL_0_RX_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CTRL_0_RX_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CTRL_0_RX_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_CHANNEL2_CTRL_0_RX_ENABLE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_CHANNEL2_CTRL_0_LOOPBACK_SHIFT                    _MK_SHIFT_CONST(29)
#define APBIF_CHANNEL2_CTRL_0_LOOPBACK_FIELD                    _MK_FIELD_CONST(0x1, APBIF_CHANNEL2_CTRL_0_LOOPBACK_SHIFT)
#define APBIF_CHANNEL2_CTRL_0_LOOPBACK_RANGE                    29:29
#define APBIF_CHANNEL2_CTRL_0_LOOPBACK_WOFFSET                  0x0
#define APBIF_CHANNEL2_CTRL_0_LOOPBACK_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CTRL_0_LOOPBACK_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL2_CTRL_0_LOOPBACK_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CTRL_0_LOOPBACK_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CTRL_0_LOOPBACK_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_CHANNEL2_CTRL_0_LOOPBACK_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_CHANNEL2_CTRL_0_TX_THRESHOLD_SHIFT                        _MK_SHIFT_CONST(16)
#define APBIF_CHANNEL2_CTRL_0_TX_THRESHOLD_FIELD                        _MK_FIELD_CONST(0xff, APBIF_CHANNEL2_CTRL_0_TX_THRESHOLD_SHIFT)
#define APBIF_CHANNEL2_CTRL_0_TX_THRESHOLD_RANGE                        23:16
#define APBIF_CHANNEL2_CTRL_0_TX_THRESHOLD_WOFFSET                      0x0
#define APBIF_CHANNEL2_CTRL_0_TX_THRESHOLD_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CTRL_0_TX_THRESHOLD_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define APBIF_CHANNEL2_CTRL_0_TX_THRESHOLD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CTRL_0_TX_THRESHOLD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)

#define APBIF_CHANNEL2_CTRL_0_RX_THRESHOLD_SHIFT                        _MK_SHIFT_CONST(8)
#define APBIF_CHANNEL2_CTRL_0_RX_THRESHOLD_FIELD                        _MK_FIELD_CONST(0xff, APBIF_CHANNEL2_CTRL_0_RX_THRESHOLD_SHIFT)
#define APBIF_CHANNEL2_CTRL_0_RX_THRESHOLD_RANGE                        15:8
#define APBIF_CHANNEL2_CTRL_0_RX_THRESHOLD_WOFFSET                      0x0
#define APBIF_CHANNEL2_CTRL_0_RX_THRESHOLD_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CTRL_0_RX_THRESHOLD_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define APBIF_CHANNEL2_CTRL_0_RX_THRESHOLD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CTRL_0_RX_THRESHOLD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)

#define APBIF_CHANNEL2_CTRL_0_TX_PACK_EN_SHIFT                  _MK_SHIFT_CONST(6)
#define APBIF_CHANNEL2_CTRL_0_TX_PACK_EN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_CHANNEL2_CTRL_0_TX_PACK_EN_SHIFT)
#define APBIF_CHANNEL2_CTRL_0_TX_PACK_EN_RANGE                  6:6
#define APBIF_CHANNEL2_CTRL_0_TX_PACK_EN_WOFFSET                        0x0
#define APBIF_CHANNEL2_CTRL_0_TX_PACK_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CTRL_0_TX_PACK_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL2_CTRL_0_TX_PACK_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CTRL_0_TX_PACK_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CTRL_0_TX_PACK_EN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_CHANNEL2_CTRL_0_TX_PACK_EN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_CHANNEL2_CTRL_0_TX_PACK_SHIFT                     _MK_SHIFT_CONST(4)
#define APBIF_CHANNEL2_CTRL_0_TX_PACK_FIELD                     _MK_FIELD_CONST(0x3, APBIF_CHANNEL2_CTRL_0_TX_PACK_SHIFT)
#define APBIF_CHANNEL2_CTRL_0_TX_PACK_RANGE                     5:4
#define APBIF_CHANNEL2_CTRL_0_TX_PACK_WOFFSET                   0x0
#define APBIF_CHANNEL2_CTRL_0_TX_PACK_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CTRL_0_TX_PACK_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define APBIF_CHANNEL2_CTRL_0_TX_PACK_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CTRL_0_TX_PACK_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CTRL_0_TX_PACK_NOP                       _MK_ENUM_CONST(0)
#define APBIF_CHANNEL2_CTRL_0_TX_PACK_RSVD                      _MK_ENUM_CONST(1)
#define APBIF_CHANNEL2_CTRL_0_TX_PACK_PACK8_4                   _MK_ENUM_CONST(2)
#define APBIF_CHANNEL2_CTRL_0_TX_PACK_PACK16                    _MK_ENUM_CONST(3)

#define APBIF_CHANNEL2_CTRL_0_RX_PACK_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define APBIF_CHANNEL2_CTRL_0_RX_PACK_EN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_CHANNEL2_CTRL_0_RX_PACK_EN_SHIFT)
#define APBIF_CHANNEL2_CTRL_0_RX_PACK_EN_RANGE                  2:2
#define APBIF_CHANNEL2_CTRL_0_RX_PACK_EN_WOFFSET                        0x0
#define APBIF_CHANNEL2_CTRL_0_RX_PACK_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CTRL_0_RX_PACK_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL2_CTRL_0_RX_PACK_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CTRL_0_RX_PACK_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CTRL_0_RX_PACK_EN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_CHANNEL2_CTRL_0_RX_PACK_EN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_CHANNEL2_CTRL_0_RX_PACK_SHIFT                     _MK_SHIFT_CONST(0)
#define APBIF_CHANNEL2_CTRL_0_RX_PACK_FIELD                     _MK_FIELD_CONST(0x3, APBIF_CHANNEL2_CTRL_0_RX_PACK_SHIFT)
#define APBIF_CHANNEL2_CTRL_0_RX_PACK_RANGE                     1:0
#define APBIF_CHANNEL2_CTRL_0_RX_PACK_WOFFSET                   0x0
#define APBIF_CHANNEL2_CTRL_0_RX_PACK_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CTRL_0_RX_PACK_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define APBIF_CHANNEL2_CTRL_0_RX_PACK_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CTRL_0_RX_PACK_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CTRL_0_RX_PACK_NOP                       _MK_ENUM_CONST(0)
#define APBIF_CHANNEL2_CTRL_0_RX_PACK_RSVD                      _MK_ENUM_CONST(1)
#define APBIF_CHANNEL2_CTRL_0_RX_PACK_PACK8_4                   _MK_ENUM_CONST(2)
#define APBIF_CHANNEL2_CTRL_0_RX_PACK_PACK16                    _MK_ENUM_CONST(3)


// Register APBIF_CHANNEL2_CLEAR_0
#define APBIF_CHANNEL2_CLEAR_0                  _MK_ADDR_CONST(0x44)
#define APBIF_CHANNEL2_CLEAR_0_SECURE                   0x0
#define APBIF_CHANNEL2_CLEAR_0_SCR                      0
#define APBIF_CHANNEL2_CLEAR_0_WORD_COUNT                       0x1
#define APBIF_CHANNEL2_CLEAR_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CLEAR_0_RESET_MASK                       _MK_MASK_CONST(0xc0000000)
#define APBIF_CHANNEL2_CLEAR_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CLEAR_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CLEAR_0_READ_MASK                        _MK_MASK_CONST(0xc0000000)
#define APBIF_CHANNEL2_CLEAR_0_WRITE_MASK                       _MK_MASK_CONST(0xc0000000)
#define APBIF_CHANNEL2_CLEAR_0_TX_SOFT_RESET_SHIFT                      _MK_SHIFT_CONST(31)
#define APBIF_CHANNEL2_CLEAR_0_TX_SOFT_RESET_FIELD                      _MK_FIELD_CONST(0x1, APBIF_CHANNEL2_CLEAR_0_TX_SOFT_RESET_SHIFT)
#define APBIF_CHANNEL2_CLEAR_0_TX_SOFT_RESET_RANGE                      31:31
#define APBIF_CHANNEL2_CLEAR_0_TX_SOFT_RESET_WOFFSET                    0x0
#define APBIF_CHANNEL2_CLEAR_0_TX_SOFT_RESET_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CLEAR_0_TX_SOFT_RESET_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL2_CLEAR_0_TX_SOFT_RESET_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CLEAR_0_TX_SOFT_RESET_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CLEAR_0_TX_SOFT_RESET_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_CHANNEL2_CLEAR_0_TX_SOFT_RESET_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_CHANNEL2_CLEAR_0_RX_SOFT_RESET_SHIFT                      _MK_SHIFT_CONST(30)
#define APBIF_CHANNEL2_CLEAR_0_RX_SOFT_RESET_FIELD                      _MK_FIELD_CONST(0x1, APBIF_CHANNEL2_CLEAR_0_RX_SOFT_RESET_SHIFT)
#define APBIF_CHANNEL2_CLEAR_0_RX_SOFT_RESET_RANGE                      30:30
#define APBIF_CHANNEL2_CLEAR_0_RX_SOFT_RESET_WOFFSET                    0x0
#define APBIF_CHANNEL2_CLEAR_0_RX_SOFT_RESET_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CLEAR_0_RX_SOFT_RESET_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL2_CLEAR_0_RX_SOFT_RESET_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CLEAR_0_RX_SOFT_RESET_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_CLEAR_0_RX_SOFT_RESET_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_CHANNEL2_CLEAR_0_RX_SOFT_RESET_ENABLE                     _MK_ENUM_CONST(1)


// Register APBIF_CHANNEL2_STATUS_0
#define APBIF_CHANNEL2_STATUS_0                 _MK_ADDR_CONST(0x48)
#define APBIF_CHANNEL2_STATUS_0_SECURE                  0x0
#define APBIF_CHANNEL2_STATUS_0_SCR                     0
#define APBIF_CHANNEL2_STATUS_0_WORD_COUNT                      0x1
#define APBIF_CHANNEL2_STATUS_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_STATUS_0_RESET_MASK                      _MK_MASK_CONST(0x3)
#define APBIF_CHANNEL2_STATUS_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_STATUS_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_STATUS_0_READ_MASK                       _MK_MASK_CONST(0xffff0003)
#define APBIF_CHANNEL2_STATUS_0_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_STATUS_0_TX_FREE_COUNT_SHIFT                     _MK_SHIFT_CONST(24)
#define APBIF_CHANNEL2_STATUS_0_TX_FREE_COUNT_FIELD                     _MK_FIELD_CONST(0xff, APBIF_CHANNEL2_STATUS_0_TX_FREE_COUNT_SHIFT)
#define APBIF_CHANNEL2_STATUS_0_TX_FREE_COUNT_RANGE                     31:24
#define APBIF_CHANNEL2_STATUS_0_TX_FREE_COUNT_WOFFSET                   0x0
#define APBIF_CHANNEL2_STATUS_0_TX_FREE_COUNT_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_STATUS_0_TX_FREE_COUNT_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_STATUS_0_TX_FREE_COUNT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_STATUS_0_TX_FREE_COUNT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)

#define APBIF_CHANNEL2_STATUS_0_RX_FREE_COUNT_SHIFT                     _MK_SHIFT_CONST(16)
#define APBIF_CHANNEL2_STATUS_0_RX_FREE_COUNT_FIELD                     _MK_FIELD_CONST(0xff, APBIF_CHANNEL2_STATUS_0_RX_FREE_COUNT_SHIFT)
#define APBIF_CHANNEL2_STATUS_0_RX_FREE_COUNT_RANGE                     23:16
#define APBIF_CHANNEL2_STATUS_0_RX_FREE_COUNT_WOFFSET                   0x0
#define APBIF_CHANNEL2_STATUS_0_RX_FREE_COUNT_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_STATUS_0_RX_FREE_COUNT_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_STATUS_0_RX_FREE_COUNT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_STATUS_0_RX_FREE_COUNT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)

#define APBIF_CHANNEL2_STATUS_0_TX_TRIG_SHIFT                   _MK_SHIFT_CONST(1)
#define APBIF_CHANNEL2_STATUS_0_TX_TRIG_FIELD                   _MK_FIELD_CONST(0x1, APBIF_CHANNEL2_STATUS_0_TX_TRIG_SHIFT)
#define APBIF_CHANNEL2_STATUS_0_TX_TRIG_RANGE                   1:1
#define APBIF_CHANNEL2_STATUS_0_TX_TRIG_WOFFSET                 0x0
#define APBIF_CHANNEL2_STATUS_0_TX_TRIG_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_STATUS_0_TX_TRIG_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL2_STATUS_0_TX_TRIG_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_STATUS_0_TX_TRIG_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_STATUS_0_TX_TRIG_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_CHANNEL2_STATUS_0_TX_TRIG_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_CHANNEL2_STATUS_0_RX_TRIG_SHIFT                   _MK_SHIFT_CONST(0)
#define APBIF_CHANNEL2_STATUS_0_RX_TRIG_FIELD                   _MK_FIELD_CONST(0x1, APBIF_CHANNEL2_STATUS_0_RX_TRIG_SHIFT)
#define APBIF_CHANNEL2_STATUS_0_RX_TRIG_RANGE                   0:0
#define APBIF_CHANNEL2_STATUS_0_RX_TRIG_WOFFSET                 0x0
#define APBIF_CHANNEL2_STATUS_0_RX_TRIG_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_STATUS_0_RX_TRIG_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL2_STATUS_0_RX_TRIG_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_STATUS_0_RX_TRIG_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_STATUS_0_RX_TRIG_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_CHANNEL2_STATUS_0_RX_TRIG_ENABLE                  _MK_ENUM_CONST(1)


// Register APBIF_CHANNEL2_TXFIFO_0
#define APBIF_CHANNEL2_TXFIFO_0                 _MK_ADDR_CONST(0x4c)
#define APBIF_CHANNEL2_TXFIFO_0_SECURE                  0x0
#define APBIF_CHANNEL2_TXFIFO_0_SCR                     0
#define APBIF_CHANNEL2_TXFIFO_0_WORD_COUNT                      0x1
#define APBIF_CHANNEL2_TXFIFO_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_TXFIFO_0_RESET_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_TXFIFO_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_TXFIFO_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_TXFIFO_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define APBIF_CHANNEL2_TXFIFO_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define APBIF_CHANNEL2_TXFIFO_0_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define APBIF_CHANNEL2_TXFIFO_0_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, APBIF_CHANNEL2_TXFIFO_0_DATA_SHIFT)
#define APBIF_CHANNEL2_TXFIFO_0_DATA_RANGE                      31:0
#define APBIF_CHANNEL2_TXFIFO_0_DATA_WOFFSET                    0x0
#define APBIF_CHANNEL2_TXFIFO_0_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_TXFIFO_0_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_TXFIFO_0_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_TXFIFO_0_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register APBIF_CHANNEL2_RXFIFO_0
#define APBIF_CHANNEL2_RXFIFO_0                 _MK_ADDR_CONST(0x50)
#define APBIF_CHANNEL2_RXFIFO_0_SECURE                  0x0
#define APBIF_CHANNEL2_RXFIFO_0_SCR                     0
#define APBIF_CHANNEL2_RXFIFO_0_WORD_COUNT                      0x1
#define APBIF_CHANNEL2_RXFIFO_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_RXFIFO_0_RESET_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_RXFIFO_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_RXFIFO_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_RXFIFO_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define APBIF_CHANNEL2_RXFIFO_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define APBIF_CHANNEL2_RXFIFO_0_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define APBIF_CHANNEL2_RXFIFO_0_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, APBIF_CHANNEL2_RXFIFO_0_DATA_SHIFT)
#define APBIF_CHANNEL2_RXFIFO_0_DATA_RANGE                      31:0
#define APBIF_CHANNEL2_RXFIFO_0_DATA_WOFFSET                    0x0
#define APBIF_CHANNEL2_RXFIFO_0_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_RXFIFO_0_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_RXFIFO_0_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL2_RXFIFO_0_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register APBIF_AUDIOCIF_TX2_CTRL_0
#define APBIF_AUDIOCIF_TX2_CTRL_0                       _MK_ADDR_CONST(0x54)
#define APBIF_AUDIOCIF_TX2_CTRL_0_SECURE                        0x0
#define APBIF_AUDIOCIF_TX2_CTRL_0_SCR                   0
#define APBIF_AUDIOCIF_TX2_CTRL_0_WORD_COUNT                    0x1
#define APBIF_AUDIOCIF_TX2_CTRL_0_RESET_VAL                     _MK_MASK_CONST(0x1100)
#define APBIF_AUDIOCIF_TX2_CTRL_0_RESET_MASK                    _MK_MASK_CONST(0x3fff77ff)
#define APBIF_AUDIOCIF_TX2_CTRL_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_READ_MASK                     _MK_MASK_CONST(0x3fff77ff)
#define APBIF_AUDIOCIF_TX2_CTRL_0_WRITE_MASK                    _MK_MASK_CONST(0x3fff77fb)
#define APBIF_AUDIOCIF_TX2_CTRL_0_MONO_CONV_SHIFT                       _MK_SHIFT_CONST(0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_MONO_CONV_FIELD                       _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_TX2_CTRL_0_MONO_CONV_SHIFT)
#define APBIF_AUDIOCIF_TX2_CTRL_0_MONO_CONV_RANGE                       0:0
#define APBIF_AUDIOCIF_TX2_CTRL_0_MONO_CONV_WOFFSET                     0x0
#define APBIF_AUDIOCIF_TX2_CTRL_0_MONO_CONV_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_MONO_CONV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_TX2_CTRL_0_MONO_CONV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_MONO_CONV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_MONO_CONV_ZERO                        _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_MONO_CONV_COPY                        _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_TX2_CTRL_0_TRUNCATE_SHIFT                        _MK_SHIFT_CONST(1)
#define APBIF_AUDIOCIF_TX2_CTRL_0_TRUNCATE_FIELD                        _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_TX2_CTRL_0_TRUNCATE_SHIFT)
#define APBIF_AUDIOCIF_TX2_CTRL_0_TRUNCATE_RANGE                        1:1
#define APBIF_AUDIOCIF_TX2_CTRL_0_TRUNCATE_WOFFSET                      0x0
#define APBIF_AUDIOCIF_TX2_CTRL_0_TRUNCATE_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_TRUNCATE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_TX2_CTRL_0_TRUNCATE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_TRUNCATE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_TRUNCATE_ROUND                        _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_TRUNCATE_CHOP                 _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_TX2_CTRL_0_DIRECTION_SHIFT                       _MK_SHIFT_CONST(2)
#define APBIF_AUDIOCIF_TX2_CTRL_0_DIRECTION_FIELD                       _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_TX2_CTRL_0_DIRECTION_SHIFT)
#define APBIF_AUDIOCIF_TX2_CTRL_0_DIRECTION_RANGE                       2:2
#define APBIF_AUDIOCIF_TX2_CTRL_0_DIRECTION_WOFFSET                     0x0
#define APBIF_AUDIOCIF_TX2_CTRL_0_DIRECTION_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_DIRECTION_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_TX2_CTRL_0_DIRECTION_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_DIRECTION_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_DIRECTION_INIT_ENUM                   TXCIF
#define APBIF_AUDIOCIF_TX2_CTRL_0_DIRECTION_TXCIF                       _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_DIRECTION_RXCIF                       _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_TX2_CTRL_0_REPLICATE_SHIFT                       _MK_SHIFT_CONST(3)
#define APBIF_AUDIOCIF_TX2_CTRL_0_REPLICATE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_TX2_CTRL_0_REPLICATE_SHIFT)
#define APBIF_AUDIOCIF_TX2_CTRL_0_REPLICATE_RANGE                       3:3
#define APBIF_AUDIOCIF_TX2_CTRL_0_REPLICATE_WOFFSET                     0x0
#define APBIF_AUDIOCIF_TX2_CTRL_0_REPLICATE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_REPLICATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_TX2_CTRL_0_REPLICATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_REPLICATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_REPLICATE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_REPLICATE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_TX2_CTRL_0_STEREO_CONV_SHIFT                     _MK_SHIFT_CONST(4)
#define APBIF_AUDIOCIF_TX2_CTRL_0_STEREO_CONV_FIELD                     _MK_FIELD_CONST(0x3, APBIF_AUDIOCIF_TX2_CTRL_0_STEREO_CONV_SHIFT)
#define APBIF_AUDIOCIF_TX2_CTRL_0_STEREO_CONV_RANGE                     5:4
#define APBIF_AUDIOCIF_TX2_CTRL_0_STEREO_CONV_WOFFSET                   0x0
#define APBIF_AUDIOCIF_TX2_CTRL_0_STEREO_CONV_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_STEREO_CONV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define APBIF_AUDIOCIF_TX2_CTRL_0_STEREO_CONV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_STEREO_CONV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_STEREO_CONV_CH0                       _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_STEREO_CONV_CH1                       _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_TX2_CTRL_0_STEREO_CONV_AVG                       _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_TX2_CTRL_0_STEREO_CONV_RSVD                      _MK_ENUM_CONST(3)

#define APBIF_AUDIOCIF_TX2_CTRL_0_EXPAND_SHIFT                  _MK_SHIFT_CONST(6)
#define APBIF_AUDIOCIF_TX2_CTRL_0_EXPAND_FIELD                  _MK_FIELD_CONST(0x3, APBIF_AUDIOCIF_TX2_CTRL_0_EXPAND_SHIFT)
#define APBIF_AUDIOCIF_TX2_CTRL_0_EXPAND_RANGE                  7:6
#define APBIF_AUDIOCIF_TX2_CTRL_0_EXPAND_WOFFSET                        0x0
#define APBIF_AUDIOCIF_TX2_CTRL_0_EXPAND_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_EXPAND_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define APBIF_AUDIOCIF_TX2_CTRL_0_EXPAND_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_EXPAND_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_EXPAND_ZERO                   _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_EXPAND_ONE                    _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_TX2_CTRL_0_EXPAND_LFSR                   _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_TX2_CTRL_0_EXPAND_RSVD                   _MK_ENUM_CONST(3)

#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_BITS_SHIFT                     _MK_SHIFT_CONST(8)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_BITS_FIELD                     _MK_FIELD_CONST(0x7, APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_BITS_SHIFT)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_BITS_RANGE                     10:8
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_BITS_WOFFSET                   0x0
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_BITS_DEFAULT                   _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_BITS_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_BITS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_BITS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_BITS_BIT4                      _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_BITS_BIT8                      _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_BITS_BIT12                     _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_BITS_BIT16                     _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_BITS_BIT20                     _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_BITS_BIT24                     _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_BITS_BIT28                     _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_BITS_BIT32                     _MK_ENUM_CONST(7)

#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_BITS_SHIFT                      _MK_SHIFT_CONST(12)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_BITS_FIELD                      _MK_FIELD_CONST(0x7, APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_BITS_SHIFT)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_BITS_RANGE                      14:12
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_BITS_WOFFSET                    0x0
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_BITS_DEFAULT                    _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_BITS_DEFAULT_MASK                       _MK_MASK_CONST(0x7)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_BITS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_BITS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_BITS_BIT4                       _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_BITS_BIT8                       _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_BITS_BIT12                      _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_BITS_BIT16                      _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_BITS_BIT20                      _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_BITS_BIT24                      _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_BITS_BIT28                      _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_BITS_BIT32                      _MK_ENUM_CONST(7)

#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_CHANNELS_SHIFT                 _MK_SHIFT_CONST(16)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_CHANNELS_FIELD                 _MK_FIELD_CONST(0xf, APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_CHANNELS_SHIFT)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_CHANNELS_RANGE                 19:16
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_CHANNELS_WOFFSET                       0x0
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_CHANNELS_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_CHANNELS_DEFAULT_MASK                  _MK_MASK_CONST(0xf)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_CHANNELS_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_CHANNELS_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_CHANNELS_CH1                   _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_CHANNELS_CH2                   _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_CHANNELS_CH3                   _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_CHANNELS_CH4                   _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_CHANNELS_CH5                   _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_CHANNELS_CH6                   _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_CHANNELS_CH7                   _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_CHANNELS_CH8                   _MK_ENUM_CONST(7)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_CHANNELS_CH9                   _MK_ENUM_CONST(8)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_CHANNELS_CH10                  _MK_ENUM_CONST(9)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_CHANNELS_CH11                  _MK_ENUM_CONST(10)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_CHANNELS_CH12                  _MK_ENUM_CONST(11)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_CHANNELS_CH13                  _MK_ENUM_CONST(12)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_CHANNELS_CH14                  _MK_ENUM_CONST(13)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_CHANNELS_CH15                  _MK_ENUM_CONST(14)
#define APBIF_AUDIOCIF_TX2_CTRL_0_CLIENT_CHANNELS_CH16                  _MK_ENUM_CONST(15)

#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_CHANNELS_SHIFT                  _MK_SHIFT_CONST(20)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_CHANNELS_FIELD                  _MK_FIELD_CONST(0xf, APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_CHANNELS_SHIFT)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_CHANNELS_RANGE                  23:20
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_CHANNELS_WOFFSET                        0x0
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_CHANNELS_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_CHANNELS_DEFAULT_MASK                   _MK_MASK_CONST(0xf)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_CHANNELS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_CHANNELS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_CHANNELS_CH1                    _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_CHANNELS_CH2                    _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_CHANNELS_CH3                    _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_CHANNELS_CH4                    _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_CHANNELS_CH5                    _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_CHANNELS_CH6                    _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_CHANNELS_CH7                    _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_CHANNELS_CH8                    _MK_ENUM_CONST(7)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_CHANNELS_CH9                    _MK_ENUM_CONST(8)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_CHANNELS_CH10                   _MK_ENUM_CONST(9)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_CHANNELS_CH11                   _MK_ENUM_CONST(10)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_CHANNELS_CH12                   _MK_ENUM_CONST(11)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_CHANNELS_CH13                   _MK_ENUM_CONST(12)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_CHANNELS_CH14                   _MK_ENUM_CONST(13)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_CHANNELS_CH15                   _MK_ENUM_CONST(14)
#define APBIF_AUDIOCIF_TX2_CTRL_0_AUDIO_CHANNELS_CH16                   _MK_ENUM_CONST(15)

#define APBIF_AUDIOCIF_TX2_CTRL_0_FIFO_THRESHOLD_SHIFT                  _MK_SHIFT_CONST(24)
#define APBIF_AUDIOCIF_TX2_CTRL_0_FIFO_THRESHOLD_FIELD                  _MK_FIELD_CONST(0x3f, APBIF_AUDIOCIF_TX2_CTRL_0_FIFO_THRESHOLD_SHIFT)
#define APBIF_AUDIOCIF_TX2_CTRL_0_FIFO_THRESHOLD_RANGE                  29:24
#define APBIF_AUDIOCIF_TX2_CTRL_0_FIFO_THRESHOLD_WOFFSET                        0x0
#define APBIF_AUDIOCIF_TX2_CTRL_0_FIFO_THRESHOLD_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_FIFO_THRESHOLD_DEFAULT_MASK                   _MK_MASK_CONST(0x3f)
#define APBIF_AUDIOCIF_TX2_CTRL_0_FIFO_THRESHOLD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX2_CTRL_0_FIFO_THRESHOLD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register APBIF_AUDIOCIF_RX2_CTRL_0
#define APBIF_AUDIOCIF_RX2_CTRL_0                       _MK_ADDR_CONST(0x58)
#define APBIF_AUDIOCIF_RX2_CTRL_0_SECURE                        0x0
#define APBIF_AUDIOCIF_RX2_CTRL_0_SCR                   0
#define APBIF_AUDIOCIF_RX2_CTRL_0_WORD_COUNT                    0x1
#define APBIF_AUDIOCIF_RX2_CTRL_0_RESET_VAL                     _MK_MASK_CONST(0x1104)
#define APBIF_AUDIOCIF_RX2_CTRL_0_RESET_MASK                    _MK_MASK_CONST(0x3fff77ff)
#define APBIF_AUDIOCIF_RX2_CTRL_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_READ_MASK                     _MK_MASK_CONST(0x3fff77ff)
#define APBIF_AUDIOCIF_RX2_CTRL_0_WRITE_MASK                    _MK_MASK_CONST(0x3fff77fb)
#define APBIF_AUDIOCIF_RX2_CTRL_0_MONO_CONV_SHIFT                       _MK_SHIFT_CONST(0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_MONO_CONV_FIELD                       _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_RX2_CTRL_0_MONO_CONV_SHIFT)
#define APBIF_AUDIOCIF_RX2_CTRL_0_MONO_CONV_RANGE                       0:0
#define APBIF_AUDIOCIF_RX2_CTRL_0_MONO_CONV_WOFFSET                     0x0
#define APBIF_AUDIOCIF_RX2_CTRL_0_MONO_CONV_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_MONO_CONV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_RX2_CTRL_0_MONO_CONV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_MONO_CONV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_MONO_CONV_ZERO                        _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_MONO_CONV_COPY                        _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_RX2_CTRL_0_TRUNCATE_SHIFT                        _MK_SHIFT_CONST(1)
#define APBIF_AUDIOCIF_RX2_CTRL_0_TRUNCATE_FIELD                        _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_RX2_CTRL_0_TRUNCATE_SHIFT)
#define APBIF_AUDIOCIF_RX2_CTRL_0_TRUNCATE_RANGE                        1:1
#define APBIF_AUDIOCIF_RX2_CTRL_0_TRUNCATE_WOFFSET                      0x0
#define APBIF_AUDIOCIF_RX2_CTRL_0_TRUNCATE_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_TRUNCATE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_RX2_CTRL_0_TRUNCATE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_TRUNCATE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_TRUNCATE_ROUND                        _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_TRUNCATE_CHOP                 _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_RX2_CTRL_0_DIRECTION_SHIFT                       _MK_SHIFT_CONST(2)
#define APBIF_AUDIOCIF_RX2_CTRL_0_DIRECTION_FIELD                       _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_RX2_CTRL_0_DIRECTION_SHIFT)
#define APBIF_AUDIOCIF_RX2_CTRL_0_DIRECTION_RANGE                       2:2
#define APBIF_AUDIOCIF_RX2_CTRL_0_DIRECTION_WOFFSET                     0x0
#define APBIF_AUDIOCIF_RX2_CTRL_0_DIRECTION_DEFAULT                     _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_RX2_CTRL_0_DIRECTION_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_RX2_CTRL_0_DIRECTION_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_DIRECTION_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_DIRECTION_INIT_ENUM                   RXCIF
#define APBIF_AUDIOCIF_RX2_CTRL_0_DIRECTION_TXCIF                       _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_DIRECTION_RXCIF                       _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_RX2_CTRL_0_REPLICATE_SHIFT                       _MK_SHIFT_CONST(3)
#define APBIF_AUDIOCIF_RX2_CTRL_0_REPLICATE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_RX2_CTRL_0_REPLICATE_SHIFT)
#define APBIF_AUDIOCIF_RX2_CTRL_0_REPLICATE_RANGE                       3:3
#define APBIF_AUDIOCIF_RX2_CTRL_0_REPLICATE_WOFFSET                     0x0
#define APBIF_AUDIOCIF_RX2_CTRL_0_REPLICATE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_REPLICATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_RX2_CTRL_0_REPLICATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_REPLICATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_REPLICATE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_REPLICATE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_RX2_CTRL_0_STEREO_CONV_SHIFT                     _MK_SHIFT_CONST(4)
#define APBIF_AUDIOCIF_RX2_CTRL_0_STEREO_CONV_FIELD                     _MK_FIELD_CONST(0x3, APBIF_AUDIOCIF_RX2_CTRL_0_STEREO_CONV_SHIFT)
#define APBIF_AUDIOCIF_RX2_CTRL_0_STEREO_CONV_RANGE                     5:4
#define APBIF_AUDIOCIF_RX2_CTRL_0_STEREO_CONV_WOFFSET                   0x0
#define APBIF_AUDIOCIF_RX2_CTRL_0_STEREO_CONV_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_STEREO_CONV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define APBIF_AUDIOCIF_RX2_CTRL_0_STEREO_CONV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_STEREO_CONV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_STEREO_CONV_CH0                       _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_STEREO_CONV_CH1                       _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_RX2_CTRL_0_STEREO_CONV_AVG                       _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_RX2_CTRL_0_STEREO_CONV_RSVD                      _MK_ENUM_CONST(3)

#define APBIF_AUDIOCIF_RX2_CTRL_0_EXPAND_SHIFT                  _MK_SHIFT_CONST(6)
#define APBIF_AUDIOCIF_RX2_CTRL_0_EXPAND_FIELD                  _MK_FIELD_CONST(0x3, APBIF_AUDIOCIF_RX2_CTRL_0_EXPAND_SHIFT)
#define APBIF_AUDIOCIF_RX2_CTRL_0_EXPAND_RANGE                  7:6
#define APBIF_AUDIOCIF_RX2_CTRL_0_EXPAND_WOFFSET                        0x0
#define APBIF_AUDIOCIF_RX2_CTRL_0_EXPAND_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_EXPAND_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define APBIF_AUDIOCIF_RX2_CTRL_0_EXPAND_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_EXPAND_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_EXPAND_ZERO                   _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_EXPAND_ONE                    _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_RX2_CTRL_0_EXPAND_LFSR                   _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_RX2_CTRL_0_EXPAND_RSVD                   _MK_ENUM_CONST(3)

#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_BITS_SHIFT                     _MK_SHIFT_CONST(8)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_BITS_FIELD                     _MK_FIELD_CONST(0x7, APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_BITS_SHIFT)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_BITS_RANGE                     10:8
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_BITS_WOFFSET                   0x0
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_BITS_DEFAULT                   _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_BITS_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_BITS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_BITS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_BITS_BIT4                      _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_BITS_BIT8                      _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_BITS_BIT12                     _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_BITS_BIT16                     _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_BITS_BIT20                     _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_BITS_BIT24                     _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_BITS_BIT28                     _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_BITS_BIT32                     _MK_ENUM_CONST(7)

#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_BITS_SHIFT                      _MK_SHIFT_CONST(12)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_BITS_FIELD                      _MK_FIELD_CONST(0x7, APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_BITS_SHIFT)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_BITS_RANGE                      14:12
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_BITS_WOFFSET                    0x0
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_BITS_DEFAULT                    _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_BITS_DEFAULT_MASK                       _MK_MASK_CONST(0x7)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_BITS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_BITS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_BITS_BIT4                       _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_BITS_BIT8                       _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_BITS_BIT12                      _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_BITS_BIT16                      _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_BITS_BIT20                      _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_BITS_BIT24                      _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_BITS_BIT28                      _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_BITS_BIT32                      _MK_ENUM_CONST(7)

#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_CHANNELS_SHIFT                 _MK_SHIFT_CONST(16)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_CHANNELS_FIELD                 _MK_FIELD_CONST(0xf, APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_CHANNELS_SHIFT)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_CHANNELS_RANGE                 19:16
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_CHANNELS_WOFFSET                       0x0
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_CHANNELS_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_CHANNELS_DEFAULT_MASK                  _MK_MASK_CONST(0xf)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_CHANNELS_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_CHANNELS_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_CHANNELS_CH1                   _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_CHANNELS_CH2                   _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_CHANNELS_CH3                   _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_CHANNELS_CH4                   _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_CHANNELS_CH5                   _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_CHANNELS_CH6                   _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_CHANNELS_CH7                   _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_CHANNELS_CH8                   _MK_ENUM_CONST(7)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_CHANNELS_CH9                   _MK_ENUM_CONST(8)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_CHANNELS_CH10                  _MK_ENUM_CONST(9)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_CHANNELS_CH11                  _MK_ENUM_CONST(10)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_CHANNELS_CH12                  _MK_ENUM_CONST(11)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_CHANNELS_CH13                  _MK_ENUM_CONST(12)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_CHANNELS_CH14                  _MK_ENUM_CONST(13)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_CHANNELS_CH15                  _MK_ENUM_CONST(14)
#define APBIF_AUDIOCIF_RX2_CTRL_0_CLIENT_CHANNELS_CH16                  _MK_ENUM_CONST(15)

#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_CHANNELS_SHIFT                  _MK_SHIFT_CONST(20)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_CHANNELS_FIELD                  _MK_FIELD_CONST(0xf, APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_CHANNELS_SHIFT)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_CHANNELS_RANGE                  23:20
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_CHANNELS_WOFFSET                        0x0
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_CHANNELS_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_CHANNELS_DEFAULT_MASK                   _MK_MASK_CONST(0xf)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_CHANNELS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_CHANNELS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_CHANNELS_CH1                    _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_CHANNELS_CH2                    _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_CHANNELS_CH3                    _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_CHANNELS_CH4                    _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_CHANNELS_CH5                    _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_CHANNELS_CH6                    _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_CHANNELS_CH7                    _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_CHANNELS_CH8                    _MK_ENUM_CONST(7)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_CHANNELS_CH9                    _MK_ENUM_CONST(8)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_CHANNELS_CH10                   _MK_ENUM_CONST(9)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_CHANNELS_CH11                   _MK_ENUM_CONST(10)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_CHANNELS_CH12                   _MK_ENUM_CONST(11)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_CHANNELS_CH13                   _MK_ENUM_CONST(12)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_CHANNELS_CH14                   _MK_ENUM_CONST(13)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_CHANNELS_CH15                   _MK_ENUM_CONST(14)
#define APBIF_AUDIOCIF_RX2_CTRL_0_AUDIO_CHANNELS_CH16                   _MK_ENUM_CONST(15)

#define APBIF_AUDIOCIF_RX2_CTRL_0_FIFO_THRESHOLD_SHIFT                  _MK_SHIFT_CONST(24)
#define APBIF_AUDIOCIF_RX2_CTRL_0_FIFO_THRESHOLD_FIELD                  _MK_FIELD_CONST(0x3f, APBIF_AUDIOCIF_RX2_CTRL_0_FIFO_THRESHOLD_SHIFT)
#define APBIF_AUDIOCIF_RX2_CTRL_0_FIFO_THRESHOLD_RANGE                  29:24
#define APBIF_AUDIOCIF_RX2_CTRL_0_FIFO_THRESHOLD_WOFFSET                        0x0
#define APBIF_AUDIOCIF_RX2_CTRL_0_FIFO_THRESHOLD_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_FIFO_THRESHOLD_DEFAULT_MASK                   _MK_MASK_CONST(0x3f)
#define APBIF_AUDIOCIF_RX2_CTRL_0_FIFO_THRESHOLD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX2_CTRL_0_FIFO_THRESHOLD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Reserved address 92 [0x5c]

// Register APBIF_CHANNEL3_CTRL_0
#define APBIF_CHANNEL3_CTRL_0                   _MK_ADDR_CONST(0x60)
#define APBIF_CHANNEL3_CTRL_0_SECURE                    0x0
#define APBIF_CHANNEL3_CTRL_0_SCR                       0
#define APBIF_CHANNEL3_CTRL_0_WORD_COUNT                        0x1
#define APBIF_CHANNEL3_CTRL_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CTRL_0_RESET_MASK                        _MK_MASK_CONST(0xe0ffff77)
#define APBIF_CHANNEL3_CTRL_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CTRL_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CTRL_0_READ_MASK                         _MK_MASK_CONST(0xe0ffff77)
#define APBIF_CHANNEL3_CTRL_0_WRITE_MASK                        _MK_MASK_CONST(0xe0ffff77)
#define APBIF_CHANNEL3_CTRL_0_TX_ENABLE_SHIFT                   _MK_SHIFT_CONST(31)
#define APBIF_CHANNEL3_CTRL_0_TX_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_CHANNEL3_CTRL_0_TX_ENABLE_SHIFT)
#define APBIF_CHANNEL3_CTRL_0_TX_ENABLE_RANGE                   31:31
#define APBIF_CHANNEL3_CTRL_0_TX_ENABLE_WOFFSET                 0x0
#define APBIF_CHANNEL3_CTRL_0_TX_ENABLE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CTRL_0_TX_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL3_CTRL_0_TX_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CTRL_0_TX_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CTRL_0_TX_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_CHANNEL3_CTRL_0_TX_ENABLE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_CHANNEL3_CTRL_0_RX_ENABLE_SHIFT                   _MK_SHIFT_CONST(30)
#define APBIF_CHANNEL3_CTRL_0_RX_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_CHANNEL3_CTRL_0_RX_ENABLE_SHIFT)
#define APBIF_CHANNEL3_CTRL_0_RX_ENABLE_RANGE                   30:30
#define APBIF_CHANNEL3_CTRL_0_RX_ENABLE_WOFFSET                 0x0
#define APBIF_CHANNEL3_CTRL_0_RX_ENABLE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CTRL_0_RX_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL3_CTRL_0_RX_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CTRL_0_RX_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CTRL_0_RX_ENABLE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_CHANNEL3_CTRL_0_RX_ENABLE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_CHANNEL3_CTRL_0_LOOPBACK_SHIFT                    _MK_SHIFT_CONST(29)
#define APBIF_CHANNEL3_CTRL_0_LOOPBACK_FIELD                    _MK_FIELD_CONST(0x1, APBIF_CHANNEL3_CTRL_0_LOOPBACK_SHIFT)
#define APBIF_CHANNEL3_CTRL_0_LOOPBACK_RANGE                    29:29
#define APBIF_CHANNEL3_CTRL_0_LOOPBACK_WOFFSET                  0x0
#define APBIF_CHANNEL3_CTRL_0_LOOPBACK_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CTRL_0_LOOPBACK_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL3_CTRL_0_LOOPBACK_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CTRL_0_LOOPBACK_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CTRL_0_LOOPBACK_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_CHANNEL3_CTRL_0_LOOPBACK_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_CHANNEL3_CTRL_0_TX_THRESHOLD_SHIFT                        _MK_SHIFT_CONST(16)
#define APBIF_CHANNEL3_CTRL_0_TX_THRESHOLD_FIELD                        _MK_FIELD_CONST(0xff, APBIF_CHANNEL3_CTRL_0_TX_THRESHOLD_SHIFT)
#define APBIF_CHANNEL3_CTRL_0_TX_THRESHOLD_RANGE                        23:16
#define APBIF_CHANNEL3_CTRL_0_TX_THRESHOLD_WOFFSET                      0x0
#define APBIF_CHANNEL3_CTRL_0_TX_THRESHOLD_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CTRL_0_TX_THRESHOLD_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define APBIF_CHANNEL3_CTRL_0_TX_THRESHOLD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CTRL_0_TX_THRESHOLD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)

#define APBIF_CHANNEL3_CTRL_0_RX_THRESHOLD_SHIFT                        _MK_SHIFT_CONST(8)
#define APBIF_CHANNEL3_CTRL_0_RX_THRESHOLD_FIELD                        _MK_FIELD_CONST(0xff, APBIF_CHANNEL3_CTRL_0_RX_THRESHOLD_SHIFT)
#define APBIF_CHANNEL3_CTRL_0_RX_THRESHOLD_RANGE                        15:8
#define APBIF_CHANNEL3_CTRL_0_RX_THRESHOLD_WOFFSET                      0x0
#define APBIF_CHANNEL3_CTRL_0_RX_THRESHOLD_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CTRL_0_RX_THRESHOLD_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define APBIF_CHANNEL3_CTRL_0_RX_THRESHOLD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CTRL_0_RX_THRESHOLD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)

#define APBIF_CHANNEL3_CTRL_0_TX_PACK_EN_SHIFT                  _MK_SHIFT_CONST(6)
#define APBIF_CHANNEL3_CTRL_0_TX_PACK_EN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_CHANNEL3_CTRL_0_TX_PACK_EN_SHIFT)
#define APBIF_CHANNEL3_CTRL_0_TX_PACK_EN_RANGE                  6:6
#define APBIF_CHANNEL3_CTRL_0_TX_PACK_EN_WOFFSET                        0x0
#define APBIF_CHANNEL3_CTRL_0_TX_PACK_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CTRL_0_TX_PACK_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL3_CTRL_0_TX_PACK_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CTRL_0_TX_PACK_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CTRL_0_TX_PACK_EN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_CHANNEL3_CTRL_0_TX_PACK_EN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_CHANNEL3_CTRL_0_TX_PACK_SHIFT                     _MK_SHIFT_CONST(4)
#define APBIF_CHANNEL3_CTRL_0_TX_PACK_FIELD                     _MK_FIELD_CONST(0x3, APBIF_CHANNEL3_CTRL_0_TX_PACK_SHIFT)
#define APBIF_CHANNEL3_CTRL_0_TX_PACK_RANGE                     5:4
#define APBIF_CHANNEL3_CTRL_0_TX_PACK_WOFFSET                   0x0
#define APBIF_CHANNEL3_CTRL_0_TX_PACK_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CTRL_0_TX_PACK_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define APBIF_CHANNEL3_CTRL_0_TX_PACK_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CTRL_0_TX_PACK_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CTRL_0_TX_PACK_NOP                       _MK_ENUM_CONST(0)
#define APBIF_CHANNEL3_CTRL_0_TX_PACK_RSVD                      _MK_ENUM_CONST(1)
#define APBIF_CHANNEL3_CTRL_0_TX_PACK_PACK8_4                   _MK_ENUM_CONST(2)
#define APBIF_CHANNEL3_CTRL_0_TX_PACK_PACK16                    _MK_ENUM_CONST(3)

#define APBIF_CHANNEL3_CTRL_0_RX_PACK_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define APBIF_CHANNEL3_CTRL_0_RX_PACK_EN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_CHANNEL3_CTRL_0_RX_PACK_EN_SHIFT)
#define APBIF_CHANNEL3_CTRL_0_RX_PACK_EN_RANGE                  2:2
#define APBIF_CHANNEL3_CTRL_0_RX_PACK_EN_WOFFSET                        0x0
#define APBIF_CHANNEL3_CTRL_0_RX_PACK_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CTRL_0_RX_PACK_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL3_CTRL_0_RX_PACK_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CTRL_0_RX_PACK_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CTRL_0_RX_PACK_EN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_CHANNEL3_CTRL_0_RX_PACK_EN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_CHANNEL3_CTRL_0_RX_PACK_SHIFT                     _MK_SHIFT_CONST(0)
#define APBIF_CHANNEL3_CTRL_0_RX_PACK_FIELD                     _MK_FIELD_CONST(0x3, APBIF_CHANNEL3_CTRL_0_RX_PACK_SHIFT)
#define APBIF_CHANNEL3_CTRL_0_RX_PACK_RANGE                     1:0
#define APBIF_CHANNEL3_CTRL_0_RX_PACK_WOFFSET                   0x0
#define APBIF_CHANNEL3_CTRL_0_RX_PACK_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CTRL_0_RX_PACK_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define APBIF_CHANNEL3_CTRL_0_RX_PACK_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CTRL_0_RX_PACK_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CTRL_0_RX_PACK_NOP                       _MK_ENUM_CONST(0)
#define APBIF_CHANNEL3_CTRL_0_RX_PACK_RSVD                      _MK_ENUM_CONST(1)
#define APBIF_CHANNEL3_CTRL_0_RX_PACK_PACK8_4                   _MK_ENUM_CONST(2)
#define APBIF_CHANNEL3_CTRL_0_RX_PACK_PACK16                    _MK_ENUM_CONST(3)


// Register APBIF_CHANNEL3_CLEAR_0
#define APBIF_CHANNEL3_CLEAR_0                  _MK_ADDR_CONST(0x64)
#define APBIF_CHANNEL3_CLEAR_0_SECURE                   0x0
#define APBIF_CHANNEL3_CLEAR_0_SCR                      0
#define APBIF_CHANNEL3_CLEAR_0_WORD_COUNT                       0x1
#define APBIF_CHANNEL3_CLEAR_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CLEAR_0_RESET_MASK                       _MK_MASK_CONST(0xc0000000)
#define APBIF_CHANNEL3_CLEAR_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CLEAR_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CLEAR_0_READ_MASK                        _MK_MASK_CONST(0xc0000000)
#define APBIF_CHANNEL3_CLEAR_0_WRITE_MASK                       _MK_MASK_CONST(0xc0000000)
#define APBIF_CHANNEL3_CLEAR_0_TX_SOFT_RESET_SHIFT                      _MK_SHIFT_CONST(31)
#define APBIF_CHANNEL3_CLEAR_0_TX_SOFT_RESET_FIELD                      _MK_FIELD_CONST(0x1, APBIF_CHANNEL3_CLEAR_0_TX_SOFT_RESET_SHIFT)
#define APBIF_CHANNEL3_CLEAR_0_TX_SOFT_RESET_RANGE                      31:31
#define APBIF_CHANNEL3_CLEAR_0_TX_SOFT_RESET_WOFFSET                    0x0
#define APBIF_CHANNEL3_CLEAR_0_TX_SOFT_RESET_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CLEAR_0_TX_SOFT_RESET_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL3_CLEAR_0_TX_SOFT_RESET_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CLEAR_0_TX_SOFT_RESET_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CLEAR_0_TX_SOFT_RESET_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_CHANNEL3_CLEAR_0_TX_SOFT_RESET_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_CHANNEL3_CLEAR_0_RX_SOFT_RESET_SHIFT                      _MK_SHIFT_CONST(30)
#define APBIF_CHANNEL3_CLEAR_0_RX_SOFT_RESET_FIELD                      _MK_FIELD_CONST(0x1, APBIF_CHANNEL3_CLEAR_0_RX_SOFT_RESET_SHIFT)
#define APBIF_CHANNEL3_CLEAR_0_RX_SOFT_RESET_RANGE                      30:30
#define APBIF_CHANNEL3_CLEAR_0_RX_SOFT_RESET_WOFFSET                    0x0
#define APBIF_CHANNEL3_CLEAR_0_RX_SOFT_RESET_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CLEAR_0_RX_SOFT_RESET_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL3_CLEAR_0_RX_SOFT_RESET_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CLEAR_0_RX_SOFT_RESET_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_CLEAR_0_RX_SOFT_RESET_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_CHANNEL3_CLEAR_0_RX_SOFT_RESET_ENABLE                     _MK_ENUM_CONST(1)


// Register APBIF_CHANNEL3_STATUS_0
#define APBIF_CHANNEL3_STATUS_0                 _MK_ADDR_CONST(0x68)
#define APBIF_CHANNEL3_STATUS_0_SECURE                  0x0
#define APBIF_CHANNEL3_STATUS_0_SCR                     0
#define APBIF_CHANNEL3_STATUS_0_WORD_COUNT                      0x1
#define APBIF_CHANNEL3_STATUS_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_STATUS_0_RESET_MASK                      _MK_MASK_CONST(0x3)
#define APBIF_CHANNEL3_STATUS_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_STATUS_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_STATUS_0_READ_MASK                       _MK_MASK_CONST(0xffff0003)
#define APBIF_CHANNEL3_STATUS_0_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_STATUS_0_TX_FREE_COUNT_SHIFT                     _MK_SHIFT_CONST(24)
#define APBIF_CHANNEL3_STATUS_0_TX_FREE_COUNT_FIELD                     _MK_FIELD_CONST(0xff, APBIF_CHANNEL3_STATUS_0_TX_FREE_COUNT_SHIFT)
#define APBIF_CHANNEL3_STATUS_0_TX_FREE_COUNT_RANGE                     31:24
#define APBIF_CHANNEL3_STATUS_0_TX_FREE_COUNT_WOFFSET                   0x0
#define APBIF_CHANNEL3_STATUS_0_TX_FREE_COUNT_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_STATUS_0_TX_FREE_COUNT_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_STATUS_0_TX_FREE_COUNT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_STATUS_0_TX_FREE_COUNT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)

#define APBIF_CHANNEL3_STATUS_0_RX_FREE_COUNT_SHIFT                     _MK_SHIFT_CONST(16)
#define APBIF_CHANNEL3_STATUS_0_RX_FREE_COUNT_FIELD                     _MK_FIELD_CONST(0xff, APBIF_CHANNEL3_STATUS_0_RX_FREE_COUNT_SHIFT)
#define APBIF_CHANNEL3_STATUS_0_RX_FREE_COUNT_RANGE                     23:16
#define APBIF_CHANNEL3_STATUS_0_RX_FREE_COUNT_WOFFSET                   0x0
#define APBIF_CHANNEL3_STATUS_0_RX_FREE_COUNT_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_STATUS_0_RX_FREE_COUNT_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_STATUS_0_RX_FREE_COUNT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_STATUS_0_RX_FREE_COUNT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)

#define APBIF_CHANNEL3_STATUS_0_TX_TRIG_SHIFT                   _MK_SHIFT_CONST(1)
#define APBIF_CHANNEL3_STATUS_0_TX_TRIG_FIELD                   _MK_FIELD_CONST(0x1, APBIF_CHANNEL3_STATUS_0_TX_TRIG_SHIFT)
#define APBIF_CHANNEL3_STATUS_0_TX_TRIG_RANGE                   1:1
#define APBIF_CHANNEL3_STATUS_0_TX_TRIG_WOFFSET                 0x0
#define APBIF_CHANNEL3_STATUS_0_TX_TRIG_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_STATUS_0_TX_TRIG_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL3_STATUS_0_TX_TRIG_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_STATUS_0_TX_TRIG_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_STATUS_0_TX_TRIG_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_CHANNEL3_STATUS_0_TX_TRIG_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_CHANNEL3_STATUS_0_RX_TRIG_SHIFT                   _MK_SHIFT_CONST(0)
#define APBIF_CHANNEL3_STATUS_0_RX_TRIG_FIELD                   _MK_FIELD_CONST(0x1, APBIF_CHANNEL3_STATUS_0_RX_TRIG_SHIFT)
#define APBIF_CHANNEL3_STATUS_0_RX_TRIG_RANGE                   0:0
#define APBIF_CHANNEL3_STATUS_0_RX_TRIG_WOFFSET                 0x0
#define APBIF_CHANNEL3_STATUS_0_RX_TRIG_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_STATUS_0_RX_TRIG_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_CHANNEL3_STATUS_0_RX_TRIG_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_STATUS_0_RX_TRIG_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_STATUS_0_RX_TRIG_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_CHANNEL3_STATUS_0_RX_TRIG_ENABLE                  _MK_ENUM_CONST(1)


// Register APBIF_CHANNEL3_TXFIFO_0
#define APBIF_CHANNEL3_TXFIFO_0                 _MK_ADDR_CONST(0x6c)
#define APBIF_CHANNEL3_TXFIFO_0_SECURE                  0x0
#define APBIF_CHANNEL3_TXFIFO_0_SCR                     0
#define APBIF_CHANNEL3_TXFIFO_0_WORD_COUNT                      0x1
#define APBIF_CHANNEL3_TXFIFO_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_TXFIFO_0_RESET_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_TXFIFO_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_TXFIFO_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_TXFIFO_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define APBIF_CHANNEL3_TXFIFO_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define APBIF_CHANNEL3_TXFIFO_0_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define APBIF_CHANNEL3_TXFIFO_0_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, APBIF_CHANNEL3_TXFIFO_0_DATA_SHIFT)
#define APBIF_CHANNEL3_TXFIFO_0_DATA_RANGE                      31:0
#define APBIF_CHANNEL3_TXFIFO_0_DATA_WOFFSET                    0x0
#define APBIF_CHANNEL3_TXFIFO_0_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_TXFIFO_0_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_TXFIFO_0_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_TXFIFO_0_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register APBIF_CHANNEL3_RXFIFO_0
#define APBIF_CHANNEL3_RXFIFO_0                 _MK_ADDR_CONST(0x70)
#define APBIF_CHANNEL3_RXFIFO_0_SECURE                  0x0
#define APBIF_CHANNEL3_RXFIFO_0_SCR                     0
#define APBIF_CHANNEL3_RXFIFO_0_WORD_COUNT                      0x1
#define APBIF_CHANNEL3_RXFIFO_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_RXFIFO_0_RESET_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_RXFIFO_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_RXFIFO_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_RXFIFO_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define APBIF_CHANNEL3_RXFIFO_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define APBIF_CHANNEL3_RXFIFO_0_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define APBIF_CHANNEL3_RXFIFO_0_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, APBIF_CHANNEL3_RXFIFO_0_DATA_SHIFT)
#define APBIF_CHANNEL3_RXFIFO_0_DATA_RANGE                      31:0
#define APBIF_CHANNEL3_RXFIFO_0_DATA_WOFFSET                    0x0
#define APBIF_CHANNEL3_RXFIFO_0_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_RXFIFO_0_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_RXFIFO_0_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CHANNEL3_RXFIFO_0_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register APBIF_AUDIOCIF_TX3_CTRL_0
#define APBIF_AUDIOCIF_TX3_CTRL_0                       _MK_ADDR_CONST(0x74)
#define APBIF_AUDIOCIF_TX3_CTRL_0_SECURE                        0x0
#define APBIF_AUDIOCIF_TX3_CTRL_0_SCR                   0
#define APBIF_AUDIOCIF_TX3_CTRL_0_WORD_COUNT                    0x1
#define APBIF_AUDIOCIF_TX3_CTRL_0_RESET_VAL                     _MK_MASK_CONST(0x1100)
#define APBIF_AUDIOCIF_TX3_CTRL_0_RESET_MASK                    _MK_MASK_CONST(0x3fff77ff)
#define APBIF_AUDIOCIF_TX3_CTRL_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_READ_MASK                     _MK_MASK_CONST(0x3fff77ff)
#define APBIF_AUDIOCIF_TX3_CTRL_0_WRITE_MASK                    _MK_MASK_CONST(0x3fff77fb)
#define APBIF_AUDIOCIF_TX3_CTRL_0_MONO_CONV_SHIFT                       _MK_SHIFT_CONST(0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_MONO_CONV_FIELD                       _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_TX3_CTRL_0_MONO_CONV_SHIFT)
#define APBIF_AUDIOCIF_TX3_CTRL_0_MONO_CONV_RANGE                       0:0
#define APBIF_AUDIOCIF_TX3_CTRL_0_MONO_CONV_WOFFSET                     0x0
#define APBIF_AUDIOCIF_TX3_CTRL_0_MONO_CONV_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_MONO_CONV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_TX3_CTRL_0_MONO_CONV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_MONO_CONV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_MONO_CONV_ZERO                        _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_MONO_CONV_COPY                        _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_TX3_CTRL_0_TRUNCATE_SHIFT                        _MK_SHIFT_CONST(1)
#define APBIF_AUDIOCIF_TX3_CTRL_0_TRUNCATE_FIELD                        _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_TX3_CTRL_0_TRUNCATE_SHIFT)
#define APBIF_AUDIOCIF_TX3_CTRL_0_TRUNCATE_RANGE                        1:1
#define APBIF_AUDIOCIF_TX3_CTRL_0_TRUNCATE_WOFFSET                      0x0
#define APBIF_AUDIOCIF_TX3_CTRL_0_TRUNCATE_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_TRUNCATE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_TX3_CTRL_0_TRUNCATE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_TRUNCATE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_TRUNCATE_ROUND                        _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_TRUNCATE_CHOP                 _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_TX3_CTRL_0_DIRECTION_SHIFT                       _MK_SHIFT_CONST(2)
#define APBIF_AUDIOCIF_TX3_CTRL_0_DIRECTION_FIELD                       _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_TX3_CTRL_0_DIRECTION_SHIFT)
#define APBIF_AUDIOCIF_TX3_CTRL_0_DIRECTION_RANGE                       2:2
#define APBIF_AUDIOCIF_TX3_CTRL_0_DIRECTION_WOFFSET                     0x0
#define APBIF_AUDIOCIF_TX3_CTRL_0_DIRECTION_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_DIRECTION_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_TX3_CTRL_0_DIRECTION_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_DIRECTION_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_DIRECTION_INIT_ENUM                   TXCIF
#define APBIF_AUDIOCIF_TX3_CTRL_0_DIRECTION_TXCIF                       _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_DIRECTION_RXCIF                       _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_TX3_CTRL_0_REPLICATE_SHIFT                       _MK_SHIFT_CONST(3)
#define APBIF_AUDIOCIF_TX3_CTRL_0_REPLICATE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_TX3_CTRL_0_REPLICATE_SHIFT)
#define APBIF_AUDIOCIF_TX3_CTRL_0_REPLICATE_RANGE                       3:3
#define APBIF_AUDIOCIF_TX3_CTRL_0_REPLICATE_WOFFSET                     0x0
#define APBIF_AUDIOCIF_TX3_CTRL_0_REPLICATE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_REPLICATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_TX3_CTRL_0_REPLICATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_REPLICATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_REPLICATE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_REPLICATE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_TX3_CTRL_0_STEREO_CONV_SHIFT                     _MK_SHIFT_CONST(4)
#define APBIF_AUDIOCIF_TX3_CTRL_0_STEREO_CONV_FIELD                     _MK_FIELD_CONST(0x3, APBIF_AUDIOCIF_TX3_CTRL_0_STEREO_CONV_SHIFT)
#define APBIF_AUDIOCIF_TX3_CTRL_0_STEREO_CONV_RANGE                     5:4
#define APBIF_AUDIOCIF_TX3_CTRL_0_STEREO_CONV_WOFFSET                   0x0
#define APBIF_AUDIOCIF_TX3_CTRL_0_STEREO_CONV_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_STEREO_CONV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define APBIF_AUDIOCIF_TX3_CTRL_0_STEREO_CONV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_STEREO_CONV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_STEREO_CONV_CH0                       _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_STEREO_CONV_CH1                       _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_TX3_CTRL_0_STEREO_CONV_AVG                       _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_TX3_CTRL_0_STEREO_CONV_RSVD                      _MK_ENUM_CONST(3)

#define APBIF_AUDIOCIF_TX3_CTRL_0_EXPAND_SHIFT                  _MK_SHIFT_CONST(6)
#define APBIF_AUDIOCIF_TX3_CTRL_0_EXPAND_FIELD                  _MK_FIELD_CONST(0x3, APBIF_AUDIOCIF_TX3_CTRL_0_EXPAND_SHIFT)
#define APBIF_AUDIOCIF_TX3_CTRL_0_EXPAND_RANGE                  7:6
#define APBIF_AUDIOCIF_TX3_CTRL_0_EXPAND_WOFFSET                        0x0
#define APBIF_AUDIOCIF_TX3_CTRL_0_EXPAND_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_EXPAND_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define APBIF_AUDIOCIF_TX3_CTRL_0_EXPAND_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_EXPAND_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_EXPAND_ZERO                   _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_EXPAND_ONE                    _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_TX3_CTRL_0_EXPAND_LFSR                   _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_TX3_CTRL_0_EXPAND_RSVD                   _MK_ENUM_CONST(3)

#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_BITS_SHIFT                     _MK_SHIFT_CONST(8)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_BITS_FIELD                     _MK_FIELD_CONST(0x7, APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_BITS_SHIFT)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_BITS_RANGE                     10:8
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_BITS_WOFFSET                   0x0
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_BITS_DEFAULT                   _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_BITS_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_BITS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_BITS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_BITS_BIT4                      _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_BITS_BIT8                      _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_BITS_BIT12                     _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_BITS_BIT16                     _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_BITS_BIT20                     _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_BITS_BIT24                     _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_BITS_BIT28                     _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_BITS_BIT32                     _MK_ENUM_CONST(7)

#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_BITS_SHIFT                      _MK_SHIFT_CONST(12)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_BITS_FIELD                      _MK_FIELD_CONST(0x7, APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_BITS_SHIFT)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_BITS_RANGE                      14:12
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_BITS_WOFFSET                    0x0
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_BITS_DEFAULT                    _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_BITS_DEFAULT_MASK                       _MK_MASK_CONST(0x7)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_BITS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_BITS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_BITS_BIT4                       _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_BITS_BIT8                       _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_BITS_BIT12                      _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_BITS_BIT16                      _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_BITS_BIT20                      _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_BITS_BIT24                      _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_BITS_BIT28                      _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_BITS_BIT32                      _MK_ENUM_CONST(7)

#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_CHANNELS_SHIFT                 _MK_SHIFT_CONST(16)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_CHANNELS_FIELD                 _MK_FIELD_CONST(0xf, APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_CHANNELS_SHIFT)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_CHANNELS_RANGE                 19:16
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_CHANNELS_WOFFSET                       0x0
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_CHANNELS_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_CHANNELS_DEFAULT_MASK                  _MK_MASK_CONST(0xf)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_CHANNELS_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_CHANNELS_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_CHANNELS_CH1                   _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_CHANNELS_CH2                   _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_CHANNELS_CH3                   _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_CHANNELS_CH4                   _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_CHANNELS_CH5                   _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_CHANNELS_CH6                   _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_CHANNELS_CH7                   _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_CHANNELS_CH8                   _MK_ENUM_CONST(7)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_CHANNELS_CH9                   _MK_ENUM_CONST(8)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_CHANNELS_CH10                  _MK_ENUM_CONST(9)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_CHANNELS_CH11                  _MK_ENUM_CONST(10)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_CHANNELS_CH12                  _MK_ENUM_CONST(11)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_CHANNELS_CH13                  _MK_ENUM_CONST(12)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_CHANNELS_CH14                  _MK_ENUM_CONST(13)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_CHANNELS_CH15                  _MK_ENUM_CONST(14)
#define APBIF_AUDIOCIF_TX3_CTRL_0_CLIENT_CHANNELS_CH16                  _MK_ENUM_CONST(15)

#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_CHANNELS_SHIFT                  _MK_SHIFT_CONST(20)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_CHANNELS_FIELD                  _MK_FIELD_CONST(0xf, APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_CHANNELS_SHIFT)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_CHANNELS_RANGE                  23:20
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_CHANNELS_WOFFSET                        0x0
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_CHANNELS_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_CHANNELS_DEFAULT_MASK                   _MK_MASK_CONST(0xf)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_CHANNELS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_CHANNELS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_CHANNELS_CH1                    _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_CHANNELS_CH2                    _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_CHANNELS_CH3                    _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_CHANNELS_CH4                    _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_CHANNELS_CH5                    _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_CHANNELS_CH6                    _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_CHANNELS_CH7                    _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_CHANNELS_CH8                    _MK_ENUM_CONST(7)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_CHANNELS_CH9                    _MK_ENUM_CONST(8)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_CHANNELS_CH10                   _MK_ENUM_CONST(9)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_CHANNELS_CH11                   _MK_ENUM_CONST(10)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_CHANNELS_CH12                   _MK_ENUM_CONST(11)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_CHANNELS_CH13                   _MK_ENUM_CONST(12)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_CHANNELS_CH14                   _MK_ENUM_CONST(13)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_CHANNELS_CH15                   _MK_ENUM_CONST(14)
#define APBIF_AUDIOCIF_TX3_CTRL_0_AUDIO_CHANNELS_CH16                   _MK_ENUM_CONST(15)

#define APBIF_AUDIOCIF_TX3_CTRL_0_FIFO_THRESHOLD_SHIFT                  _MK_SHIFT_CONST(24)
#define APBIF_AUDIOCIF_TX3_CTRL_0_FIFO_THRESHOLD_FIELD                  _MK_FIELD_CONST(0x3f, APBIF_AUDIOCIF_TX3_CTRL_0_FIFO_THRESHOLD_SHIFT)
#define APBIF_AUDIOCIF_TX3_CTRL_0_FIFO_THRESHOLD_RANGE                  29:24
#define APBIF_AUDIOCIF_TX3_CTRL_0_FIFO_THRESHOLD_WOFFSET                        0x0
#define APBIF_AUDIOCIF_TX3_CTRL_0_FIFO_THRESHOLD_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_FIFO_THRESHOLD_DEFAULT_MASK                   _MK_MASK_CONST(0x3f)
#define APBIF_AUDIOCIF_TX3_CTRL_0_FIFO_THRESHOLD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_TX3_CTRL_0_FIFO_THRESHOLD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register APBIF_AUDIOCIF_RX3_CTRL_0
#define APBIF_AUDIOCIF_RX3_CTRL_0                       _MK_ADDR_CONST(0x78)
#define APBIF_AUDIOCIF_RX3_CTRL_0_SECURE                        0x0
#define APBIF_AUDIOCIF_RX3_CTRL_0_SCR                   0
#define APBIF_AUDIOCIF_RX3_CTRL_0_WORD_COUNT                    0x1
#define APBIF_AUDIOCIF_RX3_CTRL_0_RESET_VAL                     _MK_MASK_CONST(0x1104)
#define APBIF_AUDIOCIF_RX3_CTRL_0_RESET_MASK                    _MK_MASK_CONST(0x3fff77ff)
#define APBIF_AUDIOCIF_RX3_CTRL_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_READ_MASK                     _MK_MASK_CONST(0x3fff77ff)
#define APBIF_AUDIOCIF_RX3_CTRL_0_WRITE_MASK                    _MK_MASK_CONST(0x3fff77fb)
#define APBIF_AUDIOCIF_RX3_CTRL_0_MONO_CONV_SHIFT                       _MK_SHIFT_CONST(0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_MONO_CONV_FIELD                       _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_RX3_CTRL_0_MONO_CONV_SHIFT)
#define APBIF_AUDIOCIF_RX3_CTRL_0_MONO_CONV_RANGE                       0:0
#define APBIF_AUDIOCIF_RX3_CTRL_0_MONO_CONV_WOFFSET                     0x0
#define APBIF_AUDIOCIF_RX3_CTRL_0_MONO_CONV_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_MONO_CONV_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_RX3_CTRL_0_MONO_CONV_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_MONO_CONV_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_MONO_CONV_ZERO                        _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_MONO_CONV_COPY                        _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_RX3_CTRL_0_TRUNCATE_SHIFT                        _MK_SHIFT_CONST(1)
#define APBIF_AUDIOCIF_RX3_CTRL_0_TRUNCATE_FIELD                        _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_RX3_CTRL_0_TRUNCATE_SHIFT)
#define APBIF_AUDIOCIF_RX3_CTRL_0_TRUNCATE_RANGE                        1:1
#define APBIF_AUDIOCIF_RX3_CTRL_0_TRUNCATE_WOFFSET                      0x0
#define APBIF_AUDIOCIF_RX3_CTRL_0_TRUNCATE_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_TRUNCATE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_RX3_CTRL_0_TRUNCATE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_TRUNCATE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_TRUNCATE_ROUND                        _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_TRUNCATE_CHOP                 _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_RX3_CTRL_0_DIRECTION_SHIFT                       _MK_SHIFT_CONST(2)
#define APBIF_AUDIOCIF_RX3_CTRL_0_DIRECTION_FIELD                       _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_RX3_CTRL_0_DIRECTION_SHIFT)
#define APBIF_AUDIOCIF_RX3_CTRL_0_DIRECTION_RANGE                       2:2
#define APBIF_AUDIOCIF_RX3_CTRL_0_DIRECTION_WOFFSET                     0x0
#define APBIF_AUDIOCIF_RX3_CTRL_0_DIRECTION_DEFAULT                     _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_RX3_CTRL_0_DIRECTION_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_RX3_CTRL_0_DIRECTION_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_DIRECTION_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_DIRECTION_INIT_ENUM                   RXCIF
#define APBIF_AUDIOCIF_RX3_CTRL_0_DIRECTION_TXCIF                       _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_DIRECTION_RXCIF                       _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_RX3_CTRL_0_REPLICATE_SHIFT                       _MK_SHIFT_CONST(3)
#define APBIF_AUDIOCIF_RX3_CTRL_0_REPLICATE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_AUDIOCIF_RX3_CTRL_0_REPLICATE_SHIFT)
#define APBIF_AUDIOCIF_RX3_CTRL_0_REPLICATE_RANGE                       3:3
#define APBIF_AUDIOCIF_RX3_CTRL_0_REPLICATE_WOFFSET                     0x0
#define APBIF_AUDIOCIF_RX3_CTRL_0_REPLICATE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_REPLICATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_RX3_CTRL_0_REPLICATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_REPLICATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_REPLICATE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_REPLICATE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_AUDIOCIF_RX3_CTRL_0_STEREO_CONV_SHIFT                     _MK_SHIFT_CONST(4)
#define APBIF_AUDIOCIF_RX3_CTRL_0_STEREO_CONV_FIELD                     _MK_FIELD_CONST(0x3, APBIF_AUDIOCIF_RX3_CTRL_0_STEREO_CONV_SHIFT)
#define APBIF_AUDIOCIF_RX3_CTRL_0_STEREO_CONV_RANGE                     5:4
#define APBIF_AUDIOCIF_RX3_CTRL_0_STEREO_CONV_WOFFSET                   0x0
#define APBIF_AUDIOCIF_RX3_CTRL_0_STEREO_CONV_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_STEREO_CONV_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define APBIF_AUDIOCIF_RX3_CTRL_0_STEREO_CONV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_STEREO_CONV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_STEREO_CONV_CH0                       _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_STEREO_CONV_CH1                       _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_RX3_CTRL_0_STEREO_CONV_AVG                       _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_RX3_CTRL_0_STEREO_CONV_RSVD                      _MK_ENUM_CONST(3)

#define APBIF_AUDIOCIF_RX3_CTRL_0_EXPAND_SHIFT                  _MK_SHIFT_CONST(6)
#define APBIF_AUDIOCIF_RX3_CTRL_0_EXPAND_FIELD                  _MK_FIELD_CONST(0x3, APBIF_AUDIOCIF_RX3_CTRL_0_EXPAND_SHIFT)
#define APBIF_AUDIOCIF_RX3_CTRL_0_EXPAND_RANGE                  7:6
#define APBIF_AUDIOCIF_RX3_CTRL_0_EXPAND_WOFFSET                        0x0
#define APBIF_AUDIOCIF_RX3_CTRL_0_EXPAND_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_EXPAND_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define APBIF_AUDIOCIF_RX3_CTRL_0_EXPAND_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_EXPAND_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_EXPAND_ZERO                   _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_EXPAND_ONE                    _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_RX3_CTRL_0_EXPAND_LFSR                   _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_RX3_CTRL_0_EXPAND_RSVD                   _MK_ENUM_CONST(3)

#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_BITS_SHIFT                     _MK_SHIFT_CONST(8)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_BITS_FIELD                     _MK_FIELD_CONST(0x7, APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_BITS_SHIFT)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_BITS_RANGE                     10:8
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_BITS_WOFFSET                   0x0
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_BITS_DEFAULT                   _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_BITS_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_BITS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_BITS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_BITS_BIT4                      _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_BITS_BIT8                      _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_BITS_BIT12                     _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_BITS_BIT16                     _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_BITS_BIT20                     _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_BITS_BIT24                     _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_BITS_BIT28                     _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_BITS_BIT32                     _MK_ENUM_CONST(7)

#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_BITS_SHIFT                      _MK_SHIFT_CONST(12)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_BITS_FIELD                      _MK_FIELD_CONST(0x7, APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_BITS_SHIFT)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_BITS_RANGE                      14:12
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_BITS_WOFFSET                    0x0
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_BITS_DEFAULT                    _MK_MASK_CONST(0x1)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_BITS_DEFAULT_MASK                       _MK_MASK_CONST(0x7)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_BITS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_BITS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_BITS_BIT4                       _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_BITS_BIT8                       _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_BITS_BIT12                      _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_BITS_BIT16                      _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_BITS_BIT20                      _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_BITS_BIT24                      _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_BITS_BIT28                      _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_BITS_BIT32                      _MK_ENUM_CONST(7)

#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_CHANNELS_SHIFT                 _MK_SHIFT_CONST(16)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_CHANNELS_FIELD                 _MK_FIELD_CONST(0xf, APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_CHANNELS_SHIFT)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_CHANNELS_RANGE                 19:16
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_CHANNELS_WOFFSET                       0x0
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_CHANNELS_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_CHANNELS_DEFAULT_MASK                  _MK_MASK_CONST(0xf)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_CHANNELS_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_CHANNELS_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_CHANNELS_CH1                   _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_CHANNELS_CH2                   _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_CHANNELS_CH3                   _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_CHANNELS_CH4                   _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_CHANNELS_CH5                   _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_CHANNELS_CH6                   _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_CHANNELS_CH7                   _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_CHANNELS_CH8                   _MK_ENUM_CONST(7)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_CHANNELS_CH9                   _MK_ENUM_CONST(8)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_CHANNELS_CH10                  _MK_ENUM_CONST(9)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_CHANNELS_CH11                  _MK_ENUM_CONST(10)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_CHANNELS_CH12                  _MK_ENUM_CONST(11)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_CHANNELS_CH13                  _MK_ENUM_CONST(12)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_CHANNELS_CH14                  _MK_ENUM_CONST(13)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_CHANNELS_CH15                  _MK_ENUM_CONST(14)
#define APBIF_AUDIOCIF_RX3_CTRL_0_CLIENT_CHANNELS_CH16                  _MK_ENUM_CONST(15)

#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_CHANNELS_SHIFT                  _MK_SHIFT_CONST(20)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_CHANNELS_FIELD                  _MK_FIELD_CONST(0xf, APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_CHANNELS_SHIFT)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_CHANNELS_RANGE                  23:20
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_CHANNELS_WOFFSET                        0x0
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_CHANNELS_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_CHANNELS_DEFAULT_MASK                   _MK_MASK_CONST(0xf)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_CHANNELS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_CHANNELS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_CHANNELS_CH1                    _MK_ENUM_CONST(0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_CHANNELS_CH2                    _MK_ENUM_CONST(1)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_CHANNELS_CH3                    _MK_ENUM_CONST(2)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_CHANNELS_CH4                    _MK_ENUM_CONST(3)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_CHANNELS_CH5                    _MK_ENUM_CONST(4)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_CHANNELS_CH6                    _MK_ENUM_CONST(5)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_CHANNELS_CH7                    _MK_ENUM_CONST(6)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_CHANNELS_CH8                    _MK_ENUM_CONST(7)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_CHANNELS_CH9                    _MK_ENUM_CONST(8)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_CHANNELS_CH10                   _MK_ENUM_CONST(9)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_CHANNELS_CH11                   _MK_ENUM_CONST(10)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_CHANNELS_CH12                   _MK_ENUM_CONST(11)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_CHANNELS_CH13                   _MK_ENUM_CONST(12)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_CHANNELS_CH14                   _MK_ENUM_CONST(13)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_CHANNELS_CH15                   _MK_ENUM_CONST(14)
#define APBIF_AUDIOCIF_RX3_CTRL_0_AUDIO_CHANNELS_CH16                   _MK_ENUM_CONST(15)

#define APBIF_AUDIOCIF_RX3_CTRL_0_FIFO_THRESHOLD_SHIFT                  _MK_SHIFT_CONST(24)
#define APBIF_AUDIOCIF_RX3_CTRL_0_FIFO_THRESHOLD_FIELD                  _MK_FIELD_CONST(0x3f, APBIF_AUDIOCIF_RX3_CTRL_0_FIFO_THRESHOLD_SHIFT)
#define APBIF_AUDIOCIF_RX3_CTRL_0_FIFO_THRESHOLD_RANGE                  29:24
#define APBIF_AUDIOCIF_RX3_CTRL_0_FIFO_THRESHOLD_WOFFSET                        0x0
#define APBIF_AUDIOCIF_RX3_CTRL_0_FIFO_THRESHOLD_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_FIFO_THRESHOLD_DEFAULT_MASK                   _MK_MASK_CONST(0x3f)
#define APBIF_AUDIOCIF_RX3_CTRL_0_FIFO_THRESHOLD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AUDIOCIF_RX3_CTRL_0_FIFO_THRESHOLD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Reserved address 124 [0x7c]

// Register APBIF_CONFIG_LINK_CTRL_0
#define APBIF_CONFIG_LINK_CTRL_0                        _MK_ADDR_CONST(0x80)
#define APBIF_CONFIG_LINK_CTRL_0_SECURE                         0x0
#define APBIF_CONFIG_LINK_CTRL_0_SCR                    0
#define APBIF_CONFIG_LINK_CTRL_0_WORD_COUNT                     0x1
#define APBIF_CONFIG_LINK_CTRL_0_RESET_VAL                      _MK_MASK_CONST(0x8008000)
#define APBIF_CONFIG_LINK_CTRL_0_RESET_MASK                     _MK_MASK_CONST(0xffffff7)
#define APBIF_CONFIG_LINK_CTRL_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define APBIF_CONFIG_LINK_CTRL_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_CONFIG_LINK_CTRL_0_READ_MASK                      _MK_MASK_CONST(0xfffffff7)
#define APBIF_CONFIG_LINK_CTRL_0_WRITE_MASK                     _MK_MASK_CONST(0xffffff7)
#define APBIF_CONFIG_LINK_CTRL_0_SOFT_RESET_SHIFT                       _MK_SHIFT_CONST(0)
#define APBIF_CONFIG_LINK_CTRL_0_SOFT_RESET_FIELD                       _MK_FIELD_CONST(0x1, APBIF_CONFIG_LINK_CTRL_0_SOFT_RESET_SHIFT)
#define APBIF_CONFIG_LINK_CTRL_0_SOFT_RESET_RANGE                       0:0
#define APBIF_CONFIG_LINK_CTRL_0_SOFT_RESET_WOFFSET                     0x0
#define APBIF_CONFIG_LINK_CTRL_0_SOFT_RESET_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_CONFIG_LINK_CTRL_0_SOFT_RESET_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_CONFIG_LINK_CTRL_0_SOFT_RESET_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_CONFIG_LINK_CTRL_0_SOFT_RESET_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_CONFIG_LINK_CTRL_0_SOFT_RESET_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_CONFIG_LINK_CTRL_0_SOFT_RESET_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_CONFIG_LINK_CTRL_0_CLEAR_TIMEOUT_CNTR_SHIFT                       _MK_SHIFT_CONST(1)
#define APBIF_CONFIG_LINK_CTRL_0_CLEAR_TIMEOUT_CNTR_FIELD                       _MK_FIELD_CONST(0x1, APBIF_CONFIG_LINK_CTRL_0_CLEAR_TIMEOUT_CNTR_SHIFT)
#define APBIF_CONFIG_LINK_CTRL_0_CLEAR_TIMEOUT_CNTR_RANGE                       1:1
#define APBIF_CONFIG_LINK_CTRL_0_CLEAR_TIMEOUT_CNTR_WOFFSET                     0x0
#define APBIF_CONFIG_LINK_CTRL_0_CLEAR_TIMEOUT_CNTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_CONFIG_LINK_CTRL_0_CLEAR_TIMEOUT_CNTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_CONFIG_LINK_CTRL_0_CLEAR_TIMEOUT_CNTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_CONFIG_LINK_CTRL_0_CLEAR_TIMEOUT_CNTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_CONFIG_LINK_CTRL_0_CLEAR_TIMEOUT_CNTR_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_CONFIG_LINK_CTRL_0_CLEAR_TIMEOUT_CNTR_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_CONFIG_LINK_CTRL_0_CG_EN_SHIFT                    _MK_SHIFT_CONST(2)
#define APBIF_CONFIG_LINK_CTRL_0_CG_EN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_CONFIG_LINK_CTRL_0_CG_EN_SHIFT)
#define APBIF_CONFIG_LINK_CTRL_0_CG_EN_RANGE                    2:2
#define APBIF_CONFIG_LINK_CTRL_0_CG_EN_WOFFSET                  0x0
#define APBIF_CONFIG_LINK_CTRL_0_CG_EN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_CONFIG_LINK_CTRL_0_CG_EN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_CONFIG_LINK_CTRL_0_CG_EN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_CONFIG_LINK_CTRL_0_CG_EN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_CONFIG_LINK_CTRL_0_CG_EN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_CONFIG_LINK_CTRL_0_CG_EN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_CONFIG_LINK_CTRL_0_IDLE_CNT_SHIFT                 _MK_SHIFT_CONST(4)
#define APBIF_CONFIG_LINK_CTRL_0_IDLE_CNT_FIELD                 _MK_FIELD_CONST(0xfff, APBIF_CONFIG_LINK_CTRL_0_IDLE_CNT_SHIFT)
#define APBIF_CONFIG_LINK_CTRL_0_IDLE_CNT_RANGE                 15:4
#define APBIF_CONFIG_LINK_CTRL_0_IDLE_CNT_WOFFSET                       0x0
#define APBIF_CONFIG_LINK_CTRL_0_IDLE_CNT_DEFAULT                       _MK_MASK_CONST(0x800)
#define APBIF_CONFIG_LINK_CTRL_0_IDLE_CNT_DEFAULT_MASK                  _MK_MASK_CONST(0xfff)
#define APBIF_CONFIG_LINK_CTRL_0_IDLE_CNT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_CONFIG_LINK_CTRL_0_IDLE_CNT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)

#define APBIF_CONFIG_LINK_CTRL_0_TIMEOUT_CNT_SHIFT                      _MK_SHIFT_CONST(16)
#define APBIF_CONFIG_LINK_CTRL_0_TIMEOUT_CNT_FIELD                      _MK_FIELD_CONST(0xfff, APBIF_CONFIG_LINK_CTRL_0_TIMEOUT_CNT_SHIFT)
#define APBIF_CONFIG_LINK_CTRL_0_TIMEOUT_CNT_RANGE                      27:16
#define APBIF_CONFIG_LINK_CTRL_0_TIMEOUT_CNT_WOFFSET                    0x0
#define APBIF_CONFIG_LINK_CTRL_0_TIMEOUT_CNT_DEFAULT                    _MK_MASK_CONST(0x800)
#define APBIF_CONFIG_LINK_CTRL_0_TIMEOUT_CNT_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define APBIF_CONFIG_LINK_CTRL_0_TIMEOUT_CNT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_CONFIG_LINK_CTRL_0_TIMEOUT_CNT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)

#define APBIF_CONFIG_LINK_CTRL_0_MASTER_FIFO_FULL_CNT_SHIFT                     _MK_SHIFT_CONST(28)
#define APBIF_CONFIG_LINK_CTRL_0_MASTER_FIFO_FULL_CNT_FIELD                     _MK_FIELD_CONST(0xf, APBIF_CONFIG_LINK_CTRL_0_MASTER_FIFO_FULL_CNT_SHIFT)
#define APBIF_CONFIG_LINK_CTRL_0_MASTER_FIFO_FULL_CNT_RANGE                     31:28
#define APBIF_CONFIG_LINK_CTRL_0_MASTER_FIFO_FULL_CNT_WOFFSET                   0x0
#define APBIF_CONFIG_LINK_CTRL_0_MASTER_FIFO_FULL_CNT_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_CONFIG_LINK_CTRL_0_MASTER_FIFO_FULL_CNT_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_CONFIG_LINK_CTRL_0_MASTER_FIFO_FULL_CNT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_CONFIG_LINK_CTRL_0_MASTER_FIFO_FULL_CNT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)


// Register APBIF_MISC_CTRL_0
#define APBIF_MISC_CTRL_0                       _MK_ADDR_CONST(0x84)
#define APBIF_MISC_CTRL_0_SECURE                        0x0
#define APBIF_MISC_CTRL_0_SCR                   0
#define APBIF_MISC_CTRL_0_WORD_COUNT                    0x1
#define APBIF_MISC_CTRL_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define APBIF_MISC_CTRL_0_RESET_MASK                    _MK_MASK_CONST(0x11f)
#define APBIF_MISC_CTRL_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define APBIF_MISC_CTRL_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_MISC_CTRL_0_READ_MASK                     _MK_MASK_CONST(0x8000011f)
#define APBIF_MISC_CTRL_0_WRITE_MASK                    _MK_MASK_CONST(0x11f)
#define APBIF_MISC_CTRL_0_AUDIO_ACTIVE_SHIFT                    _MK_SHIFT_CONST(31)
#define APBIF_MISC_CTRL_0_AUDIO_ACTIVE_FIELD                    _MK_FIELD_CONST(0x1, APBIF_MISC_CTRL_0_AUDIO_ACTIVE_SHIFT)
#define APBIF_MISC_CTRL_0_AUDIO_ACTIVE_RANGE                    31:31
#define APBIF_MISC_CTRL_0_AUDIO_ACTIVE_WOFFSET                  0x0
#define APBIF_MISC_CTRL_0_AUDIO_ACTIVE_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_MISC_CTRL_0_AUDIO_ACTIVE_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_MISC_CTRL_0_AUDIO_ACTIVE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_MISC_CTRL_0_AUDIO_ACTIVE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_MISC_CTRL_0_AUDIO_ACTIVE_IDLE                     _MK_ENUM_CONST(0)
#define APBIF_MISC_CTRL_0_AUDIO_ACTIVE_ACTIVE                   _MK_ENUM_CONST(1)

#define APBIF_MISC_CTRL_0_AUDIO_CG_EN_SHIFT                     _MK_SHIFT_CONST(8)
#define APBIF_MISC_CTRL_0_AUDIO_CG_EN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_MISC_CTRL_0_AUDIO_CG_EN_SHIFT)
#define APBIF_MISC_CTRL_0_AUDIO_CG_EN_RANGE                     8:8
#define APBIF_MISC_CTRL_0_AUDIO_CG_EN_WOFFSET                   0x0
#define APBIF_MISC_CTRL_0_AUDIO_CG_EN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_MISC_CTRL_0_AUDIO_CG_EN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_MISC_CTRL_0_AUDIO_CG_EN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_MISC_CTRL_0_AUDIO_CG_EN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_MISC_CTRL_0_AUDIO_CG_EN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_MISC_CTRL_0_AUDIO_CG_EN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_MISC_CTRL_0_OBS_SEL_SHIFT                 _MK_SHIFT_CONST(0)
#define APBIF_MISC_CTRL_0_OBS_SEL_FIELD                 _MK_FIELD_CONST(0x1f, APBIF_MISC_CTRL_0_OBS_SEL_SHIFT)
#define APBIF_MISC_CTRL_0_OBS_SEL_RANGE                 4:0
#define APBIF_MISC_CTRL_0_OBS_SEL_WOFFSET                       0x0
#define APBIF_MISC_CTRL_0_OBS_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_MISC_CTRL_0_OBS_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1f)
#define APBIF_MISC_CTRL_0_OBS_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_CTRL_0_OBS_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)


// Register APBIF_APBDMA_LIVE_STATUS_0
#define APBIF_APBDMA_LIVE_STATUS_0                      _MK_ADDR_CONST(0x88)
#define APBIF_APBDMA_LIVE_STATUS_0_SECURE                       0x0
#define APBIF_APBDMA_LIVE_STATUS_0_SCR                  0
#define APBIF_APBDMA_LIVE_STATUS_0_WORD_COUNT                   0x1
#define APBIF_APBDMA_LIVE_STATUS_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_RESET_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define APBIF_APBDMA_LIVE_STATUS_0_WRITE_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_DMA_FIFO_EMPTY_SHIFT                  _MK_SHIFT_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_DMA_FIFO_EMPTY_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_DMA_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_DMA_FIFO_EMPTY_RANGE                  0:0
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_DMA_FIFO_EMPTY_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_DMA_FIFO_EMPTY_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_DMA_FIFO_EMPTY_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_DMA_FIFO_EMPTY_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_DMA_FIFO_EMPTY_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_DMA_FIFO_EMPTY_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_DMA_FIFO_EMPTY_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_DMA_FIFO_EMPTY_SHIFT                  _MK_SHIFT_CONST(1)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_DMA_FIFO_EMPTY_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_DMA_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_DMA_FIFO_EMPTY_RANGE                  1:1
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_DMA_FIFO_EMPTY_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_DMA_FIFO_EMPTY_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_DMA_FIFO_EMPTY_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_DMA_FIFO_EMPTY_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_DMA_FIFO_EMPTY_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_DMA_FIFO_EMPTY_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_DMA_FIFO_EMPTY_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_DMA_FIFO_EMPTY_SHIFT                  _MK_SHIFT_CONST(2)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_DMA_FIFO_EMPTY_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_DMA_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_DMA_FIFO_EMPTY_RANGE                  2:2
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_DMA_FIFO_EMPTY_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_DMA_FIFO_EMPTY_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_DMA_FIFO_EMPTY_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_DMA_FIFO_EMPTY_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_DMA_FIFO_EMPTY_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_DMA_FIFO_EMPTY_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_DMA_FIFO_EMPTY_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_DMA_FIFO_EMPTY_SHIFT                  _MK_SHIFT_CONST(3)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_DMA_FIFO_EMPTY_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_DMA_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_DMA_FIFO_EMPTY_RANGE                  3:3
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_DMA_FIFO_EMPTY_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_DMA_FIFO_EMPTY_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_DMA_FIFO_EMPTY_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_DMA_FIFO_EMPTY_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_DMA_FIFO_EMPTY_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_DMA_FIFO_EMPTY_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_DMA_FIFO_EMPTY_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_DMA_FIFO_EMPTY_SHIFT                  _MK_SHIFT_CONST(4)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_DMA_FIFO_EMPTY_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_DMA_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_DMA_FIFO_EMPTY_RANGE                  4:4
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_DMA_FIFO_EMPTY_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_DMA_FIFO_EMPTY_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_DMA_FIFO_EMPTY_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_DMA_FIFO_EMPTY_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_DMA_FIFO_EMPTY_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_DMA_FIFO_EMPTY_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_DMA_FIFO_EMPTY_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_DMA_FIFO_EMPTY_SHIFT                  _MK_SHIFT_CONST(5)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_DMA_FIFO_EMPTY_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_DMA_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_DMA_FIFO_EMPTY_RANGE                  5:5
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_DMA_FIFO_EMPTY_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_DMA_FIFO_EMPTY_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_DMA_FIFO_EMPTY_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_DMA_FIFO_EMPTY_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_DMA_FIFO_EMPTY_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_DMA_FIFO_EMPTY_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_DMA_FIFO_EMPTY_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_DMA_FIFO_EMPTY_SHIFT                  _MK_SHIFT_CONST(6)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_DMA_FIFO_EMPTY_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_DMA_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_DMA_FIFO_EMPTY_RANGE                  6:6
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_DMA_FIFO_EMPTY_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_DMA_FIFO_EMPTY_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_DMA_FIFO_EMPTY_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_DMA_FIFO_EMPTY_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_DMA_FIFO_EMPTY_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_DMA_FIFO_EMPTY_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_DMA_FIFO_EMPTY_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_DMA_FIFO_EMPTY_SHIFT                  _MK_SHIFT_CONST(7)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_DMA_FIFO_EMPTY_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_DMA_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_DMA_FIFO_EMPTY_RANGE                  7:7
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_DMA_FIFO_EMPTY_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_DMA_FIFO_EMPTY_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_DMA_FIFO_EMPTY_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_DMA_FIFO_EMPTY_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_DMA_FIFO_EMPTY_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_DMA_FIFO_EMPTY_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_DMA_FIFO_EMPTY_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_DMA_FIFO_FULL_SHIFT                   _MK_SHIFT_CONST(8)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_DMA_FIFO_FULL_FIELD                   _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_DMA_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_DMA_FIFO_FULL_RANGE                   8:8
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_DMA_FIFO_FULL_WOFFSET                 0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_DMA_FIFO_FULL_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_DMA_FIFO_FULL_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_DMA_FIFO_FULL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_DMA_FIFO_FULL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_DMA_FIFO_FULL_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_DMA_FIFO_FULL_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_DMA_FIFO_FULL_SHIFT                   _MK_SHIFT_CONST(9)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_DMA_FIFO_FULL_FIELD                   _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_DMA_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_DMA_FIFO_FULL_RANGE                   9:9
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_DMA_FIFO_FULL_WOFFSET                 0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_DMA_FIFO_FULL_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_DMA_FIFO_FULL_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_DMA_FIFO_FULL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_DMA_FIFO_FULL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_DMA_FIFO_FULL_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_DMA_FIFO_FULL_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_DMA_FIFO_FULL_SHIFT                   _MK_SHIFT_CONST(10)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_DMA_FIFO_FULL_FIELD                   _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_DMA_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_DMA_FIFO_FULL_RANGE                   10:10
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_DMA_FIFO_FULL_WOFFSET                 0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_DMA_FIFO_FULL_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_DMA_FIFO_FULL_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_DMA_FIFO_FULL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_DMA_FIFO_FULL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_DMA_FIFO_FULL_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_DMA_FIFO_FULL_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_DMA_FIFO_FULL_SHIFT                   _MK_SHIFT_CONST(11)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_DMA_FIFO_FULL_FIELD                   _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_DMA_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_DMA_FIFO_FULL_RANGE                   11:11
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_DMA_FIFO_FULL_WOFFSET                 0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_DMA_FIFO_FULL_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_DMA_FIFO_FULL_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_DMA_FIFO_FULL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_DMA_FIFO_FULL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_DMA_FIFO_FULL_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_DMA_FIFO_FULL_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_DMA_FIFO_FULL_SHIFT                   _MK_SHIFT_CONST(12)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_DMA_FIFO_FULL_FIELD                   _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_DMA_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_DMA_FIFO_FULL_RANGE                   12:12
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_DMA_FIFO_FULL_WOFFSET                 0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_DMA_FIFO_FULL_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_DMA_FIFO_FULL_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_DMA_FIFO_FULL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_DMA_FIFO_FULL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_DMA_FIFO_FULL_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_DMA_FIFO_FULL_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_DMA_FIFO_FULL_SHIFT                   _MK_SHIFT_CONST(13)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_DMA_FIFO_FULL_FIELD                   _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_DMA_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_DMA_FIFO_FULL_RANGE                   13:13
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_DMA_FIFO_FULL_WOFFSET                 0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_DMA_FIFO_FULL_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_DMA_FIFO_FULL_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_DMA_FIFO_FULL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_DMA_FIFO_FULL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_DMA_FIFO_FULL_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_DMA_FIFO_FULL_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_DMA_FIFO_FULL_SHIFT                   _MK_SHIFT_CONST(14)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_DMA_FIFO_FULL_FIELD                   _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_DMA_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_DMA_FIFO_FULL_RANGE                   14:14
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_DMA_FIFO_FULL_WOFFSET                 0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_DMA_FIFO_FULL_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_DMA_FIFO_FULL_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_DMA_FIFO_FULL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_DMA_FIFO_FULL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_DMA_FIFO_FULL_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_DMA_FIFO_FULL_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_DMA_FIFO_FULL_SHIFT                   _MK_SHIFT_CONST(15)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_DMA_FIFO_FULL_FIELD                   _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_DMA_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_DMA_FIFO_FULL_RANGE                   15:15
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_DMA_FIFO_FULL_WOFFSET                 0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_DMA_FIFO_FULL_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_DMA_FIFO_FULL_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_DMA_FIFO_FULL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_DMA_FIFO_FULL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_DMA_FIFO_FULL_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_DMA_FIFO_FULL_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_CIF_FIFO_EMPTY_SHIFT                  _MK_SHIFT_CONST(16)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_CIF_FIFO_EMPTY_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_CIF_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_CIF_FIFO_EMPTY_RANGE                  16:16
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_CIF_FIFO_EMPTY_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_CIF_FIFO_EMPTY_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_CIF_FIFO_EMPTY_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_CIF_FIFO_EMPTY_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_CIF_FIFO_EMPTY_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_CIF_FIFO_EMPTY_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_CIF_FIFO_EMPTY_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_CIF_FIFO_EMPTY_SHIFT                  _MK_SHIFT_CONST(17)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_CIF_FIFO_EMPTY_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_CIF_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_CIF_FIFO_EMPTY_RANGE                  17:17
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_CIF_FIFO_EMPTY_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_CIF_FIFO_EMPTY_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_CIF_FIFO_EMPTY_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_CIF_FIFO_EMPTY_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_CIF_FIFO_EMPTY_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_CIF_FIFO_EMPTY_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_CIF_FIFO_EMPTY_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_CIF_FIFO_EMPTY_SHIFT                  _MK_SHIFT_CONST(18)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_CIF_FIFO_EMPTY_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_CIF_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_CIF_FIFO_EMPTY_RANGE                  18:18
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_CIF_FIFO_EMPTY_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_CIF_FIFO_EMPTY_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_CIF_FIFO_EMPTY_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_CIF_FIFO_EMPTY_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_CIF_FIFO_EMPTY_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_CIF_FIFO_EMPTY_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_CIF_FIFO_EMPTY_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_CIF_FIFO_EMPTY_SHIFT                  _MK_SHIFT_CONST(19)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_CIF_FIFO_EMPTY_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_CIF_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_CIF_FIFO_EMPTY_RANGE                  19:19
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_CIF_FIFO_EMPTY_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_CIF_FIFO_EMPTY_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_CIF_FIFO_EMPTY_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_CIF_FIFO_EMPTY_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_CIF_FIFO_EMPTY_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_CIF_FIFO_EMPTY_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_CIF_FIFO_EMPTY_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_CIF_FIFO_EMPTY_SHIFT                  _MK_SHIFT_CONST(20)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_CIF_FIFO_EMPTY_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_CIF_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_CIF_FIFO_EMPTY_RANGE                  20:20
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_CIF_FIFO_EMPTY_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_CIF_FIFO_EMPTY_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_CIF_FIFO_EMPTY_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_CIF_FIFO_EMPTY_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_CIF_FIFO_EMPTY_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_CIF_FIFO_EMPTY_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_CIF_FIFO_EMPTY_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_CIF_FIFO_EMPTY_SHIFT                  _MK_SHIFT_CONST(21)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_CIF_FIFO_EMPTY_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_CIF_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_CIF_FIFO_EMPTY_RANGE                  21:21
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_CIF_FIFO_EMPTY_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_CIF_FIFO_EMPTY_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_CIF_FIFO_EMPTY_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_CIF_FIFO_EMPTY_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_CIF_FIFO_EMPTY_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_CIF_FIFO_EMPTY_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_CIF_FIFO_EMPTY_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_CIF_FIFO_EMPTY_SHIFT                  _MK_SHIFT_CONST(22)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_CIF_FIFO_EMPTY_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_CIF_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_CIF_FIFO_EMPTY_RANGE                  22:22
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_CIF_FIFO_EMPTY_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_CIF_FIFO_EMPTY_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_CIF_FIFO_EMPTY_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_CIF_FIFO_EMPTY_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_CIF_FIFO_EMPTY_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_CIF_FIFO_EMPTY_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_CIF_FIFO_EMPTY_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_CIF_FIFO_EMPTY_SHIFT                  _MK_SHIFT_CONST(23)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_CIF_FIFO_EMPTY_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_CIF_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_CIF_FIFO_EMPTY_RANGE                  23:23
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_CIF_FIFO_EMPTY_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_CIF_FIFO_EMPTY_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_CIF_FIFO_EMPTY_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_CIF_FIFO_EMPTY_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_CIF_FIFO_EMPTY_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_CIF_FIFO_EMPTY_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_CIF_FIFO_EMPTY_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_CIF_FIFO_FULL_SHIFT                   _MK_SHIFT_CONST(24)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_CIF_FIFO_FULL_FIELD                   _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_CIF_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_CIF_FIFO_FULL_RANGE                   24:24
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_CIF_FIFO_FULL_WOFFSET                 0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_CIF_FIFO_FULL_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_CIF_FIFO_FULL_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_CIF_FIFO_FULL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_CIF_FIFO_FULL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_CIF_FIFO_FULL_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_TX_CIF_FIFO_FULL_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_CIF_FIFO_FULL_SHIFT                   _MK_SHIFT_CONST(25)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_CIF_FIFO_FULL_FIELD                   _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_CIF_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_CIF_FIFO_FULL_RANGE                   25:25
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_CIF_FIFO_FULL_WOFFSET                 0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_CIF_FIFO_FULL_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_CIF_FIFO_FULL_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_CIF_FIFO_FULL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_CIF_FIFO_FULL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_CIF_FIFO_FULL_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH0_RX_CIF_FIFO_FULL_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_CIF_FIFO_FULL_SHIFT                   _MK_SHIFT_CONST(26)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_CIF_FIFO_FULL_FIELD                   _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_CIF_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_CIF_FIFO_FULL_RANGE                   26:26
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_CIF_FIFO_FULL_WOFFSET                 0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_CIF_FIFO_FULL_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_CIF_FIFO_FULL_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_CIF_FIFO_FULL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_CIF_FIFO_FULL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_CIF_FIFO_FULL_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_TX_CIF_FIFO_FULL_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_CIF_FIFO_FULL_SHIFT                   _MK_SHIFT_CONST(27)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_CIF_FIFO_FULL_FIELD                   _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_CIF_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_CIF_FIFO_FULL_RANGE                   27:27
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_CIF_FIFO_FULL_WOFFSET                 0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_CIF_FIFO_FULL_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_CIF_FIFO_FULL_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_CIF_FIFO_FULL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_CIF_FIFO_FULL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_CIF_FIFO_FULL_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH1_RX_CIF_FIFO_FULL_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_CIF_FIFO_FULL_SHIFT                   _MK_SHIFT_CONST(28)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_CIF_FIFO_FULL_FIELD                   _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_CIF_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_CIF_FIFO_FULL_RANGE                   28:28
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_CIF_FIFO_FULL_WOFFSET                 0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_CIF_FIFO_FULL_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_CIF_FIFO_FULL_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_CIF_FIFO_FULL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_CIF_FIFO_FULL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_CIF_FIFO_FULL_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_TX_CIF_FIFO_FULL_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_CIF_FIFO_FULL_SHIFT                   _MK_SHIFT_CONST(29)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_CIF_FIFO_FULL_FIELD                   _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_CIF_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_CIF_FIFO_FULL_RANGE                   29:29
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_CIF_FIFO_FULL_WOFFSET                 0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_CIF_FIFO_FULL_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_CIF_FIFO_FULL_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_CIF_FIFO_FULL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_CIF_FIFO_FULL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_CIF_FIFO_FULL_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH2_RX_CIF_FIFO_FULL_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_CIF_FIFO_FULL_SHIFT                   _MK_SHIFT_CONST(30)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_CIF_FIFO_FULL_FIELD                   _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_CIF_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_CIF_FIFO_FULL_RANGE                   30:30
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_CIF_FIFO_FULL_WOFFSET                 0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_CIF_FIFO_FULL_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_CIF_FIFO_FULL_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_CIF_FIFO_FULL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_CIF_FIFO_FULL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_CIF_FIFO_FULL_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_TX_CIF_FIFO_FULL_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_CIF_FIFO_FULL_SHIFT                   _MK_SHIFT_CONST(31)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_CIF_FIFO_FULL_FIELD                   _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_CIF_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_CIF_FIFO_FULL_RANGE                   31:31
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_CIF_FIFO_FULL_WOFFSET                 0x0
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_CIF_FIFO_FULL_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_CIF_FIFO_FULL_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_CIF_FIFO_FULL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_CIF_FIFO_FULL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_CIF_FIFO_FULL_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_STATUS_0_CH3_RX_CIF_FIFO_FULL_ENABLE                  _MK_ENUM_CONST(1)


// Register APBIF_I2S_LIVE_STATUS_0
#define APBIF_I2S_LIVE_STATUS_0                 _MK_ADDR_CONST(0x8c)
#define APBIF_I2S_LIVE_STATUS_0_SECURE                  0x0
#define APBIF_I2S_LIVE_STATUS_0_SCR                     0
#define APBIF_I2S_LIVE_STATUS_0_WORD_COUNT                      0x1
#define APBIF_I2S_LIVE_STATUS_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_RESET_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_READ_MASK                       _MK_MASK_CONST(0x3fffffff)
#define APBIF_I2S_LIVE_STATUS_0_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_TX_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_TX_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_I2S_LIVE_STATUS_0_I2S0_TX_FIFO_EMPTY_SHIFT)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_TX_FIFO_EMPTY_RANGE                        0:0
#define APBIF_I2S_LIVE_STATUS_0_I2S0_TX_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_I2S_LIVE_STATUS_0_I2S0_TX_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_TX_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_TX_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_TX_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_TX_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_TX_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_I2S_LIVE_STATUS_0_I2S0_RX_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(1)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_RX_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_I2S_LIVE_STATUS_0_I2S0_RX_FIFO_EMPTY_SHIFT)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_RX_FIFO_EMPTY_RANGE                        1:1
#define APBIF_I2S_LIVE_STATUS_0_I2S0_RX_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_I2S_LIVE_STATUS_0_I2S0_RX_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_RX_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_RX_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_RX_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_RX_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_RX_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_I2S_LIVE_STATUS_0_I2S1_TX_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(2)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_TX_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_I2S_LIVE_STATUS_0_I2S1_TX_FIFO_EMPTY_SHIFT)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_TX_FIFO_EMPTY_RANGE                        2:2
#define APBIF_I2S_LIVE_STATUS_0_I2S1_TX_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_I2S_LIVE_STATUS_0_I2S1_TX_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_TX_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_TX_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_TX_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_TX_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_TX_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_I2S_LIVE_STATUS_0_I2S1_RX_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(3)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_RX_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_I2S_LIVE_STATUS_0_I2S1_RX_FIFO_EMPTY_SHIFT)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_RX_FIFO_EMPTY_RANGE                        3:3
#define APBIF_I2S_LIVE_STATUS_0_I2S1_RX_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_I2S_LIVE_STATUS_0_I2S1_RX_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_RX_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_RX_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_RX_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_RX_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_RX_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_I2S_LIVE_STATUS_0_I2S2_TX_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(4)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_TX_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_I2S_LIVE_STATUS_0_I2S2_TX_FIFO_EMPTY_SHIFT)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_TX_FIFO_EMPTY_RANGE                        4:4
#define APBIF_I2S_LIVE_STATUS_0_I2S2_TX_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_I2S_LIVE_STATUS_0_I2S2_TX_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_TX_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_TX_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_TX_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_TX_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_TX_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_I2S_LIVE_STATUS_0_I2S2_RX_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(5)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_RX_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_I2S_LIVE_STATUS_0_I2S2_RX_FIFO_EMPTY_SHIFT)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_RX_FIFO_EMPTY_RANGE                        5:5
#define APBIF_I2S_LIVE_STATUS_0_I2S2_RX_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_I2S_LIVE_STATUS_0_I2S2_RX_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_RX_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_RX_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_RX_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_RX_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_RX_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_I2S_LIVE_STATUS_0_I2S3_TX_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(6)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_TX_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_I2S_LIVE_STATUS_0_I2S3_TX_FIFO_EMPTY_SHIFT)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_TX_FIFO_EMPTY_RANGE                        6:6
#define APBIF_I2S_LIVE_STATUS_0_I2S3_TX_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_I2S_LIVE_STATUS_0_I2S3_TX_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_TX_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_TX_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_TX_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_TX_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_TX_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_I2S_LIVE_STATUS_0_I2S3_RX_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(7)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_RX_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_I2S_LIVE_STATUS_0_I2S3_RX_FIFO_EMPTY_SHIFT)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_RX_FIFO_EMPTY_RANGE                        7:7
#define APBIF_I2S_LIVE_STATUS_0_I2S3_RX_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_I2S_LIVE_STATUS_0_I2S3_RX_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_RX_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_RX_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_RX_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_RX_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_RX_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_I2S_LIVE_STATUS_0_I2S4_TX_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(8)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_TX_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_I2S_LIVE_STATUS_0_I2S4_TX_FIFO_EMPTY_SHIFT)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_TX_FIFO_EMPTY_RANGE                        8:8
#define APBIF_I2S_LIVE_STATUS_0_I2S4_TX_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_I2S_LIVE_STATUS_0_I2S4_TX_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_TX_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_TX_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_TX_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_TX_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_TX_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_I2S_LIVE_STATUS_0_I2S4_RX_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(9)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_RX_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_I2S_LIVE_STATUS_0_I2S4_RX_FIFO_EMPTY_SHIFT)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_RX_FIFO_EMPTY_RANGE                        9:9
#define APBIF_I2S_LIVE_STATUS_0_I2S4_RX_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_I2S_LIVE_STATUS_0_I2S4_RX_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_RX_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_RX_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_RX_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_RX_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_RX_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_I2S_LIVE_STATUS_0_I2S0_TX_ENABLED_SHIFT                   _MK_SHIFT_CONST(10)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_TX_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, APBIF_I2S_LIVE_STATUS_0_I2S0_TX_ENABLED_SHIFT)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_TX_ENABLED_RANGE                   10:10
#define APBIF_I2S_LIVE_STATUS_0_I2S0_TX_ENABLED_WOFFSET                 0x0
#define APBIF_I2S_LIVE_STATUS_0_I2S0_TX_ENABLED_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_TX_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_TX_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_TX_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_TX_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_TX_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_I2S_LIVE_STATUS_0_I2S0_RX_ENABLED_SHIFT                   _MK_SHIFT_CONST(11)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_RX_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, APBIF_I2S_LIVE_STATUS_0_I2S0_RX_ENABLED_SHIFT)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_RX_ENABLED_RANGE                   11:11
#define APBIF_I2S_LIVE_STATUS_0_I2S0_RX_ENABLED_WOFFSET                 0x0
#define APBIF_I2S_LIVE_STATUS_0_I2S0_RX_ENABLED_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_RX_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_RX_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_RX_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_RX_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_RX_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_I2S_LIVE_STATUS_0_I2S1_TX_ENABLED_SHIFT                   _MK_SHIFT_CONST(12)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_TX_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, APBIF_I2S_LIVE_STATUS_0_I2S1_TX_ENABLED_SHIFT)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_TX_ENABLED_RANGE                   12:12
#define APBIF_I2S_LIVE_STATUS_0_I2S1_TX_ENABLED_WOFFSET                 0x0
#define APBIF_I2S_LIVE_STATUS_0_I2S1_TX_ENABLED_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_TX_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_TX_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_TX_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_TX_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_TX_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_I2S_LIVE_STATUS_0_I2S1_RX_ENABLED_SHIFT                   _MK_SHIFT_CONST(13)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_RX_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, APBIF_I2S_LIVE_STATUS_0_I2S1_RX_ENABLED_SHIFT)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_RX_ENABLED_RANGE                   13:13
#define APBIF_I2S_LIVE_STATUS_0_I2S1_RX_ENABLED_WOFFSET                 0x0
#define APBIF_I2S_LIVE_STATUS_0_I2S1_RX_ENABLED_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_RX_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_RX_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_RX_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_RX_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_RX_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_I2S_LIVE_STATUS_0_I2S2_TX_ENABLED_SHIFT                   _MK_SHIFT_CONST(14)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_TX_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, APBIF_I2S_LIVE_STATUS_0_I2S2_TX_ENABLED_SHIFT)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_TX_ENABLED_RANGE                   14:14
#define APBIF_I2S_LIVE_STATUS_0_I2S2_TX_ENABLED_WOFFSET                 0x0
#define APBIF_I2S_LIVE_STATUS_0_I2S2_TX_ENABLED_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_TX_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_TX_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_TX_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_TX_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_TX_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_I2S_LIVE_STATUS_0_I2S2_RX_ENABLED_SHIFT                   _MK_SHIFT_CONST(15)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_RX_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, APBIF_I2S_LIVE_STATUS_0_I2S2_RX_ENABLED_SHIFT)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_RX_ENABLED_RANGE                   15:15
#define APBIF_I2S_LIVE_STATUS_0_I2S2_RX_ENABLED_WOFFSET                 0x0
#define APBIF_I2S_LIVE_STATUS_0_I2S2_RX_ENABLED_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_RX_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_RX_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_RX_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_RX_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_RX_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_I2S_LIVE_STATUS_0_I2S3_TX_ENABLED_SHIFT                   _MK_SHIFT_CONST(16)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_TX_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, APBIF_I2S_LIVE_STATUS_0_I2S3_TX_ENABLED_SHIFT)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_TX_ENABLED_RANGE                   16:16
#define APBIF_I2S_LIVE_STATUS_0_I2S3_TX_ENABLED_WOFFSET                 0x0
#define APBIF_I2S_LIVE_STATUS_0_I2S3_TX_ENABLED_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_TX_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_TX_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_TX_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_TX_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_TX_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_I2S_LIVE_STATUS_0_I2S3_RX_ENABLED_SHIFT                   _MK_SHIFT_CONST(17)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_RX_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, APBIF_I2S_LIVE_STATUS_0_I2S3_RX_ENABLED_SHIFT)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_RX_ENABLED_RANGE                   17:17
#define APBIF_I2S_LIVE_STATUS_0_I2S3_RX_ENABLED_WOFFSET                 0x0
#define APBIF_I2S_LIVE_STATUS_0_I2S3_RX_ENABLED_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_RX_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_RX_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_RX_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_RX_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_RX_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_I2S_LIVE_STATUS_0_I2S4_TX_ENABLED_SHIFT                   _MK_SHIFT_CONST(18)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_TX_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, APBIF_I2S_LIVE_STATUS_0_I2S4_TX_ENABLED_SHIFT)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_TX_ENABLED_RANGE                   18:18
#define APBIF_I2S_LIVE_STATUS_0_I2S4_TX_ENABLED_WOFFSET                 0x0
#define APBIF_I2S_LIVE_STATUS_0_I2S4_TX_ENABLED_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_TX_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_TX_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_TX_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_TX_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_TX_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_I2S_LIVE_STATUS_0_I2S4_RX_ENABLED_SHIFT                   _MK_SHIFT_CONST(19)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_RX_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, APBIF_I2S_LIVE_STATUS_0_I2S4_RX_ENABLED_SHIFT)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_RX_ENABLED_RANGE                   19:19
#define APBIF_I2S_LIVE_STATUS_0_I2S4_RX_ENABLED_WOFFSET                 0x0
#define APBIF_I2S_LIVE_STATUS_0_I2S4_RX_ENABLED_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_RX_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_RX_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_RX_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_RX_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_RX_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_I2S_LIVE_STATUS_0_I2S0_TX_FIFO_FULL_SHIFT                 _MK_SHIFT_CONST(20)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_TX_FIFO_FULL_FIELD                 _MK_FIELD_CONST(0x1, APBIF_I2S_LIVE_STATUS_0_I2S0_TX_FIFO_FULL_SHIFT)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_TX_FIFO_FULL_RANGE                 20:20
#define APBIF_I2S_LIVE_STATUS_0_I2S0_TX_FIFO_FULL_WOFFSET                       0x0
#define APBIF_I2S_LIVE_STATUS_0_I2S0_TX_FIFO_FULL_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_TX_FIFO_FULL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_TX_FIFO_FULL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_TX_FIFO_FULL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_TX_FIFO_FULL_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_TX_FIFO_FULL_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_I2S_LIVE_STATUS_0_I2S0_RX_FIFO_FULL_SHIFT                 _MK_SHIFT_CONST(21)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_RX_FIFO_FULL_FIELD                 _MK_FIELD_CONST(0x1, APBIF_I2S_LIVE_STATUS_0_I2S0_RX_FIFO_FULL_SHIFT)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_RX_FIFO_FULL_RANGE                 21:21
#define APBIF_I2S_LIVE_STATUS_0_I2S0_RX_FIFO_FULL_WOFFSET                       0x0
#define APBIF_I2S_LIVE_STATUS_0_I2S0_RX_FIFO_FULL_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_RX_FIFO_FULL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_RX_FIFO_FULL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_RX_FIFO_FULL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_RX_FIFO_FULL_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S0_RX_FIFO_FULL_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_I2S_LIVE_STATUS_0_I2S1_TX_FIFO_FULL_SHIFT                 _MK_SHIFT_CONST(22)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_TX_FIFO_FULL_FIELD                 _MK_FIELD_CONST(0x1, APBIF_I2S_LIVE_STATUS_0_I2S1_TX_FIFO_FULL_SHIFT)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_TX_FIFO_FULL_RANGE                 22:22
#define APBIF_I2S_LIVE_STATUS_0_I2S1_TX_FIFO_FULL_WOFFSET                       0x0
#define APBIF_I2S_LIVE_STATUS_0_I2S1_TX_FIFO_FULL_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_TX_FIFO_FULL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_TX_FIFO_FULL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_TX_FIFO_FULL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_TX_FIFO_FULL_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_TX_FIFO_FULL_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_I2S_LIVE_STATUS_0_I2S1_RX_FIFO_FULL_SHIFT                 _MK_SHIFT_CONST(23)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_RX_FIFO_FULL_FIELD                 _MK_FIELD_CONST(0x1, APBIF_I2S_LIVE_STATUS_0_I2S1_RX_FIFO_FULL_SHIFT)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_RX_FIFO_FULL_RANGE                 23:23
#define APBIF_I2S_LIVE_STATUS_0_I2S1_RX_FIFO_FULL_WOFFSET                       0x0
#define APBIF_I2S_LIVE_STATUS_0_I2S1_RX_FIFO_FULL_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_RX_FIFO_FULL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_RX_FIFO_FULL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_RX_FIFO_FULL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_RX_FIFO_FULL_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S1_RX_FIFO_FULL_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_I2S_LIVE_STATUS_0_I2S2_TX_FIFO_FULL_SHIFT                 _MK_SHIFT_CONST(24)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_TX_FIFO_FULL_FIELD                 _MK_FIELD_CONST(0x1, APBIF_I2S_LIVE_STATUS_0_I2S2_TX_FIFO_FULL_SHIFT)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_TX_FIFO_FULL_RANGE                 24:24
#define APBIF_I2S_LIVE_STATUS_0_I2S2_TX_FIFO_FULL_WOFFSET                       0x0
#define APBIF_I2S_LIVE_STATUS_0_I2S2_TX_FIFO_FULL_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_TX_FIFO_FULL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_TX_FIFO_FULL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_TX_FIFO_FULL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_TX_FIFO_FULL_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_TX_FIFO_FULL_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_I2S_LIVE_STATUS_0_I2S2_RX_FIFO_FULL_SHIFT                 _MK_SHIFT_CONST(25)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_RX_FIFO_FULL_FIELD                 _MK_FIELD_CONST(0x1, APBIF_I2S_LIVE_STATUS_0_I2S2_RX_FIFO_FULL_SHIFT)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_RX_FIFO_FULL_RANGE                 25:25
#define APBIF_I2S_LIVE_STATUS_0_I2S2_RX_FIFO_FULL_WOFFSET                       0x0
#define APBIF_I2S_LIVE_STATUS_0_I2S2_RX_FIFO_FULL_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_RX_FIFO_FULL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_RX_FIFO_FULL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_RX_FIFO_FULL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_RX_FIFO_FULL_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S2_RX_FIFO_FULL_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_I2S_LIVE_STATUS_0_I2S3_TX_FIFO_FULL_SHIFT                 _MK_SHIFT_CONST(26)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_TX_FIFO_FULL_FIELD                 _MK_FIELD_CONST(0x1, APBIF_I2S_LIVE_STATUS_0_I2S3_TX_FIFO_FULL_SHIFT)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_TX_FIFO_FULL_RANGE                 26:26
#define APBIF_I2S_LIVE_STATUS_0_I2S3_TX_FIFO_FULL_WOFFSET                       0x0
#define APBIF_I2S_LIVE_STATUS_0_I2S3_TX_FIFO_FULL_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_TX_FIFO_FULL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_TX_FIFO_FULL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_TX_FIFO_FULL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_TX_FIFO_FULL_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_TX_FIFO_FULL_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_I2S_LIVE_STATUS_0_I2S3_RX_FIFO_FULL_SHIFT                 _MK_SHIFT_CONST(27)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_RX_FIFO_FULL_FIELD                 _MK_FIELD_CONST(0x1, APBIF_I2S_LIVE_STATUS_0_I2S3_RX_FIFO_FULL_SHIFT)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_RX_FIFO_FULL_RANGE                 27:27
#define APBIF_I2S_LIVE_STATUS_0_I2S3_RX_FIFO_FULL_WOFFSET                       0x0
#define APBIF_I2S_LIVE_STATUS_0_I2S3_RX_FIFO_FULL_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_RX_FIFO_FULL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_RX_FIFO_FULL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_RX_FIFO_FULL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_RX_FIFO_FULL_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S3_RX_FIFO_FULL_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_I2S_LIVE_STATUS_0_I2S4_TX_FIFO_FULL_SHIFT                 _MK_SHIFT_CONST(28)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_TX_FIFO_FULL_FIELD                 _MK_FIELD_CONST(0x1, APBIF_I2S_LIVE_STATUS_0_I2S4_TX_FIFO_FULL_SHIFT)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_TX_FIFO_FULL_RANGE                 28:28
#define APBIF_I2S_LIVE_STATUS_0_I2S4_TX_FIFO_FULL_WOFFSET                       0x0
#define APBIF_I2S_LIVE_STATUS_0_I2S4_TX_FIFO_FULL_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_TX_FIFO_FULL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_TX_FIFO_FULL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_TX_FIFO_FULL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_TX_FIFO_FULL_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_TX_FIFO_FULL_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_I2S_LIVE_STATUS_0_I2S4_RX_FIFO_FULL_SHIFT                 _MK_SHIFT_CONST(29)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_RX_FIFO_FULL_FIELD                 _MK_FIELD_CONST(0x1, APBIF_I2S_LIVE_STATUS_0_I2S4_RX_FIFO_FULL_SHIFT)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_RX_FIFO_FULL_RANGE                 29:29
#define APBIF_I2S_LIVE_STATUS_0_I2S4_RX_FIFO_FULL_WOFFSET                       0x0
#define APBIF_I2S_LIVE_STATUS_0_I2S4_RX_FIFO_FULL_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_RX_FIFO_FULL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_RX_FIFO_FULL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_RX_FIFO_FULL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_RX_FIFO_FULL_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_I2S_LIVE_STATUS_0_I2S4_RX_FIFO_FULL_ENABLE                        _MK_ENUM_CONST(1)


// Register APBIF_DAM0_LIVE_STATUS_0
#define APBIF_DAM0_LIVE_STATUS_0                        _MK_ADDR_CONST(0x90)
#define APBIF_DAM0_LIVE_STATUS_0_SECURE                         0x0
#define APBIF_DAM0_LIVE_STATUS_0_SCR                    0
#define APBIF_DAM0_LIVE_STATUS_0_WORD_COUNT                     0x1
#define APBIF_DAM0_LIVE_STATUS_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_READ_MASK                      _MK_MASK_CONST(0x7008383)
#define APBIF_DAM0_LIVE_STATUS_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_FIFO_EMPTY_SHIFT                      _MK_SHIFT_CONST(0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_FIFO_EMPTY_FIELD                      _MK_FIELD_CONST(0x1, APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_FIFO_EMPTY_SHIFT)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_FIFO_EMPTY_RANGE                      0:0
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_FIFO_EMPTY_WOFFSET                    0x0
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_FIFO_EMPTY_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_FIFO_EMPTY_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_FIFO_EMPTY_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_FIFO_EMPTY_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_FIFO_EMPTY_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_FIFO_EMPTY_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_FIFO_EMPTY_SHIFT                      _MK_SHIFT_CONST(1)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_FIFO_EMPTY_FIELD                      _MK_FIELD_CONST(0x1, APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_FIFO_EMPTY_SHIFT)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_FIFO_EMPTY_RANGE                      1:1
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_FIFO_EMPTY_WOFFSET                    0x0
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_FIFO_EMPTY_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_FIFO_EMPTY_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_FIFO_EMPTY_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_FIFO_EMPTY_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_FIFO_EMPTY_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_FIFO_EMPTY_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_FIFO_EMPTY_SHIFT                       _MK_SHIFT_CONST(7)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_FIFO_EMPTY_FIELD                       _MK_FIELD_CONST(0x1, APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_FIFO_EMPTY_SHIFT)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_FIFO_EMPTY_RANGE                       7:7
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_FIFO_EMPTY_WOFFSET                     0x0
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_FIFO_EMPTY_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_FIFO_EMPTY_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_FIFO_EMPTY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_FIFO_EMPTY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_FIFO_EMPTY_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_FIFO_EMPTY_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_FIFO_FULL_SHIFT                       _MK_SHIFT_CONST(8)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_FIFO_FULL_FIELD                       _MK_FIELD_CONST(0x1, APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_FIFO_FULL_SHIFT)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_FIFO_FULL_RANGE                       8:8
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_FIFO_FULL_WOFFSET                     0x0
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_FIFO_FULL_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_FIFO_FULL_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_FIFO_FULL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_FIFO_FULL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_FIFO_FULL_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_FIFO_FULL_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_FIFO_FULL_SHIFT                       _MK_SHIFT_CONST(9)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_FIFO_FULL_FIELD                       _MK_FIELD_CONST(0x1, APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_FIFO_FULL_SHIFT)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_FIFO_FULL_RANGE                       9:9
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_FIFO_FULL_WOFFSET                     0x0
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_FIFO_FULL_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_FIFO_FULL_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_FIFO_FULL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_FIFO_FULL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_FIFO_FULL_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_FIFO_FULL_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_FIFO_FULL_SHIFT                        _MK_SHIFT_CONST(15)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_FIFO_FULL_FIELD                        _MK_FIELD_CONST(0x1, APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_FIFO_FULL_SHIFT)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_FIFO_FULL_RANGE                        15:15
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_FIFO_FULL_WOFFSET                      0x0
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_FIFO_FULL_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_FIFO_FULL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_FIFO_FULL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_FIFO_FULL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_FIFO_FULL_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_FIFO_FULL_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_ENABLED_SHIFT                 _MK_SHIFT_CONST(24)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_ENABLED_FIELD                 _MK_FIELD_CONST(0x1, APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_ENABLED_SHIFT)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_ENABLED_RANGE                 24:24
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_ENABLED_WOFFSET                       0x0
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_ENABLED_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_ENABLED_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_ENABLED_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_ENABLED_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_ENABLED_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX0_ENABLED_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_ENABLED_SHIFT                 _MK_SHIFT_CONST(25)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_ENABLED_FIELD                 _MK_FIELD_CONST(0x1, APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_ENABLED_SHIFT)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_ENABLED_RANGE                 25:25
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_ENABLED_WOFFSET                       0x0
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_ENABLED_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_ENABLED_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_ENABLED_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_ENABLED_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_ENABLED_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_RX1_ENABLED_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_ENABLED_SHIFT                  _MK_SHIFT_CONST(26)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_ENABLED_FIELD                  _MK_FIELD_CONST(0x1, APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_ENABLED_SHIFT)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_ENABLED_RANGE                  26:26
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_ENABLED_WOFFSET                        0x0
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_ENABLED_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_ENABLED_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_ENABLED_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_ENABLED_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_ENABLED_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_DAM0_LIVE_STATUS_0_DAM0_TX_ENABLED_ENABLE                 _MK_ENUM_CONST(1)


// Reserved address 148 [0x94]

// Register APBIF_DAM1_LIVE_STATUS_0
#define APBIF_DAM1_LIVE_STATUS_0                        _MK_ADDR_CONST(0x98)
#define APBIF_DAM1_LIVE_STATUS_0_SECURE                         0x0
#define APBIF_DAM1_LIVE_STATUS_0_SCR                    0
#define APBIF_DAM1_LIVE_STATUS_0_WORD_COUNT                     0x1
#define APBIF_DAM1_LIVE_STATUS_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_READ_MASK                      _MK_MASK_CONST(0x7008383)
#define APBIF_DAM1_LIVE_STATUS_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_FIFO_EMPTY_SHIFT                      _MK_SHIFT_CONST(0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_FIFO_EMPTY_FIELD                      _MK_FIELD_CONST(0x1, APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_FIFO_EMPTY_SHIFT)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_FIFO_EMPTY_RANGE                      0:0
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_FIFO_EMPTY_WOFFSET                    0x0
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_FIFO_EMPTY_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_FIFO_EMPTY_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_FIFO_EMPTY_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_FIFO_EMPTY_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_FIFO_EMPTY_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_FIFO_EMPTY_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_FIFO_EMPTY_SHIFT                      _MK_SHIFT_CONST(1)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_FIFO_EMPTY_FIELD                      _MK_FIELD_CONST(0x1, APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_FIFO_EMPTY_SHIFT)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_FIFO_EMPTY_RANGE                      1:1
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_FIFO_EMPTY_WOFFSET                    0x0
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_FIFO_EMPTY_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_FIFO_EMPTY_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_FIFO_EMPTY_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_FIFO_EMPTY_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_FIFO_EMPTY_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_FIFO_EMPTY_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_FIFO_EMPTY_SHIFT                       _MK_SHIFT_CONST(7)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_FIFO_EMPTY_FIELD                       _MK_FIELD_CONST(0x1, APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_FIFO_EMPTY_SHIFT)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_FIFO_EMPTY_RANGE                       7:7
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_FIFO_EMPTY_WOFFSET                     0x0
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_FIFO_EMPTY_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_FIFO_EMPTY_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_FIFO_EMPTY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_FIFO_EMPTY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_FIFO_EMPTY_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_FIFO_EMPTY_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_FIFO_FULL_SHIFT                       _MK_SHIFT_CONST(8)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_FIFO_FULL_FIELD                       _MK_FIELD_CONST(0x1, APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_FIFO_FULL_SHIFT)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_FIFO_FULL_RANGE                       8:8
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_FIFO_FULL_WOFFSET                     0x0
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_FIFO_FULL_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_FIFO_FULL_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_FIFO_FULL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_FIFO_FULL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_FIFO_FULL_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_FIFO_FULL_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_FIFO_FULL_SHIFT                       _MK_SHIFT_CONST(9)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_FIFO_FULL_FIELD                       _MK_FIELD_CONST(0x1, APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_FIFO_FULL_SHIFT)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_FIFO_FULL_RANGE                       9:9
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_FIFO_FULL_WOFFSET                     0x0
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_FIFO_FULL_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_FIFO_FULL_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_FIFO_FULL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_FIFO_FULL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_FIFO_FULL_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_FIFO_FULL_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_FIFO_FULL_SHIFT                        _MK_SHIFT_CONST(15)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_FIFO_FULL_FIELD                        _MK_FIELD_CONST(0x1, APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_FIFO_FULL_SHIFT)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_FIFO_FULL_RANGE                        15:15
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_FIFO_FULL_WOFFSET                      0x0
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_FIFO_FULL_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_FIFO_FULL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_FIFO_FULL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_FIFO_FULL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_FIFO_FULL_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_FIFO_FULL_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_ENABLED_SHIFT                 _MK_SHIFT_CONST(24)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_ENABLED_FIELD                 _MK_FIELD_CONST(0x1, APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_ENABLED_SHIFT)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_ENABLED_RANGE                 24:24
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_ENABLED_WOFFSET                       0x0
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_ENABLED_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_ENABLED_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_ENABLED_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_ENABLED_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_ENABLED_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX0_ENABLED_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_ENABLED_SHIFT                 _MK_SHIFT_CONST(25)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_ENABLED_FIELD                 _MK_FIELD_CONST(0x1, APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_ENABLED_SHIFT)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_ENABLED_RANGE                 25:25
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_ENABLED_WOFFSET                       0x0
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_ENABLED_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_ENABLED_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_ENABLED_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_ENABLED_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_ENABLED_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_RX1_ENABLED_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_ENABLED_SHIFT                  _MK_SHIFT_CONST(26)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_ENABLED_FIELD                  _MK_FIELD_CONST(0x1, APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_ENABLED_SHIFT)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_ENABLED_RANGE                  26:26
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_ENABLED_WOFFSET                        0x0
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_ENABLED_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_ENABLED_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_ENABLED_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_ENABLED_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_ENABLED_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_DAM1_LIVE_STATUS_0_DAM1_TX_ENABLED_ENABLE                 _MK_ENUM_CONST(1)


// Reserved address 156 [0x9c]

// Register APBIF_DAM2_LIVE_STATUS_0
#define APBIF_DAM2_LIVE_STATUS_0                        _MK_ADDR_CONST(0xa0)
#define APBIF_DAM2_LIVE_STATUS_0_SECURE                         0x0
#define APBIF_DAM2_LIVE_STATUS_0_SCR                    0
#define APBIF_DAM2_LIVE_STATUS_0_WORD_COUNT                     0x1
#define APBIF_DAM2_LIVE_STATUS_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_READ_MASK                      _MK_MASK_CONST(0x7008383)
#define APBIF_DAM2_LIVE_STATUS_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_FIFO_EMPTY_SHIFT                      _MK_SHIFT_CONST(0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_FIFO_EMPTY_FIELD                      _MK_FIELD_CONST(0x1, APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_FIFO_EMPTY_SHIFT)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_FIFO_EMPTY_RANGE                      0:0
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_FIFO_EMPTY_WOFFSET                    0x0
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_FIFO_EMPTY_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_FIFO_EMPTY_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_FIFO_EMPTY_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_FIFO_EMPTY_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_FIFO_EMPTY_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_FIFO_EMPTY_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_FIFO_EMPTY_SHIFT                      _MK_SHIFT_CONST(1)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_FIFO_EMPTY_FIELD                      _MK_FIELD_CONST(0x1, APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_FIFO_EMPTY_SHIFT)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_FIFO_EMPTY_RANGE                      1:1
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_FIFO_EMPTY_WOFFSET                    0x0
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_FIFO_EMPTY_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_FIFO_EMPTY_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_FIFO_EMPTY_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_FIFO_EMPTY_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_FIFO_EMPTY_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_FIFO_EMPTY_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_FIFO_EMPTY_SHIFT                       _MK_SHIFT_CONST(7)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_FIFO_EMPTY_FIELD                       _MK_FIELD_CONST(0x1, APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_FIFO_EMPTY_SHIFT)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_FIFO_EMPTY_RANGE                       7:7
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_FIFO_EMPTY_WOFFSET                     0x0
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_FIFO_EMPTY_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_FIFO_EMPTY_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_FIFO_EMPTY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_FIFO_EMPTY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_FIFO_EMPTY_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_FIFO_EMPTY_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_FIFO_FULL_SHIFT                       _MK_SHIFT_CONST(8)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_FIFO_FULL_FIELD                       _MK_FIELD_CONST(0x1, APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_FIFO_FULL_SHIFT)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_FIFO_FULL_RANGE                       8:8
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_FIFO_FULL_WOFFSET                     0x0
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_FIFO_FULL_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_FIFO_FULL_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_FIFO_FULL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_FIFO_FULL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_FIFO_FULL_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_FIFO_FULL_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_FIFO_FULL_SHIFT                       _MK_SHIFT_CONST(9)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_FIFO_FULL_FIELD                       _MK_FIELD_CONST(0x1, APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_FIFO_FULL_SHIFT)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_FIFO_FULL_RANGE                       9:9
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_FIFO_FULL_WOFFSET                     0x0
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_FIFO_FULL_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_FIFO_FULL_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_FIFO_FULL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_FIFO_FULL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_FIFO_FULL_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_FIFO_FULL_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_FIFO_FULL_SHIFT                        _MK_SHIFT_CONST(15)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_FIFO_FULL_FIELD                        _MK_FIELD_CONST(0x1, APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_FIFO_FULL_SHIFT)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_FIFO_FULL_RANGE                        15:15
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_FIFO_FULL_WOFFSET                      0x0
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_FIFO_FULL_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_FIFO_FULL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_FIFO_FULL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_FIFO_FULL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_FIFO_FULL_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_FIFO_FULL_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_ENABLED_SHIFT                 _MK_SHIFT_CONST(24)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_ENABLED_FIELD                 _MK_FIELD_CONST(0x1, APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_ENABLED_SHIFT)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_ENABLED_RANGE                 24:24
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_ENABLED_WOFFSET                       0x0
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_ENABLED_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_ENABLED_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_ENABLED_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_ENABLED_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_ENABLED_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX0_ENABLED_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_ENABLED_SHIFT                 _MK_SHIFT_CONST(25)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_ENABLED_FIELD                 _MK_FIELD_CONST(0x1, APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_ENABLED_SHIFT)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_ENABLED_RANGE                 25:25
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_ENABLED_WOFFSET                       0x0
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_ENABLED_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_ENABLED_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_ENABLED_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_ENABLED_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_ENABLED_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_RX1_ENABLED_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_ENABLED_SHIFT                  _MK_SHIFT_CONST(26)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_ENABLED_FIELD                  _MK_FIELD_CONST(0x1, APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_ENABLED_SHIFT)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_ENABLED_RANGE                  26:26
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_ENABLED_WOFFSET                        0x0
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_ENABLED_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_ENABLED_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_ENABLED_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_ENABLED_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_ENABLED_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_DAM2_LIVE_STATUS_0_DAM2_TX_ENABLED_ENABLE                 _MK_ENUM_CONST(1)


// Reserved address 164 [0xa4]

// Register APBIF_SPDIF_LIVE_STATUS_0
#define APBIF_SPDIF_LIVE_STATUS_0                       _MK_ADDR_CONST(0xa8)
#define APBIF_SPDIF_LIVE_STATUS_0_SECURE                        0x0
#define APBIF_SPDIF_LIVE_STATUS_0_SCR                   0
#define APBIF_SPDIF_LIVE_STATUS_0_WORD_COUNT                    0x1
#define APBIF_SPDIF_LIVE_STATUS_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_RESET_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_READ_MASK                     _MK_MASK_CONST(0x40fff)
#define APBIF_SPDIF_LIVE_STATUS_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_FIFO_EMPTY_SHIFT)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_FIFO_EMPTY_RANGE                        0:0
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(1)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_FIFO_EMPTY_SHIFT)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_FIFO_EMPTY_RANGE                        1:1
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(2)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_FIFO_EMPTY_SHIFT)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_FIFO_EMPTY_RANGE                        2:2
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(3)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_FIFO_EMPTY_SHIFT)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_FIFO_EMPTY_RANGE                        3:3
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_FIFO_FULL_SHIFT                 _MK_SHIFT_CONST(4)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_FIFO_FULL_FIELD                 _MK_FIELD_CONST(0x1, APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_FIFO_FULL_SHIFT)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_FIFO_FULL_RANGE                 4:4
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_FIFO_FULL_WOFFSET                       0x0
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_FIFO_FULL_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_FIFO_FULL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_FIFO_FULL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_FIFO_FULL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_FIFO_FULL_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_FIFO_FULL_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_FIFO_FULL_SHIFT                 _MK_SHIFT_CONST(5)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_FIFO_FULL_FIELD                 _MK_FIELD_CONST(0x1, APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_FIFO_FULL_SHIFT)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_FIFO_FULL_RANGE                 5:5
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_FIFO_FULL_WOFFSET                       0x0
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_FIFO_FULL_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_FIFO_FULL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_FIFO_FULL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_FIFO_FULL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_FIFO_FULL_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_FIFO_FULL_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_FIFO_FULL_SHIFT                 _MK_SHIFT_CONST(6)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_FIFO_FULL_FIELD                 _MK_FIELD_CONST(0x1, APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_FIFO_FULL_SHIFT)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_FIFO_FULL_RANGE                 6:6
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_FIFO_FULL_WOFFSET                       0x0
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_FIFO_FULL_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_FIFO_FULL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_FIFO_FULL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_FIFO_FULL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_FIFO_FULL_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_FIFO_FULL_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_FIFO_FULL_SHIFT                 _MK_SHIFT_CONST(7)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_FIFO_FULL_FIELD                 _MK_FIELD_CONST(0x1, APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_FIFO_FULL_SHIFT)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_FIFO_FULL_RANGE                 7:7
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_FIFO_FULL_WOFFSET                       0x0
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_FIFO_FULL_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_FIFO_FULL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_FIFO_FULL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_FIFO_FULL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_FIFO_FULL_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_FIFO_FULL_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_ENABLED_SHIFT                   _MK_SHIFT_CONST(8)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_ENABLED_SHIFT)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_ENABLED_RANGE                   8:8
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_ENABLED_WOFFSET                 0x0
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_ENABLED_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_RX_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_ENABLED_SHIFT                   _MK_SHIFT_CONST(9)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_ENABLED_SHIFT)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_ENABLED_RANGE                   9:9
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_ENABLED_WOFFSET                 0x0
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_ENABLED_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_DATA_TX_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_ENABLED_SHIFT                   _MK_SHIFT_CONST(10)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_ENABLED_SHIFT)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_ENABLED_RANGE                   10:10
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_ENABLED_WOFFSET                 0x0
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_ENABLED_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_RX_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_ENABLED_SHIFT                   _MK_SHIFT_CONST(11)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_ENABLED_FIELD                   _MK_FIELD_CONST(0x1, APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_ENABLED_SHIFT)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_ENABLED_RANGE                   11:11
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_ENABLED_WOFFSET                 0x0
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_ENABLED_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_ENABLED_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_ENABLED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_ENABLED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_ENABLED_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_USER_TX_ENABLED_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_TXC_BSY_SHIFT                   _MK_SHIFT_CONST(18)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_TXC_BSY_FIELD                   _MK_FIELD_CONST(0x1, APBIF_SPDIF_LIVE_STATUS_0_SPDIF_TXC_BSY_SHIFT)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_TXC_BSY_RANGE                   18:18
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_TXC_BSY_WOFFSET                 0x0
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_TXC_BSY_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_TXC_BSY_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_TXC_BSY_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_TXC_BSY_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_TXC_BSY_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_SPDIF_LIVE_STATUS_0_SPDIF_TXC_BSY_ENABLE                  _MK_ENUM_CONST(1)


// Reserved address 172 [0xac]

// Register APBIF_I2S_INT_MASK_0
#define APBIF_I2S_INT_MASK_0                    _MK_ADDR_CONST(0xb0)
#define APBIF_I2S_INT_MASK_0_SECURE                     0x0
#define APBIF_I2S_INT_MASK_0_SCR                        0
#define APBIF_I2S_INT_MASK_0_WORD_COUNT                         0x1
#define APBIF_I2S_INT_MASK_0_RESET_VAL                  _MK_MASK_CONST(0x7fff03ff)
#define APBIF_I2S_INT_MASK_0_RESET_MASK                         _MK_MASK_CONST(0x7fff03ff)
#define APBIF_I2S_INT_MASK_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_READ_MASK                  _MK_MASK_CONST(0x7fff03ff)
#define APBIF_I2S_INT_MASK_0_WRITE_MASK                         _MK_MASK_CONST(0x7fff03ff)
#define APBIF_I2S_INT_MASK_0_I2S0_TX_DONE_SHIFT                 _MK_SHIFT_CONST(0)
#define APBIF_I2S_INT_MASK_0_I2S0_TX_DONE_FIELD                 _MK_FIELD_CONST(0x1, APBIF_I2S_INT_MASK_0_I2S0_TX_DONE_SHIFT)
#define APBIF_I2S_INT_MASK_0_I2S0_TX_DONE_RANGE                 0:0
#define APBIF_I2S_INT_MASK_0_I2S0_TX_DONE_WOFFSET                       0x0
#define APBIF_I2S_INT_MASK_0_I2S0_TX_DONE_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S0_TX_DONE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S0_TX_DONE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S0_TX_DONE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S0_TX_DONE_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_MASK_0_I2S0_TX_DONE_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_MASK_0_I2S0_RX_DONE_SHIFT                 _MK_SHIFT_CONST(1)
#define APBIF_I2S_INT_MASK_0_I2S0_RX_DONE_FIELD                 _MK_FIELD_CONST(0x1, APBIF_I2S_INT_MASK_0_I2S0_RX_DONE_SHIFT)
#define APBIF_I2S_INT_MASK_0_I2S0_RX_DONE_RANGE                 1:1
#define APBIF_I2S_INT_MASK_0_I2S0_RX_DONE_WOFFSET                       0x0
#define APBIF_I2S_INT_MASK_0_I2S0_RX_DONE_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S0_RX_DONE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S0_RX_DONE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S0_RX_DONE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S0_RX_DONE_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_MASK_0_I2S0_RX_DONE_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_MASK_0_I2S1_TX_DONE_SHIFT                 _MK_SHIFT_CONST(2)
#define APBIF_I2S_INT_MASK_0_I2S1_TX_DONE_FIELD                 _MK_FIELD_CONST(0x1, APBIF_I2S_INT_MASK_0_I2S1_TX_DONE_SHIFT)
#define APBIF_I2S_INT_MASK_0_I2S1_TX_DONE_RANGE                 2:2
#define APBIF_I2S_INT_MASK_0_I2S1_TX_DONE_WOFFSET                       0x0
#define APBIF_I2S_INT_MASK_0_I2S1_TX_DONE_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S1_TX_DONE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S1_TX_DONE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S1_TX_DONE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S1_TX_DONE_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_MASK_0_I2S1_TX_DONE_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_MASK_0_I2S1_RX_DONE_SHIFT                 _MK_SHIFT_CONST(3)
#define APBIF_I2S_INT_MASK_0_I2S1_RX_DONE_FIELD                 _MK_FIELD_CONST(0x1, APBIF_I2S_INT_MASK_0_I2S1_RX_DONE_SHIFT)
#define APBIF_I2S_INT_MASK_0_I2S1_RX_DONE_RANGE                 3:3
#define APBIF_I2S_INT_MASK_0_I2S1_RX_DONE_WOFFSET                       0x0
#define APBIF_I2S_INT_MASK_0_I2S1_RX_DONE_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S1_RX_DONE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S1_RX_DONE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S1_RX_DONE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S1_RX_DONE_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_MASK_0_I2S1_RX_DONE_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_MASK_0_I2S2_TX_DONE_SHIFT                 _MK_SHIFT_CONST(4)
#define APBIF_I2S_INT_MASK_0_I2S2_TX_DONE_FIELD                 _MK_FIELD_CONST(0x1, APBIF_I2S_INT_MASK_0_I2S2_TX_DONE_SHIFT)
#define APBIF_I2S_INT_MASK_0_I2S2_TX_DONE_RANGE                 4:4
#define APBIF_I2S_INT_MASK_0_I2S2_TX_DONE_WOFFSET                       0x0
#define APBIF_I2S_INT_MASK_0_I2S2_TX_DONE_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S2_TX_DONE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S2_TX_DONE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S2_TX_DONE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S2_TX_DONE_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_MASK_0_I2S2_TX_DONE_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_MASK_0_I2S2_RX_DONE_SHIFT                 _MK_SHIFT_CONST(5)
#define APBIF_I2S_INT_MASK_0_I2S2_RX_DONE_FIELD                 _MK_FIELD_CONST(0x1, APBIF_I2S_INT_MASK_0_I2S2_RX_DONE_SHIFT)
#define APBIF_I2S_INT_MASK_0_I2S2_RX_DONE_RANGE                 5:5
#define APBIF_I2S_INT_MASK_0_I2S2_RX_DONE_WOFFSET                       0x0
#define APBIF_I2S_INT_MASK_0_I2S2_RX_DONE_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S2_RX_DONE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S2_RX_DONE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S2_RX_DONE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S2_RX_DONE_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_MASK_0_I2S2_RX_DONE_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_MASK_0_I2S3_TX_DONE_SHIFT                 _MK_SHIFT_CONST(6)
#define APBIF_I2S_INT_MASK_0_I2S3_TX_DONE_FIELD                 _MK_FIELD_CONST(0x1, APBIF_I2S_INT_MASK_0_I2S3_TX_DONE_SHIFT)
#define APBIF_I2S_INT_MASK_0_I2S3_TX_DONE_RANGE                 6:6
#define APBIF_I2S_INT_MASK_0_I2S3_TX_DONE_WOFFSET                       0x0
#define APBIF_I2S_INT_MASK_0_I2S3_TX_DONE_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S3_TX_DONE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S3_TX_DONE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S3_TX_DONE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S3_TX_DONE_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_MASK_0_I2S3_TX_DONE_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_MASK_0_I2S3_RX_DONE_SHIFT                 _MK_SHIFT_CONST(7)
#define APBIF_I2S_INT_MASK_0_I2S3_RX_DONE_FIELD                 _MK_FIELD_CONST(0x1, APBIF_I2S_INT_MASK_0_I2S3_RX_DONE_SHIFT)
#define APBIF_I2S_INT_MASK_0_I2S3_RX_DONE_RANGE                 7:7
#define APBIF_I2S_INT_MASK_0_I2S3_RX_DONE_WOFFSET                       0x0
#define APBIF_I2S_INT_MASK_0_I2S3_RX_DONE_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S3_RX_DONE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S3_RX_DONE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S3_RX_DONE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S3_RX_DONE_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_MASK_0_I2S3_RX_DONE_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_MASK_0_I2S4_TX_DONE_SHIFT                 _MK_SHIFT_CONST(8)
#define APBIF_I2S_INT_MASK_0_I2S4_TX_DONE_FIELD                 _MK_FIELD_CONST(0x1, APBIF_I2S_INT_MASK_0_I2S4_TX_DONE_SHIFT)
#define APBIF_I2S_INT_MASK_0_I2S4_TX_DONE_RANGE                 8:8
#define APBIF_I2S_INT_MASK_0_I2S4_TX_DONE_WOFFSET                       0x0
#define APBIF_I2S_INT_MASK_0_I2S4_TX_DONE_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S4_TX_DONE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S4_TX_DONE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S4_TX_DONE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S4_TX_DONE_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_MASK_0_I2S4_TX_DONE_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_MASK_0_I2S4_RX_DONE_SHIFT                 _MK_SHIFT_CONST(9)
#define APBIF_I2S_INT_MASK_0_I2S4_RX_DONE_FIELD                 _MK_FIELD_CONST(0x1, APBIF_I2S_INT_MASK_0_I2S4_RX_DONE_SHIFT)
#define APBIF_I2S_INT_MASK_0_I2S4_RX_DONE_RANGE                 9:9
#define APBIF_I2S_INT_MASK_0_I2S4_RX_DONE_WOFFSET                       0x0
#define APBIF_I2S_INT_MASK_0_I2S4_RX_DONE_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S4_RX_DONE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S4_RX_DONE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S4_RX_DONE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S4_RX_DONE_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_MASK_0_I2S4_RX_DONE_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_MASK_0_I2S0_RXCIF_UNDERRUN_SHIFT                  _MK_SHIFT_CONST(16)
#define APBIF_I2S_INT_MASK_0_I2S0_RXCIF_UNDERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_I2S_INT_MASK_0_I2S0_RXCIF_UNDERRUN_SHIFT)
#define APBIF_I2S_INT_MASK_0_I2S0_RXCIF_UNDERRUN_RANGE                  16:16
#define APBIF_I2S_INT_MASK_0_I2S0_RXCIF_UNDERRUN_WOFFSET                        0x0
#define APBIF_I2S_INT_MASK_0_I2S0_RXCIF_UNDERRUN_DEFAULT                        _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S0_RXCIF_UNDERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S0_RXCIF_UNDERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S0_RXCIF_UNDERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S0_RXCIF_UNDERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_MASK_0_I2S0_RXCIF_UNDERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_MASK_0_I2S0_TXCIF_OVERRUN_SHIFT                   _MK_SHIFT_CONST(17)
#define APBIF_I2S_INT_MASK_0_I2S0_TXCIF_OVERRUN_FIELD                   _MK_FIELD_CONST(0x1, APBIF_I2S_INT_MASK_0_I2S0_TXCIF_OVERRUN_SHIFT)
#define APBIF_I2S_INT_MASK_0_I2S0_TXCIF_OVERRUN_RANGE                   17:17
#define APBIF_I2S_INT_MASK_0_I2S0_TXCIF_OVERRUN_WOFFSET                 0x0
#define APBIF_I2S_INT_MASK_0_I2S0_TXCIF_OVERRUN_DEFAULT                 _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S0_TXCIF_OVERRUN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S0_TXCIF_OVERRUN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S0_TXCIF_OVERRUN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S0_TXCIF_OVERRUN_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_MASK_0_I2S0_TXCIF_OVERRUN_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_MASK_0_I2S1_RXCIF_UNDERRUN_SHIFT                  _MK_SHIFT_CONST(18)
#define APBIF_I2S_INT_MASK_0_I2S1_RXCIF_UNDERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_I2S_INT_MASK_0_I2S1_RXCIF_UNDERRUN_SHIFT)
#define APBIF_I2S_INT_MASK_0_I2S1_RXCIF_UNDERRUN_RANGE                  18:18
#define APBIF_I2S_INT_MASK_0_I2S1_RXCIF_UNDERRUN_WOFFSET                        0x0
#define APBIF_I2S_INT_MASK_0_I2S1_RXCIF_UNDERRUN_DEFAULT                        _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S1_RXCIF_UNDERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S1_RXCIF_UNDERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S1_RXCIF_UNDERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S1_RXCIF_UNDERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_MASK_0_I2S1_RXCIF_UNDERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_MASK_0_I2S1_TXCIF_OVERRUN_SHIFT                   _MK_SHIFT_CONST(19)
#define APBIF_I2S_INT_MASK_0_I2S1_TXCIF_OVERRUN_FIELD                   _MK_FIELD_CONST(0x1, APBIF_I2S_INT_MASK_0_I2S1_TXCIF_OVERRUN_SHIFT)
#define APBIF_I2S_INT_MASK_0_I2S1_TXCIF_OVERRUN_RANGE                   19:19
#define APBIF_I2S_INT_MASK_0_I2S1_TXCIF_OVERRUN_WOFFSET                 0x0
#define APBIF_I2S_INT_MASK_0_I2S1_TXCIF_OVERRUN_DEFAULT                 _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S1_TXCIF_OVERRUN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S1_TXCIF_OVERRUN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S1_TXCIF_OVERRUN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S1_TXCIF_OVERRUN_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_MASK_0_I2S1_TXCIF_OVERRUN_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_MASK_0_I2S2_RXCIF_UNDERRUN_SHIFT                  _MK_SHIFT_CONST(20)
#define APBIF_I2S_INT_MASK_0_I2S2_RXCIF_UNDERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_I2S_INT_MASK_0_I2S2_RXCIF_UNDERRUN_SHIFT)
#define APBIF_I2S_INT_MASK_0_I2S2_RXCIF_UNDERRUN_RANGE                  20:20
#define APBIF_I2S_INT_MASK_0_I2S2_RXCIF_UNDERRUN_WOFFSET                        0x0
#define APBIF_I2S_INT_MASK_0_I2S2_RXCIF_UNDERRUN_DEFAULT                        _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S2_RXCIF_UNDERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S2_RXCIF_UNDERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S2_RXCIF_UNDERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S2_RXCIF_UNDERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_MASK_0_I2S2_RXCIF_UNDERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_MASK_0_I2S2_TXCIF_OVERRUN_SHIFT                   _MK_SHIFT_CONST(21)
#define APBIF_I2S_INT_MASK_0_I2S2_TXCIF_OVERRUN_FIELD                   _MK_FIELD_CONST(0x1, APBIF_I2S_INT_MASK_0_I2S2_TXCIF_OVERRUN_SHIFT)
#define APBIF_I2S_INT_MASK_0_I2S2_TXCIF_OVERRUN_RANGE                   21:21
#define APBIF_I2S_INT_MASK_0_I2S2_TXCIF_OVERRUN_WOFFSET                 0x0
#define APBIF_I2S_INT_MASK_0_I2S2_TXCIF_OVERRUN_DEFAULT                 _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S2_TXCIF_OVERRUN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S2_TXCIF_OVERRUN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S2_TXCIF_OVERRUN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S2_TXCIF_OVERRUN_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_MASK_0_I2S2_TXCIF_OVERRUN_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_MASK_0_I2S3_RXCIF_UNDERRUN_SHIFT                  _MK_SHIFT_CONST(22)
#define APBIF_I2S_INT_MASK_0_I2S3_RXCIF_UNDERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_I2S_INT_MASK_0_I2S3_RXCIF_UNDERRUN_SHIFT)
#define APBIF_I2S_INT_MASK_0_I2S3_RXCIF_UNDERRUN_RANGE                  22:22
#define APBIF_I2S_INT_MASK_0_I2S3_RXCIF_UNDERRUN_WOFFSET                        0x0
#define APBIF_I2S_INT_MASK_0_I2S3_RXCIF_UNDERRUN_DEFAULT                        _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S3_RXCIF_UNDERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S3_RXCIF_UNDERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S3_RXCIF_UNDERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S3_RXCIF_UNDERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_MASK_0_I2S3_RXCIF_UNDERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_MASK_0_I2S3_TXCIF_OVERRUN_SHIFT                   _MK_SHIFT_CONST(23)
#define APBIF_I2S_INT_MASK_0_I2S3_TXCIF_OVERRUN_FIELD                   _MK_FIELD_CONST(0x1, APBIF_I2S_INT_MASK_0_I2S3_TXCIF_OVERRUN_SHIFT)
#define APBIF_I2S_INT_MASK_0_I2S3_TXCIF_OVERRUN_RANGE                   23:23
#define APBIF_I2S_INT_MASK_0_I2S3_TXCIF_OVERRUN_WOFFSET                 0x0
#define APBIF_I2S_INT_MASK_0_I2S3_TXCIF_OVERRUN_DEFAULT                 _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S3_TXCIF_OVERRUN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S3_TXCIF_OVERRUN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S3_TXCIF_OVERRUN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S3_TXCIF_OVERRUN_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_MASK_0_I2S3_TXCIF_OVERRUN_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_MASK_0_I2S4_RXCIF_UNDERRUN_SHIFT                  _MK_SHIFT_CONST(24)
#define APBIF_I2S_INT_MASK_0_I2S4_RXCIF_UNDERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_I2S_INT_MASK_0_I2S4_RXCIF_UNDERRUN_SHIFT)
#define APBIF_I2S_INT_MASK_0_I2S4_RXCIF_UNDERRUN_RANGE                  24:24
#define APBIF_I2S_INT_MASK_0_I2S4_RXCIF_UNDERRUN_WOFFSET                        0x0
#define APBIF_I2S_INT_MASK_0_I2S4_RXCIF_UNDERRUN_DEFAULT                        _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S4_RXCIF_UNDERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S4_RXCIF_UNDERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S4_RXCIF_UNDERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S4_RXCIF_UNDERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_MASK_0_I2S4_RXCIF_UNDERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_MASK_0_I2S4_TXCIF_OVERRUN_SHIFT                   _MK_SHIFT_CONST(25)
#define APBIF_I2S_INT_MASK_0_I2S4_TXCIF_OVERRUN_FIELD                   _MK_FIELD_CONST(0x1, APBIF_I2S_INT_MASK_0_I2S4_TXCIF_OVERRUN_SHIFT)
#define APBIF_I2S_INT_MASK_0_I2S4_TXCIF_OVERRUN_RANGE                   25:25
#define APBIF_I2S_INT_MASK_0_I2S4_TXCIF_OVERRUN_WOFFSET                 0x0
#define APBIF_I2S_INT_MASK_0_I2S4_TXCIF_OVERRUN_DEFAULT                 _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S4_TXCIF_OVERRUN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S4_TXCIF_OVERRUN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S4_TXCIF_OVERRUN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S4_TXCIF_OVERRUN_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_MASK_0_I2S4_TXCIF_OVERRUN_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_MASK_0_I2S0_FLOW_CTL_INT_SHIFT                    _MK_SHIFT_CONST(26)
#define APBIF_I2S_INT_MASK_0_I2S0_FLOW_CTL_INT_FIELD                    _MK_FIELD_CONST(0x1, APBIF_I2S_INT_MASK_0_I2S0_FLOW_CTL_INT_SHIFT)
#define APBIF_I2S_INT_MASK_0_I2S0_FLOW_CTL_INT_RANGE                    26:26
#define APBIF_I2S_INT_MASK_0_I2S0_FLOW_CTL_INT_WOFFSET                  0x0
#define APBIF_I2S_INT_MASK_0_I2S0_FLOW_CTL_INT_DEFAULT                  _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S0_FLOW_CTL_INT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S0_FLOW_CTL_INT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S0_FLOW_CTL_INT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S0_FLOW_CTL_INT_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_MASK_0_I2S0_FLOW_CTL_INT_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_MASK_0_I2S1_FLOW_CTL_INT_SHIFT                    _MK_SHIFT_CONST(27)
#define APBIF_I2S_INT_MASK_0_I2S1_FLOW_CTL_INT_FIELD                    _MK_FIELD_CONST(0x1, APBIF_I2S_INT_MASK_0_I2S1_FLOW_CTL_INT_SHIFT)
#define APBIF_I2S_INT_MASK_0_I2S1_FLOW_CTL_INT_RANGE                    27:27
#define APBIF_I2S_INT_MASK_0_I2S1_FLOW_CTL_INT_WOFFSET                  0x0
#define APBIF_I2S_INT_MASK_0_I2S1_FLOW_CTL_INT_DEFAULT                  _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S1_FLOW_CTL_INT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S1_FLOW_CTL_INT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S1_FLOW_CTL_INT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S1_FLOW_CTL_INT_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_MASK_0_I2S1_FLOW_CTL_INT_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_MASK_0_I2S2_FLOW_CTL_INT_SHIFT                    _MK_SHIFT_CONST(28)
#define APBIF_I2S_INT_MASK_0_I2S2_FLOW_CTL_INT_FIELD                    _MK_FIELD_CONST(0x1, APBIF_I2S_INT_MASK_0_I2S2_FLOW_CTL_INT_SHIFT)
#define APBIF_I2S_INT_MASK_0_I2S2_FLOW_CTL_INT_RANGE                    28:28
#define APBIF_I2S_INT_MASK_0_I2S2_FLOW_CTL_INT_WOFFSET                  0x0
#define APBIF_I2S_INT_MASK_0_I2S2_FLOW_CTL_INT_DEFAULT                  _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S2_FLOW_CTL_INT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S2_FLOW_CTL_INT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S2_FLOW_CTL_INT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S2_FLOW_CTL_INT_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_MASK_0_I2S2_FLOW_CTL_INT_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_MASK_0_I2S3_FLOW_CTL_INT_SHIFT                    _MK_SHIFT_CONST(29)
#define APBIF_I2S_INT_MASK_0_I2S3_FLOW_CTL_INT_FIELD                    _MK_FIELD_CONST(0x1, APBIF_I2S_INT_MASK_0_I2S3_FLOW_CTL_INT_SHIFT)
#define APBIF_I2S_INT_MASK_0_I2S3_FLOW_CTL_INT_RANGE                    29:29
#define APBIF_I2S_INT_MASK_0_I2S3_FLOW_CTL_INT_WOFFSET                  0x0
#define APBIF_I2S_INT_MASK_0_I2S3_FLOW_CTL_INT_DEFAULT                  _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S3_FLOW_CTL_INT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S3_FLOW_CTL_INT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S3_FLOW_CTL_INT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S3_FLOW_CTL_INT_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_MASK_0_I2S3_FLOW_CTL_INT_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_MASK_0_I2S4_FLOW_CTL_INT_SHIFT                    _MK_SHIFT_CONST(30)
#define APBIF_I2S_INT_MASK_0_I2S4_FLOW_CTL_INT_FIELD                    _MK_FIELD_CONST(0x1, APBIF_I2S_INT_MASK_0_I2S4_FLOW_CTL_INT_SHIFT)
#define APBIF_I2S_INT_MASK_0_I2S4_FLOW_CTL_INT_RANGE                    30:30
#define APBIF_I2S_INT_MASK_0_I2S4_FLOW_CTL_INT_WOFFSET                  0x0
#define APBIF_I2S_INT_MASK_0_I2S4_FLOW_CTL_INT_DEFAULT                  _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S4_FLOW_CTL_INT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_MASK_0_I2S4_FLOW_CTL_INT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S4_FLOW_CTL_INT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_MASK_0_I2S4_FLOW_CTL_INT_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_MASK_0_I2S4_FLOW_CTL_INT_ENABLE                   _MK_ENUM_CONST(1)


// Register APBIF_DAM_INT_MASK_0
#define APBIF_DAM_INT_MASK_0                    _MK_ADDR_CONST(0xb4)
#define APBIF_DAM_INT_MASK_0_SECURE                     0x0
#define APBIF_DAM_INT_MASK_0_SCR                        0
#define APBIF_DAM_INT_MASK_0_WORD_COUNT                         0x1
#define APBIF_DAM_INT_MASK_0_RESET_VAL                  _MK_MASK_CONST(0x939393)
#define APBIF_DAM_INT_MASK_0_RESET_MASK                         _MK_MASK_CONST(0x939393)
#define APBIF_DAM_INT_MASK_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_MASK_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_MASK_0_READ_MASK                  _MK_MASK_CONST(0x939393)
#define APBIF_DAM_INT_MASK_0_WRITE_MASK                         _MK_MASK_CONST(0x939393)
#define APBIF_DAM_INT_MASK_0_DAM0_RX0_DONE_SHIFT                        _MK_SHIFT_CONST(0)
#define APBIF_DAM_INT_MASK_0_DAM0_RX0_DONE_FIELD                        _MK_FIELD_CONST(0x1, APBIF_DAM_INT_MASK_0_DAM0_RX0_DONE_SHIFT)
#define APBIF_DAM_INT_MASK_0_DAM0_RX0_DONE_RANGE                        0:0
#define APBIF_DAM_INT_MASK_0_DAM0_RX0_DONE_WOFFSET                      0x0
#define APBIF_DAM_INT_MASK_0_DAM0_RX0_DONE_DEFAULT                      _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_MASK_0_DAM0_RX0_DONE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_MASK_0_DAM0_RX0_DONE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_MASK_0_DAM0_RX0_DONE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_MASK_0_DAM0_RX0_DONE_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_MASK_0_DAM0_RX0_DONE_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_MASK_0_DAM0_RX1_DONE_SHIFT                        _MK_SHIFT_CONST(1)
#define APBIF_DAM_INT_MASK_0_DAM0_RX1_DONE_FIELD                        _MK_FIELD_CONST(0x1, APBIF_DAM_INT_MASK_0_DAM0_RX1_DONE_SHIFT)
#define APBIF_DAM_INT_MASK_0_DAM0_RX1_DONE_RANGE                        1:1
#define APBIF_DAM_INT_MASK_0_DAM0_RX1_DONE_WOFFSET                      0x0
#define APBIF_DAM_INT_MASK_0_DAM0_RX1_DONE_DEFAULT                      _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_MASK_0_DAM0_RX1_DONE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_MASK_0_DAM0_RX1_DONE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_MASK_0_DAM0_RX1_DONE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_MASK_0_DAM0_RX1_DONE_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_MASK_0_DAM0_RX1_DONE_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_MASK_0_DAM0_TX_DONE_SHIFT                 _MK_SHIFT_CONST(4)
#define APBIF_DAM_INT_MASK_0_DAM0_TX_DONE_FIELD                 _MK_FIELD_CONST(0x1, APBIF_DAM_INT_MASK_0_DAM0_TX_DONE_SHIFT)
#define APBIF_DAM_INT_MASK_0_DAM0_TX_DONE_RANGE                 4:4
#define APBIF_DAM_INT_MASK_0_DAM0_TX_DONE_WOFFSET                       0x0
#define APBIF_DAM_INT_MASK_0_DAM0_TX_DONE_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_MASK_0_DAM0_TX_DONE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_MASK_0_DAM0_TX_DONE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_MASK_0_DAM0_TX_DONE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_MASK_0_DAM0_TX_DONE_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_MASK_0_DAM0_TX_DONE_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_MASK_0_DAM0_CLIP_INTR_SHIFT                       _MK_SHIFT_CONST(7)
#define APBIF_DAM_INT_MASK_0_DAM0_CLIP_INTR_FIELD                       _MK_FIELD_CONST(0x1, APBIF_DAM_INT_MASK_0_DAM0_CLIP_INTR_SHIFT)
#define APBIF_DAM_INT_MASK_0_DAM0_CLIP_INTR_RANGE                       7:7
#define APBIF_DAM_INT_MASK_0_DAM0_CLIP_INTR_WOFFSET                     0x0
#define APBIF_DAM_INT_MASK_0_DAM0_CLIP_INTR_DEFAULT                     _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_MASK_0_DAM0_CLIP_INTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_MASK_0_DAM0_CLIP_INTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_MASK_0_DAM0_CLIP_INTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_MASK_0_DAM0_CLIP_INTR_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_MASK_0_DAM0_CLIP_INTR_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_MASK_0_DAM1_RX0_DONE_SHIFT                        _MK_SHIFT_CONST(8)
#define APBIF_DAM_INT_MASK_0_DAM1_RX0_DONE_FIELD                        _MK_FIELD_CONST(0x1, APBIF_DAM_INT_MASK_0_DAM1_RX0_DONE_SHIFT)
#define APBIF_DAM_INT_MASK_0_DAM1_RX0_DONE_RANGE                        8:8
#define APBIF_DAM_INT_MASK_0_DAM1_RX0_DONE_WOFFSET                      0x0
#define APBIF_DAM_INT_MASK_0_DAM1_RX0_DONE_DEFAULT                      _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_MASK_0_DAM1_RX0_DONE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_MASK_0_DAM1_RX0_DONE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_MASK_0_DAM1_RX0_DONE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_MASK_0_DAM1_RX0_DONE_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_MASK_0_DAM1_RX0_DONE_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_MASK_0_DAM1_RX1_DONE_SHIFT                        _MK_SHIFT_CONST(9)
#define APBIF_DAM_INT_MASK_0_DAM1_RX1_DONE_FIELD                        _MK_FIELD_CONST(0x1, APBIF_DAM_INT_MASK_0_DAM1_RX1_DONE_SHIFT)
#define APBIF_DAM_INT_MASK_0_DAM1_RX1_DONE_RANGE                        9:9
#define APBIF_DAM_INT_MASK_0_DAM1_RX1_DONE_WOFFSET                      0x0
#define APBIF_DAM_INT_MASK_0_DAM1_RX1_DONE_DEFAULT                      _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_MASK_0_DAM1_RX1_DONE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_MASK_0_DAM1_RX1_DONE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_MASK_0_DAM1_RX1_DONE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_MASK_0_DAM1_RX1_DONE_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_MASK_0_DAM1_RX1_DONE_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_MASK_0_DAM1_TX_DONE_SHIFT                 _MK_SHIFT_CONST(12)
#define APBIF_DAM_INT_MASK_0_DAM1_TX_DONE_FIELD                 _MK_FIELD_CONST(0x1, APBIF_DAM_INT_MASK_0_DAM1_TX_DONE_SHIFT)
#define APBIF_DAM_INT_MASK_0_DAM1_TX_DONE_RANGE                 12:12
#define APBIF_DAM_INT_MASK_0_DAM1_TX_DONE_WOFFSET                       0x0
#define APBIF_DAM_INT_MASK_0_DAM1_TX_DONE_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_MASK_0_DAM1_TX_DONE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_MASK_0_DAM1_TX_DONE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_MASK_0_DAM1_TX_DONE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_MASK_0_DAM1_TX_DONE_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_MASK_0_DAM1_TX_DONE_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_MASK_0_DAM1_CLIP_INTR_SHIFT                       _MK_SHIFT_CONST(15)
#define APBIF_DAM_INT_MASK_0_DAM1_CLIP_INTR_FIELD                       _MK_FIELD_CONST(0x1, APBIF_DAM_INT_MASK_0_DAM1_CLIP_INTR_SHIFT)
#define APBIF_DAM_INT_MASK_0_DAM1_CLIP_INTR_RANGE                       15:15
#define APBIF_DAM_INT_MASK_0_DAM1_CLIP_INTR_WOFFSET                     0x0
#define APBIF_DAM_INT_MASK_0_DAM1_CLIP_INTR_DEFAULT                     _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_MASK_0_DAM1_CLIP_INTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_MASK_0_DAM1_CLIP_INTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_MASK_0_DAM1_CLIP_INTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_MASK_0_DAM1_CLIP_INTR_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_MASK_0_DAM1_CLIP_INTR_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_MASK_0_DAM2_RX0_DONE_SHIFT                        _MK_SHIFT_CONST(16)
#define APBIF_DAM_INT_MASK_0_DAM2_RX0_DONE_FIELD                        _MK_FIELD_CONST(0x1, APBIF_DAM_INT_MASK_0_DAM2_RX0_DONE_SHIFT)
#define APBIF_DAM_INT_MASK_0_DAM2_RX0_DONE_RANGE                        16:16
#define APBIF_DAM_INT_MASK_0_DAM2_RX0_DONE_WOFFSET                      0x0
#define APBIF_DAM_INT_MASK_0_DAM2_RX0_DONE_DEFAULT                      _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_MASK_0_DAM2_RX0_DONE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_MASK_0_DAM2_RX0_DONE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_MASK_0_DAM2_RX0_DONE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_MASK_0_DAM2_RX0_DONE_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_MASK_0_DAM2_RX0_DONE_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_MASK_0_DAM2_RX1_DONE_SHIFT                        _MK_SHIFT_CONST(17)
#define APBIF_DAM_INT_MASK_0_DAM2_RX1_DONE_FIELD                        _MK_FIELD_CONST(0x1, APBIF_DAM_INT_MASK_0_DAM2_RX1_DONE_SHIFT)
#define APBIF_DAM_INT_MASK_0_DAM2_RX1_DONE_RANGE                        17:17
#define APBIF_DAM_INT_MASK_0_DAM2_RX1_DONE_WOFFSET                      0x0
#define APBIF_DAM_INT_MASK_0_DAM2_RX1_DONE_DEFAULT                      _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_MASK_0_DAM2_RX1_DONE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_MASK_0_DAM2_RX1_DONE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_MASK_0_DAM2_RX1_DONE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_MASK_0_DAM2_RX1_DONE_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_MASK_0_DAM2_RX1_DONE_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_MASK_0_DAM2_TX_DONE_SHIFT                 _MK_SHIFT_CONST(20)
#define APBIF_DAM_INT_MASK_0_DAM2_TX_DONE_FIELD                 _MK_FIELD_CONST(0x1, APBIF_DAM_INT_MASK_0_DAM2_TX_DONE_SHIFT)
#define APBIF_DAM_INT_MASK_0_DAM2_TX_DONE_RANGE                 20:20
#define APBIF_DAM_INT_MASK_0_DAM2_TX_DONE_WOFFSET                       0x0
#define APBIF_DAM_INT_MASK_0_DAM2_TX_DONE_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_MASK_0_DAM2_TX_DONE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_MASK_0_DAM2_TX_DONE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_MASK_0_DAM2_TX_DONE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_MASK_0_DAM2_TX_DONE_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_MASK_0_DAM2_TX_DONE_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_MASK_0_DAM2_CLIP_INTR_SHIFT                       _MK_SHIFT_CONST(23)
#define APBIF_DAM_INT_MASK_0_DAM2_CLIP_INTR_FIELD                       _MK_FIELD_CONST(0x1, APBIF_DAM_INT_MASK_0_DAM2_CLIP_INTR_SHIFT)
#define APBIF_DAM_INT_MASK_0_DAM2_CLIP_INTR_RANGE                       23:23
#define APBIF_DAM_INT_MASK_0_DAM2_CLIP_INTR_WOFFSET                     0x0
#define APBIF_DAM_INT_MASK_0_DAM2_CLIP_INTR_DEFAULT                     _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_MASK_0_DAM2_CLIP_INTR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_MASK_0_DAM2_CLIP_INTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_MASK_0_DAM2_CLIP_INTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_MASK_0_DAM2_CLIP_INTR_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_MASK_0_DAM2_CLIP_INTR_ENABLE                      _MK_ENUM_CONST(1)


// Reserved address 184 [0xb8]

// Register APBIF_SPDIF_INT_MASK_0
#define APBIF_SPDIF_INT_MASK_0                  _MK_ADDR_CONST(0xbc)
#define APBIF_SPDIF_INT_MASK_0_SECURE                   0x0
#define APBIF_SPDIF_INT_MASK_0_SCR                      0
#define APBIF_SPDIF_INT_MASK_0_WORD_COUNT                       0x1
#define APBIF_SPDIF_INT_MASK_0_RESET_VAL                        _MK_MASK_CONST(0x8fff)
#define APBIF_SPDIF_INT_MASK_0_RESET_MASK                       _MK_MASK_CONST(0x8fff)
#define APBIF_SPDIF_INT_MASK_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_MASK_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_MASK_0_READ_MASK                        _MK_MASK_CONST(0x8fff)
#define APBIF_SPDIF_INT_MASK_0_WRITE_MASK                       _MK_MASK_CONST(0x8fff)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_RX_DONE_SHIFT                 _MK_SHIFT_CONST(0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_RX_DONE_FIELD                 _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_RX_DONE_SHIFT)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_RX_DONE_RANGE                 0:0
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_RX_DONE_WOFFSET                       0x0
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_RX_DONE_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_RX_DONE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_RX_DONE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_RX_DONE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_RX_DONE_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_RX_DONE_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_TX_DONE_SHIFT                 _MK_SHIFT_CONST(1)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_TX_DONE_FIELD                 _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_TX_DONE_SHIFT)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_TX_DONE_RANGE                 1:1
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_TX_DONE_WOFFSET                       0x0
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_TX_DONE_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_TX_DONE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_TX_DONE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_TX_DONE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_TX_DONE_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_TX_DONE_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_RX_DONE_SHIFT                 _MK_SHIFT_CONST(2)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_RX_DONE_FIELD                 _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_MASK_0_SPDIF_USER_RX_DONE_SHIFT)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_RX_DONE_RANGE                 2:2
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_RX_DONE_WOFFSET                       0x0
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_RX_DONE_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_RX_DONE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_RX_DONE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_RX_DONE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_RX_DONE_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_RX_DONE_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_TX_DONE_SHIFT                 _MK_SHIFT_CONST(3)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_TX_DONE_FIELD                 _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_MASK_0_SPDIF_USER_TX_DONE_SHIFT)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_TX_DONE_RANGE                 3:3
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_TX_DONE_WOFFSET                       0x0
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_TX_DONE_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_TX_DONE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_TX_DONE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_TX_DONE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_TX_DONE_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_TX_DONE_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_RXCIF_UNDERRUN_SHIFT                  _MK_SHIFT_CONST(4)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_RXCIF_UNDERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_RXCIF_UNDERRUN_SHIFT)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_RXCIF_UNDERRUN_RANGE                  4:4
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_RXCIF_UNDERRUN_WOFFSET                        0x0
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_RXCIF_UNDERRUN_DEFAULT                        _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_RXCIF_UNDERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_RXCIF_UNDERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_RXCIF_UNDERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_RXCIF_UNDERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_RXCIF_UNDERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_TXCIF_OVERRUN_SHIFT                   _MK_SHIFT_CONST(5)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_TXCIF_OVERRUN_FIELD                   _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_TXCIF_OVERRUN_SHIFT)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_TXCIF_OVERRUN_RANGE                   5:5
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_TXCIF_OVERRUN_WOFFSET                 0x0
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_TXCIF_OVERRUN_DEFAULT                 _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_TXCIF_OVERRUN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_TXCIF_OVERRUN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_TXCIF_OVERRUN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_TXCIF_OVERRUN_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_DATA_TXCIF_OVERRUN_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_RXCIF_UNDERRUN_SHIFT                  _MK_SHIFT_CONST(6)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_RXCIF_UNDERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_MASK_0_SPDIF_USER_RXCIF_UNDERRUN_SHIFT)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_RXCIF_UNDERRUN_RANGE                  6:6
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_RXCIF_UNDERRUN_WOFFSET                        0x0
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_RXCIF_UNDERRUN_DEFAULT                        _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_RXCIF_UNDERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_RXCIF_UNDERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_RXCIF_UNDERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_RXCIF_UNDERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_RXCIF_UNDERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_TXCIF_OVERRUN_SHIFT                   _MK_SHIFT_CONST(7)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_TXCIF_OVERRUN_FIELD                   _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_MASK_0_SPDIF_USER_TXCIF_OVERRUN_SHIFT)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_TXCIF_OVERRUN_RANGE                   7:7
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_TXCIF_OVERRUN_WOFFSET                 0x0
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_TXCIF_OVERRUN_DEFAULT                 _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_TXCIF_OVERRUN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_TXCIF_OVERRUN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_TXCIF_OVERRUN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_TXCIF_OVERRUN_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_USER_TXCIF_OVERRUN_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_MASK_0_SPDIF_RX_IU_SHIFT                        _MK_SHIFT_CONST(8)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_RX_IU_FIELD                        _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_MASK_0_SPDIF_RX_IU_SHIFT)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_RX_IU_RANGE                        8:8
#define APBIF_SPDIF_INT_MASK_0_SPDIF_RX_IU_WOFFSET                      0x0
#define APBIF_SPDIF_INT_MASK_0_SPDIF_RX_IU_DEFAULT                      _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_RX_IU_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_RX_IU_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_RX_IU_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_RX_IU_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_RX_IU_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_MASK_0_SPDIF_RX_CHANNEL_SHIFT                   _MK_SHIFT_CONST(9)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_RX_CHANNEL_FIELD                   _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_MASK_0_SPDIF_RX_CHANNEL_SHIFT)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_RX_CHANNEL_RANGE                   9:9
#define APBIF_SPDIF_INT_MASK_0_SPDIF_RX_CHANNEL_WOFFSET                 0x0
#define APBIF_SPDIF_INT_MASK_0_SPDIF_RX_CHANNEL_DEFAULT                 _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_RX_CHANNEL_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_RX_CHANNEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_RX_CHANNEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_RX_CHANNEL_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_RX_CHANNEL_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_MASK_0_SPDIF_B_SYNC_SHIFT                       _MK_SHIFT_CONST(10)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_B_SYNC_FIELD                       _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_MASK_0_SPDIF_B_SYNC_SHIFT)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_B_SYNC_RANGE                       10:10
#define APBIF_SPDIF_INT_MASK_0_SPDIF_B_SYNC_WOFFSET                     0x0
#define APBIF_SPDIF_INT_MASK_0_SPDIF_B_SYNC_DEFAULT                     _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_B_SYNC_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_B_SYNC_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_B_SYNC_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_B_SYNC_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_B_SYNC_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_MASK_0_SPDIF_BAD_PREAMBLE_SHIFT                 _MK_SHIFT_CONST(11)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_BAD_PREAMBLE_FIELD                 _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_MASK_0_SPDIF_BAD_PREAMBLE_SHIFT)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_BAD_PREAMBLE_RANGE                 11:11
#define APBIF_SPDIF_INT_MASK_0_SPDIF_BAD_PREAMBLE_WOFFSET                       0x0
#define APBIF_SPDIF_INT_MASK_0_SPDIF_BAD_PREAMBLE_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_BAD_PREAMBLE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_BAD_PREAMBLE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_BAD_PREAMBLE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_BAD_PREAMBLE_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_BAD_PREAMBLE_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_MASK_0_SPDIF_FLOW_CTL_INT_SHIFT                 _MK_SHIFT_CONST(15)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_FLOW_CTL_INT_FIELD                 _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_MASK_0_SPDIF_FLOW_CTL_INT_SHIFT)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_FLOW_CTL_INT_RANGE                 15:15
#define APBIF_SPDIF_INT_MASK_0_SPDIF_FLOW_CTL_INT_WOFFSET                       0x0
#define APBIF_SPDIF_INT_MASK_0_SPDIF_FLOW_CTL_INT_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_FLOW_CTL_INT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_FLOW_CTL_INT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_FLOW_CTL_INT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_FLOW_CTL_INT_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_MASK_0_SPDIF_FLOW_CTL_INT_ENABLE                        _MK_ENUM_CONST(1)


// Register APBIF_APBIF_INT_MASK_0
#define APBIF_APBIF_INT_MASK_0                  _MK_ADDR_CONST(0xc0)
#define APBIF_APBIF_INT_MASK_0_SECURE                   0x0
#define APBIF_APBIF_INT_MASK_0_SCR                      0
#define APBIF_APBIF_INT_MASK_0_WORD_COUNT                       0x1
#define APBIF_APBIF_INT_MASK_0_RESET_VAL                        _MK_MASK_CONST(0x1ffff)
#define APBIF_APBIF_INT_MASK_0_RESET_MASK                       _MK_MASK_CONST(0x1ffff)
#define APBIF_APBIF_INT_MASK_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_READ_MASK                        _MK_MASK_CONST(0x1ffff)
#define APBIF_APBIF_INT_MASK_0_WRITE_MASK                       _MK_MASK_CONST(0x1ffff)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_RXCIF_UNDERRUN_SHIFT                   _MK_SHIFT_CONST(0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_RXCIF_UNDERRUN_FIELD                   _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_MASK_0_APBIF_CH0_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_RXCIF_UNDERRUN_RANGE                   0:0
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_RXCIF_UNDERRUN_WOFFSET                 0x0
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_RXCIF_UNDERRUN_DEFAULT                 _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_RXCIF_UNDERRUN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_RXCIF_UNDERRUN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_RXCIF_UNDERRUN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_RXCIF_UNDERRUN_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_RXCIF_UNDERRUN_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_MASK_0_APBIF_CH0_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_TXCIF_OVERRUN_RANGE                    1:1
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_RXCIF_UNDERRUN_SHIFT                   _MK_SHIFT_CONST(2)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_RXCIF_UNDERRUN_FIELD                   _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_MASK_0_APBIF_CH1_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_RXCIF_UNDERRUN_RANGE                   2:2
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_RXCIF_UNDERRUN_WOFFSET                 0x0
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_RXCIF_UNDERRUN_DEFAULT                 _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_RXCIF_UNDERRUN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_RXCIF_UNDERRUN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_RXCIF_UNDERRUN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_RXCIF_UNDERRUN_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_RXCIF_UNDERRUN_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(3)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_MASK_0_APBIF_CH1_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_TXCIF_OVERRUN_RANGE                    3:3
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_RXCIF_UNDERRUN_SHIFT                   _MK_SHIFT_CONST(4)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_RXCIF_UNDERRUN_FIELD                   _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_MASK_0_APBIF_CH2_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_RXCIF_UNDERRUN_RANGE                   4:4
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_RXCIF_UNDERRUN_WOFFSET                 0x0
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_RXCIF_UNDERRUN_DEFAULT                 _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_RXCIF_UNDERRUN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_RXCIF_UNDERRUN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_RXCIF_UNDERRUN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_RXCIF_UNDERRUN_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_RXCIF_UNDERRUN_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(5)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_MASK_0_APBIF_CH2_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_TXCIF_OVERRUN_RANGE                    5:5
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_RXCIF_UNDERRUN_SHIFT                   _MK_SHIFT_CONST(6)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_RXCIF_UNDERRUN_FIELD                   _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_MASK_0_APBIF_CH3_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_RXCIF_UNDERRUN_RANGE                   6:6
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_RXCIF_UNDERRUN_WOFFSET                 0x0
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_RXCIF_UNDERRUN_DEFAULT                 _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_RXCIF_UNDERRUN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_RXCIF_UNDERRUN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_RXCIF_UNDERRUN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_RXCIF_UNDERRUN_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_RXCIF_UNDERRUN_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(7)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_MASK_0_APBIF_CH3_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_TXCIF_OVERRUN_RANGE                    7:7
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SHIFT                       _MK_SHIFT_CONST(8)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_APBDMA_TX_UNDERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_MASK_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_APBDMA_TX_UNDERRUN_RANGE                       8:8
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_APBDMA_TX_UNDERRUN_WOFFSET                     0x0
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_APBDMA_TX_UNDERRUN_DEFAULT                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_APBDMA_TX_UNDERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_APBDMA_TX_UNDERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_APBDMA_TX_UNDERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_APBDMA_RX_OVERRUN_SHIFT                        _MK_SHIFT_CONST(9)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_APBDMA_RX_OVERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_MASK_0_APBIF_CH0_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_APBDMA_RX_OVERRUN_RANGE                        9:9
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_APBDMA_RX_OVERRUN_WOFFSET                      0x0
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_APBDMA_RX_OVERRUN_DEFAULT                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_APBDMA_RX_OVERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_APBDMA_RX_OVERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_APBDMA_RX_OVERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH0_APBDMA_RX_OVERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SHIFT                       _MK_SHIFT_CONST(10)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_APBDMA_TX_UNDERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_MASK_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_APBDMA_TX_UNDERRUN_RANGE                       10:10
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_APBDMA_TX_UNDERRUN_WOFFSET                     0x0
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_APBDMA_TX_UNDERRUN_DEFAULT                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_APBDMA_TX_UNDERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_APBDMA_TX_UNDERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_APBDMA_TX_UNDERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_APBDMA_RX_OVERRUN_SHIFT                        _MK_SHIFT_CONST(11)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_APBDMA_RX_OVERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_MASK_0_APBIF_CH1_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_APBDMA_RX_OVERRUN_RANGE                        11:11
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_APBDMA_RX_OVERRUN_WOFFSET                      0x0
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_APBDMA_RX_OVERRUN_DEFAULT                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_APBDMA_RX_OVERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_APBDMA_RX_OVERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_APBDMA_RX_OVERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH1_APBDMA_RX_OVERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SHIFT                       _MK_SHIFT_CONST(12)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_APBDMA_TX_UNDERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_MASK_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_APBDMA_TX_UNDERRUN_RANGE                       12:12
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_APBDMA_TX_UNDERRUN_WOFFSET                     0x0
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_APBDMA_TX_UNDERRUN_DEFAULT                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_APBDMA_TX_UNDERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_APBDMA_TX_UNDERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_APBDMA_TX_UNDERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_APBDMA_RX_OVERRUN_SHIFT                        _MK_SHIFT_CONST(13)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_APBDMA_RX_OVERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_MASK_0_APBIF_CH2_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_APBDMA_RX_OVERRUN_RANGE                        13:13
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_APBDMA_RX_OVERRUN_WOFFSET                      0x0
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_APBDMA_RX_OVERRUN_DEFAULT                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_APBDMA_RX_OVERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_APBDMA_RX_OVERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_APBDMA_RX_OVERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH2_APBDMA_RX_OVERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SHIFT                       _MK_SHIFT_CONST(14)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_APBDMA_TX_UNDERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_MASK_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_APBDMA_TX_UNDERRUN_RANGE                       14:14
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_APBDMA_TX_UNDERRUN_WOFFSET                     0x0
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_APBDMA_TX_UNDERRUN_DEFAULT                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_APBDMA_TX_UNDERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_APBDMA_TX_UNDERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_APBDMA_TX_UNDERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_APBDMA_RX_OVERRUN_SHIFT                        _MK_SHIFT_CONST(15)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_APBDMA_RX_OVERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_MASK_0_APBIF_CH3_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_APBDMA_RX_OVERRUN_RANGE                        15:15
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_APBDMA_RX_OVERRUN_WOFFSET                      0x0
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_APBDMA_RX_OVERRUN_DEFAULT                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_APBDMA_RX_OVERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_APBDMA_RX_OVERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_APBDMA_RX_OVERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_MASK_0_APBIF_CH3_APBDMA_RX_OVERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_MASK_0_CONFIG_LINK_TIMEOUT_SHIFT                        _MK_SHIFT_CONST(16)
#define APBIF_APBIF_INT_MASK_0_CONFIG_LINK_TIMEOUT_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_MASK_0_CONFIG_LINK_TIMEOUT_SHIFT)
#define APBIF_APBIF_INT_MASK_0_CONFIG_LINK_TIMEOUT_RANGE                        16:16
#define APBIF_APBIF_INT_MASK_0_CONFIG_LINK_TIMEOUT_WOFFSET                      0x0
#define APBIF_APBIF_INT_MASK_0_CONFIG_LINK_TIMEOUT_DEFAULT                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_CONFIG_LINK_TIMEOUT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_MASK_0_CONFIG_LINK_TIMEOUT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_CONFIG_LINK_TIMEOUT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_MASK_0_CONFIG_LINK_TIMEOUT_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_MASK_0_CONFIG_LINK_TIMEOUT_ENABLE                       _MK_ENUM_CONST(1)


// Reserved address 196 [0xc4]

// Register APBIF_I2S_INT_STATUS_0
#define APBIF_I2S_INT_STATUS_0                  _MK_ADDR_CONST(0xc8)
#define APBIF_I2S_INT_STATUS_0_SECURE                   0x0
#define APBIF_I2S_INT_STATUS_0_SCR                      0
#define APBIF_I2S_INT_STATUS_0_WORD_COUNT                       0x1
#define APBIF_I2S_INT_STATUS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_RESET_MASK                       _MK_MASK_CONST(0x7fff03ff)
#define APBIF_I2S_INT_STATUS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_READ_MASK                        _MK_MASK_CONST(0x7fff03ff)
#define APBIF_I2S_INT_STATUS_0_WRITE_MASK                       _MK_MASK_CONST(0x7fff03ff)
#define APBIF_I2S_INT_STATUS_0_I2S0_TX_DONE_SHIFT                       _MK_SHIFT_CONST(0)
#define APBIF_I2S_INT_STATUS_0_I2S0_TX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_I2S_INT_STATUS_0_I2S0_TX_DONE_SHIFT)
#define APBIF_I2S_INT_STATUS_0_I2S0_TX_DONE_RANGE                       0:0
#define APBIF_I2S_INT_STATUS_0_I2S0_TX_DONE_WOFFSET                     0x0
#define APBIF_I2S_INT_STATUS_0_I2S0_TX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S0_TX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_STATUS_0_I2S0_TX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S0_TX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S0_TX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_STATUS_0_I2S0_TX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_STATUS_0_I2S0_RX_DONE_SHIFT                       _MK_SHIFT_CONST(1)
#define APBIF_I2S_INT_STATUS_0_I2S0_RX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_I2S_INT_STATUS_0_I2S0_RX_DONE_SHIFT)
#define APBIF_I2S_INT_STATUS_0_I2S0_RX_DONE_RANGE                       1:1
#define APBIF_I2S_INT_STATUS_0_I2S0_RX_DONE_WOFFSET                     0x0
#define APBIF_I2S_INT_STATUS_0_I2S0_RX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S0_RX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_STATUS_0_I2S0_RX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S0_RX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S0_RX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_STATUS_0_I2S0_RX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_STATUS_0_I2S1_TX_DONE_SHIFT                       _MK_SHIFT_CONST(2)
#define APBIF_I2S_INT_STATUS_0_I2S1_TX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_I2S_INT_STATUS_0_I2S1_TX_DONE_SHIFT)
#define APBIF_I2S_INT_STATUS_0_I2S1_TX_DONE_RANGE                       2:2
#define APBIF_I2S_INT_STATUS_0_I2S1_TX_DONE_WOFFSET                     0x0
#define APBIF_I2S_INT_STATUS_0_I2S1_TX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S1_TX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_STATUS_0_I2S1_TX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S1_TX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S1_TX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_STATUS_0_I2S1_TX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_STATUS_0_I2S1_RX_DONE_SHIFT                       _MK_SHIFT_CONST(3)
#define APBIF_I2S_INT_STATUS_0_I2S1_RX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_I2S_INT_STATUS_0_I2S1_RX_DONE_SHIFT)
#define APBIF_I2S_INT_STATUS_0_I2S1_RX_DONE_RANGE                       3:3
#define APBIF_I2S_INT_STATUS_0_I2S1_RX_DONE_WOFFSET                     0x0
#define APBIF_I2S_INT_STATUS_0_I2S1_RX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S1_RX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_STATUS_0_I2S1_RX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S1_RX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S1_RX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_STATUS_0_I2S1_RX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_STATUS_0_I2S2_TX_DONE_SHIFT                       _MK_SHIFT_CONST(4)
#define APBIF_I2S_INT_STATUS_0_I2S2_TX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_I2S_INT_STATUS_0_I2S2_TX_DONE_SHIFT)
#define APBIF_I2S_INT_STATUS_0_I2S2_TX_DONE_RANGE                       4:4
#define APBIF_I2S_INT_STATUS_0_I2S2_TX_DONE_WOFFSET                     0x0
#define APBIF_I2S_INT_STATUS_0_I2S2_TX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S2_TX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_STATUS_0_I2S2_TX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S2_TX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S2_TX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_STATUS_0_I2S2_TX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_STATUS_0_I2S2_RX_DONE_SHIFT                       _MK_SHIFT_CONST(5)
#define APBIF_I2S_INT_STATUS_0_I2S2_RX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_I2S_INT_STATUS_0_I2S2_RX_DONE_SHIFT)
#define APBIF_I2S_INT_STATUS_0_I2S2_RX_DONE_RANGE                       5:5
#define APBIF_I2S_INT_STATUS_0_I2S2_RX_DONE_WOFFSET                     0x0
#define APBIF_I2S_INT_STATUS_0_I2S2_RX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S2_RX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_STATUS_0_I2S2_RX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S2_RX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S2_RX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_STATUS_0_I2S2_RX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_STATUS_0_I2S3_TX_DONE_SHIFT                       _MK_SHIFT_CONST(6)
#define APBIF_I2S_INT_STATUS_0_I2S3_TX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_I2S_INT_STATUS_0_I2S3_TX_DONE_SHIFT)
#define APBIF_I2S_INT_STATUS_0_I2S3_TX_DONE_RANGE                       6:6
#define APBIF_I2S_INT_STATUS_0_I2S3_TX_DONE_WOFFSET                     0x0
#define APBIF_I2S_INT_STATUS_0_I2S3_TX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S3_TX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_STATUS_0_I2S3_TX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S3_TX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S3_TX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_STATUS_0_I2S3_TX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_STATUS_0_I2S3_RX_DONE_SHIFT                       _MK_SHIFT_CONST(7)
#define APBIF_I2S_INT_STATUS_0_I2S3_RX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_I2S_INT_STATUS_0_I2S3_RX_DONE_SHIFT)
#define APBIF_I2S_INT_STATUS_0_I2S3_RX_DONE_RANGE                       7:7
#define APBIF_I2S_INT_STATUS_0_I2S3_RX_DONE_WOFFSET                     0x0
#define APBIF_I2S_INT_STATUS_0_I2S3_RX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S3_RX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_STATUS_0_I2S3_RX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S3_RX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S3_RX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_STATUS_0_I2S3_RX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_STATUS_0_I2S4_TX_DONE_SHIFT                       _MK_SHIFT_CONST(8)
#define APBIF_I2S_INT_STATUS_0_I2S4_TX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_I2S_INT_STATUS_0_I2S4_TX_DONE_SHIFT)
#define APBIF_I2S_INT_STATUS_0_I2S4_TX_DONE_RANGE                       8:8
#define APBIF_I2S_INT_STATUS_0_I2S4_TX_DONE_WOFFSET                     0x0
#define APBIF_I2S_INT_STATUS_0_I2S4_TX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S4_TX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_STATUS_0_I2S4_TX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S4_TX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S4_TX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_STATUS_0_I2S4_TX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_STATUS_0_I2S4_RX_DONE_SHIFT                       _MK_SHIFT_CONST(9)
#define APBIF_I2S_INT_STATUS_0_I2S4_RX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_I2S_INT_STATUS_0_I2S4_RX_DONE_SHIFT)
#define APBIF_I2S_INT_STATUS_0_I2S4_RX_DONE_RANGE                       9:9
#define APBIF_I2S_INT_STATUS_0_I2S4_RX_DONE_WOFFSET                     0x0
#define APBIF_I2S_INT_STATUS_0_I2S4_RX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S4_RX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_STATUS_0_I2S4_RX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S4_RX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S4_RX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_STATUS_0_I2S4_RX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_STATUS_0_I2S0_RXCIF_UNDERRUN_SHIFT                        _MK_SHIFT_CONST(16)
#define APBIF_I2S_INT_STATUS_0_I2S0_RXCIF_UNDERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_I2S_INT_STATUS_0_I2S0_RXCIF_UNDERRUN_SHIFT)
#define APBIF_I2S_INT_STATUS_0_I2S0_RXCIF_UNDERRUN_RANGE                        16:16
#define APBIF_I2S_INT_STATUS_0_I2S0_RXCIF_UNDERRUN_WOFFSET                      0x0
#define APBIF_I2S_INT_STATUS_0_I2S0_RXCIF_UNDERRUN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S0_RXCIF_UNDERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_STATUS_0_I2S0_RXCIF_UNDERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S0_RXCIF_UNDERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S0_RXCIF_UNDERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_STATUS_0_I2S0_RXCIF_UNDERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_STATUS_0_I2S0_TXCIF_OVERRUN_SHIFT                 _MK_SHIFT_CONST(17)
#define APBIF_I2S_INT_STATUS_0_I2S0_TXCIF_OVERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_I2S_INT_STATUS_0_I2S0_TXCIF_OVERRUN_SHIFT)
#define APBIF_I2S_INT_STATUS_0_I2S0_TXCIF_OVERRUN_RANGE                 17:17
#define APBIF_I2S_INT_STATUS_0_I2S0_TXCIF_OVERRUN_WOFFSET                       0x0
#define APBIF_I2S_INT_STATUS_0_I2S0_TXCIF_OVERRUN_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S0_TXCIF_OVERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_STATUS_0_I2S0_TXCIF_OVERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S0_TXCIF_OVERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S0_TXCIF_OVERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_STATUS_0_I2S0_TXCIF_OVERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_STATUS_0_I2S1_RXCIF_UNDERRUN_SHIFT                        _MK_SHIFT_CONST(18)
#define APBIF_I2S_INT_STATUS_0_I2S1_RXCIF_UNDERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_I2S_INT_STATUS_0_I2S1_RXCIF_UNDERRUN_SHIFT)
#define APBIF_I2S_INT_STATUS_0_I2S1_RXCIF_UNDERRUN_RANGE                        18:18
#define APBIF_I2S_INT_STATUS_0_I2S1_RXCIF_UNDERRUN_WOFFSET                      0x0
#define APBIF_I2S_INT_STATUS_0_I2S1_RXCIF_UNDERRUN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S1_RXCIF_UNDERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_STATUS_0_I2S1_RXCIF_UNDERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S1_RXCIF_UNDERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S1_RXCIF_UNDERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_STATUS_0_I2S1_RXCIF_UNDERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_STATUS_0_I2S1_TXCIF_OVERRUN_SHIFT                 _MK_SHIFT_CONST(19)
#define APBIF_I2S_INT_STATUS_0_I2S1_TXCIF_OVERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_I2S_INT_STATUS_0_I2S1_TXCIF_OVERRUN_SHIFT)
#define APBIF_I2S_INT_STATUS_0_I2S1_TXCIF_OVERRUN_RANGE                 19:19
#define APBIF_I2S_INT_STATUS_0_I2S1_TXCIF_OVERRUN_WOFFSET                       0x0
#define APBIF_I2S_INT_STATUS_0_I2S1_TXCIF_OVERRUN_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S1_TXCIF_OVERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_STATUS_0_I2S1_TXCIF_OVERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S1_TXCIF_OVERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S1_TXCIF_OVERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_STATUS_0_I2S1_TXCIF_OVERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_STATUS_0_I2S2_RXCIF_UNDERRUN_SHIFT                        _MK_SHIFT_CONST(20)
#define APBIF_I2S_INT_STATUS_0_I2S2_RXCIF_UNDERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_I2S_INT_STATUS_0_I2S2_RXCIF_UNDERRUN_SHIFT)
#define APBIF_I2S_INT_STATUS_0_I2S2_RXCIF_UNDERRUN_RANGE                        20:20
#define APBIF_I2S_INT_STATUS_0_I2S2_RXCIF_UNDERRUN_WOFFSET                      0x0
#define APBIF_I2S_INT_STATUS_0_I2S2_RXCIF_UNDERRUN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S2_RXCIF_UNDERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_STATUS_0_I2S2_RXCIF_UNDERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S2_RXCIF_UNDERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S2_RXCIF_UNDERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_STATUS_0_I2S2_RXCIF_UNDERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_STATUS_0_I2S2_TXCIF_OVERRUN_SHIFT                 _MK_SHIFT_CONST(21)
#define APBIF_I2S_INT_STATUS_0_I2S2_TXCIF_OVERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_I2S_INT_STATUS_0_I2S2_TXCIF_OVERRUN_SHIFT)
#define APBIF_I2S_INT_STATUS_0_I2S2_TXCIF_OVERRUN_RANGE                 21:21
#define APBIF_I2S_INT_STATUS_0_I2S2_TXCIF_OVERRUN_WOFFSET                       0x0
#define APBIF_I2S_INT_STATUS_0_I2S2_TXCIF_OVERRUN_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S2_TXCIF_OVERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_STATUS_0_I2S2_TXCIF_OVERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S2_TXCIF_OVERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S2_TXCIF_OVERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_STATUS_0_I2S2_TXCIF_OVERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_STATUS_0_I2S3_RXCIF_UNDERRUN_SHIFT                        _MK_SHIFT_CONST(22)
#define APBIF_I2S_INT_STATUS_0_I2S3_RXCIF_UNDERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_I2S_INT_STATUS_0_I2S3_RXCIF_UNDERRUN_SHIFT)
#define APBIF_I2S_INT_STATUS_0_I2S3_RXCIF_UNDERRUN_RANGE                        22:22
#define APBIF_I2S_INT_STATUS_0_I2S3_RXCIF_UNDERRUN_WOFFSET                      0x0
#define APBIF_I2S_INT_STATUS_0_I2S3_RXCIF_UNDERRUN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S3_RXCIF_UNDERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_STATUS_0_I2S3_RXCIF_UNDERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S3_RXCIF_UNDERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S3_RXCIF_UNDERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_STATUS_0_I2S3_RXCIF_UNDERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_STATUS_0_I2S3_TXCIF_OVERRUN_SHIFT                 _MK_SHIFT_CONST(23)
#define APBIF_I2S_INT_STATUS_0_I2S3_TXCIF_OVERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_I2S_INT_STATUS_0_I2S3_TXCIF_OVERRUN_SHIFT)
#define APBIF_I2S_INT_STATUS_0_I2S3_TXCIF_OVERRUN_RANGE                 23:23
#define APBIF_I2S_INT_STATUS_0_I2S3_TXCIF_OVERRUN_WOFFSET                       0x0
#define APBIF_I2S_INT_STATUS_0_I2S3_TXCIF_OVERRUN_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S3_TXCIF_OVERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_STATUS_0_I2S3_TXCIF_OVERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S3_TXCIF_OVERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S3_TXCIF_OVERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_STATUS_0_I2S3_TXCIF_OVERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_STATUS_0_I2S4_RXCIF_UNDERRUN_SHIFT                        _MK_SHIFT_CONST(24)
#define APBIF_I2S_INT_STATUS_0_I2S4_RXCIF_UNDERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_I2S_INT_STATUS_0_I2S4_RXCIF_UNDERRUN_SHIFT)
#define APBIF_I2S_INT_STATUS_0_I2S4_RXCIF_UNDERRUN_RANGE                        24:24
#define APBIF_I2S_INT_STATUS_0_I2S4_RXCIF_UNDERRUN_WOFFSET                      0x0
#define APBIF_I2S_INT_STATUS_0_I2S4_RXCIF_UNDERRUN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S4_RXCIF_UNDERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_STATUS_0_I2S4_RXCIF_UNDERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S4_RXCIF_UNDERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S4_RXCIF_UNDERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_STATUS_0_I2S4_RXCIF_UNDERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_STATUS_0_I2S4_TXCIF_OVERRUN_SHIFT                 _MK_SHIFT_CONST(25)
#define APBIF_I2S_INT_STATUS_0_I2S4_TXCIF_OVERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_I2S_INT_STATUS_0_I2S4_TXCIF_OVERRUN_SHIFT)
#define APBIF_I2S_INT_STATUS_0_I2S4_TXCIF_OVERRUN_RANGE                 25:25
#define APBIF_I2S_INT_STATUS_0_I2S4_TXCIF_OVERRUN_WOFFSET                       0x0
#define APBIF_I2S_INT_STATUS_0_I2S4_TXCIF_OVERRUN_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S4_TXCIF_OVERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_STATUS_0_I2S4_TXCIF_OVERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S4_TXCIF_OVERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S4_TXCIF_OVERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_STATUS_0_I2S4_TXCIF_OVERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_STATUS_0_I2S0_FLOW_CTL_INT_SHIFT                  _MK_SHIFT_CONST(26)
#define APBIF_I2S_INT_STATUS_0_I2S0_FLOW_CTL_INT_FIELD                  _MK_FIELD_CONST(0x1, APBIF_I2S_INT_STATUS_0_I2S0_FLOW_CTL_INT_SHIFT)
#define APBIF_I2S_INT_STATUS_0_I2S0_FLOW_CTL_INT_RANGE                  26:26
#define APBIF_I2S_INT_STATUS_0_I2S0_FLOW_CTL_INT_WOFFSET                        0x0
#define APBIF_I2S_INT_STATUS_0_I2S0_FLOW_CTL_INT_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S0_FLOW_CTL_INT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_STATUS_0_I2S0_FLOW_CTL_INT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S0_FLOW_CTL_INT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S0_FLOW_CTL_INT_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_STATUS_0_I2S0_FLOW_CTL_INT_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_STATUS_0_I2S1_FLOW_CTL_INT_SHIFT                  _MK_SHIFT_CONST(27)
#define APBIF_I2S_INT_STATUS_0_I2S1_FLOW_CTL_INT_FIELD                  _MK_FIELD_CONST(0x1, APBIF_I2S_INT_STATUS_0_I2S1_FLOW_CTL_INT_SHIFT)
#define APBIF_I2S_INT_STATUS_0_I2S1_FLOW_CTL_INT_RANGE                  27:27
#define APBIF_I2S_INT_STATUS_0_I2S1_FLOW_CTL_INT_WOFFSET                        0x0
#define APBIF_I2S_INT_STATUS_0_I2S1_FLOW_CTL_INT_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S1_FLOW_CTL_INT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_STATUS_0_I2S1_FLOW_CTL_INT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S1_FLOW_CTL_INT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S1_FLOW_CTL_INT_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_STATUS_0_I2S1_FLOW_CTL_INT_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_STATUS_0_I2S2_FLOW_CTL_INT_SHIFT                  _MK_SHIFT_CONST(28)
#define APBIF_I2S_INT_STATUS_0_I2S2_FLOW_CTL_INT_FIELD                  _MK_FIELD_CONST(0x1, APBIF_I2S_INT_STATUS_0_I2S2_FLOW_CTL_INT_SHIFT)
#define APBIF_I2S_INT_STATUS_0_I2S2_FLOW_CTL_INT_RANGE                  28:28
#define APBIF_I2S_INT_STATUS_0_I2S2_FLOW_CTL_INT_WOFFSET                        0x0
#define APBIF_I2S_INT_STATUS_0_I2S2_FLOW_CTL_INT_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S2_FLOW_CTL_INT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_STATUS_0_I2S2_FLOW_CTL_INT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S2_FLOW_CTL_INT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S2_FLOW_CTL_INT_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_STATUS_0_I2S2_FLOW_CTL_INT_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_STATUS_0_I2S3_FLOW_CTL_INT_SHIFT                  _MK_SHIFT_CONST(29)
#define APBIF_I2S_INT_STATUS_0_I2S3_FLOW_CTL_INT_FIELD                  _MK_FIELD_CONST(0x1, APBIF_I2S_INT_STATUS_0_I2S3_FLOW_CTL_INT_SHIFT)
#define APBIF_I2S_INT_STATUS_0_I2S3_FLOW_CTL_INT_RANGE                  29:29
#define APBIF_I2S_INT_STATUS_0_I2S3_FLOW_CTL_INT_WOFFSET                        0x0
#define APBIF_I2S_INT_STATUS_0_I2S3_FLOW_CTL_INT_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S3_FLOW_CTL_INT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_STATUS_0_I2S3_FLOW_CTL_INT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S3_FLOW_CTL_INT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S3_FLOW_CTL_INT_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_STATUS_0_I2S3_FLOW_CTL_INT_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_STATUS_0_I2S4_FLOW_CTL_INT_SHIFT                  _MK_SHIFT_CONST(30)
#define APBIF_I2S_INT_STATUS_0_I2S4_FLOW_CTL_INT_FIELD                  _MK_FIELD_CONST(0x1, APBIF_I2S_INT_STATUS_0_I2S4_FLOW_CTL_INT_SHIFT)
#define APBIF_I2S_INT_STATUS_0_I2S4_FLOW_CTL_INT_RANGE                  30:30
#define APBIF_I2S_INT_STATUS_0_I2S4_FLOW_CTL_INT_WOFFSET                        0x0
#define APBIF_I2S_INT_STATUS_0_I2S4_FLOW_CTL_INT_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S4_FLOW_CTL_INT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_STATUS_0_I2S4_FLOW_CTL_INT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S4_FLOW_CTL_INT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_STATUS_0_I2S4_FLOW_CTL_INT_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_STATUS_0_I2S4_FLOW_CTL_INT_ENABLE                 _MK_ENUM_CONST(1)


// Register APBIF_DAM_INT_STATUS_0
#define APBIF_DAM_INT_STATUS_0                  _MK_ADDR_CONST(0xcc)
#define APBIF_DAM_INT_STATUS_0_SECURE                   0x0
#define APBIF_DAM_INT_STATUS_0_SCR                      0
#define APBIF_DAM_INT_STATUS_0_WORD_COUNT                       0x1
#define APBIF_DAM_INT_STATUS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_RESET_MASK                       _MK_MASK_CONST(0x939393)
#define APBIF_DAM_INT_STATUS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_READ_MASK                        _MK_MASK_CONST(0x939393)
#define APBIF_DAM_INT_STATUS_0_WRITE_MASK                       _MK_MASK_CONST(0x939393)
#define APBIF_DAM_INT_STATUS_0_DAM0_RX0_DONE_SHIFT                      _MK_SHIFT_CONST(0)
#define APBIF_DAM_INT_STATUS_0_DAM0_RX0_DONE_FIELD                      _MK_FIELD_CONST(0x1, APBIF_DAM_INT_STATUS_0_DAM0_RX0_DONE_SHIFT)
#define APBIF_DAM_INT_STATUS_0_DAM0_RX0_DONE_RANGE                      0:0
#define APBIF_DAM_INT_STATUS_0_DAM0_RX0_DONE_WOFFSET                    0x0
#define APBIF_DAM_INT_STATUS_0_DAM0_RX0_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM0_RX0_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_STATUS_0_DAM0_RX0_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM0_RX0_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM0_RX0_DONE_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_STATUS_0_DAM0_RX0_DONE_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_STATUS_0_DAM0_RX1_DONE_SHIFT                      _MK_SHIFT_CONST(1)
#define APBIF_DAM_INT_STATUS_0_DAM0_RX1_DONE_FIELD                      _MK_FIELD_CONST(0x1, APBIF_DAM_INT_STATUS_0_DAM0_RX1_DONE_SHIFT)
#define APBIF_DAM_INT_STATUS_0_DAM0_RX1_DONE_RANGE                      1:1
#define APBIF_DAM_INT_STATUS_0_DAM0_RX1_DONE_WOFFSET                    0x0
#define APBIF_DAM_INT_STATUS_0_DAM0_RX1_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM0_RX1_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_STATUS_0_DAM0_RX1_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM0_RX1_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM0_RX1_DONE_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_STATUS_0_DAM0_RX1_DONE_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_STATUS_0_DAM0_TX_DONE_SHIFT                       _MK_SHIFT_CONST(4)
#define APBIF_DAM_INT_STATUS_0_DAM0_TX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_DAM_INT_STATUS_0_DAM0_TX_DONE_SHIFT)
#define APBIF_DAM_INT_STATUS_0_DAM0_TX_DONE_RANGE                       4:4
#define APBIF_DAM_INT_STATUS_0_DAM0_TX_DONE_WOFFSET                     0x0
#define APBIF_DAM_INT_STATUS_0_DAM0_TX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM0_TX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_STATUS_0_DAM0_TX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM0_TX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM0_TX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_STATUS_0_DAM0_TX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_STATUS_0_DAM0_CLIP_INTR_SHIFT                     _MK_SHIFT_CONST(7)
#define APBIF_DAM_INT_STATUS_0_DAM0_CLIP_INTR_FIELD                     _MK_FIELD_CONST(0x1, APBIF_DAM_INT_STATUS_0_DAM0_CLIP_INTR_SHIFT)
#define APBIF_DAM_INT_STATUS_0_DAM0_CLIP_INTR_RANGE                     7:7
#define APBIF_DAM_INT_STATUS_0_DAM0_CLIP_INTR_WOFFSET                   0x0
#define APBIF_DAM_INT_STATUS_0_DAM0_CLIP_INTR_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM0_CLIP_INTR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_STATUS_0_DAM0_CLIP_INTR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM0_CLIP_INTR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM0_CLIP_INTR_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_STATUS_0_DAM0_CLIP_INTR_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_STATUS_0_DAM1_RX0_DONE_SHIFT                      _MK_SHIFT_CONST(8)
#define APBIF_DAM_INT_STATUS_0_DAM1_RX0_DONE_FIELD                      _MK_FIELD_CONST(0x1, APBIF_DAM_INT_STATUS_0_DAM1_RX0_DONE_SHIFT)
#define APBIF_DAM_INT_STATUS_0_DAM1_RX0_DONE_RANGE                      8:8
#define APBIF_DAM_INT_STATUS_0_DAM1_RX0_DONE_WOFFSET                    0x0
#define APBIF_DAM_INT_STATUS_0_DAM1_RX0_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM1_RX0_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_STATUS_0_DAM1_RX0_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM1_RX0_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM1_RX0_DONE_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_STATUS_0_DAM1_RX0_DONE_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_STATUS_0_DAM1_RX1_DONE_SHIFT                      _MK_SHIFT_CONST(9)
#define APBIF_DAM_INT_STATUS_0_DAM1_RX1_DONE_FIELD                      _MK_FIELD_CONST(0x1, APBIF_DAM_INT_STATUS_0_DAM1_RX1_DONE_SHIFT)
#define APBIF_DAM_INT_STATUS_0_DAM1_RX1_DONE_RANGE                      9:9
#define APBIF_DAM_INT_STATUS_0_DAM1_RX1_DONE_WOFFSET                    0x0
#define APBIF_DAM_INT_STATUS_0_DAM1_RX1_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM1_RX1_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_STATUS_0_DAM1_RX1_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM1_RX1_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM1_RX1_DONE_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_STATUS_0_DAM1_RX1_DONE_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_STATUS_0_DAM1_TX_DONE_SHIFT                       _MK_SHIFT_CONST(12)
#define APBIF_DAM_INT_STATUS_0_DAM1_TX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_DAM_INT_STATUS_0_DAM1_TX_DONE_SHIFT)
#define APBIF_DAM_INT_STATUS_0_DAM1_TX_DONE_RANGE                       12:12
#define APBIF_DAM_INT_STATUS_0_DAM1_TX_DONE_WOFFSET                     0x0
#define APBIF_DAM_INT_STATUS_0_DAM1_TX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM1_TX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_STATUS_0_DAM1_TX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM1_TX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM1_TX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_STATUS_0_DAM1_TX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_STATUS_0_DAM1_CLIP_INTR_SHIFT                     _MK_SHIFT_CONST(15)
#define APBIF_DAM_INT_STATUS_0_DAM1_CLIP_INTR_FIELD                     _MK_FIELD_CONST(0x1, APBIF_DAM_INT_STATUS_0_DAM1_CLIP_INTR_SHIFT)
#define APBIF_DAM_INT_STATUS_0_DAM1_CLIP_INTR_RANGE                     15:15
#define APBIF_DAM_INT_STATUS_0_DAM1_CLIP_INTR_WOFFSET                   0x0
#define APBIF_DAM_INT_STATUS_0_DAM1_CLIP_INTR_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM1_CLIP_INTR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_STATUS_0_DAM1_CLIP_INTR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM1_CLIP_INTR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM1_CLIP_INTR_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_STATUS_0_DAM1_CLIP_INTR_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_STATUS_0_DAM2_RX0_DONE_SHIFT                      _MK_SHIFT_CONST(16)
#define APBIF_DAM_INT_STATUS_0_DAM2_RX0_DONE_FIELD                      _MK_FIELD_CONST(0x1, APBIF_DAM_INT_STATUS_0_DAM2_RX0_DONE_SHIFT)
#define APBIF_DAM_INT_STATUS_0_DAM2_RX0_DONE_RANGE                      16:16
#define APBIF_DAM_INT_STATUS_0_DAM2_RX0_DONE_WOFFSET                    0x0
#define APBIF_DAM_INT_STATUS_0_DAM2_RX0_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM2_RX0_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_STATUS_0_DAM2_RX0_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM2_RX0_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM2_RX0_DONE_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_STATUS_0_DAM2_RX0_DONE_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_STATUS_0_DAM2_RX1_DONE_SHIFT                      _MK_SHIFT_CONST(17)
#define APBIF_DAM_INT_STATUS_0_DAM2_RX1_DONE_FIELD                      _MK_FIELD_CONST(0x1, APBIF_DAM_INT_STATUS_0_DAM2_RX1_DONE_SHIFT)
#define APBIF_DAM_INT_STATUS_0_DAM2_RX1_DONE_RANGE                      17:17
#define APBIF_DAM_INT_STATUS_0_DAM2_RX1_DONE_WOFFSET                    0x0
#define APBIF_DAM_INT_STATUS_0_DAM2_RX1_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM2_RX1_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_STATUS_0_DAM2_RX1_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM2_RX1_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM2_RX1_DONE_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_STATUS_0_DAM2_RX1_DONE_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_STATUS_0_DAM2_TX_DONE_SHIFT                       _MK_SHIFT_CONST(20)
#define APBIF_DAM_INT_STATUS_0_DAM2_TX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_DAM_INT_STATUS_0_DAM2_TX_DONE_SHIFT)
#define APBIF_DAM_INT_STATUS_0_DAM2_TX_DONE_RANGE                       20:20
#define APBIF_DAM_INT_STATUS_0_DAM2_TX_DONE_WOFFSET                     0x0
#define APBIF_DAM_INT_STATUS_0_DAM2_TX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM2_TX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_STATUS_0_DAM2_TX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM2_TX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM2_TX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_STATUS_0_DAM2_TX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_STATUS_0_DAM2_CLIP_INTR_SHIFT                     _MK_SHIFT_CONST(23)
#define APBIF_DAM_INT_STATUS_0_DAM2_CLIP_INTR_FIELD                     _MK_FIELD_CONST(0x1, APBIF_DAM_INT_STATUS_0_DAM2_CLIP_INTR_SHIFT)
#define APBIF_DAM_INT_STATUS_0_DAM2_CLIP_INTR_RANGE                     23:23
#define APBIF_DAM_INT_STATUS_0_DAM2_CLIP_INTR_WOFFSET                   0x0
#define APBIF_DAM_INT_STATUS_0_DAM2_CLIP_INTR_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM2_CLIP_INTR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_STATUS_0_DAM2_CLIP_INTR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM2_CLIP_INTR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_STATUS_0_DAM2_CLIP_INTR_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_STATUS_0_DAM2_CLIP_INTR_ENABLE                    _MK_ENUM_CONST(1)


// Reserved address 208 [0xd0]

// Register APBIF_SPDIF_INT_STATUS_0
#define APBIF_SPDIF_INT_STATUS_0                        _MK_ADDR_CONST(0xd4)
#define APBIF_SPDIF_INT_STATUS_0_SECURE                         0x0
#define APBIF_SPDIF_INT_STATUS_0_SCR                    0
#define APBIF_SPDIF_INT_STATUS_0_WORD_COUNT                     0x1
#define APBIF_SPDIF_INT_STATUS_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_RESET_MASK                     _MK_MASK_CONST(0x8fff)
#define APBIF_SPDIF_INT_STATUS_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_READ_MASK                      _MK_MASK_CONST(0x8fff)
#define APBIF_SPDIF_INT_STATUS_0_WRITE_MASK                     _MK_MASK_CONST(0x8fff)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_RX_DONE_SHIFT                       _MK_SHIFT_CONST(0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_RX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_RX_DONE_SHIFT)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_RX_DONE_RANGE                       0:0
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_RX_DONE_WOFFSET                     0x0
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_RX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_RX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_RX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_RX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_RX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_RX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_TX_DONE_SHIFT                       _MK_SHIFT_CONST(1)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_TX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_TX_DONE_SHIFT)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_TX_DONE_RANGE                       1:1
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_TX_DONE_WOFFSET                     0x0
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_TX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_TX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_TX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_TX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_TX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_TX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_RX_DONE_SHIFT                       _MK_SHIFT_CONST(2)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_RX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_RX_DONE_SHIFT)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_RX_DONE_RANGE                       2:2
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_RX_DONE_WOFFSET                     0x0
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_RX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_RX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_RX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_RX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_RX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_RX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_TX_DONE_SHIFT                       _MK_SHIFT_CONST(3)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_TX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_TX_DONE_SHIFT)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_TX_DONE_RANGE                       3:3
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_TX_DONE_WOFFSET                     0x0
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_TX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_TX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_TX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_TX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_TX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_TX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_RXCIF_UNDERRUN_SHIFT                        _MK_SHIFT_CONST(4)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_RXCIF_UNDERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_RXCIF_UNDERRUN_SHIFT)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_RXCIF_UNDERRUN_RANGE                        4:4
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_RXCIF_UNDERRUN_WOFFSET                      0x0
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_RXCIF_UNDERRUN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_RXCIF_UNDERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_RXCIF_UNDERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_RXCIF_UNDERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_RXCIF_UNDERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_RXCIF_UNDERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_TXCIF_OVERRUN_SHIFT                 _MK_SHIFT_CONST(5)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_TXCIF_OVERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_TXCIF_OVERRUN_SHIFT)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_TXCIF_OVERRUN_RANGE                 5:5
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_TXCIF_OVERRUN_WOFFSET                       0x0
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_TXCIF_OVERRUN_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_TXCIF_OVERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_TXCIF_OVERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_TXCIF_OVERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_TXCIF_OVERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_DATA_TXCIF_OVERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_RXCIF_UNDERRUN_SHIFT                        _MK_SHIFT_CONST(6)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_RXCIF_UNDERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_RXCIF_UNDERRUN_SHIFT)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_RXCIF_UNDERRUN_RANGE                        6:6
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_RXCIF_UNDERRUN_WOFFSET                      0x0
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_RXCIF_UNDERRUN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_RXCIF_UNDERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_RXCIF_UNDERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_RXCIF_UNDERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_RXCIF_UNDERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_RXCIF_UNDERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_TXCIF_OVERRUN_SHIFT                 _MK_SHIFT_CONST(7)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_TXCIF_OVERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_TXCIF_OVERRUN_SHIFT)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_TXCIF_OVERRUN_RANGE                 7:7
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_TXCIF_OVERRUN_WOFFSET                       0x0
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_TXCIF_OVERRUN_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_TXCIF_OVERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_TXCIF_OVERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_TXCIF_OVERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_TXCIF_OVERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_USER_TXCIF_OVERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_STATUS_0_SPDIF_RX_IU_SHIFT                      _MK_SHIFT_CONST(8)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_RX_IU_FIELD                      _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_STATUS_0_SPDIF_RX_IU_SHIFT)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_RX_IU_RANGE                      8:8
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_RX_IU_WOFFSET                    0x0
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_RX_IU_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_RX_IU_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_RX_IU_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_RX_IU_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_RX_IU_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_RX_IU_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_STATUS_0_SPDIF_RX_CHANNEL_SHIFT                 _MK_SHIFT_CONST(9)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_RX_CHANNEL_FIELD                 _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_STATUS_0_SPDIF_RX_CHANNEL_SHIFT)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_RX_CHANNEL_RANGE                 9:9
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_RX_CHANNEL_WOFFSET                       0x0
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_RX_CHANNEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_RX_CHANNEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_RX_CHANNEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_RX_CHANNEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_RX_CHANNEL_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_RX_CHANNEL_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_STATUS_0_SPDIF_B_SYNC_SHIFT                     _MK_SHIFT_CONST(10)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_B_SYNC_FIELD                     _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_STATUS_0_SPDIF_B_SYNC_SHIFT)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_B_SYNC_RANGE                     10:10
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_B_SYNC_WOFFSET                   0x0
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_B_SYNC_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_B_SYNC_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_B_SYNC_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_B_SYNC_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_B_SYNC_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_B_SYNC_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_STATUS_0_SPDIF_BAD_PREAMBLE_SHIFT                       _MK_SHIFT_CONST(11)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_BAD_PREAMBLE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_STATUS_0_SPDIF_BAD_PREAMBLE_SHIFT)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_BAD_PREAMBLE_RANGE                       11:11
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_BAD_PREAMBLE_WOFFSET                     0x0
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_BAD_PREAMBLE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_BAD_PREAMBLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_BAD_PREAMBLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_BAD_PREAMBLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_BAD_PREAMBLE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_BAD_PREAMBLE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_STATUS_0_SPDIF_FLOW_CTL_INT_SHIFT                       _MK_SHIFT_CONST(15)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_FLOW_CTL_INT_FIELD                       _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_STATUS_0_SPDIF_FLOW_CTL_INT_SHIFT)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_FLOW_CTL_INT_RANGE                       15:15
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_FLOW_CTL_INT_WOFFSET                     0x0
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_FLOW_CTL_INT_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_FLOW_CTL_INT_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_FLOW_CTL_INT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_FLOW_CTL_INT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_FLOW_CTL_INT_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_STATUS_0_SPDIF_FLOW_CTL_INT_ENABLE                      _MK_ENUM_CONST(1)


// Register APBIF_APBIF_INT_STATUS_0
#define APBIF_APBIF_INT_STATUS_0                        _MK_ADDR_CONST(0xd8)
#define APBIF_APBIF_INT_STATUS_0_SECURE                         0x0
#define APBIF_APBIF_INT_STATUS_0_SCR                    0
#define APBIF_APBIF_INT_STATUS_0_WORD_COUNT                     0x1
#define APBIF_APBIF_INT_STATUS_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_RESET_MASK                     _MK_MASK_CONST(0x1ffff)
#define APBIF_APBIF_INT_STATUS_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_READ_MASK                      _MK_MASK_CONST(0x1ffff)
#define APBIF_APBIF_INT_STATUS_0_WRITE_MASK                     _MK_MASK_CONST(0x1ffff)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_RXCIF_UNDERRUN_SHIFT                 _MK_SHIFT_CONST(0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_RXCIF_UNDERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_STATUS_0_APBIF_CH0_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_RXCIF_UNDERRUN_RANGE                 0:0
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_RXCIF_UNDERRUN_WOFFSET                       0x0
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_RXCIF_UNDERRUN_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_RXCIF_UNDERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_RXCIF_UNDERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_RXCIF_UNDERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_RXCIF_UNDERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_RXCIF_UNDERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_TXCIF_OVERRUN_SHIFT                  _MK_SHIFT_CONST(1)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_TXCIF_OVERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_STATUS_0_APBIF_CH0_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_TXCIF_OVERRUN_RANGE                  1:1
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_TXCIF_OVERRUN_WOFFSET                        0x0
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_TXCIF_OVERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_TXCIF_OVERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_TXCIF_OVERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_TXCIF_OVERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_TXCIF_OVERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_TXCIF_OVERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_RXCIF_UNDERRUN_SHIFT                 _MK_SHIFT_CONST(2)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_RXCIF_UNDERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_STATUS_0_APBIF_CH1_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_RXCIF_UNDERRUN_RANGE                 2:2
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_RXCIF_UNDERRUN_WOFFSET                       0x0
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_RXCIF_UNDERRUN_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_RXCIF_UNDERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_RXCIF_UNDERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_RXCIF_UNDERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_RXCIF_UNDERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_RXCIF_UNDERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_TXCIF_OVERRUN_SHIFT                  _MK_SHIFT_CONST(3)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_TXCIF_OVERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_STATUS_0_APBIF_CH1_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_TXCIF_OVERRUN_RANGE                  3:3
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_TXCIF_OVERRUN_WOFFSET                        0x0
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_TXCIF_OVERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_TXCIF_OVERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_TXCIF_OVERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_TXCIF_OVERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_TXCIF_OVERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_TXCIF_OVERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_RXCIF_UNDERRUN_SHIFT                 _MK_SHIFT_CONST(4)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_RXCIF_UNDERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_STATUS_0_APBIF_CH2_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_RXCIF_UNDERRUN_RANGE                 4:4
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_RXCIF_UNDERRUN_WOFFSET                       0x0
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_RXCIF_UNDERRUN_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_RXCIF_UNDERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_RXCIF_UNDERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_RXCIF_UNDERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_RXCIF_UNDERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_RXCIF_UNDERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_TXCIF_OVERRUN_SHIFT                  _MK_SHIFT_CONST(5)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_TXCIF_OVERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_STATUS_0_APBIF_CH2_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_TXCIF_OVERRUN_RANGE                  5:5
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_TXCIF_OVERRUN_WOFFSET                        0x0
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_TXCIF_OVERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_TXCIF_OVERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_TXCIF_OVERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_TXCIF_OVERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_TXCIF_OVERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_TXCIF_OVERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_RXCIF_UNDERRUN_SHIFT                 _MK_SHIFT_CONST(6)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_RXCIF_UNDERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_STATUS_0_APBIF_CH3_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_RXCIF_UNDERRUN_RANGE                 6:6
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_RXCIF_UNDERRUN_WOFFSET                       0x0
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_RXCIF_UNDERRUN_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_RXCIF_UNDERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_RXCIF_UNDERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_RXCIF_UNDERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_RXCIF_UNDERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_RXCIF_UNDERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_TXCIF_OVERRUN_SHIFT                  _MK_SHIFT_CONST(7)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_TXCIF_OVERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_STATUS_0_APBIF_CH3_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_TXCIF_OVERRUN_RANGE                  7:7
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_TXCIF_OVERRUN_WOFFSET                        0x0
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_TXCIF_OVERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_TXCIF_OVERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_TXCIF_OVERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_TXCIF_OVERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_TXCIF_OVERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_TXCIF_OVERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(8)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_APBDMA_TX_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_STATUS_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_APBDMA_TX_UNDERRUN_RANGE                     8:8
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_APBDMA_TX_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_APBDMA_TX_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_APBDMA_TX_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_APBDMA_TX_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_APBDMA_TX_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_APBDMA_RX_OVERRUN_SHIFT                      _MK_SHIFT_CONST(9)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_APBDMA_RX_OVERRUN_FIELD                      _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_STATUS_0_APBIF_CH0_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_APBDMA_RX_OVERRUN_RANGE                      9:9
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_APBDMA_RX_OVERRUN_WOFFSET                    0x0
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_APBDMA_RX_OVERRUN_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_APBDMA_RX_OVERRUN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_APBDMA_RX_OVERRUN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_APBDMA_RX_OVERRUN_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH0_APBDMA_RX_OVERRUN_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(10)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_APBDMA_TX_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_STATUS_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_APBDMA_TX_UNDERRUN_RANGE                     10:10
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_APBDMA_TX_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_APBDMA_TX_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_APBDMA_TX_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_APBDMA_TX_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_APBDMA_TX_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_APBDMA_RX_OVERRUN_SHIFT                      _MK_SHIFT_CONST(11)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_APBDMA_RX_OVERRUN_FIELD                      _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_STATUS_0_APBIF_CH1_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_APBDMA_RX_OVERRUN_RANGE                      11:11
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_APBDMA_RX_OVERRUN_WOFFSET                    0x0
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_APBDMA_RX_OVERRUN_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_APBDMA_RX_OVERRUN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_APBDMA_RX_OVERRUN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_APBDMA_RX_OVERRUN_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH1_APBDMA_RX_OVERRUN_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(12)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_APBDMA_TX_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_STATUS_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_APBDMA_TX_UNDERRUN_RANGE                     12:12
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_APBDMA_TX_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_APBDMA_TX_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_APBDMA_TX_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_APBDMA_TX_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_APBDMA_TX_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_APBDMA_RX_OVERRUN_SHIFT                      _MK_SHIFT_CONST(13)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_APBDMA_RX_OVERRUN_FIELD                      _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_STATUS_0_APBIF_CH2_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_APBDMA_RX_OVERRUN_RANGE                      13:13
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_APBDMA_RX_OVERRUN_WOFFSET                    0x0
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_APBDMA_RX_OVERRUN_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_APBDMA_RX_OVERRUN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_APBDMA_RX_OVERRUN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_APBDMA_RX_OVERRUN_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH2_APBDMA_RX_OVERRUN_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(14)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_APBDMA_TX_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_STATUS_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_APBDMA_TX_UNDERRUN_RANGE                     14:14
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_APBDMA_TX_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_APBDMA_TX_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_APBDMA_TX_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_APBDMA_TX_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_APBDMA_TX_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_APBDMA_RX_OVERRUN_SHIFT                      _MK_SHIFT_CONST(15)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_APBDMA_RX_OVERRUN_FIELD                      _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_STATUS_0_APBIF_CH3_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_APBDMA_RX_OVERRUN_RANGE                      15:15
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_APBDMA_RX_OVERRUN_WOFFSET                    0x0
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_APBDMA_RX_OVERRUN_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_APBDMA_RX_OVERRUN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_APBDMA_RX_OVERRUN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_APBDMA_RX_OVERRUN_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_STATUS_0_APBIF_CH3_APBDMA_RX_OVERRUN_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_STATUS_0_CONFIG_LINK_TIMEOUT_SHIFT                      _MK_SHIFT_CONST(16)
#define APBIF_APBIF_INT_STATUS_0_CONFIG_LINK_TIMEOUT_FIELD                      _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_STATUS_0_CONFIG_LINK_TIMEOUT_SHIFT)
#define APBIF_APBIF_INT_STATUS_0_CONFIG_LINK_TIMEOUT_RANGE                      16:16
#define APBIF_APBIF_INT_STATUS_0_CONFIG_LINK_TIMEOUT_WOFFSET                    0x0
#define APBIF_APBIF_INT_STATUS_0_CONFIG_LINK_TIMEOUT_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_CONFIG_LINK_TIMEOUT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_STATUS_0_CONFIG_LINK_TIMEOUT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_CONFIG_LINK_TIMEOUT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_STATUS_0_CONFIG_LINK_TIMEOUT_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_STATUS_0_CONFIG_LINK_TIMEOUT_ENABLE                     _MK_ENUM_CONST(1)


// Reserved address 220 [0xdc]

// Register APBIF_I2S_INT_SOURCE_0
#define APBIF_I2S_INT_SOURCE_0                  _MK_ADDR_CONST(0xe0)
#define APBIF_I2S_INT_SOURCE_0_SECURE                   0x0
#define APBIF_I2S_INT_SOURCE_0_SCR                      0
#define APBIF_I2S_INT_SOURCE_0_WORD_COUNT                       0x1
#define APBIF_I2S_INT_SOURCE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_RESET_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_READ_MASK                        _MK_MASK_CONST(0x7fff03ff)
#define APBIF_I2S_INT_SOURCE_0_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S0_TX_DONE_SHIFT                       _MK_SHIFT_CONST(0)
#define APBIF_I2S_INT_SOURCE_0_I2S0_TX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SOURCE_0_I2S0_TX_DONE_SHIFT)
#define APBIF_I2S_INT_SOURCE_0_I2S0_TX_DONE_RANGE                       0:0
#define APBIF_I2S_INT_SOURCE_0_I2S0_TX_DONE_WOFFSET                     0x0
#define APBIF_I2S_INT_SOURCE_0_I2S0_TX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S0_TX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S0_TX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S0_TX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S0_TX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SOURCE_0_I2S0_TX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SOURCE_0_I2S0_RX_DONE_SHIFT                       _MK_SHIFT_CONST(1)
#define APBIF_I2S_INT_SOURCE_0_I2S0_RX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SOURCE_0_I2S0_RX_DONE_SHIFT)
#define APBIF_I2S_INT_SOURCE_0_I2S0_RX_DONE_RANGE                       1:1
#define APBIF_I2S_INT_SOURCE_0_I2S0_RX_DONE_WOFFSET                     0x0
#define APBIF_I2S_INT_SOURCE_0_I2S0_RX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S0_RX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S0_RX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S0_RX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S0_RX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SOURCE_0_I2S0_RX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SOURCE_0_I2S1_TX_DONE_SHIFT                       _MK_SHIFT_CONST(2)
#define APBIF_I2S_INT_SOURCE_0_I2S1_TX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SOURCE_0_I2S1_TX_DONE_SHIFT)
#define APBIF_I2S_INT_SOURCE_0_I2S1_TX_DONE_RANGE                       2:2
#define APBIF_I2S_INT_SOURCE_0_I2S1_TX_DONE_WOFFSET                     0x0
#define APBIF_I2S_INT_SOURCE_0_I2S1_TX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S1_TX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S1_TX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S1_TX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S1_TX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SOURCE_0_I2S1_TX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SOURCE_0_I2S1_RX_DONE_SHIFT                       _MK_SHIFT_CONST(3)
#define APBIF_I2S_INT_SOURCE_0_I2S1_RX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SOURCE_0_I2S1_RX_DONE_SHIFT)
#define APBIF_I2S_INT_SOURCE_0_I2S1_RX_DONE_RANGE                       3:3
#define APBIF_I2S_INT_SOURCE_0_I2S1_RX_DONE_WOFFSET                     0x0
#define APBIF_I2S_INT_SOURCE_0_I2S1_RX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S1_RX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S1_RX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S1_RX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S1_RX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SOURCE_0_I2S1_RX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SOURCE_0_I2S2_TX_DONE_SHIFT                       _MK_SHIFT_CONST(4)
#define APBIF_I2S_INT_SOURCE_0_I2S2_TX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SOURCE_0_I2S2_TX_DONE_SHIFT)
#define APBIF_I2S_INT_SOURCE_0_I2S2_TX_DONE_RANGE                       4:4
#define APBIF_I2S_INT_SOURCE_0_I2S2_TX_DONE_WOFFSET                     0x0
#define APBIF_I2S_INT_SOURCE_0_I2S2_TX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S2_TX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S2_TX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S2_TX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S2_TX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SOURCE_0_I2S2_TX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SOURCE_0_I2S2_RX_DONE_SHIFT                       _MK_SHIFT_CONST(5)
#define APBIF_I2S_INT_SOURCE_0_I2S2_RX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SOURCE_0_I2S2_RX_DONE_SHIFT)
#define APBIF_I2S_INT_SOURCE_0_I2S2_RX_DONE_RANGE                       5:5
#define APBIF_I2S_INT_SOURCE_0_I2S2_RX_DONE_WOFFSET                     0x0
#define APBIF_I2S_INT_SOURCE_0_I2S2_RX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S2_RX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S2_RX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S2_RX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S2_RX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SOURCE_0_I2S2_RX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SOURCE_0_I2S3_TX_DONE_SHIFT                       _MK_SHIFT_CONST(6)
#define APBIF_I2S_INT_SOURCE_0_I2S3_TX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SOURCE_0_I2S3_TX_DONE_SHIFT)
#define APBIF_I2S_INT_SOURCE_0_I2S3_TX_DONE_RANGE                       6:6
#define APBIF_I2S_INT_SOURCE_0_I2S3_TX_DONE_WOFFSET                     0x0
#define APBIF_I2S_INT_SOURCE_0_I2S3_TX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S3_TX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S3_TX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S3_TX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S3_TX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SOURCE_0_I2S3_TX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SOURCE_0_I2S3_RX_DONE_SHIFT                       _MK_SHIFT_CONST(7)
#define APBIF_I2S_INT_SOURCE_0_I2S3_RX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SOURCE_0_I2S3_RX_DONE_SHIFT)
#define APBIF_I2S_INT_SOURCE_0_I2S3_RX_DONE_RANGE                       7:7
#define APBIF_I2S_INT_SOURCE_0_I2S3_RX_DONE_WOFFSET                     0x0
#define APBIF_I2S_INT_SOURCE_0_I2S3_RX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S3_RX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S3_RX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S3_RX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S3_RX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SOURCE_0_I2S3_RX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SOURCE_0_I2S4_TX_DONE_SHIFT                       _MK_SHIFT_CONST(8)
#define APBIF_I2S_INT_SOURCE_0_I2S4_TX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SOURCE_0_I2S4_TX_DONE_SHIFT)
#define APBIF_I2S_INT_SOURCE_0_I2S4_TX_DONE_RANGE                       8:8
#define APBIF_I2S_INT_SOURCE_0_I2S4_TX_DONE_WOFFSET                     0x0
#define APBIF_I2S_INT_SOURCE_0_I2S4_TX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S4_TX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S4_TX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S4_TX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S4_TX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SOURCE_0_I2S4_TX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SOURCE_0_I2S4_RX_DONE_SHIFT                       _MK_SHIFT_CONST(9)
#define APBIF_I2S_INT_SOURCE_0_I2S4_RX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SOURCE_0_I2S4_RX_DONE_SHIFT)
#define APBIF_I2S_INT_SOURCE_0_I2S4_RX_DONE_RANGE                       9:9
#define APBIF_I2S_INT_SOURCE_0_I2S4_RX_DONE_WOFFSET                     0x0
#define APBIF_I2S_INT_SOURCE_0_I2S4_RX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S4_RX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S4_RX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S4_RX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S4_RX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SOURCE_0_I2S4_RX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SOURCE_0_I2S0_RXCIF_UNDERRUN_SHIFT                        _MK_SHIFT_CONST(16)
#define APBIF_I2S_INT_SOURCE_0_I2S0_RXCIF_UNDERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SOURCE_0_I2S0_RXCIF_UNDERRUN_SHIFT)
#define APBIF_I2S_INT_SOURCE_0_I2S0_RXCIF_UNDERRUN_RANGE                        16:16
#define APBIF_I2S_INT_SOURCE_0_I2S0_RXCIF_UNDERRUN_WOFFSET                      0x0
#define APBIF_I2S_INT_SOURCE_0_I2S0_RXCIF_UNDERRUN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S0_RXCIF_UNDERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S0_RXCIF_UNDERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S0_RXCIF_UNDERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S0_RXCIF_UNDERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SOURCE_0_I2S0_RXCIF_UNDERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SOURCE_0_I2S0_TXCIF_OVERRUN_SHIFT                 _MK_SHIFT_CONST(17)
#define APBIF_I2S_INT_SOURCE_0_I2S0_TXCIF_OVERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SOURCE_0_I2S0_TXCIF_OVERRUN_SHIFT)
#define APBIF_I2S_INT_SOURCE_0_I2S0_TXCIF_OVERRUN_RANGE                 17:17
#define APBIF_I2S_INT_SOURCE_0_I2S0_TXCIF_OVERRUN_WOFFSET                       0x0
#define APBIF_I2S_INT_SOURCE_0_I2S0_TXCIF_OVERRUN_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S0_TXCIF_OVERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S0_TXCIF_OVERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S0_TXCIF_OVERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S0_TXCIF_OVERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SOURCE_0_I2S0_TXCIF_OVERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SOURCE_0_I2S1_RXCIF_UNDERRUN_SHIFT                        _MK_SHIFT_CONST(18)
#define APBIF_I2S_INT_SOURCE_0_I2S1_RXCIF_UNDERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SOURCE_0_I2S1_RXCIF_UNDERRUN_SHIFT)
#define APBIF_I2S_INT_SOURCE_0_I2S1_RXCIF_UNDERRUN_RANGE                        18:18
#define APBIF_I2S_INT_SOURCE_0_I2S1_RXCIF_UNDERRUN_WOFFSET                      0x0
#define APBIF_I2S_INT_SOURCE_0_I2S1_RXCIF_UNDERRUN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S1_RXCIF_UNDERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S1_RXCIF_UNDERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S1_RXCIF_UNDERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S1_RXCIF_UNDERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SOURCE_0_I2S1_RXCIF_UNDERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SOURCE_0_I2S1_TXCIF_OVERRUN_SHIFT                 _MK_SHIFT_CONST(19)
#define APBIF_I2S_INT_SOURCE_0_I2S1_TXCIF_OVERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SOURCE_0_I2S1_TXCIF_OVERRUN_SHIFT)
#define APBIF_I2S_INT_SOURCE_0_I2S1_TXCIF_OVERRUN_RANGE                 19:19
#define APBIF_I2S_INT_SOURCE_0_I2S1_TXCIF_OVERRUN_WOFFSET                       0x0
#define APBIF_I2S_INT_SOURCE_0_I2S1_TXCIF_OVERRUN_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S1_TXCIF_OVERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S1_TXCIF_OVERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S1_TXCIF_OVERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S1_TXCIF_OVERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SOURCE_0_I2S1_TXCIF_OVERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SOURCE_0_I2S2_RXCIF_UNDERRUN_SHIFT                        _MK_SHIFT_CONST(20)
#define APBIF_I2S_INT_SOURCE_0_I2S2_RXCIF_UNDERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SOURCE_0_I2S2_RXCIF_UNDERRUN_SHIFT)
#define APBIF_I2S_INT_SOURCE_0_I2S2_RXCIF_UNDERRUN_RANGE                        20:20
#define APBIF_I2S_INT_SOURCE_0_I2S2_RXCIF_UNDERRUN_WOFFSET                      0x0
#define APBIF_I2S_INT_SOURCE_0_I2S2_RXCIF_UNDERRUN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S2_RXCIF_UNDERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S2_RXCIF_UNDERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S2_RXCIF_UNDERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S2_RXCIF_UNDERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SOURCE_0_I2S2_RXCIF_UNDERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SOURCE_0_I2S2_TXCIF_OVERRUN_SHIFT                 _MK_SHIFT_CONST(21)
#define APBIF_I2S_INT_SOURCE_0_I2S2_TXCIF_OVERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SOURCE_0_I2S2_TXCIF_OVERRUN_SHIFT)
#define APBIF_I2S_INT_SOURCE_0_I2S2_TXCIF_OVERRUN_RANGE                 21:21
#define APBIF_I2S_INT_SOURCE_0_I2S2_TXCIF_OVERRUN_WOFFSET                       0x0
#define APBIF_I2S_INT_SOURCE_0_I2S2_TXCIF_OVERRUN_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S2_TXCIF_OVERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S2_TXCIF_OVERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S2_TXCIF_OVERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S2_TXCIF_OVERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SOURCE_0_I2S2_TXCIF_OVERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SOURCE_0_I2S3_RXCIF_UNDERRUN_SHIFT                        _MK_SHIFT_CONST(22)
#define APBIF_I2S_INT_SOURCE_0_I2S3_RXCIF_UNDERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SOURCE_0_I2S3_RXCIF_UNDERRUN_SHIFT)
#define APBIF_I2S_INT_SOURCE_0_I2S3_RXCIF_UNDERRUN_RANGE                        22:22
#define APBIF_I2S_INT_SOURCE_0_I2S3_RXCIF_UNDERRUN_WOFFSET                      0x0
#define APBIF_I2S_INT_SOURCE_0_I2S3_RXCIF_UNDERRUN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S3_RXCIF_UNDERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S3_RXCIF_UNDERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S3_RXCIF_UNDERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S3_RXCIF_UNDERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SOURCE_0_I2S3_RXCIF_UNDERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SOURCE_0_I2S3_TXCIF_OVERRUN_SHIFT                 _MK_SHIFT_CONST(23)
#define APBIF_I2S_INT_SOURCE_0_I2S3_TXCIF_OVERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SOURCE_0_I2S3_TXCIF_OVERRUN_SHIFT)
#define APBIF_I2S_INT_SOURCE_0_I2S3_TXCIF_OVERRUN_RANGE                 23:23
#define APBIF_I2S_INT_SOURCE_0_I2S3_TXCIF_OVERRUN_WOFFSET                       0x0
#define APBIF_I2S_INT_SOURCE_0_I2S3_TXCIF_OVERRUN_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S3_TXCIF_OVERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S3_TXCIF_OVERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S3_TXCIF_OVERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S3_TXCIF_OVERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SOURCE_0_I2S3_TXCIF_OVERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SOURCE_0_I2S4_RXCIF_UNDERRUN_SHIFT                        _MK_SHIFT_CONST(24)
#define APBIF_I2S_INT_SOURCE_0_I2S4_RXCIF_UNDERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SOURCE_0_I2S4_RXCIF_UNDERRUN_SHIFT)
#define APBIF_I2S_INT_SOURCE_0_I2S4_RXCIF_UNDERRUN_RANGE                        24:24
#define APBIF_I2S_INT_SOURCE_0_I2S4_RXCIF_UNDERRUN_WOFFSET                      0x0
#define APBIF_I2S_INT_SOURCE_0_I2S4_RXCIF_UNDERRUN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S4_RXCIF_UNDERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S4_RXCIF_UNDERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S4_RXCIF_UNDERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S4_RXCIF_UNDERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SOURCE_0_I2S4_RXCIF_UNDERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SOURCE_0_I2S4_TXCIF_OVERRUN_SHIFT                 _MK_SHIFT_CONST(25)
#define APBIF_I2S_INT_SOURCE_0_I2S4_TXCIF_OVERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SOURCE_0_I2S4_TXCIF_OVERRUN_SHIFT)
#define APBIF_I2S_INT_SOURCE_0_I2S4_TXCIF_OVERRUN_RANGE                 25:25
#define APBIF_I2S_INT_SOURCE_0_I2S4_TXCIF_OVERRUN_WOFFSET                       0x0
#define APBIF_I2S_INT_SOURCE_0_I2S4_TXCIF_OVERRUN_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S4_TXCIF_OVERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S4_TXCIF_OVERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S4_TXCIF_OVERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S4_TXCIF_OVERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SOURCE_0_I2S4_TXCIF_OVERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SOURCE_0_I2S0_FLOW_CTL_INT_SHIFT                  _MK_SHIFT_CONST(26)
#define APBIF_I2S_INT_SOURCE_0_I2S0_FLOW_CTL_INT_FIELD                  _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SOURCE_0_I2S0_FLOW_CTL_INT_SHIFT)
#define APBIF_I2S_INT_SOURCE_0_I2S0_FLOW_CTL_INT_RANGE                  26:26
#define APBIF_I2S_INT_SOURCE_0_I2S0_FLOW_CTL_INT_WOFFSET                        0x0
#define APBIF_I2S_INT_SOURCE_0_I2S0_FLOW_CTL_INT_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S0_FLOW_CTL_INT_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S0_FLOW_CTL_INT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S0_FLOW_CTL_INT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S0_FLOW_CTL_INT_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SOURCE_0_I2S0_FLOW_CTL_INT_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SOURCE_0_I2S1_FLOW_CTL_INT_SHIFT                  _MK_SHIFT_CONST(27)
#define APBIF_I2S_INT_SOURCE_0_I2S1_FLOW_CTL_INT_FIELD                  _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SOURCE_0_I2S1_FLOW_CTL_INT_SHIFT)
#define APBIF_I2S_INT_SOURCE_0_I2S1_FLOW_CTL_INT_RANGE                  27:27
#define APBIF_I2S_INT_SOURCE_0_I2S1_FLOW_CTL_INT_WOFFSET                        0x0
#define APBIF_I2S_INT_SOURCE_0_I2S1_FLOW_CTL_INT_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S1_FLOW_CTL_INT_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S1_FLOW_CTL_INT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S1_FLOW_CTL_INT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S1_FLOW_CTL_INT_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SOURCE_0_I2S1_FLOW_CTL_INT_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SOURCE_0_I2S2_FLOW_CTL_INT_SHIFT                  _MK_SHIFT_CONST(28)
#define APBIF_I2S_INT_SOURCE_0_I2S2_FLOW_CTL_INT_FIELD                  _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SOURCE_0_I2S2_FLOW_CTL_INT_SHIFT)
#define APBIF_I2S_INT_SOURCE_0_I2S2_FLOW_CTL_INT_RANGE                  28:28
#define APBIF_I2S_INT_SOURCE_0_I2S2_FLOW_CTL_INT_WOFFSET                        0x0
#define APBIF_I2S_INT_SOURCE_0_I2S2_FLOW_CTL_INT_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S2_FLOW_CTL_INT_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S2_FLOW_CTL_INT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S2_FLOW_CTL_INT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S2_FLOW_CTL_INT_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SOURCE_0_I2S2_FLOW_CTL_INT_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SOURCE_0_I2S3_FLOW_CTL_INT_SHIFT                  _MK_SHIFT_CONST(29)
#define APBIF_I2S_INT_SOURCE_0_I2S3_FLOW_CTL_INT_FIELD                  _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SOURCE_0_I2S3_FLOW_CTL_INT_SHIFT)
#define APBIF_I2S_INT_SOURCE_0_I2S3_FLOW_CTL_INT_RANGE                  29:29
#define APBIF_I2S_INT_SOURCE_0_I2S3_FLOW_CTL_INT_WOFFSET                        0x0
#define APBIF_I2S_INT_SOURCE_0_I2S3_FLOW_CTL_INT_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S3_FLOW_CTL_INT_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S3_FLOW_CTL_INT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S3_FLOW_CTL_INT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S3_FLOW_CTL_INT_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SOURCE_0_I2S3_FLOW_CTL_INT_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SOURCE_0_I2S4_FLOW_CTL_INT_SHIFT                  _MK_SHIFT_CONST(30)
#define APBIF_I2S_INT_SOURCE_0_I2S4_FLOW_CTL_INT_FIELD                  _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SOURCE_0_I2S4_FLOW_CTL_INT_SHIFT)
#define APBIF_I2S_INT_SOURCE_0_I2S4_FLOW_CTL_INT_RANGE                  30:30
#define APBIF_I2S_INT_SOURCE_0_I2S4_FLOW_CTL_INT_WOFFSET                        0x0
#define APBIF_I2S_INT_SOURCE_0_I2S4_FLOW_CTL_INT_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S4_FLOW_CTL_INT_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S4_FLOW_CTL_INT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S4_FLOW_CTL_INT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SOURCE_0_I2S4_FLOW_CTL_INT_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SOURCE_0_I2S4_FLOW_CTL_INT_ENABLE                 _MK_ENUM_CONST(1)


// Register APBIF_DAM_INT_SOURCE_0
#define APBIF_DAM_INT_SOURCE_0                  _MK_ADDR_CONST(0xe4)
#define APBIF_DAM_INT_SOURCE_0_SECURE                   0x0
#define APBIF_DAM_INT_SOURCE_0_SCR                      0
#define APBIF_DAM_INT_SOURCE_0_WORD_COUNT                       0x1
#define APBIF_DAM_INT_SOURCE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_RESET_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_READ_MASK                        _MK_MASK_CONST(0x939393)
#define APBIF_DAM_INT_SOURCE_0_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM0_RX0_DONE_SHIFT                      _MK_SHIFT_CONST(0)
#define APBIF_DAM_INT_SOURCE_0_DAM0_RX0_DONE_FIELD                      _MK_FIELD_CONST(0x1, APBIF_DAM_INT_SOURCE_0_DAM0_RX0_DONE_SHIFT)
#define APBIF_DAM_INT_SOURCE_0_DAM0_RX0_DONE_RANGE                      0:0
#define APBIF_DAM_INT_SOURCE_0_DAM0_RX0_DONE_WOFFSET                    0x0
#define APBIF_DAM_INT_SOURCE_0_DAM0_RX0_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM0_RX0_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM0_RX0_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM0_RX0_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM0_RX0_DONE_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_SOURCE_0_DAM0_RX0_DONE_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_SOURCE_0_DAM0_RX1_DONE_SHIFT                      _MK_SHIFT_CONST(1)
#define APBIF_DAM_INT_SOURCE_0_DAM0_RX1_DONE_FIELD                      _MK_FIELD_CONST(0x1, APBIF_DAM_INT_SOURCE_0_DAM0_RX1_DONE_SHIFT)
#define APBIF_DAM_INT_SOURCE_0_DAM0_RX1_DONE_RANGE                      1:1
#define APBIF_DAM_INT_SOURCE_0_DAM0_RX1_DONE_WOFFSET                    0x0
#define APBIF_DAM_INT_SOURCE_0_DAM0_RX1_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM0_RX1_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM0_RX1_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM0_RX1_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM0_RX1_DONE_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_SOURCE_0_DAM0_RX1_DONE_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_SOURCE_0_DAM0_TX_DONE_SHIFT                       _MK_SHIFT_CONST(4)
#define APBIF_DAM_INT_SOURCE_0_DAM0_TX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_DAM_INT_SOURCE_0_DAM0_TX_DONE_SHIFT)
#define APBIF_DAM_INT_SOURCE_0_DAM0_TX_DONE_RANGE                       4:4
#define APBIF_DAM_INT_SOURCE_0_DAM0_TX_DONE_WOFFSET                     0x0
#define APBIF_DAM_INT_SOURCE_0_DAM0_TX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM0_TX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM0_TX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM0_TX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM0_TX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_SOURCE_0_DAM0_TX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_SOURCE_0_DAM0_CLIP_INTR_SHIFT                     _MK_SHIFT_CONST(7)
#define APBIF_DAM_INT_SOURCE_0_DAM0_CLIP_INTR_FIELD                     _MK_FIELD_CONST(0x1, APBIF_DAM_INT_SOURCE_0_DAM0_CLIP_INTR_SHIFT)
#define APBIF_DAM_INT_SOURCE_0_DAM0_CLIP_INTR_RANGE                     7:7
#define APBIF_DAM_INT_SOURCE_0_DAM0_CLIP_INTR_WOFFSET                   0x0
#define APBIF_DAM_INT_SOURCE_0_DAM0_CLIP_INTR_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM0_CLIP_INTR_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM0_CLIP_INTR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM0_CLIP_INTR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM0_CLIP_INTR_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_SOURCE_0_DAM0_CLIP_INTR_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_SOURCE_0_DAM1_RX0_DONE_SHIFT                      _MK_SHIFT_CONST(8)
#define APBIF_DAM_INT_SOURCE_0_DAM1_RX0_DONE_FIELD                      _MK_FIELD_CONST(0x1, APBIF_DAM_INT_SOURCE_0_DAM1_RX0_DONE_SHIFT)
#define APBIF_DAM_INT_SOURCE_0_DAM1_RX0_DONE_RANGE                      8:8
#define APBIF_DAM_INT_SOURCE_0_DAM1_RX0_DONE_WOFFSET                    0x0
#define APBIF_DAM_INT_SOURCE_0_DAM1_RX0_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM1_RX0_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM1_RX0_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM1_RX0_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM1_RX0_DONE_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_SOURCE_0_DAM1_RX0_DONE_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_SOURCE_0_DAM1_RX1_DONE_SHIFT                      _MK_SHIFT_CONST(9)
#define APBIF_DAM_INT_SOURCE_0_DAM1_RX1_DONE_FIELD                      _MK_FIELD_CONST(0x1, APBIF_DAM_INT_SOURCE_0_DAM1_RX1_DONE_SHIFT)
#define APBIF_DAM_INT_SOURCE_0_DAM1_RX1_DONE_RANGE                      9:9
#define APBIF_DAM_INT_SOURCE_0_DAM1_RX1_DONE_WOFFSET                    0x0
#define APBIF_DAM_INT_SOURCE_0_DAM1_RX1_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM1_RX1_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM1_RX1_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM1_RX1_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM1_RX1_DONE_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_SOURCE_0_DAM1_RX1_DONE_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_SOURCE_0_DAM1_TX_DONE_SHIFT                       _MK_SHIFT_CONST(12)
#define APBIF_DAM_INT_SOURCE_0_DAM1_TX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_DAM_INT_SOURCE_0_DAM1_TX_DONE_SHIFT)
#define APBIF_DAM_INT_SOURCE_0_DAM1_TX_DONE_RANGE                       12:12
#define APBIF_DAM_INT_SOURCE_0_DAM1_TX_DONE_WOFFSET                     0x0
#define APBIF_DAM_INT_SOURCE_0_DAM1_TX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM1_TX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM1_TX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM1_TX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM1_TX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_SOURCE_0_DAM1_TX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_SOURCE_0_DAM1_CLIP_INTR_SHIFT                     _MK_SHIFT_CONST(15)
#define APBIF_DAM_INT_SOURCE_0_DAM1_CLIP_INTR_FIELD                     _MK_FIELD_CONST(0x1, APBIF_DAM_INT_SOURCE_0_DAM1_CLIP_INTR_SHIFT)
#define APBIF_DAM_INT_SOURCE_0_DAM1_CLIP_INTR_RANGE                     15:15
#define APBIF_DAM_INT_SOURCE_0_DAM1_CLIP_INTR_WOFFSET                   0x0
#define APBIF_DAM_INT_SOURCE_0_DAM1_CLIP_INTR_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM1_CLIP_INTR_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM1_CLIP_INTR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM1_CLIP_INTR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM1_CLIP_INTR_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_SOURCE_0_DAM1_CLIP_INTR_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_SOURCE_0_DAM2_RX0_DONE_SHIFT                      _MK_SHIFT_CONST(16)
#define APBIF_DAM_INT_SOURCE_0_DAM2_RX0_DONE_FIELD                      _MK_FIELD_CONST(0x1, APBIF_DAM_INT_SOURCE_0_DAM2_RX0_DONE_SHIFT)
#define APBIF_DAM_INT_SOURCE_0_DAM2_RX0_DONE_RANGE                      16:16
#define APBIF_DAM_INT_SOURCE_0_DAM2_RX0_DONE_WOFFSET                    0x0
#define APBIF_DAM_INT_SOURCE_0_DAM2_RX0_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM2_RX0_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM2_RX0_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM2_RX0_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM2_RX0_DONE_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_SOURCE_0_DAM2_RX0_DONE_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_SOURCE_0_DAM2_RX1_DONE_SHIFT                      _MK_SHIFT_CONST(17)
#define APBIF_DAM_INT_SOURCE_0_DAM2_RX1_DONE_FIELD                      _MK_FIELD_CONST(0x1, APBIF_DAM_INT_SOURCE_0_DAM2_RX1_DONE_SHIFT)
#define APBIF_DAM_INT_SOURCE_0_DAM2_RX1_DONE_RANGE                      17:17
#define APBIF_DAM_INT_SOURCE_0_DAM2_RX1_DONE_WOFFSET                    0x0
#define APBIF_DAM_INT_SOURCE_0_DAM2_RX1_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM2_RX1_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM2_RX1_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM2_RX1_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM2_RX1_DONE_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_SOURCE_0_DAM2_RX1_DONE_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_SOURCE_0_DAM2_TX_DONE_SHIFT                       _MK_SHIFT_CONST(20)
#define APBIF_DAM_INT_SOURCE_0_DAM2_TX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_DAM_INT_SOURCE_0_DAM2_TX_DONE_SHIFT)
#define APBIF_DAM_INT_SOURCE_0_DAM2_TX_DONE_RANGE                       20:20
#define APBIF_DAM_INT_SOURCE_0_DAM2_TX_DONE_WOFFSET                     0x0
#define APBIF_DAM_INT_SOURCE_0_DAM2_TX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM2_TX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM2_TX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM2_TX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM2_TX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_SOURCE_0_DAM2_TX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_SOURCE_0_DAM2_CLIP_INTR_SHIFT                     _MK_SHIFT_CONST(23)
#define APBIF_DAM_INT_SOURCE_0_DAM2_CLIP_INTR_FIELD                     _MK_FIELD_CONST(0x1, APBIF_DAM_INT_SOURCE_0_DAM2_CLIP_INTR_SHIFT)
#define APBIF_DAM_INT_SOURCE_0_DAM2_CLIP_INTR_RANGE                     23:23
#define APBIF_DAM_INT_SOURCE_0_DAM2_CLIP_INTR_WOFFSET                   0x0
#define APBIF_DAM_INT_SOURCE_0_DAM2_CLIP_INTR_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM2_CLIP_INTR_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM2_CLIP_INTR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM2_CLIP_INTR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SOURCE_0_DAM2_CLIP_INTR_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_SOURCE_0_DAM2_CLIP_INTR_ENABLE                    _MK_ENUM_CONST(1)


// Reserved address 232 [0xe8]

// Register APBIF_SPDIF_INT_SOURCE_0
#define APBIF_SPDIF_INT_SOURCE_0                        _MK_ADDR_CONST(0xec)
#define APBIF_SPDIF_INT_SOURCE_0_SECURE                         0x0
#define APBIF_SPDIF_INT_SOURCE_0_SCR                    0
#define APBIF_SPDIF_INT_SOURCE_0_WORD_COUNT                     0x1
#define APBIF_SPDIF_INT_SOURCE_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_READ_MASK                      _MK_MASK_CONST(0x8fff)
#define APBIF_SPDIF_INT_SOURCE_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_RX_DONE_SHIFT                       _MK_SHIFT_CONST(0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_RX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_RX_DONE_SHIFT)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_RX_DONE_RANGE                       0:0
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_RX_DONE_WOFFSET                     0x0
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_RX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_RX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_RX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_RX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_RX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_RX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_TX_DONE_SHIFT                       _MK_SHIFT_CONST(1)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_TX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_TX_DONE_SHIFT)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_TX_DONE_RANGE                       1:1
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_TX_DONE_WOFFSET                     0x0
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_TX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_TX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_TX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_TX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_TX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_TX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_RX_DONE_SHIFT                       _MK_SHIFT_CONST(2)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_RX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_RX_DONE_SHIFT)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_RX_DONE_RANGE                       2:2
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_RX_DONE_WOFFSET                     0x0
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_RX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_RX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_RX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_RX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_RX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_RX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_TX_DONE_SHIFT                       _MK_SHIFT_CONST(3)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_TX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_TX_DONE_SHIFT)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_TX_DONE_RANGE                       3:3
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_TX_DONE_WOFFSET                     0x0
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_TX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_TX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_TX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_TX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_TX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_TX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_RXCIF_UNDERRUN_SHIFT                        _MK_SHIFT_CONST(4)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_RXCIF_UNDERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_RXCIF_UNDERRUN_SHIFT)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_RXCIF_UNDERRUN_RANGE                        4:4
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_RXCIF_UNDERRUN_WOFFSET                      0x0
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_RXCIF_UNDERRUN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_RXCIF_UNDERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_RXCIF_UNDERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_RXCIF_UNDERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_RXCIF_UNDERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_RXCIF_UNDERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_TXCIF_OVERRUN_SHIFT                 _MK_SHIFT_CONST(5)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_TXCIF_OVERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_TXCIF_OVERRUN_SHIFT)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_TXCIF_OVERRUN_RANGE                 5:5
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_TXCIF_OVERRUN_WOFFSET                       0x0
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_TXCIF_OVERRUN_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_TXCIF_OVERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_TXCIF_OVERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_TXCIF_OVERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_TXCIF_OVERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_DATA_TXCIF_OVERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_RXCIF_UNDERRUN_SHIFT                        _MK_SHIFT_CONST(6)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_RXCIF_UNDERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_RXCIF_UNDERRUN_SHIFT)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_RXCIF_UNDERRUN_RANGE                        6:6
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_RXCIF_UNDERRUN_WOFFSET                      0x0
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_RXCIF_UNDERRUN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_RXCIF_UNDERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_RXCIF_UNDERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_RXCIF_UNDERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_RXCIF_UNDERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_RXCIF_UNDERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_TXCIF_OVERRUN_SHIFT                 _MK_SHIFT_CONST(7)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_TXCIF_OVERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_TXCIF_OVERRUN_SHIFT)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_TXCIF_OVERRUN_RANGE                 7:7
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_TXCIF_OVERRUN_WOFFSET                       0x0
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_TXCIF_OVERRUN_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_TXCIF_OVERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_TXCIF_OVERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_TXCIF_OVERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_TXCIF_OVERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_USER_TXCIF_OVERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_RX_IU_SHIFT                      _MK_SHIFT_CONST(8)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_RX_IU_FIELD                      _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_SOURCE_0_SPDIF_RX_IU_SHIFT)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_RX_IU_RANGE                      8:8
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_RX_IU_WOFFSET                    0x0
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_RX_IU_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_RX_IU_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_RX_IU_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_RX_IU_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_RX_IU_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_RX_IU_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_RX_CHANNEL_SHIFT                 _MK_SHIFT_CONST(9)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_RX_CHANNEL_FIELD                 _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_SOURCE_0_SPDIF_RX_CHANNEL_SHIFT)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_RX_CHANNEL_RANGE                 9:9
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_RX_CHANNEL_WOFFSET                       0x0
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_RX_CHANNEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_RX_CHANNEL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_RX_CHANNEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_RX_CHANNEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_RX_CHANNEL_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_RX_CHANNEL_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_B_SYNC_SHIFT                     _MK_SHIFT_CONST(10)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_B_SYNC_FIELD                     _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_SOURCE_0_SPDIF_B_SYNC_SHIFT)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_B_SYNC_RANGE                     10:10
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_B_SYNC_WOFFSET                   0x0
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_B_SYNC_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_B_SYNC_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_B_SYNC_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_B_SYNC_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_B_SYNC_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_B_SYNC_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_BAD_PREAMBLE_SHIFT                       _MK_SHIFT_CONST(11)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_BAD_PREAMBLE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_SOURCE_0_SPDIF_BAD_PREAMBLE_SHIFT)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_BAD_PREAMBLE_RANGE                       11:11
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_BAD_PREAMBLE_WOFFSET                     0x0
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_BAD_PREAMBLE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_BAD_PREAMBLE_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_BAD_PREAMBLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_BAD_PREAMBLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_BAD_PREAMBLE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_BAD_PREAMBLE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_FLOW_CTL_INT_SHIFT                       _MK_SHIFT_CONST(15)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_FLOW_CTL_INT_FIELD                       _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_SOURCE_0_SPDIF_FLOW_CTL_INT_SHIFT)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_FLOW_CTL_INT_RANGE                       15:15
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_FLOW_CTL_INT_WOFFSET                     0x0
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_FLOW_CTL_INT_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_FLOW_CTL_INT_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_FLOW_CTL_INT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_FLOW_CTL_INT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_FLOW_CTL_INT_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_SOURCE_0_SPDIF_FLOW_CTL_INT_ENABLE                      _MK_ENUM_CONST(1)


// Register APBIF_APBIF_INT_SOURCE_0
#define APBIF_APBIF_INT_SOURCE_0                        _MK_ADDR_CONST(0xf0)
#define APBIF_APBIF_INT_SOURCE_0_SECURE                         0x0
#define APBIF_APBIF_INT_SOURCE_0_SCR                    0
#define APBIF_APBIF_INT_SOURCE_0_WORD_COUNT                     0x1
#define APBIF_APBIF_INT_SOURCE_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_READ_MASK                      _MK_MASK_CONST(0x1ffff)
#define APBIF_APBIF_INT_SOURCE_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_RXCIF_UNDERRUN_SHIFT                 _MK_SHIFT_CONST(0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_RXCIF_UNDERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_RXCIF_UNDERRUN_RANGE                 0:0
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_RXCIF_UNDERRUN_WOFFSET                       0x0
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_RXCIF_UNDERRUN_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_RXCIF_UNDERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_RXCIF_UNDERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_RXCIF_UNDERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_RXCIF_UNDERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_RXCIF_UNDERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_TXCIF_OVERRUN_SHIFT                  _MK_SHIFT_CONST(1)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_TXCIF_OVERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_TXCIF_OVERRUN_RANGE                  1:1
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_TXCIF_OVERRUN_WOFFSET                        0x0
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_TXCIF_OVERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_TXCIF_OVERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_TXCIF_OVERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_TXCIF_OVERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_TXCIF_OVERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_TXCIF_OVERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_RXCIF_UNDERRUN_SHIFT                 _MK_SHIFT_CONST(2)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_RXCIF_UNDERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_RXCIF_UNDERRUN_RANGE                 2:2
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_RXCIF_UNDERRUN_WOFFSET                       0x0
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_RXCIF_UNDERRUN_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_RXCIF_UNDERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_RXCIF_UNDERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_RXCIF_UNDERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_RXCIF_UNDERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_RXCIF_UNDERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_TXCIF_OVERRUN_SHIFT                  _MK_SHIFT_CONST(3)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_TXCIF_OVERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_TXCIF_OVERRUN_RANGE                  3:3
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_TXCIF_OVERRUN_WOFFSET                        0x0
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_TXCIF_OVERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_TXCIF_OVERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_TXCIF_OVERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_TXCIF_OVERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_TXCIF_OVERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_TXCIF_OVERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_RXCIF_UNDERRUN_SHIFT                 _MK_SHIFT_CONST(4)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_RXCIF_UNDERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_RXCIF_UNDERRUN_RANGE                 4:4
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_RXCIF_UNDERRUN_WOFFSET                       0x0
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_RXCIF_UNDERRUN_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_RXCIF_UNDERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_RXCIF_UNDERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_RXCIF_UNDERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_RXCIF_UNDERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_RXCIF_UNDERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_TXCIF_OVERRUN_SHIFT                  _MK_SHIFT_CONST(5)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_TXCIF_OVERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_TXCIF_OVERRUN_RANGE                  5:5
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_TXCIF_OVERRUN_WOFFSET                        0x0
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_TXCIF_OVERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_TXCIF_OVERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_TXCIF_OVERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_TXCIF_OVERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_TXCIF_OVERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_TXCIF_OVERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_RXCIF_UNDERRUN_SHIFT                 _MK_SHIFT_CONST(6)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_RXCIF_UNDERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_RXCIF_UNDERRUN_RANGE                 6:6
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_RXCIF_UNDERRUN_WOFFSET                       0x0
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_RXCIF_UNDERRUN_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_RXCIF_UNDERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_RXCIF_UNDERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_RXCIF_UNDERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_RXCIF_UNDERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_RXCIF_UNDERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_TXCIF_OVERRUN_SHIFT                  _MK_SHIFT_CONST(7)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_TXCIF_OVERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_TXCIF_OVERRUN_RANGE                  7:7
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_TXCIF_OVERRUN_WOFFSET                        0x0
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_TXCIF_OVERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_TXCIF_OVERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_TXCIF_OVERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_TXCIF_OVERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_TXCIF_OVERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_TXCIF_OVERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(8)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_APBDMA_TX_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_APBDMA_TX_UNDERRUN_RANGE                     8:8
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_APBDMA_TX_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_APBDMA_TX_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_APBDMA_TX_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_APBDMA_TX_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_APBDMA_TX_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_APBDMA_RX_OVERRUN_SHIFT                      _MK_SHIFT_CONST(9)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_APBDMA_RX_OVERRUN_FIELD                      _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_APBDMA_RX_OVERRUN_RANGE                      9:9
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_APBDMA_RX_OVERRUN_WOFFSET                    0x0
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_APBDMA_RX_OVERRUN_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_APBDMA_RX_OVERRUN_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_APBDMA_RX_OVERRUN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_APBDMA_RX_OVERRUN_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH0_APBDMA_RX_OVERRUN_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(10)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_APBDMA_TX_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_APBDMA_TX_UNDERRUN_RANGE                     10:10
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_APBDMA_TX_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_APBDMA_TX_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_APBDMA_TX_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_APBDMA_TX_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_APBDMA_TX_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_APBDMA_RX_OVERRUN_SHIFT                      _MK_SHIFT_CONST(11)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_APBDMA_RX_OVERRUN_FIELD                      _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_APBDMA_RX_OVERRUN_RANGE                      11:11
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_APBDMA_RX_OVERRUN_WOFFSET                    0x0
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_APBDMA_RX_OVERRUN_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_APBDMA_RX_OVERRUN_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_APBDMA_RX_OVERRUN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_APBDMA_RX_OVERRUN_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH1_APBDMA_RX_OVERRUN_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(12)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_APBDMA_TX_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_APBDMA_TX_UNDERRUN_RANGE                     12:12
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_APBDMA_TX_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_APBDMA_TX_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_APBDMA_TX_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_APBDMA_TX_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_APBDMA_TX_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_APBDMA_RX_OVERRUN_SHIFT                      _MK_SHIFT_CONST(13)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_APBDMA_RX_OVERRUN_FIELD                      _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_APBDMA_RX_OVERRUN_RANGE                      13:13
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_APBDMA_RX_OVERRUN_WOFFSET                    0x0
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_APBDMA_RX_OVERRUN_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_APBDMA_RX_OVERRUN_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_APBDMA_RX_OVERRUN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_APBDMA_RX_OVERRUN_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH2_APBDMA_RX_OVERRUN_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(14)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_APBDMA_TX_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_APBDMA_TX_UNDERRUN_RANGE                     14:14
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_APBDMA_TX_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_APBDMA_TX_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_APBDMA_TX_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_APBDMA_TX_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_APBDMA_TX_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_APBDMA_RX_OVERRUN_SHIFT                      _MK_SHIFT_CONST(15)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_APBDMA_RX_OVERRUN_FIELD                      _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_APBDMA_RX_OVERRUN_RANGE                      15:15
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_APBDMA_RX_OVERRUN_WOFFSET                    0x0
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_APBDMA_RX_OVERRUN_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_APBDMA_RX_OVERRUN_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_APBDMA_RX_OVERRUN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_APBDMA_RX_OVERRUN_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SOURCE_0_APBIF_CH3_APBDMA_RX_OVERRUN_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SOURCE_0_CONFIG_LINK_TIMEOUT_SHIFT                      _MK_SHIFT_CONST(16)
#define APBIF_APBIF_INT_SOURCE_0_CONFIG_LINK_TIMEOUT_FIELD                      _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SOURCE_0_CONFIG_LINK_TIMEOUT_SHIFT)
#define APBIF_APBIF_INT_SOURCE_0_CONFIG_LINK_TIMEOUT_RANGE                      16:16
#define APBIF_APBIF_INT_SOURCE_0_CONFIG_LINK_TIMEOUT_WOFFSET                    0x0
#define APBIF_APBIF_INT_SOURCE_0_CONFIG_LINK_TIMEOUT_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_CONFIG_LINK_TIMEOUT_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_CONFIG_LINK_TIMEOUT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_CONFIG_LINK_TIMEOUT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SOURCE_0_CONFIG_LINK_TIMEOUT_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SOURCE_0_CONFIG_LINK_TIMEOUT_ENABLE                     _MK_ENUM_CONST(1)


// Reserved address 244 [0xf4]

// Register APBIF_I2S_INT_SET_0
#define APBIF_I2S_INT_SET_0                     _MK_ADDR_CONST(0xf8)
#define APBIF_I2S_INT_SET_0_SECURE                      0x0
#define APBIF_I2S_INT_SET_0_SCR                         0
#define APBIF_I2S_INT_SET_0_WORD_COUNT                  0x1
#define APBIF_I2S_INT_SET_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_RESET_MASK                  _MK_MASK_CONST(0x7fff03ff)
#define APBIF_I2S_INT_SET_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_READ_MASK                   _MK_MASK_CONST(0x7fff03ff)
#define APBIF_I2S_INT_SET_0_WRITE_MASK                  _MK_MASK_CONST(0x7fff03ff)
#define APBIF_I2S_INT_SET_0_I2S0_TX_DONE_SHIFT                  _MK_SHIFT_CONST(0)
#define APBIF_I2S_INT_SET_0_I2S0_TX_DONE_FIELD                  _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SET_0_I2S0_TX_DONE_SHIFT)
#define APBIF_I2S_INT_SET_0_I2S0_TX_DONE_RANGE                  0:0
#define APBIF_I2S_INT_SET_0_I2S0_TX_DONE_WOFFSET                        0x0
#define APBIF_I2S_INT_SET_0_I2S0_TX_DONE_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S0_TX_DONE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_SET_0_I2S0_TX_DONE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S0_TX_DONE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S0_TX_DONE_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SET_0_I2S0_TX_DONE_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SET_0_I2S0_RX_DONE_SHIFT                  _MK_SHIFT_CONST(1)
#define APBIF_I2S_INT_SET_0_I2S0_RX_DONE_FIELD                  _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SET_0_I2S0_RX_DONE_SHIFT)
#define APBIF_I2S_INT_SET_0_I2S0_RX_DONE_RANGE                  1:1
#define APBIF_I2S_INT_SET_0_I2S0_RX_DONE_WOFFSET                        0x0
#define APBIF_I2S_INT_SET_0_I2S0_RX_DONE_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S0_RX_DONE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_SET_0_I2S0_RX_DONE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S0_RX_DONE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S0_RX_DONE_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SET_0_I2S0_RX_DONE_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SET_0_I2S1_TX_DONE_SHIFT                  _MK_SHIFT_CONST(2)
#define APBIF_I2S_INT_SET_0_I2S1_TX_DONE_FIELD                  _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SET_0_I2S1_TX_DONE_SHIFT)
#define APBIF_I2S_INT_SET_0_I2S1_TX_DONE_RANGE                  2:2
#define APBIF_I2S_INT_SET_0_I2S1_TX_DONE_WOFFSET                        0x0
#define APBIF_I2S_INT_SET_0_I2S1_TX_DONE_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S1_TX_DONE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_SET_0_I2S1_TX_DONE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S1_TX_DONE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S1_TX_DONE_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SET_0_I2S1_TX_DONE_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SET_0_I2S1_RX_DONE_SHIFT                  _MK_SHIFT_CONST(3)
#define APBIF_I2S_INT_SET_0_I2S1_RX_DONE_FIELD                  _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SET_0_I2S1_RX_DONE_SHIFT)
#define APBIF_I2S_INT_SET_0_I2S1_RX_DONE_RANGE                  3:3
#define APBIF_I2S_INT_SET_0_I2S1_RX_DONE_WOFFSET                        0x0
#define APBIF_I2S_INT_SET_0_I2S1_RX_DONE_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S1_RX_DONE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_SET_0_I2S1_RX_DONE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S1_RX_DONE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S1_RX_DONE_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SET_0_I2S1_RX_DONE_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SET_0_I2S2_TX_DONE_SHIFT                  _MK_SHIFT_CONST(4)
#define APBIF_I2S_INT_SET_0_I2S2_TX_DONE_FIELD                  _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SET_0_I2S2_TX_DONE_SHIFT)
#define APBIF_I2S_INT_SET_0_I2S2_TX_DONE_RANGE                  4:4
#define APBIF_I2S_INT_SET_0_I2S2_TX_DONE_WOFFSET                        0x0
#define APBIF_I2S_INT_SET_0_I2S2_TX_DONE_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S2_TX_DONE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_SET_0_I2S2_TX_DONE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S2_TX_DONE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S2_TX_DONE_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SET_0_I2S2_TX_DONE_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SET_0_I2S2_RX_DONE_SHIFT                  _MK_SHIFT_CONST(5)
#define APBIF_I2S_INT_SET_0_I2S2_RX_DONE_FIELD                  _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SET_0_I2S2_RX_DONE_SHIFT)
#define APBIF_I2S_INT_SET_0_I2S2_RX_DONE_RANGE                  5:5
#define APBIF_I2S_INT_SET_0_I2S2_RX_DONE_WOFFSET                        0x0
#define APBIF_I2S_INT_SET_0_I2S2_RX_DONE_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S2_RX_DONE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_SET_0_I2S2_RX_DONE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S2_RX_DONE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S2_RX_DONE_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SET_0_I2S2_RX_DONE_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SET_0_I2S3_TX_DONE_SHIFT                  _MK_SHIFT_CONST(6)
#define APBIF_I2S_INT_SET_0_I2S3_TX_DONE_FIELD                  _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SET_0_I2S3_TX_DONE_SHIFT)
#define APBIF_I2S_INT_SET_0_I2S3_TX_DONE_RANGE                  6:6
#define APBIF_I2S_INT_SET_0_I2S3_TX_DONE_WOFFSET                        0x0
#define APBIF_I2S_INT_SET_0_I2S3_TX_DONE_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S3_TX_DONE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_SET_0_I2S3_TX_DONE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S3_TX_DONE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S3_TX_DONE_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SET_0_I2S3_TX_DONE_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SET_0_I2S3_RX_DONE_SHIFT                  _MK_SHIFT_CONST(7)
#define APBIF_I2S_INT_SET_0_I2S3_RX_DONE_FIELD                  _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SET_0_I2S3_RX_DONE_SHIFT)
#define APBIF_I2S_INT_SET_0_I2S3_RX_DONE_RANGE                  7:7
#define APBIF_I2S_INT_SET_0_I2S3_RX_DONE_WOFFSET                        0x0
#define APBIF_I2S_INT_SET_0_I2S3_RX_DONE_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S3_RX_DONE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_SET_0_I2S3_RX_DONE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S3_RX_DONE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S3_RX_DONE_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SET_0_I2S3_RX_DONE_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SET_0_I2S4_TX_DONE_SHIFT                  _MK_SHIFT_CONST(8)
#define APBIF_I2S_INT_SET_0_I2S4_TX_DONE_FIELD                  _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SET_0_I2S4_TX_DONE_SHIFT)
#define APBIF_I2S_INT_SET_0_I2S4_TX_DONE_RANGE                  8:8
#define APBIF_I2S_INT_SET_0_I2S4_TX_DONE_WOFFSET                        0x0
#define APBIF_I2S_INT_SET_0_I2S4_TX_DONE_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S4_TX_DONE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_SET_0_I2S4_TX_DONE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S4_TX_DONE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S4_TX_DONE_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SET_0_I2S4_TX_DONE_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SET_0_I2S4_RX_DONE_SHIFT                  _MK_SHIFT_CONST(9)
#define APBIF_I2S_INT_SET_0_I2S4_RX_DONE_FIELD                  _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SET_0_I2S4_RX_DONE_SHIFT)
#define APBIF_I2S_INT_SET_0_I2S4_RX_DONE_RANGE                  9:9
#define APBIF_I2S_INT_SET_0_I2S4_RX_DONE_WOFFSET                        0x0
#define APBIF_I2S_INT_SET_0_I2S4_RX_DONE_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S4_RX_DONE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_SET_0_I2S4_RX_DONE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S4_RX_DONE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S4_RX_DONE_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SET_0_I2S4_RX_DONE_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SET_0_I2S0_RXCIF_UNDERRUN_SHIFT                   _MK_SHIFT_CONST(16)
#define APBIF_I2S_INT_SET_0_I2S0_RXCIF_UNDERRUN_FIELD                   _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SET_0_I2S0_RXCIF_UNDERRUN_SHIFT)
#define APBIF_I2S_INT_SET_0_I2S0_RXCIF_UNDERRUN_RANGE                   16:16
#define APBIF_I2S_INT_SET_0_I2S0_RXCIF_UNDERRUN_WOFFSET                 0x0
#define APBIF_I2S_INT_SET_0_I2S0_RXCIF_UNDERRUN_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S0_RXCIF_UNDERRUN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_SET_0_I2S0_RXCIF_UNDERRUN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S0_RXCIF_UNDERRUN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S0_RXCIF_UNDERRUN_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SET_0_I2S0_RXCIF_UNDERRUN_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SET_0_I2S0_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(17)
#define APBIF_I2S_INT_SET_0_I2S0_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SET_0_I2S0_TXCIF_OVERRUN_SHIFT)
#define APBIF_I2S_INT_SET_0_I2S0_TXCIF_OVERRUN_RANGE                    17:17
#define APBIF_I2S_INT_SET_0_I2S0_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_I2S_INT_SET_0_I2S0_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S0_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_SET_0_I2S0_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S0_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S0_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SET_0_I2S0_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SET_0_I2S1_RXCIF_UNDERRUN_SHIFT                   _MK_SHIFT_CONST(18)
#define APBIF_I2S_INT_SET_0_I2S1_RXCIF_UNDERRUN_FIELD                   _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SET_0_I2S1_RXCIF_UNDERRUN_SHIFT)
#define APBIF_I2S_INT_SET_0_I2S1_RXCIF_UNDERRUN_RANGE                   18:18
#define APBIF_I2S_INT_SET_0_I2S1_RXCIF_UNDERRUN_WOFFSET                 0x0
#define APBIF_I2S_INT_SET_0_I2S1_RXCIF_UNDERRUN_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S1_RXCIF_UNDERRUN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_SET_0_I2S1_RXCIF_UNDERRUN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S1_RXCIF_UNDERRUN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S1_RXCIF_UNDERRUN_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SET_0_I2S1_RXCIF_UNDERRUN_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SET_0_I2S1_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(19)
#define APBIF_I2S_INT_SET_0_I2S1_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SET_0_I2S1_TXCIF_OVERRUN_SHIFT)
#define APBIF_I2S_INT_SET_0_I2S1_TXCIF_OVERRUN_RANGE                    19:19
#define APBIF_I2S_INT_SET_0_I2S1_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_I2S_INT_SET_0_I2S1_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S1_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_SET_0_I2S1_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S1_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S1_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SET_0_I2S1_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SET_0_I2S2_RXCIF_UNDERRUN_SHIFT                   _MK_SHIFT_CONST(20)
#define APBIF_I2S_INT_SET_0_I2S2_RXCIF_UNDERRUN_FIELD                   _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SET_0_I2S2_RXCIF_UNDERRUN_SHIFT)
#define APBIF_I2S_INT_SET_0_I2S2_RXCIF_UNDERRUN_RANGE                   20:20
#define APBIF_I2S_INT_SET_0_I2S2_RXCIF_UNDERRUN_WOFFSET                 0x0
#define APBIF_I2S_INT_SET_0_I2S2_RXCIF_UNDERRUN_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S2_RXCIF_UNDERRUN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_SET_0_I2S2_RXCIF_UNDERRUN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S2_RXCIF_UNDERRUN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S2_RXCIF_UNDERRUN_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SET_0_I2S2_RXCIF_UNDERRUN_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SET_0_I2S2_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(21)
#define APBIF_I2S_INT_SET_0_I2S2_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SET_0_I2S2_TXCIF_OVERRUN_SHIFT)
#define APBIF_I2S_INT_SET_0_I2S2_TXCIF_OVERRUN_RANGE                    21:21
#define APBIF_I2S_INT_SET_0_I2S2_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_I2S_INT_SET_0_I2S2_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S2_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_SET_0_I2S2_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S2_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S2_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SET_0_I2S2_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SET_0_I2S3_RXCIF_UNDERRUN_SHIFT                   _MK_SHIFT_CONST(22)
#define APBIF_I2S_INT_SET_0_I2S3_RXCIF_UNDERRUN_FIELD                   _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SET_0_I2S3_RXCIF_UNDERRUN_SHIFT)
#define APBIF_I2S_INT_SET_0_I2S3_RXCIF_UNDERRUN_RANGE                   22:22
#define APBIF_I2S_INT_SET_0_I2S3_RXCIF_UNDERRUN_WOFFSET                 0x0
#define APBIF_I2S_INT_SET_0_I2S3_RXCIF_UNDERRUN_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S3_RXCIF_UNDERRUN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_SET_0_I2S3_RXCIF_UNDERRUN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S3_RXCIF_UNDERRUN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S3_RXCIF_UNDERRUN_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SET_0_I2S3_RXCIF_UNDERRUN_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SET_0_I2S3_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(23)
#define APBIF_I2S_INT_SET_0_I2S3_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SET_0_I2S3_TXCIF_OVERRUN_SHIFT)
#define APBIF_I2S_INT_SET_0_I2S3_TXCIF_OVERRUN_RANGE                    23:23
#define APBIF_I2S_INT_SET_0_I2S3_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_I2S_INT_SET_0_I2S3_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S3_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_SET_0_I2S3_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S3_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S3_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SET_0_I2S3_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SET_0_I2S4_RXCIF_UNDERRUN_SHIFT                   _MK_SHIFT_CONST(24)
#define APBIF_I2S_INT_SET_0_I2S4_RXCIF_UNDERRUN_FIELD                   _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SET_0_I2S4_RXCIF_UNDERRUN_SHIFT)
#define APBIF_I2S_INT_SET_0_I2S4_RXCIF_UNDERRUN_RANGE                   24:24
#define APBIF_I2S_INT_SET_0_I2S4_RXCIF_UNDERRUN_WOFFSET                 0x0
#define APBIF_I2S_INT_SET_0_I2S4_RXCIF_UNDERRUN_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S4_RXCIF_UNDERRUN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_SET_0_I2S4_RXCIF_UNDERRUN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S4_RXCIF_UNDERRUN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S4_RXCIF_UNDERRUN_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SET_0_I2S4_RXCIF_UNDERRUN_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SET_0_I2S4_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(25)
#define APBIF_I2S_INT_SET_0_I2S4_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SET_0_I2S4_TXCIF_OVERRUN_SHIFT)
#define APBIF_I2S_INT_SET_0_I2S4_TXCIF_OVERRUN_RANGE                    25:25
#define APBIF_I2S_INT_SET_0_I2S4_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_I2S_INT_SET_0_I2S4_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S4_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_SET_0_I2S4_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S4_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S4_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SET_0_I2S4_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SET_0_I2S0_FLOW_CTL_INT_SHIFT                     _MK_SHIFT_CONST(26)
#define APBIF_I2S_INT_SET_0_I2S0_FLOW_CTL_INT_FIELD                     _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SET_0_I2S0_FLOW_CTL_INT_SHIFT)
#define APBIF_I2S_INT_SET_0_I2S0_FLOW_CTL_INT_RANGE                     26:26
#define APBIF_I2S_INT_SET_0_I2S0_FLOW_CTL_INT_WOFFSET                   0x0
#define APBIF_I2S_INT_SET_0_I2S0_FLOW_CTL_INT_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S0_FLOW_CTL_INT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_SET_0_I2S0_FLOW_CTL_INT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S0_FLOW_CTL_INT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S0_FLOW_CTL_INT_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SET_0_I2S0_FLOW_CTL_INT_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SET_0_I2S1_FLOW_CTL_INT_SHIFT                     _MK_SHIFT_CONST(27)
#define APBIF_I2S_INT_SET_0_I2S1_FLOW_CTL_INT_FIELD                     _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SET_0_I2S1_FLOW_CTL_INT_SHIFT)
#define APBIF_I2S_INT_SET_0_I2S1_FLOW_CTL_INT_RANGE                     27:27
#define APBIF_I2S_INT_SET_0_I2S1_FLOW_CTL_INT_WOFFSET                   0x0
#define APBIF_I2S_INT_SET_0_I2S1_FLOW_CTL_INT_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S1_FLOW_CTL_INT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_SET_0_I2S1_FLOW_CTL_INT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S1_FLOW_CTL_INT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S1_FLOW_CTL_INT_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SET_0_I2S1_FLOW_CTL_INT_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SET_0_I2S2_FLOW_CTL_INT_SHIFT                     _MK_SHIFT_CONST(28)
#define APBIF_I2S_INT_SET_0_I2S2_FLOW_CTL_INT_FIELD                     _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SET_0_I2S2_FLOW_CTL_INT_SHIFT)
#define APBIF_I2S_INT_SET_0_I2S2_FLOW_CTL_INT_RANGE                     28:28
#define APBIF_I2S_INT_SET_0_I2S2_FLOW_CTL_INT_WOFFSET                   0x0
#define APBIF_I2S_INT_SET_0_I2S2_FLOW_CTL_INT_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S2_FLOW_CTL_INT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_SET_0_I2S2_FLOW_CTL_INT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S2_FLOW_CTL_INT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S2_FLOW_CTL_INT_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SET_0_I2S2_FLOW_CTL_INT_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SET_0_I2S3_FLOW_CTL_INT_SHIFT                     _MK_SHIFT_CONST(29)
#define APBIF_I2S_INT_SET_0_I2S3_FLOW_CTL_INT_FIELD                     _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SET_0_I2S3_FLOW_CTL_INT_SHIFT)
#define APBIF_I2S_INT_SET_0_I2S3_FLOW_CTL_INT_RANGE                     29:29
#define APBIF_I2S_INT_SET_0_I2S3_FLOW_CTL_INT_WOFFSET                   0x0
#define APBIF_I2S_INT_SET_0_I2S3_FLOW_CTL_INT_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S3_FLOW_CTL_INT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_SET_0_I2S3_FLOW_CTL_INT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S3_FLOW_CTL_INT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S3_FLOW_CTL_INT_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SET_0_I2S3_FLOW_CTL_INT_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_I2S_INT_SET_0_I2S4_FLOW_CTL_INT_SHIFT                     _MK_SHIFT_CONST(30)
#define APBIF_I2S_INT_SET_0_I2S4_FLOW_CTL_INT_FIELD                     _MK_FIELD_CONST(0x1, APBIF_I2S_INT_SET_0_I2S4_FLOW_CTL_INT_SHIFT)
#define APBIF_I2S_INT_SET_0_I2S4_FLOW_CTL_INT_RANGE                     30:30
#define APBIF_I2S_INT_SET_0_I2S4_FLOW_CTL_INT_WOFFSET                   0x0
#define APBIF_I2S_INT_SET_0_I2S4_FLOW_CTL_INT_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S4_FLOW_CTL_INT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_I2S_INT_SET_0_I2S4_FLOW_CTL_INT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S4_FLOW_CTL_INT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_I2S_INT_SET_0_I2S4_FLOW_CTL_INT_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_I2S_INT_SET_0_I2S4_FLOW_CTL_INT_ENABLE                    _MK_ENUM_CONST(1)


// Register APBIF_DAM_INT_SET_0
#define APBIF_DAM_INT_SET_0                     _MK_ADDR_CONST(0xfc)
#define APBIF_DAM_INT_SET_0_SECURE                      0x0
#define APBIF_DAM_INT_SET_0_SCR                         0
#define APBIF_DAM_INT_SET_0_WORD_COUNT                  0x1
#define APBIF_DAM_INT_SET_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_RESET_MASK                  _MK_MASK_CONST(0x939393)
#define APBIF_DAM_INT_SET_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_READ_MASK                   _MK_MASK_CONST(0x939393)
#define APBIF_DAM_INT_SET_0_WRITE_MASK                  _MK_MASK_CONST(0x939393)
#define APBIF_DAM_INT_SET_0_DAM0_RX0_DONE_SHIFT                 _MK_SHIFT_CONST(0)
#define APBIF_DAM_INT_SET_0_DAM0_RX0_DONE_FIELD                 _MK_FIELD_CONST(0x1, APBIF_DAM_INT_SET_0_DAM0_RX0_DONE_SHIFT)
#define APBIF_DAM_INT_SET_0_DAM0_RX0_DONE_RANGE                 0:0
#define APBIF_DAM_INT_SET_0_DAM0_RX0_DONE_WOFFSET                       0x0
#define APBIF_DAM_INT_SET_0_DAM0_RX0_DONE_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM0_RX0_DONE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_SET_0_DAM0_RX0_DONE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM0_RX0_DONE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM0_RX0_DONE_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_SET_0_DAM0_RX0_DONE_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_SET_0_DAM0_RX1_DONE_SHIFT                 _MK_SHIFT_CONST(1)
#define APBIF_DAM_INT_SET_0_DAM0_RX1_DONE_FIELD                 _MK_FIELD_CONST(0x1, APBIF_DAM_INT_SET_0_DAM0_RX1_DONE_SHIFT)
#define APBIF_DAM_INT_SET_0_DAM0_RX1_DONE_RANGE                 1:1
#define APBIF_DAM_INT_SET_0_DAM0_RX1_DONE_WOFFSET                       0x0
#define APBIF_DAM_INT_SET_0_DAM0_RX1_DONE_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM0_RX1_DONE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_SET_0_DAM0_RX1_DONE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM0_RX1_DONE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM0_RX1_DONE_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_SET_0_DAM0_RX1_DONE_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_SET_0_DAM0_TX_DONE_SHIFT                  _MK_SHIFT_CONST(4)
#define APBIF_DAM_INT_SET_0_DAM0_TX_DONE_FIELD                  _MK_FIELD_CONST(0x1, APBIF_DAM_INT_SET_0_DAM0_TX_DONE_SHIFT)
#define APBIF_DAM_INT_SET_0_DAM0_TX_DONE_RANGE                  4:4
#define APBIF_DAM_INT_SET_0_DAM0_TX_DONE_WOFFSET                        0x0
#define APBIF_DAM_INT_SET_0_DAM0_TX_DONE_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM0_TX_DONE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_SET_0_DAM0_TX_DONE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM0_TX_DONE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM0_TX_DONE_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_SET_0_DAM0_TX_DONE_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_SET_0_DAM0_CLIP_INTR_SHIFT                        _MK_SHIFT_CONST(7)
#define APBIF_DAM_INT_SET_0_DAM0_CLIP_INTR_FIELD                        _MK_FIELD_CONST(0x1, APBIF_DAM_INT_SET_0_DAM0_CLIP_INTR_SHIFT)
#define APBIF_DAM_INT_SET_0_DAM0_CLIP_INTR_RANGE                        7:7
#define APBIF_DAM_INT_SET_0_DAM0_CLIP_INTR_WOFFSET                      0x0
#define APBIF_DAM_INT_SET_0_DAM0_CLIP_INTR_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM0_CLIP_INTR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_SET_0_DAM0_CLIP_INTR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM0_CLIP_INTR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM0_CLIP_INTR_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_SET_0_DAM0_CLIP_INTR_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_SET_0_DAM1_RX0_DONE_SHIFT                 _MK_SHIFT_CONST(8)
#define APBIF_DAM_INT_SET_0_DAM1_RX0_DONE_FIELD                 _MK_FIELD_CONST(0x1, APBIF_DAM_INT_SET_0_DAM1_RX0_DONE_SHIFT)
#define APBIF_DAM_INT_SET_0_DAM1_RX0_DONE_RANGE                 8:8
#define APBIF_DAM_INT_SET_0_DAM1_RX0_DONE_WOFFSET                       0x0
#define APBIF_DAM_INT_SET_0_DAM1_RX0_DONE_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM1_RX0_DONE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_SET_0_DAM1_RX0_DONE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM1_RX0_DONE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM1_RX0_DONE_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_SET_0_DAM1_RX0_DONE_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_SET_0_DAM1_RX1_DONE_SHIFT                 _MK_SHIFT_CONST(9)
#define APBIF_DAM_INT_SET_0_DAM1_RX1_DONE_FIELD                 _MK_FIELD_CONST(0x1, APBIF_DAM_INT_SET_0_DAM1_RX1_DONE_SHIFT)
#define APBIF_DAM_INT_SET_0_DAM1_RX1_DONE_RANGE                 9:9
#define APBIF_DAM_INT_SET_0_DAM1_RX1_DONE_WOFFSET                       0x0
#define APBIF_DAM_INT_SET_0_DAM1_RX1_DONE_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM1_RX1_DONE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_SET_0_DAM1_RX1_DONE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM1_RX1_DONE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM1_RX1_DONE_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_SET_0_DAM1_RX1_DONE_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_SET_0_DAM1_TX_DONE_SHIFT                  _MK_SHIFT_CONST(12)
#define APBIF_DAM_INT_SET_0_DAM1_TX_DONE_FIELD                  _MK_FIELD_CONST(0x1, APBIF_DAM_INT_SET_0_DAM1_TX_DONE_SHIFT)
#define APBIF_DAM_INT_SET_0_DAM1_TX_DONE_RANGE                  12:12
#define APBIF_DAM_INT_SET_0_DAM1_TX_DONE_WOFFSET                        0x0
#define APBIF_DAM_INT_SET_0_DAM1_TX_DONE_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM1_TX_DONE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_SET_0_DAM1_TX_DONE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM1_TX_DONE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM1_TX_DONE_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_SET_0_DAM1_TX_DONE_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_SET_0_DAM1_CLIP_INTR_SHIFT                        _MK_SHIFT_CONST(15)
#define APBIF_DAM_INT_SET_0_DAM1_CLIP_INTR_FIELD                        _MK_FIELD_CONST(0x1, APBIF_DAM_INT_SET_0_DAM1_CLIP_INTR_SHIFT)
#define APBIF_DAM_INT_SET_0_DAM1_CLIP_INTR_RANGE                        15:15
#define APBIF_DAM_INT_SET_0_DAM1_CLIP_INTR_WOFFSET                      0x0
#define APBIF_DAM_INT_SET_0_DAM1_CLIP_INTR_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM1_CLIP_INTR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_SET_0_DAM1_CLIP_INTR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM1_CLIP_INTR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM1_CLIP_INTR_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_SET_0_DAM1_CLIP_INTR_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_SET_0_DAM2_RX0_DONE_SHIFT                 _MK_SHIFT_CONST(16)
#define APBIF_DAM_INT_SET_0_DAM2_RX0_DONE_FIELD                 _MK_FIELD_CONST(0x1, APBIF_DAM_INT_SET_0_DAM2_RX0_DONE_SHIFT)
#define APBIF_DAM_INT_SET_0_DAM2_RX0_DONE_RANGE                 16:16
#define APBIF_DAM_INT_SET_0_DAM2_RX0_DONE_WOFFSET                       0x0
#define APBIF_DAM_INT_SET_0_DAM2_RX0_DONE_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM2_RX0_DONE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_SET_0_DAM2_RX0_DONE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM2_RX0_DONE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM2_RX0_DONE_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_SET_0_DAM2_RX0_DONE_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_SET_0_DAM2_RX1_DONE_SHIFT                 _MK_SHIFT_CONST(17)
#define APBIF_DAM_INT_SET_0_DAM2_RX1_DONE_FIELD                 _MK_FIELD_CONST(0x1, APBIF_DAM_INT_SET_0_DAM2_RX1_DONE_SHIFT)
#define APBIF_DAM_INT_SET_0_DAM2_RX1_DONE_RANGE                 17:17
#define APBIF_DAM_INT_SET_0_DAM2_RX1_DONE_WOFFSET                       0x0
#define APBIF_DAM_INT_SET_0_DAM2_RX1_DONE_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM2_RX1_DONE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_SET_0_DAM2_RX1_DONE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM2_RX1_DONE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM2_RX1_DONE_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_SET_0_DAM2_RX1_DONE_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_SET_0_DAM2_TX_DONE_SHIFT                  _MK_SHIFT_CONST(20)
#define APBIF_DAM_INT_SET_0_DAM2_TX_DONE_FIELD                  _MK_FIELD_CONST(0x1, APBIF_DAM_INT_SET_0_DAM2_TX_DONE_SHIFT)
#define APBIF_DAM_INT_SET_0_DAM2_TX_DONE_RANGE                  20:20
#define APBIF_DAM_INT_SET_0_DAM2_TX_DONE_WOFFSET                        0x0
#define APBIF_DAM_INT_SET_0_DAM2_TX_DONE_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM2_TX_DONE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_SET_0_DAM2_TX_DONE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM2_TX_DONE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM2_TX_DONE_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_SET_0_DAM2_TX_DONE_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_DAM_INT_SET_0_DAM2_CLIP_INTR_SHIFT                        _MK_SHIFT_CONST(23)
#define APBIF_DAM_INT_SET_0_DAM2_CLIP_INTR_FIELD                        _MK_FIELD_CONST(0x1, APBIF_DAM_INT_SET_0_DAM2_CLIP_INTR_SHIFT)
#define APBIF_DAM_INT_SET_0_DAM2_CLIP_INTR_RANGE                        23:23
#define APBIF_DAM_INT_SET_0_DAM2_CLIP_INTR_WOFFSET                      0x0
#define APBIF_DAM_INT_SET_0_DAM2_CLIP_INTR_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM2_CLIP_INTR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_DAM_INT_SET_0_DAM2_CLIP_INTR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM2_CLIP_INTR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_DAM_INT_SET_0_DAM2_CLIP_INTR_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_DAM_INT_SET_0_DAM2_CLIP_INTR_ENABLE                       _MK_ENUM_CONST(1)


// Register APBIF_SPDIF_INT_SET_0
#define APBIF_SPDIF_INT_SET_0                   _MK_ADDR_CONST(0x100)
#define APBIF_SPDIF_INT_SET_0_SECURE                    0x0
#define APBIF_SPDIF_INT_SET_0_SCR                       0
#define APBIF_SPDIF_INT_SET_0_WORD_COUNT                        0x1
#define APBIF_SPDIF_INT_SET_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_RESET_MASK                        _MK_MASK_CONST(0x8fff)
#define APBIF_SPDIF_INT_SET_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_READ_MASK                         _MK_MASK_CONST(0x8fff)
#define APBIF_SPDIF_INT_SET_0_WRITE_MASK                        _MK_MASK_CONST(0x8fff)
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_RX_DONE_SHIFT                  _MK_SHIFT_CONST(0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_RX_DONE_FIELD                  _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_SET_0_SPDIF_DATA_RX_DONE_SHIFT)
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_RX_DONE_RANGE                  0:0
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_RX_DONE_WOFFSET                        0x0
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_RX_DONE_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_RX_DONE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_RX_DONE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_RX_DONE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_RX_DONE_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_RX_DONE_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_TX_DONE_SHIFT                  _MK_SHIFT_CONST(1)
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_TX_DONE_FIELD                  _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_SET_0_SPDIF_DATA_TX_DONE_SHIFT)
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_TX_DONE_RANGE                  1:1
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_TX_DONE_WOFFSET                        0x0
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_TX_DONE_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_TX_DONE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_TX_DONE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_TX_DONE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_TX_DONE_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_TX_DONE_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_RX_DONE_SHIFT                  _MK_SHIFT_CONST(2)
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_RX_DONE_FIELD                  _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_SET_0_SPDIF_USER_RX_DONE_SHIFT)
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_RX_DONE_RANGE                  2:2
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_RX_DONE_WOFFSET                        0x0
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_RX_DONE_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_RX_DONE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_RX_DONE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_RX_DONE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_RX_DONE_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_RX_DONE_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_TX_DONE_SHIFT                  _MK_SHIFT_CONST(3)
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_TX_DONE_FIELD                  _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_SET_0_SPDIF_USER_TX_DONE_SHIFT)
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_TX_DONE_RANGE                  3:3
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_TX_DONE_WOFFSET                        0x0
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_TX_DONE_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_TX_DONE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_TX_DONE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_TX_DONE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_TX_DONE_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_TX_DONE_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_RXCIF_UNDERRUN_SHIFT                   _MK_SHIFT_CONST(4)
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_RXCIF_UNDERRUN_FIELD                   _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_SET_0_SPDIF_DATA_RXCIF_UNDERRUN_SHIFT)
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_RXCIF_UNDERRUN_RANGE                   4:4
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_RXCIF_UNDERRUN_WOFFSET                 0x0
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_RXCIF_UNDERRUN_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_RXCIF_UNDERRUN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_RXCIF_UNDERRUN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_RXCIF_UNDERRUN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_RXCIF_UNDERRUN_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_RXCIF_UNDERRUN_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(5)
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_SET_0_SPDIF_DATA_TXCIF_OVERRUN_SHIFT)
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_TXCIF_OVERRUN_RANGE                    5:5
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_DATA_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_RXCIF_UNDERRUN_SHIFT                   _MK_SHIFT_CONST(6)
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_RXCIF_UNDERRUN_FIELD                   _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_SET_0_SPDIF_USER_RXCIF_UNDERRUN_SHIFT)
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_RXCIF_UNDERRUN_RANGE                   6:6
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_RXCIF_UNDERRUN_WOFFSET                 0x0
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_RXCIF_UNDERRUN_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_RXCIF_UNDERRUN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_RXCIF_UNDERRUN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_RXCIF_UNDERRUN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_RXCIF_UNDERRUN_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_RXCIF_UNDERRUN_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(7)
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_SET_0_SPDIF_USER_TXCIF_OVERRUN_SHIFT)
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_TXCIF_OVERRUN_RANGE                    7:7
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_USER_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_SET_0_SPDIF_RX_IU_SHIFT                 _MK_SHIFT_CONST(8)
#define APBIF_SPDIF_INT_SET_0_SPDIF_RX_IU_FIELD                 _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_SET_0_SPDIF_RX_IU_SHIFT)
#define APBIF_SPDIF_INT_SET_0_SPDIF_RX_IU_RANGE                 8:8
#define APBIF_SPDIF_INT_SET_0_SPDIF_RX_IU_WOFFSET                       0x0
#define APBIF_SPDIF_INT_SET_0_SPDIF_RX_IU_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_RX_IU_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_SET_0_SPDIF_RX_IU_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_RX_IU_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_RX_IU_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_RX_IU_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_SET_0_SPDIF_RX_CHANNEL_SHIFT                    _MK_SHIFT_CONST(9)
#define APBIF_SPDIF_INT_SET_0_SPDIF_RX_CHANNEL_FIELD                    _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_SET_0_SPDIF_RX_CHANNEL_SHIFT)
#define APBIF_SPDIF_INT_SET_0_SPDIF_RX_CHANNEL_RANGE                    9:9
#define APBIF_SPDIF_INT_SET_0_SPDIF_RX_CHANNEL_WOFFSET                  0x0
#define APBIF_SPDIF_INT_SET_0_SPDIF_RX_CHANNEL_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_RX_CHANNEL_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_SET_0_SPDIF_RX_CHANNEL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_RX_CHANNEL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_RX_CHANNEL_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_RX_CHANNEL_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_SET_0_SPDIF_B_SYNC_SHIFT                        _MK_SHIFT_CONST(10)
#define APBIF_SPDIF_INT_SET_0_SPDIF_B_SYNC_FIELD                        _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_SET_0_SPDIF_B_SYNC_SHIFT)
#define APBIF_SPDIF_INT_SET_0_SPDIF_B_SYNC_RANGE                        10:10
#define APBIF_SPDIF_INT_SET_0_SPDIF_B_SYNC_WOFFSET                      0x0
#define APBIF_SPDIF_INT_SET_0_SPDIF_B_SYNC_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_B_SYNC_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_SET_0_SPDIF_B_SYNC_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_B_SYNC_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_B_SYNC_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_B_SYNC_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_SET_0_SPDIF_BAD_PREAMBLE_SHIFT                  _MK_SHIFT_CONST(11)
#define APBIF_SPDIF_INT_SET_0_SPDIF_BAD_PREAMBLE_FIELD                  _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_SET_0_SPDIF_BAD_PREAMBLE_SHIFT)
#define APBIF_SPDIF_INT_SET_0_SPDIF_BAD_PREAMBLE_RANGE                  11:11
#define APBIF_SPDIF_INT_SET_0_SPDIF_BAD_PREAMBLE_WOFFSET                        0x0
#define APBIF_SPDIF_INT_SET_0_SPDIF_BAD_PREAMBLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_BAD_PREAMBLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_SET_0_SPDIF_BAD_PREAMBLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_BAD_PREAMBLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_BAD_PREAMBLE_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_BAD_PREAMBLE_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_SPDIF_INT_SET_0_SPDIF_FLOW_CTL_INT_SHIFT                  _MK_SHIFT_CONST(15)
#define APBIF_SPDIF_INT_SET_0_SPDIF_FLOW_CTL_INT_FIELD                  _MK_FIELD_CONST(0x1, APBIF_SPDIF_INT_SET_0_SPDIF_FLOW_CTL_INT_SHIFT)
#define APBIF_SPDIF_INT_SET_0_SPDIF_FLOW_CTL_INT_RANGE                  15:15
#define APBIF_SPDIF_INT_SET_0_SPDIF_FLOW_CTL_INT_WOFFSET                        0x0
#define APBIF_SPDIF_INT_SET_0_SPDIF_FLOW_CTL_INT_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_FLOW_CTL_INT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_SPDIF_INT_SET_0_SPDIF_FLOW_CTL_INT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_FLOW_CTL_INT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_FLOW_CTL_INT_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_SPDIF_INT_SET_0_SPDIF_FLOW_CTL_INT_ENABLE                 _MK_ENUM_CONST(1)


// Register APBIF_APBIF_INT_SET_0
#define APBIF_APBIF_INT_SET_0                   _MK_ADDR_CONST(0x104)
#define APBIF_APBIF_INT_SET_0_SECURE                    0x0
#define APBIF_APBIF_INT_SET_0_SCR                       0
#define APBIF_APBIF_INT_SET_0_WORD_COUNT                        0x1
#define APBIF_APBIF_INT_SET_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_RESET_MASK                        _MK_MASK_CONST(0x1ffff)
#define APBIF_APBIF_INT_SET_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_READ_MASK                         _MK_MASK_CONST(0x1ffff)
#define APBIF_APBIF_INT_SET_0_WRITE_MASK                        _MK_MASK_CONST(0x1ffff)
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_RXCIF_UNDERRUN_SHIFT                    _MK_SHIFT_CONST(0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_RXCIF_UNDERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SET_0_APBIF_CH0_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_RXCIF_UNDERRUN_RANGE                    0:0
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_RXCIF_UNDERRUN_WOFFSET                  0x0
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_RXCIF_UNDERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_RXCIF_UNDERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_RXCIF_UNDERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_RXCIF_UNDERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_RXCIF_UNDERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_RXCIF_UNDERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SET_0_APBIF_CH0_TXCIF_OVERRUN_SHIFT                     _MK_SHIFT_CONST(1)
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_TXCIF_OVERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SET_0_APBIF_CH0_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_TXCIF_OVERRUN_RANGE                     1:1
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_TXCIF_OVERRUN_WOFFSET                   0x0
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_TXCIF_OVERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_TXCIF_OVERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_TXCIF_OVERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_TXCIF_OVERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_TXCIF_OVERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_TXCIF_OVERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SET_0_APBIF_CH1_RXCIF_UNDERRUN_SHIFT                    _MK_SHIFT_CONST(2)
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_RXCIF_UNDERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SET_0_APBIF_CH1_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_RXCIF_UNDERRUN_RANGE                    2:2
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_RXCIF_UNDERRUN_WOFFSET                  0x0
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_RXCIF_UNDERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_RXCIF_UNDERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_RXCIF_UNDERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_RXCIF_UNDERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_RXCIF_UNDERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_RXCIF_UNDERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SET_0_APBIF_CH1_TXCIF_OVERRUN_SHIFT                     _MK_SHIFT_CONST(3)
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_TXCIF_OVERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SET_0_APBIF_CH1_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_TXCIF_OVERRUN_RANGE                     3:3
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_TXCIF_OVERRUN_WOFFSET                   0x0
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_TXCIF_OVERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_TXCIF_OVERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_TXCIF_OVERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_TXCIF_OVERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_TXCIF_OVERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_TXCIF_OVERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SET_0_APBIF_CH2_RXCIF_UNDERRUN_SHIFT                    _MK_SHIFT_CONST(4)
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_RXCIF_UNDERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SET_0_APBIF_CH2_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_RXCIF_UNDERRUN_RANGE                    4:4
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_RXCIF_UNDERRUN_WOFFSET                  0x0
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_RXCIF_UNDERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_RXCIF_UNDERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_RXCIF_UNDERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_RXCIF_UNDERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_RXCIF_UNDERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_RXCIF_UNDERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SET_0_APBIF_CH2_TXCIF_OVERRUN_SHIFT                     _MK_SHIFT_CONST(5)
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_TXCIF_OVERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SET_0_APBIF_CH2_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_TXCIF_OVERRUN_RANGE                     5:5
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_TXCIF_OVERRUN_WOFFSET                   0x0
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_TXCIF_OVERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_TXCIF_OVERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_TXCIF_OVERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_TXCIF_OVERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_TXCIF_OVERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_TXCIF_OVERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SET_0_APBIF_CH3_RXCIF_UNDERRUN_SHIFT                    _MK_SHIFT_CONST(6)
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_RXCIF_UNDERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SET_0_APBIF_CH3_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_RXCIF_UNDERRUN_RANGE                    6:6
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_RXCIF_UNDERRUN_WOFFSET                  0x0
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_RXCIF_UNDERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_RXCIF_UNDERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_RXCIF_UNDERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_RXCIF_UNDERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_RXCIF_UNDERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_RXCIF_UNDERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SET_0_APBIF_CH3_TXCIF_OVERRUN_SHIFT                     _MK_SHIFT_CONST(7)
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_TXCIF_OVERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SET_0_APBIF_CH3_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_TXCIF_OVERRUN_RANGE                     7:7
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_TXCIF_OVERRUN_WOFFSET                   0x0
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_TXCIF_OVERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_TXCIF_OVERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_TXCIF_OVERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_TXCIF_OVERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_TXCIF_OVERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_TXCIF_OVERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SET_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SHIFT                        _MK_SHIFT_CONST(8)
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_APBDMA_TX_UNDERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SET_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_APBDMA_TX_UNDERRUN_RANGE                        8:8
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_APBDMA_TX_UNDERRUN_WOFFSET                      0x0
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_APBDMA_TX_UNDERRUN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_APBDMA_TX_UNDERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_APBDMA_TX_UNDERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_APBDMA_TX_UNDERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SET_0_APBIF_CH0_APBDMA_RX_OVERRUN_SHIFT                 _MK_SHIFT_CONST(9)
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_APBDMA_RX_OVERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SET_0_APBIF_CH0_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_APBDMA_RX_OVERRUN_RANGE                 9:9
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_APBDMA_RX_OVERRUN_WOFFSET                       0x0
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_APBDMA_RX_OVERRUN_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_APBDMA_RX_OVERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_APBDMA_RX_OVERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_APBDMA_RX_OVERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH0_APBDMA_RX_OVERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SET_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SHIFT                        _MK_SHIFT_CONST(10)
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_APBDMA_TX_UNDERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SET_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_APBDMA_TX_UNDERRUN_RANGE                        10:10
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_APBDMA_TX_UNDERRUN_WOFFSET                      0x0
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_APBDMA_TX_UNDERRUN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_APBDMA_TX_UNDERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_APBDMA_TX_UNDERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_APBDMA_TX_UNDERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SET_0_APBIF_CH1_APBDMA_RX_OVERRUN_SHIFT                 _MK_SHIFT_CONST(11)
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_APBDMA_RX_OVERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SET_0_APBIF_CH1_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_APBDMA_RX_OVERRUN_RANGE                 11:11
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_APBDMA_RX_OVERRUN_WOFFSET                       0x0
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_APBDMA_RX_OVERRUN_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_APBDMA_RX_OVERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_APBDMA_RX_OVERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_APBDMA_RX_OVERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH1_APBDMA_RX_OVERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SET_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SHIFT                        _MK_SHIFT_CONST(12)
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_APBDMA_TX_UNDERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SET_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_APBDMA_TX_UNDERRUN_RANGE                        12:12
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_APBDMA_TX_UNDERRUN_WOFFSET                      0x0
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_APBDMA_TX_UNDERRUN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_APBDMA_TX_UNDERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_APBDMA_TX_UNDERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_APBDMA_TX_UNDERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SET_0_APBIF_CH2_APBDMA_RX_OVERRUN_SHIFT                 _MK_SHIFT_CONST(13)
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_APBDMA_RX_OVERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SET_0_APBIF_CH2_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_APBDMA_RX_OVERRUN_RANGE                 13:13
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_APBDMA_RX_OVERRUN_WOFFSET                       0x0
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_APBDMA_RX_OVERRUN_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_APBDMA_RX_OVERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_APBDMA_RX_OVERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_APBDMA_RX_OVERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH2_APBDMA_RX_OVERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SET_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SHIFT                        _MK_SHIFT_CONST(14)
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_APBDMA_TX_UNDERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SET_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_APBDMA_TX_UNDERRUN_RANGE                        14:14
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_APBDMA_TX_UNDERRUN_WOFFSET                      0x0
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_APBDMA_TX_UNDERRUN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_APBDMA_TX_UNDERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_APBDMA_TX_UNDERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_APBDMA_TX_UNDERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SET_0_APBIF_CH3_APBDMA_RX_OVERRUN_SHIFT                 _MK_SHIFT_CONST(15)
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_APBDMA_RX_OVERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SET_0_APBIF_CH3_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_APBDMA_RX_OVERRUN_RANGE                 15:15
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_APBDMA_RX_OVERRUN_WOFFSET                       0x0
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_APBDMA_RX_OVERRUN_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_APBDMA_RX_OVERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_APBDMA_RX_OVERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_APBDMA_RX_OVERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SET_0_APBIF_CH3_APBDMA_RX_OVERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_APBIF_INT_SET_0_CONFIG_LINK_TIMEOUT_SHIFT                 _MK_SHIFT_CONST(16)
#define APBIF_APBIF_INT_SET_0_CONFIG_LINK_TIMEOUT_FIELD                 _MK_FIELD_CONST(0x1, APBIF_APBIF_INT_SET_0_CONFIG_LINK_TIMEOUT_SHIFT)
#define APBIF_APBIF_INT_SET_0_CONFIG_LINK_TIMEOUT_RANGE                 16:16
#define APBIF_APBIF_INT_SET_0_CONFIG_LINK_TIMEOUT_WOFFSET                       0x0
#define APBIF_APBIF_INT_SET_0_CONFIG_LINK_TIMEOUT_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_CONFIG_LINK_TIMEOUT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_INT_SET_0_CONFIG_LINK_TIMEOUT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_CONFIG_LINK_TIMEOUT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_INT_SET_0_CONFIG_LINK_TIMEOUT_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_APBIF_INT_SET_0_CONFIG_LINK_TIMEOUT_ENABLE                        _MK_ENUM_CONST(1)


// Reserved address 264 [0x108]

// Register APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0                    _MK_ADDR_CONST(0x10c)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_SECURE                     0x0
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_SCR                        0
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_WORD_COUNT                         0x1
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_RESET_MASK                         _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_READ_MASK                  _MK_MASK_CONST(0x3ff)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_WRITE_MASK                         _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH0_TX_DMA_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH0_TX_DMA_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH0_TX_DMA_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH0_TX_DMA_FIFO_EMPTY_RANGE                        0:0
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH0_TX_DMA_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH0_TX_DMA_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH0_TX_DMA_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH0_TX_DMA_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH0_TX_DMA_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH0_TX_DMA_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH0_TX_DMA_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH1_TX_DMA_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(1)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH1_TX_DMA_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH1_TX_DMA_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH1_TX_DMA_FIFO_EMPTY_RANGE                        1:1
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH1_TX_DMA_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH1_TX_DMA_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH1_TX_DMA_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH1_TX_DMA_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH1_TX_DMA_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH1_TX_DMA_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH1_TX_DMA_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH2_TX_DMA_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(2)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH2_TX_DMA_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH2_TX_DMA_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH2_TX_DMA_FIFO_EMPTY_RANGE                        2:2
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH2_TX_DMA_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH2_TX_DMA_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH2_TX_DMA_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH2_TX_DMA_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH2_TX_DMA_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH2_TX_DMA_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH2_TX_DMA_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH3_TX_DMA_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(3)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH3_TX_DMA_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH3_TX_DMA_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH3_TX_DMA_FIFO_EMPTY_RANGE                        3:3
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH3_TX_DMA_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH3_TX_DMA_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH3_TX_DMA_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH3_TX_DMA_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH3_TX_DMA_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH3_TX_DMA_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH3_TX_DMA_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH4_TX_DMA_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(4)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH4_TX_DMA_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH4_TX_DMA_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH4_TX_DMA_FIFO_EMPTY_RANGE                        4:4
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH4_TX_DMA_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH4_TX_DMA_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH4_TX_DMA_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH4_TX_DMA_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH4_TX_DMA_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH4_TX_DMA_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH4_TX_DMA_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH5_TX_DMA_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(5)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH5_TX_DMA_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH5_TX_DMA_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH5_TX_DMA_FIFO_EMPTY_RANGE                        5:5
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH5_TX_DMA_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH5_TX_DMA_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH5_TX_DMA_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH5_TX_DMA_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH5_TX_DMA_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH5_TX_DMA_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH5_TX_DMA_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH6_TX_DMA_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(6)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH6_TX_DMA_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH6_TX_DMA_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH6_TX_DMA_FIFO_EMPTY_RANGE                        6:6
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH6_TX_DMA_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH6_TX_DMA_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH6_TX_DMA_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH6_TX_DMA_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH6_TX_DMA_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH6_TX_DMA_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH6_TX_DMA_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH7_TX_DMA_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(7)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH7_TX_DMA_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH7_TX_DMA_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH7_TX_DMA_FIFO_EMPTY_RANGE                        7:7
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH7_TX_DMA_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH7_TX_DMA_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH7_TX_DMA_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH7_TX_DMA_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH7_TX_DMA_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH7_TX_DMA_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH7_TX_DMA_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH8_TX_DMA_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(8)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH8_TX_DMA_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH8_TX_DMA_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH8_TX_DMA_FIFO_EMPTY_RANGE                        8:8
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH8_TX_DMA_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH8_TX_DMA_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH8_TX_DMA_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH8_TX_DMA_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH8_TX_DMA_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH8_TX_DMA_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH8_TX_DMA_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH9_TX_DMA_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(9)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH9_TX_DMA_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH9_TX_DMA_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH9_TX_DMA_FIFO_EMPTY_RANGE                        9:9
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH9_TX_DMA_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH9_TX_DMA_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH9_TX_DMA_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH9_TX_DMA_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH9_TX_DMA_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH9_TX_DMA_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0_CH9_TX_DMA_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)


// Register APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0                    _MK_ADDR_CONST(0x110)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_SECURE                     0x0
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_SCR                        0
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_WORD_COUNT                         0x1
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_RESET_MASK                         _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_READ_MASK                  _MK_MASK_CONST(0x3ff)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_WRITE_MASK                         _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH0_TX_CIF_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH0_TX_CIF_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH0_TX_CIF_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH0_TX_CIF_FIFO_EMPTY_RANGE                        0:0
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH0_TX_CIF_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH0_TX_CIF_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH0_TX_CIF_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH0_TX_CIF_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH0_TX_CIF_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH0_TX_CIF_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH0_TX_CIF_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH1_TX_CIF_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(1)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH1_TX_CIF_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH1_TX_CIF_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH1_TX_CIF_FIFO_EMPTY_RANGE                        1:1
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH1_TX_CIF_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH1_TX_CIF_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH1_TX_CIF_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH1_TX_CIF_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH1_TX_CIF_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH1_TX_CIF_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH1_TX_CIF_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH2_TX_CIF_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(2)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH2_TX_CIF_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH2_TX_CIF_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH2_TX_CIF_FIFO_EMPTY_RANGE                        2:2
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH2_TX_CIF_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH2_TX_CIF_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH2_TX_CIF_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH2_TX_CIF_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH2_TX_CIF_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH2_TX_CIF_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH2_TX_CIF_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH3_TX_CIF_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(3)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH3_TX_CIF_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH3_TX_CIF_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH3_TX_CIF_FIFO_EMPTY_RANGE                        3:3
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH3_TX_CIF_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH3_TX_CIF_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH3_TX_CIF_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH3_TX_CIF_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH3_TX_CIF_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH3_TX_CIF_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH3_TX_CIF_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH4_TX_CIF_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(4)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH4_TX_CIF_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH4_TX_CIF_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH4_TX_CIF_FIFO_EMPTY_RANGE                        4:4
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH4_TX_CIF_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH4_TX_CIF_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH4_TX_CIF_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH4_TX_CIF_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH4_TX_CIF_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH4_TX_CIF_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH4_TX_CIF_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH5_TX_CIF_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(5)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH5_TX_CIF_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH5_TX_CIF_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH5_TX_CIF_FIFO_EMPTY_RANGE                        5:5
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH5_TX_CIF_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH5_TX_CIF_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH5_TX_CIF_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH5_TX_CIF_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH5_TX_CIF_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH5_TX_CIF_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH5_TX_CIF_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH6_TX_CIF_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(6)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH6_TX_CIF_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH6_TX_CIF_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH6_TX_CIF_FIFO_EMPTY_RANGE                        6:6
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH6_TX_CIF_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH6_TX_CIF_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH6_TX_CIF_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH6_TX_CIF_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH6_TX_CIF_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH6_TX_CIF_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH6_TX_CIF_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH7_TX_CIF_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(7)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH7_TX_CIF_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH7_TX_CIF_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH7_TX_CIF_FIFO_EMPTY_RANGE                        7:7
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH7_TX_CIF_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH7_TX_CIF_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH7_TX_CIF_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH7_TX_CIF_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH7_TX_CIF_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH7_TX_CIF_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH7_TX_CIF_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH8_TX_CIF_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(8)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH8_TX_CIF_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH8_TX_CIF_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH8_TX_CIF_FIFO_EMPTY_RANGE                        8:8
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH8_TX_CIF_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH8_TX_CIF_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH8_TX_CIF_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH8_TX_CIF_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH8_TX_CIF_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH8_TX_CIF_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH8_TX_CIF_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH9_TX_CIF_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(9)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH9_TX_CIF_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH9_TX_CIF_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH9_TX_CIF_FIFO_EMPTY_RANGE                        9:9
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH9_TX_CIF_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH9_TX_CIF_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH9_TX_CIF_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH9_TX_CIF_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH9_TX_CIF_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH9_TX_CIF_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0_CH9_TX_CIF_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)


// Register APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0                    _MK_ADDR_CONST(0x114)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_SECURE                     0x0
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_SCR                        0
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_WORD_COUNT                         0x1
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_RESET_MASK                         _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_READ_MASK                  _MK_MASK_CONST(0x3ff)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_WRITE_MASK                         _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH0_RX_DMA_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH0_RX_DMA_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH0_RX_DMA_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH0_RX_DMA_FIFO_EMPTY_RANGE                        0:0
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH0_RX_DMA_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH0_RX_DMA_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH0_RX_DMA_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH0_RX_DMA_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH0_RX_DMA_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH0_RX_DMA_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH0_RX_DMA_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH1_RX_DMA_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(1)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH1_RX_DMA_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH1_RX_DMA_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH1_RX_DMA_FIFO_EMPTY_RANGE                        1:1
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH1_RX_DMA_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH1_RX_DMA_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH1_RX_DMA_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH1_RX_DMA_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH1_RX_DMA_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH1_RX_DMA_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH1_RX_DMA_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH2_RX_DMA_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(2)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH2_RX_DMA_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH2_RX_DMA_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH2_RX_DMA_FIFO_EMPTY_RANGE                        2:2
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH2_RX_DMA_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH2_RX_DMA_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH2_RX_DMA_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH2_RX_DMA_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH2_RX_DMA_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH2_RX_DMA_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH2_RX_DMA_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH3_RX_DMA_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(3)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH3_RX_DMA_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH3_RX_DMA_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH3_RX_DMA_FIFO_EMPTY_RANGE                        3:3
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH3_RX_DMA_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH3_RX_DMA_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH3_RX_DMA_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH3_RX_DMA_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH3_RX_DMA_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH3_RX_DMA_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH3_RX_DMA_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH4_RX_DMA_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(4)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH4_RX_DMA_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH4_RX_DMA_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH4_RX_DMA_FIFO_EMPTY_RANGE                        4:4
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH4_RX_DMA_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH4_RX_DMA_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH4_RX_DMA_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH4_RX_DMA_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH4_RX_DMA_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH4_RX_DMA_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH4_RX_DMA_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH5_RX_DMA_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(5)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH5_RX_DMA_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH5_RX_DMA_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH5_RX_DMA_FIFO_EMPTY_RANGE                        5:5
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH5_RX_DMA_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH5_RX_DMA_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH5_RX_DMA_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH5_RX_DMA_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH5_RX_DMA_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH5_RX_DMA_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH5_RX_DMA_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH6_RX_DMA_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(6)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH6_RX_DMA_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH6_RX_DMA_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH6_RX_DMA_FIFO_EMPTY_RANGE                        6:6
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH6_RX_DMA_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH6_RX_DMA_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH6_RX_DMA_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH6_RX_DMA_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH6_RX_DMA_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH6_RX_DMA_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH6_RX_DMA_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH7_RX_DMA_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(7)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH7_RX_DMA_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH7_RX_DMA_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH7_RX_DMA_FIFO_EMPTY_RANGE                        7:7
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH7_RX_DMA_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH7_RX_DMA_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH7_RX_DMA_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH7_RX_DMA_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH7_RX_DMA_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH7_RX_DMA_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH7_RX_DMA_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH8_RX_DMA_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(8)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH8_RX_DMA_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH8_RX_DMA_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH8_RX_DMA_FIFO_EMPTY_RANGE                        8:8
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH8_RX_DMA_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH8_RX_DMA_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH8_RX_DMA_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH8_RX_DMA_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH8_RX_DMA_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH8_RX_DMA_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH8_RX_DMA_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH9_RX_DMA_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(9)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH9_RX_DMA_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH9_RX_DMA_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH9_RX_DMA_FIFO_EMPTY_RANGE                        9:9
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH9_RX_DMA_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH9_RX_DMA_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH9_RX_DMA_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH9_RX_DMA_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH9_RX_DMA_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH9_RX_DMA_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0_CH9_RX_DMA_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)


// Register APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0                    _MK_ADDR_CONST(0x118)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_SECURE                     0x0
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_SCR                        0
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_WORD_COUNT                         0x1
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_RESET_MASK                         _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_READ_MASK                  _MK_MASK_CONST(0x3ff)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_WRITE_MASK                         _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH0_RX_CIF_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH0_RX_CIF_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH0_RX_CIF_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH0_RX_CIF_FIFO_EMPTY_RANGE                        0:0
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH0_RX_CIF_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH0_RX_CIF_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH0_RX_CIF_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH0_RX_CIF_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH0_RX_CIF_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH0_RX_CIF_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH0_RX_CIF_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH1_RX_CIF_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(1)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH1_RX_CIF_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH1_RX_CIF_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH1_RX_CIF_FIFO_EMPTY_RANGE                        1:1
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH1_RX_CIF_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH1_RX_CIF_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH1_RX_CIF_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH1_RX_CIF_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH1_RX_CIF_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH1_RX_CIF_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH1_RX_CIF_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH2_RX_CIF_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(2)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH2_RX_CIF_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH2_RX_CIF_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH2_RX_CIF_FIFO_EMPTY_RANGE                        2:2
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH2_RX_CIF_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH2_RX_CIF_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH2_RX_CIF_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH2_RX_CIF_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH2_RX_CIF_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH2_RX_CIF_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH2_RX_CIF_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH3_RX_CIF_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(3)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH3_RX_CIF_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH3_RX_CIF_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH3_RX_CIF_FIFO_EMPTY_RANGE                        3:3
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH3_RX_CIF_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH3_RX_CIF_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH3_RX_CIF_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH3_RX_CIF_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH3_RX_CIF_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH3_RX_CIF_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH3_RX_CIF_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH4_RX_CIF_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(4)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH4_RX_CIF_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH4_RX_CIF_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH4_RX_CIF_FIFO_EMPTY_RANGE                        4:4
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH4_RX_CIF_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH4_RX_CIF_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH4_RX_CIF_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH4_RX_CIF_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH4_RX_CIF_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH4_RX_CIF_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH4_RX_CIF_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH5_RX_CIF_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(5)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH5_RX_CIF_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH5_RX_CIF_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH5_RX_CIF_FIFO_EMPTY_RANGE                        5:5
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH5_RX_CIF_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH5_RX_CIF_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH5_RX_CIF_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH5_RX_CIF_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH5_RX_CIF_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH5_RX_CIF_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH5_RX_CIF_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH6_RX_CIF_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(6)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH6_RX_CIF_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH6_RX_CIF_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH6_RX_CIF_FIFO_EMPTY_RANGE                        6:6
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH6_RX_CIF_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH6_RX_CIF_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH6_RX_CIF_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH6_RX_CIF_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH6_RX_CIF_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH6_RX_CIF_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH6_RX_CIF_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH7_RX_CIF_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(7)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH7_RX_CIF_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH7_RX_CIF_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH7_RX_CIF_FIFO_EMPTY_RANGE                        7:7
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH7_RX_CIF_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH7_RX_CIF_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH7_RX_CIF_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH7_RX_CIF_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH7_RX_CIF_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH7_RX_CIF_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH7_RX_CIF_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH8_RX_CIF_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(8)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH8_RX_CIF_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH8_RX_CIF_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH8_RX_CIF_FIFO_EMPTY_RANGE                        8:8
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH8_RX_CIF_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH8_RX_CIF_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH8_RX_CIF_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH8_RX_CIF_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH8_RX_CIF_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH8_RX_CIF_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH8_RX_CIF_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH9_RX_CIF_FIFO_EMPTY_SHIFT                        _MK_SHIFT_CONST(9)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH9_RX_CIF_FIFO_EMPTY_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH9_RX_CIF_FIFO_EMPTY_SHIFT)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH9_RX_CIF_FIFO_EMPTY_RANGE                        9:9
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH9_RX_CIF_FIFO_EMPTY_WOFFSET                      0x0
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH9_RX_CIF_FIFO_EMPTY_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH9_RX_CIF_FIFO_EMPTY_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH9_RX_CIF_FIFO_EMPTY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH9_RX_CIF_FIFO_EMPTY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH9_RX_CIF_FIFO_EMPTY_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0_CH9_RX_CIF_FIFO_EMPTY_ENABLE                       _MK_ENUM_CONST(1)


// Register APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0                     _MK_ADDR_CONST(0x11c)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_SECURE                      0x0
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_SCR                         0
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_WORD_COUNT                  0x1
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_RESET_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_READ_MASK                   _MK_MASK_CONST(0x3ff)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH0_TX_DMA_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH0_TX_DMA_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH0_TX_DMA_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH0_TX_DMA_FIFO_FULL_RANGE                  0:0
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH0_TX_DMA_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH0_TX_DMA_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH0_TX_DMA_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH0_TX_DMA_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH0_TX_DMA_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH0_TX_DMA_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH0_TX_DMA_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH1_TX_DMA_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(1)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH1_TX_DMA_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH1_TX_DMA_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH1_TX_DMA_FIFO_FULL_RANGE                  1:1
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH1_TX_DMA_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH1_TX_DMA_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH1_TX_DMA_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH1_TX_DMA_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH1_TX_DMA_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH1_TX_DMA_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH1_TX_DMA_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH2_TX_DMA_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(2)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH2_TX_DMA_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH2_TX_DMA_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH2_TX_DMA_FIFO_FULL_RANGE                  2:2
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH2_TX_DMA_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH2_TX_DMA_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH2_TX_DMA_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH2_TX_DMA_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH2_TX_DMA_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH2_TX_DMA_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH2_TX_DMA_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH3_TX_DMA_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(3)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH3_TX_DMA_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH3_TX_DMA_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH3_TX_DMA_FIFO_FULL_RANGE                  3:3
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH3_TX_DMA_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH3_TX_DMA_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH3_TX_DMA_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH3_TX_DMA_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH3_TX_DMA_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH3_TX_DMA_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH3_TX_DMA_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH4_TX_DMA_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(4)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH4_TX_DMA_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH4_TX_DMA_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH4_TX_DMA_FIFO_FULL_RANGE                  4:4
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH4_TX_DMA_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH4_TX_DMA_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH4_TX_DMA_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH4_TX_DMA_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH4_TX_DMA_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH4_TX_DMA_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH4_TX_DMA_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH5_TX_DMA_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(5)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH5_TX_DMA_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH5_TX_DMA_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH5_TX_DMA_FIFO_FULL_RANGE                  5:5
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH5_TX_DMA_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH5_TX_DMA_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH5_TX_DMA_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH5_TX_DMA_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH5_TX_DMA_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH5_TX_DMA_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH5_TX_DMA_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH6_TX_DMA_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(6)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH6_TX_DMA_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH6_TX_DMA_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH6_TX_DMA_FIFO_FULL_RANGE                  6:6
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH6_TX_DMA_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH6_TX_DMA_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH6_TX_DMA_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH6_TX_DMA_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH6_TX_DMA_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH6_TX_DMA_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH6_TX_DMA_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH7_TX_DMA_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(7)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH7_TX_DMA_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH7_TX_DMA_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH7_TX_DMA_FIFO_FULL_RANGE                  7:7
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH7_TX_DMA_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH7_TX_DMA_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH7_TX_DMA_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH7_TX_DMA_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH7_TX_DMA_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH7_TX_DMA_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH7_TX_DMA_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH8_TX_DMA_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(8)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH8_TX_DMA_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH8_TX_DMA_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH8_TX_DMA_FIFO_FULL_RANGE                  8:8
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH8_TX_DMA_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH8_TX_DMA_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH8_TX_DMA_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH8_TX_DMA_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH8_TX_DMA_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH8_TX_DMA_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH8_TX_DMA_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH9_TX_DMA_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(9)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH9_TX_DMA_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH9_TX_DMA_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH9_TX_DMA_FIFO_FULL_RANGE                  9:9
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH9_TX_DMA_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH9_TX_DMA_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH9_TX_DMA_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH9_TX_DMA_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH9_TX_DMA_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH9_TX_DMA_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0_CH9_TX_DMA_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)


// Register APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0                     _MK_ADDR_CONST(0x120)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_SECURE                      0x0
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_SCR                         0
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_WORD_COUNT                  0x1
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_RESET_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_READ_MASK                   _MK_MASK_CONST(0x3ff)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH0_TX_CIF_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH0_TX_CIF_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH0_TX_CIF_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH0_TX_CIF_FIFO_FULL_RANGE                  0:0
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH0_TX_CIF_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH0_TX_CIF_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH0_TX_CIF_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH0_TX_CIF_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH0_TX_CIF_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH0_TX_CIF_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH0_TX_CIF_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH1_TX_CIF_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(1)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH1_TX_CIF_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH1_TX_CIF_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH1_TX_CIF_FIFO_FULL_RANGE                  1:1
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH1_TX_CIF_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH1_TX_CIF_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH1_TX_CIF_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH1_TX_CIF_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH1_TX_CIF_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH1_TX_CIF_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH1_TX_CIF_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH2_TX_CIF_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(2)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH2_TX_CIF_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH2_TX_CIF_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH2_TX_CIF_FIFO_FULL_RANGE                  2:2
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH2_TX_CIF_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH2_TX_CIF_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH2_TX_CIF_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH2_TX_CIF_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH2_TX_CIF_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH2_TX_CIF_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH2_TX_CIF_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH3_TX_CIF_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(3)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH3_TX_CIF_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH3_TX_CIF_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH3_TX_CIF_FIFO_FULL_RANGE                  3:3
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH3_TX_CIF_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH3_TX_CIF_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH3_TX_CIF_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH3_TX_CIF_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH3_TX_CIF_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH3_TX_CIF_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH3_TX_CIF_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH4_TX_CIF_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(4)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH4_TX_CIF_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH4_TX_CIF_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH4_TX_CIF_FIFO_FULL_RANGE                  4:4
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH4_TX_CIF_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH4_TX_CIF_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH4_TX_CIF_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH4_TX_CIF_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH4_TX_CIF_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH4_TX_CIF_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH4_TX_CIF_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH5_TX_CIF_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(5)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH5_TX_CIF_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH5_TX_CIF_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH5_TX_CIF_FIFO_FULL_RANGE                  5:5
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH5_TX_CIF_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH5_TX_CIF_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH5_TX_CIF_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH5_TX_CIF_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH5_TX_CIF_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH5_TX_CIF_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH5_TX_CIF_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH6_TX_CIF_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(6)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH6_TX_CIF_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH6_TX_CIF_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH6_TX_CIF_FIFO_FULL_RANGE                  6:6
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH6_TX_CIF_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH6_TX_CIF_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH6_TX_CIF_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH6_TX_CIF_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH6_TX_CIF_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH6_TX_CIF_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH6_TX_CIF_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH7_TX_CIF_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(7)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH7_TX_CIF_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH7_TX_CIF_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH7_TX_CIF_FIFO_FULL_RANGE                  7:7
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH7_TX_CIF_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH7_TX_CIF_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH7_TX_CIF_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH7_TX_CIF_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH7_TX_CIF_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH7_TX_CIF_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH7_TX_CIF_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH8_TX_CIF_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(8)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH8_TX_CIF_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH8_TX_CIF_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH8_TX_CIF_FIFO_FULL_RANGE                  8:8
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH8_TX_CIF_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH8_TX_CIF_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH8_TX_CIF_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH8_TX_CIF_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH8_TX_CIF_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH8_TX_CIF_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH8_TX_CIF_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH9_TX_CIF_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(9)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH9_TX_CIF_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH9_TX_CIF_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH9_TX_CIF_FIFO_FULL_RANGE                  9:9
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH9_TX_CIF_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH9_TX_CIF_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH9_TX_CIF_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH9_TX_CIF_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH9_TX_CIF_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH9_TX_CIF_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0_CH9_TX_CIF_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)


// Register APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0                     _MK_ADDR_CONST(0x124)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_SECURE                      0x0
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_SCR                         0
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_WORD_COUNT                  0x1
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_RESET_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_READ_MASK                   _MK_MASK_CONST(0x3ff)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH0_RX_DMA_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH0_RX_DMA_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH0_RX_DMA_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH0_RX_DMA_FIFO_FULL_RANGE                  0:0
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH0_RX_DMA_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH0_RX_DMA_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH0_RX_DMA_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH0_RX_DMA_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH0_RX_DMA_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH0_RX_DMA_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH0_RX_DMA_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH1_RX_DMA_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(1)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH1_RX_DMA_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH1_RX_DMA_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH1_RX_DMA_FIFO_FULL_RANGE                  1:1
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH1_RX_DMA_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH1_RX_DMA_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH1_RX_DMA_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH1_RX_DMA_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH1_RX_DMA_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH1_RX_DMA_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH1_RX_DMA_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH2_RX_DMA_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(2)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH2_RX_DMA_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH2_RX_DMA_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH2_RX_DMA_FIFO_FULL_RANGE                  2:2
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH2_RX_DMA_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH2_RX_DMA_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH2_RX_DMA_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH2_RX_DMA_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH2_RX_DMA_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH2_RX_DMA_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH2_RX_DMA_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH3_RX_DMA_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(3)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH3_RX_DMA_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH3_RX_DMA_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH3_RX_DMA_FIFO_FULL_RANGE                  3:3
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH3_RX_DMA_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH3_RX_DMA_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH3_RX_DMA_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH3_RX_DMA_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH3_RX_DMA_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH3_RX_DMA_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH3_RX_DMA_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH4_RX_DMA_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(4)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH4_RX_DMA_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH4_RX_DMA_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH4_RX_DMA_FIFO_FULL_RANGE                  4:4
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH4_RX_DMA_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH4_RX_DMA_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH4_RX_DMA_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH4_RX_DMA_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH4_RX_DMA_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH4_RX_DMA_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH4_RX_DMA_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH5_RX_DMA_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(5)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH5_RX_DMA_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH5_RX_DMA_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH5_RX_DMA_FIFO_FULL_RANGE                  5:5
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH5_RX_DMA_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH5_RX_DMA_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH5_RX_DMA_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH5_RX_DMA_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH5_RX_DMA_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH5_RX_DMA_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH5_RX_DMA_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH6_RX_DMA_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(6)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH6_RX_DMA_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH6_RX_DMA_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH6_RX_DMA_FIFO_FULL_RANGE                  6:6
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH6_RX_DMA_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH6_RX_DMA_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH6_RX_DMA_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH6_RX_DMA_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH6_RX_DMA_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH6_RX_DMA_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH6_RX_DMA_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH7_RX_DMA_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(7)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH7_RX_DMA_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH7_RX_DMA_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH7_RX_DMA_FIFO_FULL_RANGE                  7:7
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH7_RX_DMA_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH7_RX_DMA_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH7_RX_DMA_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH7_RX_DMA_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH7_RX_DMA_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH7_RX_DMA_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH7_RX_DMA_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH8_RX_DMA_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(8)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH8_RX_DMA_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH8_RX_DMA_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH8_RX_DMA_FIFO_FULL_RANGE                  8:8
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH8_RX_DMA_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH8_RX_DMA_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH8_RX_DMA_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH8_RX_DMA_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH8_RX_DMA_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH8_RX_DMA_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH8_RX_DMA_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH9_RX_DMA_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(9)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH9_RX_DMA_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH9_RX_DMA_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH9_RX_DMA_FIFO_FULL_RANGE                  9:9
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH9_RX_DMA_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH9_RX_DMA_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH9_RX_DMA_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH9_RX_DMA_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH9_RX_DMA_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH9_RX_DMA_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0_CH9_RX_DMA_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)


// Register APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0                     _MK_ADDR_CONST(0x128)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_SECURE                      0x0
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_SCR                         0
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_WORD_COUNT                  0x1
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_RESET_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_READ_MASK                   _MK_MASK_CONST(0x3ff)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH0_RX_CIF_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH0_RX_CIF_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH0_RX_CIF_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH0_RX_CIF_FIFO_FULL_RANGE                  0:0
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH0_RX_CIF_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH0_RX_CIF_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH0_RX_CIF_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH0_RX_CIF_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH0_RX_CIF_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH0_RX_CIF_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH0_RX_CIF_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH1_RX_CIF_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(1)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH1_RX_CIF_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH1_RX_CIF_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH1_RX_CIF_FIFO_FULL_RANGE                  1:1
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH1_RX_CIF_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH1_RX_CIF_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH1_RX_CIF_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH1_RX_CIF_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH1_RX_CIF_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH1_RX_CIF_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH1_RX_CIF_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH2_RX_CIF_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(2)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH2_RX_CIF_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH2_RX_CIF_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH2_RX_CIF_FIFO_FULL_RANGE                  2:2
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH2_RX_CIF_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH2_RX_CIF_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH2_RX_CIF_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH2_RX_CIF_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH2_RX_CIF_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH2_RX_CIF_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH2_RX_CIF_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH3_RX_CIF_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(3)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH3_RX_CIF_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH3_RX_CIF_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH3_RX_CIF_FIFO_FULL_RANGE                  3:3
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH3_RX_CIF_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH3_RX_CIF_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH3_RX_CIF_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH3_RX_CIF_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH3_RX_CIF_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH3_RX_CIF_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH3_RX_CIF_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH4_RX_CIF_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(4)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH4_RX_CIF_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH4_RX_CIF_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH4_RX_CIF_FIFO_FULL_RANGE                  4:4
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH4_RX_CIF_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH4_RX_CIF_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH4_RX_CIF_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH4_RX_CIF_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH4_RX_CIF_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH4_RX_CIF_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH4_RX_CIF_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH5_RX_CIF_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(5)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH5_RX_CIF_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH5_RX_CIF_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH5_RX_CIF_FIFO_FULL_RANGE                  5:5
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH5_RX_CIF_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH5_RX_CIF_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH5_RX_CIF_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH5_RX_CIF_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH5_RX_CIF_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH5_RX_CIF_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH5_RX_CIF_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH6_RX_CIF_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(6)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH6_RX_CIF_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH6_RX_CIF_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH6_RX_CIF_FIFO_FULL_RANGE                  6:6
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH6_RX_CIF_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH6_RX_CIF_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH6_RX_CIF_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH6_RX_CIF_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH6_RX_CIF_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH6_RX_CIF_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH6_RX_CIF_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH7_RX_CIF_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(7)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH7_RX_CIF_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH7_RX_CIF_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH7_RX_CIF_FIFO_FULL_RANGE                  7:7
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH7_RX_CIF_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH7_RX_CIF_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH7_RX_CIF_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH7_RX_CIF_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH7_RX_CIF_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH7_RX_CIF_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH7_RX_CIF_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH8_RX_CIF_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(8)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH8_RX_CIF_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH8_RX_CIF_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH8_RX_CIF_FIFO_FULL_RANGE                  8:8
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH8_RX_CIF_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH8_RX_CIF_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH8_RX_CIF_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH8_RX_CIF_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH8_RX_CIF_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH8_RX_CIF_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH8_RX_CIF_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH9_RX_CIF_FIFO_FULL_SHIFT                  _MK_SHIFT_CONST(9)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH9_RX_CIF_FIFO_FULL_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH9_RX_CIF_FIFO_FULL_SHIFT)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH9_RX_CIF_FIFO_FULL_RANGE                  9:9
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH9_RX_CIF_FIFO_FULL_WOFFSET                        0x0
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH9_RX_CIF_FIFO_FULL_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH9_RX_CIF_FIFO_FULL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH9_RX_CIF_FIFO_FULL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH9_RX_CIF_FIFO_FULL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH9_RX_CIF_FIFO_FULL_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0_CH9_RX_CIF_FIFO_FULL_ENABLE                 _MK_ENUM_CONST(1)


// Register APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0                   _MK_ADDR_CONST(0x12c)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_SECURE                    0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_SCR                       0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_WORD_COUNT                        0x1
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_RESET_VAL                         _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_RESET_MASK                        _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_READ_MASK                         _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_WRITE_MASK                        _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH0_RXCIF_UNDERRUN_SHIFT                    _MK_SHIFT_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH0_RXCIF_UNDERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH0_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH0_RXCIF_UNDERRUN_RANGE                    0:0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH0_RXCIF_UNDERRUN_WOFFSET                  0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH0_RXCIF_UNDERRUN_DEFAULT                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH0_RXCIF_UNDERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH0_RXCIF_UNDERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH0_RXCIF_UNDERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH0_RXCIF_UNDERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH0_RXCIF_UNDERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH1_RXCIF_UNDERRUN_SHIFT                    _MK_SHIFT_CONST(1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH1_RXCIF_UNDERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH1_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH1_RXCIF_UNDERRUN_RANGE                    1:1
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH1_RXCIF_UNDERRUN_WOFFSET                  0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH1_RXCIF_UNDERRUN_DEFAULT                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH1_RXCIF_UNDERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH1_RXCIF_UNDERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH1_RXCIF_UNDERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH1_RXCIF_UNDERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH1_RXCIF_UNDERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH2_RXCIF_UNDERRUN_SHIFT                    _MK_SHIFT_CONST(2)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH2_RXCIF_UNDERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH2_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH2_RXCIF_UNDERRUN_RANGE                    2:2
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH2_RXCIF_UNDERRUN_WOFFSET                  0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH2_RXCIF_UNDERRUN_DEFAULT                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH2_RXCIF_UNDERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH2_RXCIF_UNDERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH2_RXCIF_UNDERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH2_RXCIF_UNDERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH2_RXCIF_UNDERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH3_RXCIF_UNDERRUN_SHIFT                    _MK_SHIFT_CONST(3)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH3_RXCIF_UNDERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH3_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH3_RXCIF_UNDERRUN_RANGE                    3:3
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH3_RXCIF_UNDERRUN_WOFFSET                  0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH3_RXCIF_UNDERRUN_DEFAULT                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH3_RXCIF_UNDERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH3_RXCIF_UNDERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH3_RXCIF_UNDERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH3_RXCIF_UNDERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH3_RXCIF_UNDERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH4_RXCIF_UNDERRUN_SHIFT                    _MK_SHIFT_CONST(4)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH4_RXCIF_UNDERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH4_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH4_RXCIF_UNDERRUN_RANGE                    4:4
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH4_RXCIF_UNDERRUN_WOFFSET                  0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH4_RXCIF_UNDERRUN_DEFAULT                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH4_RXCIF_UNDERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH4_RXCIF_UNDERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH4_RXCIF_UNDERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH4_RXCIF_UNDERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH4_RXCIF_UNDERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH5_RXCIF_UNDERRUN_SHIFT                    _MK_SHIFT_CONST(5)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH5_RXCIF_UNDERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH5_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH5_RXCIF_UNDERRUN_RANGE                    5:5
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH5_RXCIF_UNDERRUN_WOFFSET                  0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH5_RXCIF_UNDERRUN_DEFAULT                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH5_RXCIF_UNDERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH5_RXCIF_UNDERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH5_RXCIF_UNDERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH5_RXCIF_UNDERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH5_RXCIF_UNDERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH6_RXCIF_UNDERRUN_SHIFT                    _MK_SHIFT_CONST(6)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH6_RXCIF_UNDERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH6_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH6_RXCIF_UNDERRUN_RANGE                    6:6
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH6_RXCIF_UNDERRUN_WOFFSET                  0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH6_RXCIF_UNDERRUN_DEFAULT                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH6_RXCIF_UNDERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH6_RXCIF_UNDERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH6_RXCIF_UNDERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH6_RXCIF_UNDERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH6_RXCIF_UNDERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH7_RXCIF_UNDERRUN_SHIFT                    _MK_SHIFT_CONST(7)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH7_RXCIF_UNDERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH7_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH7_RXCIF_UNDERRUN_RANGE                    7:7
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH7_RXCIF_UNDERRUN_WOFFSET                  0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH7_RXCIF_UNDERRUN_DEFAULT                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH7_RXCIF_UNDERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH7_RXCIF_UNDERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH7_RXCIF_UNDERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH7_RXCIF_UNDERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH7_RXCIF_UNDERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH8_RXCIF_UNDERRUN_SHIFT                    _MK_SHIFT_CONST(8)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH8_RXCIF_UNDERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH8_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH8_RXCIF_UNDERRUN_RANGE                    8:8
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH8_RXCIF_UNDERRUN_WOFFSET                  0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH8_RXCIF_UNDERRUN_DEFAULT                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH8_RXCIF_UNDERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH8_RXCIF_UNDERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH8_RXCIF_UNDERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH8_RXCIF_UNDERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH8_RXCIF_UNDERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH9_RXCIF_UNDERRUN_SHIFT                    _MK_SHIFT_CONST(9)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH9_RXCIF_UNDERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH9_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH9_RXCIF_UNDERRUN_RANGE                    9:9
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH9_RXCIF_UNDERRUN_WOFFSET                  0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH9_RXCIF_UNDERRUN_DEFAULT                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH9_RXCIF_UNDERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH9_RXCIF_UNDERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH9_RXCIF_UNDERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH9_RXCIF_UNDERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0_APBIF_CH9_RXCIF_UNDERRUN_ENABLE                   _MK_ENUM_CONST(1)


// Register APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0                    _MK_ADDR_CONST(0x130)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_SECURE                     0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_SCR                        0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_WORD_COUNT                         0x1
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_RESET_VAL                  _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_RESET_MASK                         _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_READ_MASK                  _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_WRITE_MASK                         _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH0_TXCIF_OVERRUN_SHIFT                      _MK_SHIFT_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH0_TXCIF_OVERRUN_FIELD                      _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH0_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH0_TXCIF_OVERRUN_RANGE                      0:0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH0_TXCIF_OVERRUN_WOFFSET                    0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH0_TXCIF_OVERRUN_DEFAULT                    _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH0_TXCIF_OVERRUN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH0_TXCIF_OVERRUN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH0_TXCIF_OVERRUN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH0_TXCIF_OVERRUN_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH0_TXCIF_OVERRUN_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH1_TXCIF_OVERRUN_SHIFT                      _MK_SHIFT_CONST(1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH1_TXCIF_OVERRUN_FIELD                      _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH1_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH1_TXCIF_OVERRUN_RANGE                      1:1
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH1_TXCIF_OVERRUN_WOFFSET                    0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH1_TXCIF_OVERRUN_DEFAULT                    _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH1_TXCIF_OVERRUN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH1_TXCIF_OVERRUN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH1_TXCIF_OVERRUN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH1_TXCIF_OVERRUN_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH1_TXCIF_OVERRUN_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH2_TXCIF_OVERRUN_SHIFT                      _MK_SHIFT_CONST(2)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH2_TXCIF_OVERRUN_FIELD                      _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH2_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH2_TXCIF_OVERRUN_RANGE                      2:2
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH2_TXCIF_OVERRUN_WOFFSET                    0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH2_TXCIF_OVERRUN_DEFAULT                    _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH2_TXCIF_OVERRUN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH2_TXCIF_OVERRUN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH2_TXCIF_OVERRUN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH2_TXCIF_OVERRUN_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH2_TXCIF_OVERRUN_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH3_TXCIF_OVERRUN_SHIFT                      _MK_SHIFT_CONST(3)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH3_TXCIF_OVERRUN_FIELD                      _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH3_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH3_TXCIF_OVERRUN_RANGE                      3:3
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH3_TXCIF_OVERRUN_WOFFSET                    0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH3_TXCIF_OVERRUN_DEFAULT                    _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH3_TXCIF_OVERRUN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH3_TXCIF_OVERRUN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH3_TXCIF_OVERRUN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH3_TXCIF_OVERRUN_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH3_TXCIF_OVERRUN_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH4_TXCIF_OVERRUN_SHIFT                      _MK_SHIFT_CONST(4)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH4_TXCIF_OVERRUN_FIELD                      _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH4_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH4_TXCIF_OVERRUN_RANGE                      4:4
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH4_TXCIF_OVERRUN_WOFFSET                    0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH4_TXCIF_OVERRUN_DEFAULT                    _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH4_TXCIF_OVERRUN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH4_TXCIF_OVERRUN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH4_TXCIF_OVERRUN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH4_TXCIF_OVERRUN_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH4_TXCIF_OVERRUN_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH5_TXCIF_OVERRUN_SHIFT                      _MK_SHIFT_CONST(5)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH5_TXCIF_OVERRUN_FIELD                      _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH5_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH5_TXCIF_OVERRUN_RANGE                      5:5
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH5_TXCIF_OVERRUN_WOFFSET                    0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH5_TXCIF_OVERRUN_DEFAULT                    _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH5_TXCIF_OVERRUN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH5_TXCIF_OVERRUN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH5_TXCIF_OVERRUN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH5_TXCIF_OVERRUN_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH5_TXCIF_OVERRUN_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH6_TXCIF_OVERRUN_SHIFT                      _MK_SHIFT_CONST(6)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH6_TXCIF_OVERRUN_FIELD                      _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH6_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH6_TXCIF_OVERRUN_RANGE                      6:6
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH6_TXCIF_OVERRUN_WOFFSET                    0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH6_TXCIF_OVERRUN_DEFAULT                    _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH6_TXCIF_OVERRUN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH6_TXCIF_OVERRUN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH6_TXCIF_OVERRUN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH6_TXCIF_OVERRUN_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH6_TXCIF_OVERRUN_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH7_TXCIF_OVERRUN_SHIFT                      _MK_SHIFT_CONST(7)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH7_TXCIF_OVERRUN_FIELD                      _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH7_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH7_TXCIF_OVERRUN_RANGE                      7:7
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH7_TXCIF_OVERRUN_WOFFSET                    0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH7_TXCIF_OVERRUN_DEFAULT                    _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH7_TXCIF_OVERRUN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH7_TXCIF_OVERRUN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH7_TXCIF_OVERRUN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH7_TXCIF_OVERRUN_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH7_TXCIF_OVERRUN_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH8_TXCIF_OVERRUN_SHIFT                      _MK_SHIFT_CONST(8)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH8_TXCIF_OVERRUN_FIELD                      _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH8_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH8_TXCIF_OVERRUN_RANGE                      8:8
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH8_TXCIF_OVERRUN_WOFFSET                    0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH8_TXCIF_OVERRUN_DEFAULT                    _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH8_TXCIF_OVERRUN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH8_TXCIF_OVERRUN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH8_TXCIF_OVERRUN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH8_TXCIF_OVERRUN_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH8_TXCIF_OVERRUN_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH9_TXCIF_OVERRUN_SHIFT                      _MK_SHIFT_CONST(9)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH9_TXCIF_OVERRUN_FIELD                      _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH9_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH9_TXCIF_OVERRUN_RANGE                      9:9
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH9_TXCIF_OVERRUN_WOFFSET                    0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH9_TXCIF_OVERRUN_DEFAULT                    _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH9_TXCIF_OVERRUN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH9_TXCIF_OVERRUN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH9_TXCIF_OVERRUN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH9_TXCIF_OVERRUN_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0_APBIF_CH9_TXCIF_OVERRUN_ENABLE                     _MK_ENUM_CONST(1)


// Register APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0                  _MK_ADDR_CONST(0x134)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_SECURE                   0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_SCR                      0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_WORD_COUNT                       0x1
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_RESET_VAL                        _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_RESET_MASK                       _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_READ_MASK                        _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_WRITE_MASK                       _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SHIFT                       _MK_SHIFT_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH0_APBDMA_TX_UNDERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH0_APBDMA_TX_UNDERRUN_RANGE                       0:0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH0_APBDMA_TX_UNDERRUN_WOFFSET                     0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH0_APBDMA_TX_UNDERRUN_DEFAULT                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH0_APBDMA_TX_UNDERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH0_APBDMA_TX_UNDERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH0_APBDMA_TX_UNDERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SHIFT                       _MK_SHIFT_CONST(1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH1_APBDMA_TX_UNDERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH1_APBDMA_TX_UNDERRUN_RANGE                       1:1
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH1_APBDMA_TX_UNDERRUN_WOFFSET                     0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH1_APBDMA_TX_UNDERRUN_DEFAULT                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH1_APBDMA_TX_UNDERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH1_APBDMA_TX_UNDERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH1_APBDMA_TX_UNDERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SHIFT                       _MK_SHIFT_CONST(2)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH2_APBDMA_TX_UNDERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH2_APBDMA_TX_UNDERRUN_RANGE                       2:2
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH2_APBDMA_TX_UNDERRUN_WOFFSET                     0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH2_APBDMA_TX_UNDERRUN_DEFAULT                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH2_APBDMA_TX_UNDERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH2_APBDMA_TX_UNDERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH2_APBDMA_TX_UNDERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SHIFT                       _MK_SHIFT_CONST(3)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH3_APBDMA_TX_UNDERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH3_APBDMA_TX_UNDERRUN_RANGE                       3:3
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH3_APBDMA_TX_UNDERRUN_WOFFSET                     0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH3_APBDMA_TX_UNDERRUN_DEFAULT                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH3_APBDMA_TX_UNDERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH3_APBDMA_TX_UNDERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH3_APBDMA_TX_UNDERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH4_APBDMA_TX_UNDERRUN_SHIFT                       _MK_SHIFT_CONST(4)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH4_APBDMA_TX_UNDERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH4_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH4_APBDMA_TX_UNDERRUN_RANGE                       4:4
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH4_APBDMA_TX_UNDERRUN_WOFFSET                     0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH4_APBDMA_TX_UNDERRUN_DEFAULT                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH4_APBDMA_TX_UNDERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH4_APBDMA_TX_UNDERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH4_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH4_APBDMA_TX_UNDERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH4_APBDMA_TX_UNDERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH5_APBDMA_TX_UNDERRUN_SHIFT                       _MK_SHIFT_CONST(5)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH5_APBDMA_TX_UNDERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH5_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH5_APBDMA_TX_UNDERRUN_RANGE                       5:5
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH5_APBDMA_TX_UNDERRUN_WOFFSET                     0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH5_APBDMA_TX_UNDERRUN_DEFAULT                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH5_APBDMA_TX_UNDERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH5_APBDMA_TX_UNDERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH5_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH5_APBDMA_TX_UNDERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH5_APBDMA_TX_UNDERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH6_APBDMA_TX_UNDERRUN_SHIFT                       _MK_SHIFT_CONST(6)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH6_APBDMA_TX_UNDERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH6_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH6_APBDMA_TX_UNDERRUN_RANGE                       6:6
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH6_APBDMA_TX_UNDERRUN_WOFFSET                     0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH6_APBDMA_TX_UNDERRUN_DEFAULT                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH6_APBDMA_TX_UNDERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH6_APBDMA_TX_UNDERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH6_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH6_APBDMA_TX_UNDERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH6_APBDMA_TX_UNDERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH7_APBDMA_TX_UNDERRUN_SHIFT                       _MK_SHIFT_CONST(7)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH7_APBDMA_TX_UNDERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH7_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH7_APBDMA_TX_UNDERRUN_RANGE                       7:7
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH7_APBDMA_TX_UNDERRUN_WOFFSET                     0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH7_APBDMA_TX_UNDERRUN_DEFAULT                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH7_APBDMA_TX_UNDERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH7_APBDMA_TX_UNDERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH7_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH7_APBDMA_TX_UNDERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH7_APBDMA_TX_UNDERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH8_APBDMA_TX_UNDERRUN_SHIFT                       _MK_SHIFT_CONST(8)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH8_APBDMA_TX_UNDERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH8_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH8_APBDMA_TX_UNDERRUN_RANGE                       8:8
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH8_APBDMA_TX_UNDERRUN_WOFFSET                     0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH8_APBDMA_TX_UNDERRUN_DEFAULT                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH8_APBDMA_TX_UNDERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH8_APBDMA_TX_UNDERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH8_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH8_APBDMA_TX_UNDERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH8_APBDMA_TX_UNDERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH9_APBDMA_TX_UNDERRUN_SHIFT                       _MK_SHIFT_CONST(9)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH9_APBDMA_TX_UNDERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH9_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH9_APBDMA_TX_UNDERRUN_RANGE                       9:9
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH9_APBDMA_TX_UNDERRUN_WOFFSET                     0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH9_APBDMA_TX_UNDERRUN_DEFAULT                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH9_APBDMA_TX_UNDERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH9_APBDMA_TX_UNDERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH9_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH9_APBDMA_TX_UNDERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0_APBIF_CH9_APBDMA_TX_UNDERRUN_ENABLE                      _MK_ENUM_CONST(1)


// Register APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0                   _MK_ADDR_CONST(0x138)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_SECURE                    0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_SCR                       0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_WORD_COUNT                        0x1
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_RESET_VAL                         _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_RESET_MASK                        _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_READ_MASK                         _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_WRITE_MASK                        _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH0_APBDMA_RX_OVERRUN_SHIFT                 _MK_SHIFT_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH0_APBDMA_RX_OVERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH0_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH0_APBDMA_RX_OVERRUN_RANGE                 0:0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH0_APBDMA_RX_OVERRUN_WOFFSET                       0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH0_APBDMA_RX_OVERRUN_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH0_APBDMA_RX_OVERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH0_APBDMA_RX_OVERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH0_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH0_APBDMA_RX_OVERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH0_APBDMA_RX_OVERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH1_APBDMA_RX_OVERRUN_SHIFT                 _MK_SHIFT_CONST(1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH1_APBDMA_RX_OVERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH1_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH1_APBDMA_RX_OVERRUN_RANGE                 1:1
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH1_APBDMA_RX_OVERRUN_WOFFSET                       0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH1_APBDMA_RX_OVERRUN_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH1_APBDMA_RX_OVERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH1_APBDMA_RX_OVERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH1_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH1_APBDMA_RX_OVERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH1_APBDMA_RX_OVERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH2_APBDMA_RX_OVERRUN_SHIFT                 _MK_SHIFT_CONST(2)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH2_APBDMA_RX_OVERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH2_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH2_APBDMA_RX_OVERRUN_RANGE                 2:2
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH2_APBDMA_RX_OVERRUN_WOFFSET                       0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH2_APBDMA_RX_OVERRUN_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH2_APBDMA_RX_OVERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH2_APBDMA_RX_OVERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH2_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH2_APBDMA_RX_OVERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH2_APBDMA_RX_OVERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH3_APBDMA_RX_OVERRUN_SHIFT                 _MK_SHIFT_CONST(3)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH3_APBDMA_RX_OVERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH3_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH3_APBDMA_RX_OVERRUN_RANGE                 3:3
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH3_APBDMA_RX_OVERRUN_WOFFSET                       0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH3_APBDMA_RX_OVERRUN_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH3_APBDMA_RX_OVERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH3_APBDMA_RX_OVERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH3_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH3_APBDMA_RX_OVERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH3_APBDMA_RX_OVERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH4_APBDMA_RX_OVERRUN_SHIFT                 _MK_SHIFT_CONST(4)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH4_APBDMA_RX_OVERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH4_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH4_APBDMA_RX_OVERRUN_RANGE                 4:4
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH4_APBDMA_RX_OVERRUN_WOFFSET                       0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH4_APBDMA_RX_OVERRUN_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH4_APBDMA_RX_OVERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH4_APBDMA_RX_OVERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH4_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH4_APBDMA_RX_OVERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH4_APBDMA_RX_OVERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH5_APBDMA_RX_OVERRUN_SHIFT                 _MK_SHIFT_CONST(5)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH5_APBDMA_RX_OVERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH5_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH5_APBDMA_RX_OVERRUN_RANGE                 5:5
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH5_APBDMA_RX_OVERRUN_WOFFSET                       0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH5_APBDMA_RX_OVERRUN_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH5_APBDMA_RX_OVERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH5_APBDMA_RX_OVERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH5_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH5_APBDMA_RX_OVERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH5_APBDMA_RX_OVERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH6_APBDMA_RX_OVERRUN_SHIFT                 _MK_SHIFT_CONST(6)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH6_APBDMA_RX_OVERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH6_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH6_APBDMA_RX_OVERRUN_RANGE                 6:6
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH6_APBDMA_RX_OVERRUN_WOFFSET                       0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH6_APBDMA_RX_OVERRUN_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH6_APBDMA_RX_OVERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH6_APBDMA_RX_OVERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH6_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH6_APBDMA_RX_OVERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH6_APBDMA_RX_OVERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH7_APBDMA_RX_OVERRUN_SHIFT                 _MK_SHIFT_CONST(7)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH7_APBDMA_RX_OVERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH7_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH7_APBDMA_RX_OVERRUN_RANGE                 7:7
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH7_APBDMA_RX_OVERRUN_WOFFSET                       0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH7_APBDMA_RX_OVERRUN_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH7_APBDMA_RX_OVERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH7_APBDMA_RX_OVERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH7_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH7_APBDMA_RX_OVERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH7_APBDMA_RX_OVERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH8_APBDMA_RX_OVERRUN_SHIFT                 _MK_SHIFT_CONST(8)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH8_APBDMA_RX_OVERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH8_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH8_APBDMA_RX_OVERRUN_RANGE                 8:8
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH8_APBDMA_RX_OVERRUN_WOFFSET                       0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH8_APBDMA_RX_OVERRUN_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH8_APBDMA_RX_OVERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH8_APBDMA_RX_OVERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH8_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH8_APBDMA_RX_OVERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH8_APBDMA_RX_OVERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH9_APBDMA_RX_OVERRUN_SHIFT                 _MK_SHIFT_CONST(9)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH9_APBDMA_RX_OVERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH9_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH9_APBDMA_RX_OVERRUN_RANGE                 9:9
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH9_APBDMA_RX_OVERRUN_WOFFSET                       0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH9_APBDMA_RX_OVERRUN_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH9_APBDMA_RX_OVERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH9_APBDMA_RX_OVERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH9_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH9_APBDMA_RX_OVERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0_APBIF_CH9_APBDMA_RX_OVERRUN_ENABLE                        _MK_ENUM_CONST(1)


// Register APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0                 _MK_ADDR_CONST(0x13c)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_SECURE                  0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_SCR                     0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_WORD_COUNT                      0x1
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_RESET_MASK                      _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_READ_MASK                       _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_WRITE_MASK                      _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH0_RXCIF_UNDERRUN_SHIFT                  _MK_SHIFT_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH0_RXCIF_UNDERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH0_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH0_RXCIF_UNDERRUN_RANGE                  0:0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH0_RXCIF_UNDERRUN_WOFFSET                        0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH0_RXCIF_UNDERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH0_RXCIF_UNDERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH0_RXCIF_UNDERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH0_RXCIF_UNDERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH0_RXCIF_UNDERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH0_RXCIF_UNDERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH1_RXCIF_UNDERRUN_SHIFT                  _MK_SHIFT_CONST(1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH1_RXCIF_UNDERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH1_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH1_RXCIF_UNDERRUN_RANGE                  1:1
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH1_RXCIF_UNDERRUN_WOFFSET                        0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH1_RXCIF_UNDERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH1_RXCIF_UNDERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH1_RXCIF_UNDERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH1_RXCIF_UNDERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH1_RXCIF_UNDERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH1_RXCIF_UNDERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH2_RXCIF_UNDERRUN_SHIFT                  _MK_SHIFT_CONST(2)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH2_RXCIF_UNDERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH2_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH2_RXCIF_UNDERRUN_RANGE                  2:2
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH2_RXCIF_UNDERRUN_WOFFSET                        0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH2_RXCIF_UNDERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH2_RXCIF_UNDERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH2_RXCIF_UNDERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH2_RXCIF_UNDERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH2_RXCIF_UNDERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH2_RXCIF_UNDERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH3_RXCIF_UNDERRUN_SHIFT                  _MK_SHIFT_CONST(3)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH3_RXCIF_UNDERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH3_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH3_RXCIF_UNDERRUN_RANGE                  3:3
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH3_RXCIF_UNDERRUN_WOFFSET                        0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH3_RXCIF_UNDERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH3_RXCIF_UNDERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH3_RXCIF_UNDERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH3_RXCIF_UNDERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH3_RXCIF_UNDERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH3_RXCIF_UNDERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH4_RXCIF_UNDERRUN_SHIFT                  _MK_SHIFT_CONST(4)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH4_RXCIF_UNDERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH4_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH4_RXCIF_UNDERRUN_RANGE                  4:4
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH4_RXCIF_UNDERRUN_WOFFSET                        0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH4_RXCIF_UNDERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH4_RXCIF_UNDERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH4_RXCIF_UNDERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH4_RXCIF_UNDERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH4_RXCIF_UNDERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH4_RXCIF_UNDERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH5_RXCIF_UNDERRUN_SHIFT                  _MK_SHIFT_CONST(5)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH5_RXCIF_UNDERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH5_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH5_RXCIF_UNDERRUN_RANGE                  5:5
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH5_RXCIF_UNDERRUN_WOFFSET                        0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH5_RXCIF_UNDERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH5_RXCIF_UNDERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH5_RXCIF_UNDERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH5_RXCIF_UNDERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH5_RXCIF_UNDERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH5_RXCIF_UNDERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH6_RXCIF_UNDERRUN_SHIFT                  _MK_SHIFT_CONST(6)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH6_RXCIF_UNDERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH6_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH6_RXCIF_UNDERRUN_RANGE                  6:6
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH6_RXCIF_UNDERRUN_WOFFSET                        0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH6_RXCIF_UNDERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH6_RXCIF_UNDERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH6_RXCIF_UNDERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH6_RXCIF_UNDERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH6_RXCIF_UNDERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH6_RXCIF_UNDERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH7_RXCIF_UNDERRUN_SHIFT                  _MK_SHIFT_CONST(7)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH7_RXCIF_UNDERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH7_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH7_RXCIF_UNDERRUN_RANGE                  7:7
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH7_RXCIF_UNDERRUN_WOFFSET                        0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH7_RXCIF_UNDERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH7_RXCIF_UNDERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH7_RXCIF_UNDERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH7_RXCIF_UNDERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH7_RXCIF_UNDERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH7_RXCIF_UNDERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH8_RXCIF_UNDERRUN_SHIFT                  _MK_SHIFT_CONST(8)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH8_RXCIF_UNDERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH8_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH8_RXCIF_UNDERRUN_RANGE                  8:8
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH8_RXCIF_UNDERRUN_WOFFSET                        0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH8_RXCIF_UNDERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH8_RXCIF_UNDERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH8_RXCIF_UNDERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH8_RXCIF_UNDERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH8_RXCIF_UNDERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH8_RXCIF_UNDERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH9_RXCIF_UNDERRUN_SHIFT                  _MK_SHIFT_CONST(9)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH9_RXCIF_UNDERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH9_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH9_RXCIF_UNDERRUN_RANGE                  9:9
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH9_RXCIF_UNDERRUN_WOFFSET                        0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH9_RXCIF_UNDERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH9_RXCIF_UNDERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH9_RXCIF_UNDERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH9_RXCIF_UNDERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH9_RXCIF_UNDERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0_APBIF_CH9_RXCIF_UNDERRUN_ENABLE                 _MK_ENUM_CONST(1)


// Register APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0                  _MK_ADDR_CONST(0x140)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_SECURE                   0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_SCR                      0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_WORD_COUNT                       0x1
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_RESET_MASK                       _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_READ_MASK                        _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_WRITE_MASK                       _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH0_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH0_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH0_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH0_TXCIF_OVERRUN_RANGE                    0:0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH0_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH0_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH0_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH0_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH0_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH0_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH0_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH1_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH1_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH1_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH1_TXCIF_OVERRUN_RANGE                    1:1
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH1_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH1_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH1_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH1_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH1_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH1_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH1_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH2_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(2)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH2_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH2_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH2_TXCIF_OVERRUN_RANGE                    2:2
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH2_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH2_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH2_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH2_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH2_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH2_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH2_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH3_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(3)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH3_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH3_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH3_TXCIF_OVERRUN_RANGE                    3:3
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH3_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH3_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH3_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH3_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH3_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH3_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH3_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH4_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(4)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH4_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH4_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH4_TXCIF_OVERRUN_RANGE                    4:4
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH4_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH4_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH4_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH4_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH4_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH4_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH4_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH5_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(5)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH5_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH5_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH5_TXCIF_OVERRUN_RANGE                    5:5
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH5_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH5_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH5_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH5_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH5_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH5_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH5_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH6_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(6)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH6_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH6_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH6_TXCIF_OVERRUN_RANGE                    6:6
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH6_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH6_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH6_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH6_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH6_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH6_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH6_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH7_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(7)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH7_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH7_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH7_TXCIF_OVERRUN_RANGE                    7:7
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH7_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH7_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH7_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH7_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH7_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH7_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH7_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH8_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(8)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH8_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH8_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH8_TXCIF_OVERRUN_RANGE                    8:8
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH8_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH8_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH8_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH8_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH8_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH8_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH8_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH9_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(9)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH9_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH9_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH9_TXCIF_OVERRUN_RANGE                    9:9
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH9_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH9_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH9_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH9_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH9_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH9_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0_APBIF_CH9_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)


// Register APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0                        _MK_ADDR_CONST(0x144)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_SECURE                         0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_SCR                    0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_WORD_COUNT                     0x1
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_RESET_MASK                     _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_READ_MASK                      _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_WRITE_MASK                     _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH0_APBDMA_TX_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH0_APBDMA_TX_UNDERRUN_RANGE                     0:0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH0_APBDMA_TX_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH0_APBDMA_TX_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH0_APBDMA_TX_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH0_APBDMA_TX_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH0_APBDMA_TX_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH1_APBDMA_TX_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH1_APBDMA_TX_UNDERRUN_RANGE                     1:1
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH1_APBDMA_TX_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH1_APBDMA_TX_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH1_APBDMA_TX_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH1_APBDMA_TX_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH1_APBDMA_TX_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(2)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH2_APBDMA_TX_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH2_APBDMA_TX_UNDERRUN_RANGE                     2:2
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH2_APBDMA_TX_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH2_APBDMA_TX_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH2_APBDMA_TX_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH2_APBDMA_TX_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH2_APBDMA_TX_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(3)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH3_APBDMA_TX_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH3_APBDMA_TX_UNDERRUN_RANGE                     3:3
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH3_APBDMA_TX_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH3_APBDMA_TX_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH3_APBDMA_TX_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH3_APBDMA_TX_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH3_APBDMA_TX_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH4_APBDMA_TX_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(4)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH4_APBDMA_TX_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH4_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH4_APBDMA_TX_UNDERRUN_RANGE                     4:4
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH4_APBDMA_TX_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH4_APBDMA_TX_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH4_APBDMA_TX_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH4_APBDMA_TX_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH4_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH4_APBDMA_TX_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH4_APBDMA_TX_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH5_APBDMA_TX_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(5)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH5_APBDMA_TX_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH5_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH5_APBDMA_TX_UNDERRUN_RANGE                     5:5
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH5_APBDMA_TX_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH5_APBDMA_TX_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH5_APBDMA_TX_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH5_APBDMA_TX_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH5_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH5_APBDMA_TX_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH5_APBDMA_TX_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH6_APBDMA_TX_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(6)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH6_APBDMA_TX_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH6_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH6_APBDMA_TX_UNDERRUN_RANGE                     6:6
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH6_APBDMA_TX_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH6_APBDMA_TX_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH6_APBDMA_TX_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH6_APBDMA_TX_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH6_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH6_APBDMA_TX_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH6_APBDMA_TX_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH7_APBDMA_TX_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(7)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH7_APBDMA_TX_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH7_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH7_APBDMA_TX_UNDERRUN_RANGE                     7:7
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH7_APBDMA_TX_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH7_APBDMA_TX_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH7_APBDMA_TX_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH7_APBDMA_TX_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH7_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH7_APBDMA_TX_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH7_APBDMA_TX_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH8_APBDMA_TX_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(8)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH8_APBDMA_TX_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH8_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH8_APBDMA_TX_UNDERRUN_RANGE                     8:8
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH8_APBDMA_TX_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH8_APBDMA_TX_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH8_APBDMA_TX_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH8_APBDMA_TX_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH8_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH8_APBDMA_TX_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH8_APBDMA_TX_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH9_APBDMA_TX_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(9)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH9_APBDMA_TX_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH9_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH9_APBDMA_TX_UNDERRUN_RANGE                     9:9
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH9_APBDMA_TX_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH9_APBDMA_TX_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH9_APBDMA_TX_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH9_APBDMA_TX_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH9_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH9_APBDMA_TX_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0_APBIF_CH9_APBDMA_TX_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)


// Register APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0                 _MK_ADDR_CONST(0x148)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_SECURE                  0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_SCR                     0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_WORD_COUNT                      0x1
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_RESET_MASK                      _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_READ_MASK                       _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_WRITE_MASK                      _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH0_APBDMA_RX_OVERRUN_SHIFT                       _MK_SHIFT_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH0_APBDMA_RX_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH0_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH0_APBDMA_RX_OVERRUN_RANGE                       0:0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH0_APBDMA_RX_OVERRUN_WOFFSET                     0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH0_APBDMA_RX_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH0_APBDMA_RX_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH0_APBDMA_RX_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH0_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH0_APBDMA_RX_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH0_APBDMA_RX_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH1_APBDMA_RX_OVERRUN_SHIFT                       _MK_SHIFT_CONST(1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH1_APBDMA_RX_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH1_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH1_APBDMA_RX_OVERRUN_RANGE                       1:1
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH1_APBDMA_RX_OVERRUN_WOFFSET                     0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH1_APBDMA_RX_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH1_APBDMA_RX_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH1_APBDMA_RX_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH1_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH1_APBDMA_RX_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH1_APBDMA_RX_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH2_APBDMA_RX_OVERRUN_SHIFT                       _MK_SHIFT_CONST(2)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH2_APBDMA_RX_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH2_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH2_APBDMA_RX_OVERRUN_RANGE                       2:2
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH2_APBDMA_RX_OVERRUN_WOFFSET                     0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH2_APBDMA_RX_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH2_APBDMA_RX_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH2_APBDMA_RX_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH2_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH2_APBDMA_RX_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH2_APBDMA_RX_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH3_APBDMA_RX_OVERRUN_SHIFT                       _MK_SHIFT_CONST(3)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH3_APBDMA_RX_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH3_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH3_APBDMA_RX_OVERRUN_RANGE                       3:3
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH3_APBDMA_RX_OVERRUN_WOFFSET                     0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH3_APBDMA_RX_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH3_APBDMA_RX_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH3_APBDMA_RX_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH3_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH3_APBDMA_RX_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH3_APBDMA_RX_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH4_APBDMA_RX_OVERRUN_SHIFT                       _MK_SHIFT_CONST(4)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH4_APBDMA_RX_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH4_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH4_APBDMA_RX_OVERRUN_RANGE                       4:4
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH4_APBDMA_RX_OVERRUN_WOFFSET                     0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH4_APBDMA_RX_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH4_APBDMA_RX_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH4_APBDMA_RX_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH4_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH4_APBDMA_RX_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH4_APBDMA_RX_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH5_APBDMA_RX_OVERRUN_SHIFT                       _MK_SHIFT_CONST(5)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH5_APBDMA_RX_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH5_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH5_APBDMA_RX_OVERRUN_RANGE                       5:5
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH5_APBDMA_RX_OVERRUN_WOFFSET                     0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH5_APBDMA_RX_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH5_APBDMA_RX_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH5_APBDMA_RX_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH5_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH5_APBDMA_RX_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH5_APBDMA_RX_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH6_APBDMA_RX_OVERRUN_SHIFT                       _MK_SHIFT_CONST(6)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH6_APBDMA_RX_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH6_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH6_APBDMA_RX_OVERRUN_RANGE                       6:6
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH6_APBDMA_RX_OVERRUN_WOFFSET                     0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH6_APBDMA_RX_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH6_APBDMA_RX_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH6_APBDMA_RX_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH6_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH6_APBDMA_RX_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH6_APBDMA_RX_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH7_APBDMA_RX_OVERRUN_SHIFT                       _MK_SHIFT_CONST(7)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH7_APBDMA_RX_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH7_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH7_APBDMA_RX_OVERRUN_RANGE                       7:7
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH7_APBDMA_RX_OVERRUN_WOFFSET                     0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH7_APBDMA_RX_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH7_APBDMA_RX_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH7_APBDMA_RX_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH7_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH7_APBDMA_RX_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH7_APBDMA_RX_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH8_APBDMA_RX_OVERRUN_SHIFT                       _MK_SHIFT_CONST(8)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH8_APBDMA_RX_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH8_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH8_APBDMA_RX_OVERRUN_RANGE                       8:8
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH8_APBDMA_RX_OVERRUN_WOFFSET                     0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH8_APBDMA_RX_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH8_APBDMA_RX_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH8_APBDMA_RX_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH8_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH8_APBDMA_RX_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH8_APBDMA_RX_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH9_APBDMA_RX_OVERRUN_SHIFT                       _MK_SHIFT_CONST(9)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH9_APBDMA_RX_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH9_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH9_APBDMA_RX_OVERRUN_RANGE                       9:9
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH9_APBDMA_RX_OVERRUN_WOFFSET                     0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH9_APBDMA_RX_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH9_APBDMA_RX_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH9_APBDMA_RX_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH9_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH9_APBDMA_RX_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0_APBIF_CH9_APBDMA_RX_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)


// Register APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0                 _MK_ADDR_CONST(0x14c)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_SECURE                  0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_SCR                     0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_WORD_COUNT                      0x1
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_RESET_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_READ_MASK                       _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH0_RXCIF_UNDERRUN_SHIFT                  _MK_SHIFT_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH0_RXCIF_UNDERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH0_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH0_RXCIF_UNDERRUN_RANGE                  0:0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH0_RXCIF_UNDERRUN_WOFFSET                        0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH0_RXCIF_UNDERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH0_RXCIF_UNDERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH0_RXCIF_UNDERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH0_RXCIF_UNDERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH0_RXCIF_UNDERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH0_RXCIF_UNDERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH1_RXCIF_UNDERRUN_SHIFT                  _MK_SHIFT_CONST(1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH1_RXCIF_UNDERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH1_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH1_RXCIF_UNDERRUN_RANGE                  1:1
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH1_RXCIF_UNDERRUN_WOFFSET                        0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH1_RXCIF_UNDERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH1_RXCIF_UNDERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH1_RXCIF_UNDERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH1_RXCIF_UNDERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH1_RXCIF_UNDERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH1_RXCIF_UNDERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH2_RXCIF_UNDERRUN_SHIFT                  _MK_SHIFT_CONST(2)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH2_RXCIF_UNDERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH2_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH2_RXCIF_UNDERRUN_RANGE                  2:2
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH2_RXCIF_UNDERRUN_WOFFSET                        0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH2_RXCIF_UNDERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH2_RXCIF_UNDERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH2_RXCIF_UNDERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH2_RXCIF_UNDERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH2_RXCIF_UNDERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH2_RXCIF_UNDERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH3_RXCIF_UNDERRUN_SHIFT                  _MK_SHIFT_CONST(3)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH3_RXCIF_UNDERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH3_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH3_RXCIF_UNDERRUN_RANGE                  3:3
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH3_RXCIF_UNDERRUN_WOFFSET                        0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH3_RXCIF_UNDERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH3_RXCIF_UNDERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH3_RXCIF_UNDERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH3_RXCIF_UNDERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH3_RXCIF_UNDERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH3_RXCIF_UNDERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH4_RXCIF_UNDERRUN_SHIFT                  _MK_SHIFT_CONST(4)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH4_RXCIF_UNDERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH4_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH4_RXCIF_UNDERRUN_RANGE                  4:4
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH4_RXCIF_UNDERRUN_WOFFSET                        0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH4_RXCIF_UNDERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH4_RXCIF_UNDERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH4_RXCIF_UNDERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH4_RXCIF_UNDERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH4_RXCIF_UNDERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH4_RXCIF_UNDERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH5_RXCIF_UNDERRUN_SHIFT                  _MK_SHIFT_CONST(5)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH5_RXCIF_UNDERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH5_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH5_RXCIF_UNDERRUN_RANGE                  5:5
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH5_RXCIF_UNDERRUN_WOFFSET                        0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH5_RXCIF_UNDERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH5_RXCIF_UNDERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH5_RXCIF_UNDERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH5_RXCIF_UNDERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH5_RXCIF_UNDERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH5_RXCIF_UNDERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH6_RXCIF_UNDERRUN_SHIFT                  _MK_SHIFT_CONST(6)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH6_RXCIF_UNDERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH6_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH6_RXCIF_UNDERRUN_RANGE                  6:6
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH6_RXCIF_UNDERRUN_WOFFSET                        0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH6_RXCIF_UNDERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH6_RXCIF_UNDERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH6_RXCIF_UNDERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH6_RXCIF_UNDERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH6_RXCIF_UNDERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH6_RXCIF_UNDERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH7_RXCIF_UNDERRUN_SHIFT                  _MK_SHIFT_CONST(7)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH7_RXCIF_UNDERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH7_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH7_RXCIF_UNDERRUN_RANGE                  7:7
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH7_RXCIF_UNDERRUN_WOFFSET                        0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH7_RXCIF_UNDERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH7_RXCIF_UNDERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH7_RXCIF_UNDERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH7_RXCIF_UNDERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH7_RXCIF_UNDERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH7_RXCIF_UNDERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH8_RXCIF_UNDERRUN_SHIFT                  _MK_SHIFT_CONST(8)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH8_RXCIF_UNDERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH8_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH8_RXCIF_UNDERRUN_RANGE                  8:8
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH8_RXCIF_UNDERRUN_WOFFSET                        0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH8_RXCIF_UNDERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH8_RXCIF_UNDERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH8_RXCIF_UNDERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH8_RXCIF_UNDERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH8_RXCIF_UNDERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH8_RXCIF_UNDERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH9_RXCIF_UNDERRUN_SHIFT                  _MK_SHIFT_CONST(9)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH9_RXCIF_UNDERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH9_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH9_RXCIF_UNDERRUN_RANGE                  9:9
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH9_RXCIF_UNDERRUN_WOFFSET                        0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH9_RXCIF_UNDERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH9_RXCIF_UNDERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH9_RXCIF_UNDERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH9_RXCIF_UNDERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH9_RXCIF_UNDERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0_APBIF_CH9_RXCIF_UNDERRUN_ENABLE                 _MK_ENUM_CONST(1)


// Register APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0                  _MK_ADDR_CONST(0x150)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_SECURE                   0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_SCR                      0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_WORD_COUNT                       0x1
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_RESET_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_READ_MASK                        _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH0_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH0_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH0_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH0_TXCIF_OVERRUN_RANGE                    0:0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH0_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH0_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH0_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH0_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH0_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH0_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH0_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH1_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH1_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH1_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH1_TXCIF_OVERRUN_RANGE                    1:1
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH1_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH1_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH1_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH1_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH1_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH1_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH1_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH2_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(2)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH2_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH2_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH2_TXCIF_OVERRUN_RANGE                    2:2
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH2_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH2_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH2_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH2_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH2_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH2_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH2_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH3_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(3)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH3_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH3_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH3_TXCIF_OVERRUN_RANGE                    3:3
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH3_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH3_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH3_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH3_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH3_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH3_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH3_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH4_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(4)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH4_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH4_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH4_TXCIF_OVERRUN_RANGE                    4:4
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH4_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH4_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH4_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH4_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH4_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH4_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH4_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH5_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(5)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH5_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH5_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH5_TXCIF_OVERRUN_RANGE                    5:5
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH5_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH5_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH5_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH5_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH5_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH5_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH5_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH6_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(6)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH6_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH6_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH6_TXCIF_OVERRUN_RANGE                    6:6
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH6_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH6_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH6_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH6_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH6_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH6_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH6_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH7_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(7)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH7_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH7_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH7_TXCIF_OVERRUN_RANGE                    7:7
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH7_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH7_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH7_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH7_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH7_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH7_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH7_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH8_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(8)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH8_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH8_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH8_TXCIF_OVERRUN_RANGE                    8:8
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH8_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH8_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH8_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH8_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH8_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH8_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH8_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH9_TXCIF_OVERRUN_SHIFT                    _MK_SHIFT_CONST(9)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH9_TXCIF_OVERRUN_FIELD                    _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH9_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH9_TXCIF_OVERRUN_RANGE                    9:9
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH9_TXCIF_OVERRUN_WOFFSET                  0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH9_TXCIF_OVERRUN_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH9_TXCIF_OVERRUN_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH9_TXCIF_OVERRUN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH9_TXCIF_OVERRUN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH9_TXCIF_OVERRUN_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0_APBIF_CH9_TXCIF_OVERRUN_ENABLE                   _MK_ENUM_CONST(1)


// Register APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0                        _MK_ADDR_CONST(0x154)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_SECURE                         0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_SCR                    0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_WORD_COUNT                     0x1
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_READ_MASK                      _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH0_APBDMA_TX_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH0_APBDMA_TX_UNDERRUN_RANGE                     0:0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH0_APBDMA_TX_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH0_APBDMA_TX_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH0_APBDMA_TX_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH0_APBDMA_TX_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH0_APBDMA_TX_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH1_APBDMA_TX_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH1_APBDMA_TX_UNDERRUN_RANGE                     1:1
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH1_APBDMA_TX_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH1_APBDMA_TX_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH1_APBDMA_TX_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH1_APBDMA_TX_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH1_APBDMA_TX_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(2)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH2_APBDMA_TX_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH2_APBDMA_TX_UNDERRUN_RANGE                     2:2
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH2_APBDMA_TX_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH2_APBDMA_TX_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH2_APBDMA_TX_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH2_APBDMA_TX_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH2_APBDMA_TX_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(3)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH3_APBDMA_TX_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH3_APBDMA_TX_UNDERRUN_RANGE                     3:3
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH3_APBDMA_TX_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH3_APBDMA_TX_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH3_APBDMA_TX_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH3_APBDMA_TX_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH3_APBDMA_TX_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH4_APBDMA_TX_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(4)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH4_APBDMA_TX_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH4_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH4_APBDMA_TX_UNDERRUN_RANGE                     4:4
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH4_APBDMA_TX_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH4_APBDMA_TX_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH4_APBDMA_TX_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH4_APBDMA_TX_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH4_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH4_APBDMA_TX_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH4_APBDMA_TX_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH5_APBDMA_TX_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(5)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH5_APBDMA_TX_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH5_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH5_APBDMA_TX_UNDERRUN_RANGE                     5:5
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH5_APBDMA_TX_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH5_APBDMA_TX_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH5_APBDMA_TX_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH5_APBDMA_TX_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH5_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH5_APBDMA_TX_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH5_APBDMA_TX_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH6_APBDMA_TX_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(6)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH6_APBDMA_TX_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH6_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH6_APBDMA_TX_UNDERRUN_RANGE                     6:6
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH6_APBDMA_TX_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH6_APBDMA_TX_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH6_APBDMA_TX_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH6_APBDMA_TX_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH6_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH6_APBDMA_TX_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH6_APBDMA_TX_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH7_APBDMA_TX_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(7)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH7_APBDMA_TX_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH7_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH7_APBDMA_TX_UNDERRUN_RANGE                     7:7
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH7_APBDMA_TX_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH7_APBDMA_TX_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH7_APBDMA_TX_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH7_APBDMA_TX_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH7_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH7_APBDMA_TX_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH7_APBDMA_TX_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH8_APBDMA_TX_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(8)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH8_APBDMA_TX_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH8_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH8_APBDMA_TX_UNDERRUN_RANGE                     8:8
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH8_APBDMA_TX_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH8_APBDMA_TX_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH8_APBDMA_TX_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH8_APBDMA_TX_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH8_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH8_APBDMA_TX_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH8_APBDMA_TX_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH9_APBDMA_TX_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(9)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH9_APBDMA_TX_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH9_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH9_APBDMA_TX_UNDERRUN_RANGE                     9:9
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH9_APBDMA_TX_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH9_APBDMA_TX_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH9_APBDMA_TX_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH9_APBDMA_TX_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH9_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH9_APBDMA_TX_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0_APBIF_CH9_APBDMA_TX_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)


// Register APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0                 _MK_ADDR_CONST(0x158)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_SECURE                  0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_SCR                     0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_WORD_COUNT                      0x1
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_RESET_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_READ_MASK                       _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH0_APBDMA_RX_OVERRUN_SHIFT                       _MK_SHIFT_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH0_APBDMA_RX_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH0_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH0_APBDMA_RX_OVERRUN_RANGE                       0:0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH0_APBDMA_RX_OVERRUN_WOFFSET                     0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH0_APBDMA_RX_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH0_APBDMA_RX_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH0_APBDMA_RX_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH0_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH0_APBDMA_RX_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH0_APBDMA_RX_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH1_APBDMA_RX_OVERRUN_SHIFT                       _MK_SHIFT_CONST(1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH1_APBDMA_RX_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH1_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH1_APBDMA_RX_OVERRUN_RANGE                       1:1
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH1_APBDMA_RX_OVERRUN_WOFFSET                     0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH1_APBDMA_RX_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH1_APBDMA_RX_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH1_APBDMA_RX_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH1_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH1_APBDMA_RX_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH1_APBDMA_RX_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH2_APBDMA_RX_OVERRUN_SHIFT                       _MK_SHIFT_CONST(2)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH2_APBDMA_RX_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH2_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH2_APBDMA_RX_OVERRUN_RANGE                       2:2
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH2_APBDMA_RX_OVERRUN_WOFFSET                     0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH2_APBDMA_RX_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH2_APBDMA_RX_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH2_APBDMA_RX_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH2_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH2_APBDMA_RX_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH2_APBDMA_RX_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH3_APBDMA_RX_OVERRUN_SHIFT                       _MK_SHIFT_CONST(3)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH3_APBDMA_RX_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH3_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH3_APBDMA_RX_OVERRUN_RANGE                       3:3
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH3_APBDMA_RX_OVERRUN_WOFFSET                     0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH3_APBDMA_RX_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH3_APBDMA_RX_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH3_APBDMA_RX_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH3_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH3_APBDMA_RX_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH3_APBDMA_RX_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH4_APBDMA_RX_OVERRUN_SHIFT                       _MK_SHIFT_CONST(4)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH4_APBDMA_RX_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH4_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH4_APBDMA_RX_OVERRUN_RANGE                       4:4
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH4_APBDMA_RX_OVERRUN_WOFFSET                     0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH4_APBDMA_RX_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH4_APBDMA_RX_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH4_APBDMA_RX_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH4_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH4_APBDMA_RX_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH4_APBDMA_RX_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH5_APBDMA_RX_OVERRUN_SHIFT                       _MK_SHIFT_CONST(5)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH5_APBDMA_RX_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH5_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH5_APBDMA_RX_OVERRUN_RANGE                       5:5
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH5_APBDMA_RX_OVERRUN_WOFFSET                     0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH5_APBDMA_RX_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH5_APBDMA_RX_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH5_APBDMA_RX_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH5_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH5_APBDMA_RX_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH5_APBDMA_RX_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH6_APBDMA_RX_OVERRUN_SHIFT                       _MK_SHIFT_CONST(6)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH6_APBDMA_RX_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH6_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH6_APBDMA_RX_OVERRUN_RANGE                       6:6
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH6_APBDMA_RX_OVERRUN_WOFFSET                     0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH6_APBDMA_RX_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH6_APBDMA_RX_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH6_APBDMA_RX_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH6_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH6_APBDMA_RX_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH6_APBDMA_RX_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH7_APBDMA_RX_OVERRUN_SHIFT                       _MK_SHIFT_CONST(7)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH7_APBDMA_RX_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH7_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH7_APBDMA_RX_OVERRUN_RANGE                       7:7
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH7_APBDMA_RX_OVERRUN_WOFFSET                     0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH7_APBDMA_RX_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH7_APBDMA_RX_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH7_APBDMA_RX_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH7_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH7_APBDMA_RX_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH7_APBDMA_RX_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH8_APBDMA_RX_OVERRUN_SHIFT                       _MK_SHIFT_CONST(8)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH8_APBDMA_RX_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH8_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH8_APBDMA_RX_OVERRUN_RANGE                       8:8
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH8_APBDMA_RX_OVERRUN_WOFFSET                     0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH8_APBDMA_RX_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH8_APBDMA_RX_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH8_APBDMA_RX_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH8_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH8_APBDMA_RX_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH8_APBDMA_RX_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH9_APBDMA_RX_OVERRUN_SHIFT                       _MK_SHIFT_CONST(9)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH9_APBDMA_RX_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH9_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH9_APBDMA_RX_OVERRUN_RANGE                       9:9
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH9_APBDMA_RX_OVERRUN_WOFFSET                     0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH9_APBDMA_RX_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH9_APBDMA_RX_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH9_APBDMA_RX_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH9_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH9_APBDMA_RX_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0_APBIF_CH9_APBDMA_RX_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)


// Register APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0                    _MK_ADDR_CONST(0x15c)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_SECURE                     0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_SCR                        0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_WORD_COUNT                         0x1
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_RESET_MASK                         _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_READ_MASK                  _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_WRITE_MASK                         _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH0_RXCIF_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH0_RXCIF_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH0_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH0_RXCIF_UNDERRUN_RANGE                     0:0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH0_RXCIF_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH0_RXCIF_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH0_RXCIF_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH0_RXCIF_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH0_RXCIF_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH0_RXCIF_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH0_RXCIF_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH1_RXCIF_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH1_RXCIF_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH1_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH1_RXCIF_UNDERRUN_RANGE                     1:1
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH1_RXCIF_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH1_RXCIF_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH1_RXCIF_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH1_RXCIF_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH1_RXCIF_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH1_RXCIF_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH1_RXCIF_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH2_RXCIF_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(2)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH2_RXCIF_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH2_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH2_RXCIF_UNDERRUN_RANGE                     2:2
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH2_RXCIF_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH2_RXCIF_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH2_RXCIF_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH2_RXCIF_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH2_RXCIF_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH2_RXCIF_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH2_RXCIF_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH3_RXCIF_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(3)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH3_RXCIF_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH3_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH3_RXCIF_UNDERRUN_RANGE                     3:3
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH3_RXCIF_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH3_RXCIF_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH3_RXCIF_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH3_RXCIF_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH3_RXCIF_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH3_RXCIF_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH3_RXCIF_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH4_RXCIF_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(4)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH4_RXCIF_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH4_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH4_RXCIF_UNDERRUN_RANGE                     4:4
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH4_RXCIF_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH4_RXCIF_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH4_RXCIF_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH4_RXCIF_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH4_RXCIF_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH4_RXCIF_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH4_RXCIF_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH5_RXCIF_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(5)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH5_RXCIF_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH5_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH5_RXCIF_UNDERRUN_RANGE                     5:5
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH5_RXCIF_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH5_RXCIF_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH5_RXCIF_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH5_RXCIF_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH5_RXCIF_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH5_RXCIF_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH5_RXCIF_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH6_RXCIF_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(6)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH6_RXCIF_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH6_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH6_RXCIF_UNDERRUN_RANGE                     6:6
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH6_RXCIF_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH6_RXCIF_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH6_RXCIF_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH6_RXCIF_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH6_RXCIF_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH6_RXCIF_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH6_RXCIF_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH7_RXCIF_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(7)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH7_RXCIF_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH7_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH7_RXCIF_UNDERRUN_RANGE                     7:7
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH7_RXCIF_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH7_RXCIF_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH7_RXCIF_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH7_RXCIF_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH7_RXCIF_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH7_RXCIF_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH7_RXCIF_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH8_RXCIF_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(8)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH8_RXCIF_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH8_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH8_RXCIF_UNDERRUN_RANGE                     8:8
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH8_RXCIF_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH8_RXCIF_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH8_RXCIF_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH8_RXCIF_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH8_RXCIF_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH8_RXCIF_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH8_RXCIF_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH9_RXCIF_UNDERRUN_SHIFT                     _MK_SHIFT_CONST(9)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH9_RXCIF_UNDERRUN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH9_RXCIF_UNDERRUN_SHIFT)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH9_RXCIF_UNDERRUN_RANGE                     9:9
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH9_RXCIF_UNDERRUN_WOFFSET                   0x0
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH9_RXCIF_UNDERRUN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH9_RXCIF_UNDERRUN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH9_RXCIF_UNDERRUN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH9_RXCIF_UNDERRUN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH9_RXCIF_UNDERRUN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0_APBIF_CH9_RXCIF_UNDERRUN_ENABLE                    _MK_ENUM_CONST(1)


// Register APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0                     _MK_ADDR_CONST(0x160)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_SECURE                      0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_SCR                         0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_WORD_COUNT                  0x1
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_RESET_MASK                  _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_READ_MASK                   _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_WRITE_MASK                  _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH0_TXCIF_OVERRUN_SHIFT                       _MK_SHIFT_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH0_TXCIF_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH0_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH0_TXCIF_OVERRUN_RANGE                       0:0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH0_TXCIF_OVERRUN_WOFFSET                     0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH0_TXCIF_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH0_TXCIF_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH0_TXCIF_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH0_TXCIF_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH0_TXCIF_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH0_TXCIF_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH1_TXCIF_OVERRUN_SHIFT                       _MK_SHIFT_CONST(1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH1_TXCIF_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH1_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH1_TXCIF_OVERRUN_RANGE                       1:1
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH1_TXCIF_OVERRUN_WOFFSET                     0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH1_TXCIF_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH1_TXCIF_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH1_TXCIF_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH1_TXCIF_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH1_TXCIF_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH1_TXCIF_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH2_TXCIF_OVERRUN_SHIFT                       _MK_SHIFT_CONST(2)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH2_TXCIF_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH2_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH2_TXCIF_OVERRUN_RANGE                       2:2
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH2_TXCIF_OVERRUN_WOFFSET                     0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH2_TXCIF_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH2_TXCIF_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH2_TXCIF_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH2_TXCIF_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH2_TXCIF_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH2_TXCIF_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH3_TXCIF_OVERRUN_SHIFT                       _MK_SHIFT_CONST(3)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH3_TXCIF_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH3_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH3_TXCIF_OVERRUN_RANGE                       3:3
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH3_TXCIF_OVERRUN_WOFFSET                     0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH3_TXCIF_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH3_TXCIF_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH3_TXCIF_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH3_TXCIF_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH3_TXCIF_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH3_TXCIF_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH4_TXCIF_OVERRUN_SHIFT                       _MK_SHIFT_CONST(4)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH4_TXCIF_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH4_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH4_TXCIF_OVERRUN_RANGE                       4:4
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH4_TXCIF_OVERRUN_WOFFSET                     0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH4_TXCIF_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH4_TXCIF_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH4_TXCIF_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH4_TXCIF_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH4_TXCIF_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH4_TXCIF_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH5_TXCIF_OVERRUN_SHIFT                       _MK_SHIFT_CONST(5)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH5_TXCIF_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH5_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH5_TXCIF_OVERRUN_RANGE                       5:5
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH5_TXCIF_OVERRUN_WOFFSET                     0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH5_TXCIF_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH5_TXCIF_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH5_TXCIF_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH5_TXCIF_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH5_TXCIF_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH5_TXCIF_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH6_TXCIF_OVERRUN_SHIFT                       _MK_SHIFT_CONST(6)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH6_TXCIF_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH6_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH6_TXCIF_OVERRUN_RANGE                       6:6
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH6_TXCIF_OVERRUN_WOFFSET                     0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH6_TXCIF_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH6_TXCIF_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH6_TXCIF_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH6_TXCIF_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH6_TXCIF_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH6_TXCIF_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH7_TXCIF_OVERRUN_SHIFT                       _MK_SHIFT_CONST(7)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH7_TXCIF_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH7_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH7_TXCIF_OVERRUN_RANGE                       7:7
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH7_TXCIF_OVERRUN_WOFFSET                     0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH7_TXCIF_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH7_TXCIF_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH7_TXCIF_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH7_TXCIF_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH7_TXCIF_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH7_TXCIF_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH8_TXCIF_OVERRUN_SHIFT                       _MK_SHIFT_CONST(8)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH8_TXCIF_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH8_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH8_TXCIF_OVERRUN_RANGE                       8:8
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH8_TXCIF_OVERRUN_WOFFSET                     0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH8_TXCIF_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH8_TXCIF_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH8_TXCIF_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH8_TXCIF_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH8_TXCIF_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH8_TXCIF_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH9_TXCIF_OVERRUN_SHIFT                       _MK_SHIFT_CONST(9)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH9_TXCIF_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH9_TXCIF_OVERRUN_SHIFT)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH9_TXCIF_OVERRUN_RANGE                       9:9
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH9_TXCIF_OVERRUN_WOFFSET                     0x0
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH9_TXCIF_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH9_TXCIF_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH9_TXCIF_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH9_TXCIF_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH9_TXCIF_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0_APBIF_CH9_TXCIF_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)


// Register APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0                   _MK_ADDR_CONST(0x164)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_SECURE                    0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_SCR                       0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_WORD_COUNT                        0x1
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_RESET_MASK                        _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_READ_MASK                         _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_WRITE_MASK                        _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SHIFT                        _MK_SHIFT_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH0_APBDMA_TX_UNDERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH0_APBDMA_TX_UNDERRUN_RANGE                        0:0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH0_APBDMA_TX_UNDERRUN_WOFFSET                      0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH0_APBDMA_TX_UNDERRUN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH0_APBDMA_TX_UNDERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH0_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH0_APBDMA_TX_UNDERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH0_APBDMA_TX_UNDERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SHIFT                        _MK_SHIFT_CONST(1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH1_APBDMA_TX_UNDERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH1_APBDMA_TX_UNDERRUN_RANGE                        1:1
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH1_APBDMA_TX_UNDERRUN_WOFFSET                      0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH1_APBDMA_TX_UNDERRUN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH1_APBDMA_TX_UNDERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH1_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH1_APBDMA_TX_UNDERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH1_APBDMA_TX_UNDERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SHIFT                        _MK_SHIFT_CONST(2)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH2_APBDMA_TX_UNDERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH2_APBDMA_TX_UNDERRUN_RANGE                        2:2
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH2_APBDMA_TX_UNDERRUN_WOFFSET                      0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH2_APBDMA_TX_UNDERRUN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH2_APBDMA_TX_UNDERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH2_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH2_APBDMA_TX_UNDERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH2_APBDMA_TX_UNDERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SHIFT                        _MK_SHIFT_CONST(3)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH3_APBDMA_TX_UNDERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH3_APBDMA_TX_UNDERRUN_RANGE                        3:3
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH3_APBDMA_TX_UNDERRUN_WOFFSET                      0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH3_APBDMA_TX_UNDERRUN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH3_APBDMA_TX_UNDERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH3_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH3_APBDMA_TX_UNDERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH3_APBDMA_TX_UNDERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH4_APBDMA_TX_UNDERRUN_SHIFT                        _MK_SHIFT_CONST(4)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH4_APBDMA_TX_UNDERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH4_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH4_APBDMA_TX_UNDERRUN_RANGE                        4:4
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH4_APBDMA_TX_UNDERRUN_WOFFSET                      0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH4_APBDMA_TX_UNDERRUN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH4_APBDMA_TX_UNDERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH4_APBDMA_TX_UNDERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH4_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH4_APBDMA_TX_UNDERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH4_APBDMA_TX_UNDERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH5_APBDMA_TX_UNDERRUN_SHIFT                        _MK_SHIFT_CONST(5)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH5_APBDMA_TX_UNDERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH5_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH5_APBDMA_TX_UNDERRUN_RANGE                        5:5
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH5_APBDMA_TX_UNDERRUN_WOFFSET                      0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH5_APBDMA_TX_UNDERRUN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH5_APBDMA_TX_UNDERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH5_APBDMA_TX_UNDERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH5_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH5_APBDMA_TX_UNDERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH5_APBDMA_TX_UNDERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH6_APBDMA_TX_UNDERRUN_SHIFT                        _MK_SHIFT_CONST(6)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH6_APBDMA_TX_UNDERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH6_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH6_APBDMA_TX_UNDERRUN_RANGE                        6:6
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH6_APBDMA_TX_UNDERRUN_WOFFSET                      0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH6_APBDMA_TX_UNDERRUN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH6_APBDMA_TX_UNDERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH6_APBDMA_TX_UNDERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH6_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH6_APBDMA_TX_UNDERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH6_APBDMA_TX_UNDERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH7_APBDMA_TX_UNDERRUN_SHIFT                        _MK_SHIFT_CONST(7)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH7_APBDMA_TX_UNDERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH7_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH7_APBDMA_TX_UNDERRUN_RANGE                        7:7
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH7_APBDMA_TX_UNDERRUN_WOFFSET                      0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH7_APBDMA_TX_UNDERRUN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH7_APBDMA_TX_UNDERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH7_APBDMA_TX_UNDERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH7_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH7_APBDMA_TX_UNDERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH7_APBDMA_TX_UNDERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH8_APBDMA_TX_UNDERRUN_SHIFT                        _MK_SHIFT_CONST(8)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH8_APBDMA_TX_UNDERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH8_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH8_APBDMA_TX_UNDERRUN_RANGE                        8:8
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH8_APBDMA_TX_UNDERRUN_WOFFSET                      0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH8_APBDMA_TX_UNDERRUN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH8_APBDMA_TX_UNDERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH8_APBDMA_TX_UNDERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH8_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH8_APBDMA_TX_UNDERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH8_APBDMA_TX_UNDERRUN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH9_APBDMA_TX_UNDERRUN_SHIFT                        _MK_SHIFT_CONST(9)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH9_APBDMA_TX_UNDERRUN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH9_APBDMA_TX_UNDERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH9_APBDMA_TX_UNDERRUN_RANGE                        9:9
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH9_APBDMA_TX_UNDERRUN_WOFFSET                      0x0
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH9_APBDMA_TX_UNDERRUN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH9_APBDMA_TX_UNDERRUN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH9_APBDMA_TX_UNDERRUN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH9_APBDMA_TX_UNDERRUN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH9_APBDMA_TX_UNDERRUN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0_APBIF_CH9_APBDMA_TX_UNDERRUN_ENABLE                       _MK_ENUM_CONST(1)


// Register APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0                    _MK_ADDR_CONST(0x168)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_SECURE                     0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_SCR                        0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_WORD_COUNT                         0x1
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_RESET_MASK                         _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_READ_MASK                  _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_WRITE_MASK                         _MK_MASK_CONST(0x3ff)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH0_APBDMA_RX_OVERRUN_SHIFT                  _MK_SHIFT_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH0_APBDMA_RX_OVERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH0_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH0_APBDMA_RX_OVERRUN_RANGE                  0:0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH0_APBDMA_RX_OVERRUN_WOFFSET                        0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH0_APBDMA_RX_OVERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH0_APBDMA_RX_OVERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH0_APBDMA_RX_OVERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH0_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH0_APBDMA_RX_OVERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH0_APBDMA_RX_OVERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH1_APBDMA_RX_OVERRUN_SHIFT                  _MK_SHIFT_CONST(1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH1_APBDMA_RX_OVERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH1_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH1_APBDMA_RX_OVERRUN_RANGE                  1:1
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH1_APBDMA_RX_OVERRUN_WOFFSET                        0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH1_APBDMA_RX_OVERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH1_APBDMA_RX_OVERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH1_APBDMA_RX_OVERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH1_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH1_APBDMA_RX_OVERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH1_APBDMA_RX_OVERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH2_APBDMA_RX_OVERRUN_SHIFT                  _MK_SHIFT_CONST(2)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH2_APBDMA_RX_OVERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH2_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH2_APBDMA_RX_OVERRUN_RANGE                  2:2
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH2_APBDMA_RX_OVERRUN_WOFFSET                        0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH2_APBDMA_RX_OVERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH2_APBDMA_RX_OVERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH2_APBDMA_RX_OVERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH2_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH2_APBDMA_RX_OVERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH2_APBDMA_RX_OVERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH3_APBDMA_RX_OVERRUN_SHIFT                  _MK_SHIFT_CONST(3)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH3_APBDMA_RX_OVERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH3_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH3_APBDMA_RX_OVERRUN_RANGE                  3:3
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH3_APBDMA_RX_OVERRUN_WOFFSET                        0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH3_APBDMA_RX_OVERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH3_APBDMA_RX_OVERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH3_APBDMA_RX_OVERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH3_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH3_APBDMA_RX_OVERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH3_APBDMA_RX_OVERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH4_APBDMA_RX_OVERRUN_SHIFT                  _MK_SHIFT_CONST(4)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH4_APBDMA_RX_OVERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH4_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH4_APBDMA_RX_OVERRUN_RANGE                  4:4
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH4_APBDMA_RX_OVERRUN_WOFFSET                        0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH4_APBDMA_RX_OVERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH4_APBDMA_RX_OVERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH4_APBDMA_RX_OVERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH4_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH4_APBDMA_RX_OVERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH4_APBDMA_RX_OVERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH5_APBDMA_RX_OVERRUN_SHIFT                  _MK_SHIFT_CONST(5)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH5_APBDMA_RX_OVERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH5_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH5_APBDMA_RX_OVERRUN_RANGE                  5:5
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH5_APBDMA_RX_OVERRUN_WOFFSET                        0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH5_APBDMA_RX_OVERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH5_APBDMA_RX_OVERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH5_APBDMA_RX_OVERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH5_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH5_APBDMA_RX_OVERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH5_APBDMA_RX_OVERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH6_APBDMA_RX_OVERRUN_SHIFT                  _MK_SHIFT_CONST(6)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH6_APBDMA_RX_OVERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH6_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH6_APBDMA_RX_OVERRUN_RANGE                  6:6
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH6_APBDMA_RX_OVERRUN_WOFFSET                        0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH6_APBDMA_RX_OVERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH6_APBDMA_RX_OVERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH6_APBDMA_RX_OVERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH6_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH6_APBDMA_RX_OVERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH6_APBDMA_RX_OVERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH7_APBDMA_RX_OVERRUN_SHIFT                  _MK_SHIFT_CONST(7)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH7_APBDMA_RX_OVERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH7_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH7_APBDMA_RX_OVERRUN_RANGE                  7:7
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH7_APBDMA_RX_OVERRUN_WOFFSET                        0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH7_APBDMA_RX_OVERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH7_APBDMA_RX_OVERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH7_APBDMA_RX_OVERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH7_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH7_APBDMA_RX_OVERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH7_APBDMA_RX_OVERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH8_APBDMA_RX_OVERRUN_SHIFT                  _MK_SHIFT_CONST(8)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH8_APBDMA_RX_OVERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH8_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH8_APBDMA_RX_OVERRUN_RANGE                  8:8
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH8_APBDMA_RX_OVERRUN_WOFFSET                        0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH8_APBDMA_RX_OVERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH8_APBDMA_RX_OVERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH8_APBDMA_RX_OVERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH8_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH8_APBDMA_RX_OVERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH8_APBDMA_RX_OVERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH9_APBDMA_RX_OVERRUN_SHIFT                  _MK_SHIFT_CONST(9)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH9_APBDMA_RX_OVERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH9_APBDMA_RX_OVERRUN_SHIFT)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH9_APBDMA_RX_OVERRUN_RANGE                  9:9
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH9_APBDMA_RX_OVERRUN_WOFFSET                        0x0
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH9_APBDMA_RX_OVERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH9_APBDMA_RX_OVERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH9_APBDMA_RX_OVERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH9_APBDMA_RX_OVERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH9_APBDMA_RX_OVERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0_APBIF_CH9_APBDMA_RX_OVERRUN_ENABLE                 _MK_ENUM_CONST(1)


// Reserved address 364 [0x16c]

// Reserved address 368 [0x170]

// Reserved address 372 [0x174]

// Register APBIF_AMX0_LIVE_STATUS_0
#define APBIF_AMX0_LIVE_STATUS_0                        _MK_ADDR_CONST(0x178)
#define APBIF_AMX0_LIVE_STATUS_0_SECURE                         0x0
#define APBIF_AMX0_LIVE_STATUS_0_SCR                    0
#define APBIF_AMX0_LIVE_STATUS_0_WORD_COUNT                     0x1
#define APBIF_AMX0_LIVE_STATUS_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_READ_MASK                      _MK_MASK_CONST(0xf1f1f1)
#define APBIF_AMX0_LIVE_STATUS_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_FIFO_EMPTY_SHIFT                       _MK_SHIFT_CONST(0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_FIFO_EMPTY_FIELD                       _MK_FIELD_CONST(0x1, APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_FIFO_EMPTY_SHIFT)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_FIFO_EMPTY_RANGE                       0:0
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_FIFO_EMPTY_WOFFSET                     0x0
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_FIFO_EMPTY_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_FIFO_EMPTY_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_FIFO_EMPTY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_FIFO_EMPTY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_FIFO_EMPTY_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_FIFO_EMPTY_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_FIFO_EMPTY_SHIFT                   _MK_SHIFT_CONST(4)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_FIFO_EMPTY_FIELD                   _MK_FIELD_CONST(0x1, APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_FIFO_EMPTY_SHIFT)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_FIFO_EMPTY_RANGE                   4:4
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_FIFO_EMPTY_WOFFSET                 0x0
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_FIFO_EMPTY_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_FIFO_EMPTY_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_FIFO_EMPTY_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_FIFO_EMPTY_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_FIFO_EMPTY_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_FIFO_EMPTY_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_FIFO_EMPTY_SHIFT                   _MK_SHIFT_CONST(5)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_FIFO_EMPTY_FIELD                   _MK_FIELD_CONST(0x1, APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_FIFO_EMPTY_SHIFT)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_FIFO_EMPTY_RANGE                   5:5
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_FIFO_EMPTY_WOFFSET                 0x0
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_FIFO_EMPTY_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_FIFO_EMPTY_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_FIFO_EMPTY_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_FIFO_EMPTY_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_FIFO_EMPTY_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_FIFO_EMPTY_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_FIFO_EMPTY_SHIFT                   _MK_SHIFT_CONST(6)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_FIFO_EMPTY_FIELD                   _MK_FIELD_CONST(0x1, APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_FIFO_EMPTY_SHIFT)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_FIFO_EMPTY_RANGE                   6:6
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_FIFO_EMPTY_WOFFSET                 0x0
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_FIFO_EMPTY_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_FIFO_EMPTY_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_FIFO_EMPTY_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_FIFO_EMPTY_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_FIFO_EMPTY_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_FIFO_EMPTY_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_FIFO_EMPTY_SHIFT                   _MK_SHIFT_CONST(7)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_FIFO_EMPTY_FIELD                   _MK_FIELD_CONST(0x1, APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_FIFO_EMPTY_SHIFT)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_FIFO_EMPTY_RANGE                   7:7
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_FIFO_EMPTY_WOFFSET                 0x0
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_FIFO_EMPTY_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_FIFO_EMPTY_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_FIFO_EMPTY_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_FIFO_EMPTY_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_FIFO_EMPTY_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_FIFO_EMPTY_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_FIFO_FULL_SHIFT                        _MK_SHIFT_CONST(8)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_FIFO_FULL_FIELD                        _MK_FIELD_CONST(0x1, APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_FIFO_FULL_SHIFT)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_FIFO_FULL_RANGE                        8:8
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_FIFO_FULL_WOFFSET                      0x0
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_FIFO_FULL_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_FIFO_FULL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_FIFO_FULL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_FIFO_FULL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_FIFO_FULL_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_FIFO_FULL_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_FIFO_FULL_SHIFT                    _MK_SHIFT_CONST(12)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_FIFO_FULL_FIELD                    _MK_FIELD_CONST(0x1, APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_FIFO_FULL_SHIFT)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_FIFO_FULL_RANGE                    12:12
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_FIFO_FULL_WOFFSET                  0x0
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_FIFO_FULL_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_FIFO_FULL_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_FIFO_FULL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_FIFO_FULL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_FIFO_FULL_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_FIFO_FULL_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_FIFO_FULL_SHIFT                    _MK_SHIFT_CONST(13)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_FIFO_FULL_FIELD                    _MK_FIELD_CONST(0x1, APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_FIFO_FULL_SHIFT)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_FIFO_FULL_RANGE                    13:13
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_FIFO_FULL_WOFFSET                  0x0
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_FIFO_FULL_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_FIFO_FULL_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_FIFO_FULL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_FIFO_FULL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_FIFO_FULL_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_FIFO_FULL_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_FIFO_FULL_SHIFT                    _MK_SHIFT_CONST(14)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_FIFO_FULL_FIELD                    _MK_FIELD_CONST(0x1, APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_FIFO_FULL_SHIFT)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_FIFO_FULL_RANGE                    14:14
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_FIFO_FULL_WOFFSET                  0x0
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_FIFO_FULL_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_FIFO_FULL_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_FIFO_FULL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_FIFO_FULL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_FIFO_FULL_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_FIFO_FULL_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_FIFO_FULL_SHIFT                    _MK_SHIFT_CONST(15)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_FIFO_FULL_FIELD                    _MK_FIELD_CONST(0x1, APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_FIFO_FULL_SHIFT)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_FIFO_FULL_RANGE                    15:15
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_FIFO_FULL_WOFFSET                  0x0
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_FIFO_FULL_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_FIFO_FULL_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_FIFO_FULL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_FIFO_FULL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_FIFO_FULL_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_FIFO_FULL_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_ENABLED_SHIFT                  _MK_SHIFT_CONST(16)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_ENABLED_FIELD                  _MK_FIELD_CONST(0x1, APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_ENABLED_SHIFT)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_ENABLED_RANGE                  16:16
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_ENABLED_WOFFSET                        0x0
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_ENABLED_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_ENABLED_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_ENABLED_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_ENABLED_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_ENABLED_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_TX_ENABLED_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_ENABLED_SHIFT                      _MK_SHIFT_CONST(20)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_ENABLED_FIELD                      _MK_FIELD_CONST(0x1, APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_ENABLED_SHIFT)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_ENABLED_RANGE                      20:20
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_ENABLED_WOFFSET                    0x0
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_ENABLED_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_ENABLED_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_ENABLED_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_ENABLED_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_ENABLED_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH0_RX_ENABLED_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_ENABLED_SHIFT                      _MK_SHIFT_CONST(21)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_ENABLED_FIELD                      _MK_FIELD_CONST(0x1, APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_ENABLED_SHIFT)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_ENABLED_RANGE                      21:21
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_ENABLED_WOFFSET                    0x0
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_ENABLED_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_ENABLED_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_ENABLED_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_ENABLED_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_ENABLED_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH1_RX_ENABLED_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_ENABLED_SHIFT                      _MK_SHIFT_CONST(22)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_ENABLED_FIELD                      _MK_FIELD_CONST(0x1, APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_ENABLED_SHIFT)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_ENABLED_RANGE                      22:22
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_ENABLED_WOFFSET                    0x0
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_ENABLED_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_ENABLED_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_ENABLED_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_ENABLED_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_ENABLED_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH2_RX_ENABLED_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_ENABLED_SHIFT                      _MK_SHIFT_CONST(23)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_ENABLED_FIELD                      _MK_FIELD_CONST(0x1, APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_ENABLED_SHIFT)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_ENABLED_RANGE                      23:23
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_ENABLED_WOFFSET                    0x0
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_ENABLED_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_ENABLED_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_ENABLED_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_ENABLED_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_ENABLED_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_AMX0_LIVE_STATUS_0_AMX0_CH3_RX_ENABLED_ENABLE                     _MK_ENUM_CONST(1)


// Register APBIF_AMX1_LIVE_STATUS_0
#define APBIF_AMX1_LIVE_STATUS_0                        _MK_ADDR_CONST(0x17c)
#define APBIF_AMX1_LIVE_STATUS_0_SECURE                         0x0
#define APBIF_AMX1_LIVE_STATUS_0_SCR                    0
#define APBIF_AMX1_LIVE_STATUS_0_WORD_COUNT                     0x1
#define APBIF_AMX1_LIVE_STATUS_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_READ_MASK                      _MK_MASK_CONST(0xf1f1f1)
#define APBIF_AMX1_LIVE_STATUS_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_FIFO_EMPTY_SHIFT                       _MK_SHIFT_CONST(0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_FIFO_EMPTY_FIELD                       _MK_FIELD_CONST(0x1, APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_FIFO_EMPTY_SHIFT)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_FIFO_EMPTY_RANGE                       0:0
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_FIFO_EMPTY_WOFFSET                     0x0
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_FIFO_EMPTY_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_FIFO_EMPTY_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_FIFO_EMPTY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_FIFO_EMPTY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_FIFO_EMPTY_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_FIFO_EMPTY_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_FIFO_EMPTY_SHIFT                   _MK_SHIFT_CONST(4)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_FIFO_EMPTY_FIELD                   _MK_FIELD_CONST(0x1, APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_FIFO_EMPTY_SHIFT)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_FIFO_EMPTY_RANGE                   4:4
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_FIFO_EMPTY_WOFFSET                 0x0
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_FIFO_EMPTY_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_FIFO_EMPTY_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_FIFO_EMPTY_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_FIFO_EMPTY_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_FIFO_EMPTY_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_FIFO_EMPTY_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_FIFO_EMPTY_SHIFT                   _MK_SHIFT_CONST(5)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_FIFO_EMPTY_FIELD                   _MK_FIELD_CONST(0x1, APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_FIFO_EMPTY_SHIFT)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_FIFO_EMPTY_RANGE                   5:5
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_FIFO_EMPTY_WOFFSET                 0x0
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_FIFO_EMPTY_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_FIFO_EMPTY_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_FIFO_EMPTY_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_FIFO_EMPTY_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_FIFO_EMPTY_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_FIFO_EMPTY_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_FIFO_EMPTY_SHIFT                   _MK_SHIFT_CONST(6)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_FIFO_EMPTY_FIELD                   _MK_FIELD_CONST(0x1, APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_FIFO_EMPTY_SHIFT)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_FIFO_EMPTY_RANGE                   6:6
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_FIFO_EMPTY_WOFFSET                 0x0
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_FIFO_EMPTY_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_FIFO_EMPTY_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_FIFO_EMPTY_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_FIFO_EMPTY_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_FIFO_EMPTY_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_FIFO_EMPTY_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_FIFO_EMPTY_SHIFT                   _MK_SHIFT_CONST(7)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_FIFO_EMPTY_FIELD                   _MK_FIELD_CONST(0x1, APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_FIFO_EMPTY_SHIFT)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_FIFO_EMPTY_RANGE                   7:7
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_FIFO_EMPTY_WOFFSET                 0x0
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_FIFO_EMPTY_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_FIFO_EMPTY_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_FIFO_EMPTY_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_FIFO_EMPTY_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_FIFO_EMPTY_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_FIFO_EMPTY_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_FIFO_FULL_SHIFT                        _MK_SHIFT_CONST(8)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_FIFO_FULL_FIELD                        _MK_FIELD_CONST(0x1, APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_FIFO_FULL_SHIFT)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_FIFO_FULL_RANGE                        8:8
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_FIFO_FULL_WOFFSET                      0x0
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_FIFO_FULL_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_FIFO_FULL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_FIFO_FULL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_FIFO_FULL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_FIFO_FULL_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_FIFO_FULL_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_FIFO_FULL_SHIFT                    _MK_SHIFT_CONST(12)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_FIFO_FULL_FIELD                    _MK_FIELD_CONST(0x1, APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_FIFO_FULL_SHIFT)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_FIFO_FULL_RANGE                    12:12
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_FIFO_FULL_WOFFSET                  0x0
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_FIFO_FULL_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_FIFO_FULL_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_FIFO_FULL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_FIFO_FULL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_FIFO_FULL_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_FIFO_FULL_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_FIFO_FULL_SHIFT                    _MK_SHIFT_CONST(13)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_FIFO_FULL_FIELD                    _MK_FIELD_CONST(0x1, APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_FIFO_FULL_SHIFT)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_FIFO_FULL_RANGE                    13:13
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_FIFO_FULL_WOFFSET                  0x0
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_FIFO_FULL_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_FIFO_FULL_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_FIFO_FULL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_FIFO_FULL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_FIFO_FULL_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_FIFO_FULL_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_FIFO_FULL_SHIFT                    _MK_SHIFT_CONST(14)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_FIFO_FULL_FIELD                    _MK_FIELD_CONST(0x1, APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_FIFO_FULL_SHIFT)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_FIFO_FULL_RANGE                    14:14
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_FIFO_FULL_WOFFSET                  0x0
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_FIFO_FULL_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_FIFO_FULL_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_FIFO_FULL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_FIFO_FULL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_FIFO_FULL_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_FIFO_FULL_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_FIFO_FULL_SHIFT                    _MK_SHIFT_CONST(15)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_FIFO_FULL_FIELD                    _MK_FIELD_CONST(0x1, APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_FIFO_FULL_SHIFT)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_FIFO_FULL_RANGE                    15:15
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_FIFO_FULL_WOFFSET                  0x0
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_FIFO_FULL_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_FIFO_FULL_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_FIFO_FULL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_FIFO_FULL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_FIFO_FULL_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_FIFO_FULL_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_ENABLED_SHIFT                  _MK_SHIFT_CONST(16)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_ENABLED_FIELD                  _MK_FIELD_CONST(0x1, APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_ENABLED_SHIFT)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_ENABLED_RANGE                  16:16
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_ENABLED_WOFFSET                        0x0
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_ENABLED_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_ENABLED_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_ENABLED_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_ENABLED_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_ENABLED_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_TX_ENABLED_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_ENABLED_SHIFT                      _MK_SHIFT_CONST(20)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_ENABLED_FIELD                      _MK_FIELD_CONST(0x1, APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_ENABLED_SHIFT)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_ENABLED_RANGE                      20:20
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_ENABLED_WOFFSET                    0x0
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_ENABLED_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_ENABLED_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_ENABLED_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_ENABLED_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_ENABLED_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH0_RX_ENABLED_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_ENABLED_SHIFT                      _MK_SHIFT_CONST(21)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_ENABLED_FIELD                      _MK_FIELD_CONST(0x1, APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_ENABLED_SHIFT)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_ENABLED_RANGE                      21:21
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_ENABLED_WOFFSET                    0x0
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_ENABLED_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_ENABLED_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_ENABLED_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_ENABLED_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_ENABLED_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH1_RX_ENABLED_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_ENABLED_SHIFT                      _MK_SHIFT_CONST(22)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_ENABLED_FIELD                      _MK_FIELD_CONST(0x1, APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_ENABLED_SHIFT)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_ENABLED_RANGE                      22:22
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_ENABLED_WOFFSET                    0x0
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_ENABLED_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_ENABLED_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_ENABLED_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_ENABLED_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_ENABLED_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH2_RX_ENABLED_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_ENABLED_SHIFT                      _MK_SHIFT_CONST(23)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_ENABLED_FIELD                      _MK_FIELD_CONST(0x1, APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_ENABLED_SHIFT)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_ENABLED_RANGE                      23:23
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_ENABLED_WOFFSET                    0x0
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_ENABLED_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_ENABLED_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_ENABLED_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_ENABLED_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_ENABLED_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_AMX1_LIVE_STATUS_0_AMX1_CH3_RX_ENABLED_ENABLE                     _MK_ENUM_CONST(1)


// Register APBIF_ADX0_LIVE_STATUS_0
#define APBIF_ADX0_LIVE_STATUS_0                        _MK_ADDR_CONST(0x180)
#define APBIF_ADX0_LIVE_STATUS_0_SECURE                         0x0
#define APBIF_ADX0_LIVE_STATUS_0_SCR                    0
#define APBIF_ADX0_LIVE_STATUS_0_WORD_COUNT                     0x1
#define APBIF_ADX0_LIVE_STATUS_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_READ_MASK                      _MK_MASK_CONST(0xf1f1f1)
#define APBIF_ADX0_LIVE_STATUS_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_FIFO_EMPTY_SHIFT                       _MK_SHIFT_CONST(0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_FIFO_EMPTY_FIELD                       _MK_FIELD_CONST(0x1, APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_FIFO_EMPTY_SHIFT)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_FIFO_EMPTY_RANGE                       0:0
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_FIFO_EMPTY_WOFFSET                     0x0
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_FIFO_EMPTY_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_FIFO_EMPTY_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_FIFO_EMPTY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_FIFO_EMPTY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_FIFO_EMPTY_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_FIFO_EMPTY_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_FIFO_EMPTY_SHIFT                   _MK_SHIFT_CONST(4)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_FIFO_EMPTY_FIELD                   _MK_FIELD_CONST(0x1, APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_FIFO_EMPTY_SHIFT)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_FIFO_EMPTY_RANGE                   4:4
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_FIFO_EMPTY_WOFFSET                 0x0
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_FIFO_EMPTY_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_FIFO_EMPTY_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_FIFO_EMPTY_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_FIFO_EMPTY_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_FIFO_EMPTY_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_FIFO_EMPTY_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_FIFO_EMPTY_SHIFT                   _MK_SHIFT_CONST(5)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_FIFO_EMPTY_FIELD                   _MK_FIELD_CONST(0x1, APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_FIFO_EMPTY_SHIFT)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_FIFO_EMPTY_RANGE                   5:5
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_FIFO_EMPTY_WOFFSET                 0x0
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_FIFO_EMPTY_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_FIFO_EMPTY_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_FIFO_EMPTY_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_FIFO_EMPTY_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_FIFO_EMPTY_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_FIFO_EMPTY_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_FIFO_EMPTY_SHIFT                   _MK_SHIFT_CONST(6)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_FIFO_EMPTY_FIELD                   _MK_FIELD_CONST(0x1, APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_FIFO_EMPTY_SHIFT)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_FIFO_EMPTY_RANGE                   6:6
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_FIFO_EMPTY_WOFFSET                 0x0
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_FIFO_EMPTY_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_FIFO_EMPTY_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_FIFO_EMPTY_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_FIFO_EMPTY_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_FIFO_EMPTY_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_FIFO_EMPTY_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_FIFO_EMPTY_SHIFT                   _MK_SHIFT_CONST(7)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_FIFO_EMPTY_FIELD                   _MK_FIELD_CONST(0x1, APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_FIFO_EMPTY_SHIFT)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_FIFO_EMPTY_RANGE                   7:7
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_FIFO_EMPTY_WOFFSET                 0x0
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_FIFO_EMPTY_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_FIFO_EMPTY_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_FIFO_EMPTY_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_FIFO_EMPTY_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_FIFO_EMPTY_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_FIFO_EMPTY_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_FIFO_FULL_SHIFT                        _MK_SHIFT_CONST(8)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_FIFO_FULL_FIELD                        _MK_FIELD_CONST(0x1, APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_FIFO_FULL_SHIFT)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_FIFO_FULL_RANGE                        8:8
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_FIFO_FULL_WOFFSET                      0x0
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_FIFO_FULL_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_FIFO_FULL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_FIFO_FULL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_FIFO_FULL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_FIFO_FULL_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_FIFO_FULL_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_FIFO_FULL_SHIFT                    _MK_SHIFT_CONST(12)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_FIFO_FULL_FIELD                    _MK_FIELD_CONST(0x1, APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_FIFO_FULL_SHIFT)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_FIFO_FULL_RANGE                    12:12
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_FIFO_FULL_WOFFSET                  0x0
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_FIFO_FULL_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_FIFO_FULL_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_FIFO_FULL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_FIFO_FULL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_FIFO_FULL_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_FIFO_FULL_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_FIFO_FULL_SHIFT                    _MK_SHIFT_CONST(13)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_FIFO_FULL_FIELD                    _MK_FIELD_CONST(0x1, APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_FIFO_FULL_SHIFT)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_FIFO_FULL_RANGE                    13:13
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_FIFO_FULL_WOFFSET                  0x0
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_FIFO_FULL_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_FIFO_FULL_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_FIFO_FULL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_FIFO_FULL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_FIFO_FULL_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_FIFO_FULL_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_FIFO_FULL_SHIFT                    _MK_SHIFT_CONST(14)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_FIFO_FULL_FIELD                    _MK_FIELD_CONST(0x1, APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_FIFO_FULL_SHIFT)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_FIFO_FULL_RANGE                    14:14
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_FIFO_FULL_WOFFSET                  0x0
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_FIFO_FULL_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_FIFO_FULL_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_FIFO_FULL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_FIFO_FULL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_FIFO_FULL_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_FIFO_FULL_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_FIFO_FULL_SHIFT                    _MK_SHIFT_CONST(15)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_FIFO_FULL_FIELD                    _MK_FIELD_CONST(0x1, APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_FIFO_FULL_SHIFT)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_FIFO_FULL_RANGE                    15:15
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_FIFO_FULL_WOFFSET                  0x0
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_FIFO_FULL_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_FIFO_FULL_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_FIFO_FULL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_FIFO_FULL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_FIFO_FULL_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_FIFO_FULL_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_ENABLED_SHIFT                  _MK_SHIFT_CONST(16)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_ENABLED_FIELD                  _MK_FIELD_CONST(0x1, APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_ENABLED_SHIFT)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_ENABLED_RANGE                  16:16
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_ENABLED_WOFFSET                        0x0
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_ENABLED_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_ENABLED_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_ENABLED_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_ENABLED_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_ENABLED_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_RX_ENABLED_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_ENABLED_SHIFT                      _MK_SHIFT_CONST(20)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_ENABLED_FIELD                      _MK_FIELD_CONST(0x1, APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_ENABLED_SHIFT)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_ENABLED_RANGE                      20:20
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_ENABLED_WOFFSET                    0x0
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_ENABLED_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_ENABLED_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_ENABLED_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_ENABLED_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_ENABLED_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH0_TX_ENABLED_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_ENABLED_SHIFT                      _MK_SHIFT_CONST(21)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_ENABLED_FIELD                      _MK_FIELD_CONST(0x1, APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_ENABLED_SHIFT)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_ENABLED_RANGE                      21:21
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_ENABLED_WOFFSET                    0x0
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_ENABLED_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_ENABLED_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_ENABLED_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_ENABLED_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_ENABLED_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH1_TX_ENABLED_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_ENABLED_SHIFT                      _MK_SHIFT_CONST(22)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_ENABLED_FIELD                      _MK_FIELD_CONST(0x1, APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_ENABLED_SHIFT)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_ENABLED_RANGE                      22:22
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_ENABLED_WOFFSET                    0x0
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_ENABLED_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_ENABLED_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_ENABLED_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_ENABLED_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_ENABLED_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH2_TX_ENABLED_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_ENABLED_SHIFT                      _MK_SHIFT_CONST(23)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_ENABLED_FIELD                      _MK_FIELD_CONST(0x1, APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_ENABLED_SHIFT)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_ENABLED_RANGE                      23:23
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_ENABLED_WOFFSET                    0x0
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_ENABLED_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_ENABLED_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_ENABLED_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_ENABLED_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_ENABLED_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_ADX0_LIVE_STATUS_0_ADX0_CH3_TX_ENABLED_ENABLE                     _MK_ENUM_CONST(1)


// Register APBIF_ADX1_LIVE_STATUS_0
#define APBIF_ADX1_LIVE_STATUS_0                        _MK_ADDR_CONST(0x184)
#define APBIF_ADX1_LIVE_STATUS_0_SECURE                         0x0
#define APBIF_ADX1_LIVE_STATUS_0_SCR                    0
#define APBIF_ADX1_LIVE_STATUS_0_WORD_COUNT                     0x1
#define APBIF_ADX1_LIVE_STATUS_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_READ_MASK                      _MK_MASK_CONST(0xf1f1f1)
#define APBIF_ADX1_LIVE_STATUS_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_FIFO_EMPTY_SHIFT                       _MK_SHIFT_CONST(0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_FIFO_EMPTY_FIELD                       _MK_FIELD_CONST(0x1, APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_FIFO_EMPTY_SHIFT)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_FIFO_EMPTY_RANGE                       0:0
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_FIFO_EMPTY_WOFFSET                     0x0
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_FIFO_EMPTY_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_FIFO_EMPTY_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_FIFO_EMPTY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_FIFO_EMPTY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_FIFO_EMPTY_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_FIFO_EMPTY_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_FIFO_EMPTY_SHIFT                   _MK_SHIFT_CONST(4)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_FIFO_EMPTY_FIELD                   _MK_FIELD_CONST(0x1, APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_FIFO_EMPTY_SHIFT)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_FIFO_EMPTY_RANGE                   4:4
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_FIFO_EMPTY_WOFFSET                 0x0
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_FIFO_EMPTY_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_FIFO_EMPTY_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_FIFO_EMPTY_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_FIFO_EMPTY_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_FIFO_EMPTY_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_FIFO_EMPTY_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_FIFO_EMPTY_SHIFT                   _MK_SHIFT_CONST(5)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_FIFO_EMPTY_FIELD                   _MK_FIELD_CONST(0x1, APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_FIFO_EMPTY_SHIFT)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_FIFO_EMPTY_RANGE                   5:5
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_FIFO_EMPTY_WOFFSET                 0x0
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_FIFO_EMPTY_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_FIFO_EMPTY_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_FIFO_EMPTY_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_FIFO_EMPTY_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_FIFO_EMPTY_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_FIFO_EMPTY_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_FIFO_EMPTY_SHIFT                   _MK_SHIFT_CONST(6)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_FIFO_EMPTY_FIELD                   _MK_FIELD_CONST(0x1, APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_FIFO_EMPTY_SHIFT)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_FIFO_EMPTY_RANGE                   6:6
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_FIFO_EMPTY_WOFFSET                 0x0
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_FIFO_EMPTY_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_FIFO_EMPTY_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_FIFO_EMPTY_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_FIFO_EMPTY_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_FIFO_EMPTY_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_FIFO_EMPTY_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_FIFO_EMPTY_SHIFT                   _MK_SHIFT_CONST(7)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_FIFO_EMPTY_FIELD                   _MK_FIELD_CONST(0x1, APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_FIFO_EMPTY_SHIFT)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_FIFO_EMPTY_RANGE                   7:7
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_FIFO_EMPTY_WOFFSET                 0x0
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_FIFO_EMPTY_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_FIFO_EMPTY_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_FIFO_EMPTY_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_FIFO_EMPTY_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_FIFO_EMPTY_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_FIFO_EMPTY_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_FIFO_FULL_SHIFT                        _MK_SHIFT_CONST(8)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_FIFO_FULL_FIELD                        _MK_FIELD_CONST(0x1, APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_FIFO_FULL_SHIFT)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_FIFO_FULL_RANGE                        8:8
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_FIFO_FULL_WOFFSET                      0x0
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_FIFO_FULL_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_FIFO_FULL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_FIFO_FULL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_FIFO_FULL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_FIFO_FULL_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_FIFO_FULL_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_FIFO_FULL_SHIFT                    _MK_SHIFT_CONST(12)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_FIFO_FULL_FIELD                    _MK_FIELD_CONST(0x1, APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_FIFO_FULL_SHIFT)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_FIFO_FULL_RANGE                    12:12
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_FIFO_FULL_WOFFSET                  0x0
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_FIFO_FULL_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_FIFO_FULL_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_FIFO_FULL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_FIFO_FULL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_FIFO_FULL_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_FIFO_FULL_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_FIFO_FULL_SHIFT                    _MK_SHIFT_CONST(13)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_FIFO_FULL_FIELD                    _MK_FIELD_CONST(0x1, APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_FIFO_FULL_SHIFT)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_FIFO_FULL_RANGE                    13:13
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_FIFO_FULL_WOFFSET                  0x0
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_FIFO_FULL_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_FIFO_FULL_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_FIFO_FULL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_FIFO_FULL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_FIFO_FULL_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_FIFO_FULL_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_FIFO_FULL_SHIFT                    _MK_SHIFT_CONST(14)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_FIFO_FULL_FIELD                    _MK_FIELD_CONST(0x1, APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_FIFO_FULL_SHIFT)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_FIFO_FULL_RANGE                    14:14
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_FIFO_FULL_WOFFSET                  0x0
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_FIFO_FULL_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_FIFO_FULL_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_FIFO_FULL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_FIFO_FULL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_FIFO_FULL_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_FIFO_FULL_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_FIFO_FULL_SHIFT                    _MK_SHIFT_CONST(15)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_FIFO_FULL_FIELD                    _MK_FIELD_CONST(0x1, APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_FIFO_FULL_SHIFT)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_FIFO_FULL_RANGE                    15:15
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_FIFO_FULL_WOFFSET                  0x0
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_FIFO_FULL_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_FIFO_FULL_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_FIFO_FULL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_FIFO_FULL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_FIFO_FULL_DISABLE                  _MK_ENUM_CONST(0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_FIFO_FULL_ENABLE                   _MK_ENUM_CONST(1)

#define APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_ENABLED_SHIFT                  _MK_SHIFT_CONST(16)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_ENABLED_FIELD                  _MK_FIELD_CONST(0x1, APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_ENABLED_SHIFT)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_ENABLED_RANGE                  16:16
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_ENABLED_WOFFSET                        0x0
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_ENABLED_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_ENABLED_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_ENABLED_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_ENABLED_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_ENABLED_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_RX_ENABLED_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_ENABLED_SHIFT                      _MK_SHIFT_CONST(20)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_ENABLED_FIELD                      _MK_FIELD_CONST(0x1, APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_ENABLED_SHIFT)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_ENABLED_RANGE                      20:20
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_ENABLED_WOFFSET                    0x0
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_ENABLED_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_ENABLED_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_ENABLED_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_ENABLED_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_ENABLED_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH0_TX_ENABLED_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_ENABLED_SHIFT                      _MK_SHIFT_CONST(21)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_ENABLED_FIELD                      _MK_FIELD_CONST(0x1, APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_ENABLED_SHIFT)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_ENABLED_RANGE                      21:21
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_ENABLED_WOFFSET                    0x0
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_ENABLED_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_ENABLED_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_ENABLED_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_ENABLED_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_ENABLED_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH1_TX_ENABLED_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_ENABLED_SHIFT                      _MK_SHIFT_CONST(22)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_ENABLED_FIELD                      _MK_FIELD_CONST(0x1, APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_ENABLED_SHIFT)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_ENABLED_RANGE                      22:22
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_ENABLED_WOFFSET                    0x0
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_ENABLED_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_ENABLED_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_ENABLED_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_ENABLED_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_ENABLED_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH2_TX_ENABLED_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_ENABLED_SHIFT                      _MK_SHIFT_CONST(23)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_ENABLED_FIELD                      _MK_FIELD_CONST(0x1, APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_ENABLED_SHIFT)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_ENABLED_RANGE                      23:23
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_ENABLED_WOFFSET                    0x0
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_ENABLED_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_ENABLED_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_ENABLED_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_ENABLED_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_ENABLED_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_ADX1_LIVE_STATUS_0_ADX1_CH3_TX_ENABLED_ENABLE                     _MK_ENUM_CONST(1)


// Register APBIF_AMX_INT_MASK_0
#define APBIF_AMX_INT_MASK_0                    _MK_ADDR_CONST(0x188)
#define APBIF_AMX_INT_MASK_0_SECURE                     0x0
#define APBIF_AMX_INT_MASK_0_SCR                        0
#define APBIF_AMX_INT_MASK_0_WORD_COUNT                         0x1
#define APBIF_AMX_INT_MASK_0_RESET_VAL                  _MK_MASK_CONST(0xf1f1)
#define APBIF_AMX_INT_MASK_0_RESET_MASK                         _MK_MASK_CONST(0xf1f1)
#define APBIF_AMX_INT_MASK_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_MASK_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_MASK_0_READ_MASK                  _MK_MASK_CONST(0xf1f1)
#define APBIF_AMX_INT_MASK_0_WRITE_MASK                         _MK_MASK_CONST(0xf1f1)
#define APBIF_AMX_INT_MASK_0_AMX0_TX_DONE_SHIFT                 _MK_SHIFT_CONST(0)
#define APBIF_AMX_INT_MASK_0_AMX0_TX_DONE_FIELD                 _MK_FIELD_CONST(0x1, APBIF_AMX_INT_MASK_0_AMX0_TX_DONE_SHIFT)
#define APBIF_AMX_INT_MASK_0_AMX0_TX_DONE_RANGE                 0:0
#define APBIF_AMX_INT_MASK_0_AMX0_TX_DONE_WOFFSET                       0x0
#define APBIF_AMX_INT_MASK_0_AMX0_TX_DONE_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_MASK_0_AMX0_TX_DONE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_MASK_0_AMX0_TX_DONE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_MASK_0_AMX0_TX_DONE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_MASK_0_AMX0_TX_DONE_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_MASK_0_AMX0_TX_DONE_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_MASK_0_AMX0_CH0_RX_DONE_SHIFT                     _MK_SHIFT_CONST(4)
#define APBIF_AMX_INT_MASK_0_AMX0_CH0_RX_DONE_FIELD                     _MK_FIELD_CONST(0x1, APBIF_AMX_INT_MASK_0_AMX0_CH0_RX_DONE_SHIFT)
#define APBIF_AMX_INT_MASK_0_AMX0_CH0_RX_DONE_RANGE                     4:4
#define APBIF_AMX_INT_MASK_0_AMX0_CH0_RX_DONE_WOFFSET                   0x0
#define APBIF_AMX_INT_MASK_0_AMX0_CH0_RX_DONE_DEFAULT                   _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_MASK_0_AMX0_CH0_RX_DONE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_MASK_0_AMX0_CH0_RX_DONE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_MASK_0_AMX0_CH0_RX_DONE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_MASK_0_AMX0_CH0_RX_DONE_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_MASK_0_AMX0_CH0_RX_DONE_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_MASK_0_AMX0_CH1_RX_DONE_SHIFT                     _MK_SHIFT_CONST(5)
#define APBIF_AMX_INT_MASK_0_AMX0_CH1_RX_DONE_FIELD                     _MK_FIELD_CONST(0x1, APBIF_AMX_INT_MASK_0_AMX0_CH1_RX_DONE_SHIFT)
#define APBIF_AMX_INT_MASK_0_AMX0_CH1_RX_DONE_RANGE                     5:5
#define APBIF_AMX_INT_MASK_0_AMX0_CH1_RX_DONE_WOFFSET                   0x0
#define APBIF_AMX_INT_MASK_0_AMX0_CH1_RX_DONE_DEFAULT                   _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_MASK_0_AMX0_CH1_RX_DONE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_MASK_0_AMX0_CH1_RX_DONE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_MASK_0_AMX0_CH1_RX_DONE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_MASK_0_AMX0_CH1_RX_DONE_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_MASK_0_AMX0_CH1_RX_DONE_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_MASK_0_AMX0_CH2_RX_DONE_SHIFT                     _MK_SHIFT_CONST(6)
#define APBIF_AMX_INT_MASK_0_AMX0_CH2_RX_DONE_FIELD                     _MK_FIELD_CONST(0x1, APBIF_AMX_INT_MASK_0_AMX0_CH2_RX_DONE_SHIFT)
#define APBIF_AMX_INT_MASK_0_AMX0_CH2_RX_DONE_RANGE                     6:6
#define APBIF_AMX_INT_MASK_0_AMX0_CH2_RX_DONE_WOFFSET                   0x0
#define APBIF_AMX_INT_MASK_0_AMX0_CH2_RX_DONE_DEFAULT                   _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_MASK_0_AMX0_CH2_RX_DONE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_MASK_0_AMX0_CH2_RX_DONE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_MASK_0_AMX0_CH2_RX_DONE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_MASK_0_AMX0_CH2_RX_DONE_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_MASK_0_AMX0_CH2_RX_DONE_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_MASK_0_AMX0_CH3_RX_DONE_SHIFT                     _MK_SHIFT_CONST(7)
#define APBIF_AMX_INT_MASK_0_AMX0_CH3_RX_DONE_FIELD                     _MK_FIELD_CONST(0x1, APBIF_AMX_INT_MASK_0_AMX0_CH3_RX_DONE_SHIFT)
#define APBIF_AMX_INT_MASK_0_AMX0_CH3_RX_DONE_RANGE                     7:7
#define APBIF_AMX_INT_MASK_0_AMX0_CH3_RX_DONE_WOFFSET                   0x0
#define APBIF_AMX_INT_MASK_0_AMX0_CH3_RX_DONE_DEFAULT                   _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_MASK_0_AMX0_CH3_RX_DONE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_MASK_0_AMX0_CH3_RX_DONE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_MASK_0_AMX0_CH3_RX_DONE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_MASK_0_AMX0_CH3_RX_DONE_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_MASK_0_AMX0_CH3_RX_DONE_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_MASK_0_AMX1_TX_DONE_SHIFT                 _MK_SHIFT_CONST(8)
#define APBIF_AMX_INT_MASK_0_AMX1_TX_DONE_FIELD                 _MK_FIELD_CONST(0x1, APBIF_AMX_INT_MASK_0_AMX1_TX_DONE_SHIFT)
#define APBIF_AMX_INT_MASK_0_AMX1_TX_DONE_RANGE                 8:8
#define APBIF_AMX_INT_MASK_0_AMX1_TX_DONE_WOFFSET                       0x0
#define APBIF_AMX_INT_MASK_0_AMX1_TX_DONE_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_MASK_0_AMX1_TX_DONE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_MASK_0_AMX1_TX_DONE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_MASK_0_AMX1_TX_DONE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_MASK_0_AMX1_TX_DONE_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_MASK_0_AMX1_TX_DONE_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_MASK_0_AMX1_CH0_RX_DONE_SHIFT                     _MK_SHIFT_CONST(12)
#define APBIF_AMX_INT_MASK_0_AMX1_CH0_RX_DONE_FIELD                     _MK_FIELD_CONST(0x1, APBIF_AMX_INT_MASK_0_AMX1_CH0_RX_DONE_SHIFT)
#define APBIF_AMX_INT_MASK_0_AMX1_CH0_RX_DONE_RANGE                     12:12
#define APBIF_AMX_INT_MASK_0_AMX1_CH0_RX_DONE_WOFFSET                   0x0
#define APBIF_AMX_INT_MASK_0_AMX1_CH0_RX_DONE_DEFAULT                   _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_MASK_0_AMX1_CH0_RX_DONE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_MASK_0_AMX1_CH0_RX_DONE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_MASK_0_AMX1_CH0_RX_DONE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_MASK_0_AMX1_CH0_RX_DONE_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_MASK_0_AMX1_CH0_RX_DONE_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_MASK_0_AMX1_CH1_RX_DONE_SHIFT                     _MK_SHIFT_CONST(13)
#define APBIF_AMX_INT_MASK_0_AMX1_CH1_RX_DONE_FIELD                     _MK_FIELD_CONST(0x1, APBIF_AMX_INT_MASK_0_AMX1_CH1_RX_DONE_SHIFT)
#define APBIF_AMX_INT_MASK_0_AMX1_CH1_RX_DONE_RANGE                     13:13
#define APBIF_AMX_INT_MASK_0_AMX1_CH1_RX_DONE_WOFFSET                   0x0
#define APBIF_AMX_INT_MASK_0_AMX1_CH1_RX_DONE_DEFAULT                   _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_MASK_0_AMX1_CH1_RX_DONE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_MASK_0_AMX1_CH1_RX_DONE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_MASK_0_AMX1_CH1_RX_DONE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_MASK_0_AMX1_CH1_RX_DONE_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_MASK_0_AMX1_CH1_RX_DONE_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_MASK_0_AMX1_CH2_RX_DONE_SHIFT                     _MK_SHIFT_CONST(14)
#define APBIF_AMX_INT_MASK_0_AMX1_CH2_RX_DONE_FIELD                     _MK_FIELD_CONST(0x1, APBIF_AMX_INT_MASK_0_AMX1_CH2_RX_DONE_SHIFT)
#define APBIF_AMX_INT_MASK_0_AMX1_CH2_RX_DONE_RANGE                     14:14
#define APBIF_AMX_INT_MASK_0_AMX1_CH2_RX_DONE_WOFFSET                   0x0
#define APBIF_AMX_INT_MASK_0_AMX1_CH2_RX_DONE_DEFAULT                   _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_MASK_0_AMX1_CH2_RX_DONE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_MASK_0_AMX1_CH2_RX_DONE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_MASK_0_AMX1_CH2_RX_DONE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_MASK_0_AMX1_CH2_RX_DONE_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_MASK_0_AMX1_CH2_RX_DONE_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_MASK_0_AMX1_CH3_RX_DONE_SHIFT                     _MK_SHIFT_CONST(15)
#define APBIF_AMX_INT_MASK_0_AMX1_CH3_RX_DONE_FIELD                     _MK_FIELD_CONST(0x1, APBIF_AMX_INT_MASK_0_AMX1_CH3_RX_DONE_SHIFT)
#define APBIF_AMX_INT_MASK_0_AMX1_CH3_RX_DONE_RANGE                     15:15
#define APBIF_AMX_INT_MASK_0_AMX1_CH3_RX_DONE_WOFFSET                   0x0
#define APBIF_AMX_INT_MASK_0_AMX1_CH3_RX_DONE_DEFAULT                   _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_MASK_0_AMX1_CH3_RX_DONE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_MASK_0_AMX1_CH3_RX_DONE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_MASK_0_AMX1_CH3_RX_DONE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_MASK_0_AMX1_CH3_RX_DONE_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_MASK_0_AMX1_CH3_RX_DONE_ENABLE                    _MK_ENUM_CONST(1)


// Reserved address 396 [0x18c]

// Register APBIF_ADX_INT_MASK_0
#define APBIF_ADX_INT_MASK_0                    _MK_ADDR_CONST(0x190)
#define APBIF_ADX_INT_MASK_0_SECURE                     0x0
#define APBIF_ADX_INT_MASK_0_SCR                        0
#define APBIF_ADX_INT_MASK_0_WORD_COUNT                         0x1
#define APBIF_ADX_INT_MASK_0_RESET_VAL                  _MK_MASK_CONST(0xf1f1)
#define APBIF_ADX_INT_MASK_0_RESET_MASK                         _MK_MASK_CONST(0xf1f1)
#define APBIF_ADX_INT_MASK_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_MASK_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_MASK_0_READ_MASK                  _MK_MASK_CONST(0xf1f1)
#define APBIF_ADX_INT_MASK_0_WRITE_MASK                         _MK_MASK_CONST(0xf1f1)
#define APBIF_ADX_INT_MASK_0_ADX0_RX_DONE_SHIFT                 _MK_SHIFT_CONST(0)
#define APBIF_ADX_INT_MASK_0_ADX0_RX_DONE_FIELD                 _MK_FIELD_CONST(0x1, APBIF_ADX_INT_MASK_0_ADX0_RX_DONE_SHIFT)
#define APBIF_ADX_INT_MASK_0_ADX0_RX_DONE_RANGE                 0:0
#define APBIF_ADX_INT_MASK_0_ADX0_RX_DONE_WOFFSET                       0x0
#define APBIF_ADX_INT_MASK_0_ADX0_RX_DONE_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_MASK_0_ADX0_RX_DONE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_MASK_0_ADX0_RX_DONE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_MASK_0_ADX0_RX_DONE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_MASK_0_ADX0_RX_DONE_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_MASK_0_ADX0_RX_DONE_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_MASK_0_ADX0_CH0_TX_DONE_SHIFT                     _MK_SHIFT_CONST(4)
#define APBIF_ADX_INT_MASK_0_ADX0_CH0_TX_DONE_FIELD                     _MK_FIELD_CONST(0x1, APBIF_ADX_INT_MASK_0_ADX0_CH0_TX_DONE_SHIFT)
#define APBIF_ADX_INT_MASK_0_ADX0_CH0_TX_DONE_RANGE                     4:4
#define APBIF_ADX_INT_MASK_0_ADX0_CH0_TX_DONE_WOFFSET                   0x0
#define APBIF_ADX_INT_MASK_0_ADX0_CH0_TX_DONE_DEFAULT                   _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_MASK_0_ADX0_CH0_TX_DONE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_MASK_0_ADX0_CH0_TX_DONE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_MASK_0_ADX0_CH0_TX_DONE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_MASK_0_ADX0_CH0_TX_DONE_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_MASK_0_ADX0_CH0_TX_DONE_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_MASK_0_ADX0_CH1_TX_DONE_SHIFT                     _MK_SHIFT_CONST(5)
#define APBIF_ADX_INT_MASK_0_ADX0_CH1_TX_DONE_FIELD                     _MK_FIELD_CONST(0x1, APBIF_ADX_INT_MASK_0_ADX0_CH1_TX_DONE_SHIFT)
#define APBIF_ADX_INT_MASK_0_ADX0_CH1_TX_DONE_RANGE                     5:5
#define APBIF_ADX_INT_MASK_0_ADX0_CH1_TX_DONE_WOFFSET                   0x0
#define APBIF_ADX_INT_MASK_0_ADX0_CH1_TX_DONE_DEFAULT                   _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_MASK_0_ADX0_CH1_TX_DONE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_MASK_0_ADX0_CH1_TX_DONE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_MASK_0_ADX0_CH1_TX_DONE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_MASK_0_ADX0_CH1_TX_DONE_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_MASK_0_ADX0_CH1_TX_DONE_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_MASK_0_ADX0_CH2_TX_DONE_SHIFT                     _MK_SHIFT_CONST(6)
#define APBIF_ADX_INT_MASK_0_ADX0_CH2_TX_DONE_FIELD                     _MK_FIELD_CONST(0x1, APBIF_ADX_INT_MASK_0_ADX0_CH2_TX_DONE_SHIFT)
#define APBIF_ADX_INT_MASK_0_ADX0_CH2_TX_DONE_RANGE                     6:6
#define APBIF_ADX_INT_MASK_0_ADX0_CH2_TX_DONE_WOFFSET                   0x0
#define APBIF_ADX_INT_MASK_0_ADX0_CH2_TX_DONE_DEFAULT                   _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_MASK_0_ADX0_CH2_TX_DONE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_MASK_0_ADX0_CH2_TX_DONE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_MASK_0_ADX0_CH2_TX_DONE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_MASK_0_ADX0_CH2_TX_DONE_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_MASK_0_ADX0_CH2_TX_DONE_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_MASK_0_ADX0_CH3_TX_DONE_SHIFT                     _MK_SHIFT_CONST(7)
#define APBIF_ADX_INT_MASK_0_ADX0_CH3_TX_DONE_FIELD                     _MK_FIELD_CONST(0x1, APBIF_ADX_INT_MASK_0_ADX0_CH3_TX_DONE_SHIFT)
#define APBIF_ADX_INT_MASK_0_ADX0_CH3_TX_DONE_RANGE                     7:7
#define APBIF_ADX_INT_MASK_0_ADX0_CH3_TX_DONE_WOFFSET                   0x0
#define APBIF_ADX_INT_MASK_0_ADX0_CH3_TX_DONE_DEFAULT                   _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_MASK_0_ADX0_CH3_TX_DONE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_MASK_0_ADX0_CH3_TX_DONE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_MASK_0_ADX0_CH3_TX_DONE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_MASK_0_ADX0_CH3_TX_DONE_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_MASK_0_ADX0_CH3_TX_DONE_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_MASK_0_ADX1_RX_DONE_SHIFT                 _MK_SHIFT_CONST(8)
#define APBIF_ADX_INT_MASK_0_ADX1_RX_DONE_FIELD                 _MK_FIELD_CONST(0x1, APBIF_ADX_INT_MASK_0_ADX1_RX_DONE_SHIFT)
#define APBIF_ADX_INT_MASK_0_ADX1_RX_DONE_RANGE                 8:8
#define APBIF_ADX_INT_MASK_0_ADX1_RX_DONE_WOFFSET                       0x0
#define APBIF_ADX_INT_MASK_0_ADX1_RX_DONE_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_MASK_0_ADX1_RX_DONE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_MASK_0_ADX1_RX_DONE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_MASK_0_ADX1_RX_DONE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_MASK_0_ADX1_RX_DONE_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_MASK_0_ADX1_RX_DONE_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_MASK_0_ADX1_CH0_TX_DONE_SHIFT                     _MK_SHIFT_CONST(12)
#define APBIF_ADX_INT_MASK_0_ADX1_CH0_TX_DONE_FIELD                     _MK_FIELD_CONST(0x1, APBIF_ADX_INT_MASK_0_ADX1_CH0_TX_DONE_SHIFT)
#define APBIF_ADX_INT_MASK_0_ADX1_CH0_TX_DONE_RANGE                     12:12
#define APBIF_ADX_INT_MASK_0_ADX1_CH0_TX_DONE_WOFFSET                   0x0
#define APBIF_ADX_INT_MASK_0_ADX1_CH0_TX_DONE_DEFAULT                   _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_MASK_0_ADX1_CH0_TX_DONE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_MASK_0_ADX1_CH0_TX_DONE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_MASK_0_ADX1_CH0_TX_DONE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_MASK_0_ADX1_CH0_TX_DONE_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_MASK_0_ADX1_CH0_TX_DONE_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_MASK_0_ADX1_CH1_TX_DONE_SHIFT                     _MK_SHIFT_CONST(13)
#define APBIF_ADX_INT_MASK_0_ADX1_CH1_TX_DONE_FIELD                     _MK_FIELD_CONST(0x1, APBIF_ADX_INT_MASK_0_ADX1_CH1_TX_DONE_SHIFT)
#define APBIF_ADX_INT_MASK_0_ADX1_CH1_TX_DONE_RANGE                     13:13
#define APBIF_ADX_INT_MASK_0_ADX1_CH1_TX_DONE_WOFFSET                   0x0
#define APBIF_ADX_INT_MASK_0_ADX1_CH1_TX_DONE_DEFAULT                   _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_MASK_0_ADX1_CH1_TX_DONE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_MASK_0_ADX1_CH1_TX_DONE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_MASK_0_ADX1_CH1_TX_DONE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_MASK_0_ADX1_CH1_TX_DONE_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_MASK_0_ADX1_CH1_TX_DONE_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_MASK_0_ADX1_CH2_TX_DONE_SHIFT                     _MK_SHIFT_CONST(14)
#define APBIF_ADX_INT_MASK_0_ADX1_CH2_TX_DONE_FIELD                     _MK_FIELD_CONST(0x1, APBIF_ADX_INT_MASK_0_ADX1_CH2_TX_DONE_SHIFT)
#define APBIF_ADX_INT_MASK_0_ADX1_CH2_TX_DONE_RANGE                     14:14
#define APBIF_ADX_INT_MASK_0_ADX1_CH2_TX_DONE_WOFFSET                   0x0
#define APBIF_ADX_INT_MASK_0_ADX1_CH2_TX_DONE_DEFAULT                   _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_MASK_0_ADX1_CH2_TX_DONE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_MASK_0_ADX1_CH2_TX_DONE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_MASK_0_ADX1_CH2_TX_DONE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_MASK_0_ADX1_CH2_TX_DONE_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_MASK_0_ADX1_CH2_TX_DONE_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_MASK_0_ADX1_CH3_TX_DONE_SHIFT                     _MK_SHIFT_CONST(15)
#define APBIF_ADX_INT_MASK_0_ADX1_CH3_TX_DONE_FIELD                     _MK_FIELD_CONST(0x1, APBIF_ADX_INT_MASK_0_ADX1_CH3_TX_DONE_SHIFT)
#define APBIF_ADX_INT_MASK_0_ADX1_CH3_TX_DONE_RANGE                     15:15
#define APBIF_ADX_INT_MASK_0_ADX1_CH3_TX_DONE_WOFFSET                   0x0
#define APBIF_ADX_INT_MASK_0_ADX1_CH3_TX_DONE_DEFAULT                   _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_MASK_0_ADX1_CH3_TX_DONE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_MASK_0_ADX1_CH3_TX_DONE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_MASK_0_ADX1_CH3_TX_DONE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_MASK_0_ADX1_CH3_TX_DONE_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_MASK_0_ADX1_CH3_TX_DONE_ENABLE                    _MK_ENUM_CONST(1)


// Reserved address 404 [0x194]

// Register APBIF_AMX_INT_STATUS_0
#define APBIF_AMX_INT_STATUS_0                  _MK_ADDR_CONST(0x198)
#define APBIF_AMX_INT_STATUS_0_SECURE                   0x0
#define APBIF_AMX_INT_STATUS_0_SCR                      0
#define APBIF_AMX_INT_STATUS_0_WORD_COUNT                       0x1
#define APBIF_AMX_INT_STATUS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_RESET_MASK                       _MK_MASK_CONST(0xf1f1)
#define APBIF_AMX_INT_STATUS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_READ_MASK                        _MK_MASK_CONST(0xf1f1)
#define APBIF_AMX_INT_STATUS_0_WRITE_MASK                       _MK_MASK_CONST(0xf1f1)
#define APBIF_AMX_INT_STATUS_0_AMX0_TX_DONE_SHIFT                       _MK_SHIFT_CONST(0)
#define APBIF_AMX_INT_STATUS_0_AMX0_TX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_AMX_INT_STATUS_0_AMX0_TX_DONE_SHIFT)
#define APBIF_AMX_INT_STATUS_0_AMX0_TX_DONE_RANGE                       0:0
#define APBIF_AMX_INT_STATUS_0_AMX0_TX_DONE_WOFFSET                     0x0
#define APBIF_AMX_INT_STATUS_0_AMX0_TX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_AMX0_TX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_STATUS_0_AMX0_TX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_AMX0_TX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_AMX0_TX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_STATUS_0_AMX0_TX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_STATUS_0_AMX0_CH0_RX_DONE_SHIFT                   _MK_SHIFT_CONST(4)
#define APBIF_AMX_INT_STATUS_0_AMX0_CH0_RX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_AMX_INT_STATUS_0_AMX0_CH0_RX_DONE_SHIFT)
#define APBIF_AMX_INT_STATUS_0_AMX0_CH0_RX_DONE_RANGE                   4:4
#define APBIF_AMX_INT_STATUS_0_AMX0_CH0_RX_DONE_WOFFSET                 0x0
#define APBIF_AMX_INT_STATUS_0_AMX0_CH0_RX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_AMX0_CH0_RX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_STATUS_0_AMX0_CH0_RX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_AMX0_CH0_RX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_AMX0_CH0_RX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_STATUS_0_AMX0_CH0_RX_DONE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_STATUS_0_AMX0_CH1_RX_DONE_SHIFT                   _MK_SHIFT_CONST(5)
#define APBIF_AMX_INT_STATUS_0_AMX0_CH1_RX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_AMX_INT_STATUS_0_AMX0_CH1_RX_DONE_SHIFT)
#define APBIF_AMX_INT_STATUS_0_AMX0_CH1_RX_DONE_RANGE                   5:5
#define APBIF_AMX_INT_STATUS_0_AMX0_CH1_RX_DONE_WOFFSET                 0x0
#define APBIF_AMX_INT_STATUS_0_AMX0_CH1_RX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_AMX0_CH1_RX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_STATUS_0_AMX0_CH1_RX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_AMX0_CH1_RX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_AMX0_CH1_RX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_STATUS_0_AMX0_CH1_RX_DONE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_STATUS_0_AMX0_CH2_RX_DONE_SHIFT                   _MK_SHIFT_CONST(6)
#define APBIF_AMX_INT_STATUS_0_AMX0_CH2_RX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_AMX_INT_STATUS_0_AMX0_CH2_RX_DONE_SHIFT)
#define APBIF_AMX_INT_STATUS_0_AMX0_CH2_RX_DONE_RANGE                   6:6
#define APBIF_AMX_INT_STATUS_0_AMX0_CH2_RX_DONE_WOFFSET                 0x0
#define APBIF_AMX_INT_STATUS_0_AMX0_CH2_RX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_AMX0_CH2_RX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_STATUS_0_AMX0_CH2_RX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_AMX0_CH2_RX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_AMX0_CH2_RX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_STATUS_0_AMX0_CH2_RX_DONE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_STATUS_0_AMX0_CH3_RX_DONE_SHIFT                   _MK_SHIFT_CONST(7)
#define APBIF_AMX_INT_STATUS_0_AMX0_CH3_RX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_AMX_INT_STATUS_0_AMX0_CH3_RX_DONE_SHIFT)
#define APBIF_AMX_INT_STATUS_0_AMX0_CH3_RX_DONE_RANGE                   7:7
#define APBIF_AMX_INT_STATUS_0_AMX0_CH3_RX_DONE_WOFFSET                 0x0
#define APBIF_AMX_INT_STATUS_0_AMX0_CH3_RX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_AMX0_CH3_RX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_STATUS_0_AMX0_CH3_RX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_AMX0_CH3_RX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_AMX0_CH3_RX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_STATUS_0_AMX0_CH3_RX_DONE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_STATUS_0_AMX1_TX_DONE_SHIFT                       _MK_SHIFT_CONST(8)
#define APBIF_AMX_INT_STATUS_0_AMX1_TX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_AMX_INT_STATUS_0_AMX1_TX_DONE_SHIFT)
#define APBIF_AMX_INT_STATUS_0_AMX1_TX_DONE_RANGE                       8:8
#define APBIF_AMX_INT_STATUS_0_AMX1_TX_DONE_WOFFSET                     0x0
#define APBIF_AMX_INT_STATUS_0_AMX1_TX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_AMX1_TX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_STATUS_0_AMX1_TX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_AMX1_TX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_AMX1_TX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_STATUS_0_AMX1_TX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_STATUS_0_AMX1_CH0_RX_DONE_SHIFT                   _MK_SHIFT_CONST(12)
#define APBIF_AMX_INT_STATUS_0_AMX1_CH0_RX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_AMX_INT_STATUS_0_AMX1_CH0_RX_DONE_SHIFT)
#define APBIF_AMX_INT_STATUS_0_AMX1_CH0_RX_DONE_RANGE                   12:12
#define APBIF_AMX_INT_STATUS_0_AMX1_CH0_RX_DONE_WOFFSET                 0x0
#define APBIF_AMX_INT_STATUS_0_AMX1_CH0_RX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_AMX1_CH0_RX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_STATUS_0_AMX1_CH0_RX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_AMX1_CH0_RX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_AMX1_CH0_RX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_STATUS_0_AMX1_CH0_RX_DONE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_STATUS_0_AMX1_CH1_RX_DONE_SHIFT                   _MK_SHIFT_CONST(13)
#define APBIF_AMX_INT_STATUS_0_AMX1_CH1_RX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_AMX_INT_STATUS_0_AMX1_CH1_RX_DONE_SHIFT)
#define APBIF_AMX_INT_STATUS_0_AMX1_CH1_RX_DONE_RANGE                   13:13
#define APBIF_AMX_INT_STATUS_0_AMX1_CH1_RX_DONE_WOFFSET                 0x0
#define APBIF_AMX_INT_STATUS_0_AMX1_CH1_RX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_AMX1_CH1_RX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_STATUS_0_AMX1_CH1_RX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_AMX1_CH1_RX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_AMX1_CH1_RX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_STATUS_0_AMX1_CH1_RX_DONE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_STATUS_0_AMX1_CH2_RX_DONE_SHIFT                   _MK_SHIFT_CONST(14)
#define APBIF_AMX_INT_STATUS_0_AMX1_CH2_RX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_AMX_INT_STATUS_0_AMX1_CH2_RX_DONE_SHIFT)
#define APBIF_AMX_INT_STATUS_0_AMX1_CH2_RX_DONE_RANGE                   14:14
#define APBIF_AMX_INT_STATUS_0_AMX1_CH2_RX_DONE_WOFFSET                 0x0
#define APBIF_AMX_INT_STATUS_0_AMX1_CH2_RX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_AMX1_CH2_RX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_STATUS_0_AMX1_CH2_RX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_AMX1_CH2_RX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_AMX1_CH2_RX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_STATUS_0_AMX1_CH2_RX_DONE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_STATUS_0_AMX1_CH3_RX_DONE_SHIFT                   _MK_SHIFT_CONST(15)
#define APBIF_AMX_INT_STATUS_0_AMX1_CH3_RX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_AMX_INT_STATUS_0_AMX1_CH3_RX_DONE_SHIFT)
#define APBIF_AMX_INT_STATUS_0_AMX1_CH3_RX_DONE_RANGE                   15:15
#define APBIF_AMX_INT_STATUS_0_AMX1_CH3_RX_DONE_WOFFSET                 0x0
#define APBIF_AMX_INT_STATUS_0_AMX1_CH3_RX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_AMX1_CH3_RX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_STATUS_0_AMX1_CH3_RX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_AMX1_CH3_RX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_STATUS_0_AMX1_CH3_RX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_STATUS_0_AMX1_CH3_RX_DONE_ENABLE                  _MK_ENUM_CONST(1)


// Reserved address 412 [0x19c]

// Register APBIF_ADX_INT_STATUS_0
#define APBIF_ADX_INT_STATUS_0                  _MK_ADDR_CONST(0x1a0)
#define APBIF_ADX_INT_STATUS_0_SECURE                   0x0
#define APBIF_ADX_INT_STATUS_0_SCR                      0
#define APBIF_ADX_INT_STATUS_0_WORD_COUNT                       0x1
#define APBIF_ADX_INT_STATUS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_RESET_MASK                       _MK_MASK_CONST(0xf1f1)
#define APBIF_ADX_INT_STATUS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_READ_MASK                        _MK_MASK_CONST(0xf1f1)
#define APBIF_ADX_INT_STATUS_0_WRITE_MASK                       _MK_MASK_CONST(0xf1f1)
#define APBIF_ADX_INT_STATUS_0_ADX0_RX_DONE_SHIFT                       _MK_SHIFT_CONST(0)
#define APBIF_ADX_INT_STATUS_0_ADX0_RX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_ADX_INT_STATUS_0_ADX0_RX_DONE_SHIFT)
#define APBIF_ADX_INT_STATUS_0_ADX0_RX_DONE_RANGE                       0:0
#define APBIF_ADX_INT_STATUS_0_ADX0_RX_DONE_WOFFSET                     0x0
#define APBIF_ADX_INT_STATUS_0_ADX0_RX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_ADX0_RX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_STATUS_0_ADX0_RX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_ADX0_RX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_ADX0_RX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_STATUS_0_ADX0_RX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_STATUS_0_ADX0_CH0_TX_DONE_SHIFT                   _MK_SHIFT_CONST(4)
#define APBIF_ADX_INT_STATUS_0_ADX0_CH0_TX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_ADX_INT_STATUS_0_ADX0_CH0_TX_DONE_SHIFT)
#define APBIF_ADX_INT_STATUS_0_ADX0_CH0_TX_DONE_RANGE                   4:4
#define APBIF_ADX_INT_STATUS_0_ADX0_CH0_TX_DONE_WOFFSET                 0x0
#define APBIF_ADX_INT_STATUS_0_ADX0_CH0_TX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_ADX0_CH0_TX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_STATUS_0_ADX0_CH0_TX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_ADX0_CH0_TX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_ADX0_CH0_TX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_STATUS_0_ADX0_CH0_TX_DONE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_STATUS_0_ADX0_CH1_TX_DONE_SHIFT                   _MK_SHIFT_CONST(5)
#define APBIF_ADX_INT_STATUS_0_ADX0_CH1_TX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_ADX_INT_STATUS_0_ADX0_CH1_TX_DONE_SHIFT)
#define APBIF_ADX_INT_STATUS_0_ADX0_CH1_TX_DONE_RANGE                   5:5
#define APBIF_ADX_INT_STATUS_0_ADX0_CH1_TX_DONE_WOFFSET                 0x0
#define APBIF_ADX_INT_STATUS_0_ADX0_CH1_TX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_ADX0_CH1_TX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_STATUS_0_ADX0_CH1_TX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_ADX0_CH1_TX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_ADX0_CH1_TX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_STATUS_0_ADX0_CH1_TX_DONE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_STATUS_0_ADX0_CH2_TX_DONE_SHIFT                   _MK_SHIFT_CONST(6)
#define APBIF_ADX_INT_STATUS_0_ADX0_CH2_TX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_ADX_INT_STATUS_0_ADX0_CH2_TX_DONE_SHIFT)
#define APBIF_ADX_INT_STATUS_0_ADX0_CH2_TX_DONE_RANGE                   6:6
#define APBIF_ADX_INT_STATUS_0_ADX0_CH2_TX_DONE_WOFFSET                 0x0
#define APBIF_ADX_INT_STATUS_0_ADX0_CH2_TX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_ADX0_CH2_TX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_STATUS_0_ADX0_CH2_TX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_ADX0_CH2_TX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_ADX0_CH2_TX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_STATUS_0_ADX0_CH2_TX_DONE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_STATUS_0_ADX0_CH3_TX_DONE_SHIFT                   _MK_SHIFT_CONST(7)
#define APBIF_ADX_INT_STATUS_0_ADX0_CH3_TX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_ADX_INT_STATUS_0_ADX0_CH3_TX_DONE_SHIFT)
#define APBIF_ADX_INT_STATUS_0_ADX0_CH3_TX_DONE_RANGE                   7:7
#define APBIF_ADX_INT_STATUS_0_ADX0_CH3_TX_DONE_WOFFSET                 0x0
#define APBIF_ADX_INT_STATUS_0_ADX0_CH3_TX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_ADX0_CH3_TX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_STATUS_0_ADX0_CH3_TX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_ADX0_CH3_TX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_ADX0_CH3_TX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_STATUS_0_ADX0_CH3_TX_DONE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_STATUS_0_ADX1_RX_DONE_SHIFT                       _MK_SHIFT_CONST(8)
#define APBIF_ADX_INT_STATUS_0_ADX1_RX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_ADX_INT_STATUS_0_ADX1_RX_DONE_SHIFT)
#define APBIF_ADX_INT_STATUS_0_ADX1_RX_DONE_RANGE                       8:8
#define APBIF_ADX_INT_STATUS_0_ADX1_RX_DONE_WOFFSET                     0x0
#define APBIF_ADX_INT_STATUS_0_ADX1_RX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_ADX1_RX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_STATUS_0_ADX1_RX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_ADX1_RX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_ADX1_RX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_STATUS_0_ADX1_RX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_STATUS_0_ADX1_CH0_TX_DONE_SHIFT                   _MK_SHIFT_CONST(12)
#define APBIF_ADX_INT_STATUS_0_ADX1_CH0_TX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_ADX_INT_STATUS_0_ADX1_CH0_TX_DONE_SHIFT)
#define APBIF_ADX_INT_STATUS_0_ADX1_CH0_TX_DONE_RANGE                   12:12
#define APBIF_ADX_INT_STATUS_0_ADX1_CH0_TX_DONE_WOFFSET                 0x0
#define APBIF_ADX_INT_STATUS_0_ADX1_CH0_TX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_ADX1_CH0_TX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_STATUS_0_ADX1_CH0_TX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_ADX1_CH0_TX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_ADX1_CH0_TX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_STATUS_0_ADX1_CH0_TX_DONE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_STATUS_0_ADX1_CH1_TX_DONE_SHIFT                   _MK_SHIFT_CONST(13)
#define APBIF_ADX_INT_STATUS_0_ADX1_CH1_TX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_ADX_INT_STATUS_0_ADX1_CH1_TX_DONE_SHIFT)
#define APBIF_ADX_INT_STATUS_0_ADX1_CH1_TX_DONE_RANGE                   13:13
#define APBIF_ADX_INT_STATUS_0_ADX1_CH1_TX_DONE_WOFFSET                 0x0
#define APBIF_ADX_INT_STATUS_0_ADX1_CH1_TX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_ADX1_CH1_TX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_STATUS_0_ADX1_CH1_TX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_ADX1_CH1_TX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_ADX1_CH1_TX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_STATUS_0_ADX1_CH1_TX_DONE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_STATUS_0_ADX1_CH2_TX_DONE_SHIFT                   _MK_SHIFT_CONST(14)
#define APBIF_ADX_INT_STATUS_0_ADX1_CH2_TX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_ADX_INT_STATUS_0_ADX1_CH2_TX_DONE_SHIFT)
#define APBIF_ADX_INT_STATUS_0_ADX1_CH2_TX_DONE_RANGE                   14:14
#define APBIF_ADX_INT_STATUS_0_ADX1_CH2_TX_DONE_WOFFSET                 0x0
#define APBIF_ADX_INT_STATUS_0_ADX1_CH2_TX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_ADX1_CH2_TX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_STATUS_0_ADX1_CH2_TX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_ADX1_CH2_TX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_ADX1_CH2_TX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_STATUS_0_ADX1_CH2_TX_DONE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_STATUS_0_ADX1_CH3_TX_DONE_SHIFT                   _MK_SHIFT_CONST(15)
#define APBIF_ADX_INT_STATUS_0_ADX1_CH3_TX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_ADX_INT_STATUS_0_ADX1_CH3_TX_DONE_SHIFT)
#define APBIF_ADX_INT_STATUS_0_ADX1_CH3_TX_DONE_RANGE                   15:15
#define APBIF_ADX_INT_STATUS_0_ADX1_CH3_TX_DONE_WOFFSET                 0x0
#define APBIF_ADX_INT_STATUS_0_ADX1_CH3_TX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_ADX1_CH3_TX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_STATUS_0_ADX1_CH3_TX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_ADX1_CH3_TX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_STATUS_0_ADX1_CH3_TX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_STATUS_0_ADX1_CH3_TX_DONE_ENABLE                  _MK_ENUM_CONST(1)


// Reserved address 420 [0x1a4]

// Register APBIF_AMX_INT_SOURCE_0
#define APBIF_AMX_INT_SOURCE_0                  _MK_ADDR_CONST(0x1a8)
#define APBIF_AMX_INT_SOURCE_0_SECURE                   0x0
#define APBIF_AMX_INT_SOURCE_0_SCR                      0
#define APBIF_AMX_INT_SOURCE_0_WORD_COUNT                       0x1
#define APBIF_AMX_INT_SOURCE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_RESET_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_READ_MASK                        _MK_MASK_CONST(0xf1f1)
#define APBIF_AMX_INT_SOURCE_0_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX0_TX_DONE_SHIFT                       _MK_SHIFT_CONST(0)
#define APBIF_AMX_INT_SOURCE_0_AMX0_TX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_AMX_INT_SOURCE_0_AMX0_TX_DONE_SHIFT)
#define APBIF_AMX_INT_SOURCE_0_AMX0_TX_DONE_RANGE                       0:0
#define APBIF_AMX_INT_SOURCE_0_AMX0_TX_DONE_WOFFSET                     0x0
#define APBIF_AMX_INT_SOURCE_0_AMX0_TX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX0_TX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX0_TX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX0_TX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX0_TX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_SOURCE_0_AMX0_TX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_SOURCE_0_AMX0_CH0_RX_DONE_SHIFT                   _MK_SHIFT_CONST(4)
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH0_RX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_AMX_INT_SOURCE_0_AMX0_CH0_RX_DONE_SHIFT)
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH0_RX_DONE_RANGE                   4:4
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH0_RX_DONE_WOFFSET                 0x0
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH0_RX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH0_RX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH0_RX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH0_RX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH0_RX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH0_RX_DONE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_SOURCE_0_AMX0_CH1_RX_DONE_SHIFT                   _MK_SHIFT_CONST(5)
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH1_RX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_AMX_INT_SOURCE_0_AMX0_CH1_RX_DONE_SHIFT)
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH1_RX_DONE_RANGE                   5:5
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH1_RX_DONE_WOFFSET                 0x0
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH1_RX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH1_RX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH1_RX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH1_RX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH1_RX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH1_RX_DONE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_SOURCE_0_AMX0_CH2_RX_DONE_SHIFT                   _MK_SHIFT_CONST(6)
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH2_RX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_AMX_INT_SOURCE_0_AMX0_CH2_RX_DONE_SHIFT)
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH2_RX_DONE_RANGE                   6:6
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH2_RX_DONE_WOFFSET                 0x0
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH2_RX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH2_RX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH2_RX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH2_RX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH2_RX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH2_RX_DONE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_SOURCE_0_AMX0_CH3_RX_DONE_SHIFT                   _MK_SHIFT_CONST(7)
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH3_RX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_AMX_INT_SOURCE_0_AMX0_CH3_RX_DONE_SHIFT)
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH3_RX_DONE_RANGE                   7:7
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH3_RX_DONE_WOFFSET                 0x0
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH3_RX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH3_RX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH3_RX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH3_RX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH3_RX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_SOURCE_0_AMX0_CH3_RX_DONE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_SOURCE_0_AMX1_TX_DONE_SHIFT                       _MK_SHIFT_CONST(8)
#define APBIF_AMX_INT_SOURCE_0_AMX1_TX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_AMX_INT_SOURCE_0_AMX1_TX_DONE_SHIFT)
#define APBIF_AMX_INT_SOURCE_0_AMX1_TX_DONE_RANGE                       8:8
#define APBIF_AMX_INT_SOURCE_0_AMX1_TX_DONE_WOFFSET                     0x0
#define APBIF_AMX_INT_SOURCE_0_AMX1_TX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX1_TX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX1_TX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX1_TX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX1_TX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_SOURCE_0_AMX1_TX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_SOURCE_0_AMX1_CH0_RX_DONE_SHIFT                   _MK_SHIFT_CONST(12)
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH0_RX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_AMX_INT_SOURCE_0_AMX1_CH0_RX_DONE_SHIFT)
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH0_RX_DONE_RANGE                   12:12
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH0_RX_DONE_WOFFSET                 0x0
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH0_RX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH0_RX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH0_RX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH0_RX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH0_RX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH0_RX_DONE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_SOURCE_0_AMX1_CH1_RX_DONE_SHIFT                   _MK_SHIFT_CONST(13)
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH1_RX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_AMX_INT_SOURCE_0_AMX1_CH1_RX_DONE_SHIFT)
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH1_RX_DONE_RANGE                   13:13
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH1_RX_DONE_WOFFSET                 0x0
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH1_RX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH1_RX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH1_RX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH1_RX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH1_RX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH1_RX_DONE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_SOURCE_0_AMX1_CH2_RX_DONE_SHIFT                   _MK_SHIFT_CONST(14)
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH2_RX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_AMX_INT_SOURCE_0_AMX1_CH2_RX_DONE_SHIFT)
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH2_RX_DONE_RANGE                   14:14
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH2_RX_DONE_WOFFSET                 0x0
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH2_RX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH2_RX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH2_RX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH2_RX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH2_RX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH2_RX_DONE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_SOURCE_0_AMX1_CH3_RX_DONE_SHIFT                   _MK_SHIFT_CONST(15)
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH3_RX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_AMX_INT_SOURCE_0_AMX1_CH3_RX_DONE_SHIFT)
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH3_RX_DONE_RANGE                   15:15
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH3_RX_DONE_WOFFSET                 0x0
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH3_RX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH3_RX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH3_RX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH3_RX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH3_RX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_SOURCE_0_AMX1_CH3_RX_DONE_ENABLE                  _MK_ENUM_CONST(1)


// Reserved address 428 [0x1ac]

// Register APBIF_ADX_INT_SOURCE_0
#define APBIF_ADX_INT_SOURCE_0                  _MK_ADDR_CONST(0x1b0)
#define APBIF_ADX_INT_SOURCE_0_SECURE                   0x0
#define APBIF_ADX_INT_SOURCE_0_SCR                      0
#define APBIF_ADX_INT_SOURCE_0_WORD_COUNT                       0x1
#define APBIF_ADX_INT_SOURCE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_RESET_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_READ_MASK                        _MK_MASK_CONST(0xf1f1)
#define APBIF_ADX_INT_SOURCE_0_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX0_RX_DONE_SHIFT                       _MK_SHIFT_CONST(0)
#define APBIF_ADX_INT_SOURCE_0_ADX0_RX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_ADX_INT_SOURCE_0_ADX0_RX_DONE_SHIFT)
#define APBIF_ADX_INT_SOURCE_0_ADX0_RX_DONE_RANGE                       0:0
#define APBIF_ADX_INT_SOURCE_0_ADX0_RX_DONE_WOFFSET                     0x0
#define APBIF_ADX_INT_SOURCE_0_ADX0_RX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX0_RX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX0_RX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX0_RX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX0_RX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_SOURCE_0_ADX0_RX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_SOURCE_0_ADX0_CH0_TX_DONE_SHIFT                   _MK_SHIFT_CONST(4)
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH0_TX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_ADX_INT_SOURCE_0_ADX0_CH0_TX_DONE_SHIFT)
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH0_TX_DONE_RANGE                   4:4
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH0_TX_DONE_WOFFSET                 0x0
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH0_TX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH0_TX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH0_TX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH0_TX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH0_TX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH0_TX_DONE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_SOURCE_0_ADX0_CH1_TX_DONE_SHIFT                   _MK_SHIFT_CONST(5)
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH1_TX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_ADX_INT_SOURCE_0_ADX0_CH1_TX_DONE_SHIFT)
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH1_TX_DONE_RANGE                   5:5
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH1_TX_DONE_WOFFSET                 0x0
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH1_TX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH1_TX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH1_TX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH1_TX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH1_TX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH1_TX_DONE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_SOURCE_0_ADX0_CH2_TX_DONE_SHIFT                   _MK_SHIFT_CONST(6)
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH2_TX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_ADX_INT_SOURCE_0_ADX0_CH2_TX_DONE_SHIFT)
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH2_TX_DONE_RANGE                   6:6
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH2_TX_DONE_WOFFSET                 0x0
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH2_TX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH2_TX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH2_TX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH2_TX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH2_TX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH2_TX_DONE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_SOURCE_0_ADX0_CH3_TX_DONE_SHIFT                   _MK_SHIFT_CONST(7)
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH3_TX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_ADX_INT_SOURCE_0_ADX0_CH3_TX_DONE_SHIFT)
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH3_TX_DONE_RANGE                   7:7
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH3_TX_DONE_WOFFSET                 0x0
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH3_TX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH3_TX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH3_TX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH3_TX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH3_TX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_SOURCE_0_ADX0_CH3_TX_DONE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_SOURCE_0_ADX1_RX_DONE_SHIFT                       _MK_SHIFT_CONST(8)
#define APBIF_ADX_INT_SOURCE_0_ADX1_RX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_ADX_INT_SOURCE_0_ADX1_RX_DONE_SHIFT)
#define APBIF_ADX_INT_SOURCE_0_ADX1_RX_DONE_RANGE                       8:8
#define APBIF_ADX_INT_SOURCE_0_ADX1_RX_DONE_WOFFSET                     0x0
#define APBIF_ADX_INT_SOURCE_0_ADX1_RX_DONE_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX1_RX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX1_RX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX1_RX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX1_RX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_SOURCE_0_ADX1_RX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_SOURCE_0_ADX1_CH0_TX_DONE_SHIFT                   _MK_SHIFT_CONST(12)
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH0_TX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_ADX_INT_SOURCE_0_ADX1_CH0_TX_DONE_SHIFT)
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH0_TX_DONE_RANGE                   12:12
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH0_TX_DONE_WOFFSET                 0x0
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH0_TX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH0_TX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH0_TX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH0_TX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH0_TX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH0_TX_DONE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_SOURCE_0_ADX1_CH1_TX_DONE_SHIFT                   _MK_SHIFT_CONST(13)
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH1_TX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_ADX_INT_SOURCE_0_ADX1_CH1_TX_DONE_SHIFT)
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH1_TX_DONE_RANGE                   13:13
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH1_TX_DONE_WOFFSET                 0x0
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH1_TX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH1_TX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH1_TX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH1_TX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH1_TX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH1_TX_DONE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_SOURCE_0_ADX1_CH2_TX_DONE_SHIFT                   _MK_SHIFT_CONST(14)
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH2_TX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_ADX_INT_SOURCE_0_ADX1_CH2_TX_DONE_SHIFT)
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH2_TX_DONE_RANGE                   14:14
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH2_TX_DONE_WOFFSET                 0x0
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH2_TX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH2_TX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH2_TX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH2_TX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH2_TX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH2_TX_DONE_ENABLE                  _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_SOURCE_0_ADX1_CH3_TX_DONE_SHIFT                   _MK_SHIFT_CONST(15)
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH3_TX_DONE_FIELD                   _MK_FIELD_CONST(0x1, APBIF_ADX_INT_SOURCE_0_ADX1_CH3_TX_DONE_SHIFT)
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH3_TX_DONE_RANGE                   15:15
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH3_TX_DONE_WOFFSET                 0x0
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH3_TX_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH3_TX_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH3_TX_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH3_TX_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH3_TX_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_SOURCE_0_ADX1_CH3_TX_DONE_ENABLE                  _MK_ENUM_CONST(1)


// Reserved address 436 [0x1b4]

// Register APBIF_AMX_INT_SET_0
#define APBIF_AMX_INT_SET_0                     _MK_ADDR_CONST(0x1b8)
#define APBIF_AMX_INT_SET_0_SECURE                      0x0
#define APBIF_AMX_INT_SET_0_SCR                         0
#define APBIF_AMX_INT_SET_0_WORD_COUNT                  0x1
#define APBIF_AMX_INT_SET_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_RESET_MASK                  _MK_MASK_CONST(0xf1f1)
#define APBIF_AMX_INT_SET_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_READ_MASK                   _MK_MASK_CONST(0xf1f1)
#define APBIF_AMX_INT_SET_0_WRITE_MASK                  _MK_MASK_CONST(0xf1f1)
#define APBIF_AMX_INT_SET_0_AMX0_TX_DONE_SHIFT                  _MK_SHIFT_CONST(0)
#define APBIF_AMX_INT_SET_0_AMX0_TX_DONE_FIELD                  _MK_FIELD_CONST(0x1, APBIF_AMX_INT_SET_0_AMX0_TX_DONE_SHIFT)
#define APBIF_AMX_INT_SET_0_AMX0_TX_DONE_RANGE                  0:0
#define APBIF_AMX_INT_SET_0_AMX0_TX_DONE_WOFFSET                        0x0
#define APBIF_AMX_INT_SET_0_AMX0_TX_DONE_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_AMX0_TX_DONE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_SET_0_AMX0_TX_DONE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_AMX0_TX_DONE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_AMX0_TX_DONE_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_SET_0_AMX0_TX_DONE_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_SET_0_AMX0_CH0_RX_DONE_SHIFT                      _MK_SHIFT_CONST(4)
#define APBIF_AMX_INT_SET_0_AMX0_CH0_RX_DONE_FIELD                      _MK_FIELD_CONST(0x1, APBIF_AMX_INT_SET_0_AMX0_CH0_RX_DONE_SHIFT)
#define APBIF_AMX_INT_SET_0_AMX0_CH0_RX_DONE_RANGE                      4:4
#define APBIF_AMX_INT_SET_0_AMX0_CH0_RX_DONE_WOFFSET                    0x0
#define APBIF_AMX_INT_SET_0_AMX0_CH0_RX_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_AMX0_CH0_RX_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_SET_0_AMX0_CH0_RX_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_AMX0_CH0_RX_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_AMX0_CH0_RX_DONE_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_SET_0_AMX0_CH0_RX_DONE_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_SET_0_AMX0_CH1_RX_DONE_SHIFT                      _MK_SHIFT_CONST(5)
#define APBIF_AMX_INT_SET_0_AMX0_CH1_RX_DONE_FIELD                      _MK_FIELD_CONST(0x1, APBIF_AMX_INT_SET_0_AMX0_CH1_RX_DONE_SHIFT)
#define APBIF_AMX_INT_SET_0_AMX0_CH1_RX_DONE_RANGE                      5:5
#define APBIF_AMX_INT_SET_0_AMX0_CH1_RX_DONE_WOFFSET                    0x0
#define APBIF_AMX_INT_SET_0_AMX0_CH1_RX_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_AMX0_CH1_RX_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_SET_0_AMX0_CH1_RX_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_AMX0_CH1_RX_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_AMX0_CH1_RX_DONE_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_SET_0_AMX0_CH1_RX_DONE_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_SET_0_AMX0_CH2_RX_DONE_SHIFT                      _MK_SHIFT_CONST(6)
#define APBIF_AMX_INT_SET_0_AMX0_CH2_RX_DONE_FIELD                      _MK_FIELD_CONST(0x1, APBIF_AMX_INT_SET_0_AMX0_CH2_RX_DONE_SHIFT)
#define APBIF_AMX_INT_SET_0_AMX0_CH2_RX_DONE_RANGE                      6:6
#define APBIF_AMX_INT_SET_0_AMX0_CH2_RX_DONE_WOFFSET                    0x0
#define APBIF_AMX_INT_SET_0_AMX0_CH2_RX_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_AMX0_CH2_RX_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_SET_0_AMX0_CH2_RX_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_AMX0_CH2_RX_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_AMX0_CH2_RX_DONE_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_SET_0_AMX0_CH2_RX_DONE_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_SET_0_AMX0_CH3_RX_DONE_SHIFT                      _MK_SHIFT_CONST(7)
#define APBIF_AMX_INT_SET_0_AMX0_CH3_RX_DONE_FIELD                      _MK_FIELD_CONST(0x1, APBIF_AMX_INT_SET_0_AMX0_CH3_RX_DONE_SHIFT)
#define APBIF_AMX_INT_SET_0_AMX0_CH3_RX_DONE_RANGE                      7:7
#define APBIF_AMX_INT_SET_0_AMX0_CH3_RX_DONE_WOFFSET                    0x0
#define APBIF_AMX_INT_SET_0_AMX0_CH3_RX_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_AMX0_CH3_RX_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_SET_0_AMX0_CH3_RX_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_AMX0_CH3_RX_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_AMX0_CH3_RX_DONE_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_SET_0_AMX0_CH3_RX_DONE_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_SET_0_AMX1_TX_DONE_SHIFT                  _MK_SHIFT_CONST(8)
#define APBIF_AMX_INT_SET_0_AMX1_TX_DONE_FIELD                  _MK_FIELD_CONST(0x1, APBIF_AMX_INT_SET_0_AMX1_TX_DONE_SHIFT)
#define APBIF_AMX_INT_SET_0_AMX1_TX_DONE_RANGE                  8:8
#define APBIF_AMX_INT_SET_0_AMX1_TX_DONE_WOFFSET                        0x0
#define APBIF_AMX_INT_SET_0_AMX1_TX_DONE_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_AMX1_TX_DONE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_SET_0_AMX1_TX_DONE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_AMX1_TX_DONE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_AMX1_TX_DONE_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_SET_0_AMX1_TX_DONE_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_SET_0_AMX1_CH0_RX_DONE_SHIFT                      _MK_SHIFT_CONST(12)
#define APBIF_AMX_INT_SET_0_AMX1_CH0_RX_DONE_FIELD                      _MK_FIELD_CONST(0x1, APBIF_AMX_INT_SET_0_AMX1_CH0_RX_DONE_SHIFT)
#define APBIF_AMX_INT_SET_0_AMX1_CH0_RX_DONE_RANGE                      12:12
#define APBIF_AMX_INT_SET_0_AMX1_CH0_RX_DONE_WOFFSET                    0x0
#define APBIF_AMX_INT_SET_0_AMX1_CH0_RX_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_AMX1_CH0_RX_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_SET_0_AMX1_CH0_RX_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_AMX1_CH0_RX_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_AMX1_CH0_RX_DONE_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_SET_0_AMX1_CH0_RX_DONE_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_SET_0_AMX1_CH1_RX_DONE_SHIFT                      _MK_SHIFT_CONST(13)
#define APBIF_AMX_INT_SET_0_AMX1_CH1_RX_DONE_FIELD                      _MK_FIELD_CONST(0x1, APBIF_AMX_INT_SET_0_AMX1_CH1_RX_DONE_SHIFT)
#define APBIF_AMX_INT_SET_0_AMX1_CH1_RX_DONE_RANGE                      13:13
#define APBIF_AMX_INT_SET_0_AMX1_CH1_RX_DONE_WOFFSET                    0x0
#define APBIF_AMX_INT_SET_0_AMX1_CH1_RX_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_AMX1_CH1_RX_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_SET_0_AMX1_CH1_RX_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_AMX1_CH1_RX_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_AMX1_CH1_RX_DONE_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_SET_0_AMX1_CH1_RX_DONE_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_SET_0_AMX1_CH2_RX_DONE_SHIFT                      _MK_SHIFT_CONST(14)
#define APBIF_AMX_INT_SET_0_AMX1_CH2_RX_DONE_FIELD                      _MK_FIELD_CONST(0x1, APBIF_AMX_INT_SET_0_AMX1_CH2_RX_DONE_SHIFT)
#define APBIF_AMX_INT_SET_0_AMX1_CH2_RX_DONE_RANGE                      14:14
#define APBIF_AMX_INT_SET_0_AMX1_CH2_RX_DONE_WOFFSET                    0x0
#define APBIF_AMX_INT_SET_0_AMX1_CH2_RX_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_AMX1_CH2_RX_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_SET_0_AMX1_CH2_RX_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_AMX1_CH2_RX_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_AMX1_CH2_RX_DONE_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_SET_0_AMX1_CH2_RX_DONE_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_AMX_INT_SET_0_AMX1_CH3_RX_DONE_SHIFT                      _MK_SHIFT_CONST(15)
#define APBIF_AMX_INT_SET_0_AMX1_CH3_RX_DONE_FIELD                      _MK_FIELD_CONST(0x1, APBIF_AMX_INT_SET_0_AMX1_CH3_RX_DONE_SHIFT)
#define APBIF_AMX_INT_SET_0_AMX1_CH3_RX_DONE_RANGE                      15:15
#define APBIF_AMX_INT_SET_0_AMX1_CH3_RX_DONE_WOFFSET                    0x0
#define APBIF_AMX_INT_SET_0_AMX1_CH3_RX_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_AMX1_CH3_RX_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_AMX_INT_SET_0_AMX1_CH3_RX_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_AMX1_CH3_RX_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_AMX_INT_SET_0_AMX1_CH3_RX_DONE_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_AMX_INT_SET_0_AMX1_CH3_RX_DONE_ENABLE                     _MK_ENUM_CONST(1)


// Reserved address 444 [0x1bc]

// Register APBIF_ADX_INT_SET_0
#define APBIF_ADX_INT_SET_0                     _MK_ADDR_CONST(0x1c0)
#define APBIF_ADX_INT_SET_0_SECURE                      0x0
#define APBIF_ADX_INT_SET_0_SCR                         0
#define APBIF_ADX_INT_SET_0_WORD_COUNT                  0x1
#define APBIF_ADX_INT_SET_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_RESET_MASK                  _MK_MASK_CONST(0xf1f1)
#define APBIF_ADX_INT_SET_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_READ_MASK                   _MK_MASK_CONST(0xf1f1)
#define APBIF_ADX_INT_SET_0_WRITE_MASK                  _MK_MASK_CONST(0xf1f1)
#define APBIF_ADX_INT_SET_0_ADX0_RX_DONE_SHIFT                  _MK_SHIFT_CONST(0)
#define APBIF_ADX_INT_SET_0_ADX0_RX_DONE_FIELD                  _MK_FIELD_CONST(0x1, APBIF_ADX_INT_SET_0_ADX0_RX_DONE_SHIFT)
#define APBIF_ADX_INT_SET_0_ADX0_RX_DONE_RANGE                  0:0
#define APBIF_ADX_INT_SET_0_ADX0_RX_DONE_WOFFSET                        0x0
#define APBIF_ADX_INT_SET_0_ADX0_RX_DONE_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_ADX0_RX_DONE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_SET_0_ADX0_RX_DONE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_ADX0_RX_DONE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_ADX0_RX_DONE_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_SET_0_ADX0_RX_DONE_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_SET_0_ADX0_CH0_TX_DONE_SHIFT                      _MK_SHIFT_CONST(4)
#define APBIF_ADX_INT_SET_0_ADX0_CH0_TX_DONE_FIELD                      _MK_FIELD_CONST(0x1, APBIF_ADX_INT_SET_0_ADX0_CH0_TX_DONE_SHIFT)
#define APBIF_ADX_INT_SET_0_ADX0_CH0_TX_DONE_RANGE                      4:4
#define APBIF_ADX_INT_SET_0_ADX0_CH0_TX_DONE_WOFFSET                    0x0
#define APBIF_ADX_INT_SET_0_ADX0_CH0_TX_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_ADX0_CH0_TX_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_SET_0_ADX0_CH0_TX_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_ADX0_CH0_TX_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_ADX0_CH0_TX_DONE_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_SET_0_ADX0_CH0_TX_DONE_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_SET_0_ADX0_CH1_TX_DONE_SHIFT                      _MK_SHIFT_CONST(5)
#define APBIF_ADX_INT_SET_0_ADX0_CH1_TX_DONE_FIELD                      _MK_FIELD_CONST(0x1, APBIF_ADX_INT_SET_0_ADX0_CH1_TX_DONE_SHIFT)
#define APBIF_ADX_INT_SET_0_ADX0_CH1_TX_DONE_RANGE                      5:5
#define APBIF_ADX_INT_SET_0_ADX0_CH1_TX_DONE_WOFFSET                    0x0
#define APBIF_ADX_INT_SET_0_ADX0_CH1_TX_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_ADX0_CH1_TX_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_SET_0_ADX0_CH1_TX_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_ADX0_CH1_TX_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_ADX0_CH1_TX_DONE_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_SET_0_ADX0_CH1_TX_DONE_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_SET_0_ADX0_CH2_TX_DONE_SHIFT                      _MK_SHIFT_CONST(6)
#define APBIF_ADX_INT_SET_0_ADX0_CH2_TX_DONE_FIELD                      _MK_FIELD_CONST(0x1, APBIF_ADX_INT_SET_0_ADX0_CH2_TX_DONE_SHIFT)
#define APBIF_ADX_INT_SET_0_ADX0_CH2_TX_DONE_RANGE                      6:6
#define APBIF_ADX_INT_SET_0_ADX0_CH2_TX_DONE_WOFFSET                    0x0
#define APBIF_ADX_INT_SET_0_ADX0_CH2_TX_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_ADX0_CH2_TX_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_SET_0_ADX0_CH2_TX_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_ADX0_CH2_TX_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_ADX0_CH2_TX_DONE_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_SET_0_ADX0_CH2_TX_DONE_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_SET_0_ADX0_CH3_TX_DONE_SHIFT                      _MK_SHIFT_CONST(7)
#define APBIF_ADX_INT_SET_0_ADX0_CH3_TX_DONE_FIELD                      _MK_FIELD_CONST(0x1, APBIF_ADX_INT_SET_0_ADX0_CH3_TX_DONE_SHIFT)
#define APBIF_ADX_INT_SET_0_ADX0_CH3_TX_DONE_RANGE                      7:7
#define APBIF_ADX_INT_SET_0_ADX0_CH3_TX_DONE_WOFFSET                    0x0
#define APBIF_ADX_INT_SET_0_ADX0_CH3_TX_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_ADX0_CH3_TX_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_SET_0_ADX0_CH3_TX_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_ADX0_CH3_TX_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_ADX0_CH3_TX_DONE_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_SET_0_ADX0_CH3_TX_DONE_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_SET_0_ADX1_RX_DONE_SHIFT                  _MK_SHIFT_CONST(8)
#define APBIF_ADX_INT_SET_0_ADX1_RX_DONE_FIELD                  _MK_FIELD_CONST(0x1, APBIF_ADX_INT_SET_0_ADX1_RX_DONE_SHIFT)
#define APBIF_ADX_INT_SET_0_ADX1_RX_DONE_RANGE                  8:8
#define APBIF_ADX_INT_SET_0_ADX1_RX_DONE_WOFFSET                        0x0
#define APBIF_ADX_INT_SET_0_ADX1_RX_DONE_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_ADX1_RX_DONE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_SET_0_ADX1_RX_DONE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_ADX1_RX_DONE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_ADX1_RX_DONE_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_SET_0_ADX1_RX_DONE_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_SET_0_ADX1_CH0_TX_DONE_SHIFT                      _MK_SHIFT_CONST(12)
#define APBIF_ADX_INT_SET_0_ADX1_CH0_TX_DONE_FIELD                      _MK_FIELD_CONST(0x1, APBIF_ADX_INT_SET_0_ADX1_CH0_TX_DONE_SHIFT)
#define APBIF_ADX_INT_SET_0_ADX1_CH0_TX_DONE_RANGE                      12:12
#define APBIF_ADX_INT_SET_0_ADX1_CH0_TX_DONE_WOFFSET                    0x0
#define APBIF_ADX_INT_SET_0_ADX1_CH0_TX_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_ADX1_CH0_TX_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_SET_0_ADX1_CH0_TX_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_ADX1_CH0_TX_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_ADX1_CH0_TX_DONE_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_SET_0_ADX1_CH0_TX_DONE_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_SET_0_ADX1_CH1_TX_DONE_SHIFT                      _MK_SHIFT_CONST(13)
#define APBIF_ADX_INT_SET_0_ADX1_CH1_TX_DONE_FIELD                      _MK_FIELD_CONST(0x1, APBIF_ADX_INT_SET_0_ADX1_CH1_TX_DONE_SHIFT)
#define APBIF_ADX_INT_SET_0_ADX1_CH1_TX_DONE_RANGE                      13:13
#define APBIF_ADX_INT_SET_0_ADX1_CH1_TX_DONE_WOFFSET                    0x0
#define APBIF_ADX_INT_SET_0_ADX1_CH1_TX_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_ADX1_CH1_TX_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_SET_0_ADX1_CH1_TX_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_ADX1_CH1_TX_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_ADX1_CH1_TX_DONE_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_SET_0_ADX1_CH1_TX_DONE_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_SET_0_ADX1_CH2_TX_DONE_SHIFT                      _MK_SHIFT_CONST(14)
#define APBIF_ADX_INT_SET_0_ADX1_CH2_TX_DONE_FIELD                      _MK_FIELD_CONST(0x1, APBIF_ADX_INT_SET_0_ADX1_CH2_TX_DONE_SHIFT)
#define APBIF_ADX_INT_SET_0_ADX1_CH2_TX_DONE_RANGE                      14:14
#define APBIF_ADX_INT_SET_0_ADX1_CH2_TX_DONE_WOFFSET                    0x0
#define APBIF_ADX_INT_SET_0_ADX1_CH2_TX_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_ADX1_CH2_TX_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_SET_0_ADX1_CH2_TX_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_ADX1_CH2_TX_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_ADX1_CH2_TX_DONE_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_SET_0_ADX1_CH2_TX_DONE_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_ADX_INT_SET_0_ADX1_CH3_TX_DONE_SHIFT                      _MK_SHIFT_CONST(15)
#define APBIF_ADX_INT_SET_0_ADX1_CH3_TX_DONE_FIELD                      _MK_FIELD_CONST(0x1, APBIF_ADX_INT_SET_0_ADX1_CH3_TX_DONE_SHIFT)
#define APBIF_ADX_INT_SET_0_ADX1_CH3_TX_DONE_RANGE                      15:15
#define APBIF_ADX_INT_SET_0_ADX1_CH3_TX_DONE_WOFFSET                    0x0
#define APBIF_ADX_INT_SET_0_ADX1_CH3_TX_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_ADX1_CH3_TX_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define APBIF_ADX_INT_SET_0_ADX1_CH3_TX_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_ADX1_CH3_TX_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_ADX_INT_SET_0_ADX1_CH3_TX_DONE_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_ADX_INT_SET_0_ADX1_CH3_TX_DONE_ENABLE                     _MK_ENUM_CONST(1)


// Reserved address 452 [0x1c4]

// Reserved address 456 [0x1c8]

// Reserved address 460 [0x1cc]

// Register APBIF_MISC_LIVE_STATUS0_0
#define APBIF_MISC_LIVE_STATUS0_0                       _MK_ADDR_CONST(0x1d0)
#define APBIF_MISC_LIVE_STATUS0_0_SECURE                        0x0
#define APBIF_MISC_LIVE_STATUS0_0_SCR                   0
#define APBIF_MISC_LIVE_STATUS0_0_WORD_COUNT                    0x1
#define APBIF_MISC_LIVE_STATUS0_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_RESET_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_READ_MASK                     _MK_MASK_CONST(0x1f1f)
#define APBIF_MISC_LIVE_STATUS0_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S0_CLKEN_SHIFT                      _MK_SHIFT_CONST(0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S0_CLKEN_FIELD                      _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS0_0_I2S0_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS0_0_I2S0_CLKEN_RANGE                      0:0
#define APBIF_MISC_LIVE_STATUS0_0_I2S0_CLKEN_WOFFSET                    0x0
#define APBIF_MISC_LIVE_STATUS0_0_I2S0_CLKEN_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S0_CLKEN_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S0_CLKEN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S0_CLKEN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S0_CLKEN_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S0_CLKEN_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_MISC_LIVE_STATUS0_0_I2S1_CLKEN_SHIFT                      _MK_SHIFT_CONST(1)
#define APBIF_MISC_LIVE_STATUS0_0_I2S1_CLKEN_FIELD                      _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS0_0_I2S1_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS0_0_I2S1_CLKEN_RANGE                      1:1
#define APBIF_MISC_LIVE_STATUS0_0_I2S1_CLKEN_WOFFSET                    0x0
#define APBIF_MISC_LIVE_STATUS0_0_I2S1_CLKEN_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S1_CLKEN_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S1_CLKEN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S1_CLKEN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S1_CLKEN_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S1_CLKEN_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_MISC_LIVE_STATUS0_0_I2S2_CLKEN_SHIFT                      _MK_SHIFT_CONST(2)
#define APBIF_MISC_LIVE_STATUS0_0_I2S2_CLKEN_FIELD                      _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS0_0_I2S2_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS0_0_I2S2_CLKEN_RANGE                      2:2
#define APBIF_MISC_LIVE_STATUS0_0_I2S2_CLKEN_WOFFSET                    0x0
#define APBIF_MISC_LIVE_STATUS0_0_I2S2_CLKEN_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S2_CLKEN_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S2_CLKEN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S2_CLKEN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S2_CLKEN_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S2_CLKEN_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_MISC_LIVE_STATUS0_0_I2S3_CLKEN_SHIFT                      _MK_SHIFT_CONST(3)
#define APBIF_MISC_LIVE_STATUS0_0_I2S3_CLKEN_FIELD                      _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS0_0_I2S3_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS0_0_I2S3_CLKEN_RANGE                      3:3
#define APBIF_MISC_LIVE_STATUS0_0_I2S3_CLKEN_WOFFSET                    0x0
#define APBIF_MISC_LIVE_STATUS0_0_I2S3_CLKEN_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S3_CLKEN_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S3_CLKEN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S3_CLKEN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S3_CLKEN_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S3_CLKEN_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_MISC_LIVE_STATUS0_0_I2S4_CLKEN_SHIFT                      _MK_SHIFT_CONST(4)
#define APBIF_MISC_LIVE_STATUS0_0_I2S4_CLKEN_FIELD                      _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS0_0_I2S4_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS0_0_I2S4_CLKEN_RANGE                      4:4
#define APBIF_MISC_LIVE_STATUS0_0_I2S4_CLKEN_WOFFSET                    0x0
#define APBIF_MISC_LIVE_STATUS0_0_I2S4_CLKEN_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S4_CLKEN_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S4_CLKEN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S4_CLKEN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S4_CLKEN_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S4_CLKEN_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_MISC_LIVE_STATUS0_0_I2S0_AUDIO_CLKEN_SHIFT                        _MK_SHIFT_CONST(8)
#define APBIF_MISC_LIVE_STATUS0_0_I2S0_AUDIO_CLKEN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS0_0_I2S0_AUDIO_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS0_0_I2S0_AUDIO_CLKEN_RANGE                        8:8
#define APBIF_MISC_LIVE_STATUS0_0_I2S0_AUDIO_CLKEN_WOFFSET                      0x0
#define APBIF_MISC_LIVE_STATUS0_0_I2S0_AUDIO_CLKEN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S0_AUDIO_CLKEN_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S0_AUDIO_CLKEN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S0_AUDIO_CLKEN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S0_AUDIO_CLKEN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S0_AUDIO_CLKEN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_MISC_LIVE_STATUS0_0_I2S1_AUDIO_CLKEN_SHIFT                        _MK_SHIFT_CONST(9)
#define APBIF_MISC_LIVE_STATUS0_0_I2S1_AUDIO_CLKEN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS0_0_I2S1_AUDIO_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS0_0_I2S1_AUDIO_CLKEN_RANGE                        9:9
#define APBIF_MISC_LIVE_STATUS0_0_I2S1_AUDIO_CLKEN_WOFFSET                      0x0
#define APBIF_MISC_LIVE_STATUS0_0_I2S1_AUDIO_CLKEN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S1_AUDIO_CLKEN_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S1_AUDIO_CLKEN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S1_AUDIO_CLKEN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S1_AUDIO_CLKEN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S1_AUDIO_CLKEN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_MISC_LIVE_STATUS0_0_I2S2_AUDIO_CLKEN_SHIFT                        _MK_SHIFT_CONST(10)
#define APBIF_MISC_LIVE_STATUS0_0_I2S2_AUDIO_CLKEN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS0_0_I2S2_AUDIO_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS0_0_I2S2_AUDIO_CLKEN_RANGE                        10:10
#define APBIF_MISC_LIVE_STATUS0_0_I2S2_AUDIO_CLKEN_WOFFSET                      0x0
#define APBIF_MISC_LIVE_STATUS0_0_I2S2_AUDIO_CLKEN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S2_AUDIO_CLKEN_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S2_AUDIO_CLKEN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S2_AUDIO_CLKEN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S2_AUDIO_CLKEN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S2_AUDIO_CLKEN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_MISC_LIVE_STATUS0_0_I2S3_AUDIO_CLKEN_SHIFT                        _MK_SHIFT_CONST(11)
#define APBIF_MISC_LIVE_STATUS0_0_I2S3_AUDIO_CLKEN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS0_0_I2S3_AUDIO_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS0_0_I2S3_AUDIO_CLKEN_RANGE                        11:11
#define APBIF_MISC_LIVE_STATUS0_0_I2S3_AUDIO_CLKEN_WOFFSET                      0x0
#define APBIF_MISC_LIVE_STATUS0_0_I2S3_AUDIO_CLKEN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S3_AUDIO_CLKEN_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S3_AUDIO_CLKEN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S3_AUDIO_CLKEN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S3_AUDIO_CLKEN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S3_AUDIO_CLKEN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_MISC_LIVE_STATUS0_0_I2S4_AUDIO_CLKEN_SHIFT                        _MK_SHIFT_CONST(12)
#define APBIF_MISC_LIVE_STATUS0_0_I2S4_AUDIO_CLKEN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS0_0_I2S4_AUDIO_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS0_0_I2S4_AUDIO_CLKEN_RANGE                        12:12
#define APBIF_MISC_LIVE_STATUS0_0_I2S4_AUDIO_CLKEN_WOFFSET                      0x0
#define APBIF_MISC_LIVE_STATUS0_0_I2S4_AUDIO_CLKEN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S4_AUDIO_CLKEN_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S4_AUDIO_CLKEN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S4_AUDIO_CLKEN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S4_AUDIO_CLKEN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS0_0_I2S4_AUDIO_CLKEN_ENABLE                       _MK_ENUM_CONST(1)


// Register APBIF_MISC_LIVE_STATUS1_0
#define APBIF_MISC_LIVE_STATUS1_0                       _MK_ADDR_CONST(0x1d4)
#define APBIF_MISC_LIVE_STATUS1_0_SECURE                        0x0
#define APBIF_MISC_LIVE_STATUS1_0_SCR                   0
#define APBIF_MISC_LIVE_STATUS1_0_WORD_COUNT                    0x1
#define APBIF_MISC_LIVE_STATUS1_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_RESET_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_READ_MASK                     _MK_MASK_CONST(0xf33)
#define APBIF_MISC_LIVE_STATUS1_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_ADX0_CLKEN_SHIFT                      _MK_SHIFT_CONST(0)
#define APBIF_MISC_LIVE_STATUS1_0_ADX0_CLKEN_FIELD                      _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS1_0_ADX0_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS1_0_ADX0_CLKEN_RANGE                      0:0
#define APBIF_MISC_LIVE_STATUS1_0_ADX0_CLKEN_WOFFSET                    0x0
#define APBIF_MISC_LIVE_STATUS1_0_ADX0_CLKEN_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_ADX0_CLKEN_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_ADX0_CLKEN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_ADX0_CLKEN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_ADX0_CLKEN_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS1_0_ADX0_CLKEN_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_MISC_LIVE_STATUS1_0_ADX0_AUDIO_CLKEN_SHIFT                        _MK_SHIFT_CONST(1)
#define APBIF_MISC_LIVE_STATUS1_0_ADX0_AUDIO_CLKEN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS1_0_ADX0_AUDIO_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS1_0_ADX0_AUDIO_CLKEN_RANGE                        1:1
#define APBIF_MISC_LIVE_STATUS1_0_ADX0_AUDIO_CLKEN_WOFFSET                      0x0
#define APBIF_MISC_LIVE_STATUS1_0_ADX0_AUDIO_CLKEN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_ADX0_AUDIO_CLKEN_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_ADX0_AUDIO_CLKEN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_ADX0_AUDIO_CLKEN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_ADX0_AUDIO_CLKEN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS1_0_ADX0_AUDIO_CLKEN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_MISC_LIVE_STATUS1_0_ADX1_CLKEN_SHIFT                      _MK_SHIFT_CONST(4)
#define APBIF_MISC_LIVE_STATUS1_0_ADX1_CLKEN_FIELD                      _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS1_0_ADX1_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS1_0_ADX1_CLKEN_RANGE                      4:4
#define APBIF_MISC_LIVE_STATUS1_0_ADX1_CLKEN_WOFFSET                    0x0
#define APBIF_MISC_LIVE_STATUS1_0_ADX1_CLKEN_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_ADX1_CLKEN_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_ADX1_CLKEN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_ADX1_CLKEN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_ADX1_CLKEN_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS1_0_ADX1_CLKEN_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_MISC_LIVE_STATUS1_0_ADX1_AUDIO_CLKEN_SHIFT                        _MK_SHIFT_CONST(5)
#define APBIF_MISC_LIVE_STATUS1_0_ADX1_AUDIO_CLKEN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS1_0_ADX1_AUDIO_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS1_0_ADX1_AUDIO_CLKEN_RANGE                        5:5
#define APBIF_MISC_LIVE_STATUS1_0_ADX1_AUDIO_CLKEN_WOFFSET                      0x0
#define APBIF_MISC_LIVE_STATUS1_0_ADX1_AUDIO_CLKEN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_ADX1_AUDIO_CLKEN_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_ADX1_AUDIO_CLKEN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_ADX1_AUDIO_CLKEN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_ADX1_AUDIO_CLKEN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS1_0_ADX1_AUDIO_CLKEN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_MISC_LIVE_STATUS1_0_AMX0_CLKEN_SHIFT                      _MK_SHIFT_CONST(8)
#define APBIF_MISC_LIVE_STATUS1_0_AMX0_CLKEN_FIELD                      _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS1_0_AMX0_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS1_0_AMX0_CLKEN_RANGE                      8:8
#define APBIF_MISC_LIVE_STATUS1_0_AMX0_CLKEN_WOFFSET                    0x0
#define APBIF_MISC_LIVE_STATUS1_0_AMX0_CLKEN_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_AMX0_CLKEN_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_AMX0_CLKEN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_AMX0_CLKEN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_AMX0_CLKEN_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS1_0_AMX0_CLKEN_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_MISC_LIVE_STATUS1_0_AMX0_AUDIO_CLKEN_SHIFT                        _MK_SHIFT_CONST(9)
#define APBIF_MISC_LIVE_STATUS1_0_AMX0_AUDIO_CLKEN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS1_0_AMX0_AUDIO_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS1_0_AMX0_AUDIO_CLKEN_RANGE                        9:9
#define APBIF_MISC_LIVE_STATUS1_0_AMX0_AUDIO_CLKEN_WOFFSET                      0x0
#define APBIF_MISC_LIVE_STATUS1_0_AMX0_AUDIO_CLKEN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_AMX0_AUDIO_CLKEN_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_AMX0_AUDIO_CLKEN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_AMX0_AUDIO_CLKEN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_AMX0_AUDIO_CLKEN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS1_0_AMX0_AUDIO_CLKEN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_MISC_LIVE_STATUS1_0_AMX1_CLKEN_SHIFT                      _MK_SHIFT_CONST(10)
#define APBIF_MISC_LIVE_STATUS1_0_AMX1_CLKEN_FIELD                      _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS1_0_AMX1_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS1_0_AMX1_CLKEN_RANGE                      10:10
#define APBIF_MISC_LIVE_STATUS1_0_AMX1_CLKEN_WOFFSET                    0x0
#define APBIF_MISC_LIVE_STATUS1_0_AMX1_CLKEN_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_AMX1_CLKEN_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_AMX1_CLKEN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_AMX1_CLKEN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_AMX1_CLKEN_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS1_0_AMX1_CLKEN_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_MISC_LIVE_STATUS1_0_AMX1_AUDIO_CLKEN_SHIFT                        _MK_SHIFT_CONST(11)
#define APBIF_MISC_LIVE_STATUS1_0_AMX1_AUDIO_CLKEN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS1_0_AMX1_AUDIO_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS1_0_AMX1_AUDIO_CLKEN_RANGE                        11:11
#define APBIF_MISC_LIVE_STATUS1_0_AMX1_AUDIO_CLKEN_WOFFSET                      0x0
#define APBIF_MISC_LIVE_STATUS1_0_AMX1_AUDIO_CLKEN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_AMX1_AUDIO_CLKEN_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_AMX1_AUDIO_CLKEN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_AMX1_AUDIO_CLKEN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS1_0_AMX1_AUDIO_CLKEN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS1_0_AMX1_AUDIO_CLKEN_ENABLE                       _MK_ENUM_CONST(1)


// Register APBIF_MISC_LIVE_STATUS2_0
#define APBIF_MISC_LIVE_STATUS2_0                       _MK_ADDR_CONST(0x1d8)
#define APBIF_MISC_LIVE_STATUS2_0_SECURE                        0x0
#define APBIF_MISC_LIVE_STATUS2_0_SCR                   0
#define APBIF_MISC_LIVE_STATUS2_0_WORD_COUNT                    0x1
#define APBIF_MISC_LIVE_STATUS2_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS2_0_RESET_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS2_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS2_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS2_0_READ_MASK                     _MK_MASK_CONST(0x707)
#define APBIF_MISC_LIVE_STATUS2_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM0_CLKEN_SHIFT                      _MK_SHIFT_CONST(0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM0_CLKEN_FIELD                      _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS2_0_DAM0_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS2_0_DAM0_CLKEN_RANGE                      0:0
#define APBIF_MISC_LIVE_STATUS2_0_DAM0_CLKEN_WOFFSET                    0x0
#define APBIF_MISC_LIVE_STATUS2_0_DAM0_CLKEN_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM0_CLKEN_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM0_CLKEN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM0_CLKEN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM0_CLKEN_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM0_CLKEN_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_MISC_LIVE_STATUS2_0_DAM1_CLKEN_SHIFT                      _MK_SHIFT_CONST(1)
#define APBIF_MISC_LIVE_STATUS2_0_DAM1_CLKEN_FIELD                      _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS2_0_DAM1_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS2_0_DAM1_CLKEN_RANGE                      1:1
#define APBIF_MISC_LIVE_STATUS2_0_DAM1_CLKEN_WOFFSET                    0x0
#define APBIF_MISC_LIVE_STATUS2_0_DAM1_CLKEN_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM1_CLKEN_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM1_CLKEN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM1_CLKEN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM1_CLKEN_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM1_CLKEN_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_MISC_LIVE_STATUS2_0_DAM2_CLKEN_SHIFT                      _MK_SHIFT_CONST(2)
#define APBIF_MISC_LIVE_STATUS2_0_DAM2_CLKEN_FIELD                      _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS2_0_DAM2_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS2_0_DAM2_CLKEN_RANGE                      2:2
#define APBIF_MISC_LIVE_STATUS2_0_DAM2_CLKEN_WOFFSET                    0x0
#define APBIF_MISC_LIVE_STATUS2_0_DAM2_CLKEN_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM2_CLKEN_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM2_CLKEN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM2_CLKEN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM2_CLKEN_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM2_CLKEN_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_MISC_LIVE_STATUS2_0_DAM0_AUDIO_CLKEN_SHIFT                        _MK_SHIFT_CONST(8)
#define APBIF_MISC_LIVE_STATUS2_0_DAM0_AUDIO_CLKEN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS2_0_DAM0_AUDIO_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS2_0_DAM0_AUDIO_CLKEN_RANGE                        8:8
#define APBIF_MISC_LIVE_STATUS2_0_DAM0_AUDIO_CLKEN_WOFFSET                      0x0
#define APBIF_MISC_LIVE_STATUS2_0_DAM0_AUDIO_CLKEN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM0_AUDIO_CLKEN_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM0_AUDIO_CLKEN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM0_AUDIO_CLKEN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM0_AUDIO_CLKEN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM0_AUDIO_CLKEN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_MISC_LIVE_STATUS2_0_DAM1_AUDIO_CLKEN_SHIFT                        _MK_SHIFT_CONST(9)
#define APBIF_MISC_LIVE_STATUS2_0_DAM1_AUDIO_CLKEN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS2_0_DAM1_AUDIO_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS2_0_DAM1_AUDIO_CLKEN_RANGE                        9:9
#define APBIF_MISC_LIVE_STATUS2_0_DAM1_AUDIO_CLKEN_WOFFSET                      0x0
#define APBIF_MISC_LIVE_STATUS2_0_DAM1_AUDIO_CLKEN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM1_AUDIO_CLKEN_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM1_AUDIO_CLKEN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM1_AUDIO_CLKEN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM1_AUDIO_CLKEN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM1_AUDIO_CLKEN_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_MISC_LIVE_STATUS2_0_DAM2_AUDIO_CLKEN_SHIFT                        _MK_SHIFT_CONST(10)
#define APBIF_MISC_LIVE_STATUS2_0_DAM2_AUDIO_CLKEN_FIELD                        _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS2_0_DAM2_AUDIO_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS2_0_DAM2_AUDIO_CLKEN_RANGE                        10:10
#define APBIF_MISC_LIVE_STATUS2_0_DAM2_AUDIO_CLKEN_WOFFSET                      0x0
#define APBIF_MISC_LIVE_STATUS2_0_DAM2_AUDIO_CLKEN_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM2_AUDIO_CLKEN_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM2_AUDIO_CLKEN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM2_AUDIO_CLKEN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM2_AUDIO_CLKEN_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS2_0_DAM2_AUDIO_CLKEN_ENABLE                       _MK_ENUM_CONST(1)


// Register APBIF_MISC_LIVE_STATUS3_0
#define APBIF_MISC_LIVE_STATUS3_0                       _MK_ADDR_CONST(0x1dc)
#define APBIF_MISC_LIVE_STATUS3_0_SECURE                        0x0
#define APBIF_MISC_LIVE_STATUS3_0_SCR                   0
#define APBIF_MISC_LIVE_STATUS3_0_WORD_COUNT                    0x1
#define APBIF_MISC_LIVE_STATUS3_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS3_0_RESET_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS3_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS3_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS3_0_READ_MASK                     _MK_MASK_CONST(0x307)
#define APBIF_MISC_LIVE_STATUS3_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS3_0_SPDIF_IN_CLKEN_SHIFT                  _MK_SHIFT_CONST(0)
#define APBIF_MISC_LIVE_STATUS3_0_SPDIF_IN_CLKEN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS3_0_SPDIF_IN_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS3_0_SPDIF_IN_CLKEN_RANGE                  0:0
#define APBIF_MISC_LIVE_STATUS3_0_SPDIF_IN_CLKEN_WOFFSET                        0x0
#define APBIF_MISC_LIVE_STATUS3_0_SPDIF_IN_CLKEN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS3_0_SPDIF_IN_CLKEN_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS3_0_SPDIF_IN_CLKEN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS3_0_SPDIF_IN_CLKEN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS3_0_SPDIF_IN_CLKEN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS3_0_SPDIF_IN_CLKEN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_MISC_LIVE_STATUS3_0_SPDIF_OUT_CLKEN_SHIFT                 _MK_SHIFT_CONST(1)
#define APBIF_MISC_LIVE_STATUS3_0_SPDIF_OUT_CLKEN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS3_0_SPDIF_OUT_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS3_0_SPDIF_OUT_CLKEN_RANGE                 1:1
#define APBIF_MISC_LIVE_STATUS3_0_SPDIF_OUT_CLKEN_WOFFSET                       0x0
#define APBIF_MISC_LIVE_STATUS3_0_SPDIF_OUT_CLKEN_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS3_0_SPDIF_OUT_CLKEN_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS3_0_SPDIF_OUT_CLKEN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS3_0_SPDIF_OUT_CLKEN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS3_0_SPDIF_OUT_CLKEN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS3_0_SPDIF_OUT_CLKEN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_MISC_LIVE_STATUS3_0_SPDIF_AUDIO_CLKEN_SHIFT                       _MK_SHIFT_CONST(2)
#define APBIF_MISC_LIVE_STATUS3_0_SPDIF_AUDIO_CLKEN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS3_0_SPDIF_AUDIO_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS3_0_SPDIF_AUDIO_CLKEN_RANGE                       2:2
#define APBIF_MISC_LIVE_STATUS3_0_SPDIF_AUDIO_CLKEN_WOFFSET                     0x0
#define APBIF_MISC_LIVE_STATUS3_0_SPDIF_AUDIO_CLKEN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS3_0_SPDIF_AUDIO_CLKEN_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS3_0_SPDIF_AUDIO_CLKEN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS3_0_SPDIF_AUDIO_CLKEN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS3_0_SPDIF_AUDIO_CLKEN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS3_0_SPDIF_AUDIO_CLKEN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_MISC_LIVE_STATUS3_0_APBIF_AUDIO_CLKEN_SHIFT                       _MK_SHIFT_CONST(8)
#define APBIF_MISC_LIVE_STATUS3_0_APBIF_AUDIO_CLKEN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS3_0_APBIF_AUDIO_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS3_0_APBIF_AUDIO_CLKEN_RANGE                       8:8
#define APBIF_MISC_LIVE_STATUS3_0_APBIF_AUDIO_CLKEN_WOFFSET                     0x0
#define APBIF_MISC_LIVE_STATUS3_0_APBIF_AUDIO_CLKEN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS3_0_APBIF_AUDIO_CLKEN_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS3_0_APBIF_AUDIO_CLKEN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS3_0_APBIF_AUDIO_CLKEN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS3_0_APBIF_AUDIO_CLKEN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS3_0_APBIF_AUDIO_CLKEN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_MISC_LIVE_STATUS3_0_AUDIO_CFG_CLKEN_SHIFT                 _MK_SHIFT_CONST(9)
#define APBIF_MISC_LIVE_STATUS3_0_AUDIO_CFG_CLKEN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS3_0_AUDIO_CFG_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS3_0_AUDIO_CFG_CLKEN_RANGE                 9:9
#define APBIF_MISC_LIVE_STATUS3_0_AUDIO_CFG_CLKEN_WOFFSET                       0x0
#define APBIF_MISC_LIVE_STATUS3_0_AUDIO_CFG_CLKEN_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS3_0_AUDIO_CFG_CLKEN_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS3_0_AUDIO_CFG_CLKEN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS3_0_AUDIO_CFG_CLKEN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS3_0_AUDIO_CFG_CLKEN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS3_0_AUDIO_CFG_CLKEN_ENABLE                        _MK_ENUM_CONST(1)


// Register APBIF_MISC_LIVE_STATUS4_0
#define APBIF_MISC_LIVE_STATUS4_0                       _MK_ADDR_CONST(0x1e0)
#define APBIF_MISC_LIVE_STATUS4_0_SECURE                        0x0
#define APBIF_MISC_LIVE_STATUS4_0_SCR                   0
#define APBIF_MISC_LIVE_STATUS4_0_WORD_COUNT                    0x1
#define APBIF_MISC_LIVE_STATUS4_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS4_0_RESET_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS4_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS4_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS4_0_READ_MASK                     _MK_MASK_CONST(0x30003)
#define APBIF_MISC_LIVE_STATUS4_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS4_0_DMIC0_CLKEN_SHIFT                     _MK_SHIFT_CONST(0)
#define APBIF_MISC_LIVE_STATUS4_0_DMIC0_CLKEN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS4_0_DMIC0_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS4_0_DMIC0_CLKEN_RANGE                     0:0
#define APBIF_MISC_LIVE_STATUS4_0_DMIC0_CLKEN_WOFFSET                   0x0
#define APBIF_MISC_LIVE_STATUS4_0_DMIC0_CLKEN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS4_0_DMIC0_CLKEN_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS4_0_DMIC0_CLKEN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS4_0_DMIC0_CLKEN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS4_0_DMIC0_CLKEN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS4_0_DMIC0_CLKEN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_MISC_LIVE_STATUS4_0_DMIC1_CLKEN_SHIFT                     _MK_SHIFT_CONST(1)
#define APBIF_MISC_LIVE_STATUS4_0_DMIC1_CLKEN_FIELD                     _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS4_0_DMIC1_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS4_0_DMIC1_CLKEN_RANGE                     1:1
#define APBIF_MISC_LIVE_STATUS4_0_DMIC1_CLKEN_WOFFSET                   0x0
#define APBIF_MISC_LIVE_STATUS4_0_DMIC1_CLKEN_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS4_0_DMIC1_CLKEN_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS4_0_DMIC1_CLKEN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS4_0_DMIC1_CLKEN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS4_0_DMIC1_CLKEN_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS4_0_DMIC1_CLKEN_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_MISC_LIVE_STATUS4_0_DMIC0_AUDIO_CLKEN_SHIFT                       _MK_SHIFT_CONST(16)
#define APBIF_MISC_LIVE_STATUS4_0_DMIC0_AUDIO_CLKEN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS4_0_DMIC0_AUDIO_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS4_0_DMIC0_AUDIO_CLKEN_RANGE                       16:16
#define APBIF_MISC_LIVE_STATUS4_0_DMIC0_AUDIO_CLKEN_WOFFSET                     0x0
#define APBIF_MISC_LIVE_STATUS4_0_DMIC0_AUDIO_CLKEN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS4_0_DMIC0_AUDIO_CLKEN_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS4_0_DMIC0_AUDIO_CLKEN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS4_0_DMIC0_AUDIO_CLKEN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS4_0_DMIC0_AUDIO_CLKEN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS4_0_DMIC0_AUDIO_CLKEN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_MISC_LIVE_STATUS4_0_DMIC1_AUDIO_CLKEN_SHIFT                       _MK_SHIFT_CONST(17)
#define APBIF_MISC_LIVE_STATUS4_0_DMIC1_AUDIO_CLKEN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_MISC_LIVE_STATUS4_0_DMIC1_AUDIO_CLKEN_SHIFT)
#define APBIF_MISC_LIVE_STATUS4_0_DMIC1_AUDIO_CLKEN_RANGE                       17:17
#define APBIF_MISC_LIVE_STATUS4_0_DMIC1_AUDIO_CLKEN_WOFFSET                     0x0
#define APBIF_MISC_LIVE_STATUS4_0_DMIC1_AUDIO_CLKEN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS4_0_DMIC1_AUDIO_CLKEN_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS4_0_DMIC1_AUDIO_CLKEN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS4_0_DMIC1_AUDIO_CLKEN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_MISC_LIVE_STATUS4_0_DMIC1_AUDIO_CLKEN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_MISC_LIVE_STATUS4_0_DMIC1_AUDIO_CLKEN_ENABLE                      _MK_ENUM_CONST(1)


// Register APBIF_DMIC_LIVE_STATUS_0
#define APBIF_DMIC_LIVE_STATUS_0                        _MK_ADDR_CONST(0x1e4)
#define APBIF_DMIC_LIVE_STATUS_0_SECURE                         0x0
#define APBIF_DMIC_LIVE_STATUS_0_SCR                    0
#define APBIF_DMIC_LIVE_STATUS_0_WORD_COUNT                     0x1
#define APBIF_DMIC_LIVE_STATUS_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define APBIF_DMIC_LIVE_STATUS_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DMIC_LIVE_STATUS_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define APBIF_DMIC_LIVE_STATUS_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_DMIC_LIVE_STATUS_0_READ_MASK                      _MK_MASK_CONST(0x3000f)
#define APBIF_DMIC_LIVE_STATUS_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_FIFO_EMPTY_SHIFT                      _MK_SHIFT_CONST(0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_FIFO_EMPTY_FIELD                      _MK_FIELD_CONST(0x1, APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_FIFO_EMPTY_SHIFT)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_FIFO_EMPTY_RANGE                      0:0
#define APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_FIFO_EMPTY_WOFFSET                    0x0
#define APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_FIFO_EMPTY_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_FIFO_EMPTY_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_FIFO_EMPTY_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_FIFO_EMPTY_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_FIFO_EMPTY_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_FIFO_EMPTY_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_FIFO_FULL_SHIFT                       _MK_SHIFT_CONST(1)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_FIFO_FULL_FIELD                       _MK_FIELD_CONST(0x1, APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_FIFO_FULL_SHIFT)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_FIFO_FULL_RANGE                       1:1
#define APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_FIFO_FULL_WOFFSET                     0x0
#define APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_FIFO_FULL_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_FIFO_FULL_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_FIFO_FULL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_FIFO_FULL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_FIFO_FULL_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_FIFO_FULL_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_FIFO_EMPTY_SHIFT                      _MK_SHIFT_CONST(2)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_FIFO_EMPTY_FIELD                      _MK_FIELD_CONST(0x1, APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_FIFO_EMPTY_SHIFT)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_FIFO_EMPTY_RANGE                      2:2
#define APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_FIFO_EMPTY_WOFFSET                    0x0
#define APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_FIFO_EMPTY_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_FIFO_EMPTY_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_FIFO_EMPTY_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_FIFO_EMPTY_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_FIFO_EMPTY_DISABLE                    _MK_ENUM_CONST(0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_FIFO_EMPTY_ENABLE                     _MK_ENUM_CONST(1)

#define APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_FIFO_FULL_SHIFT                       _MK_SHIFT_CONST(3)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_FIFO_FULL_FIELD                       _MK_FIELD_CONST(0x1, APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_FIFO_FULL_SHIFT)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_FIFO_FULL_RANGE                       3:3
#define APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_FIFO_FULL_WOFFSET                     0x0
#define APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_FIFO_FULL_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_FIFO_FULL_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_FIFO_FULL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_FIFO_FULL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_FIFO_FULL_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_FIFO_FULL_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_ENABLED_SHIFT                 _MK_SHIFT_CONST(16)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_ENABLED_FIELD                 _MK_FIELD_CONST(0x1, APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_ENABLED_SHIFT)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_ENABLED_RANGE                 16:16
#define APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_ENABLED_WOFFSET                       0x0
#define APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_ENABLED_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_ENABLED_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_ENABLED_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_ENABLED_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_ENABLED_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC0_TX_ENABLED_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_ENABLED_SHIFT                 _MK_SHIFT_CONST(17)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_ENABLED_FIELD                 _MK_FIELD_CONST(0x1, APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_ENABLED_SHIFT)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_ENABLED_RANGE                 17:17
#define APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_ENABLED_WOFFSET                       0x0
#define APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_ENABLED_DEFAULT                       _MK_MASK_CONST(0x0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_ENABLED_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_ENABLED_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_ENABLED_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_ENABLED_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_DMIC_LIVE_STATUS_0_DMIC1_TX_ENABLED_ENABLE                        _MK_ENUM_CONST(1)


// Register APBIF_DMIC_INT_MASK_0
#define APBIF_DMIC_INT_MASK_0                   _MK_ADDR_CONST(0x1e8)
#define APBIF_DMIC_INT_MASK_0_SECURE                    0x0
#define APBIF_DMIC_INT_MASK_0_SCR                       0
#define APBIF_DMIC_INT_MASK_0_WORD_COUNT                        0x1
#define APBIF_DMIC_INT_MASK_0_RESET_VAL                         _MK_MASK_CONST(0x30003)
#define APBIF_DMIC_INT_MASK_0_RESET_MASK                        _MK_MASK_CONST(0x30003)
#define APBIF_DMIC_INT_MASK_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_MASK_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_MASK_0_READ_MASK                         _MK_MASK_CONST(0x30003)
#define APBIF_DMIC_INT_MASK_0_WRITE_MASK                        _MK_MASK_CONST(0x30003)
#define APBIF_DMIC_INT_MASK_0_DMIC0_TX_DONE_SHIFT                       _MK_SHIFT_CONST(0)
#define APBIF_DMIC_INT_MASK_0_DMIC0_TX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_DMIC_INT_MASK_0_DMIC0_TX_DONE_SHIFT)
#define APBIF_DMIC_INT_MASK_0_DMIC0_TX_DONE_RANGE                       0:0
#define APBIF_DMIC_INT_MASK_0_DMIC0_TX_DONE_WOFFSET                     0x0
#define APBIF_DMIC_INT_MASK_0_DMIC0_TX_DONE_DEFAULT                     _MK_MASK_CONST(0x1)
#define APBIF_DMIC_INT_MASK_0_DMIC0_TX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_DMIC_INT_MASK_0_DMIC0_TX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_MASK_0_DMIC0_TX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_MASK_0_DMIC0_TX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_DMIC_INT_MASK_0_DMIC0_TX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_DMIC_INT_MASK_0_DMIC1_TX_DONE_SHIFT                       _MK_SHIFT_CONST(1)
#define APBIF_DMIC_INT_MASK_0_DMIC1_TX_DONE_FIELD                       _MK_FIELD_CONST(0x1, APBIF_DMIC_INT_MASK_0_DMIC1_TX_DONE_SHIFT)
#define APBIF_DMIC_INT_MASK_0_DMIC1_TX_DONE_RANGE                       1:1
#define APBIF_DMIC_INT_MASK_0_DMIC1_TX_DONE_WOFFSET                     0x0
#define APBIF_DMIC_INT_MASK_0_DMIC1_TX_DONE_DEFAULT                     _MK_MASK_CONST(0x1)
#define APBIF_DMIC_INT_MASK_0_DMIC1_TX_DONE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_DMIC_INT_MASK_0_DMIC1_TX_DONE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_MASK_0_DMIC1_TX_DONE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_MASK_0_DMIC1_TX_DONE_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_DMIC_INT_MASK_0_DMIC1_TX_DONE_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_DMIC_INT_MASK_0_DMIC0_TXCIF_OVERRUN_SHIFT                 _MK_SHIFT_CONST(16)
#define APBIF_DMIC_INT_MASK_0_DMIC0_TXCIF_OVERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_DMIC_INT_MASK_0_DMIC0_TXCIF_OVERRUN_SHIFT)
#define APBIF_DMIC_INT_MASK_0_DMIC0_TXCIF_OVERRUN_RANGE                 16:16
#define APBIF_DMIC_INT_MASK_0_DMIC0_TXCIF_OVERRUN_WOFFSET                       0x0
#define APBIF_DMIC_INT_MASK_0_DMIC0_TXCIF_OVERRUN_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_DMIC_INT_MASK_0_DMIC0_TXCIF_OVERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_DMIC_INT_MASK_0_DMIC0_TXCIF_OVERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_MASK_0_DMIC0_TXCIF_OVERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_MASK_0_DMIC0_TXCIF_OVERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_DMIC_INT_MASK_0_DMIC0_TXCIF_OVERRUN_ENABLE                        _MK_ENUM_CONST(1)

#define APBIF_DMIC_INT_MASK_0_DMIC1_TXCIF_OVERRUN_SHIFT                 _MK_SHIFT_CONST(17)
#define APBIF_DMIC_INT_MASK_0_DMIC1_TXCIF_OVERRUN_FIELD                 _MK_FIELD_CONST(0x1, APBIF_DMIC_INT_MASK_0_DMIC1_TXCIF_OVERRUN_SHIFT)
#define APBIF_DMIC_INT_MASK_0_DMIC1_TXCIF_OVERRUN_RANGE                 17:17
#define APBIF_DMIC_INT_MASK_0_DMIC1_TXCIF_OVERRUN_WOFFSET                       0x0
#define APBIF_DMIC_INT_MASK_0_DMIC1_TXCIF_OVERRUN_DEFAULT                       _MK_MASK_CONST(0x1)
#define APBIF_DMIC_INT_MASK_0_DMIC1_TXCIF_OVERRUN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define APBIF_DMIC_INT_MASK_0_DMIC1_TXCIF_OVERRUN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_MASK_0_DMIC1_TXCIF_OVERRUN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_MASK_0_DMIC1_TXCIF_OVERRUN_DISABLE                       _MK_ENUM_CONST(0)
#define APBIF_DMIC_INT_MASK_0_DMIC1_TXCIF_OVERRUN_ENABLE                        _MK_ENUM_CONST(1)


// Register APBIF_DMIC_INT_STATUS_0
#define APBIF_DMIC_INT_STATUS_0                 _MK_ADDR_CONST(0x1ec)
#define APBIF_DMIC_INT_STATUS_0_SECURE                  0x0
#define APBIF_DMIC_INT_STATUS_0_SCR                     0
#define APBIF_DMIC_INT_STATUS_0_WORD_COUNT                      0x1
#define APBIF_DMIC_INT_STATUS_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_STATUS_0_RESET_MASK                      _MK_MASK_CONST(0x30003)
#define APBIF_DMIC_INT_STATUS_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_STATUS_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_STATUS_0_READ_MASK                       _MK_MASK_CONST(0x30003)
#define APBIF_DMIC_INT_STATUS_0_WRITE_MASK                      _MK_MASK_CONST(0x30003)
#define APBIF_DMIC_INT_STATUS_0_DMIC0_TX_DONE_SHIFT                     _MK_SHIFT_CONST(0)
#define APBIF_DMIC_INT_STATUS_0_DMIC0_TX_DONE_FIELD                     _MK_FIELD_CONST(0x1, APBIF_DMIC_INT_STATUS_0_DMIC0_TX_DONE_SHIFT)
#define APBIF_DMIC_INT_STATUS_0_DMIC0_TX_DONE_RANGE                     0:0
#define APBIF_DMIC_INT_STATUS_0_DMIC0_TX_DONE_WOFFSET                   0x0
#define APBIF_DMIC_INT_STATUS_0_DMIC0_TX_DONE_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_STATUS_0_DMIC0_TX_DONE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_DMIC_INT_STATUS_0_DMIC0_TX_DONE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_STATUS_0_DMIC0_TX_DONE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_STATUS_0_DMIC0_TX_DONE_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_DMIC_INT_STATUS_0_DMIC0_TX_DONE_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_DMIC_INT_STATUS_0_DMIC1_TX_DONE_SHIFT                     _MK_SHIFT_CONST(1)
#define APBIF_DMIC_INT_STATUS_0_DMIC1_TX_DONE_FIELD                     _MK_FIELD_CONST(0x1, APBIF_DMIC_INT_STATUS_0_DMIC1_TX_DONE_SHIFT)
#define APBIF_DMIC_INT_STATUS_0_DMIC1_TX_DONE_RANGE                     1:1
#define APBIF_DMIC_INT_STATUS_0_DMIC1_TX_DONE_WOFFSET                   0x0
#define APBIF_DMIC_INT_STATUS_0_DMIC1_TX_DONE_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_STATUS_0_DMIC1_TX_DONE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define APBIF_DMIC_INT_STATUS_0_DMIC1_TX_DONE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_STATUS_0_DMIC1_TX_DONE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_STATUS_0_DMIC1_TX_DONE_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_DMIC_INT_STATUS_0_DMIC1_TX_DONE_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_DMIC_INT_STATUS_0_DMIC0_TXCIF_OVERRUN_SHIFT                       _MK_SHIFT_CONST(16)
#define APBIF_DMIC_INT_STATUS_0_DMIC0_TXCIF_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_DMIC_INT_STATUS_0_DMIC0_TXCIF_OVERRUN_SHIFT)
#define APBIF_DMIC_INT_STATUS_0_DMIC0_TXCIF_OVERRUN_RANGE                       16:16
#define APBIF_DMIC_INT_STATUS_0_DMIC0_TXCIF_OVERRUN_WOFFSET                     0x0
#define APBIF_DMIC_INT_STATUS_0_DMIC0_TXCIF_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_STATUS_0_DMIC0_TXCIF_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_DMIC_INT_STATUS_0_DMIC0_TXCIF_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_STATUS_0_DMIC0_TXCIF_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_STATUS_0_DMIC0_TXCIF_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_DMIC_INT_STATUS_0_DMIC0_TXCIF_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_DMIC_INT_STATUS_0_DMIC1_TXCIF_OVERRUN_SHIFT                       _MK_SHIFT_CONST(17)
#define APBIF_DMIC_INT_STATUS_0_DMIC1_TXCIF_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_DMIC_INT_STATUS_0_DMIC1_TXCIF_OVERRUN_SHIFT)
#define APBIF_DMIC_INT_STATUS_0_DMIC1_TXCIF_OVERRUN_RANGE                       17:17
#define APBIF_DMIC_INT_STATUS_0_DMIC1_TXCIF_OVERRUN_WOFFSET                     0x0
#define APBIF_DMIC_INT_STATUS_0_DMIC1_TXCIF_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_STATUS_0_DMIC1_TXCIF_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define APBIF_DMIC_INT_STATUS_0_DMIC1_TXCIF_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_STATUS_0_DMIC1_TXCIF_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_STATUS_0_DMIC1_TXCIF_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_DMIC_INT_STATUS_0_DMIC1_TXCIF_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)


// Register APBIF_DMIC_INT_SOURCE_0
#define APBIF_DMIC_INT_SOURCE_0                 _MK_ADDR_CONST(0x1f0)
#define APBIF_DMIC_INT_SOURCE_0_SECURE                  0x0
#define APBIF_DMIC_INT_SOURCE_0_SCR                     0
#define APBIF_DMIC_INT_SOURCE_0_WORD_COUNT                      0x1
#define APBIF_DMIC_INT_SOURCE_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SOURCE_0_RESET_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SOURCE_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SOURCE_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SOURCE_0_READ_MASK                       _MK_MASK_CONST(0x30003)
#define APBIF_DMIC_INT_SOURCE_0_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SOURCE_0_DMIC0_TX_DONE_SHIFT                     _MK_SHIFT_CONST(0)
#define APBIF_DMIC_INT_SOURCE_0_DMIC0_TX_DONE_FIELD                     _MK_FIELD_CONST(0x1, APBIF_DMIC_INT_SOURCE_0_DMIC0_TX_DONE_SHIFT)
#define APBIF_DMIC_INT_SOURCE_0_DMIC0_TX_DONE_RANGE                     0:0
#define APBIF_DMIC_INT_SOURCE_0_DMIC0_TX_DONE_WOFFSET                   0x0
#define APBIF_DMIC_INT_SOURCE_0_DMIC0_TX_DONE_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SOURCE_0_DMIC0_TX_DONE_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SOURCE_0_DMIC0_TX_DONE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SOURCE_0_DMIC0_TX_DONE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SOURCE_0_DMIC0_TX_DONE_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_DMIC_INT_SOURCE_0_DMIC0_TX_DONE_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_DMIC_INT_SOURCE_0_DMIC1_TX_DONE_SHIFT                     _MK_SHIFT_CONST(1)
#define APBIF_DMIC_INT_SOURCE_0_DMIC1_TX_DONE_FIELD                     _MK_FIELD_CONST(0x1, APBIF_DMIC_INT_SOURCE_0_DMIC1_TX_DONE_SHIFT)
#define APBIF_DMIC_INT_SOURCE_0_DMIC1_TX_DONE_RANGE                     1:1
#define APBIF_DMIC_INT_SOURCE_0_DMIC1_TX_DONE_WOFFSET                   0x0
#define APBIF_DMIC_INT_SOURCE_0_DMIC1_TX_DONE_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SOURCE_0_DMIC1_TX_DONE_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SOURCE_0_DMIC1_TX_DONE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SOURCE_0_DMIC1_TX_DONE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SOURCE_0_DMIC1_TX_DONE_DISABLE                   _MK_ENUM_CONST(0)
#define APBIF_DMIC_INT_SOURCE_0_DMIC1_TX_DONE_ENABLE                    _MK_ENUM_CONST(1)

#define APBIF_DMIC_INT_SOURCE_0_DMIC0_TXCIF_OVERRUN_SHIFT                       _MK_SHIFT_CONST(16)
#define APBIF_DMIC_INT_SOURCE_0_DMIC0_TXCIF_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_DMIC_INT_SOURCE_0_DMIC0_TXCIF_OVERRUN_SHIFT)
#define APBIF_DMIC_INT_SOURCE_0_DMIC0_TXCIF_OVERRUN_RANGE                       16:16
#define APBIF_DMIC_INT_SOURCE_0_DMIC0_TXCIF_OVERRUN_WOFFSET                     0x0
#define APBIF_DMIC_INT_SOURCE_0_DMIC0_TXCIF_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SOURCE_0_DMIC0_TXCIF_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SOURCE_0_DMIC0_TXCIF_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SOURCE_0_DMIC0_TXCIF_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SOURCE_0_DMIC0_TXCIF_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_DMIC_INT_SOURCE_0_DMIC0_TXCIF_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)

#define APBIF_DMIC_INT_SOURCE_0_DMIC1_TXCIF_OVERRUN_SHIFT                       _MK_SHIFT_CONST(17)
#define APBIF_DMIC_INT_SOURCE_0_DMIC1_TXCIF_OVERRUN_FIELD                       _MK_FIELD_CONST(0x1, APBIF_DMIC_INT_SOURCE_0_DMIC1_TXCIF_OVERRUN_SHIFT)
#define APBIF_DMIC_INT_SOURCE_0_DMIC1_TXCIF_OVERRUN_RANGE                       17:17
#define APBIF_DMIC_INT_SOURCE_0_DMIC1_TXCIF_OVERRUN_WOFFSET                     0x0
#define APBIF_DMIC_INT_SOURCE_0_DMIC1_TXCIF_OVERRUN_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SOURCE_0_DMIC1_TXCIF_OVERRUN_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SOURCE_0_DMIC1_TXCIF_OVERRUN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SOURCE_0_DMIC1_TXCIF_OVERRUN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SOURCE_0_DMIC1_TXCIF_OVERRUN_DISABLE                     _MK_ENUM_CONST(0)
#define APBIF_DMIC_INT_SOURCE_0_DMIC1_TXCIF_OVERRUN_ENABLE                      _MK_ENUM_CONST(1)


// Register APBIF_DMIC_INT_SET_0
#define APBIF_DMIC_INT_SET_0                    _MK_ADDR_CONST(0x1f4)
#define APBIF_DMIC_INT_SET_0_SECURE                     0x0
#define APBIF_DMIC_INT_SET_0_SCR                        0
#define APBIF_DMIC_INT_SET_0_WORD_COUNT                         0x1
#define APBIF_DMIC_INT_SET_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SET_0_RESET_MASK                         _MK_MASK_CONST(0x30003)
#define APBIF_DMIC_INT_SET_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SET_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SET_0_READ_MASK                  _MK_MASK_CONST(0x30003)
#define APBIF_DMIC_INT_SET_0_WRITE_MASK                         _MK_MASK_CONST(0x30003)
#define APBIF_DMIC_INT_SET_0_DMIC0_TX_DONE_SHIFT                        _MK_SHIFT_CONST(0)
#define APBIF_DMIC_INT_SET_0_DMIC0_TX_DONE_FIELD                        _MK_FIELD_CONST(0x1, APBIF_DMIC_INT_SET_0_DMIC0_TX_DONE_SHIFT)
#define APBIF_DMIC_INT_SET_0_DMIC0_TX_DONE_RANGE                        0:0
#define APBIF_DMIC_INT_SET_0_DMIC0_TX_DONE_WOFFSET                      0x0
#define APBIF_DMIC_INT_SET_0_DMIC0_TX_DONE_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SET_0_DMIC0_TX_DONE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_DMIC_INT_SET_0_DMIC0_TX_DONE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SET_0_DMIC0_TX_DONE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SET_0_DMIC0_TX_DONE_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_DMIC_INT_SET_0_DMIC0_TX_DONE_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_DMIC_INT_SET_0_DMIC1_TX_DONE_SHIFT                        _MK_SHIFT_CONST(1)
#define APBIF_DMIC_INT_SET_0_DMIC1_TX_DONE_FIELD                        _MK_FIELD_CONST(0x1, APBIF_DMIC_INT_SET_0_DMIC1_TX_DONE_SHIFT)
#define APBIF_DMIC_INT_SET_0_DMIC1_TX_DONE_RANGE                        1:1
#define APBIF_DMIC_INT_SET_0_DMIC1_TX_DONE_WOFFSET                      0x0
#define APBIF_DMIC_INT_SET_0_DMIC1_TX_DONE_DEFAULT                      _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SET_0_DMIC1_TX_DONE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define APBIF_DMIC_INT_SET_0_DMIC1_TX_DONE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SET_0_DMIC1_TX_DONE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SET_0_DMIC1_TX_DONE_DISABLE                      _MK_ENUM_CONST(0)
#define APBIF_DMIC_INT_SET_0_DMIC1_TX_DONE_ENABLE                       _MK_ENUM_CONST(1)

#define APBIF_DMIC_INT_SET_0_DMIC0_TXCIF_OVERRUN_SHIFT                  _MK_SHIFT_CONST(16)
#define APBIF_DMIC_INT_SET_0_DMIC0_TXCIF_OVERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_DMIC_INT_SET_0_DMIC0_TXCIF_OVERRUN_SHIFT)
#define APBIF_DMIC_INT_SET_0_DMIC0_TXCIF_OVERRUN_RANGE                  16:16
#define APBIF_DMIC_INT_SET_0_DMIC0_TXCIF_OVERRUN_WOFFSET                        0x0
#define APBIF_DMIC_INT_SET_0_DMIC0_TXCIF_OVERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SET_0_DMIC0_TXCIF_OVERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_DMIC_INT_SET_0_DMIC0_TXCIF_OVERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SET_0_DMIC0_TXCIF_OVERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SET_0_DMIC0_TXCIF_OVERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_DMIC_INT_SET_0_DMIC0_TXCIF_OVERRUN_ENABLE                 _MK_ENUM_CONST(1)

#define APBIF_DMIC_INT_SET_0_DMIC1_TXCIF_OVERRUN_SHIFT                  _MK_SHIFT_CONST(17)
#define APBIF_DMIC_INT_SET_0_DMIC1_TXCIF_OVERRUN_FIELD                  _MK_FIELD_CONST(0x1, APBIF_DMIC_INT_SET_0_DMIC1_TXCIF_OVERRUN_SHIFT)
#define APBIF_DMIC_INT_SET_0_DMIC1_TXCIF_OVERRUN_RANGE                  17:17
#define APBIF_DMIC_INT_SET_0_DMIC1_TXCIF_OVERRUN_WOFFSET                        0x0
#define APBIF_DMIC_INT_SET_0_DMIC1_TXCIF_OVERRUN_DEFAULT                        _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SET_0_DMIC1_TXCIF_OVERRUN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define APBIF_DMIC_INT_SET_0_DMIC1_TXCIF_OVERRUN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SET_0_DMIC1_TXCIF_OVERRUN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define APBIF_DMIC_INT_SET_0_DMIC1_TXCIF_OVERRUN_DISABLE                        _MK_ENUM_CONST(0)
#define APBIF_DMIC_INT_SET_0_DMIC1_TXCIF_OVERRUN_ENABLE                 _MK_ENUM_CONST(1)


// Packet AUDIOCFG_PKT
#define AUDIOCFG_PKT_SIZE 48

#define AUDIOCFG_PKT_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define AUDIOCFG_PKT_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, AUDIOCFG_PKT_DATA_SHIFT)
#define AUDIOCFG_PKT_DATA_RANGE                 _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define AUDIOCFG_PKT_DATA_ROW                   0

#define AUDIOCFG_PKT_PAUSE_SHIFT                        _MK_SHIFT_CONST(32)
#define AUDIOCFG_PKT_PAUSE_FIELD                        _MK_FIELD_CONST(0x1, AUDIOCFG_PKT_PAUSE_SHIFT)
#define AUDIOCFG_PKT_PAUSE_RANGE                        _MK_SHIFT_CONST(32):_MK_SHIFT_CONST(32)
#define AUDIOCFG_PKT_PAUSE_ROW                  0

#define AUDIOCFG_PKT_READ_SHIFT                 _MK_SHIFT_CONST(33)
#define AUDIOCFG_PKT_READ_FIELD                 _MK_FIELD_CONST(0x1, AUDIOCFG_PKT_READ_SHIFT)
#define AUDIOCFG_PKT_READ_RANGE                 _MK_SHIFT_CONST(33):_MK_SHIFT_CONST(33)
#define AUDIOCFG_PKT_READ_ROW                   0

#define AUDIOCFG_PKT_RADDR_SHIFT                        _MK_SHIFT_CONST(34)
#define AUDIOCFG_PKT_RADDR_FIELD                        _MK_FIELD_CONST(0x7f, AUDIOCFG_PKT_RADDR_SHIFT)
#define AUDIOCFG_PKT_RADDR_RANGE                        _MK_SHIFT_CONST(40):_MK_SHIFT_CONST(34)
#define AUDIOCFG_PKT_RADDR_ROW                  0

#define AUDIOCFG_PKT_PADDR_SHIFT                        _MK_SHIFT_CONST(41)
#define AUDIOCFG_PKT_PADDR_FIELD                        _MK_FIELD_CONST(0x3f, AUDIOCFG_PKT_PADDR_SHIFT)
#define AUDIOCFG_PKT_PADDR_RANGE                        _MK_SHIFT_CONST(46):_MK_SHIFT_CONST(41)
#define AUDIOCFG_PKT_PADDR_ROW                  0

#define AUDIOCFG_PKT_HEADER_SHIFT                       _MK_SHIFT_CONST(47)
#define AUDIOCFG_PKT_HEADER_FIELD                       _MK_FIELD_CONST(0x1, AUDIOCFG_PKT_HEADER_SHIFT)
#define AUDIOCFG_PKT_HEADER_RANGE                       _MK_SHIFT_CONST(47):_MK_SHIFT_CONST(47)
#define AUDIOCFG_PKT_HEADER_ROW                 0

#define NV_CONFIG_LINK_PKT_COUNT        6

// Packet CONFIG_LINK_HEADER_PKT
#define CONFIG_LINK_HEADER_PKT_SIZE 8

#define CONFIG_LINK_HEADER_PKT_PREFIX_SHIFT                     _MK_SHIFT_CONST(7)
#define CONFIG_LINK_HEADER_PKT_PREFIX_FIELD                     _MK_FIELD_CONST(0x1, CONFIG_LINK_HEADER_PKT_PREFIX_SHIFT)
#define CONFIG_LINK_HEADER_PKT_PREFIX_RANGE                     _MK_SHIFT_CONST(7):_MK_SHIFT_CONST(7)
#define CONFIG_LINK_HEADER_PKT_PREFIX_ROW                       0
#define CONFIG_LINK_HEADER_PKT_PREFIX_HEADER                    _MK_ENUM_CONST(1)

#define CONFIG_LINK_HEADER_PKT_PADDR_SHIFT                      _MK_SHIFT_CONST(0)
#define CONFIG_LINK_HEADER_PKT_PADDR_FIELD                      _MK_FIELD_CONST(0x7f, CONFIG_LINK_HEADER_PKT_PADDR_SHIFT)
#define CONFIG_LINK_HEADER_PKT_PADDR_RANGE                      _MK_SHIFT_CONST(6):_MK_SHIFT_CONST(0)
#define CONFIG_LINK_HEADER_PKT_PADDR_ROW                        0


// Packet CONFIG_LINK_ADDR_PKT
#define CONFIG_LINK_ADDR_PKT_SIZE 9

#define CONFIG_LINK_ADDR_PKT_RADDR_SHIFT                        _MK_SHIFT_CONST(2)
#define CONFIG_LINK_ADDR_PKT_RADDR_FIELD                        _MK_FIELD_CONST(0x7f, CONFIG_LINK_ADDR_PKT_RADDR_SHIFT)
#define CONFIG_LINK_ADDR_PKT_RADDR_RANGE                        _MK_SHIFT_CONST(8):_MK_SHIFT_CONST(2)
#define CONFIG_LINK_ADDR_PKT_RADDR_ROW                  0

#define CONFIG_LINK_ADDR_PKT_READ_SHIFT                 _MK_SHIFT_CONST(1)
#define CONFIG_LINK_ADDR_PKT_READ_FIELD                 _MK_FIELD_CONST(0x1, CONFIG_LINK_ADDR_PKT_READ_SHIFT)
#define CONFIG_LINK_ADDR_PKT_READ_RANGE                 _MK_SHIFT_CONST(1):_MK_SHIFT_CONST(1)
#define CONFIG_LINK_ADDR_PKT_READ_ROW                   0

#define CONFIG_LINK_ADDR_PKT_PAUSE_SHIFT                        _MK_SHIFT_CONST(0)
#define CONFIG_LINK_ADDR_PKT_PAUSE_FIELD                        _MK_FIELD_CONST(0x1, CONFIG_LINK_ADDR_PKT_PAUSE_SHIFT)
#define CONFIG_LINK_ADDR_PKT_PAUSE_RANGE                        _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define CONFIG_LINK_ADDR_PKT_PAUSE_ROW                  0


// Packet CONFIG_LINK_PAUSE_PKT
#define CONFIG_LINK_PAUSE_PKT_SIZE 8

#define CONFIG_LINK_PAUSE_PKT_RSVD_SHIFT                        _MK_SHIFT_CONST(1)
#define CONFIG_LINK_PAUSE_PKT_RSVD_FIELD                        _MK_FIELD_CONST(0x7f, CONFIG_LINK_PAUSE_PKT_RSVD_SHIFT)
#define CONFIG_LINK_PAUSE_PKT_RSVD_RANGE                        _MK_SHIFT_CONST(7):_MK_SHIFT_CONST(1)
#define CONFIG_LINK_PAUSE_PKT_RSVD_ROW                  0

#define CONFIG_LINK_PAUSE_PKT_PAUSE_SHIFT                       _MK_SHIFT_CONST(0)
#define CONFIG_LINK_PAUSE_PKT_PAUSE_FIELD                       _MK_FIELD_CONST(0x1, CONFIG_LINK_PAUSE_PKT_PAUSE_SHIFT)
#define CONFIG_LINK_PAUSE_PKT_PAUSE_RANGE                       _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define CONFIG_LINK_PAUSE_PKT_PAUSE_ROW                 0


// Packet CONFIG_LINK_DATA_PKT
#define CONFIG_LINK_DATA_PKT_SIZE 8

#define CONFIG_LINK_DATA_PKT_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define CONFIG_LINK_DATA_PKT_DATA_FIELD                 _MK_FIELD_CONST(0xff, CONFIG_LINK_DATA_PKT_DATA_SHIFT)
#define CONFIG_LINK_DATA_PKT_DATA_RANGE                 _MK_SHIFT_CONST(7):_MK_SHIFT_CONST(0)
#define CONFIG_LINK_DATA_PKT_DATA_ROW                   0

#define NV_AUDIOCFG_BUS_WIDTH   8
#define NV_AUDIOCFG_SYNC_PROTOCOL       1
#define NV_AUDIOCFG_PADDR_SHIFT 9
#define NV_AUDIOCFG_RADDR_SHIFT 2
#define NV_AUDIOCFG_ADDR_MASK   65535
#define NV_AUDIOCFG_ADDR_SIZE   16
#define TXDMAFIFO_DEPTH 8
#define TXDMAFIFO_WIDTH 32
#define RXDMAFIFO_DEPTH 8
#define RXDMAFIFO_WIDTH 32
#define CONFIG_LINK_FIFO_DEPTH  8
#define CONFIG_LINK_FIFO_WIDTH  46
#define APB_DATA_WIDTH  32

//
// REGISTER LIST
//
#define LIST_ARAPBIF_REGS(_op_) \
_op_(APBIF_CHANNEL0_CTRL_0) \
_op_(APBIF_CHANNEL0_CLEAR_0) \
_op_(APBIF_CHANNEL0_STATUS_0) \
_op_(APBIF_CHANNEL0_TXFIFO_0) \
_op_(APBIF_CHANNEL0_RXFIFO_0) \
_op_(APBIF_AUDIOCIF_TX0_CTRL_0) \
_op_(APBIF_AUDIOCIF_RX0_CTRL_0) \
_op_(APBIF_CHANNEL1_CTRL_0) \
_op_(APBIF_CHANNEL1_CLEAR_0) \
_op_(APBIF_CHANNEL1_STATUS_0) \
_op_(APBIF_CHANNEL1_TXFIFO_0) \
_op_(APBIF_CHANNEL1_RXFIFO_0) \
_op_(APBIF_AUDIOCIF_TX1_CTRL_0) \
_op_(APBIF_AUDIOCIF_RX1_CTRL_0) \
_op_(APBIF_CHANNEL2_CTRL_0) \
_op_(APBIF_CHANNEL2_CLEAR_0) \
_op_(APBIF_CHANNEL2_STATUS_0) \
_op_(APBIF_CHANNEL2_TXFIFO_0) \
_op_(APBIF_CHANNEL2_RXFIFO_0) \
_op_(APBIF_AUDIOCIF_TX2_CTRL_0) \
_op_(APBIF_AUDIOCIF_RX2_CTRL_0) \
_op_(APBIF_CHANNEL3_CTRL_0) \
_op_(APBIF_CHANNEL3_CLEAR_0) \
_op_(APBIF_CHANNEL3_STATUS_0) \
_op_(APBIF_CHANNEL3_TXFIFO_0) \
_op_(APBIF_CHANNEL3_RXFIFO_0) \
_op_(APBIF_AUDIOCIF_TX3_CTRL_0) \
_op_(APBIF_AUDIOCIF_RX3_CTRL_0) \
_op_(APBIF_CONFIG_LINK_CTRL_0) \
_op_(APBIF_MISC_CTRL_0) \
_op_(APBIF_APBDMA_LIVE_STATUS_0) \
_op_(APBIF_I2S_LIVE_STATUS_0) \
_op_(APBIF_DAM0_LIVE_STATUS_0) \
_op_(APBIF_DAM1_LIVE_STATUS_0) \
_op_(APBIF_DAM2_LIVE_STATUS_0) \
_op_(APBIF_SPDIF_LIVE_STATUS_0) \
_op_(APBIF_I2S_INT_MASK_0) \
_op_(APBIF_DAM_INT_MASK_0) \
_op_(APBIF_SPDIF_INT_MASK_0) \
_op_(APBIF_APBIF_INT_MASK_0) \
_op_(APBIF_I2S_INT_STATUS_0) \
_op_(APBIF_DAM_INT_STATUS_0) \
_op_(APBIF_SPDIF_INT_STATUS_0) \
_op_(APBIF_APBIF_INT_STATUS_0) \
_op_(APBIF_I2S_INT_SOURCE_0) \
_op_(APBIF_DAM_INT_SOURCE_0) \
_op_(APBIF_SPDIF_INT_SOURCE_0) \
_op_(APBIF_APBIF_INT_SOURCE_0) \
_op_(APBIF_I2S_INT_SET_0) \
_op_(APBIF_DAM_INT_SET_0) \
_op_(APBIF_SPDIF_INT_SET_0) \
_op_(APBIF_APBIF_INT_SET_0) \
_op_(APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0) \
_op_(APBIF_APBDMA_LIVE_TX_CIF_FIFO_EMPTY_STATUS_0) \
_op_(APBIF_APBDMA_LIVE_RX_DMA_FIFO_EMPTY_STATUS_0) \
_op_(APBIF_APBDMA_LIVE_RX_CIF_FIFO_EMPTY_STATUS_0) \
_op_(APBIF_APBDMA_LIVE_TX_DMA_FIFO_FULL_STATUS_0) \
_op_(APBIF_APBDMA_LIVE_TX_CIF_FIFO_FULL_STATUS_0) \
_op_(APBIF_APBDMA_LIVE_RX_DMA_FIFO_FULL_STATUS_0) \
_op_(APBIF_APBDMA_LIVE_RX_CIF_FIFO_FULL_STATUS_0) \
_op_(APBIF_APBIF_RXCIF_UNDERRUN_INT_MASK_0) \
_op_(APBIF_APBIF_TXCIF_OVERRUN_INT_MASK_0) \
_op_(APBIF_APBIF_APBDMA_UNDERRUN_INT_MASK_0) \
_op_(APBIF_APBIF_APBDMA_OVERRUN_INT_MASK_0) \
_op_(APBIF_APBIF_RXCIF_UNDERRUN_INT_STATUS_0) \
_op_(APBIF_APBIF_TXCIF_OVERRUN_INT_STATUS_0) \
_op_(APBIF_APBIF_APBDMA_UNDERRUN_INT_STATUS_0) \
_op_(APBIF_APBIF_APBDMA_OVERRUN_INT_STATUS_0) \
_op_(APBIF_APBIF_RXCIF_UNDERRUN_INT_SOURCE_0) \
_op_(APBIF_APBIF_TXCIF_OVERRUN_INT_SOURCE_0) \
_op_(APBIF_APBIF_APBDMA_UNDERRUN_INT_SOURCE_0) \
_op_(APBIF_APBIF_APBDMA_OVERRUN_INT_SOURCE_0) \
_op_(APBIF_APBIF_RXCIF_UNDERRUN_INT_SET_0) \
_op_(APBIF_APBIF_TXCIF_OVERRUN_INT_SET_0) \
_op_(APBIF_APBIF_APBDMA_UNDERRUN_INT_SET_0) \
_op_(APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0) \
_op_(APBIF_AMX0_LIVE_STATUS_0) \
_op_(APBIF_AMX1_LIVE_STATUS_0) \
_op_(APBIF_ADX0_LIVE_STATUS_0) \
_op_(APBIF_ADX1_LIVE_STATUS_0) \
_op_(APBIF_AMX_INT_MASK_0) \
_op_(APBIF_ADX_INT_MASK_0) \
_op_(APBIF_AMX_INT_STATUS_0) \
_op_(APBIF_ADX_INT_STATUS_0) \
_op_(APBIF_AMX_INT_SOURCE_0) \
_op_(APBIF_ADX_INT_SOURCE_0) \
_op_(APBIF_AMX_INT_SET_0) \
_op_(APBIF_ADX_INT_SET_0) \
_op_(APBIF_MISC_LIVE_STATUS0_0) \
_op_(APBIF_MISC_LIVE_STATUS1_0) \
_op_(APBIF_MISC_LIVE_STATUS2_0) \
_op_(APBIF_MISC_LIVE_STATUS3_0) \
_op_(APBIF_MISC_LIVE_STATUS4_0) \
_op_(APBIF_DMIC_LIVE_STATUS_0) \
_op_(APBIF_DMIC_INT_MASK_0) \
_op_(APBIF_DMIC_INT_STATUS_0) \
_op_(APBIF_DMIC_INT_SOURCE_0) \
_op_(APBIF_DMIC_INT_SET_0)


//
// ADDRESS SPACES
//

#define BASE_ADDRESS_APBIF      0x00000000

//
// ARAPBIF REGISTER BANKS
//

#define APBIF0_FIRST_REG 0x0000 // APBIF_CHANNEL0_CTRL_0
#define APBIF0_LAST_REG 0x0018 // APBIF_AUDIOCIF_RX0_CTRL_0
#define APBIF1_FIRST_REG 0x0020 // APBIF_CHANNEL1_CTRL_0
#define APBIF1_LAST_REG 0x0038 // APBIF_AUDIOCIF_RX1_CTRL_0
#define APBIF2_FIRST_REG 0x0040 // APBIF_CHANNEL2_CTRL_0
#define APBIF2_LAST_REG 0x0058 // APBIF_AUDIOCIF_RX2_CTRL_0
#define APBIF3_FIRST_REG 0x0060 // APBIF_CHANNEL3_CTRL_0
#define APBIF3_LAST_REG 0x0078 // APBIF_AUDIOCIF_RX3_CTRL_0
#define APBIF4_FIRST_REG 0x0080 // APBIF_CONFIG_LINK_CTRL_0
#define APBIF4_LAST_REG 0x0090 // APBIF_DAM0_LIVE_STATUS_0
#define APBIF5_FIRST_REG 0x0098 // APBIF_DAM1_LIVE_STATUS_0
#define APBIF5_LAST_REG 0x0098 // APBIF_DAM1_LIVE_STATUS_0
#define APBIF6_FIRST_REG 0x00a0 // APBIF_DAM2_LIVE_STATUS_0
#define APBIF6_LAST_REG 0x00a0 // APBIF_DAM2_LIVE_STATUS_0
#define APBIF7_FIRST_REG 0x00a8 // APBIF_SPDIF_LIVE_STATUS_0
#define APBIF7_LAST_REG 0x00a8 // APBIF_SPDIF_LIVE_STATUS_0
#define APBIF8_FIRST_REG 0x00b0 // APBIF_I2S_INT_MASK_0
#define APBIF8_LAST_REG 0x00b4 // APBIF_DAM_INT_MASK_0
#define APBIF9_FIRST_REG 0x00bc // APBIF_SPDIF_INT_MASK_0
#define APBIF9_LAST_REG 0x00c0 // APBIF_APBIF_INT_MASK_0
#define APBIF10_FIRST_REG 0x00c8 // APBIF_I2S_INT_STATUS_0
#define APBIF10_LAST_REG 0x00cc // APBIF_DAM_INT_STATUS_0
#define APBIF11_FIRST_REG 0x00d4 // APBIF_SPDIF_INT_STATUS_0
#define APBIF11_LAST_REG 0x00d8 // APBIF_APBIF_INT_STATUS_0
#define APBIF12_FIRST_REG 0x00e0 // APBIF_I2S_INT_SOURCE_0
#define APBIF12_LAST_REG 0x00e4 // APBIF_DAM_INT_SOURCE_0
#define APBIF13_FIRST_REG 0x00ec // APBIF_SPDIF_INT_SOURCE_0
#define APBIF13_LAST_REG 0x00f0 // APBIF_APBIF_INT_SOURCE_0
#define APBIF14_FIRST_REG 0x00f8 // APBIF_I2S_INT_SET_0
#define APBIF14_LAST_REG 0x0104 // APBIF_APBIF_INT_SET_0
#define APBIF15_FIRST_REG 0x010c // APBIF_APBDMA_LIVE_TX_DMA_FIFO_EMPTY_STATUS_0
#define APBIF15_LAST_REG 0x0168 // APBIF_APBIF_APBDMA_OVERRUN_INT_SET_0
#define APBIF16_FIRST_REG 0x0178 // APBIF_AMX0_LIVE_STATUS_0
#define APBIF16_LAST_REG 0x0188 // APBIF_AMX_INT_MASK_0
#define APBIF17_FIRST_REG 0x0190 // APBIF_ADX_INT_MASK_0
#define APBIF17_LAST_REG 0x0190 // APBIF_ADX_INT_MASK_0
#define APBIF18_FIRST_REG 0x0198 // APBIF_AMX_INT_STATUS_0
#define APBIF18_LAST_REG 0x0198 // APBIF_AMX_INT_STATUS_0
#define APBIF19_FIRST_REG 0x01a0 // APBIF_ADX_INT_STATUS_0
#define APBIF19_LAST_REG 0x01a0 // APBIF_ADX_INT_STATUS_0
#define APBIF20_FIRST_REG 0x01a8 // APBIF_AMX_INT_SOURCE_0
#define APBIF20_LAST_REG 0x01a8 // APBIF_AMX_INT_SOURCE_0
#define APBIF21_FIRST_REG 0x01b0 // APBIF_ADX_INT_SOURCE_0
#define APBIF21_LAST_REG 0x01b0 // APBIF_ADX_INT_SOURCE_0
#define APBIF22_FIRST_REG 0x01b8 // APBIF_AMX_INT_SET_0
#define APBIF22_LAST_REG 0x01b8 // APBIF_AMX_INT_SET_0
#define APBIF23_FIRST_REG 0x01c0 // APBIF_ADX_INT_SET_0
#define APBIF23_LAST_REG 0x01c0 // APBIF_ADX_INT_SET_0
#define APBIF24_FIRST_REG 0x01d0 // APBIF_MISC_LIVE_STATUS0_0
#define APBIF24_LAST_REG 0x01f4 // APBIF_DMIC_INT_SET_0

// To satisfy various compilers and platforms,
// we let users control the types and syntax of certain constants, using macros.
#ifndef _MK_SHIFT_CONST
  #define _MK_SHIFT_CONST(_constant_) _constant_
#endif
#ifndef _MK_MASK_CONST
  #define _MK_MASK_CONST(_constant_) _constant_
#endif
#ifndef _MK_ENUM_CONST
  #define _MK_ENUM_CONST(_constant_) (_constant_ ## UL)
#endif
#ifndef _MK_ADDR_CONST
  #define _MK_ADDR_CONST(_constant_) _constant_
#endif
#ifndef _MK_FIELD_CONST
  #define _MK_FIELD_CONST(_mask_, _shift_) (_MK_MASK_CONST(_mask_) << _MK_SHIFT_CONST(_shift_))
#endif

#endif // ifndef ___ARAPBIF_H_INC_
