//
// Copyright (c) 2016 NVIDIA Corporation.
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
//  * Redistributions of source code must retain the above copyright
//    notice, this list of conditions and the following disclaimer.
//  * Redistributions in binary form must reproduce the above copyright
//    notice, this list of conditions and the following disclaimer in the
//    documentation and/or other materials provided with the distribution.
//  * Neither the name of NVIDIA CORPORATION nor the names of its
//    contributors may be used to endorse or promote products derived
//    from this software without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS ``AS IS'' AND ANY
// EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
// PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR
// CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
// EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
// PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
// PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
// OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
// (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
// OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//

//
// DO NOT EDIT - generated by simspec!
//

#ifndef ___ARFUSE_H_INC_
#define ___ARFUSE_H_INC_

// Register FUSE_FUSECTRL_0
#define FUSE_FUSECTRL_0                 _MK_ADDR_CONST(0x0)
#define FUSE_FUSECTRL_0_SECURE                  0x0
#define FUSE_FUSECTRL_0_SCR                     0
#define FUSE_FUSECTRL_0_WORD_COUNT                      0x1
#define FUSE_FUSECTRL_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_FUSECTRL_0_RESET_MASK                      _MK_MASK_CONST(0x7e00003)
#define FUSE_FUSECTRL_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_FUSECTRL_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define FUSE_FUSECTRL_0_READ_MASK                       _MK_MASK_CONST(0xc7ff0000)
#define FUSE_FUSECTRL_0_WRITE_MASK                      _MK_MASK_CONST(0x7e00003)
#define FUSE_FUSECTRL_0_FUSECTRL_CMD_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_FUSECTRL_0_FUSECTRL_CMD_FIELD                      _MK_FIELD_CONST(0x3, FUSE_FUSECTRL_0_FUSECTRL_CMD_SHIFT)
#define FUSE_FUSECTRL_0_FUSECTRL_CMD_RANGE                      1:0
#define FUSE_FUSECTRL_0_FUSECTRL_CMD_WOFFSET                    0x0
#define FUSE_FUSECTRL_0_FUSECTRL_CMD_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_FUSECTRL_0_FUSECTRL_CMD_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define FUSE_FUSECTRL_0_FUSECTRL_CMD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_FUSECTRL_0_FUSECTRL_CMD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_FUSECTRL_0_FUSECTRL_CMD_INIT_ENUM                  IDLE
#define FUSE_FUSECTRL_0_FUSECTRL_CMD_IDLE                       _MK_ENUM_CONST(0)
#define FUSE_FUSECTRL_0_FUSECTRL_CMD_READ                       _MK_ENUM_CONST(1)
#define FUSE_FUSECTRL_0_FUSECTRL_CMD_WRITE                      _MK_ENUM_CONST(2)
#define FUSE_FUSECTRL_0_FUSECTRL_CMD_SENSE_CTRL                 _MK_ENUM_CONST(3)

#define FUSE_FUSECTRL_0_FUSECTRL_STATE_SHIFT                    _MK_SHIFT_CONST(16)
#define FUSE_FUSECTRL_0_FUSECTRL_STATE_FIELD                    _MK_FIELD_CONST(0x1f, FUSE_FUSECTRL_0_FUSECTRL_STATE_SHIFT)
#define FUSE_FUSECTRL_0_FUSECTRL_STATE_RANGE                    20:16
#define FUSE_FUSECTRL_0_FUSECTRL_STATE_WOFFSET                  0x0
#define FUSE_FUSECTRL_0_FUSECTRL_STATE_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_FUSECTRL_0_FUSECTRL_STATE_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_FUSECTRL_0_FUSECTRL_STATE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_FUSECTRL_0_FUSECTRL_STATE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_FUSECTRL_0_FUSECTRL_STATE_STATE_RESET                      _MK_ENUM_CONST(0)
#define FUSE_FUSECTRL_0_FUSECTRL_STATE_STATE_POST_RESET                 _MK_ENUM_CONST(1)
#define FUSE_FUSECTRL_0_FUSECTRL_STATE_STATE_LOAD_ROW0                  _MK_ENUM_CONST(2)
#define FUSE_FUSECTRL_0_FUSECTRL_STATE_STATE_LOAD_ROW1                  _MK_ENUM_CONST(3)
#define FUSE_FUSECTRL_0_FUSECTRL_STATE_STATE_IDLE                       _MK_ENUM_CONST(4)
#define FUSE_FUSECTRL_0_FUSECTRL_STATE_STATE_READ_SETUP                 _MK_ENUM_CONST(5)
#define FUSE_FUSECTRL_0_FUSECTRL_STATE_STATE_READ_STROBE                        _MK_ENUM_CONST(6)
#define FUSE_FUSECTRL_0_FUSECTRL_STATE_STATE_SAMPLE_FUSES                       _MK_ENUM_CONST(7)
#define FUSE_FUSECTRL_0_FUSECTRL_STATE_STATE_READ_HOLD                  _MK_ENUM_CONST(8)
#define FUSE_FUSECTRL_0_FUSECTRL_STATE_STATE_FUSE_SRC_SETUP                     _MK_ENUM_CONST(9)
#define FUSE_FUSECTRL_0_FUSECTRL_STATE_STATE_WRITE_SETUP                        _MK_ENUM_CONST(10)
#define FUSE_FUSECTRL_0_FUSECTRL_STATE_STATE_WRITE_ADDR_SETUP                   _MK_ENUM_CONST(11)
#define FUSE_FUSECTRL_0_FUSECTRL_STATE_STATE_WRITE_PROGRAM                      _MK_ENUM_CONST(12)
#define FUSE_FUSECTRL_0_FUSECTRL_STATE_STATE_WRITE_ADDR_HOLD                    _MK_ENUM_CONST(13)
#define FUSE_FUSECTRL_0_FUSECTRL_STATE_STATE_FUSE_SRC_HOLD                      _MK_ENUM_CONST(14)
#define FUSE_FUSECTRL_0_FUSECTRL_STATE_STATE_LOAD_RIR                   _MK_ENUM_CONST(15)
#define FUSE_FUSECTRL_0_FUSECTRL_STATE_STATE_READ_BEFORE_WRITE_SETUP                    _MK_ENUM_CONST(16)
#define FUSE_FUSECTRL_0_FUSECTRL_STATE_STATE_READ_DEASSERT_PD                   _MK_ENUM_CONST(17)

#define FUSE_FUSECTRL_0_FUSECTRL_MARGIN_READ_SHIFT                      _MK_SHIFT_CONST(21)
#define FUSE_FUSECTRL_0_FUSECTRL_MARGIN_READ_FIELD                      _MK_FIELD_CONST(0x1, FUSE_FUSECTRL_0_FUSECTRL_MARGIN_READ_SHIFT)
#define FUSE_FUSECTRL_0_FUSECTRL_MARGIN_READ_RANGE                      21:21
#define FUSE_FUSECTRL_0_FUSECTRL_MARGIN_READ_WOFFSET                    0x0
#define FUSE_FUSECTRL_0_FUSECTRL_MARGIN_READ_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_FUSECTRL_0_FUSECTRL_MARGIN_READ_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_FUSECTRL_0_FUSECTRL_MARGIN_READ_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_FUSECTRL_0_FUSECTRL_MARGIN_READ_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)

#define FUSE_FUSECTRL_0_FUSECTRL_RWL_SHIFT                      _MK_SHIFT_CONST(22)
#define FUSE_FUSECTRL_0_FUSECTRL_RWL_FIELD                      _MK_FIELD_CONST(0x1, FUSE_FUSECTRL_0_FUSECTRL_RWL_SHIFT)
#define FUSE_FUSECTRL_0_FUSECTRL_RWL_RANGE                      22:22
#define FUSE_FUSECTRL_0_FUSECTRL_RWL_WOFFSET                    0x0
#define FUSE_FUSECTRL_0_FUSECTRL_RWL_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_FUSECTRL_0_FUSECTRL_RWL_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_FUSECTRL_0_FUSECTRL_RWL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_FUSECTRL_0_FUSECTRL_RWL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)

#define FUSE_FUSECTRL_0_FUSECTRL_TRCS_SHIFT                     _MK_SHIFT_CONST(23)
#define FUSE_FUSECTRL_0_FUSECTRL_TRCS_FIELD                     _MK_FIELD_CONST(0x1, FUSE_FUSECTRL_0_FUSECTRL_TRCS_SHIFT)
#define FUSE_FUSECTRL_0_FUSECTRL_TRCS_RANGE                     23:23
#define FUSE_FUSECTRL_0_FUSECTRL_TRCS_WOFFSET                   0x0
#define FUSE_FUSECTRL_0_FUSECTRL_TRCS_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_FUSECTRL_0_FUSECTRL_TRCS_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define FUSE_FUSECTRL_0_FUSECTRL_TRCS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_FUSECTRL_0_FUSECTRL_TRCS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)

#define FUSE_FUSECTRL_0_FUSECTRL_AT1_SHIFT                      _MK_SHIFT_CONST(24)
#define FUSE_FUSECTRL_0_FUSECTRL_AT1_FIELD                      _MK_FIELD_CONST(0x1, FUSE_FUSECTRL_0_FUSECTRL_AT1_SHIFT)
#define FUSE_FUSECTRL_0_FUSECTRL_AT1_RANGE                      24:24
#define FUSE_FUSECTRL_0_FUSECTRL_AT1_WOFFSET                    0x0
#define FUSE_FUSECTRL_0_FUSECTRL_AT1_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_FUSECTRL_0_FUSECTRL_AT1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_FUSECTRL_0_FUSECTRL_AT1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_FUSECTRL_0_FUSECTRL_AT1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)

#define FUSE_FUSECTRL_0_FUSECTRL_AT0_SHIFT                      _MK_SHIFT_CONST(25)
#define FUSE_FUSECTRL_0_FUSECTRL_AT0_FIELD                      _MK_FIELD_CONST(0x1, FUSE_FUSECTRL_0_FUSECTRL_AT0_SHIFT)
#define FUSE_FUSECTRL_0_FUSECTRL_AT0_RANGE                      25:25
#define FUSE_FUSECTRL_0_FUSECTRL_AT0_WOFFSET                    0x0
#define FUSE_FUSECTRL_0_FUSECTRL_AT0_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_FUSECTRL_0_FUSECTRL_AT0_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_FUSECTRL_0_FUSECTRL_AT0_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_FUSECTRL_0_FUSECTRL_AT0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)

#define FUSE_FUSECTRL_0_FUSECTRL_PD_CTRL_SHIFT                  _MK_SHIFT_CONST(26)
#define FUSE_FUSECTRL_0_FUSECTRL_PD_CTRL_FIELD                  _MK_FIELD_CONST(0x1, FUSE_FUSECTRL_0_FUSECTRL_PD_CTRL_SHIFT)
#define FUSE_FUSECTRL_0_FUSECTRL_PD_CTRL_RANGE                  26:26
#define FUSE_FUSECTRL_0_FUSECTRL_PD_CTRL_WOFFSET                        0x0
#define FUSE_FUSECTRL_0_FUSECTRL_PD_CTRL_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_FUSECTRL_0_FUSECTRL_PD_CTRL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_FUSECTRL_0_FUSECTRL_PD_CTRL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_FUSECTRL_0_FUSECTRL_PD_CTRL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)

#define FUSE_FUSECTRL_0_FUSECTRL_FUSE_SENSE_DONE_SHIFT                  _MK_SHIFT_CONST(30)
#define FUSE_FUSECTRL_0_FUSECTRL_FUSE_SENSE_DONE_FIELD                  _MK_FIELD_CONST(0x1, FUSE_FUSECTRL_0_FUSECTRL_FUSE_SENSE_DONE_SHIFT)
#define FUSE_FUSECTRL_0_FUSECTRL_FUSE_SENSE_DONE_RANGE                  30:30
#define FUSE_FUSECTRL_0_FUSECTRL_FUSE_SENSE_DONE_WOFFSET                        0x0
#define FUSE_FUSECTRL_0_FUSECTRL_FUSE_SENSE_DONE_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_FUSECTRL_0_FUSECTRL_FUSE_SENSE_DONE_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_FUSECTRL_0_FUSECTRL_FUSE_SENSE_DONE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_FUSECTRL_0_FUSECTRL_FUSE_SENSE_DONE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)

#define FUSE_FUSECTRL_0_FUSECTRL_RECORD_SHIFT_DONE_SHIFT                        _MK_SHIFT_CONST(31)
#define FUSE_FUSECTRL_0_FUSECTRL_RECORD_SHIFT_DONE_FIELD                        _MK_FIELD_CONST(0x1, FUSE_FUSECTRL_0_FUSECTRL_RECORD_SHIFT_DONE_SHIFT)
#define FUSE_FUSECTRL_0_FUSECTRL_RECORD_SHIFT_DONE_RANGE                        31:31
#define FUSE_FUSECTRL_0_FUSECTRL_RECORD_SHIFT_DONE_WOFFSET                      0x0
#define FUSE_FUSECTRL_0_FUSECTRL_RECORD_SHIFT_DONE_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_FUSECTRL_0_FUSECTRL_RECORD_SHIFT_DONE_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define FUSE_FUSECTRL_0_FUSECTRL_RECORD_SHIFT_DONE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_FUSECTRL_0_FUSECTRL_RECORD_SHIFT_DONE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_FUSEADDR_0
#define FUSE_FUSEADDR_0                 _MK_ADDR_CONST(0x4)
#define FUSE_FUSEADDR_0_SECURE                  0x0
#define FUSE_FUSEADDR_0_SCR                     0
#define FUSE_FUSEADDR_0_WORD_COUNT                      0x1
#define FUSE_FUSEADDR_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_FUSEADDR_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define FUSE_FUSEADDR_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_FUSEADDR_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define FUSE_FUSEADDR_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define FUSE_FUSEADDR_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define FUSE_FUSEADDR_0_FUSEADDR_VLDFLD_SHIFT                   _MK_SHIFT_CONST(0)
#define FUSE_FUSEADDR_0_FUSEADDR_VLDFLD_FIELD                   _MK_FIELD_CONST(0xff, FUSE_FUSEADDR_0_FUSEADDR_VLDFLD_SHIFT)
#define FUSE_FUSEADDR_0_FUSEADDR_VLDFLD_RANGE                   7:0
#define FUSE_FUSEADDR_0_FUSEADDR_VLDFLD_WOFFSET                 0x0
#define FUSE_FUSEADDR_0_FUSEADDR_VLDFLD_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_FUSEADDR_0_FUSEADDR_VLDFLD_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define FUSE_FUSEADDR_0_FUSEADDR_VLDFLD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_FUSEADDR_0_FUSEADDR_VLDFLD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)


// Register FUSE_FUSERDATA_0
#define FUSE_FUSERDATA_0                        _MK_ADDR_CONST(0x8)
#define FUSE_FUSERDATA_0_SECURE                         0x0
#define FUSE_FUSERDATA_0_SCR                    0
#define FUSE_FUSERDATA_0_WORD_COUNT                     0x1
#define FUSE_FUSERDATA_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_FUSERDATA_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_FUSERDATA_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_FUSERDATA_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define FUSE_FUSERDATA_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define FUSE_FUSERDATA_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_FUSERDATA_0_FUSERDATA_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define FUSE_FUSERDATA_0_FUSERDATA_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, FUSE_FUSERDATA_0_FUSERDATA_DATA_SHIFT)
#define FUSE_FUSERDATA_0_FUSERDATA_DATA_RANGE                   31:0
#define FUSE_FUSERDATA_0_FUSERDATA_DATA_WOFFSET                 0x0
#define FUSE_FUSERDATA_0_FUSERDATA_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_FUSERDATA_0_FUSERDATA_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_FUSERDATA_0_FUSERDATA_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_FUSERDATA_0_FUSERDATA_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)


// Register FUSE_FUSEWDATA_0
#define FUSE_FUSEWDATA_0                        _MK_ADDR_CONST(0xc)
#define FUSE_FUSEWDATA_0_SECURE                         0x0
#define FUSE_FUSEWDATA_0_SCR                    0
#define FUSE_FUSEWDATA_0_WORD_COUNT                     0x1
#define FUSE_FUSEWDATA_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_FUSEWDATA_0_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define FUSE_FUSEWDATA_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_FUSEWDATA_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define FUSE_FUSEWDATA_0_READ_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_FUSEWDATA_0_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define FUSE_FUSEWDATA_0_FUSEWDATA_DATA_SHIFT                   _MK_SHIFT_CONST(0)
#define FUSE_FUSEWDATA_0_FUSEWDATA_DATA_FIELD                   _MK_FIELD_CONST(0xffffffff, FUSE_FUSEWDATA_0_FUSEWDATA_DATA_SHIFT)
#define FUSE_FUSEWDATA_0_FUSEWDATA_DATA_RANGE                   31:0
#define FUSE_FUSEWDATA_0_FUSEWDATA_DATA_WOFFSET                 0x0
#define FUSE_FUSEWDATA_0_FUSEWDATA_DATA_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_FUSEWDATA_0_FUSEWDATA_DATA_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define FUSE_FUSEWDATA_0_FUSEWDATA_DATA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_FUSEWDATA_0_FUSEWDATA_DATA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)


// Register FUSE_FUSETIME_RD1_0
#define FUSE_FUSETIME_RD1_0                     _MK_ADDR_CONST(0x10)
#define FUSE_FUSETIME_RD1_0_SECURE                      0x0
#define FUSE_FUSETIME_RD1_0_SCR                         0
#define FUSE_FUSETIME_RD1_0_WORD_COUNT                  0x1
#define FUSE_FUSETIME_RD1_0_RESET_VAL                   _MK_MASK_CONST(0x50404)
#define FUSE_FUSETIME_RD1_0_RESET_MASK                  _MK_MASK_CONST(0xffffff)
#define FUSE_FUSETIME_RD1_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_FUSETIME_RD1_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_FUSETIME_RD1_0_READ_MASK                   _MK_MASK_CONST(0xffffff)
#define FUSE_FUSETIME_RD1_0_WRITE_MASK                  _MK_MASK_CONST(0xffffff)
#define FUSE_FUSETIME_RD1_0_FUSETIME_RD1_TSUR_MAX_SHIFT                 _MK_SHIFT_CONST(0)
#define FUSE_FUSETIME_RD1_0_FUSETIME_RD1_TSUR_MAX_FIELD                 _MK_FIELD_CONST(0xff, FUSE_FUSETIME_RD1_0_FUSETIME_RD1_TSUR_MAX_SHIFT)
#define FUSE_FUSETIME_RD1_0_FUSETIME_RD1_TSUR_MAX_RANGE                 7:0
#define FUSE_FUSETIME_RD1_0_FUSETIME_RD1_TSUR_MAX_WOFFSET                       0x0
#define FUSE_FUSETIME_RD1_0_FUSETIME_RD1_TSUR_MAX_DEFAULT                       _MK_MASK_CONST(0x4)
#define FUSE_FUSETIME_RD1_0_FUSETIME_RD1_TSUR_MAX_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define FUSE_FUSETIME_RD1_0_FUSETIME_RD1_TSUR_MAX_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_FUSETIME_RD1_0_FUSETIME_RD1_TSUR_MAX_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)

#define FUSE_FUSETIME_RD1_0_FUSETIME_RD1_TSUR_FUSEOUT_SHIFT                     _MK_SHIFT_CONST(8)
#define FUSE_FUSETIME_RD1_0_FUSETIME_RD1_TSUR_FUSEOUT_FIELD                     _MK_FIELD_CONST(0xff, FUSE_FUSETIME_RD1_0_FUSETIME_RD1_TSUR_FUSEOUT_SHIFT)
#define FUSE_FUSETIME_RD1_0_FUSETIME_RD1_TSUR_FUSEOUT_RANGE                     15:8
#define FUSE_FUSETIME_RD1_0_FUSETIME_RD1_TSUR_FUSEOUT_WOFFSET                   0x0
#define FUSE_FUSETIME_RD1_0_FUSETIME_RD1_TSUR_FUSEOUT_DEFAULT                   _MK_MASK_CONST(0x4)
#define FUSE_FUSETIME_RD1_0_FUSETIME_RD1_TSUR_FUSEOUT_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define FUSE_FUSETIME_RD1_0_FUSETIME_RD1_TSUR_FUSEOUT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_FUSETIME_RD1_0_FUSETIME_RD1_TSUR_FUSEOUT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)

#define FUSE_FUSETIME_RD1_0_FUSETIME_RD1_THR_MAX_SHIFT                  _MK_SHIFT_CONST(16)
#define FUSE_FUSETIME_RD1_0_FUSETIME_RD1_THR_MAX_FIELD                  _MK_FIELD_CONST(0xff, FUSE_FUSETIME_RD1_0_FUSETIME_RD1_THR_MAX_SHIFT)
#define FUSE_FUSETIME_RD1_0_FUSETIME_RD1_THR_MAX_RANGE                  23:16
#define FUSE_FUSETIME_RD1_0_FUSETIME_RD1_THR_MAX_WOFFSET                        0x0
#define FUSE_FUSETIME_RD1_0_FUSETIME_RD1_THR_MAX_DEFAULT                        _MK_MASK_CONST(0x5)
#define FUSE_FUSETIME_RD1_0_FUSETIME_RD1_THR_MAX_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define FUSE_FUSETIME_RD1_0_FUSETIME_RD1_THR_MAX_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_FUSETIME_RD1_0_FUSETIME_RD1_THR_MAX_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_FUSETIME_RD2_0
#define FUSE_FUSETIME_RD2_0                     _MK_ADDR_CONST(0x14)
#define FUSE_FUSETIME_RD2_0_SECURE                      0x0
#define FUSE_FUSETIME_RD2_0_SCR                         0
#define FUSE_FUSETIME_RD2_0_WORD_COUNT                  0x1
#define FUSE_FUSETIME_RD2_0_RESET_VAL                   _MK_MASK_CONST(0x2d)
#define FUSE_FUSETIME_RD2_0_RESET_MASK                  _MK_MASK_CONST(0xffff)
#define FUSE_FUSETIME_RD2_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_FUSETIME_RD2_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_FUSETIME_RD2_0_READ_MASK                   _MK_MASK_CONST(0xffff)
#define FUSE_FUSETIME_RD2_0_WRITE_MASK                  _MK_MASK_CONST(0xffff)
#define FUSE_FUSETIME_RD2_0_FUSETIME_RD2_TWIDTH_RD_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_FUSETIME_RD2_0_FUSETIME_RD2_TWIDTH_RD_FIELD                        _MK_FIELD_CONST(0xffff, FUSE_FUSETIME_RD2_0_FUSETIME_RD2_TWIDTH_RD_SHIFT)
#define FUSE_FUSETIME_RD2_0_FUSETIME_RD2_TWIDTH_RD_RANGE                        15:0
#define FUSE_FUSETIME_RD2_0_FUSETIME_RD2_TWIDTH_RD_WOFFSET                      0x0
#define FUSE_FUSETIME_RD2_0_FUSETIME_RD2_TWIDTH_RD_DEFAULT                      _MK_MASK_CONST(0x2d)
#define FUSE_FUSETIME_RD2_0_FUSETIME_RD2_TWIDTH_RD_DEFAULT_MASK                 _MK_MASK_CONST(0xffff)
#define FUSE_FUSETIME_RD2_0_FUSETIME_RD2_TWIDTH_RD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_FUSETIME_RD2_0_FUSETIME_RD2_TWIDTH_RD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_FUSETIME_PGM1_0
#define FUSE_FUSETIME_PGM1_0                    _MK_ADDR_CONST(0x18)
#define FUSE_FUSETIME_PGM1_0_SECURE                     0x0
#define FUSE_FUSETIME_PGM1_0_SCR                        0
#define FUSE_FUSETIME_PGM1_0_WORD_COUNT                         0x1
#define FUSE_FUSETIME_PGM1_0_RESET_VAL                  _MK_MASK_CONST(0x5040401)
#define FUSE_FUSETIME_PGM1_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_FUSETIME_PGM1_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_FUSETIME_PGM1_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_FUSETIME_PGM1_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_FUSETIME_PGM1_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_TSUP_MAX_SHIFT                       _MK_SHIFT_CONST(0)
#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_TSUP_MAX_FIELD                       _MK_FIELD_CONST(0xff, FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_TSUP_MAX_SHIFT)
#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_TSUP_MAX_RANGE                       7:0
#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_TSUP_MAX_WOFFSET                     0x0
#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_TSUP_MAX_DEFAULT                     _MK_MASK_CONST(0x1)
#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_TSUP_MAX_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_TSUP_MAX_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_TSUP_MAX_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)

#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_TSUP_ADDR_SHIFT                      _MK_SHIFT_CONST(8)
#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_TSUP_ADDR_FIELD                      _MK_FIELD_CONST(0xff, FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_TSUP_ADDR_SHIFT)
#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_TSUP_ADDR_RANGE                      15:8
#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_TSUP_ADDR_WOFFSET                    0x0
#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_TSUP_ADDR_DEFAULT                    _MK_MASK_CONST(0x4)
#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_TSUP_ADDR_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_TSUP_ADDR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_TSUP_ADDR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)

#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_THP_ADDR_SHIFT                       _MK_SHIFT_CONST(16)
#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_THP_ADDR_FIELD                       _MK_FIELD_CONST(0xff, FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_THP_ADDR_SHIFT)
#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_THP_ADDR_RANGE                       23:16
#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_THP_ADDR_WOFFSET                     0x0
#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_THP_ADDR_DEFAULT                     _MK_MASK_CONST(0x4)
#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_THP_ADDR_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_THP_ADDR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_THP_ADDR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)

#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_THP_PS_SHIFT                 _MK_SHIFT_CONST(24)
#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_THP_PS_FIELD                 _MK_FIELD_CONST(0xff, FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_THP_PS_SHIFT)
#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_THP_PS_RANGE                 31:24
#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_THP_PS_WOFFSET                       0x0
#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_THP_PS_DEFAULT                       _MK_MASK_CONST(0x5)
#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_THP_PS_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_THP_PS_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_FUSETIME_PGM1_0_FUSETIME_PGM1_THP_PS_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)


// Register FUSE_FUSETIME_PGM2_0
#define FUSE_FUSETIME_PGM2_0                    _MK_ADDR_CONST(0x1c)
#define FUSE_FUSETIME_PGM2_0_SECURE                     0x0
#define FUSE_FUSETIME_PGM2_0_SCR                        0
#define FUSE_FUSETIME_PGM2_0_WORD_COUNT                         0x1
#define FUSE_FUSETIME_PGM2_0_RESET_VAL                  _MK_MASK_CONST(0x50500c0)
#define FUSE_FUSETIME_PGM2_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_FUSETIME_PGM2_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_FUSETIME_PGM2_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_FUSETIME_PGM2_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_FUSETIME_PGM2_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_FUSETIME_PGM2_0_FUSETIME_PGM2_TWIDTH_PGM_SHIFT                     _MK_SHIFT_CONST(0)
#define FUSE_FUSETIME_PGM2_0_FUSETIME_PGM2_TWIDTH_PGM_FIELD                     _MK_FIELD_CONST(0xffff, FUSE_FUSETIME_PGM2_0_FUSETIME_PGM2_TWIDTH_PGM_SHIFT)
#define FUSE_FUSETIME_PGM2_0_FUSETIME_PGM2_TWIDTH_PGM_RANGE                     15:0
#define FUSE_FUSETIME_PGM2_0_FUSETIME_PGM2_TWIDTH_PGM_WOFFSET                   0x0
#define FUSE_FUSETIME_PGM2_0_FUSETIME_PGM2_TWIDTH_PGM_DEFAULT                   _MK_MASK_CONST(0xc0)
#define FUSE_FUSETIME_PGM2_0_FUSETIME_PGM2_TWIDTH_PGM_DEFAULT_MASK                      _MK_MASK_CONST(0xffff)
#define FUSE_FUSETIME_PGM2_0_FUSETIME_PGM2_TWIDTH_PGM_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_FUSETIME_PGM2_0_FUSETIME_PGM2_TWIDTH_PGM_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)

#define FUSE_FUSETIME_PGM2_0_FUSETIME_PGM2_TSUP_PS_SHIFT                        _MK_SHIFT_CONST(16)
#define FUSE_FUSETIME_PGM2_0_FUSETIME_PGM2_TSUP_PS_FIELD                        _MK_FIELD_CONST(0xff, FUSE_FUSETIME_PGM2_0_FUSETIME_PGM2_TSUP_PS_SHIFT)
#define FUSE_FUSETIME_PGM2_0_FUSETIME_PGM2_TSUP_PS_RANGE                        23:16
#define FUSE_FUSETIME_PGM2_0_FUSETIME_PGM2_TSUP_PS_WOFFSET                      0x0
#define FUSE_FUSETIME_PGM2_0_FUSETIME_PGM2_TSUP_PS_DEFAULT                      _MK_MASK_CONST(0x5)
#define FUSE_FUSETIME_PGM2_0_FUSETIME_PGM2_TSUP_PS_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define FUSE_FUSETIME_PGM2_0_FUSETIME_PGM2_TSUP_PS_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_FUSETIME_PGM2_0_FUSETIME_PGM2_TSUP_PS_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)

#define FUSE_FUSETIME_PGM2_0_FUSETIME_PGM2_THP_CSPS_SHIFT                       _MK_SHIFT_CONST(24)
#define FUSE_FUSETIME_PGM2_0_FUSETIME_PGM2_THP_CSPS_FIELD                       _MK_FIELD_CONST(0xff, FUSE_FUSETIME_PGM2_0_FUSETIME_PGM2_THP_CSPS_SHIFT)
#define FUSE_FUSETIME_PGM2_0_FUSETIME_PGM2_THP_CSPS_RANGE                       31:24
#define FUSE_FUSETIME_PGM2_0_FUSETIME_PGM2_THP_CSPS_WOFFSET                     0x0
#define FUSE_FUSETIME_PGM2_0_FUSETIME_PGM2_THP_CSPS_DEFAULT                     _MK_MASK_CONST(0x5)
#define FUSE_FUSETIME_PGM2_0_FUSETIME_PGM2_THP_CSPS_DEFAULT_MASK                        _MK_MASK_CONST(0xff)
#define FUSE_FUSETIME_PGM2_0_FUSETIME_PGM2_THP_CSPS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_FUSETIME_PGM2_0_FUSETIME_PGM2_THP_CSPS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)


// Register FUSE_PRIV2INTFC_START_0
#define FUSE_PRIV2INTFC_START_0                 _MK_ADDR_CONST(0x20)
#define FUSE_PRIV2INTFC_START_0_SECURE                  0x0
#define FUSE_PRIV2INTFC_START_0_SCR                     0
#define FUSE_PRIV2INTFC_START_0_WORD_COUNT                      0x1
#define FUSE_PRIV2INTFC_START_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_PRIV2INTFC_START_0_RESET_MASK                      _MK_MASK_CONST(0x3)
#define FUSE_PRIV2INTFC_START_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_PRIV2INTFC_START_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define FUSE_PRIV2INTFC_START_0_READ_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_PRIV2INTFC_START_0_WRITE_MASK                      _MK_MASK_CONST(0x3)
#define FUSE_PRIV2INTFC_START_0_PRIV2INTFC_START_DATA_SHIFT                     _MK_SHIFT_CONST(0)
#define FUSE_PRIV2INTFC_START_0_PRIV2INTFC_START_DATA_FIELD                     _MK_FIELD_CONST(0x1, FUSE_PRIV2INTFC_START_0_PRIV2INTFC_START_DATA_SHIFT)
#define FUSE_PRIV2INTFC_START_0_PRIV2INTFC_START_DATA_RANGE                     0:0
#define FUSE_PRIV2INTFC_START_0_PRIV2INTFC_START_DATA_WOFFSET                   0x0
#define FUSE_PRIV2INTFC_START_0_PRIV2INTFC_START_DATA_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_PRIV2INTFC_START_0_PRIV2INTFC_START_DATA_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define FUSE_PRIV2INTFC_START_0_PRIV2INTFC_START_DATA_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_PRIV2INTFC_START_0_PRIV2INTFC_START_DATA_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)

#define FUSE_PRIV2INTFC_START_0_PRIV2INTFC_SKIP_RECORDS_SHIFT                   _MK_SHIFT_CONST(1)
#define FUSE_PRIV2INTFC_START_0_PRIV2INTFC_SKIP_RECORDS_FIELD                   _MK_FIELD_CONST(0x1, FUSE_PRIV2INTFC_START_0_PRIV2INTFC_SKIP_RECORDS_SHIFT)
#define FUSE_PRIV2INTFC_START_0_PRIV2INTFC_SKIP_RECORDS_RANGE                   1:1
#define FUSE_PRIV2INTFC_START_0_PRIV2INTFC_SKIP_RECORDS_WOFFSET                 0x0
#define FUSE_PRIV2INTFC_START_0_PRIV2INTFC_SKIP_RECORDS_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_PRIV2INTFC_START_0_PRIV2INTFC_SKIP_RECORDS_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define FUSE_PRIV2INTFC_START_0_PRIV2INTFC_SKIP_RECORDS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_PRIV2INTFC_START_0_PRIV2INTFC_SKIP_RECORDS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)


// Register FUSE_FUSEBYPASS_0
#define FUSE_FUSEBYPASS_0                       _MK_ADDR_CONST(0x24)
#define FUSE_FUSEBYPASS_0_SECURE                        0x0
#define FUSE_FUSEBYPASS_0_SCR                   0
#define FUSE_FUSEBYPASS_0_WORD_COUNT                    0x1
#define FUSE_FUSEBYPASS_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_FUSEBYPASS_0_RESET_MASK                    _MK_MASK_CONST(0x1)
#define FUSE_FUSEBYPASS_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_FUSEBYPASS_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_FUSEBYPASS_0_READ_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_FUSEBYPASS_0_WRITE_MASK                    _MK_MASK_CONST(0x1)
#define FUSE_FUSEBYPASS_0_FUSEBYPASS_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_FUSEBYPASS_0_FUSEBYPASS_VAL_FIELD                  _MK_FIELD_CONST(0x1, FUSE_FUSEBYPASS_0_FUSEBYPASS_VAL_SHIFT)
#define FUSE_FUSEBYPASS_0_FUSEBYPASS_VAL_RANGE                  0:0
#define FUSE_FUSEBYPASS_0_FUSEBYPASS_VAL_WOFFSET                        0x0
#define FUSE_FUSEBYPASS_0_FUSEBYPASS_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_FUSEBYPASS_0_FUSEBYPASS_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_FUSEBYPASS_0_FUSEBYPASS_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_FUSEBYPASS_0_FUSEBYPASS_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define FUSE_FUSEBYPASS_0_FUSEBYPASS_VAL_INIT_ENUM                      DISABLED
#define FUSE_FUSEBYPASS_0_FUSEBYPASS_VAL_DISABLED                       _MK_ENUM_CONST(0)
#define FUSE_FUSEBYPASS_0_FUSEBYPASS_VAL_ENABLED                        _MK_ENUM_CONST(1)
#define FUSE_FUSEBYPASS_0_FUSEBYPASS_VAL_DISABLE                        _MK_ENUM_CONST(0)
#define FUSE_FUSEBYPASS_0_FUSEBYPASS_VAL_ENABLE                 _MK_ENUM_CONST(1)


// Register FUSE_PRIVATEKEYDISABLE_0
#define FUSE_PRIVATEKEYDISABLE_0                        _MK_ADDR_CONST(0x28)
#define FUSE_PRIVATEKEYDISABLE_0_SECURE                         0x0
#define FUSE_PRIVATEKEYDISABLE_0_SCR                    0
#define FUSE_PRIVATEKEYDISABLE_0_WORD_COUNT                     0x1
#define FUSE_PRIVATEKEYDISABLE_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_PRIVATEKEYDISABLE_0_RESET_MASK                     _MK_MASK_CONST(0x11)
#define FUSE_PRIVATEKEYDISABLE_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_PRIVATEKEYDISABLE_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define FUSE_PRIVATEKEYDISABLE_0_READ_MASK                      _MK_MASK_CONST(0x11)
#define FUSE_PRIVATEKEYDISABLE_0_WRITE_MASK                     _MK_MASK_CONST(0x11)
#define FUSE_PRIVATEKEYDISABLE_0_PRIVATEKEYDISABLE_VAL_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_PRIVATEKEYDISABLE_0_PRIVATEKEYDISABLE_VAL_FIELD                    _MK_FIELD_CONST(0x1, FUSE_PRIVATEKEYDISABLE_0_PRIVATEKEYDISABLE_VAL_SHIFT)
#define FUSE_PRIVATEKEYDISABLE_0_PRIVATEKEYDISABLE_VAL_RANGE                    0:0
#define FUSE_PRIVATEKEYDISABLE_0_PRIVATEKEYDISABLE_VAL_WOFFSET                  0x0
#define FUSE_PRIVATEKEYDISABLE_0_PRIVATEKEYDISABLE_VAL_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_PRIVATEKEYDISABLE_0_PRIVATEKEYDISABLE_VAL_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_PRIVATEKEYDISABLE_0_PRIVATEKEYDISABLE_VAL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_PRIVATEKEYDISABLE_0_PRIVATEKEYDISABLE_VAL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_PRIVATEKEYDISABLE_0_PRIVATEKEYDISABLE_VAL_INIT_ENUM                        KEY_VISIBLE
#define FUSE_PRIVATEKEYDISABLE_0_PRIVATEKEYDISABLE_VAL_KEY_VISIBLE                      _MK_ENUM_CONST(0)
#define FUSE_PRIVATEKEYDISABLE_0_PRIVATEKEYDISABLE_VAL_KEY_INVISIBLE                    _MK_ENUM_CONST(1)

#define FUSE_PRIVATEKEYDISABLE_0_TZ_STICKY_BIT_VAL_SHIFT                        _MK_SHIFT_CONST(4)
#define FUSE_PRIVATEKEYDISABLE_0_TZ_STICKY_BIT_VAL_FIELD                        _MK_FIELD_CONST(0x1, FUSE_PRIVATEKEYDISABLE_0_TZ_STICKY_BIT_VAL_SHIFT)
#define FUSE_PRIVATEKEYDISABLE_0_TZ_STICKY_BIT_VAL_RANGE                        4:4
#define FUSE_PRIVATEKEYDISABLE_0_TZ_STICKY_BIT_VAL_WOFFSET                      0x0
#define FUSE_PRIVATEKEYDISABLE_0_TZ_STICKY_BIT_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_PRIVATEKEYDISABLE_0_TZ_STICKY_BIT_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define FUSE_PRIVATEKEYDISABLE_0_TZ_STICKY_BIT_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_PRIVATEKEYDISABLE_0_TZ_STICKY_BIT_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_PRIVATEKEYDISABLE_0_TZ_STICKY_BIT_VAL_INIT_ENUM                    KEY_VISIBLE
#define FUSE_PRIVATEKEYDISABLE_0_TZ_STICKY_BIT_VAL_KEY_VISIBLE                  _MK_ENUM_CONST(0)
#define FUSE_PRIVATEKEYDISABLE_0_TZ_STICKY_BIT_VAL_KEY_INVISIBLE                        _MK_ENUM_CONST(1)


// Register FUSE_DISABLEREGPROGRAM_0
#define FUSE_DISABLEREGPROGRAM_0                        _MK_ADDR_CONST(0x2c)
#define FUSE_DISABLEREGPROGRAM_0_SECURE                         0x0
#define FUSE_DISABLEREGPROGRAM_0_SCR                    0
#define FUSE_DISABLEREGPROGRAM_0_WORD_COUNT                     0x1
#define FUSE_DISABLEREGPROGRAM_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_DISABLEREGPROGRAM_0_RESET_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_DISABLEREGPROGRAM_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_DISABLEREGPROGRAM_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define FUSE_DISABLEREGPROGRAM_0_READ_MASK                      _MK_MASK_CONST(0x1)
#define FUSE_DISABLEREGPROGRAM_0_WRITE_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_DISABLEREGPROGRAM_0_DISABLEREGPROGRAM_VAL_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_DISABLEREGPROGRAM_0_DISABLEREGPROGRAM_VAL_FIELD                    _MK_FIELD_CONST(0x1, FUSE_DISABLEREGPROGRAM_0_DISABLEREGPROGRAM_VAL_SHIFT)
#define FUSE_DISABLEREGPROGRAM_0_DISABLEREGPROGRAM_VAL_RANGE                    0:0
#define FUSE_DISABLEREGPROGRAM_0_DISABLEREGPROGRAM_VAL_WOFFSET                  0x0
#define FUSE_DISABLEREGPROGRAM_0_DISABLEREGPROGRAM_VAL_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_DISABLEREGPROGRAM_0_DISABLEREGPROGRAM_VAL_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_DISABLEREGPROGRAM_0_DISABLEREGPROGRAM_VAL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_DISABLEREGPROGRAM_0_DISABLEREGPROGRAM_VAL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_DISABLEREGPROGRAM_0_DISABLEREGPROGRAM_VAL_INIT_ENUM                        DISABLED
#define FUSE_DISABLEREGPROGRAM_0_DISABLEREGPROGRAM_VAL_DISABLED                 _MK_ENUM_CONST(0)
#define FUSE_DISABLEREGPROGRAM_0_DISABLEREGPROGRAM_VAL_ENABLED                  _MK_ENUM_CONST(1)
#define FUSE_DISABLEREGPROGRAM_0_DISABLEREGPROGRAM_VAL_DISABLE                  _MK_ENUM_CONST(0)
#define FUSE_DISABLEREGPROGRAM_0_DISABLEREGPROGRAM_VAL_ENABLE                   _MK_ENUM_CONST(1)


// Register FUSE_WRITE_ACCESS_SW_0
#define FUSE_WRITE_ACCESS_SW_0                  _MK_ADDR_CONST(0x30)
#define FUSE_WRITE_ACCESS_SW_0_SECURE                   0x0
#define FUSE_WRITE_ACCESS_SW_0_SCR                      0
#define FUSE_WRITE_ACCESS_SW_0_WORD_COUNT                       0x1
#define FUSE_WRITE_ACCESS_SW_0_RESET_VAL                        _MK_MASK_CONST(0x1)
#define FUSE_WRITE_ACCESS_SW_0_RESET_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_WRITE_ACCESS_SW_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_WRITE_ACCESS_SW_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_WRITE_ACCESS_SW_0_READ_MASK                        _MK_MASK_CONST(0x10001)
#define FUSE_WRITE_ACCESS_SW_0_WRITE_MASK                       _MK_MASK_CONST(0x10001)
#define FUSE_WRITE_ACCESS_SW_0_WRITE_ACCESS_SW_CTRL_SHIFT                       _MK_SHIFT_CONST(0)
#define FUSE_WRITE_ACCESS_SW_0_WRITE_ACCESS_SW_CTRL_FIELD                       _MK_FIELD_CONST(0x1, FUSE_WRITE_ACCESS_SW_0_WRITE_ACCESS_SW_CTRL_SHIFT)
#define FUSE_WRITE_ACCESS_SW_0_WRITE_ACCESS_SW_CTRL_RANGE                       0:0
#define FUSE_WRITE_ACCESS_SW_0_WRITE_ACCESS_SW_CTRL_WOFFSET                     0x0
#define FUSE_WRITE_ACCESS_SW_0_WRITE_ACCESS_SW_CTRL_DEFAULT                     _MK_MASK_CONST(0x1)
#define FUSE_WRITE_ACCESS_SW_0_WRITE_ACCESS_SW_CTRL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define FUSE_WRITE_ACCESS_SW_0_WRITE_ACCESS_SW_CTRL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_WRITE_ACCESS_SW_0_WRITE_ACCESS_SW_CTRL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_WRITE_ACCESS_SW_0_WRITE_ACCESS_SW_CTRL_INIT_ENUM                   READONLY
#define FUSE_WRITE_ACCESS_SW_0_WRITE_ACCESS_SW_CTRL_READWRITE                   _MK_ENUM_CONST(0)
#define FUSE_WRITE_ACCESS_SW_0_WRITE_ACCESS_SW_CTRL_READONLY                    _MK_ENUM_CONST(1)

#define FUSE_WRITE_ACCESS_SW_0_WRITE_ACCESS_SW_STATUS_SHIFT                     _MK_SHIFT_CONST(16)
#define FUSE_WRITE_ACCESS_SW_0_WRITE_ACCESS_SW_STATUS_FIELD                     _MK_FIELD_CONST(0x1, FUSE_WRITE_ACCESS_SW_0_WRITE_ACCESS_SW_STATUS_SHIFT)
#define FUSE_WRITE_ACCESS_SW_0_WRITE_ACCESS_SW_STATUS_RANGE                     16:16
#define FUSE_WRITE_ACCESS_SW_0_WRITE_ACCESS_SW_STATUS_WOFFSET                   0x0
#define FUSE_WRITE_ACCESS_SW_0_WRITE_ACCESS_SW_STATUS_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_WRITE_ACCESS_SW_0_WRITE_ACCESS_SW_STATUS_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_WRITE_ACCESS_SW_0_WRITE_ACCESS_SW_STATUS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_WRITE_ACCESS_SW_0_WRITE_ACCESS_SW_STATUS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_WRITE_ACCESS_SW_0_WRITE_ACCESS_SW_STATUS_NOWRITE                   _MK_ENUM_CONST(0)
#define FUSE_WRITE_ACCESS_SW_0_WRITE_ACCESS_SW_STATUS_WRITE                     _MK_ENUM_CONST(1)


// Reserved address 52 [0x34]

// Reserved address 56 [0x38]

// Register FUSE_PRIV2RESHIFT_0
#define FUSE_PRIV2RESHIFT_0                     _MK_ADDR_CONST(0x3c)
#define FUSE_PRIV2RESHIFT_0_SECURE                      0x0
#define FUSE_PRIV2RESHIFT_0_SCR                         0
#define FUSE_PRIV2RESHIFT_0_WORD_COUNT                  0x1
#define FUSE_PRIV2RESHIFT_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_RESET_MASK                  _MK_MASK_CONST(0x3ffffff)
#define FUSE_PRIV2RESHIFT_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_READ_MASK                   _MK_MASK_CONST(0x3ffffff)
#define FUSE_PRIV2RESHIFT_0_WRITE_MASK                  _MK_MASK_CONST(0x3ffffff)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU0_VAL_SHIFT                 _MK_SHIFT_CONST(0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU0_VAL_FIELD                 _MK_FIELD_CONST(0x1, FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU0_VAL_SHIFT)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU0_VAL_RANGE                 0:0
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU0_VAL_WOFFSET                       0x0
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU0_VAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU0_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU0_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU0_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU0_VAL_INIT_ENUM                     DISABLED
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU0_VAL_DISABLED                      _MK_ENUM_CONST(0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU0_VAL_ENABLED                       _MK_ENUM_CONST(1)

#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU1_VAL_SHIFT                 _MK_SHIFT_CONST(1)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU1_VAL_FIELD                 _MK_FIELD_CONST(0x1, FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU1_VAL_SHIFT)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU1_VAL_RANGE                 1:1
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU1_VAL_WOFFSET                       0x0
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU1_VAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU1_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU1_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU1_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU1_VAL_INIT_ENUM                     DISABLED
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU1_VAL_DISABLED                      _MK_ENUM_CONST(0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU1_VAL_ENABLED                       _MK_ENUM_CONST(1)

#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU2_VAL_SHIFT                 _MK_SHIFT_CONST(2)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU2_VAL_FIELD                 _MK_FIELD_CONST(0x1, FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU2_VAL_SHIFT)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU2_VAL_RANGE                 2:2
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU2_VAL_WOFFSET                       0x0
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU2_VAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU2_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU2_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU2_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU2_VAL_INIT_ENUM                     DISABLED
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU2_VAL_DISABLED                      _MK_ENUM_CONST(0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU2_VAL_ENABLED                       _MK_ENUM_CONST(1)

#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU3_VAL_SHIFT                 _MK_SHIFT_CONST(3)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU3_VAL_FIELD                 _MK_FIELD_CONST(0x1, FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU3_VAL_SHIFT)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU3_VAL_RANGE                 3:3
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU3_VAL_WOFFSET                       0x0
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU3_VAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU3_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU3_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU3_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU3_VAL_INIT_ENUM                     DISABLED
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU3_VAL_DISABLED                      _MK_ENUM_CONST(0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BCPU3_VAL_ENABLED                       _MK_ENUM_CONST(1)

#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BL2_0_VAL_SHIFT                 _MK_SHIFT_CONST(4)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BL2_0_VAL_FIELD                 _MK_FIELD_CONST(0x1, FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BL2_0_VAL_SHIFT)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BL2_0_VAL_RANGE                 4:4
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BL2_0_VAL_WOFFSET                       0x0
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BL2_0_VAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BL2_0_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BL2_0_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BL2_0_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BL2_0_VAL_INIT_ENUM                     DISABLED
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BL2_0_VAL_DISABLED                      _MK_ENUM_CONST(0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BL2_0_VAL_ENABLED                       _MK_ENUM_CONST(1)

#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BL2_1_VAL_SHIFT                 _MK_SHIFT_CONST(5)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BL2_1_VAL_FIELD                 _MK_FIELD_CONST(0x1, FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BL2_1_VAL_SHIFT)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BL2_1_VAL_RANGE                 5:5
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BL2_1_VAL_WOFFSET                       0x0
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BL2_1_VAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BL2_1_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BL2_1_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BL2_1_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BL2_1_VAL_INIT_ENUM                     DISABLED
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BL2_1_VAL_DISABLED                      _MK_ENUM_CONST(0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_3_BL2_1_VAL_ENABLED                       _MK_ENUM_CONST(1)

#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_MCPU0_VAL_SHIFT                 _MK_SHIFT_CONST(6)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_MCPU0_VAL_FIELD                 _MK_FIELD_CONST(0x1, FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_MCPU0_VAL_SHIFT)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_MCPU0_VAL_RANGE                 6:6
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_MCPU0_VAL_WOFFSET                       0x0
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_MCPU0_VAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_MCPU0_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_MCPU0_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_MCPU0_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_MCPU0_VAL_INIT_ENUM                     DISABLED
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_MCPU0_VAL_DISABLED                      _MK_ENUM_CONST(0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_MCPU0_VAL_ENABLED                       _MK_ENUM_CONST(1)

#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_MCPU1_VAL_SHIFT                 _MK_SHIFT_CONST(7)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_MCPU1_VAL_FIELD                 _MK_FIELD_CONST(0x1, FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_MCPU1_VAL_SHIFT)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_MCPU1_VAL_RANGE                 7:7
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_MCPU1_VAL_WOFFSET                       0x0
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_MCPU1_VAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_MCPU1_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_MCPU1_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_MCPU1_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_MCPU1_VAL_INIT_ENUM                     DISABLED
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_MCPU1_VAL_DISABLED                      _MK_ENUM_CONST(0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_MCPU1_VAL_ENABLED                       _MK_ENUM_CONST(1)

#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D0_VAL_SHIFT                        _MK_SHIFT_CONST(8)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D0_VAL_FIELD                        _MK_FIELD_CONST(0x1, FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D0_VAL_SHIFT)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D0_VAL_RANGE                        8:8
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D0_VAL_WOFFSET                      0x0
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D0_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D0_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D0_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D0_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D0_VAL_INIT_ENUM                    DISABLED
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D0_VAL_DISABLED                     _MK_ENUM_CONST(0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D0_VAL_ENABLED                      _MK_ENUM_CONST(1)

#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D1_VAL_SHIFT                        _MK_SHIFT_CONST(9)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D1_VAL_FIELD                        _MK_FIELD_CONST(0x1, FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D1_VAL_SHIFT)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D1_VAL_RANGE                        9:9
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D1_VAL_WOFFSET                      0x0
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D1_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D1_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D1_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D1_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D1_VAL_INIT_ENUM                    DISABLED
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D1_VAL_DISABLED                     _MK_ENUM_CONST(0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D1_VAL_ENABLED                      _MK_ENUM_CONST(1)

#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D2_VAL_SHIFT                        _MK_SHIFT_CONST(10)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D2_VAL_FIELD                        _MK_FIELD_CONST(0x1, FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D2_VAL_SHIFT)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D2_VAL_RANGE                        10:10
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D2_VAL_WOFFSET                      0x0
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D2_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D2_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D2_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D2_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D2_VAL_INIT_ENUM                    DISABLED
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D2_VAL_DISABLED                     _MK_ENUM_CONST(0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D2_VAL_ENABLED                      _MK_ENUM_CONST(1)

#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D3_VAL_SHIFT                        _MK_SHIFT_CONST(11)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D3_VAL_FIELD                        _MK_FIELD_CONST(0x1, FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D3_VAL_SHIFT)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D3_VAL_RANGE                        11:11
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D3_VAL_WOFFSET                      0x0
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D3_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D3_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D3_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D3_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D3_VAL_INIT_ENUM                    DISABLED
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D3_VAL_DISABLED                     _MK_ENUM_CONST(0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_D3_VAL_ENABLED                      _MK_ENUM_CONST(1)

#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_TAG_VAL_SHIFT                       _MK_SHIFT_CONST(12)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_TAG_VAL_FIELD                       _MK_FIELD_CONST(0x1, FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_TAG_VAL_SHIFT)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_TAG_VAL_RANGE                       12:12
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_TAG_VAL_WOFFSET                     0x0
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_TAG_VAL_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_TAG_VAL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_TAG_VAL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_TAG_VAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_TAG_VAL_INIT_ENUM                   DISABLED
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_TAG_VAL_DISABLED                    _MK_ENUM_CONST(0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_TRIG_4_ML2_TAG_VAL_ENABLED                     _MK_ENUM_CONST(1)

#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU0_VAL_SHIFT                       _MK_SHIFT_CONST(13)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU0_VAL_FIELD                       _MK_FIELD_CONST(0x1, FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU0_VAL_SHIFT)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU0_VAL_RANGE                       13:13
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU0_VAL_WOFFSET                     0x0
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU0_VAL_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU0_VAL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU0_VAL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU0_VAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU0_VAL_INIT_ENUM                   DISABLED
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU0_VAL_DISABLED                    _MK_ENUM_CONST(0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU0_VAL_ENABLED                     _MK_ENUM_CONST(1)

#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU1_VAL_SHIFT                       _MK_SHIFT_CONST(14)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU1_VAL_FIELD                       _MK_FIELD_CONST(0x1, FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU1_VAL_SHIFT)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU1_VAL_RANGE                       14:14
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU1_VAL_WOFFSET                     0x0
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU1_VAL_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU1_VAL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU1_VAL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU1_VAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU1_VAL_INIT_ENUM                   DISABLED
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU1_VAL_DISABLED                    _MK_ENUM_CONST(0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU1_VAL_ENABLED                     _MK_ENUM_CONST(1)

#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU2_VAL_SHIFT                       _MK_SHIFT_CONST(15)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU2_VAL_FIELD                       _MK_FIELD_CONST(0x1, FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU2_VAL_SHIFT)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU2_VAL_RANGE                       15:15
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU2_VAL_WOFFSET                     0x0
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU2_VAL_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU2_VAL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU2_VAL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU2_VAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU2_VAL_INIT_ENUM                   DISABLED
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU2_VAL_DISABLED                    _MK_ENUM_CONST(0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU2_VAL_ENABLED                     _MK_ENUM_CONST(1)

#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU3_VAL_SHIFT                       _MK_SHIFT_CONST(16)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU3_VAL_FIELD                       _MK_FIELD_CONST(0x1, FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU3_VAL_SHIFT)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU3_VAL_RANGE                       16:16
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU3_VAL_WOFFSET                     0x0
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU3_VAL_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU3_VAL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU3_VAL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU3_VAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU3_VAL_INIT_ENUM                   DISABLED
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU3_VAL_DISABLED                    _MK_ENUM_CONST(0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BCPU3_VAL_ENABLED                     _MK_ENUM_CONST(1)

#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BL2_0_VAL_SHIFT                       _MK_SHIFT_CONST(17)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BL2_0_VAL_FIELD                       _MK_FIELD_CONST(0x1, FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BL2_0_VAL_SHIFT)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BL2_0_VAL_RANGE                       17:17
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BL2_0_VAL_WOFFSET                     0x0
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BL2_0_VAL_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BL2_0_VAL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BL2_0_VAL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BL2_0_VAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BL2_0_VAL_INIT_ENUM                   DISABLED
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BL2_0_VAL_DISABLED                    _MK_ENUM_CONST(0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BL2_0_VAL_ENABLED                     _MK_ENUM_CONST(1)

#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BL2_1_VAL_SHIFT                       _MK_SHIFT_CONST(18)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BL2_1_VAL_FIELD                       _MK_FIELD_CONST(0x1, FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BL2_1_VAL_SHIFT)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BL2_1_VAL_RANGE                       18:18
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BL2_1_VAL_WOFFSET                     0x0
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BL2_1_VAL_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BL2_1_VAL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BL2_1_VAL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BL2_1_VAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BL2_1_VAL_INIT_ENUM                   DISABLED
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BL2_1_VAL_DISABLED                    _MK_ENUM_CONST(0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_3_BL2_1_VAL_ENABLED                     _MK_ENUM_CONST(1)

#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_MCPU0_VAL_SHIFT                       _MK_SHIFT_CONST(19)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_MCPU0_VAL_FIELD                       _MK_FIELD_CONST(0x1, FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_MCPU0_VAL_SHIFT)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_MCPU0_VAL_RANGE                       19:19
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_MCPU0_VAL_WOFFSET                     0x0
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_MCPU0_VAL_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_MCPU0_VAL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_MCPU0_VAL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_MCPU0_VAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_MCPU0_VAL_INIT_ENUM                   DISABLED
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_MCPU0_VAL_DISABLED                    _MK_ENUM_CONST(0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_MCPU0_VAL_ENABLED                     _MK_ENUM_CONST(1)

#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_MCPU1_VAL_SHIFT                       _MK_SHIFT_CONST(20)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_MCPU1_VAL_FIELD                       _MK_FIELD_CONST(0x1, FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_MCPU1_VAL_SHIFT)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_MCPU1_VAL_RANGE                       20:20
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_MCPU1_VAL_WOFFSET                     0x0
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_MCPU1_VAL_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_MCPU1_VAL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_MCPU1_VAL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_MCPU1_VAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_MCPU1_VAL_INIT_ENUM                   DISABLED
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_MCPU1_VAL_DISABLED                    _MK_ENUM_CONST(0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_MCPU1_VAL_ENABLED                     _MK_ENUM_CONST(1)

#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D0_VAL_SHIFT                      _MK_SHIFT_CONST(21)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D0_VAL_FIELD                      _MK_FIELD_CONST(0x1, FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D0_VAL_SHIFT)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D0_VAL_RANGE                      21:21
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D0_VAL_WOFFSET                    0x0
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D0_VAL_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D0_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D0_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D0_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D0_VAL_INIT_ENUM                  DISABLED
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D0_VAL_DISABLED                   _MK_ENUM_CONST(0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D0_VAL_ENABLED                    _MK_ENUM_CONST(1)

#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D1_VAL_SHIFT                      _MK_SHIFT_CONST(22)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D1_VAL_FIELD                      _MK_FIELD_CONST(0x1, FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D1_VAL_SHIFT)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D1_VAL_RANGE                      22:22
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D1_VAL_WOFFSET                    0x0
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D1_VAL_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D1_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D1_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D1_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D1_VAL_INIT_ENUM                  DISABLED
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D1_VAL_DISABLED                   _MK_ENUM_CONST(0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D1_VAL_ENABLED                    _MK_ENUM_CONST(1)

#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D2_VAL_SHIFT                      _MK_SHIFT_CONST(23)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D2_VAL_FIELD                      _MK_FIELD_CONST(0x1, FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D2_VAL_SHIFT)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D2_VAL_RANGE                      23:23
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D2_VAL_WOFFSET                    0x0
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D2_VAL_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D2_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D2_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D2_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D2_VAL_INIT_ENUM                  DISABLED
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D2_VAL_DISABLED                   _MK_ENUM_CONST(0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D2_VAL_ENABLED                    _MK_ENUM_CONST(1)

#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D3_VAL_SHIFT                      _MK_SHIFT_CONST(24)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D3_VAL_FIELD                      _MK_FIELD_CONST(0x1, FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D3_VAL_SHIFT)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D3_VAL_RANGE                      24:24
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D3_VAL_WOFFSET                    0x0
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D3_VAL_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D3_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D3_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D3_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D3_VAL_INIT_ENUM                  DISABLED
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D3_VAL_DISABLED                   _MK_ENUM_CONST(0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_D3_VAL_ENABLED                    _MK_ENUM_CONST(1)

#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_TAG_VAL_SHIFT                     _MK_SHIFT_CONST(25)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_TAG_VAL_FIELD                     _MK_FIELD_CONST(0x1, FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_TAG_VAL_SHIFT)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_TAG_VAL_RANGE                     25:25
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_TAG_VAL_WOFFSET                   0x0
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_TAG_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_TAG_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_TAG_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_TAG_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_TAG_VAL_INIT_ENUM                 DISABLED
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_TAG_VAL_DISABLED                  _MK_ENUM_CONST(0)
#define FUSE_PRIV2RESHIFT_0_PRIV2RESHIFT_STATUS_4_ML2_TAG_VAL_ENABLED                   _MK_ENUM_CONST(1)


// Reserved address 64 [0x40]

// Reserved address 68 [0x44]

// Reserved address 72 [0x48]

// Register FUSE_FUSETIME_RD3_0
#define FUSE_FUSETIME_RD3_0                     _MK_ADDR_CONST(0x4c)
#define FUSE_FUSETIME_RD3_0_SECURE                      0x0
#define FUSE_FUSETIME_RD3_0_SCR                         0
#define FUSE_FUSETIME_RD3_0_WORD_COUNT                  0x1
#define FUSE_FUSETIME_RD3_0_RESET_VAL                   _MK_MASK_CONST(0x1e)
#define FUSE_FUSETIME_RD3_0_RESET_MASK                  _MK_MASK_CONST(0xffff)
#define FUSE_FUSETIME_RD3_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_FUSETIME_RD3_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_FUSETIME_RD3_0_READ_MASK                   _MK_MASK_CONST(0xffff)
#define FUSE_FUSETIME_RD3_0_WRITE_MASK                  _MK_MASK_CONST(0xffff)
#define FUSE_FUSETIME_RD3_0_FUSETIME_RD3_TSUR_PDCS_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_FUSETIME_RD3_0_FUSETIME_RD3_TSUR_PDCS_FIELD                        _MK_FIELD_CONST(0xffff, FUSE_FUSETIME_RD3_0_FUSETIME_RD3_TSUR_PDCS_SHIFT)
#define FUSE_FUSETIME_RD3_0_FUSETIME_RD3_TSUR_PDCS_RANGE                        15:0
#define FUSE_FUSETIME_RD3_0_FUSETIME_RD3_TSUR_PDCS_WOFFSET                      0x0
#define FUSE_FUSETIME_RD3_0_FUSETIME_RD3_TSUR_PDCS_DEFAULT                      _MK_MASK_CONST(0x1e)
#define FUSE_FUSETIME_RD3_0_FUSETIME_RD3_TSUR_PDCS_DEFAULT_MASK                 _MK_MASK_CONST(0xffff)
#define FUSE_FUSETIME_RD3_0_FUSETIME_RD3_TSUR_PDCS_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_FUSETIME_RD3_0_FUSETIME_RD3_TSUR_PDCS_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Reserved address 80 [0x50]

// Reserved address 84 [0x54]

// Reserved address 88 [0x58]

// Reserved address 92 [0x5c]

// Reserved address 96 [0x60]

// Reserved address 100 [0x64]

// Reserved address 104 [0x68]

// Reserved address 108 [0x6c]

// Reserved address 112 [0x70]

// Reserved address 116 [0x74]

// Reserved address 120 [0x78]

// Reserved address 124 [0x7c]

// Register FUSE_PRIVATE_KEY0_NONZERO_0
#define FUSE_PRIVATE_KEY0_NONZERO_0                     _MK_ADDR_CONST(0x80)
#define FUSE_PRIVATE_KEY0_NONZERO_0_SECURE                      0x0
#define FUSE_PRIVATE_KEY0_NONZERO_0_SCR                         0
#define FUSE_PRIVATE_KEY0_NONZERO_0_WORD_COUNT                  0x1
#define FUSE_PRIVATE_KEY0_NONZERO_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY0_NONZERO_0_RESET_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY0_NONZERO_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY0_NONZERO_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY0_NONZERO_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_PRIVATE_KEY0_NONZERO_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY0_NONZERO_0_PRIVATE_KEY0_NONZERO_DATA_SHIFT                     _MK_SHIFT_CONST(0)
#define FUSE_PRIVATE_KEY0_NONZERO_0_PRIVATE_KEY0_NONZERO_DATA_FIELD                     _MK_FIELD_CONST(0x1, FUSE_PRIVATE_KEY0_NONZERO_0_PRIVATE_KEY0_NONZERO_DATA_SHIFT)
#define FUSE_PRIVATE_KEY0_NONZERO_0_PRIVATE_KEY0_NONZERO_DATA_RANGE                     0:0
#define FUSE_PRIVATE_KEY0_NONZERO_0_PRIVATE_KEY0_NONZERO_DATA_WOFFSET                   0x0
#define FUSE_PRIVATE_KEY0_NONZERO_0_PRIVATE_KEY0_NONZERO_DATA_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY0_NONZERO_0_PRIVATE_KEY0_NONZERO_DATA_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY0_NONZERO_0_PRIVATE_KEY0_NONZERO_DATA_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY0_NONZERO_0_PRIVATE_KEY0_NONZERO_DATA_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)


// Register FUSE_PRIVATE_KEY1_NONZERO_0
#define FUSE_PRIVATE_KEY1_NONZERO_0                     _MK_ADDR_CONST(0x84)
#define FUSE_PRIVATE_KEY1_NONZERO_0_SECURE                      0x0
#define FUSE_PRIVATE_KEY1_NONZERO_0_SCR                         0
#define FUSE_PRIVATE_KEY1_NONZERO_0_WORD_COUNT                  0x1
#define FUSE_PRIVATE_KEY1_NONZERO_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY1_NONZERO_0_RESET_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY1_NONZERO_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY1_NONZERO_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY1_NONZERO_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_PRIVATE_KEY1_NONZERO_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY1_NONZERO_0_PRIVATE_KEY1_NONZERO_DATA_SHIFT                     _MK_SHIFT_CONST(0)
#define FUSE_PRIVATE_KEY1_NONZERO_0_PRIVATE_KEY1_NONZERO_DATA_FIELD                     _MK_FIELD_CONST(0x1, FUSE_PRIVATE_KEY1_NONZERO_0_PRIVATE_KEY1_NONZERO_DATA_SHIFT)
#define FUSE_PRIVATE_KEY1_NONZERO_0_PRIVATE_KEY1_NONZERO_DATA_RANGE                     0:0
#define FUSE_PRIVATE_KEY1_NONZERO_0_PRIVATE_KEY1_NONZERO_DATA_WOFFSET                   0x0
#define FUSE_PRIVATE_KEY1_NONZERO_0_PRIVATE_KEY1_NONZERO_DATA_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY1_NONZERO_0_PRIVATE_KEY1_NONZERO_DATA_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY1_NONZERO_0_PRIVATE_KEY1_NONZERO_DATA_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY1_NONZERO_0_PRIVATE_KEY1_NONZERO_DATA_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)


// Register FUSE_PRIVATE_KEY2_NONZERO_0
#define FUSE_PRIVATE_KEY2_NONZERO_0                     _MK_ADDR_CONST(0x88)
#define FUSE_PRIVATE_KEY2_NONZERO_0_SECURE                      0x0
#define FUSE_PRIVATE_KEY2_NONZERO_0_SCR                         0
#define FUSE_PRIVATE_KEY2_NONZERO_0_WORD_COUNT                  0x1
#define FUSE_PRIVATE_KEY2_NONZERO_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY2_NONZERO_0_RESET_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY2_NONZERO_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY2_NONZERO_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY2_NONZERO_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_PRIVATE_KEY2_NONZERO_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY2_NONZERO_0_PRIVATE_KEY2_NONZERO_DATA_SHIFT                     _MK_SHIFT_CONST(0)
#define FUSE_PRIVATE_KEY2_NONZERO_0_PRIVATE_KEY2_NONZERO_DATA_FIELD                     _MK_FIELD_CONST(0x1, FUSE_PRIVATE_KEY2_NONZERO_0_PRIVATE_KEY2_NONZERO_DATA_SHIFT)
#define FUSE_PRIVATE_KEY2_NONZERO_0_PRIVATE_KEY2_NONZERO_DATA_RANGE                     0:0
#define FUSE_PRIVATE_KEY2_NONZERO_0_PRIVATE_KEY2_NONZERO_DATA_WOFFSET                   0x0
#define FUSE_PRIVATE_KEY2_NONZERO_0_PRIVATE_KEY2_NONZERO_DATA_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY2_NONZERO_0_PRIVATE_KEY2_NONZERO_DATA_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY2_NONZERO_0_PRIVATE_KEY2_NONZERO_DATA_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY2_NONZERO_0_PRIVATE_KEY2_NONZERO_DATA_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)


// Register FUSE_PRIVATE_KEY3_NONZERO_0
#define FUSE_PRIVATE_KEY3_NONZERO_0                     _MK_ADDR_CONST(0x8c)
#define FUSE_PRIVATE_KEY3_NONZERO_0_SECURE                      0x0
#define FUSE_PRIVATE_KEY3_NONZERO_0_SCR                         0
#define FUSE_PRIVATE_KEY3_NONZERO_0_WORD_COUNT                  0x1
#define FUSE_PRIVATE_KEY3_NONZERO_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY3_NONZERO_0_RESET_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY3_NONZERO_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY3_NONZERO_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY3_NONZERO_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_PRIVATE_KEY3_NONZERO_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY3_NONZERO_0_PRIVATE_KEY3_NONZERO_DATA_SHIFT                     _MK_SHIFT_CONST(0)
#define FUSE_PRIVATE_KEY3_NONZERO_0_PRIVATE_KEY3_NONZERO_DATA_FIELD                     _MK_FIELD_CONST(0x1, FUSE_PRIVATE_KEY3_NONZERO_0_PRIVATE_KEY3_NONZERO_DATA_SHIFT)
#define FUSE_PRIVATE_KEY3_NONZERO_0_PRIVATE_KEY3_NONZERO_DATA_RANGE                     0:0
#define FUSE_PRIVATE_KEY3_NONZERO_0_PRIVATE_KEY3_NONZERO_DATA_WOFFSET                   0x0
#define FUSE_PRIVATE_KEY3_NONZERO_0_PRIVATE_KEY3_NONZERO_DATA_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY3_NONZERO_0_PRIVATE_KEY3_NONZERO_DATA_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY3_NONZERO_0_PRIVATE_KEY3_NONZERO_DATA_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY3_NONZERO_0_PRIVATE_KEY3_NONZERO_DATA_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)


// Reserved address 144 [0x90]

// Reserved address 148 [0x94]

// Reserved address 152 [0x98]

// Reserved address 156 [0x9c]

// Reserved address 160 [0xa0]

// Reserved address 164 [0xa4]

// Reserved address 168 [0xa8]

// Reserved address 172 [0xac]

// Reserved address 176 [0xb0]

// Reserved address 180 [0xb4]

// Reserved address 184 [0xb8]

// Reserved address 188 [0xbc]

// Reserved address 192 [0xc0]

// Reserved address 196 [0xc4]

// Reserved address 200 [0xc8]

// Reserved address 204 [0xcc]

// Reserved address 208 [0xd0]

// Reserved address 212 [0xd4]

// Reserved address 216 [0xd8]

// Reserved address 220 [0xdc]

// Reserved address 224 [0xe0]

// Reserved address 228 [0xe4]

// Reserved address 232 [0xe8]

// Reserved address 236 [0xec]

// Reserved address 240 [0xf0]

// Reserved address 244 [0xf4]

// Reserved address 248 [0xf8]

// Reserved address 252 [0xfc]

// Register FUSE_PRODUCTION_MODE_0
#define FUSE_PRODUCTION_MODE_0                  _MK_ADDR_CONST(0x100)
#define FUSE_PRODUCTION_MODE_0_SECURE                   0x0
#define FUSE_PRODUCTION_MODE_0_SCR                      0
#define FUSE_PRODUCTION_MODE_0_WORD_COUNT                       0x1
#define FUSE_PRODUCTION_MODE_0_RESET_VAL                        _MK_MASK_CONST(0x1)
#define FUSE_PRODUCTION_MODE_0_RESET_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_PRODUCTION_MODE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_PRODUCTION_MODE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_PRODUCTION_MODE_0_READ_MASK                        _MK_MASK_CONST(0x1)
#define FUSE_PRODUCTION_MODE_0_WRITE_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_PRODUCTION_MODE_0_PRODUCTION_MODE_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_PRODUCTION_MODE_0_PRODUCTION_MODE_FIELD                    _MK_FIELD_CONST(0x1, FUSE_PRODUCTION_MODE_0_PRODUCTION_MODE_SHIFT)
#define FUSE_PRODUCTION_MODE_0_PRODUCTION_MODE_RANGE                    0:0
#define FUSE_PRODUCTION_MODE_0_PRODUCTION_MODE_WOFFSET                  0x0
#define FUSE_PRODUCTION_MODE_0_PRODUCTION_MODE_DEFAULT                  _MK_MASK_CONST(0x1)
#define FUSE_PRODUCTION_MODE_0_PRODUCTION_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_PRODUCTION_MODE_0_PRODUCTION_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_PRODUCTION_MODE_0_PRODUCTION_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_JTAG_SECUREID_VALID_0
#define FUSE_JTAG_SECUREID_VALID_0                      _MK_ADDR_CONST(0x104)
#define FUSE_JTAG_SECUREID_VALID_0_SECURE                       0x0
#define FUSE_JTAG_SECUREID_VALID_0_SCR                  0
#define FUSE_JTAG_SECUREID_VALID_0_WORD_COUNT                   0x1
#define FUSE_JTAG_SECUREID_VALID_0_RESET_VAL                    _MK_MASK_CONST(0x1)
#define FUSE_JTAG_SECUREID_VALID_0_RESET_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_JTAG_SECUREID_VALID_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_JTAG_SECUREID_VALID_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_JTAG_SECUREID_VALID_0_READ_MASK                    _MK_MASK_CONST(0x1)
#define FUSE_JTAG_SECUREID_VALID_0_WRITE_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_JTAG_SECUREID_VALID_0_JTAG_SECUREID_VALID_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_JTAG_SECUREID_VALID_0_JTAG_SECUREID_VALID_FIELD                    _MK_FIELD_CONST(0x1, FUSE_JTAG_SECUREID_VALID_0_JTAG_SECUREID_VALID_SHIFT)
#define FUSE_JTAG_SECUREID_VALID_0_JTAG_SECUREID_VALID_RANGE                    0:0
#define FUSE_JTAG_SECUREID_VALID_0_JTAG_SECUREID_VALID_WOFFSET                  0x0
#define FUSE_JTAG_SECUREID_VALID_0_JTAG_SECUREID_VALID_DEFAULT                  _MK_MASK_CONST(0x1)
#define FUSE_JTAG_SECUREID_VALID_0_JTAG_SECUREID_VALID_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_JTAG_SECUREID_VALID_0_JTAG_SECUREID_VALID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_JTAG_SECUREID_VALID_0_JTAG_SECUREID_VALID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_ODM_LOCK_0
#define FUSE_ODM_LOCK_0                 _MK_ADDR_CONST(0x108)
#define FUSE_ODM_LOCK_0_SECURE                  0x0
#define FUSE_ODM_LOCK_0_SCR                     0
#define FUSE_ODM_LOCK_0_WORD_COUNT                      0x1
#define FUSE_ODM_LOCK_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_ODM_LOCK_0_RESET_MASK                      _MK_MASK_CONST(0xf)
#define FUSE_ODM_LOCK_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_ODM_LOCK_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define FUSE_ODM_LOCK_0_READ_MASK                       _MK_MASK_CONST(0xf)
#define FUSE_ODM_LOCK_0_WRITE_MASK                      _MK_MASK_CONST(0xf)
#define FUSE_ODM_LOCK_0_ODM_LOCK_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_ODM_LOCK_0_ODM_LOCK_FIELD                  _MK_FIELD_CONST(0xf, FUSE_ODM_LOCK_0_ODM_LOCK_SHIFT)
#define FUSE_ODM_LOCK_0_ODM_LOCK_RANGE                  3:0
#define FUSE_ODM_LOCK_0_ODM_LOCK_WOFFSET                        0x0
#define FUSE_ODM_LOCK_0_ODM_LOCK_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_ODM_LOCK_0_ODM_LOCK_DEFAULT_MASK                   _MK_MASK_CONST(0xf)
#define FUSE_ODM_LOCK_0_ODM_LOCK_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_ODM_LOCK_0_ODM_LOCK_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_OPT_OPENGL_EN_0
#define FUSE_OPT_OPENGL_EN_0                    _MK_ADDR_CONST(0x10c)
#define FUSE_OPT_OPENGL_EN_0_SECURE                     0x0
#define FUSE_OPT_OPENGL_EN_0_SCR                        0
#define FUSE_OPT_OPENGL_EN_0_WORD_COUNT                         0x1
#define FUSE_OPT_OPENGL_EN_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_OPENGL_EN_0_RESET_MASK                         _MK_MASK_CONST(0x1)
#define FUSE_OPT_OPENGL_EN_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_OPENGL_EN_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_OPENGL_EN_0_READ_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_OPT_OPENGL_EN_0_WRITE_MASK                         _MK_MASK_CONST(0x1)
#define FUSE_OPT_OPENGL_EN_0_OPT_OPENGL_EN_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_OPT_OPENGL_EN_0_OPT_OPENGL_EN_FIELD                        _MK_FIELD_CONST(0x1, FUSE_OPT_OPENGL_EN_0_OPT_OPENGL_EN_SHIFT)
#define FUSE_OPT_OPENGL_EN_0_OPT_OPENGL_EN_RANGE                        0:0
#define FUSE_OPT_OPENGL_EN_0_OPT_OPENGL_EN_WOFFSET                      0x0
#define FUSE_OPT_OPENGL_EN_0_OPT_OPENGL_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_OPT_OPENGL_EN_0_OPT_OPENGL_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define FUSE_OPT_OPENGL_EN_0_OPT_OPENGL_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_OPENGL_EN_0_OPT_OPENGL_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_SKU_INFO_0
#define FUSE_SKU_INFO_0                 _MK_ADDR_CONST(0x110)
#define FUSE_SKU_INFO_0_SECURE                  0x0
#define FUSE_SKU_INFO_0_SCR                     0
#define FUSE_SKU_INFO_0_WORD_COUNT                      0x1
#define FUSE_SKU_INFO_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_SKU_INFO_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define FUSE_SKU_INFO_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_SKU_INFO_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define FUSE_SKU_INFO_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define FUSE_SKU_INFO_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define FUSE_SKU_INFO_0_SKU_INFO_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SKU_INFO_0_SKU_INFO_FIELD                  _MK_FIELD_CONST(0xff, FUSE_SKU_INFO_0_SKU_INFO_SHIFT)
#define FUSE_SKU_INFO_0_SKU_INFO_RANGE                  7:0
#define FUSE_SKU_INFO_0_SKU_INFO_WOFFSET                        0x0
#define FUSE_SKU_INFO_0_SKU_INFO_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SKU_INFO_0_SKU_INFO_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define FUSE_SKU_INFO_0_SKU_INFO_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SKU_INFO_0_SKU_INFO_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_CPU_SPEEDO_0_CALIB_0
#define FUSE_CPU_SPEEDO_0_CALIB_0                       _MK_ADDR_CONST(0x114)
#define FUSE_CPU_SPEEDO_0_CALIB_0_SECURE                        0x0
#define FUSE_CPU_SPEEDO_0_CALIB_0_SCR                   0
#define FUSE_CPU_SPEEDO_0_CALIB_0_WORD_COUNT                    0x1
#define FUSE_CPU_SPEEDO_0_CALIB_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_CPU_SPEEDO_0_CALIB_0_RESET_MASK                    _MK_MASK_CONST(0xfff)
#define FUSE_CPU_SPEEDO_0_CALIB_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_CPU_SPEEDO_0_CALIB_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_CPU_SPEEDO_0_CALIB_0_READ_MASK                     _MK_MASK_CONST(0xfff)
#define FUSE_CPU_SPEEDO_0_CALIB_0_WRITE_MASK                    _MK_MASK_CONST(0xfff)
#define FUSE_CPU_SPEEDO_0_CALIB_0_CPU_SPEEDO_0_CALIB_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_CPU_SPEEDO_0_CALIB_0_CPU_SPEEDO_0_CALIB_FIELD                      _MK_FIELD_CONST(0xfff, FUSE_CPU_SPEEDO_0_CALIB_0_CPU_SPEEDO_0_CALIB_SHIFT)
#define FUSE_CPU_SPEEDO_0_CALIB_0_CPU_SPEEDO_0_CALIB_RANGE                      11:0
#define FUSE_CPU_SPEEDO_0_CALIB_0_CPU_SPEEDO_0_CALIB_WOFFSET                    0x0
#define FUSE_CPU_SPEEDO_0_CALIB_0_CPU_SPEEDO_0_CALIB_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_CPU_SPEEDO_0_CALIB_0_CPU_SPEEDO_0_CALIB_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define FUSE_CPU_SPEEDO_0_CALIB_0_CPU_SPEEDO_0_CALIB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_CPU_SPEEDO_0_CALIB_0_CPU_SPEEDO_0_CALIB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0
#define FUSE_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0                  _MK_ADDR_CONST(0x118)
#define FUSE_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_SECURE                   0x0
#define FUSE_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_SCR                      0
#define FUSE_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_WORD_COUNT                       0x1
#define FUSE_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_RESET_MASK                       _MK_MASK_CONST(0x3ff)
#define FUSE_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_READ_MASK                        _MK_MASK_CONST(0x3ff)
#define FUSE_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_WRITE_MASK                       _MK_MASK_CONST(0x3ff)
#define FUSE_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_FIELD                    _MK_FIELD_CONST(0x3ff, FUSE_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_SHIFT)
#define FUSE_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_RANGE                    9:0
#define FUSE_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_WOFFSET                  0x0
#define FUSE_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_DEFAULT_MASK                     _MK_MASK_CONST(0x3ff)
#define FUSE_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Reserved address 284 [0x11c]

// Reserved address 288 [0x120]

// Reserved address 292 [0x124]

// Register FUSE_OPT_FT_REV_0
#define FUSE_OPT_FT_REV_0                       _MK_ADDR_CONST(0x128)
#define FUSE_OPT_FT_REV_0_SECURE                        0x0
#define FUSE_OPT_FT_REV_0_SCR                   0
#define FUSE_OPT_FT_REV_0_WORD_COUNT                    0x1
#define FUSE_OPT_FT_REV_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_FT_REV_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define FUSE_OPT_FT_REV_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_FT_REV_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_FT_REV_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define FUSE_OPT_FT_REV_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define FUSE_OPT_FT_REV_0_OPT_FT_REV_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_OPT_FT_REV_0_OPT_FT_REV_FIELD                      _MK_FIELD_CONST(0x7ff, FUSE_OPT_FT_REV_0_OPT_FT_REV_SHIFT)
#define FUSE_OPT_FT_REV_0_OPT_FT_REV_RANGE                      10:0
#define FUSE_OPT_FT_REV_0_OPT_FT_REV_WOFFSET                    0x0
#define FUSE_OPT_FT_REV_0_OPT_FT_REV_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_FT_REV_0_OPT_FT_REV_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define FUSE_OPT_FT_REV_0_OPT_FT_REV_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_OPT_FT_REV_0_OPT_FT_REV_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_CPU_SPEEDO_1_CALIB_0
#define FUSE_CPU_SPEEDO_1_CALIB_0                       _MK_ADDR_CONST(0x12c)
#define FUSE_CPU_SPEEDO_1_CALIB_0_SECURE                        0x0
#define FUSE_CPU_SPEEDO_1_CALIB_0_SCR                   0
#define FUSE_CPU_SPEEDO_1_CALIB_0_WORD_COUNT                    0x1
#define FUSE_CPU_SPEEDO_1_CALIB_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_CPU_SPEEDO_1_CALIB_0_RESET_MASK                    _MK_MASK_CONST(0xfff)
#define FUSE_CPU_SPEEDO_1_CALIB_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_CPU_SPEEDO_1_CALIB_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_CPU_SPEEDO_1_CALIB_0_READ_MASK                     _MK_MASK_CONST(0xfff)
#define FUSE_CPU_SPEEDO_1_CALIB_0_WRITE_MASK                    _MK_MASK_CONST(0xfff)
#define FUSE_CPU_SPEEDO_1_CALIB_0_CPU_SPEEDO_1_CALIB_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_CPU_SPEEDO_1_CALIB_0_CPU_SPEEDO_1_CALIB_FIELD                      _MK_FIELD_CONST(0xfff, FUSE_CPU_SPEEDO_1_CALIB_0_CPU_SPEEDO_1_CALIB_SHIFT)
#define FUSE_CPU_SPEEDO_1_CALIB_0_CPU_SPEEDO_1_CALIB_RANGE                      11:0
#define FUSE_CPU_SPEEDO_1_CALIB_0_CPU_SPEEDO_1_CALIB_WOFFSET                    0x0
#define FUSE_CPU_SPEEDO_1_CALIB_0_CPU_SPEEDO_1_CALIB_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_CPU_SPEEDO_1_CALIB_0_CPU_SPEEDO_1_CALIB_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define FUSE_CPU_SPEEDO_1_CALIB_0_CPU_SPEEDO_1_CALIB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_CPU_SPEEDO_1_CALIB_0_CPU_SPEEDO_1_CALIB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_CPU_SPEEDO_2_CALIB_0
#define FUSE_CPU_SPEEDO_2_CALIB_0                       _MK_ADDR_CONST(0x130)
#define FUSE_CPU_SPEEDO_2_CALIB_0_SECURE                        0x0
#define FUSE_CPU_SPEEDO_2_CALIB_0_SCR                   0
#define FUSE_CPU_SPEEDO_2_CALIB_0_WORD_COUNT                    0x1
#define FUSE_CPU_SPEEDO_2_CALIB_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_CPU_SPEEDO_2_CALIB_0_RESET_MASK                    _MK_MASK_CONST(0xfff)
#define FUSE_CPU_SPEEDO_2_CALIB_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_CPU_SPEEDO_2_CALIB_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_CPU_SPEEDO_2_CALIB_0_READ_MASK                     _MK_MASK_CONST(0xfff)
#define FUSE_CPU_SPEEDO_2_CALIB_0_WRITE_MASK                    _MK_MASK_CONST(0xfff)
#define FUSE_CPU_SPEEDO_2_CALIB_0_CPU_SPEEDO_2_CALIB_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_CPU_SPEEDO_2_CALIB_0_CPU_SPEEDO_2_CALIB_FIELD                      _MK_FIELD_CONST(0xfff, FUSE_CPU_SPEEDO_2_CALIB_0_CPU_SPEEDO_2_CALIB_SHIFT)
#define FUSE_CPU_SPEEDO_2_CALIB_0_CPU_SPEEDO_2_CALIB_RANGE                      11:0
#define FUSE_CPU_SPEEDO_2_CALIB_0_CPU_SPEEDO_2_CALIB_WOFFSET                    0x0
#define FUSE_CPU_SPEEDO_2_CALIB_0_CPU_SPEEDO_2_CALIB_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_CPU_SPEEDO_2_CALIB_0_CPU_SPEEDO_2_CALIB_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define FUSE_CPU_SPEEDO_2_CALIB_0_CPU_SPEEDO_2_CALIB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_CPU_SPEEDO_2_CALIB_0_CPU_SPEEDO_2_CALIB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_SOC_SPEEDO_0_CALIB_0
#define FUSE_SOC_SPEEDO_0_CALIB_0                       _MK_ADDR_CONST(0x134)
#define FUSE_SOC_SPEEDO_0_CALIB_0_SECURE                        0x0
#define FUSE_SOC_SPEEDO_0_CALIB_0_SCR                   0
#define FUSE_SOC_SPEEDO_0_CALIB_0_WORD_COUNT                    0x1
#define FUSE_SOC_SPEEDO_0_CALIB_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_SOC_SPEEDO_0_CALIB_0_RESET_MASK                    _MK_MASK_CONST(0xfff)
#define FUSE_SOC_SPEEDO_0_CALIB_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_SOC_SPEEDO_0_CALIB_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_SOC_SPEEDO_0_CALIB_0_READ_MASK                     _MK_MASK_CONST(0xfff)
#define FUSE_SOC_SPEEDO_0_CALIB_0_WRITE_MASK                    _MK_MASK_CONST(0xfff)
#define FUSE_SOC_SPEEDO_0_CALIB_0_SOC_SPEEDO_0_CALIB_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_SOC_SPEEDO_0_CALIB_0_SOC_SPEEDO_0_CALIB_FIELD                      _MK_FIELD_CONST(0xfff, FUSE_SOC_SPEEDO_0_CALIB_0_SOC_SPEEDO_0_CALIB_SHIFT)
#define FUSE_SOC_SPEEDO_0_CALIB_0_SOC_SPEEDO_0_CALIB_RANGE                      11:0
#define FUSE_SOC_SPEEDO_0_CALIB_0_SOC_SPEEDO_0_CALIB_WOFFSET                    0x0
#define FUSE_SOC_SPEEDO_0_CALIB_0_SOC_SPEEDO_0_CALIB_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_SOC_SPEEDO_0_CALIB_0_SOC_SPEEDO_0_CALIB_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define FUSE_SOC_SPEEDO_0_CALIB_0_SOC_SPEEDO_0_CALIB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_SOC_SPEEDO_0_CALIB_0_SOC_SPEEDO_0_CALIB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_SOC_SPEEDO_1_CALIB_0
#define FUSE_SOC_SPEEDO_1_CALIB_0                       _MK_ADDR_CONST(0x138)
#define FUSE_SOC_SPEEDO_1_CALIB_0_SECURE                        0x0
#define FUSE_SOC_SPEEDO_1_CALIB_0_SCR                   0
#define FUSE_SOC_SPEEDO_1_CALIB_0_WORD_COUNT                    0x1
#define FUSE_SOC_SPEEDO_1_CALIB_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_SOC_SPEEDO_1_CALIB_0_RESET_MASK                    _MK_MASK_CONST(0xfff)
#define FUSE_SOC_SPEEDO_1_CALIB_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_SOC_SPEEDO_1_CALIB_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_SOC_SPEEDO_1_CALIB_0_READ_MASK                     _MK_MASK_CONST(0xfff)
#define FUSE_SOC_SPEEDO_1_CALIB_0_WRITE_MASK                    _MK_MASK_CONST(0xfff)
#define FUSE_SOC_SPEEDO_1_CALIB_0_SOC_SPEEDO_1_CALIB_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_SOC_SPEEDO_1_CALIB_0_SOC_SPEEDO_1_CALIB_FIELD                      _MK_FIELD_CONST(0xfff, FUSE_SOC_SPEEDO_1_CALIB_0_SOC_SPEEDO_1_CALIB_SHIFT)
#define FUSE_SOC_SPEEDO_1_CALIB_0_SOC_SPEEDO_1_CALIB_RANGE                      11:0
#define FUSE_SOC_SPEEDO_1_CALIB_0_SOC_SPEEDO_1_CALIB_WOFFSET                    0x0
#define FUSE_SOC_SPEEDO_1_CALIB_0_SOC_SPEEDO_1_CALIB_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_SOC_SPEEDO_1_CALIB_0_SOC_SPEEDO_1_CALIB_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define FUSE_SOC_SPEEDO_1_CALIB_0_SOC_SPEEDO_1_CALIB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_SOC_SPEEDO_1_CALIB_0_SOC_SPEEDO_1_CALIB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_SOC_SPEEDO_2_CALIB_0
#define FUSE_SOC_SPEEDO_2_CALIB_0                       _MK_ADDR_CONST(0x13c)
#define FUSE_SOC_SPEEDO_2_CALIB_0_SECURE                        0x0
#define FUSE_SOC_SPEEDO_2_CALIB_0_SCR                   0
#define FUSE_SOC_SPEEDO_2_CALIB_0_WORD_COUNT                    0x1
#define FUSE_SOC_SPEEDO_2_CALIB_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_SOC_SPEEDO_2_CALIB_0_RESET_MASK                    _MK_MASK_CONST(0xfff)
#define FUSE_SOC_SPEEDO_2_CALIB_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_SOC_SPEEDO_2_CALIB_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_SOC_SPEEDO_2_CALIB_0_READ_MASK                     _MK_MASK_CONST(0xfff)
#define FUSE_SOC_SPEEDO_2_CALIB_0_WRITE_MASK                    _MK_MASK_CONST(0xfff)
#define FUSE_SOC_SPEEDO_2_CALIB_0_SOC_SPEEDO_2_CALIB_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_SOC_SPEEDO_2_CALIB_0_SOC_SPEEDO_2_CALIB_FIELD                      _MK_FIELD_CONST(0xfff, FUSE_SOC_SPEEDO_2_CALIB_0_SOC_SPEEDO_2_CALIB_SHIFT)
#define FUSE_SOC_SPEEDO_2_CALIB_0_SOC_SPEEDO_2_CALIB_RANGE                      11:0
#define FUSE_SOC_SPEEDO_2_CALIB_0_SOC_SPEEDO_2_CALIB_WOFFSET                    0x0
#define FUSE_SOC_SPEEDO_2_CALIB_0_SOC_SPEEDO_2_CALIB_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_SOC_SPEEDO_2_CALIB_0_SOC_SPEEDO_2_CALIB_DEFAULT_MASK                       _MK_MASK_CONST(0xfff)
#define FUSE_SOC_SPEEDO_2_CALIB_0_SOC_SPEEDO_2_CALIB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_SOC_SPEEDO_2_CALIB_0_SOC_SPEEDO_2_CALIB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_SOC_HT_IDDQ_CALIB_0
#define FUSE_SOC_HT_IDDQ_CALIB_0                        _MK_ADDR_CONST(0x140)
#define FUSE_SOC_HT_IDDQ_CALIB_0_SECURE                         0x0
#define FUSE_SOC_HT_IDDQ_CALIB_0_SCR                    0
#define FUSE_SOC_HT_IDDQ_CALIB_0_WORD_COUNT                     0x1
#define FUSE_SOC_HT_IDDQ_CALIB_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SOC_HT_IDDQ_CALIB_0_RESET_MASK                     _MK_MASK_CONST(0x3ff)
#define FUSE_SOC_HT_IDDQ_CALIB_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_SOC_HT_IDDQ_CALIB_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define FUSE_SOC_HT_IDDQ_CALIB_0_READ_MASK                      _MK_MASK_CONST(0x3ff)
#define FUSE_SOC_HT_IDDQ_CALIB_0_WRITE_MASK                     _MK_MASK_CONST(0x3ff)
#define FUSE_SOC_HT_IDDQ_CALIB_0_SOC_HT_IDDQ_CALIB_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_SOC_HT_IDDQ_CALIB_0_SOC_HT_IDDQ_CALIB_FIELD                        _MK_FIELD_CONST(0x3ff, FUSE_SOC_HT_IDDQ_CALIB_0_SOC_HT_IDDQ_CALIB_SHIFT)
#define FUSE_SOC_HT_IDDQ_CALIB_0_SOC_HT_IDDQ_CALIB_RANGE                        9:0
#define FUSE_SOC_HT_IDDQ_CALIB_0_SOC_HT_IDDQ_CALIB_WOFFSET                      0x0
#define FUSE_SOC_HT_IDDQ_CALIB_0_SOC_HT_IDDQ_CALIB_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_SOC_HT_IDDQ_CALIB_0_SOC_HT_IDDQ_CALIB_DEFAULT_MASK                 _MK_MASK_CONST(0x3ff)
#define FUSE_SOC_HT_IDDQ_CALIB_0_SOC_HT_IDDQ_CALIB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_SOC_HT_IDDQ_CALIB_0_SOC_HT_IDDQ_CALIB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Reserved address 324 [0x144]

// Register FUSE_FA_0
#define FUSE_FA_0                       _MK_ADDR_CONST(0x148)
#define FUSE_FA_0_SECURE                        0x0
#define FUSE_FA_0_SCR                   0
#define FUSE_FA_0_WORD_COUNT                    0x1
#define FUSE_FA_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_FA_0_RESET_MASK                    _MK_MASK_CONST(0x1)
#define FUSE_FA_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_FA_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_FA_0_READ_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_FA_0_WRITE_MASK                    _MK_MASK_CONST(0x1)
#define FUSE_FA_0_FA_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_FA_0_FA_FIELD                      _MK_FIELD_CONST(0x1, FUSE_FA_0_FA_SHIFT)
#define FUSE_FA_0_FA_RANGE                      0:0
#define FUSE_FA_0_FA_WOFFSET                    0x0
#define FUSE_FA_0_FA_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_FA_0_FA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_FA_0_FA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_FA_0_FA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_RESERVED_PRODUCTION_0
#define FUSE_RESERVED_PRODUCTION_0                      _MK_ADDR_CONST(0x14c)
#define FUSE_RESERVED_PRODUCTION_0_SECURE                       0x0
#define FUSE_RESERVED_PRODUCTION_0_SCR                  0
#define FUSE_RESERVED_PRODUCTION_0_WORD_COUNT                   0x1
#define FUSE_RESERVED_PRODUCTION_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_PRODUCTION_0_RESET_MASK                   _MK_MASK_CONST(0xf)
#define FUSE_RESERVED_PRODUCTION_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_PRODUCTION_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_PRODUCTION_0_READ_MASK                    _MK_MASK_CONST(0xf)
#define FUSE_RESERVED_PRODUCTION_0_WRITE_MASK                   _MK_MASK_CONST(0xf)
#define FUSE_RESERVED_PRODUCTION_0_RESERVED_PRODUCTION_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_RESERVED_PRODUCTION_0_RESERVED_PRODUCTION_FIELD                    _MK_FIELD_CONST(0xf, FUSE_RESERVED_PRODUCTION_0_RESERVED_PRODUCTION_SHIFT)
#define FUSE_RESERVED_PRODUCTION_0_RESERVED_PRODUCTION_RANGE                    3:0
#define FUSE_RESERVED_PRODUCTION_0_RESERVED_PRODUCTION_WOFFSET                  0x0
#define FUSE_RESERVED_PRODUCTION_0_RESERVED_PRODUCTION_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_PRODUCTION_0_RESERVED_PRODUCTION_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define FUSE_RESERVED_PRODUCTION_0_RESERVED_PRODUCTION_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_PRODUCTION_0_RESERVED_PRODUCTION_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_HDMI_LANE0_CALIB_0
#define FUSE_HDMI_LANE0_CALIB_0                 _MK_ADDR_CONST(0x150)
#define FUSE_HDMI_LANE0_CALIB_0_SECURE                  0x0
#define FUSE_HDMI_LANE0_CALIB_0_SCR                     0
#define FUSE_HDMI_LANE0_CALIB_0_WORD_COUNT                      0x1
#define FUSE_HDMI_LANE0_CALIB_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_HDMI_LANE0_CALIB_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define FUSE_HDMI_LANE0_CALIB_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_HDMI_LANE0_CALIB_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define FUSE_HDMI_LANE0_CALIB_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define FUSE_HDMI_LANE0_CALIB_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define FUSE_HDMI_LANE0_CALIB_0_HDMI_LANE0_CALIB_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_HDMI_LANE0_CALIB_0_HDMI_LANE0_CALIB_FIELD                  _MK_FIELD_CONST(0xff, FUSE_HDMI_LANE0_CALIB_0_HDMI_LANE0_CALIB_SHIFT)
#define FUSE_HDMI_LANE0_CALIB_0_HDMI_LANE0_CALIB_RANGE                  7:0
#define FUSE_HDMI_LANE0_CALIB_0_HDMI_LANE0_CALIB_WOFFSET                        0x0
#define FUSE_HDMI_LANE0_CALIB_0_HDMI_LANE0_CALIB_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_HDMI_LANE0_CALIB_0_HDMI_LANE0_CALIB_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define FUSE_HDMI_LANE0_CALIB_0_HDMI_LANE0_CALIB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_HDMI_LANE0_CALIB_0_HDMI_LANE0_CALIB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_HDMI_LANE1_CALIB_0
#define FUSE_HDMI_LANE1_CALIB_0                 _MK_ADDR_CONST(0x154)
#define FUSE_HDMI_LANE1_CALIB_0_SECURE                  0x0
#define FUSE_HDMI_LANE1_CALIB_0_SCR                     0
#define FUSE_HDMI_LANE1_CALIB_0_WORD_COUNT                      0x1
#define FUSE_HDMI_LANE1_CALIB_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_HDMI_LANE1_CALIB_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define FUSE_HDMI_LANE1_CALIB_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_HDMI_LANE1_CALIB_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define FUSE_HDMI_LANE1_CALIB_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define FUSE_HDMI_LANE1_CALIB_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define FUSE_HDMI_LANE1_CALIB_0_HDMI_LANE1_CALIB_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_HDMI_LANE1_CALIB_0_HDMI_LANE1_CALIB_FIELD                  _MK_FIELD_CONST(0xff, FUSE_HDMI_LANE1_CALIB_0_HDMI_LANE1_CALIB_SHIFT)
#define FUSE_HDMI_LANE1_CALIB_0_HDMI_LANE1_CALIB_RANGE                  7:0
#define FUSE_HDMI_LANE1_CALIB_0_HDMI_LANE1_CALIB_WOFFSET                        0x0
#define FUSE_HDMI_LANE1_CALIB_0_HDMI_LANE1_CALIB_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_HDMI_LANE1_CALIB_0_HDMI_LANE1_CALIB_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define FUSE_HDMI_LANE1_CALIB_0_HDMI_LANE1_CALIB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_HDMI_LANE1_CALIB_0_HDMI_LANE1_CALIB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_HDMI_LANE2_CALIB_0
#define FUSE_HDMI_LANE2_CALIB_0                 _MK_ADDR_CONST(0x158)
#define FUSE_HDMI_LANE2_CALIB_0_SECURE                  0x0
#define FUSE_HDMI_LANE2_CALIB_0_SCR                     0
#define FUSE_HDMI_LANE2_CALIB_0_WORD_COUNT                      0x1
#define FUSE_HDMI_LANE2_CALIB_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_HDMI_LANE2_CALIB_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define FUSE_HDMI_LANE2_CALIB_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_HDMI_LANE2_CALIB_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define FUSE_HDMI_LANE2_CALIB_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define FUSE_HDMI_LANE2_CALIB_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define FUSE_HDMI_LANE2_CALIB_0_HDMI_LANE2_CALIB_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_HDMI_LANE2_CALIB_0_HDMI_LANE2_CALIB_FIELD                  _MK_FIELD_CONST(0xff, FUSE_HDMI_LANE2_CALIB_0_HDMI_LANE2_CALIB_SHIFT)
#define FUSE_HDMI_LANE2_CALIB_0_HDMI_LANE2_CALIB_RANGE                  7:0
#define FUSE_HDMI_LANE2_CALIB_0_HDMI_LANE2_CALIB_WOFFSET                        0x0
#define FUSE_HDMI_LANE2_CALIB_0_HDMI_LANE2_CALIB_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_HDMI_LANE2_CALIB_0_HDMI_LANE2_CALIB_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define FUSE_HDMI_LANE2_CALIB_0_HDMI_LANE2_CALIB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_HDMI_LANE2_CALIB_0_HDMI_LANE2_CALIB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_HDMI_LANE3_CALIB_0
#define FUSE_HDMI_LANE3_CALIB_0                 _MK_ADDR_CONST(0x15c)
#define FUSE_HDMI_LANE3_CALIB_0_SECURE                  0x0
#define FUSE_HDMI_LANE3_CALIB_0_SCR                     0
#define FUSE_HDMI_LANE3_CALIB_0_WORD_COUNT                      0x1
#define FUSE_HDMI_LANE3_CALIB_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_HDMI_LANE3_CALIB_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define FUSE_HDMI_LANE3_CALIB_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_HDMI_LANE3_CALIB_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define FUSE_HDMI_LANE3_CALIB_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define FUSE_HDMI_LANE3_CALIB_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define FUSE_HDMI_LANE3_CALIB_0_HDMI_LANE3_CALIB_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_HDMI_LANE3_CALIB_0_HDMI_LANE3_CALIB_FIELD                  _MK_FIELD_CONST(0xff, FUSE_HDMI_LANE3_CALIB_0_HDMI_LANE3_CALIB_SHIFT)
#define FUSE_HDMI_LANE3_CALIB_0_HDMI_LANE3_CALIB_RANGE                  7:0
#define FUSE_HDMI_LANE3_CALIB_0_HDMI_LANE3_CALIB_WOFFSET                        0x0
#define FUSE_HDMI_LANE3_CALIB_0_HDMI_LANE3_CALIB_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_HDMI_LANE3_CALIB_0_HDMI_LANE3_CALIB_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define FUSE_HDMI_LANE3_CALIB_0_HDMI_LANE3_CALIB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_HDMI_LANE3_CALIB_0_HDMI_LANE3_CALIB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Reserved address 352 [0x160]

// Register FUSE_PUBLIC_KEY0_0
#define FUSE_PUBLIC_KEY0_0                      _MK_ADDR_CONST(0x164)
#define FUSE_PUBLIC_KEY0_0_SECURE                       0x0
#define FUSE_PUBLIC_KEY0_0_SCR                  0
#define FUSE_PUBLIC_KEY0_0_WORD_COUNT                   0x1
#define FUSE_PUBLIC_KEY0_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY0_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY0_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY0_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY0_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY0_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY0_0_PUBLIC_KEY0_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_PUBLIC_KEY0_0_PUBLIC_KEY0_FIELD                    _MK_FIELD_CONST(0xffffffff, FUSE_PUBLIC_KEY0_0_PUBLIC_KEY0_SHIFT)
#define FUSE_PUBLIC_KEY0_0_PUBLIC_KEY0_RANGE                    31:0
#define FUSE_PUBLIC_KEY0_0_PUBLIC_KEY0_WOFFSET                  0x0
#define FUSE_PUBLIC_KEY0_0_PUBLIC_KEY0_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY0_0_PUBLIC_KEY0_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY0_0_PUBLIC_KEY0_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY0_0_PUBLIC_KEY0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_PUBLIC_KEY1_0
#define FUSE_PUBLIC_KEY1_0                      _MK_ADDR_CONST(0x168)
#define FUSE_PUBLIC_KEY1_0_SECURE                       0x0
#define FUSE_PUBLIC_KEY1_0_SCR                  0
#define FUSE_PUBLIC_KEY1_0_WORD_COUNT                   0x1
#define FUSE_PUBLIC_KEY1_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY1_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY1_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY1_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY1_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY1_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY1_0_PUBLIC_KEY1_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_PUBLIC_KEY1_0_PUBLIC_KEY1_FIELD                    _MK_FIELD_CONST(0xffffffff, FUSE_PUBLIC_KEY1_0_PUBLIC_KEY1_SHIFT)
#define FUSE_PUBLIC_KEY1_0_PUBLIC_KEY1_RANGE                    31:0
#define FUSE_PUBLIC_KEY1_0_PUBLIC_KEY1_WOFFSET                  0x0
#define FUSE_PUBLIC_KEY1_0_PUBLIC_KEY1_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY1_0_PUBLIC_KEY1_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY1_0_PUBLIC_KEY1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY1_0_PUBLIC_KEY1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_PUBLIC_KEY2_0
#define FUSE_PUBLIC_KEY2_0                      _MK_ADDR_CONST(0x16c)
#define FUSE_PUBLIC_KEY2_0_SECURE                       0x0
#define FUSE_PUBLIC_KEY2_0_SCR                  0
#define FUSE_PUBLIC_KEY2_0_WORD_COUNT                   0x1
#define FUSE_PUBLIC_KEY2_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY2_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY2_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY2_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY2_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY2_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY2_0_PUBLIC_KEY2_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_PUBLIC_KEY2_0_PUBLIC_KEY2_FIELD                    _MK_FIELD_CONST(0xffffffff, FUSE_PUBLIC_KEY2_0_PUBLIC_KEY2_SHIFT)
#define FUSE_PUBLIC_KEY2_0_PUBLIC_KEY2_RANGE                    31:0
#define FUSE_PUBLIC_KEY2_0_PUBLIC_KEY2_WOFFSET                  0x0
#define FUSE_PUBLIC_KEY2_0_PUBLIC_KEY2_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY2_0_PUBLIC_KEY2_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY2_0_PUBLIC_KEY2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY2_0_PUBLIC_KEY2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_PUBLIC_KEY3_0
#define FUSE_PUBLIC_KEY3_0                      _MK_ADDR_CONST(0x170)
#define FUSE_PUBLIC_KEY3_0_SECURE                       0x0
#define FUSE_PUBLIC_KEY3_0_SCR                  0
#define FUSE_PUBLIC_KEY3_0_WORD_COUNT                   0x1
#define FUSE_PUBLIC_KEY3_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY3_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY3_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY3_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY3_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY3_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY3_0_PUBLIC_KEY3_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_PUBLIC_KEY3_0_PUBLIC_KEY3_FIELD                    _MK_FIELD_CONST(0xffffffff, FUSE_PUBLIC_KEY3_0_PUBLIC_KEY3_SHIFT)
#define FUSE_PUBLIC_KEY3_0_PUBLIC_KEY3_RANGE                    31:0
#define FUSE_PUBLIC_KEY3_0_PUBLIC_KEY3_WOFFSET                  0x0
#define FUSE_PUBLIC_KEY3_0_PUBLIC_KEY3_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY3_0_PUBLIC_KEY3_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY3_0_PUBLIC_KEY3_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY3_0_PUBLIC_KEY3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_PUBLIC_KEY4_0
#define FUSE_PUBLIC_KEY4_0                      _MK_ADDR_CONST(0x174)
#define FUSE_PUBLIC_KEY4_0_SECURE                       0x0
#define FUSE_PUBLIC_KEY4_0_SCR                  0
#define FUSE_PUBLIC_KEY4_0_WORD_COUNT                   0x1
#define FUSE_PUBLIC_KEY4_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY4_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY4_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY4_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY4_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY4_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY4_0_PUBLIC_KEY4_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_PUBLIC_KEY4_0_PUBLIC_KEY4_FIELD                    _MK_FIELD_CONST(0xffffffff, FUSE_PUBLIC_KEY4_0_PUBLIC_KEY4_SHIFT)
#define FUSE_PUBLIC_KEY4_0_PUBLIC_KEY4_RANGE                    31:0
#define FUSE_PUBLIC_KEY4_0_PUBLIC_KEY4_WOFFSET                  0x0
#define FUSE_PUBLIC_KEY4_0_PUBLIC_KEY4_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY4_0_PUBLIC_KEY4_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY4_0_PUBLIC_KEY4_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY4_0_PUBLIC_KEY4_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_PUBLIC_KEY5_0
#define FUSE_PUBLIC_KEY5_0                      _MK_ADDR_CONST(0x178)
#define FUSE_PUBLIC_KEY5_0_SECURE                       0x0
#define FUSE_PUBLIC_KEY5_0_SCR                  0
#define FUSE_PUBLIC_KEY5_0_WORD_COUNT                   0x1
#define FUSE_PUBLIC_KEY5_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY5_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY5_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY5_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY5_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY5_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY5_0_PUBLIC_KEY5_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_PUBLIC_KEY5_0_PUBLIC_KEY5_FIELD                    _MK_FIELD_CONST(0xffffffff, FUSE_PUBLIC_KEY5_0_PUBLIC_KEY5_SHIFT)
#define FUSE_PUBLIC_KEY5_0_PUBLIC_KEY5_RANGE                    31:0
#define FUSE_PUBLIC_KEY5_0_PUBLIC_KEY5_WOFFSET                  0x0
#define FUSE_PUBLIC_KEY5_0_PUBLIC_KEY5_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY5_0_PUBLIC_KEY5_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY5_0_PUBLIC_KEY5_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY5_0_PUBLIC_KEY5_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_PUBLIC_KEY6_0
#define FUSE_PUBLIC_KEY6_0                      _MK_ADDR_CONST(0x17c)
#define FUSE_PUBLIC_KEY6_0_SECURE                       0x0
#define FUSE_PUBLIC_KEY6_0_SCR                  0
#define FUSE_PUBLIC_KEY6_0_WORD_COUNT                   0x1
#define FUSE_PUBLIC_KEY6_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY6_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY6_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY6_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY6_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY6_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY6_0_PUBLIC_KEY6_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_PUBLIC_KEY6_0_PUBLIC_KEY6_FIELD                    _MK_FIELD_CONST(0xffffffff, FUSE_PUBLIC_KEY6_0_PUBLIC_KEY6_SHIFT)
#define FUSE_PUBLIC_KEY6_0_PUBLIC_KEY6_RANGE                    31:0
#define FUSE_PUBLIC_KEY6_0_PUBLIC_KEY6_WOFFSET                  0x0
#define FUSE_PUBLIC_KEY6_0_PUBLIC_KEY6_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY6_0_PUBLIC_KEY6_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY6_0_PUBLIC_KEY6_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY6_0_PUBLIC_KEY6_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_PUBLIC_KEY7_0
#define FUSE_PUBLIC_KEY7_0                      _MK_ADDR_CONST(0x180)
#define FUSE_PUBLIC_KEY7_0_SECURE                       0x0
#define FUSE_PUBLIC_KEY7_0_SCR                  0
#define FUSE_PUBLIC_KEY7_0_WORD_COUNT                   0x1
#define FUSE_PUBLIC_KEY7_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY7_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY7_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY7_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY7_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY7_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY7_0_PUBLIC_KEY7_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_PUBLIC_KEY7_0_PUBLIC_KEY7_FIELD                    _MK_FIELD_CONST(0xffffffff, FUSE_PUBLIC_KEY7_0_PUBLIC_KEY7_SHIFT)
#define FUSE_PUBLIC_KEY7_0_PUBLIC_KEY7_RANGE                    31:0
#define FUSE_PUBLIC_KEY7_0_PUBLIC_KEY7_WOFFSET                  0x0
#define FUSE_PUBLIC_KEY7_0_PUBLIC_KEY7_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY7_0_PUBLIC_KEY7_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define FUSE_PUBLIC_KEY7_0_PUBLIC_KEY7_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_PUBLIC_KEY7_0_PUBLIC_KEY7_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_TSENSOR1_CALIB_0
#define FUSE_TSENSOR1_CALIB_0                   _MK_ADDR_CONST(0x184)
#define FUSE_TSENSOR1_CALIB_0_SECURE                    0x0
#define FUSE_TSENSOR1_CALIB_0_SCR                       0
#define FUSE_TSENSOR1_CALIB_0_WORD_COUNT                        0x1
#define FUSE_TSENSOR1_CALIB_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR1_CALIB_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR1_CALIB_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR1_CALIB_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR1_CALIB_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR1_CALIB_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR1_CALIB_0_TSENSOR1_CALIB_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_TSENSOR1_CALIB_0_TSENSOR1_CALIB_FIELD                      _MK_FIELD_CONST(0xffffffff, FUSE_TSENSOR1_CALIB_0_TSENSOR1_CALIB_SHIFT)
#define FUSE_TSENSOR1_CALIB_0_TSENSOR1_CALIB_RANGE                      31:0
#define FUSE_TSENSOR1_CALIB_0_TSENSOR1_CALIB_WOFFSET                    0x0
#define FUSE_TSENSOR1_CALIB_0_TSENSOR1_CALIB_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR1_CALIB_0_TSENSOR1_CALIB_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR1_CALIB_0_TSENSOR1_CALIB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR1_CALIB_0_TSENSOR1_CALIB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_TSENSOR2_CALIB_0
#define FUSE_TSENSOR2_CALIB_0                   _MK_ADDR_CONST(0x188)
#define FUSE_TSENSOR2_CALIB_0_SECURE                    0x0
#define FUSE_TSENSOR2_CALIB_0_SCR                       0
#define FUSE_TSENSOR2_CALIB_0_WORD_COUNT                        0x1
#define FUSE_TSENSOR2_CALIB_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR2_CALIB_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR2_CALIB_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR2_CALIB_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR2_CALIB_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR2_CALIB_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR2_CALIB_0_TSENSOR2_CALIB_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_TSENSOR2_CALIB_0_TSENSOR2_CALIB_FIELD                      _MK_FIELD_CONST(0xffffffff, FUSE_TSENSOR2_CALIB_0_TSENSOR2_CALIB_SHIFT)
#define FUSE_TSENSOR2_CALIB_0_TSENSOR2_CALIB_RANGE                      31:0
#define FUSE_TSENSOR2_CALIB_0_TSENSOR2_CALIB_WOFFSET                    0x0
#define FUSE_TSENSOR2_CALIB_0_TSENSOR2_CALIB_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR2_CALIB_0_TSENSOR2_CALIB_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR2_CALIB_0_TSENSOR2_CALIB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR2_CALIB_0_TSENSOR2_CALIB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Reserved address 396 [0x18c]

// Register FUSE_OPT_CP_REV_0
#define FUSE_OPT_CP_REV_0                       _MK_ADDR_CONST(0x190)
#define FUSE_OPT_CP_REV_0_SECURE                        0x0
#define FUSE_OPT_CP_REV_0_SCR                   0
#define FUSE_OPT_CP_REV_0_WORD_COUNT                    0x1
#define FUSE_OPT_CP_REV_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_CP_REV_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define FUSE_OPT_CP_REV_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_CP_REV_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_CP_REV_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define FUSE_OPT_CP_REV_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define FUSE_OPT_CP_REV_0_OPT_CP_REV_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_OPT_CP_REV_0_OPT_CP_REV_FIELD                      _MK_FIELD_CONST(0x7ff, FUSE_OPT_CP_REV_0_OPT_CP_REV_SHIFT)
#define FUSE_OPT_CP_REV_0_OPT_CP_REV_RANGE                      10:0
#define FUSE_OPT_CP_REV_0_OPT_CP_REV_WOFFSET                    0x0
#define FUSE_OPT_CP_REV_0_OPT_CP_REV_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_CP_REV_0_OPT_CP_REV_DEFAULT_MASK                       _MK_MASK_CONST(0x7ff)
#define FUSE_OPT_CP_REV_0_OPT_CP_REV_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_OPT_CP_REV_0_OPT_CP_REV_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_OPT_PFG_0
#define FUSE_OPT_PFG_0                  _MK_ADDR_CONST(0x194)
#define FUSE_OPT_PFG_0_SECURE                   0x0
#define FUSE_OPT_PFG_0_SCR                      0
#define FUSE_OPT_PFG_0_WORD_COUNT                       0x1
#define FUSE_OPT_PFG_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_PFG_0_RESET_MASK                       _MK_MASK_CONST(0x3fff)
#define FUSE_OPT_PFG_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_PFG_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_PFG_0_READ_MASK                        _MK_MASK_CONST(0x3fff)
#define FUSE_OPT_PFG_0_WRITE_MASK                       _MK_MASK_CONST(0x3fff)
#define FUSE_OPT_PFG_0_OPT_PFG_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_OPT_PFG_0_OPT_PFG_FIELD                    _MK_FIELD_CONST(0x3fff, FUSE_OPT_PFG_0_OPT_PFG_SHIFT)
#define FUSE_OPT_PFG_0_OPT_PFG_RANGE                    13:0
#define FUSE_OPT_PFG_0_OPT_PFG_WOFFSET                  0x0
#define FUSE_OPT_PFG_0_OPT_PFG_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_PFG_0_OPT_PFG_DEFAULT_MASK                     _MK_MASK_CONST(0x3fff)
#define FUSE_OPT_PFG_0_OPT_PFG_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_PFG_0_OPT_PFG_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_TSENSOR0_CALIB_0
#define FUSE_TSENSOR0_CALIB_0                   _MK_ADDR_CONST(0x198)
#define FUSE_TSENSOR0_CALIB_0_SECURE                    0x0
#define FUSE_TSENSOR0_CALIB_0_SCR                       0
#define FUSE_TSENSOR0_CALIB_0_WORD_COUNT                        0x1
#define FUSE_TSENSOR0_CALIB_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR0_CALIB_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR0_CALIB_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR0_CALIB_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR0_CALIB_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR0_CALIB_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR0_CALIB_0_TSENSOR0_CALIB_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_TSENSOR0_CALIB_0_TSENSOR0_CALIB_FIELD                      _MK_FIELD_CONST(0xffffffff, FUSE_TSENSOR0_CALIB_0_TSENSOR0_CALIB_SHIFT)
#define FUSE_TSENSOR0_CALIB_0_TSENSOR0_CALIB_RANGE                      31:0
#define FUSE_TSENSOR0_CALIB_0_TSENSOR0_CALIB_WOFFSET                    0x0
#define FUSE_TSENSOR0_CALIB_0_TSENSOR0_CALIB_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR0_CALIB_0_TSENSOR0_CALIB_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR0_CALIB_0_TSENSOR0_CALIB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR0_CALIB_0_TSENSOR0_CALIB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Reserved address 412 [0x19c]

// Register FUSE_SECURITY_MODE_0
#define FUSE_SECURITY_MODE_0                    _MK_ADDR_CONST(0x1a0)
#define FUSE_SECURITY_MODE_0_SECURE                     0x0
#define FUSE_SECURITY_MODE_0_SCR                        0
#define FUSE_SECURITY_MODE_0_WORD_COUNT                         0x1
#define FUSE_SECURITY_MODE_0_RESET_VAL                  _MK_MASK_CONST(0x1)
#define FUSE_SECURITY_MODE_0_RESET_MASK                         _MK_MASK_CONST(0x1)
#define FUSE_SECURITY_MODE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_SECURITY_MODE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_SECURITY_MODE_0_READ_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SECURITY_MODE_0_WRITE_MASK                         _MK_MASK_CONST(0x1)
#define FUSE_SECURITY_MODE_0_SECURITY_MODE_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_SECURITY_MODE_0_SECURITY_MODE_FIELD                        _MK_FIELD_CONST(0x1, FUSE_SECURITY_MODE_0_SECURITY_MODE_SHIFT)
#define FUSE_SECURITY_MODE_0_SECURITY_MODE_RANGE                        0:0
#define FUSE_SECURITY_MODE_0_SECURITY_MODE_WOFFSET                      0x0
#define FUSE_SECURITY_MODE_0_SECURITY_MODE_DEFAULT                      _MK_MASK_CONST(0x1)
#define FUSE_SECURITY_MODE_0_SECURITY_MODE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define FUSE_SECURITY_MODE_0_SECURITY_MODE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_SECURITY_MODE_0_SECURITY_MODE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_PRIVATE_KEY0_0
#define FUSE_PRIVATE_KEY0_0                     _MK_ADDR_CONST(0x1a4)
#define FUSE_PRIVATE_KEY0_0_SECURE                      0x0
#define FUSE_PRIVATE_KEY0_0_SCR                         0
#define FUSE_PRIVATE_KEY0_0_WORD_COUNT                  0x1
#define FUSE_PRIVATE_KEY0_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY0_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_PRIVATE_KEY0_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY0_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY0_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PRIVATE_KEY0_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_PRIVATE_KEY0_0_PRIVATE_KEY0_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_PRIVATE_KEY0_0_PRIVATE_KEY0_FIELD                  _MK_FIELD_CONST(0xffffffff, FUSE_PRIVATE_KEY0_0_PRIVATE_KEY0_SHIFT)
#define FUSE_PRIVATE_KEY0_0_PRIVATE_KEY0_RANGE                  31:0
#define FUSE_PRIVATE_KEY0_0_PRIVATE_KEY0_WOFFSET                        0x0
#define FUSE_PRIVATE_KEY0_0_PRIVATE_KEY0_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY0_0_PRIVATE_KEY0_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PRIVATE_KEY0_0_PRIVATE_KEY0_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY0_0_PRIVATE_KEY0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_PRIVATE_KEY1_0
#define FUSE_PRIVATE_KEY1_0                     _MK_ADDR_CONST(0x1a8)
#define FUSE_PRIVATE_KEY1_0_SECURE                      0x0
#define FUSE_PRIVATE_KEY1_0_SCR                         0
#define FUSE_PRIVATE_KEY1_0_WORD_COUNT                  0x1
#define FUSE_PRIVATE_KEY1_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY1_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_PRIVATE_KEY1_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY1_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY1_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PRIVATE_KEY1_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_PRIVATE_KEY1_0_PRIVATE_KEY1_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_PRIVATE_KEY1_0_PRIVATE_KEY1_FIELD                  _MK_FIELD_CONST(0xffffffff, FUSE_PRIVATE_KEY1_0_PRIVATE_KEY1_SHIFT)
#define FUSE_PRIVATE_KEY1_0_PRIVATE_KEY1_RANGE                  31:0
#define FUSE_PRIVATE_KEY1_0_PRIVATE_KEY1_WOFFSET                        0x0
#define FUSE_PRIVATE_KEY1_0_PRIVATE_KEY1_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY1_0_PRIVATE_KEY1_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PRIVATE_KEY1_0_PRIVATE_KEY1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY1_0_PRIVATE_KEY1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_PRIVATE_KEY2_0
#define FUSE_PRIVATE_KEY2_0                     _MK_ADDR_CONST(0x1ac)
#define FUSE_PRIVATE_KEY2_0_SECURE                      0x0
#define FUSE_PRIVATE_KEY2_0_SCR                         0
#define FUSE_PRIVATE_KEY2_0_WORD_COUNT                  0x1
#define FUSE_PRIVATE_KEY2_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY2_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_PRIVATE_KEY2_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY2_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY2_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PRIVATE_KEY2_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_PRIVATE_KEY2_0_PRIVATE_KEY2_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_PRIVATE_KEY2_0_PRIVATE_KEY2_FIELD                  _MK_FIELD_CONST(0xffffffff, FUSE_PRIVATE_KEY2_0_PRIVATE_KEY2_SHIFT)
#define FUSE_PRIVATE_KEY2_0_PRIVATE_KEY2_RANGE                  31:0
#define FUSE_PRIVATE_KEY2_0_PRIVATE_KEY2_WOFFSET                        0x0
#define FUSE_PRIVATE_KEY2_0_PRIVATE_KEY2_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY2_0_PRIVATE_KEY2_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PRIVATE_KEY2_0_PRIVATE_KEY2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY2_0_PRIVATE_KEY2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_PRIVATE_KEY3_0
#define FUSE_PRIVATE_KEY3_0                     _MK_ADDR_CONST(0x1b0)
#define FUSE_PRIVATE_KEY3_0_SECURE                      0x0
#define FUSE_PRIVATE_KEY3_0_SCR                         0
#define FUSE_PRIVATE_KEY3_0_WORD_COUNT                  0x1
#define FUSE_PRIVATE_KEY3_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY3_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_PRIVATE_KEY3_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY3_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY3_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PRIVATE_KEY3_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_PRIVATE_KEY3_0_PRIVATE_KEY3_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_PRIVATE_KEY3_0_PRIVATE_KEY3_FIELD                  _MK_FIELD_CONST(0xffffffff, FUSE_PRIVATE_KEY3_0_PRIVATE_KEY3_SHIFT)
#define FUSE_PRIVATE_KEY3_0_PRIVATE_KEY3_RANGE                  31:0
#define FUSE_PRIVATE_KEY3_0_PRIVATE_KEY3_WOFFSET                        0x0
#define FUSE_PRIVATE_KEY3_0_PRIVATE_KEY3_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY3_0_PRIVATE_KEY3_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PRIVATE_KEY3_0_PRIVATE_KEY3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_PRIVATE_KEY3_0_PRIVATE_KEY3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Reserved address 436 [0x1b4]

// Register FUSE_ARM_JTAG_DIS_0
#define FUSE_ARM_JTAG_DIS_0                     _MK_ADDR_CONST(0x1b8)
#define FUSE_ARM_JTAG_DIS_0_SECURE                      0x0
#define FUSE_ARM_JTAG_DIS_0_SCR                         0
#define FUSE_ARM_JTAG_DIS_0_WORD_COUNT                  0x1
#define FUSE_ARM_JTAG_DIS_0_RESET_VAL                   _MK_MASK_CONST(0x1)
#define FUSE_ARM_JTAG_DIS_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_ARM_JTAG_DIS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_ARM_JTAG_DIS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_ARM_JTAG_DIS_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_ARM_JTAG_DIS_0_WRITE_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_ARM_JTAG_DIS_0_ARM_JTAG_DIS_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_ARM_JTAG_DIS_0_ARM_JTAG_DIS_FIELD                  _MK_FIELD_CONST(0x1, FUSE_ARM_JTAG_DIS_0_ARM_JTAG_DIS_SHIFT)
#define FUSE_ARM_JTAG_DIS_0_ARM_JTAG_DIS_RANGE                  0:0
#define FUSE_ARM_JTAG_DIS_0_ARM_JTAG_DIS_WOFFSET                        0x0
#define FUSE_ARM_JTAG_DIS_0_ARM_JTAG_DIS_DEFAULT                        _MK_MASK_CONST(0x1)
#define FUSE_ARM_JTAG_DIS_0_ARM_JTAG_DIS_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_ARM_JTAG_DIS_0_ARM_JTAG_DIS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_ARM_JTAG_DIS_0_ARM_JTAG_DIS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_BOOT_DEVICE_INFO_0
#define FUSE_BOOT_DEVICE_INFO_0                 _MK_ADDR_CONST(0x1bc)
#define FUSE_BOOT_DEVICE_INFO_0_SECURE                  0x0
#define FUSE_BOOT_DEVICE_INFO_0_SCR                     0
#define FUSE_BOOT_DEVICE_INFO_0_WORD_COUNT                      0x1
#define FUSE_BOOT_DEVICE_INFO_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_BOOT_DEVICE_INFO_0_RESET_MASK                      _MK_MASK_CONST(0xffffff)
#define FUSE_BOOT_DEVICE_INFO_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_BOOT_DEVICE_INFO_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define FUSE_BOOT_DEVICE_INFO_0_READ_MASK                       _MK_MASK_CONST(0xffffff)
#define FUSE_BOOT_DEVICE_INFO_0_WRITE_MASK                      _MK_MASK_CONST(0xffffff)
#define FUSE_BOOT_DEVICE_INFO_0_BOOT_DEVICE_INFO_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_BOOT_DEVICE_INFO_0_BOOT_DEVICE_INFO_FIELD                  _MK_FIELD_CONST(0xffffff, FUSE_BOOT_DEVICE_INFO_0_BOOT_DEVICE_INFO_SHIFT)
#define FUSE_BOOT_DEVICE_INFO_0_BOOT_DEVICE_INFO_RANGE                  23:0
#define FUSE_BOOT_DEVICE_INFO_0_BOOT_DEVICE_INFO_WOFFSET                        0x0
#define FUSE_BOOT_DEVICE_INFO_0_BOOT_DEVICE_INFO_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_BOOT_DEVICE_INFO_0_BOOT_DEVICE_INFO_DEFAULT_MASK                   _MK_MASK_CONST(0xffffff)
#define FUSE_BOOT_DEVICE_INFO_0_BOOT_DEVICE_INFO_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_BOOT_DEVICE_INFO_0_BOOT_DEVICE_INFO_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_RESERVED_SW_0
#define FUSE_RESERVED_SW_0                      _MK_ADDR_CONST(0x1c0)
#define FUSE_RESERVED_SW_0_SECURE                       0x0
#define FUSE_RESERVED_SW_0_SCR                  0
#define FUSE_RESERVED_SW_0_WORD_COUNT                   0x1
#define FUSE_RESERVED_SW_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_SW_0_RESET_MASK                   _MK_MASK_CONST(0xfff)
#define FUSE_RESERVED_SW_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_SW_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_SW_0_READ_MASK                    _MK_MASK_CONST(0xfff)
#define FUSE_RESERVED_SW_0_WRITE_MASK                   _MK_MASK_CONST(0xfff)
#define FUSE_RESERVED_SW_0_RESERVED_SW_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_RESERVED_SW_0_RESERVED_SW_FIELD                    _MK_FIELD_CONST(0xfff, FUSE_RESERVED_SW_0_RESERVED_SW_SHIFT)
#define FUSE_RESERVED_SW_0_RESERVED_SW_RANGE                    11:0
#define FUSE_RESERVED_SW_0_RESERVED_SW_WOFFSET                  0x0
#define FUSE_RESERVED_SW_0_RESERVED_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_SW_0_RESERVED_SW_DEFAULT_MASK                     _MK_MASK_CONST(0xfff)
#define FUSE_RESERVED_SW_0_RESERVED_SW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_SW_0_RESERVED_SW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_OPT_VP9_DISABLE_0
#define FUSE_OPT_VP9_DISABLE_0                  _MK_ADDR_CONST(0x1c4)
#define FUSE_OPT_VP9_DISABLE_0_SECURE                   0x0
#define FUSE_OPT_VP9_DISABLE_0_SCR                      0
#define FUSE_OPT_VP9_DISABLE_0_WORD_COUNT                       0x1
#define FUSE_OPT_VP9_DISABLE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_VP9_DISABLE_0_RESET_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_OPT_VP9_DISABLE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_VP9_DISABLE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_VP9_DISABLE_0_READ_MASK                        _MK_MASK_CONST(0x1)
#define FUSE_OPT_VP9_DISABLE_0_WRITE_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_OPT_VP9_DISABLE_0_OPT_VP9_DISABLE_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_OPT_VP9_DISABLE_0_OPT_VP9_DISABLE_FIELD                    _MK_FIELD_CONST(0x1, FUSE_OPT_VP9_DISABLE_0_OPT_VP9_DISABLE_SHIFT)
#define FUSE_OPT_VP9_DISABLE_0_OPT_VP9_DISABLE_RANGE                    0:0
#define FUSE_OPT_VP9_DISABLE_0_OPT_VP9_DISABLE_WOFFSET                  0x0
#define FUSE_OPT_VP9_DISABLE_0_OPT_VP9_DISABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_VP9_DISABLE_0_OPT_VP9_DISABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_OPT_VP9_DISABLE_0_OPT_VP9_DISABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_VP9_DISABLE_0_OPT_VP9_DISABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_RESERVED_ODM0_0
#define FUSE_RESERVED_ODM0_0                    _MK_ADDR_CONST(0x1c8)
#define FUSE_RESERVED_ODM0_0_SECURE                     0x0
#define FUSE_RESERVED_ODM0_0_SCR                        0
#define FUSE_RESERVED_ODM0_0_WORD_COUNT                         0x1
#define FUSE_RESERVED_ODM0_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM0_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM0_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM0_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM0_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM0_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM0_0_RESERVED_ODM0_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_RESERVED_ODM0_0_RESERVED_ODM0_FIELD                        _MK_FIELD_CONST(0xffffffff, FUSE_RESERVED_ODM0_0_RESERVED_ODM0_SHIFT)
#define FUSE_RESERVED_ODM0_0_RESERVED_ODM0_RANGE                        31:0
#define FUSE_RESERVED_ODM0_0_RESERVED_ODM0_WOFFSET                      0x0
#define FUSE_RESERVED_ODM0_0_RESERVED_ODM0_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM0_0_RESERVED_ODM0_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM0_0_RESERVED_ODM0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM0_0_RESERVED_ODM0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_RESERVED_ODM1_0
#define FUSE_RESERVED_ODM1_0                    _MK_ADDR_CONST(0x1cc)
#define FUSE_RESERVED_ODM1_0_SECURE                     0x0
#define FUSE_RESERVED_ODM1_0_SCR                        0
#define FUSE_RESERVED_ODM1_0_WORD_COUNT                         0x1
#define FUSE_RESERVED_ODM1_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM1_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM1_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM1_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM1_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM1_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM1_0_RESERVED_ODM1_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_RESERVED_ODM1_0_RESERVED_ODM1_FIELD                        _MK_FIELD_CONST(0xffffffff, FUSE_RESERVED_ODM1_0_RESERVED_ODM1_SHIFT)
#define FUSE_RESERVED_ODM1_0_RESERVED_ODM1_RANGE                        31:0
#define FUSE_RESERVED_ODM1_0_RESERVED_ODM1_WOFFSET                      0x0
#define FUSE_RESERVED_ODM1_0_RESERVED_ODM1_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM1_0_RESERVED_ODM1_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM1_0_RESERVED_ODM1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM1_0_RESERVED_ODM1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_RESERVED_ODM2_0
#define FUSE_RESERVED_ODM2_0                    _MK_ADDR_CONST(0x1d0)
#define FUSE_RESERVED_ODM2_0_SECURE                     0x0
#define FUSE_RESERVED_ODM2_0_SCR                        0
#define FUSE_RESERVED_ODM2_0_WORD_COUNT                         0x1
#define FUSE_RESERVED_ODM2_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM2_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM2_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM2_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM2_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM2_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM2_0_RESERVED_ODM2_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_RESERVED_ODM2_0_RESERVED_ODM2_FIELD                        _MK_FIELD_CONST(0xffffffff, FUSE_RESERVED_ODM2_0_RESERVED_ODM2_SHIFT)
#define FUSE_RESERVED_ODM2_0_RESERVED_ODM2_RANGE                        31:0
#define FUSE_RESERVED_ODM2_0_RESERVED_ODM2_WOFFSET                      0x0
#define FUSE_RESERVED_ODM2_0_RESERVED_ODM2_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM2_0_RESERVED_ODM2_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM2_0_RESERVED_ODM2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM2_0_RESERVED_ODM2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_RESERVED_ODM3_0
#define FUSE_RESERVED_ODM3_0                    _MK_ADDR_CONST(0x1d4)
#define FUSE_RESERVED_ODM3_0_SECURE                     0x0
#define FUSE_RESERVED_ODM3_0_SCR                        0
#define FUSE_RESERVED_ODM3_0_WORD_COUNT                         0x1
#define FUSE_RESERVED_ODM3_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM3_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM3_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM3_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM3_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM3_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM3_0_RESERVED_ODM3_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_RESERVED_ODM3_0_RESERVED_ODM3_FIELD                        _MK_FIELD_CONST(0xffffffff, FUSE_RESERVED_ODM3_0_RESERVED_ODM3_SHIFT)
#define FUSE_RESERVED_ODM3_0_RESERVED_ODM3_RANGE                        31:0
#define FUSE_RESERVED_ODM3_0_RESERVED_ODM3_WOFFSET                      0x0
#define FUSE_RESERVED_ODM3_0_RESERVED_ODM3_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM3_0_RESERVED_ODM3_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM3_0_RESERVED_ODM3_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM3_0_RESERVED_ODM3_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_RESERVED_ODM4_0
#define FUSE_RESERVED_ODM4_0                    _MK_ADDR_CONST(0x1d8)
#define FUSE_RESERVED_ODM4_0_SECURE                     0x0
#define FUSE_RESERVED_ODM4_0_SCR                        0
#define FUSE_RESERVED_ODM4_0_WORD_COUNT                         0x1
#define FUSE_RESERVED_ODM4_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM4_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM4_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM4_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM4_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM4_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM4_0_RESERVED_ODM4_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_RESERVED_ODM4_0_RESERVED_ODM4_FIELD                        _MK_FIELD_CONST(0xffffffff, FUSE_RESERVED_ODM4_0_RESERVED_ODM4_SHIFT)
#define FUSE_RESERVED_ODM4_0_RESERVED_ODM4_RANGE                        31:0
#define FUSE_RESERVED_ODM4_0_RESERVED_ODM4_WOFFSET                      0x0
#define FUSE_RESERVED_ODM4_0_RESERVED_ODM4_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM4_0_RESERVED_ODM4_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM4_0_RESERVED_ODM4_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM4_0_RESERVED_ODM4_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_RESERVED_ODM5_0
#define FUSE_RESERVED_ODM5_0                    _MK_ADDR_CONST(0x1dc)
#define FUSE_RESERVED_ODM5_0_SECURE                     0x0
#define FUSE_RESERVED_ODM5_0_SCR                        0
#define FUSE_RESERVED_ODM5_0_WORD_COUNT                         0x1
#define FUSE_RESERVED_ODM5_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM5_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM5_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM5_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM5_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM5_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM5_0_RESERVED_ODM5_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_RESERVED_ODM5_0_RESERVED_ODM5_FIELD                        _MK_FIELD_CONST(0xffffffff, FUSE_RESERVED_ODM5_0_RESERVED_ODM5_SHIFT)
#define FUSE_RESERVED_ODM5_0_RESERVED_ODM5_RANGE                        31:0
#define FUSE_RESERVED_ODM5_0_RESERVED_ODM5_WOFFSET                      0x0
#define FUSE_RESERVED_ODM5_0_RESERVED_ODM5_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM5_0_RESERVED_ODM5_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM5_0_RESERVED_ODM5_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM5_0_RESERVED_ODM5_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_RESERVED_ODM6_0
#define FUSE_RESERVED_ODM6_0                    _MK_ADDR_CONST(0x1e0)
#define FUSE_RESERVED_ODM6_0_SECURE                     0x0
#define FUSE_RESERVED_ODM6_0_SCR                        0
#define FUSE_RESERVED_ODM6_0_WORD_COUNT                         0x1
#define FUSE_RESERVED_ODM6_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM6_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM6_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM6_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM6_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM6_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM6_0_RESERVED_ODM6_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_RESERVED_ODM6_0_RESERVED_ODM6_FIELD                        _MK_FIELD_CONST(0xffffffff, FUSE_RESERVED_ODM6_0_RESERVED_ODM6_SHIFT)
#define FUSE_RESERVED_ODM6_0_RESERVED_ODM6_RANGE                        31:0
#define FUSE_RESERVED_ODM6_0_RESERVED_ODM6_WOFFSET                      0x0
#define FUSE_RESERVED_ODM6_0_RESERVED_ODM6_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM6_0_RESERVED_ODM6_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM6_0_RESERVED_ODM6_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM6_0_RESERVED_ODM6_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_RESERVED_ODM7_0
#define FUSE_RESERVED_ODM7_0                    _MK_ADDR_CONST(0x1e4)
#define FUSE_RESERVED_ODM7_0_SECURE                     0x0
#define FUSE_RESERVED_ODM7_0_SCR                        0
#define FUSE_RESERVED_ODM7_0_WORD_COUNT                         0x1
#define FUSE_RESERVED_ODM7_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM7_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM7_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM7_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM7_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM7_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM7_0_RESERVED_ODM7_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_RESERVED_ODM7_0_RESERVED_ODM7_FIELD                        _MK_FIELD_CONST(0xffffffff, FUSE_RESERVED_ODM7_0_RESERVED_ODM7_SHIFT)
#define FUSE_RESERVED_ODM7_0_RESERVED_ODM7_RANGE                        31:0
#define FUSE_RESERVED_ODM7_0_RESERVED_ODM7_WOFFSET                      0x0
#define FUSE_RESERVED_ODM7_0_RESERVED_ODM7_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM7_0_RESERVED_ODM7_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_ODM7_0_RESERVED_ODM7_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_ODM7_0_RESERVED_ODM7_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_OBS_DIS_0
#define FUSE_OBS_DIS_0                  _MK_ADDR_CONST(0x1e8)
#define FUSE_OBS_DIS_0_SECURE                   0x0
#define FUSE_OBS_DIS_0_SCR                      0
#define FUSE_OBS_DIS_0_WORD_COUNT                       0x1
#define FUSE_OBS_DIS_0_RESET_VAL                        _MK_MASK_CONST(0x1)
#define FUSE_OBS_DIS_0_RESET_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_OBS_DIS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_OBS_DIS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_OBS_DIS_0_READ_MASK                        _MK_MASK_CONST(0x1)
#define FUSE_OBS_DIS_0_WRITE_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_OBS_DIS_0_OBS_DIS_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_OBS_DIS_0_OBS_DIS_FIELD                    _MK_FIELD_CONST(0x1, FUSE_OBS_DIS_0_OBS_DIS_SHIFT)
#define FUSE_OBS_DIS_0_OBS_DIS_RANGE                    0:0
#define FUSE_OBS_DIS_0_OBS_DIS_WOFFSET                  0x0
#define FUSE_OBS_DIS_0_OBS_DIS_DEFAULT                  _MK_MASK_CONST(0x1)
#define FUSE_OBS_DIS_0_OBS_DIS_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_OBS_DIS_0_OBS_DIS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_OBS_DIS_0_OBS_DIS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Reserved address 492 [0x1ec]

// Register FUSE_USB_CALIB_0
#define FUSE_USB_CALIB_0                        _MK_ADDR_CONST(0x1f0)
#define FUSE_USB_CALIB_0_SECURE                         0x0
#define FUSE_USB_CALIB_0_SCR                    0
#define FUSE_USB_CALIB_0_WORD_COUNT                     0x1
#define FUSE_USB_CALIB_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_USB_CALIB_0_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define FUSE_USB_CALIB_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_USB_CALIB_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define FUSE_USB_CALIB_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define FUSE_USB_CALIB_0_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define FUSE_USB_CALIB_0_USB_CALIB_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_USB_CALIB_0_USB_CALIB_FIELD                        _MK_FIELD_CONST(0xffffffff, FUSE_USB_CALIB_0_USB_CALIB_SHIFT)
#define FUSE_USB_CALIB_0_USB_CALIB_RANGE                        31:0
#define FUSE_USB_CALIB_0_USB_CALIB_WOFFSET                      0x0
#define FUSE_USB_CALIB_0_USB_CALIB_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_USB_CALIB_0_USB_CALIB_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define FUSE_USB_CALIB_0_USB_CALIB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_USB_CALIB_0_USB_CALIB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_SKU_DIRECT_CONFIG_0
#define FUSE_SKU_DIRECT_CONFIG_0                        _MK_ADDR_CONST(0x1f4)
#define FUSE_SKU_DIRECT_CONFIG_0_SECURE                         0x0
#define FUSE_SKU_DIRECT_CONFIG_0_SCR                    0
#define FUSE_SKU_DIRECT_CONFIG_0_WORD_COUNT                     0x1
#define FUSE_SKU_DIRECT_CONFIG_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SKU_DIRECT_CONFIG_0_RESET_MASK                     _MK_MASK_CONST(0xff)
#define FUSE_SKU_DIRECT_CONFIG_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_SKU_DIRECT_CONFIG_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define FUSE_SKU_DIRECT_CONFIG_0_READ_MASK                      _MK_MASK_CONST(0xff)
#define FUSE_SKU_DIRECT_CONFIG_0_WRITE_MASK                     _MK_MASK_CONST(0xff)
#define FUSE_SKU_DIRECT_CONFIG_0_SKU_DIRECT_CONFIG_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_SKU_DIRECT_CONFIG_0_SKU_DIRECT_CONFIG_FIELD                        _MK_FIELD_CONST(0xff, FUSE_SKU_DIRECT_CONFIG_0_SKU_DIRECT_CONFIG_SHIFT)
#define FUSE_SKU_DIRECT_CONFIG_0_SKU_DIRECT_CONFIG_RANGE                        7:0
#define FUSE_SKU_DIRECT_CONFIG_0_SKU_DIRECT_CONFIG_WOFFSET                      0x0
#define FUSE_SKU_DIRECT_CONFIG_0_SKU_DIRECT_CONFIG_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_SKU_DIRECT_CONFIG_0_SKU_DIRECT_CONFIG_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define FUSE_SKU_DIRECT_CONFIG_0_SKU_DIRECT_CONFIG_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_SKU_DIRECT_CONFIG_0_SKU_DIRECT_CONFIG_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_KFUSE_PRIVKEY_CTRL_0
#define FUSE_KFUSE_PRIVKEY_CTRL_0                       _MK_ADDR_CONST(0x1f8)
#define FUSE_KFUSE_PRIVKEY_CTRL_0_SECURE                        0x0
#define FUSE_KFUSE_PRIVKEY_CTRL_0_SCR                   0
#define FUSE_KFUSE_PRIVKEY_CTRL_0_WORD_COUNT                    0x1
#define FUSE_KFUSE_PRIVKEY_CTRL_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_KFUSE_PRIVKEY_CTRL_0_RESET_MASK                    _MK_MASK_CONST(0x3)
#define FUSE_KFUSE_PRIVKEY_CTRL_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_KFUSE_PRIVKEY_CTRL_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_KFUSE_PRIVKEY_CTRL_0_READ_MASK                     _MK_MASK_CONST(0x3)
#define FUSE_KFUSE_PRIVKEY_CTRL_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_KFUSE_PRIVKEY_CTRL_0_KFUSE_PRIVKEY_CTRL_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_KFUSE_PRIVKEY_CTRL_0_KFUSE_PRIVKEY_CTRL_FIELD                      _MK_FIELD_CONST(0x3, FUSE_KFUSE_PRIVKEY_CTRL_0_KFUSE_PRIVKEY_CTRL_SHIFT)
#define FUSE_KFUSE_PRIVKEY_CTRL_0_KFUSE_PRIVKEY_CTRL_RANGE                      1:0
#define FUSE_KFUSE_PRIVKEY_CTRL_0_KFUSE_PRIVKEY_CTRL_WOFFSET                    0x0
#define FUSE_KFUSE_PRIVKEY_CTRL_0_KFUSE_PRIVKEY_CTRL_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_KFUSE_PRIVKEY_CTRL_0_KFUSE_PRIVKEY_CTRL_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define FUSE_KFUSE_PRIVKEY_CTRL_0_KFUSE_PRIVKEY_CTRL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_KFUSE_PRIVKEY_CTRL_0_KFUSE_PRIVKEY_CTRL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_PACKAGE_INFO_0
#define FUSE_PACKAGE_INFO_0                     _MK_ADDR_CONST(0x1fc)
#define FUSE_PACKAGE_INFO_0_SECURE                      0x0
#define FUSE_PACKAGE_INFO_0_SCR                         0
#define FUSE_PACKAGE_INFO_0_WORD_COUNT                  0x1
#define FUSE_PACKAGE_INFO_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_PACKAGE_INFO_0_RESET_MASK                  _MK_MASK_CONST(0xf)
#define FUSE_PACKAGE_INFO_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_PACKAGE_INFO_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_PACKAGE_INFO_0_READ_MASK                   _MK_MASK_CONST(0xf)
#define FUSE_PACKAGE_INFO_0_WRITE_MASK                  _MK_MASK_CONST(0xf)
#define FUSE_PACKAGE_INFO_0_PACKAGE_INFO_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_PACKAGE_INFO_0_PACKAGE_INFO_FIELD                  _MK_FIELD_CONST(0xf, FUSE_PACKAGE_INFO_0_PACKAGE_INFO_SHIFT)
#define FUSE_PACKAGE_INFO_0_PACKAGE_INFO_RANGE                  3:0
#define FUSE_PACKAGE_INFO_0_PACKAGE_INFO_WOFFSET                        0x0
#define FUSE_PACKAGE_INFO_0_PACKAGE_INFO_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_PACKAGE_INFO_0_PACKAGE_INFO_DEFAULT_MASK                   _MK_MASK_CONST(0xf)
#define FUSE_PACKAGE_INFO_0_PACKAGE_INFO_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_PACKAGE_INFO_0_PACKAGE_INFO_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_OPT_VENDOR_CODE_0
#define FUSE_OPT_VENDOR_CODE_0                  _MK_ADDR_CONST(0x200)
#define FUSE_OPT_VENDOR_CODE_0_SECURE                   0x0
#define FUSE_OPT_VENDOR_CODE_0_SCR                      0
#define FUSE_OPT_VENDOR_CODE_0_WORD_COUNT                       0x1
#define FUSE_OPT_VENDOR_CODE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_VENDOR_CODE_0_RESET_MASK                       _MK_MASK_CONST(0xf)
#define FUSE_OPT_VENDOR_CODE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_VENDOR_CODE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_VENDOR_CODE_0_READ_MASK                        _MK_MASK_CONST(0xf)
#define FUSE_OPT_VENDOR_CODE_0_WRITE_MASK                       _MK_MASK_CONST(0xf)
#define FUSE_OPT_VENDOR_CODE_0_OPT_VENDOR_CODE_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_OPT_VENDOR_CODE_0_OPT_VENDOR_CODE_FIELD                    _MK_FIELD_CONST(0xf, FUSE_OPT_VENDOR_CODE_0_OPT_VENDOR_CODE_SHIFT)
#define FUSE_OPT_VENDOR_CODE_0_OPT_VENDOR_CODE_RANGE                    3:0
#define FUSE_OPT_VENDOR_CODE_0_OPT_VENDOR_CODE_WOFFSET                  0x0
#define FUSE_OPT_VENDOR_CODE_0_OPT_VENDOR_CODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_VENDOR_CODE_0_OPT_VENDOR_CODE_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define FUSE_OPT_VENDOR_CODE_0_OPT_VENDOR_CODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_VENDOR_CODE_0_OPT_VENDOR_CODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_OPT_FAB_CODE_0
#define FUSE_OPT_FAB_CODE_0                     _MK_ADDR_CONST(0x204)
#define FUSE_OPT_FAB_CODE_0_SECURE                      0x0
#define FUSE_OPT_FAB_CODE_0_SCR                         0
#define FUSE_OPT_FAB_CODE_0_WORD_COUNT                  0x1
#define FUSE_OPT_FAB_CODE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_FAB_CODE_0_RESET_MASK                  _MK_MASK_CONST(0x3f)
#define FUSE_OPT_FAB_CODE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_OPT_FAB_CODE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_FAB_CODE_0_READ_MASK                   _MK_MASK_CONST(0x3f)
#define FUSE_OPT_FAB_CODE_0_WRITE_MASK                  _MK_MASK_CONST(0x3f)
#define FUSE_OPT_FAB_CODE_0_OPT_FAB_CODE_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_OPT_FAB_CODE_0_OPT_FAB_CODE_FIELD                  _MK_FIELD_CONST(0x3f, FUSE_OPT_FAB_CODE_0_OPT_FAB_CODE_SHIFT)
#define FUSE_OPT_FAB_CODE_0_OPT_FAB_CODE_RANGE                  5:0
#define FUSE_OPT_FAB_CODE_0_OPT_FAB_CODE_WOFFSET                        0x0
#define FUSE_OPT_FAB_CODE_0_OPT_FAB_CODE_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_FAB_CODE_0_OPT_FAB_CODE_DEFAULT_MASK                   _MK_MASK_CONST(0x3f)
#define FUSE_OPT_FAB_CODE_0_OPT_FAB_CODE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_FAB_CODE_0_OPT_FAB_CODE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_OPT_LOT_CODE_0_0
#define FUSE_OPT_LOT_CODE_0_0                   _MK_ADDR_CONST(0x208)
#define FUSE_OPT_LOT_CODE_0_0_SECURE                    0x0
#define FUSE_OPT_LOT_CODE_0_0_SCR                       0
#define FUSE_OPT_LOT_CODE_0_0_WORD_COUNT                        0x1
#define FUSE_OPT_LOT_CODE_0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_OPT_LOT_CODE_0_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_OPT_LOT_CODE_0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_LOT_CODE_0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_LOT_CODE_0_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_OPT_LOT_CODE_0_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_OPT_LOT_CODE_0_0_OPT_LOT_CODE_0_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_OPT_LOT_CODE_0_0_OPT_LOT_CODE_0_FIELD                      _MK_FIELD_CONST(0xffffffff, FUSE_OPT_LOT_CODE_0_0_OPT_LOT_CODE_0_SHIFT)
#define FUSE_OPT_LOT_CODE_0_0_OPT_LOT_CODE_0_RANGE                      31:0
#define FUSE_OPT_LOT_CODE_0_0_OPT_LOT_CODE_0_WOFFSET                    0x0
#define FUSE_OPT_LOT_CODE_0_0_OPT_LOT_CODE_0_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_LOT_CODE_0_0_OPT_LOT_CODE_0_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define FUSE_OPT_LOT_CODE_0_0_OPT_LOT_CODE_0_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_OPT_LOT_CODE_0_0_OPT_LOT_CODE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_OPT_LOT_CODE_1_0
#define FUSE_OPT_LOT_CODE_1_0                   _MK_ADDR_CONST(0x20c)
#define FUSE_OPT_LOT_CODE_1_0_SECURE                    0x0
#define FUSE_OPT_LOT_CODE_1_0_SCR                       0
#define FUSE_OPT_LOT_CODE_1_0_WORD_COUNT                        0x1
#define FUSE_OPT_LOT_CODE_1_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_OPT_LOT_CODE_1_0_RESET_MASK                        _MK_MASK_CONST(0xfffffff)
#define FUSE_OPT_LOT_CODE_1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_LOT_CODE_1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_LOT_CODE_1_0_READ_MASK                         _MK_MASK_CONST(0xfffffff)
#define FUSE_OPT_LOT_CODE_1_0_WRITE_MASK                        _MK_MASK_CONST(0xfffffff)
#define FUSE_OPT_LOT_CODE_1_0_OPT_LOT_CODE_1_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_OPT_LOT_CODE_1_0_OPT_LOT_CODE_1_FIELD                      _MK_FIELD_CONST(0xfffffff, FUSE_OPT_LOT_CODE_1_0_OPT_LOT_CODE_1_SHIFT)
#define FUSE_OPT_LOT_CODE_1_0_OPT_LOT_CODE_1_RANGE                      27:0
#define FUSE_OPT_LOT_CODE_1_0_OPT_LOT_CODE_1_WOFFSET                    0x0
#define FUSE_OPT_LOT_CODE_1_0_OPT_LOT_CODE_1_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_LOT_CODE_1_0_OPT_LOT_CODE_1_DEFAULT_MASK                       _MK_MASK_CONST(0xfffffff)
#define FUSE_OPT_LOT_CODE_1_0_OPT_LOT_CODE_1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_OPT_LOT_CODE_1_0_OPT_LOT_CODE_1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_OPT_WAFER_ID_0
#define FUSE_OPT_WAFER_ID_0                     _MK_ADDR_CONST(0x210)
#define FUSE_OPT_WAFER_ID_0_SECURE                      0x0
#define FUSE_OPT_WAFER_ID_0_SCR                         0
#define FUSE_OPT_WAFER_ID_0_WORD_COUNT                  0x1
#define FUSE_OPT_WAFER_ID_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_WAFER_ID_0_RESET_MASK                  _MK_MASK_CONST(0x3f)
#define FUSE_OPT_WAFER_ID_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_OPT_WAFER_ID_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_WAFER_ID_0_READ_MASK                   _MK_MASK_CONST(0x3f)
#define FUSE_OPT_WAFER_ID_0_WRITE_MASK                  _MK_MASK_CONST(0x3f)
#define FUSE_OPT_WAFER_ID_0_OPT_WAFER_ID_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_OPT_WAFER_ID_0_OPT_WAFER_ID_FIELD                  _MK_FIELD_CONST(0x3f, FUSE_OPT_WAFER_ID_0_OPT_WAFER_ID_SHIFT)
#define FUSE_OPT_WAFER_ID_0_OPT_WAFER_ID_RANGE                  5:0
#define FUSE_OPT_WAFER_ID_0_OPT_WAFER_ID_WOFFSET                        0x0
#define FUSE_OPT_WAFER_ID_0_OPT_WAFER_ID_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_WAFER_ID_0_OPT_WAFER_ID_DEFAULT_MASK                   _MK_MASK_CONST(0x3f)
#define FUSE_OPT_WAFER_ID_0_OPT_WAFER_ID_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_WAFER_ID_0_OPT_WAFER_ID_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_OPT_X_COORDINATE_0
#define FUSE_OPT_X_COORDINATE_0                 _MK_ADDR_CONST(0x214)
#define FUSE_OPT_X_COORDINATE_0_SECURE                  0x0
#define FUSE_OPT_X_COORDINATE_0_SCR                     0
#define FUSE_OPT_X_COORDINATE_0_WORD_COUNT                      0x1
#define FUSE_OPT_X_COORDINATE_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_X_COORDINATE_0_RESET_MASK                      _MK_MASK_CONST(0x1ff)
#define FUSE_OPT_X_COORDINATE_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_X_COORDINATE_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define FUSE_OPT_X_COORDINATE_0_READ_MASK                       _MK_MASK_CONST(0x1ff)
#define FUSE_OPT_X_COORDINATE_0_WRITE_MASK                      _MK_MASK_CONST(0x1ff)
#define FUSE_OPT_X_COORDINATE_0_OPT_X_COORDINATE_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_OPT_X_COORDINATE_0_OPT_X_COORDINATE_FIELD                  _MK_FIELD_CONST(0x1ff, FUSE_OPT_X_COORDINATE_0_OPT_X_COORDINATE_SHIFT)
#define FUSE_OPT_X_COORDINATE_0_OPT_X_COORDINATE_RANGE                  8:0
#define FUSE_OPT_X_COORDINATE_0_OPT_X_COORDINATE_WOFFSET                        0x0
#define FUSE_OPT_X_COORDINATE_0_OPT_X_COORDINATE_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_X_COORDINATE_0_OPT_X_COORDINATE_DEFAULT_MASK                   _MK_MASK_CONST(0x1ff)
#define FUSE_OPT_X_COORDINATE_0_OPT_X_COORDINATE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_X_COORDINATE_0_OPT_X_COORDINATE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_OPT_Y_COORDINATE_0
#define FUSE_OPT_Y_COORDINATE_0                 _MK_ADDR_CONST(0x218)
#define FUSE_OPT_Y_COORDINATE_0_SECURE                  0x0
#define FUSE_OPT_Y_COORDINATE_0_SCR                     0
#define FUSE_OPT_Y_COORDINATE_0_WORD_COUNT                      0x1
#define FUSE_OPT_Y_COORDINATE_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_Y_COORDINATE_0_RESET_MASK                      _MK_MASK_CONST(0x1ff)
#define FUSE_OPT_Y_COORDINATE_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_Y_COORDINATE_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define FUSE_OPT_Y_COORDINATE_0_READ_MASK                       _MK_MASK_CONST(0x1ff)
#define FUSE_OPT_Y_COORDINATE_0_WRITE_MASK                      _MK_MASK_CONST(0x1ff)
#define FUSE_OPT_Y_COORDINATE_0_OPT_Y_COORDINATE_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_OPT_Y_COORDINATE_0_OPT_Y_COORDINATE_FIELD                  _MK_FIELD_CONST(0x1ff, FUSE_OPT_Y_COORDINATE_0_OPT_Y_COORDINATE_SHIFT)
#define FUSE_OPT_Y_COORDINATE_0_OPT_Y_COORDINATE_RANGE                  8:0
#define FUSE_OPT_Y_COORDINATE_0_OPT_Y_COORDINATE_WOFFSET                        0x0
#define FUSE_OPT_Y_COORDINATE_0_OPT_Y_COORDINATE_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_Y_COORDINATE_0_OPT_Y_COORDINATE_DEFAULT_MASK                   _MK_MASK_CONST(0x1ff)
#define FUSE_OPT_Y_COORDINATE_0_OPT_Y_COORDINATE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_Y_COORDINATE_0_OPT_Y_COORDINATE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_OPT_SEC_DEBUG_EN_0
#define FUSE_OPT_SEC_DEBUG_EN_0                 _MK_ADDR_CONST(0x21c)
#define FUSE_OPT_SEC_DEBUG_EN_0_SECURE                  0x0
#define FUSE_OPT_SEC_DEBUG_EN_0_SCR                     0
#define FUSE_OPT_SEC_DEBUG_EN_0_WORD_COUNT                      0x1
#define FUSE_OPT_SEC_DEBUG_EN_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_SEC_DEBUG_EN_0_RESET_MASK                      _MK_MASK_CONST(0x1)
#define FUSE_OPT_SEC_DEBUG_EN_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_SEC_DEBUG_EN_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define FUSE_OPT_SEC_DEBUG_EN_0_READ_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_OPT_SEC_DEBUG_EN_0_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define FUSE_OPT_SEC_DEBUG_EN_0_OPT_SEC_DEBUG_EN_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_OPT_SEC_DEBUG_EN_0_OPT_SEC_DEBUG_EN_FIELD                  _MK_FIELD_CONST(0x1, FUSE_OPT_SEC_DEBUG_EN_0_OPT_SEC_DEBUG_EN_SHIFT)
#define FUSE_OPT_SEC_DEBUG_EN_0_OPT_SEC_DEBUG_EN_RANGE                  0:0
#define FUSE_OPT_SEC_DEBUG_EN_0_OPT_SEC_DEBUG_EN_WOFFSET                        0x0
#define FUSE_OPT_SEC_DEBUG_EN_0_OPT_SEC_DEBUG_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_SEC_DEBUG_EN_0_OPT_SEC_DEBUG_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_OPT_SEC_DEBUG_EN_0_OPT_SEC_DEBUG_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_SEC_DEBUG_EN_0_OPT_SEC_DEBUG_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_OPT_OPS_RESERVED_0
#define FUSE_OPT_OPS_RESERVED_0                 _MK_ADDR_CONST(0x220)
#define FUSE_OPT_OPS_RESERVED_0_SECURE                  0x0
#define FUSE_OPT_OPS_RESERVED_0_SCR                     0
#define FUSE_OPT_OPS_RESERVED_0_WORD_COUNT                      0x1
#define FUSE_OPT_OPS_RESERVED_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_OPS_RESERVED_0_RESET_MASK                      _MK_MASK_CONST(0x3f)
#define FUSE_OPT_OPS_RESERVED_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_OPS_RESERVED_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define FUSE_OPT_OPS_RESERVED_0_READ_MASK                       _MK_MASK_CONST(0x3f)
#define FUSE_OPT_OPS_RESERVED_0_WRITE_MASK                      _MK_MASK_CONST(0x3f)
#define FUSE_OPT_OPS_RESERVED_0_OPT_OPS_RESERVED_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_OPT_OPS_RESERVED_0_OPT_OPS_RESERVED_FIELD                  _MK_FIELD_CONST(0x3f, FUSE_OPT_OPS_RESERVED_0_OPT_OPS_RESERVED_SHIFT)
#define FUSE_OPT_OPS_RESERVED_0_OPT_OPS_RESERVED_RANGE                  5:0
#define FUSE_OPT_OPS_RESERVED_0_OPT_OPS_RESERVED_WOFFSET                        0x0
#define FUSE_OPT_OPS_RESERVED_0_OPT_OPS_RESERVED_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_OPS_RESERVED_0_OPT_OPS_RESERVED_DEFAULT_MASK                   _MK_MASK_CONST(0x3f)
#define FUSE_OPT_OPS_RESERVED_0_OPT_OPS_RESERVED_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_OPS_RESERVED_0_OPT_OPS_RESERVED_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SATA_MPHY_ODM_CALIB_0
#define FUSE_SATA_MPHY_ODM_CALIB_0                      _MK_ADDR_CONST(0x224)
#define FUSE_SATA_MPHY_ODM_CALIB_0_SECURE                       0x0
#define FUSE_SATA_MPHY_ODM_CALIB_0_SCR                  0
#define FUSE_SATA_MPHY_ODM_CALIB_0_WORD_COUNT                   0x1
#define FUSE_SATA_MPHY_ODM_CALIB_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_SATA_MPHY_ODM_CALIB_0_RESET_MASK                   _MK_MASK_CONST(0xf)
#define FUSE_SATA_MPHY_ODM_CALIB_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_SATA_MPHY_ODM_CALIB_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_SATA_MPHY_ODM_CALIB_0_READ_MASK                    _MK_MASK_CONST(0xf)
#define FUSE_SATA_MPHY_ODM_CALIB_0_WRITE_MASK                   _MK_MASK_CONST(0xf)
#define FUSE_SATA_MPHY_ODM_CALIB_0_SATA_MPHY_ODM_CALIB_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_SATA_MPHY_ODM_CALIB_0_SATA_MPHY_ODM_CALIB_FIELD                    _MK_FIELD_CONST(0xf, FUSE_SATA_MPHY_ODM_CALIB_0_SATA_MPHY_ODM_CALIB_SHIFT)
#define FUSE_SATA_MPHY_ODM_CALIB_0_SATA_MPHY_ODM_CALIB_RANGE                    3:0
#define FUSE_SATA_MPHY_ODM_CALIB_0_SATA_MPHY_ODM_CALIB_WOFFSET                  0x0
#define FUSE_SATA_MPHY_ODM_CALIB_0_SATA_MPHY_ODM_CALIB_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_SATA_MPHY_ODM_CALIB_0_SATA_MPHY_ODM_CALIB_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define FUSE_SATA_MPHY_ODM_CALIB_0_SATA_MPHY_ODM_CALIB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_SATA_MPHY_ODM_CALIB_0_SATA_MPHY_ODM_CALIB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_GPU_HT_IDDQ_CALIB_0
#define FUSE_GPU_HT_IDDQ_CALIB_0                        _MK_ADDR_CONST(0x228)
#define FUSE_GPU_HT_IDDQ_CALIB_0_SECURE                         0x0
#define FUSE_GPU_HT_IDDQ_CALIB_0_SCR                    0
#define FUSE_GPU_HT_IDDQ_CALIB_0_WORD_COUNT                     0x1
#define FUSE_GPU_HT_IDDQ_CALIB_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_GPU_HT_IDDQ_CALIB_0_RESET_MASK                     _MK_MASK_CONST(0x3ff)
#define FUSE_GPU_HT_IDDQ_CALIB_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_GPU_HT_IDDQ_CALIB_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define FUSE_GPU_HT_IDDQ_CALIB_0_READ_MASK                      _MK_MASK_CONST(0x3ff)
#define FUSE_GPU_HT_IDDQ_CALIB_0_WRITE_MASK                     _MK_MASK_CONST(0x3ff)
#define FUSE_GPU_HT_IDDQ_CALIB_0_GPU_HT_IDDQ_CALIB_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_GPU_HT_IDDQ_CALIB_0_GPU_HT_IDDQ_CALIB_FIELD                        _MK_FIELD_CONST(0x3ff, FUSE_GPU_HT_IDDQ_CALIB_0_GPU_HT_IDDQ_CALIB_SHIFT)
#define FUSE_GPU_HT_IDDQ_CALIB_0_GPU_HT_IDDQ_CALIB_RANGE                        9:0
#define FUSE_GPU_HT_IDDQ_CALIB_0_GPU_HT_IDDQ_CALIB_WOFFSET                      0x0
#define FUSE_GPU_HT_IDDQ_CALIB_0_GPU_HT_IDDQ_CALIB_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_GPU_HT_IDDQ_CALIB_0_GPU_HT_IDDQ_CALIB_DEFAULT_MASK                 _MK_MASK_CONST(0x3ff)
#define FUSE_GPU_HT_IDDQ_CALIB_0_GPU_HT_IDDQ_CALIB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_GPU_HT_IDDQ_CALIB_0_GPU_HT_IDDQ_CALIB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_TSENSOR3_CALIB_0
#define FUSE_TSENSOR3_CALIB_0                   _MK_ADDR_CONST(0x22c)
#define FUSE_TSENSOR3_CALIB_0_SECURE                    0x0
#define FUSE_TSENSOR3_CALIB_0_SCR                       0
#define FUSE_TSENSOR3_CALIB_0_WORD_COUNT                        0x1
#define FUSE_TSENSOR3_CALIB_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR3_CALIB_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR3_CALIB_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR3_CALIB_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR3_CALIB_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR3_CALIB_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR3_CALIB_0_TSENSOR3_CALIB_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_TSENSOR3_CALIB_0_TSENSOR3_CALIB_FIELD                      _MK_FIELD_CONST(0xffffffff, FUSE_TSENSOR3_CALIB_0_TSENSOR3_CALIB_SHIFT)
#define FUSE_TSENSOR3_CALIB_0_TSENSOR3_CALIB_RANGE                      31:0
#define FUSE_TSENSOR3_CALIB_0_TSENSOR3_CALIB_WOFFSET                    0x0
#define FUSE_TSENSOR3_CALIB_0_TSENSOR3_CALIB_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR3_CALIB_0_TSENSOR3_CALIB_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR3_CALIB_0_TSENSOR3_CALIB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR3_CALIB_0_TSENSOR3_CALIB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_CLOCK_BONDOUT0_0
#define FUSE_CLOCK_BONDOUT0_0                   _MK_ADDR_CONST(0x230)
#define FUSE_CLOCK_BONDOUT0_0_SECURE                    0x0
#define FUSE_CLOCK_BONDOUT0_0_SCR                       0
#define FUSE_CLOCK_BONDOUT0_0_WORD_COUNT                        0x1
#define FUSE_CLOCK_BONDOUT0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_CLOCK_BONDOUT0_0_RESET_MASK                        _MK_MASK_CONST(0x1fffffff)
#define FUSE_CLOCK_BONDOUT0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_CLOCK_BONDOUT0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_CLOCK_BONDOUT0_0_READ_MASK                         _MK_MASK_CONST(0x1fffffff)
#define FUSE_CLOCK_BONDOUT0_0_WRITE_MASK                        _MK_MASK_CONST(0x1fffffff)
#define FUSE_CLOCK_BONDOUT0_0_CLOCK_BONDOUT0_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_CLOCK_BONDOUT0_0_CLOCK_BONDOUT0_FIELD                      _MK_FIELD_CONST(0x1fffffff, FUSE_CLOCK_BONDOUT0_0_CLOCK_BONDOUT0_SHIFT)
#define FUSE_CLOCK_BONDOUT0_0_CLOCK_BONDOUT0_RANGE                      28:0
#define FUSE_CLOCK_BONDOUT0_0_CLOCK_BONDOUT0_WOFFSET                    0x0
#define FUSE_CLOCK_BONDOUT0_0_CLOCK_BONDOUT0_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_CLOCK_BONDOUT0_0_CLOCK_BONDOUT0_DEFAULT_MASK                       _MK_MASK_CONST(0x1fffffff)
#define FUSE_CLOCK_BONDOUT0_0_CLOCK_BONDOUT0_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_CLOCK_BONDOUT0_0_CLOCK_BONDOUT0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_CLOCK_BONDOUT1_0
#define FUSE_CLOCK_BONDOUT1_0                   _MK_ADDR_CONST(0x234)
#define FUSE_CLOCK_BONDOUT1_0_SECURE                    0x0
#define FUSE_CLOCK_BONDOUT1_0_SCR                       0
#define FUSE_CLOCK_BONDOUT1_0_WORD_COUNT                        0x1
#define FUSE_CLOCK_BONDOUT1_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_CLOCK_BONDOUT1_0_RESET_MASK                        _MK_MASK_CONST(0x1fffffff)
#define FUSE_CLOCK_BONDOUT1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_CLOCK_BONDOUT1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_CLOCK_BONDOUT1_0_READ_MASK                         _MK_MASK_CONST(0x1fffffff)
#define FUSE_CLOCK_BONDOUT1_0_WRITE_MASK                        _MK_MASK_CONST(0x1fffffff)
#define FUSE_CLOCK_BONDOUT1_0_CLOCK_BONDOUT1_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_CLOCK_BONDOUT1_0_CLOCK_BONDOUT1_FIELD                      _MK_FIELD_CONST(0x1fffffff, FUSE_CLOCK_BONDOUT1_0_CLOCK_BONDOUT1_SHIFT)
#define FUSE_CLOCK_BONDOUT1_0_CLOCK_BONDOUT1_RANGE                      28:0
#define FUSE_CLOCK_BONDOUT1_0_CLOCK_BONDOUT1_WOFFSET                    0x0
#define FUSE_CLOCK_BONDOUT1_0_CLOCK_BONDOUT1_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_CLOCK_BONDOUT1_0_CLOCK_BONDOUT1_DEFAULT_MASK                       _MK_MASK_CONST(0x1fffffff)
#define FUSE_CLOCK_BONDOUT1_0_CLOCK_BONDOUT1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_CLOCK_BONDOUT1_0_CLOCK_BONDOUT1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Reserved address 568 [0x238]

// Reserved address 572 [0x23c]

// Reserved address 576 [0x240]

// Register FUSE_OPT_SAMPLE_TYPE_0
#define FUSE_OPT_SAMPLE_TYPE_0                  _MK_ADDR_CONST(0x244)
#define FUSE_OPT_SAMPLE_TYPE_0_SECURE                   0x0
#define FUSE_OPT_SAMPLE_TYPE_0_SCR                      0
#define FUSE_OPT_SAMPLE_TYPE_0_WORD_COUNT                       0x1
#define FUSE_OPT_SAMPLE_TYPE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_SAMPLE_TYPE_0_RESET_MASK                       _MK_MASK_CONST(0x3)
#define FUSE_OPT_SAMPLE_TYPE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_SAMPLE_TYPE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_SAMPLE_TYPE_0_READ_MASK                        _MK_MASK_CONST(0x3)
#define FUSE_OPT_SAMPLE_TYPE_0_WRITE_MASK                       _MK_MASK_CONST(0x3)
#define FUSE_OPT_SAMPLE_TYPE_0_OPT_SAMPLE_TYPE_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_OPT_SAMPLE_TYPE_0_OPT_SAMPLE_TYPE_FIELD                    _MK_FIELD_CONST(0x3, FUSE_OPT_SAMPLE_TYPE_0_OPT_SAMPLE_TYPE_SHIFT)
#define FUSE_OPT_SAMPLE_TYPE_0_OPT_SAMPLE_TYPE_RANGE                    1:0
#define FUSE_OPT_SAMPLE_TYPE_0_OPT_SAMPLE_TYPE_WOFFSET                  0x0
#define FUSE_OPT_SAMPLE_TYPE_0_OPT_SAMPLE_TYPE_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_SAMPLE_TYPE_0_OPT_SAMPLE_TYPE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define FUSE_OPT_SAMPLE_TYPE_0_OPT_SAMPLE_TYPE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_SAMPLE_TYPE_0_OPT_SAMPLE_TYPE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_OPT_SUBREVISION_0
#define FUSE_OPT_SUBREVISION_0                  _MK_ADDR_CONST(0x248)
#define FUSE_OPT_SUBREVISION_0_SECURE                   0x0
#define FUSE_OPT_SUBREVISION_0_SCR                      0
#define FUSE_OPT_SUBREVISION_0_WORD_COUNT                       0x1
#define FUSE_OPT_SUBREVISION_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_SUBREVISION_0_RESET_MASK                       _MK_MASK_CONST(0xf)
#define FUSE_OPT_SUBREVISION_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_SUBREVISION_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_SUBREVISION_0_READ_MASK                        _MK_MASK_CONST(0xf)
#define FUSE_OPT_SUBREVISION_0_WRITE_MASK                       _MK_MASK_CONST(0xf)
#define FUSE_OPT_SUBREVISION_0_OPT_SUBREVISION_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_OPT_SUBREVISION_0_OPT_SUBREVISION_FIELD                    _MK_FIELD_CONST(0xf, FUSE_OPT_SUBREVISION_0_OPT_SUBREVISION_SHIFT)
#define FUSE_OPT_SUBREVISION_0_OPT_SUBREVISION_RANGE                    3:0
#define FUSE_OPT_SUBREVISION_0_OPT_SUBREVISION_WOFFSET                  0x0
#define FUSE_OPT_SUBREVISION_0_OPT_SUBREVISION_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_SUBREVISION_0_OPT_SUBREVISION_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define FUSE_OPT_SUBREVISION_0_OPT_SUBREVISION_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_SUBREVISION_0_OPT_SUBREVISION_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_OPT_SW_RESERVED_0_0
#define FUSE_OPT_SW_RESERVED_0_0                        _MK_ADDR_CONST(0x24c)
#define FUSE_OPT_SW_RESERVED_0_0_SECURE                         0x0
#define FUSE_OPT_SW_RESERVED_0_0_SCR                    0
#define FUSE_OPT_SW_RESERVED_0_0_WORD_COUNT                     0x1
#define FUSE_OPT_SW_RESERVED_0_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_OPT_SW_RESERVED_0_0_RESET_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_OPT_SW_RESERVED_0_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_OPT_SW_RESERVED_0_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_SW_RESERVED_0_0_READ_MASK                      _MK_MASK_CONST(0x1)
#define FUSE_OPT_SW_RESERVED_0_0_WRITE_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_OPT_SW_RESERVED_0_0_OPT_SW_RESERVED_0_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_OPT_SW_RESERVED_0_0_OPT_SW_RESERVED_0_FIELD                        _MK_FIELD_CONST(0x1, FUSE_OPT_SW_RESERVED_0_0_OPT_SW_RESERVED_0_SHIFT)
#define FUSE_OPT_SW_RESERVED_0_0_OPT_SW_RESERVED_0_RANGE                        0:0
#define FUSE_OPT_SW_RESERVED_0_0_OPT_SW_RESERVED_0_WOFFSET                      0x0
#define FUSE_OPT_SW_RESERVED_0_0_OPT_SW_RESERVED_0_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_OPT_SW_RESERVED_0_0_OPT_SW_RESERVED_0_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define FUSE_OPT_SW_RESERVED_0_0_OPT_SW_RESERVED_0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_SW_RESERVED_0_0_OPT_SW_RESERVED_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_OPT_SW_RESERVED_1_0
#define FUSE_OPT_SW_RESERVED_1_0                        _MK_ADDR_CONST(0x250)
#define FUSE_OPT_SW_RESERVED_1_0_SECURE                         0x0
#define FUSE_OPT_SW_RESERVED_1_0_SCR                    0
#define FUSE_OPT_SW_RESERVED_1_0_WORD_COUNT                     0x1
#define FUSE_OPT_SW_RESERVED_1_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_OPT_SW_RESERVED_1_0_RESET_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_OPT_SW_RESERVED_1_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_OPT_SW_RESERVED_1_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_SW_RESERVED_1_0_READ_MASK                      _MK_MASK_CONST(0x1)
#define FUSE_OPT_SW_RESERVED_1_0_WRITE_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_OPT_SW_RESERVED_1_0_OPT_SW_RESERVED_1_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_OPT_SW_RESERVED_1_0_OPT_SW_RESERVED_1_FIELD                        _MK_FIELD_CONST(0x1, FUSE_OPT_SW_RESERVED_1_0_OPT_SW_RESERVED_1_SHIFT)
#define FUSE_OPT_SW_RESERVED_1_0_OPT_SW_RESERVED_1_RANGE                        0:0
#define FUSE_OPT_SW_RESERVED_1_0_OPT_SW_RESERVED_1_WOFFSET                      0x0
#define FUSE_OPT_SW_RESERVED_1_0_OPT_SW_RESERVED_1_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_OPT_SW_RESERVED_1_0_OPT_SW_RESERVED_1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define FUSE_OPT_SW_RESERVED_1_0_OPT_SW_RESERVED_1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_SW_RESERVED_1_0_OPT_SW_RESERVED_1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_TSENSOR4_CALIB_0
#define FUSE_TSENSOR4_CALIB_0                   _MK_ADDR_CONST(0x254)
#define FUSE_TSENSOR4_CALIB_0_SECURE                    0x0
#define FUSE_TSENSOR4_CALIB_0_SCR                       0
#define FUSE_TSENSOR4_CALIB_0_WORD_COUNT                        0x1
#define FUSE_TSENSOR4_CALIB_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR4_CALIB_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR4_CALIB_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR4_CALIB_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR4_CALIB_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR4_CALIB_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR4_CALIB_0_TSENSOR4_CALIB_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_TSENSOR4_CALIB_0_TSENSOR4_CALIB_FIELD                      _MK_FIELD_CONST(0xffffffff, FUSE_TSENSOR4_CALIB_0_TSENSOR4_CALIB_SHIFT)
#define FUSE_TSENSOR4_CALIB_0_TSENSOR4_CALIB_RANGE                      31:0
#define FUSE_TSENSOR4_CALIB_0_TSENSOR4_CALIB_WOFFSET                    0x0
#define FUSE_TSENSOR4_CALIB_0_TSENSOR4_CALIB_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR4_CALIB_0_TSENSOR4_CALIB_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR4_CALIB_0_TSENSOR4_CALIB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR4_CALIB_0_TSENSOR4_CALIB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_TSENSOR5_CALIB_0
#define FUSE_TSENSOR5_CALIB_0                   _MK_ADDR_CONST(0x258)
#define FUSE_TSENSOR5_CALIB_0_SECURE                    0x0
#define FUSE_TSENSOR5_CALIB_0_SCR                       0
#define FUSE_TSENSOR5_CALIB_0_WORD_COUNT                        0x1
#define FUSE_TSENSOR5_CALIB_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR5_CALIB_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR5_CALIB_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR5_CALIB_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR5_CALIB_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR5_CALIB_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR5_CALIB_0_TSENSOR5_CALIB_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_TSENSOR5_CALIB_0_TSENSOR5_CALIB_FIELD                      _MK_FIELD_CONST(0xffffffff, FUSE_TSENSOR5_CALIB_0_TSENSOR5_CALIB_SHIFT)
#define FUSE_TSENSOR5_CALIB_0_TSENSOR5_CALIB_RANGE                      31:0
#define FUSE_TSENSOR5_CALIB_0_TSENSOR5_CALIB_WOFFSET                    0x0
#define FUSE_TSENSOR5_CALIB_0_TSENSOR5_CALIB_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR5_CALIB_0_TSENSOR5_CALIB_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR5_CALIB_0_TSENSOR5_CALIB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR5_CALIB_0_TSENSOR5_CALIB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_TSENSOR6_CALIB_0
#define FUSE_TSENSOR6_CALIB_0                   _MK_ADDR_CONST(0x25c)
#define FUSE_TSENSOR6_CALIB_0_SECURE                    0x0
#define FUSE_TSENSOR6_CALIB_0_SCR                       0
#define FUSE_TSENSOR6_CALIB_0_WORD_COUNT                        0x1
#define FUSE_TSENSOR6_CALIB_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR6_CALIB_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR6_CALIB_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR6_CALIB_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR6_CALIB_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR6_CALIB_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR6_CALIB_0_TSENSOR6_CALIB_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_TSENSOR6_CALIB_0_TSENSOR6_CALIB_FIELD                      _MK_FIELD_CONST(0xffffffff, FUSE_TSENSOR6_CALIB_0_TSENSOR6_CALIB_SHIFT)
#define FUSE_TSENSOR6_CALIB_0_TSENSOR6_CALIB_RANGE                      31:0
#define FUSE_TSENSOR6_CALIB_0_TSENSOR6_CALIB_WOFFSET                    0x0
#define FUSE_TSENSOR6_CALIB_0_TSENSOR6_CALIB_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR6_CALIB_0_TSENSOR6_CALIB_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR6_CALIB_0_TSENSOR6_CALIB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR6_CALIB_0_TSENSOR6_CALIB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_TSENSOR7_CALIB_0
#define FUSE_TSENSOR7_CALIB_0                   _MK_ADDR_CONST(0x260)
#define FUSE_TSENSOR7_CALIB_0_SECURE                    0x0
#define FUSE_TSENSOR7_CALIB_0_SCR                       0
#define FUSE_TSENSOR7_CALIB_0_WORD_COUNT                        0x1
#define FUSE_TSENSOR7_CALIB_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR7_CALIB_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR7_CALIB_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR7_CALIB_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR7_CALIB_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR7_CALIB_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR7_CALIB_0_TSENSOR7_CALIB_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_TSENSOR7_CALIB_0_TSENSOR7_CALIB_FIELD                      _MK_FIELD_CONST(0xffffffff, FUSE_TSENSOR7_CALIB_0_TSENSOR7_CALIB_SHIFT)
#define FUSE_TSENSOR7_CALIB_0_TSENSOR7_CALIB_RANGE                      31:0
#define FUSE_TSENSOR7_CALIB_0_TSENSOR7_CALIB_WOFFSET                    0x0
#define FUSE_TSENSOR7_CALIB_0_TSENSOR7_CALIB_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR7_CALIB_0_TSENSOR7_CALIB_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR7_CALIB_0_TSENSOR7_CALIB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR7_CALIB_0_TSENSOR7_CALIB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_OPT_PRIV_SEC_EN_0
#define FUSE_OPT_PRIV_SEC_EN_0                  _MK_ADDR_CONST(0x264)
#define FUSE_OPT_PRIV_SEC_EN_0_SECURE                   0x0
#define FUSE_OPT_PRIV_SEC_EN_0_SCR                      0
#define FUSE_OPT_PRIV_SEC_EN_0_WORD_COUNT                       0x1
#define FUSE_OPT_PRIV_SEC_EN_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_PRIV_SEC_EN_0_RESET_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_OPT_PRIV_SEC_EN_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_PRIV_SEC_EN_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_PRIV_SEC_EN_0_READ_MASK                        _MK_MASK_CONST(0x1)
#define FUSE_OPT_PRIV_SEC_EN_0_WRITE_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_OPT_PRIV_SEC_EN_0_OPT_PRIV_SEC_EN_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_OPT_PRIV_SEC_EN_0_OPT_PRIV_SEC_EN_FIELD                    _MK_FIELD_CONST(0x1, FUSE_OPT_PRIV_SEC_EN_0_OPT_PRIV_SEC_EN_SHIFT)
#define FUSE_OPT_PRIV_SEC_EN_0_OPT_PRIV_SEC_EN_RANGE                    0:0
#define FUSE_OPT_PRIV_SEC_EN_0_OPT_PRIV_SEC_EN_WOFFSET                  0x0
#define FUSE_OPT_PRIV_SEC_EN_0_OPT_PRIV_SEC_EN_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_PRIV_SEC_EN_0_OPT_PRIV_SEC_EN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_OPT_PRIV_SEC_EN_0_OPT_PRIV_SEC_EN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_PRIV_SEC_EN_0_OPT_PRIV_SEC_EN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_BOOT_SECURITY_INFO_0
#define FUSE_BOOT_SECURITY_INFO_0                       _MK_ADDR_CONST(0x268)
#define FUSE_BOOT_SECURITY_INFO_0_SECURE                        0x0
#define FUSE_BOOT_SECURITY_INFO_0_SCR                   0
#define FUSE_BOOT_SECURITY_INFO_0_WORD_COUNT                    0x1
#define FUSE_BOOT_SECURITY_INFO_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_BOOT_SECURITY_INFO_0_RESET_MASK                    _MK_MASK_CONST(0x3f)
#define FUSE_BOOT_SECURITY_INFO_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_BOOT_SECURITY_INFO_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_BOOT_SECURITY_INFO_0_READ_MASK                     _MK_MASK_CONST(0x3f)
#define FUSE_BOOT_SECURITY_INFO_0_WRITE_MASK                    _MK_MASK_CONST(0x3f)
#define FUSE_BOOT_SECURITY_INFO_0_BOOT_SECURITY_INFO_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_BOOT_SECURITY_INFO_0_BOOT_SECURITY_INFO_FIELD                      _MK_FIELD_CONST(0x3f, FUSE_BOOT_SECURITY_INFO_0_BOOT_SECURITY_INFO_SHIFT)
#define FUSE_BOOT_SECURITY_INFO_0_BOOT_SECURITY_INFO_RANGE                      5:0
#define FUSE_BOOT_SECURITY_INFO_0_BOOT_SECURITY_INFO_WOFFSET                    0x0
#define FUSE_BOOT_SECURITY_INFO_0_BOOT_SECURITY_INFO_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_BOOT_SECURITY_INFO_0_BOOT_SECURITY_INFO_DEFAULT_MASK                       _MK_MASK_CONST(0x3f)
#define FUSE_BOOT_SECURITY_INFO_0_BOOT_SECURITY_INFO_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_BOOT_SECURITY_INFO_0_BOOT_SECURITY_INFO_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Reserved address 620 [0x26c]

// Reserved address 624 [0x270]

// Reserved address 628 [0x274]

// Reserved address 632 [0x278]

// Register FUSE_FUSE2TSEC_DEBUG_DISABLE_0
#define FUSE_FUSE2TSEC_DEBUG_DISABLE_0                  _MK_ADDR_CONST(0x27c)
#define FUSE_FUSE2TSEC_DEBUG_DISABLE_0_SECURE                   0x0
#define FUSE_FUSE2TSEC_DEBUG_DISABLE_0_SCR                      0
#define FUSE_FUSE2TSEC_DEBUG_DISABLE_0_WORD_COUNT                       0x1
#define FUSE_FUSE2TSEC_DEBUG_DISABLE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_FUSE2TSEC_DEBUG_DISABLE_0_RESET_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_FUSE2TSEC_DEBUG_DISABLE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_FUSE2TSEC_DEBUG_DISABLE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_FUSE2TSEC_DEBUG_DISABLE_0_READ_MASK                        _MK_MASK_CONST(0x1)
#define FUSE_FUSE2TSEC_DEBUG_DISABLE_0_WRITE_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_FUSE2TSEC_DEBUG_DISABLE_0_FUSE2TSEC_DEBUG_DISABLE_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_FUSE2TSEC_DEBUG_DISABLE_0_FUSE2TSEC_DEBUG_DISABLE_FIELD                    _MK_FIELD_CONST(0x1, FUSE_FUSE2TSEC_DEBUG_DISABLE_0_FUSE2TSEC_DEBUG_DISABLE_SHIFT)
#define FUSE_FUSE2TSEC_DEBUG_DISABLE_0_FUSE2TSEC_DEBUG_DISABLE_RANGE                    0:0
#define FUSE_FUSE2TSEC_DEBUG_DISABLE_0_FUSE2TSEC_DEBUG_DISABLE_WOFFSET                  0x0
#define FUSE_FUSE2TSEC_DEBUG_DISABLE_0_FUSE2TSEC_DEBUG_DISABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_FUSE2TSEC_DEBUG_DISABLE_0_FUSE2TSEC_DEBUG_DISABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_FUSE2TSEC_DEBUG_DISABLE_0_FUSE2TSEC_DEBUG_DISABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_FUSE2TSEC_DEBUG_DISABLE_0_FUSE2TSEC_DEBUG_DISABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_TSENSOR_COMMON_T1_0
#define FUSE_TSENSOR_COMMON_T1_0                        _MK_ADDR_CONST(0x280)
#define FUSE_TSENSOR_COMMON_T1_0_SECURE                         0x0
#define FUSE_TSENSOR_COMMON_T1_0_SCR                    0
#define FUSE_TSENSOR_COMMON_T1_0_WORD_COUNT                     0x1
#define FUSE_TSENSOR_COMMON_T1_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR_COMMON_T1_0_RESET_MASK                     _MK_MASK_CONST(0xffff)
#define FUSE_TSENSOR_COMMON_T1_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR_COMMON_T1_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR_COMMON_T1_0_READ_MASK                      _MK_MASK_CONST(0xffff)
#define FUSE_TSENSOR_COMMON_T1_0_WRITE_MASK                     _MK_MASK_CONST(0xffff)
#define FUSE_TSENSOR_COMMON_T1_0_TSENSOR_COMMON_T1_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_TSENSOR_COMMON_T1_0_TSENSOR_COMMON_T1_FIELD                        _MK_FIELD_CONST(0xffff, FUSE_TSENSOR_COMMON_T1_0_TSENSOR_COMMON_T1_SHIFT)
#define FUSE_TSENSOR_COMMON_T1_0_TSENSOR_COMMON_T1_RANGE                        15:0
#define FUSE_TSENSOR_COMMON_T1_0_TSENSOR_COMMON_T1_WOFFSET                      0x0
#define FUSE_TSENSOR_COMMON_T1_0_TSENSOR_COMMON_T1_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR_COMMON_T1_0_TSENSOR_COMMON_T1_DEFAULT_MASK                 _MK_MASK_CONST(0xffff)
#define FUSE_TSENSOR_COMMON_T1_0_TSENSOR_COMMON_T1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR_COMMON_T1_0_TSENSOR_COMMON_T1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_OPT_CP_BIN_0
#define FUSE_OPT_CP_BIN_0                       _MK_ADDR_CONST(0x284)
#define FUSE_OPT_CP_BIN_0_SECURE                        0x0
#define FUSE_OPT_CP_BIN_0_SCR                   0
#define FUSE_OPT_CP_BIN_0_WORD_COUNT                    0x1
#define FUSE_OPT_CP_BIN_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_CP_BIN_0_RESET_MASK                    _MK_MASK_CONST(0x3)
#define FUSE_OPT_CP_BIN_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_CP_BIN_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_CP_BIN_0_READ_MASK                     _MK_MASK_CONST(0x3)
#define FUSE_OPT_CP_BIN_0_WRITE_MASK                    _MK_MASK_CONST(0x3)
#define FUSE_OPT_CP_BIN_0_OPT_CP_BIN_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_OPT_CP_BIN_0_OPT_CP_BIN_FIELD                      _MK_FIELD_CONST(0x3, FUSE_OPT_CP_BIN_0_OPT_CP_BIN_SHIFT)
#define FUSE_OPT_CP_BIN_0_OPT_CP_BIN_RANGE                      1:0
#define FUSE_OPT_CP_BIN_0_OPT_CP_BIN_WOFFSET                    0x0
#define FUSE_OPT_CP_BIN_0_OPT_CP_BIN_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_CP_BIN_0_OPT_CP_BIN_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define FUSE_OPT_CP_BIN_0_OPT_CP_BIN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_OPT_CP_BIN_0_OPT_CP_BIN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_OPT_GPU_DISABLE_0
#define FUSE_OPT_GPU_DISABLE_0                  _MK_ADDR_CONST(0x288)
#define FUSE_OPT_GPU_DISABLE_0_SECURE                   0x0
#define FUSE_OPT_GPU_DISABLE_0_SCR                      0
#define FUSE_OPT_GPU_DISABLE_0_WORD_COUNT                       0x1
#define FUSE_OPT_GPU_DISABLE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_GPU_DISABLE_0_RESET_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_OPT_GPU_DISABLE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_GPU_DISABLE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_GPU_DISABLE_0_READ_MASK                        _MK_MASK_CONST(0x1)
#define FUSE_OPT_GPU_DISABLE_0_WRITE_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_OPT_GPU_DISABLE_0_OPT_GPU_DISABLE_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_OPT_GPU_DISABLE_0_OPT_GPU_DISABLE_FIELD                    _MK_FIELD_CONST(0x1, FUSE_OPT_GPU_DISABLE_0_OPT_GPU_DISABLE_SHIFT)
#define FUSE_OPT_GPU_DISABLE_0_OPT_GPU_DISABLE_RANGE                    0:0
#define FUSE_OPT_GPU_DISABLE_0_OPT_GPU_DISABLE_WOFFSET                  0x0
#define FUSE_OPT_GPU_DISABLE_0_OPT_GPU_DISABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_GPU_DISABLE_0_OPT_GPU_DISABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_OPT_GPU_DISABLE_0_OPT_GPU_DISABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_GPU_DISABLE_0_OPT_GPU_DISABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_OPT_FT_DONE_0
#define FUSE_OPT_FT_DONE_0                      _MK_ADDR_CONST(0x28c)
#define FUSE_OPT_FT_DONE_0_SECURE                       0x0
#define FUSE_OPT_FT_DONE_0_SCR                  0
#define FUSE_OPT_FT_DONE_0_WORD_COUNT                   0x1
#define FUSE_OPT_FT_DONE_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_FT_DONE_0_RESET_MASK                   _MK_MASK_CONST(0x3ff)
#define FUSE_OPT_FT_DONE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_FT_DONE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_OPT_FT_DONE_0_READ_MASK                    _MK_MASK_CONST(0x3ff)
#define FUSE_OPT_FT_DONE_0_WRITE_MASK                   _MK_MASK_CONST(0x3ff)
#define FUSE_OPT_FT_DONE_0_OPT_FT_DONE_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_OPT_FT_DONE_0_OPT_FT_DONE_FIELD                    _MK_FIELD_CONST(0x3ff, FUSE_OPT_FT_DONE_0_OPT_FT_DONE_SHIFT)
#define FUSE_OPT_FT_DONE_0_OPT_FT_DONE_RANGE                    9:0
#define FUSE_OPT_FT_DONE_0_OPT_FT_DONE_WOFFSET                  0x0
#define FUSE_OPT_FT_DONE_0_OPT_FT_DONE_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_FT_DONE_0_OPT_FT_DONE_DEFAULT_MASK                     _MK_MASK_CONST(0x3ff)
#define FUSE_OPT_FT_DONE_0_OPT_FT_DONE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_FT_DONE_0_OPT_FT_DONE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_OPT_DONE_MAP_0
#define FUSE_OPT_DONE_MAP_0                     _MK_ADDR_CONST(0x290)
#define FUSE_OPT_DONE_MAP_0_SECURE                      0x0
#define FUSE_OPT_DONE_MAP_0_SCR                         0
#define FUSE_OPT_DONE_MAP_0_WORD_COUNT                  0x1
#define FUSE_OPT_DONE_MAP_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_DONE_MAP_0_RESET_MASK                  _MK_MASK_CONST(0xff)
#define FUSE_OPT_DONE_MAP_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_OPT_DONE_MAP_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_DONE_MAP_0_READ_MASK                   _MK_MASK_CONST(0xff)
#define FUSE_OPT_DONE_MAP_0_WRITE_MASK                  _MK_MASK_CONST(0xff)
#define FUSE_OPT_DONE_MAP_0_OPT_DONE_MAP_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_OPT_DONE_MAP_0_OPT_DONE_MAP_FIELD                  _MK_FIELD_CONST(0xff, FUSE_OPT_DONE_MAP_0_OPT_DONE_MAP_SHIFT)
#define FUSE_OPT_DONE_MAP_0_OPT_DONE_MAP_RANGE                  7:0
#define FUSE_OPT_DONE_MAP_0_OPT_DONE_MAP_WOFFSET                        0x0
#define FUSE_OPT_DONE_MAP_0_OPT_DONE_MAP_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_DONE_MAP_0_OPT_DONE_MAP_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define FUSE_OPT_DONE_MAP_0_OPT_DONE_MAP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_DONE_MAP_0_OPT_DONE_MAP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Reserved address 660 [0x294]

// Register FUSE_APB2JTAG_DISABLE_0
#define FUSE_APB2JTAG_DISABLE_0                 _MK_ADDR_CONST(0x298)
#define FUSE_APB2JTAG_DISABLE_0_SECURE                  0x0
#define FUSE_APB2JTAG_DISABLE_0_SCR                     0
#define FUSE_APB2JTAG_DISABLE_0_WORD_COUNT                      0x1
#define FUSE_APB2JTAG_DISABLE_0_RESET_VAL                       _MK_MASK_CONST(0x1)
#define FUSE_APB2JTAG_DISABLE_0_RESET_MASK                      _MK_MASK_CONST(0x1)
#define FUSE_APB2JTAG_DISABLE_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_APB2JTAG_DISABLE_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define FUSE_APB2JTAG_DISABLE_0_READ_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_APB2JTAG_DISABLE_0_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define FUSE_APB2JTAG_DISABLE_0_APB2JTAG_DISABLE_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_APB2JTAG_DISABLE_0_APB2JTAG_DISABLE_FIELD                  _MK_FIELD_CONST(0x1, FUSE_APB2JTAG_DISABLE_0_APB2JTAG_DISABLE_SHIFT)
#define FUSE_APB2JTAG_DISABLE_0_APB2JTAG_DISABLE_RANGE                  0:0
#define FUSE_APB2JTAG_DISABLE_0_APB2JTAG_DISABLE_WOFFSET                        0x0
#define FUSE_APB2JTAG_DISABLE_0_APB2JTAG_DISABLE_DEFAULT                        _MK_MASK_CONST(0x1)
#define FUSE_APB2JTAG_DISABLE_0_APB2JTAG_DISABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_APB2JTAG_DISABLE_0_APB2JTAG_DISABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_APB2JTAG_DISABLE_0_APB2JTAG_DISABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_ODM_INFO_0
#define FUSE_ODM_INFO_0                 _MK_ADDR_CONST(0x29c)
#define FUSE_ODM_INFO_0_SECURE                  0x0
#define FUSE_ODM_INFO_0_SCR                     0
#define FUSE_ODM_INFO_0_WORD_COUNT                      0x1
#define FUSE_ODM_INFO_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_ODM_INFO_0_RESET_MASK                      _MK_MASK_CONST(0xffff)
#define FUSE_ODM_INFO_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_ODM_INFO_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define FUSE_ODM_INFO_0_READ_MASK                       _MK_MASK_CONST(0xffff)
#define FUSE_ODM_INFO_0_WRITE_MASK                      _MK_MASK_CONST(0xffff)
#define FUSE_ODM_INFO_0_ODM_INFO_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_ODM_INFO_0_ODM_INFO_FIELD                  _MK_FIELD_CONST(0xffff, FUSE_ODM_INFO_0_ODM_INFO_SHIFT)
#define FUSE_ODM_INFO_0_ODM_INFO_RANGE                  15:0
#define FUSE_ODM_INFO_0_ODM_INFO_WOFFSET                        0x0
#define FUSE_ODM_INFO_0_ODM_INFO_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_ODM_INFO_0_ODM_INFO_DEFAULT_MASK                   _MK_MASK_CONST(0xffff)
#define FUSE_ODM_INFO_0_ODM_INFO_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_ODM_INFO_0_ODM_INFO_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_PHY_FLOORSWEEP_0
#define FUSE_PHY_FLOORSWEEP_0                   _MK_ADDR_CONST(0x2a0)
#define FUSE_PHY_FLOORSWEEP_0_SECURE                    0x0
#define FUSE_PHY_FLOORSWEEP_0_SCR                       0
#define FUSE_PHY_FLOORSWEEP_0_WORD_COUNT                        0x1
#define FUSE_PHY_FLOORSWEEP_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_PHY_FLOORSWEEP_0_RESET_MASK                        _MK_MASK_CONST(0x1f)
#define FUSE_PHY_FLOORSWEEP_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_PHY_FLOORSWEEP_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_PHY_FLOORSWEEP_0_READ_MASK                         _MK_MASK_CONST(0x1f)
#define FUSE_PHY_FLOORSWEEP_0_WRITE_MASK                        _MK_MASK_CONST(0x1f)
#define FUSE_PHY_FLOORSWEEP_0_PHY_FLOORSWEEP_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_PHY_FLOORSWEEP_0_PHY_FLOORSWEEP_FIELD                      _MK_FIELD_CONST(0x1f, FUSE_PHY_FLOORSWEEP_0_PHY_FLOORSWEEP_SHIFT)
#define FUSE_PHY_FLOORSWEEP_0_PHY_FLOORSWEEP_RANGE                      4:0
#define FUSE_PHY_FLOORSWEEP_0_PHY_FLOORSWEEP_WOFFSET                    0x0
#define FUSE_PHY_FLOORSWEEP_0_PHY_FLOORSWEEP_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_PHY_FLOORSWEEP_0_PHY_FLOORSWEEP_DEFAULT_MASK                       _MK_MASK_CONST(0x1f)
#define FUSE_PHY_FLOORSWEEP_0_PHY_FLOORSWEEP_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_PHY_FLOORSWEEP_0_PHY_FLOORSWEEP_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_PHY_FLOOR_ENABLE_0
#define FUSE_PHY_FLOOR_ENABLE_0                 _MK_ADDR_CONST(0x2a4)
#define FUSE_PHY_FLOOR_ENABLE_0_SECURE                  0x0
#define FUSE_PHY_FLOOR_ENABLE_0_SCR                     0
#define FUSE_PHY_FLOOR_ENABLE_0_WORD_COUNT                      0x1
#define FUSE_PHY_FLOOR_ENABLE_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_PHY_FLOOR_ENABLE_0_RESET_MASK                      _MK_MASK_CONST(0x1f)
#define FUSE_PHY_FLOOR_ENABLE_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_PHY_FLOOR_ENABLE_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define FUSE_PHY_FLOOR_ENABLE_0_READ_MASK                       _MK_MASK_CONST(0x1f)
#define FUSE_PHY_FLOOR_ENABLE_0_WRITE_MASK                      _MK_MASK_CONST(0x1f)
#define FUSE_PHY_FLOOR_ENABLE_0_PHY_FLOOR_ENABLE_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_PHY_FLOOR_ENABLE_0_PHY_FLOOR_ENABLE_FIELD                  _MK_FIELD_CONST(0x1f, FUSE_PHY_FLOOR_ENABLE_0_PHY_FLOOR_ENABLE_SHIFT)
#define FUSE_PHY_FLOOR_ENABLE_0_PHY_FLOOR_ENABLE_RANGE                  4:0
#define FUSE_PHY_FLOOR_ENABLE_0_PHY_FLOOR_ENABLE_WOFFSET                        0x0
#define FUSE_PHY_FLOOR_ENABLE_0_PHY_FLOOR_ENABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_PHY_FLOOR_ENABLE_0_PHY_FLOOR_ENABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1f)
#define FUSE_PHY_FLOOR_ENABLE_0_PHY_FLOOR_ENABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_PHY_FLOOR_ENABLE_0_PHY_FLOOR_ENABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_ARM_CRYPT_DE_FEATURE_0
#define FUSE_ARM_CRYPT_DE_FEATURE_0                     _MK_ADDR_CONST(0x2a8)
#define FUSE_ARM_CRYPT_DE_FEATURE_0_SECURE                      0x0
#define FUSE_ARM_CRYPT_DE_FEATURE_0_SCR                         0
#define FUSE_ARM_CRYPT_DE_FEATURE_0_WORD_COUNT                  0x1
#define FUSE_ARM_CRYPT_DE_FEATURE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_ARM_CRYPT_DE_FEATURE_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_ARM_CRYPT_DE_FEATURE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_ARM_CRYPT_DE_FEATURE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_ARM_CRYPT_DE_FEATURE_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_ARM_CRYPT_DE_FEATURE_0_WRITE_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_ARM_CRYPT_DE_FEATURE_0_ARM_CRYPT_DE_FEATURE_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_ARM_CRYPT_DE_FEATURE_0_ARM_CRYPT_DE_FEATURE_FIELD                  _MK_FIELD_CONST(0x1, FUSE_ARM_CRYPT_DE_FEATURE_0_ARM_CRYPT_DE_FEATURE_SHIFT)
#define FUSE_ARM_CRYPT_DE_FEATURE_0_ARM_CRYPT_DE_FEATURE_RANGE                  0:0
#define FUSE_ARM_CRYPT_DE_FEATURE_0_ARM_CRYPT_DE_FEATURE_WOFFSET                        0x0
#define FUSE_ARM_CRYPT_DE_FEATURE_0_ARM_CRYPT_DE_FEATURE_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_ARM_CRYPT_DE_FEATURE_0_ARM_CRYPT_DE_FEATURE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_ARM_CRYPT_DE_FEATURE_0_ARM_CRYPT_DE_FEATURE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_ARM_CRYPT_DE_FEATURE_0_ARM_CRYPT_DE_FEATURE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_DENVER_MTS_DE_FEATURE_0
#define FUSE_DENVER_MTS_DE_FEATURE_0                    _MK_ADDR_CONST(0x2ac)
#define FUSE_DENVER_MTS_DE_FEATURE_0_SECURE                     0x0
#define FUSE_DENVER_MTS_DE_FEATURE_0_SCR                        0
#define FUSE_DENVER_MTS_DE_FEATURE_0_WORD_COUNT                         0x1
#define FUSE_DENVER_MTS_DE_FEATURE_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_DENVER_MTS_DE_FEATURE_0_RESET_MASK                         _MK_MASK_CONST(0x3ff)
#define FUSE_DENVER_MTS_DE_FEATURE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_DENVER_MTS_DE_FEATURE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_DENVER_MTS_DE_FEATURE_0_READ_MASK                  _MK_MASK_CONST(0x3ff)
#define FUSE_DENVER_MTS_DE_FEATURE_0_WRITE_MASK                         _MK_MASK_CONST(0x3ff)
#define FUSE_DENVER_MTS_DE_FEATURE_0_DENVER_MTS_DE_FEATURE_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_DENVER_MTS_DE_FEATURE_0_DENVER_MTS_DE_FEATURE_FIELD                        _MK_FIELD_CONST(0x3ff, FUSE_DENVER_MTS_DE_FEATURE_0_DENVER_MTS_DE_FEATURE_SHIFT)
#define FUSE_DENVER_MTS_DE_FEATURE_0_DENVER_MTS_DE_FEATURE_RANGE                        9:0
#define FUSE_DENVER_MTS_DE_FEATURE_0_DENVER_MTS_DE_FEATURE_WOFFSET                      0x0
#define FUSE_DENVER_MTS_DE_FEATURE_0_DENVER_MTS_DE_FEATURE_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_DENVER_MTS_DE_FEATURE_0_DENVER_MTS_DE_FEATURE_DEFAULT_MASK                 _MK_MASK_CONST(0x3ff)
#define FUSE_DENVER_MTS_DE_FEATURE_0_DENVER_MTS_DE_FEATURE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_DENVER_MTS_DE_FEATURE_0_DENVER_MTS_DE_FEATURE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_DIE_VERSION_OVERRIDE_0
#define FUSE_DIE_VERSION_OVERRIDE_0                     _MK_ADDR_CONST(0x2b0)
#define FUSE_DIE_VERSION_OVERRIDE_0_SECURE                      0x0
#define FUSE_DIE_VERSION_OVERRIDE_0_SCR                         0
#define FUSE_DIE_VERSION_OVERRIDE_0_WORD_COUNT                  0x1
#define FUSE_DIE_VERSION_OVERRIDE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_DIE_VERSION_OVERRIDE_0_RESET_MASK                  _MK_MASK_CONST(0xf)
#define FUSE_DIE_VERSION_OVERRIDE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_DIE_VERSION_OVERRIDE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_DIE_VERSION_OVERRIDE_0_READ_MASK                   _MK_MASK_CONST(0xf)
#define FUSE_DIE_VERSION_OVERRIDE_0_WRITE_MASK                  _MK_MASK_CONST(0xf)
#define FUSE_DIE_VERSION_OVERRIDE_0_DIE_VERSION_OVERRIDE_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_DIE_VERSION_OVERRIDE_0_DIE_VERSION_OVERRIDE_FIELD                  _MK_FIELD_CONST(0xf, FUSE_DIE_VERSION_OVERRIDE_0_DIE_VERSION_OVERRIDE_SHIFT)
#define FUSE_DIE_VERSION_OVERRIDE_0_DIE_VERSION_OVERRIDE_RANGE                  3:0
#define FUSE_DIE_VERSION_OVERRIDE_0_DIE_VERSION_OVERRIDE_WOFFSET                        0x0
#define FUSE_DIE_VERSION_OVERRIDE_0_DIE_VERSION_OVERRIDE_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_DIE_VERSION_OVERRIDE_0_DIE_VERSION_OVERRIDE_DEFAULT_MASK                   _MK_MASK_CONST(0xf)
#define FUSE_DIE_VERSION_OVERRIDE_0_DIE_VERSION_OVERRIDE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_DIE_VERSION_OVERRIDE_0_DIE_VERSION_OVERRIDE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_TRIMMERS_0
#define FUSE_TRIMMERS_0                 _MK_ADDR_CONST(0x2b4)
#define FUSE_TRIMMERS_0_SECURE                  0x0
#define FUSE_TRIMMERS_0_SCR                     0
#define FUSE_TRIMMERS_0_WORD_COUNT                      0x1
#define FUSE_TRIMMERS_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_TRIMMERS_0_RESET_MASK                      _MK_MASK_CONST(0xffff)
#define FUSE_TRIMMERS_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_TRIMMERS_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define FUSE_TRIMMERS_0_READ_MASK                       _MK_MASK_CONST(0xffff)
#define FUSE_TRIMMERS_0_WRITE_MASK                      _MK_MASK_CONST(0xffff)
#define FUSE_TRIMMERS_0_TRIMMERS_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_TRIMMERS_0_TRIMMERS_FIELD                  _MK_FIELD_CONST(0xffff, FUSE_TRIMMERS_0_TRIMMERS_SHIFT)
#define FUSE_TRIMMERS_0_TRIMMERS_RANGE                  15:0
#define FUSE_TRIMMERS_0_TRIMMERS_WOFFSET                        0x0
#define FUSE_TRIMMERS_0_TRIMMERS_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_TRIMMERS_0_TRIMMERS_DEFAULT_MASK                   _MK_MASK_CONST(0xffff)
#define FUSE_TRIMMERS_0_TRIMMERS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_TRIMMERS_0_TRIMMERS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_DENVER_BOOT_SEC_0
#define FUSE_DENVER_BOOT_SEC_0                  _MK_ADDR_CONST(0x2b8)
#define FUSE_DENVER_BOOT_SEC_0_SECURE                   0x0
#define FUSE_DENVER_BOOT_SEC_0_SCR                      0
#define FUSE_DENVER_BOOT_SEC_0_WORD_COUNT                       0x1
#define FUSE_DENVER_BOOT_SEC_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_DENVER_BOOT_SEC_0_RESET_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_DENVER_BOOT_SEC_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_DENVER_BOOT_SEC_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_DENVER_BOOT_SEC_0_READ_MASK                        _MK_MASK_CONST(0x1)
#define FUSE_DENVER_BOOT_SEC_0_WRITE_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_DENVER_BOOT_SEC_0_DENVER_BOOT_SEC_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_DENVER_BOOT_SEC_0_DENVER_BOOT_SEC_FIELD                    _MK_FIELD_CONST(0x1, FUSE_DENVER_BOOT_SEC_0_DENVER_BOOT_SEC_SHIFT)
#define FUSE_DENVER_BOOT_SEC_0_DENVER_BOOT_SEC_RANGE                    0:0
#define FUSE_DENVER_BOOT_SEC_0_DENVER_BOOT_SEC_WOFFSET                  0x0
#define FUSE_DENVER_BOOT_SEC_0_DENVER_BOOT_SEC_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_DENVER_BOOT_SEC_0_DENVER_BOOT_SEC_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_DENVER_BOOT_SEC_0_DENVER_BOOT_SEC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_DENVER_BOOT_SEC_0_DENVER_BOOT_SEC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_DENVER_DFD_ACCESS_DISABLE_0
#define FUSE_DENVER_DFD_ACCESS_DISABLE_0                        _MK_ADDR_CONST(0x2bc)
#define FUSE_DENVER_DFD_ACCESS_DISABLE_0_SECURE                         0x0
#define FUSE_DENVER_DFD_ACCESS_DISABLE_0_SCR                    0
#define FUSE_DENVER_DFD_ACCESS_DISABLE_0_WORD_COUNT                     0x1
#define FUSE_DENVER_DFD_ACCESS_DISABLE_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_DENVER_DFD_ACCESS_DISABLE_0_RESET_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_DENVER_DFD_ACCESS_DISABLE_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_DENVER_DFD_ACCESS_DISABLE_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define FUSE_DENVER_DFD_ACCESS_DISABLE_0_READ_MASK                      _MK_MASK_CONST(0x1)
#define FUSE_DENVER_DFD_ACCESS_DISABLE_0_WRITE_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_DENVER_DFD_ACCESS_DISABLE_0_DENVER_DFD_ACCESS_DISABLE_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_DENVER_DFD_ACCESS_DISABLE_0_DENVER_DFD_ACCESS_DISABLE_FIELD                        _MK_FIELD_CONST(0x1, FUSE_DENVER_DFD_ACCESS_DISABLE_0_DENVER_DFD_ACCESS_DISABLE_SHIFT)
#define FUSE_DENVER_DFD_ACCESS_DISABLE_0_DENVER_DFD_ACCESS_DISABLE_RANGE                        0:0
#define FUSE_DENVER_DFD_ACCESS_DISABLE_0_DENVER_DFD_ACCESS_DISABLE_WOFFSET                      0x0
#define FUSE_DENVER_DFD_ACCESS_DISABLE_0_DENVER_DFD_ACCESS_DISABLE_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_DENVER_DFD_ACCESS_DISABLE_0_DENVER_DFD_ACCESS_DISABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define FUSE_DENVER_DFD_ACCESS_DISABLE_0_DENVER_DFD_ACCESS_DISABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_DENVER_DFD_ACCESS_DISABLE_0_DENVER_DFD_ACCESS_DISABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_WOA_SKU_FLAG_0
#define FUSE_WOA_SKU_FLAG_0                     _MK_ADDR_CONST(0x2c0)
#define FUSE_WOA_SKU_FLAG_0_SECURE                      0x0
#define FUSE_WOA_SKU_FLAG_0_SCR                         0
#define FUSE_WOA_SKU_FLAG_0_WORD_COUNT                  0x1
#define FUSE_WOA_SKU_FLAG_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_WOA_SKU_FLAG_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_WOA_SKU_FLAG_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_WOA_SKU_FLAG_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_WOA_SKU_FLAG_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_WOA_SKU_FLAG_0_WRITE_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_WOA_SKU_FLAG_0_WOA_SKU_FLAG_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_WOA_SKU_FLAG_0_WOA_SKU_FLAG_FIELD                  _MK_FIELD_CONST(0x1, FUSE_WOA_SKU_FLAG_0_WOA_SKU_FLAG_SHIFT)
#define FUSE_WOA_SKU_FLAG_0_WOA_SKU_FLAG_RANGE                  0:0
#define FUSE_WOA_SKU_FLAG_0_WOA_SKU_FLAG_WOFFSET                        0x0
#define FUSE_WOA_SKU_FLAG_0_WOA_SKU_FLAG_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_WOA_SKU_FLAG_0_WOA_SKU_FLAG_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_WOA_SKU_FLAG_0_WOA_SKU_FLAG_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_WOA_SKU_FLAG_0_WOA_SKU_FLAG_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_ECO_RESERVE_1_0
#define FUSE_ECO_RESERVE_1_0                    _MK_ADDR_CONST(0x2c4)
#define FUSE_ECO_RESERVE_1_0_SECURE                     0x0
#define FUSE_ECO_RESERVE_1_0_SCR                        0
#define FUSE_ECO_RESERVE_1_0_WORD_COUNT                         0x1
#define FUSE_ECO_RESERVE_1_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_ECO_RESERVE_1_0_RESET_MASK                         _MK_MASK_CONST(0xffff)
#define FUSE_ECO_RESERVE_1_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_ECO_RESERVE_1_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_ECO_RESERVE_1_0_READ_MASK                  _MK_MASK_CONST(0xffff)
#define FUSE_ECO_RESERVE_1_0_WRITE_MASK                         _MK_MASK_CONST(0xffff)
#define FUSE_ECO_RESERVE_1_0_ECO_RESERVE_1_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_ECO_RESERVE_1_0_ECO_RESERVE_1_FIELD                        _MK_FIELD_CONST(0xffff, FUSE_ECO_RESERVE_1_0_ECO_RESERVE_1_SHIFT)
#define FUSE_ECO_RESERVE_1_0_ECO_RESERVE_1_RANGE                        15:0
#define FUSE_ECO_RESERVE_1_0_ECO_RESERVE_1_WOFFSET                      0x0
#define FUSE_ECO_RESERVE_1_0_ECO_RESERVE_1_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_ECO_RESERVE_1_0_ECO_RESERVE_1_DEFAULT_MASK                 _MK_MASK_CONST(0xffff)
#define FUSE_ECO_RESERVE_1_0_ECO_RESERVE_1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_ECO_RESERVE_1_0_ECO_RESERVE_1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_GCPLEX_CONFIG_FUSE_0
#define FUSE_GCPLEX_CONFIG_FUSE_0                       _MK_ADDR_CONST(0x2c8)
#define FUSE_GCPLEX_CONFIG_FUSE_0_SECURE                        0x0
#define FUSE_GCPLEX_CONFIG_FUSE_0_SCR                   0
#define FUSE_GCPLEX_CONFIG_FUSE_0_WORD_COUNT                    0x1
#define FUSE_GCPLEX_CONFIG_FUSE_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_GCPLEX_CONFIG_FUSE_0_RESET_MASK                    _MK_MASK_CONST(0x7)
#define FUSE_GCPLEX_CONFIG_FUSE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_GCPLEX_CONFIG_FUSE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_GCPLEX_CONFIG_FUSE_0_READ_MASK                     _MK_MASK_CONST(0x7)
#define FUSE_GCPLEX_CONFIG_FUSE_0_WRITE_MASK                    _MK_MASK_CONST(0x7)
#define FUSE_GCPLEX_CONFIG_FUSE_0_GCPLEX_CONFIG_FUSE_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_GCPLEX_CONFIG_FUSE_0_GCPLEX_CONFIG_FUSE_FIELD                      _MK_FIELD_CONST(0x7, FUSE_GCPLEX_CONFIG_FUSE_0_GCPLEX_CONFIG_FUSE_SHIFT)
#define FUSE_GCPLEX_CONFIG_FUSE_0_GCPLEX_CONFIG_FUSE_RANGE                      2:0
#define FUSE_GCPLEX_CONFIG_FUSE_0_GCPLEX_CONFIG_FUSE_WOFFSET                    0x0
#define FUSE_GCPLEX_CONFIG_FUSE_0_GCPLEX_CONFIG_FUSE_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_GCPLEX_CONFIG_FUSE_0_GCPLEX_CONFIG_FUSE_DEFAULT_MASK                       _MK_MASK_CONST(0x7)
#define FUSE_GCPLEX_CONFIG_FUSE_0_GCPLEX_CONFIG_FUSE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_GCPLEX_CONFIG_FUSE_0_GCPLEX_CONFIG_FUSE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_PRODUCTION_MONTH_0
#define FUSE_PRODUCTION_MONTH_0                 _MK_ADDR_CONST(0x2cc)
#define FUSE_PRODUCTION_MONTH_0_SECURE                  0x0
#define FUSE_PRODUCTION_MONTH_0_SCR                     0
#define FUSE_PRODUCTION_MONTH_0_WORD_COUNT                      0x1
#define FUSE_PRODUCTION_MONTH_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_PRODUCTION_MONTH_0_RESET_MASK                      _MK_MASK_CONST(0x7f)
#define FUSE_PRODUCTION_MONTH_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_PRODUCTION_MONTH_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define FUSE_PRODUCTION_MONTH_0_READ_MASK                       _MK_MASK_CONST(0x7f)
#define FUSE_PRODUCTION_MONTH_0_WRITE_MASK                      _MK_MASK_CONST(0x7f)
#define FUSE_PRODUCTION_MONTH_0_PRODUCTION_MONTH_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_PRODUCTION_MONTH_0_PRODUCTION_MONTH_FIELD                  _MK_FIELD_CONST(0x7f, FUSE_PRODUCTION_MONTH_0_PRODUCTION_MONTH_SHIFT)
#define FUSE_PRODUCTION_MONTH_0_PRODUCTION_MONTH_RANGE                  6:0
#define FUSE_PRODUCTION_MONTH_0_PRODUCTION_MONTH_WOFFSET                        0x0
#define FUSE_PRODUCTION_MONTH_0_PRODUCTION_MONTH_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_PRODUCTION_MONTH_0_PRODUCTION_MONTH_DEFAULT_MASK                   _MK_MASK_CONST(0x7f)
#define FUSE_PRODUCTION_MONTH_0_PRODUCTION_MONTH_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_PRODUCTION_MONTH_0_PRODUCTION_MONTH_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_RAM_REPAIR_INDICATOR_0
#define FUSE_RAM_REPAIR_INDICATOR_0                     _MK_ADDR_CONST(0x2d0)
#define FUSE_RAM_REPAIR_INDICATOR_0_SECURE                      0x0
#define FUSE_RAM_REPAIR_INDICATOR_0_SCR                         0
#define FUSE_RAM_REPAIR_INDICATOR_0_WORD_COUNT                  0x1
#define FUSE_RAM_REPAIR_INDICATOR_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_RAM_REPAIR_INDICATOR_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_RAM_REPAIR_INDICATOR_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_RAM_REPAIR_INDICATOR_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_RAM_REPAIR_INDICATOR_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_RAM_REPAIR_INDICATOR_0_WRITE_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_RAM_REPAIR_INDICATOR_0_RAM_REPAIR_INDICATOR_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_RAM_REPAIR_INDICATOR_0_RAM_REPAIR_INDICATOR_FIELD                  _MK_FIELD_CONST(0x1, FUSE_RAM_REPAIR_INDICATOR_0_RAM_REPAIR_INDICATOR_SHIFT)
#define FUSE_RAM_REPAIR_INDICATOR_0_RAM_REPAIR_INDICATOR_RANGE                  0:0
#define FUSE_RAM_REPAIR_INDICATOR_0_RAM_REPAIR_INDICATOR_WOFFSET                        0x0
#define FUSE_RAM_REPAIR_INDICATOR_0_RAM_REPAIR_INDICATOR_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_RAM_REPAIR_INDICATOR_0_RAM_REPAIR_INDICATOR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_RAM_REPAIR_INDICATOR_0_RAM_REPAIR_INDICATOR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_RAM_REPAIR_INDICATOR_0_RAM_REPAIR_INDICATOR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_TSENSOR8_CALIB_0
#define FUSE_TSENSOR8_CALIB_0                   _MK_ADDR_CONST(0x2d4)
#define FUSE_TSENSOR8_CALIB_0_SECURE                    0x0
#define FUSE_TSENSOR8_CALIB_0_SCR                       0
#define FUSE_TSENSOR8_CALIB_0_WORD_COUNT                        0x1
#define FUSE_TSENSOR8_CALIB_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR8_CALIB_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR8_CALIB_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR8_CALIB_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR8_CALIB_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR8_CALIB_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR8_CALIB_0_TSENSOR8_CALIB_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_TSENSOR8_CALIB_0_TSENSOR8_CALIB_FIELD                      _MK_FIELD_CONST(0xffffffff, FUSE_TSENSOR8_CALIB_0_TSENSOR8_CALIB_SHIFT)
#define FUSE_TSENSOR8_CALIB_0_TSENSOR8_CALIB_RANGE                      31:0
#define FUSE_TSENSOR8_CALIB_0_TSENSOR8_CALIB_WOFFSET                    0x0
#define FUSE_TSENSOR8_CALIB_0_TSENSOR8_CALIB_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR8_CALIB_0_TSENSOR8_CALIB_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR8_CALIB_0_TSENSOR8_CALIB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR8_CALIB_0_TSENSOR8_CALIB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Reserved address 728 [0x2d8]

// Register FUSE_VMIN_CALIBRATION_0
#define FUSE_VMIN_CALIBRATION_0                 _MK_ADDR_CONST(0x2dc)
#define FUSE_VMIN_CALIBRATION_0_SECURE                  0x0
#define FUSE_VMIN_CALIBRATION_0_SCR                     0
#define FUSE_VMIN_CALIBRATION_0_WORD_COUNT                      0x1
#define FUSE_VMIN_CALIBRATION_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_VMIN_CALIBRATION_0_RESET_MASK                      _MK_MASK_CONST(0xfff)
#define FUSE_VMIN_CALIBRATION_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_VMIN_CALIBRATION_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define FUSE_VMIN_CALIBRATION_0_READ_MASK                       _MK_MASK_CONST(0xfff)
#define FUSE_VMIN_CALIBRATION_0_WRITE_MASK                      _MK_MASK_CONST(0xfff)
#define FUSE_VMIN_CALIBRATION_0_VMIN_CALIBRATION_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_VMIN_CALIBRATION_0_VMIN_CALIBRATION_FIELD                  _MK_FIELD_CONST(0xfff, FUSE_VMIN_CALIBRATION_0_VMIN_CALIBRATION_SHIFT)
#define FUSE_VMIN_CALIBRATION_0_VMIN_CALIBRATION_RANGE                  11:0
#define FUSE_VMIN_CALIBRATION_0_VMIN_CALIBRATION_WOFFSET                        0x0
#define FUSE_VMIN_CALIBRATION_0_VMIN_CALIBRATION_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_VMIN_CALIBRATION_0_VMIN_CALIBRATION_DEFAULT_MASK                   _MK_MASK_CONST(0xfff)
#define FUSE_VMIN_CALIBRATION_0_VMIN_CALIBRATION_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_VMIN_CALIBRATION_0_VMIN_CALIBRATION_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_AGING_SENSOR_CALIBRATION_0
#define FUSE_AGING_SENSOR_CALIBRATION_0                 _MK_ADDR_CONST(0x2e0)
#define FUSE_AGING_SENSOR_CALIBRATION_0_SECURE                  0x0
#define FUSE_AGING_SENSOR_CALIBRATION_0_SCR                     0
#define FUSE_AGING_SENSOR_CALIBRATION_0_WORD_COUNT                      0x1
#define FUSE_AGING_SENSOR_CALIBRATION_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_AGING_SENSOR_CALIBRATION_0_RESET_MASK                      _MK_MASK_CONST(0xfffffff)
#define FUSE_AGING_SENSOR_CALIBRATION_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_AGING_SENSOR_CALIBRATION_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define FUSE_AGING_SENSOR_CALIBRATION_0_READ_MASK                       _MK_MASK_CONST(0xfffffff)
#define FUSE_AGING_SENSOR_CALIBRATION_0_WRITE_MASK                      _MK_MASK_CONST(0xfffffff)
#define FUSE_AGING_SENSOR_CALIBRATION_0_AGING_SENSOR_CALIBRATION_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_AGING_SENSOR_CALIBRATION_0_AGING_SENSOR_CALIBRATION_FIELD                  _MK_FIELD_CONST(0xfffffff, FUSE_AGING_SENSOR_CALIBRATION_0_AGING_SENSOR_CALIBRATION_SHIFT)
#define FUSE_AGING_SENSOR_CALIBRATION_0_AGING_SENSOR_CALIBRATION_RANGE                  27:0
#define FUSE_AGING_SENSOR_CALIBRATION_0_AGING_SENSOR_CALIBRATION_WOFFSET                        0x0
#define FUSE_AGING_SENSOR_CALIBRATION_0_AGING_SENSOR_CALIBRATION_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_AGING_SENSOR_CALIBRATION_0_AGING_SENSOR_CALIBRATION_DEFAULT_MASK                   _MK_MASK_CONST(0xfffffff)
#define FUSE_AGING_SENSOR_CALIBRATION_0_AGING_SENSOR_CALIBRATION_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_AGING_SENSOR_CALIBRATION_0_AGING_SENSOR_CALIBRATION_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_DEBUG_AUTHENTICATION_0
#define FUSE_DEBUG_AUTHENTICATION_0                     _MK_ADDR_CONST(0x2e4)
#define FUSE_DEBUG_AUTHENTICATION_0_SECURE                      0x0
#define FUSE_DEBUG_AUTHENTICATION_0_SCR                         0
#define FUSE_DEBUG_AUTHENTICATION_0_WORD_COUNT                  0x1
#define FUSE_DEBUG_AUTHENTICATION_0_RESET_VAL                   _MK_MASK_CONST(0x1f)
#define FUSE_DEBUG_AUTHENTICATION_0_RESET_MASK                  _MK_MASK_CONST(0x1f)
#define FUSE_DEBUG_AUTHENTICATION_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_DEBUG_AUTHENTICATION_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_DEBUG_AUTHENTICATION_0_READ_MASK                   _MK_MASK_CONST(0x1f)
#define FUSE_DEBUG_AUTHENTICATION_0_WRITE_MASK                  _MK_MASK_CONST(0x1f)
#define FUSE_DEBUG_AUTHENTICATION_0_DEBUG_AUTHENTICATION_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_DEBUG_AUTHENTICATION_0_DEBUG_AUTHENTICATION_FIELD                  _MK_FIELD_CONST(0x1f, FUSE_DEBUG_AUTHENTICATION_0_DEBUG_AUTHENTICATION_SHIFT)
#define FUSE_DEBUG_AUTHENTICATION_0_DEBUG_AUTHENTICATION_RANGE                  4:0
#define FUSE_DEBUG_AUTHENTICATION_0_DEBUG_AUTHENTICATION_WOFFSET                        0x0
#define FUSE_DEBUG_AUTHENTICATION_0_DEBUG_AUTHENTICATION_DEFAULT                        _MK_MASK_CONST(0x1f)
#define FUSE_DEBUG_AUTHENTICATION_0_DEBUG_AUTHENTICATION_DEFAULT_MASK                   _MK_MASK_CONST(0x1f)
#define FUSE_DEBUG_AUTHENTICATION_0_DEBUG_AUTHENTICATION_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_DEBUG_AUTHENTICATION_0_DEBUG_AUTHENTICATION_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SECURE_PROVISION_INDEX_0
#define FUSE_SECURE_PROVISION_INDEX_0                   _MK_ADDR_CONST(0x2e8)
#define FUSE_SECURE_PROVISION_INDEX_0_SECURE                    0x0
#define FUSE_SECURE_PROVISION_INDEX_0_SCR                       0
#define FUSE_SECURE_PROVISION_INDEX_0_WORD_COUNT                        0x1
#define FUSE_SECURE_PROVISION_INDEX_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_SECURE_PROVISION_INDEX_0_RESET_MASK                        _MK_MASK_CONST(0xf)
#define FUSE_SECURE_PROVISION_INDEX_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_SECURE_PROVISION_INDEX_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_SECURE_PROVISION_INDEX_0_READ_MASK                         _MK_MASK_CONST(0xf)
#define FUSE_SECURE_PROVISION_INDEX_0_WRITE_MASK                        _MK_MASK_CONST(0xf)
#define FUSE_SECURE_PROVISION_INDEX_0_SECURE_PROVISION_INDEX_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_SECURE_PROVISION_INDEX_0_SECURE_PROVISION_INDEX_FIELD                      _MK_FIELD_CONST(0xf, FUSE_SECURE_PROVISION_INDEX_0_SECURE_PROVISION_INDEX_SHIFT)
#define FUSE_SECURE_PROVISION_INDEX_0_SECURE_PROVISION_INDEX_RANGE                      3:0
#define FUSE_SECURE_PROVISION_INDEX_0_SECURE_PROVISION_INDEX_WOFFSET                    0x0
#define FUSE_SECURE_PROVISION_INDEX_0_SECURE_PROVISION_INDEX_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_SECURE_PROVISION_INDEX_0_SECURE_PROVISION_INDEX_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define FUSE_SECURE_PROVISION_INDEX_0_SECURE_PROVISION_INDEX_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_SECURE_PROVISION_INDEX_0_SECURE_PROVISION_INDEX_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_SECURE_PROVISION_INFO_0
#define FUSE_SECURE_PROVISION_INFO_0                    _MK_ADDR_CONST(0x2ec)
#define FUSE_SECURE_PROVISION_INFO_0_SECURE                     0x0
#define FUSE_SECURE_PROVISION_INFO_0_SCR                        0
#define FUSE_SECURE_PROVISION_INFO_0_WORD_COUNT                         0x1
#define FUSE_SECURE_PROVISION_INFO_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_SECURE_PROVISION_INFO_0_RESET_MASK                         _MK_MASK_CONST(0x3)
#define FUSE_SECURE_PROVISION_INFO_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_SECURE_PROVISION_INFO_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_SECURE_PROVISION_INFO_0_READ_MASK                  _MK_MASK_CONST(0x3)
#define FUSE_SECURE_PROVISION_INFO_0_WRITE_MASK                         _MK_MASK_CONST(0x3)
#define FUSE_SECURE_PROVISION_INFO_0_SECURE_PROVISION_INFO_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_SECURE_PROVISION_INFO_0_SECURE_PROVISION_INFO_FIELD                        _MK_FIELD_CONST(0x3, FUSE_SECURE_PROVISION_INFO_0_SECURE_PROVISION_INFO_SHIFT)
#define FUSE_SECURE_PROVISION_INFO_0_SECURE_PROVISION_INFO_RANGE                        1:0
#define FUSE_SECURE_PROVISION_INFO_0_SECURE_PROVISION_INFO_WOFFSET                      0x0
#define FUSE_SECURE_PROVISION_INFO_0_SECURE_PROVISION_INFO_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_SECURE_PROVISION_INFO_0_SECURE_PROVISION_INFO_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define FUSE_SECURE_PROVISION_INFO_0_SECURE_PROVISION_INFO_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_SECURE_PROVISION_INFO_0_SECURE_PROVISION_INFO_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_OPT_GPU_DISABLE_CP_0
#define FUSE_OPT_GPU_DISABLE_CP_0                       _MK_ADDR_CONST(0x2f0)
#define FUSE_OPT_GPU_DISABLE_CP_0_SECURE                        0x0
#define FUSE_OPT_GPU_DISABLE_CP_0_SCR                   0
#define FUSE_OPT_GPU_DISABLE_CP_0_WORD_COUNT                    0x1
#define FUSE_OPT_GPU_DISABLE_CP_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_GPU_DISABLE_CP_0_RESET_MASK                    _MK_MASK_CONST(0x1)
#define FUSE_OPT_GPU_DISABLE_CP_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_GPU_DISABLE_CP_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_GPU_DISABLE_CP_0_READ_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_OPT_GPU_DISABLE_CP_0_WRITE_MASK                    _MK_MASK_CONST(0x1)
#define FUSE_OPT_GPU_DISABLE_CP_0_OPT_GPU_DISABLE_CP_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_OPT_GPU_DISABLE_CP_0_OPT_GPU_DISABLE_CP_FIELD                      _MK_FIELD_CONST(0x1, FUSE_OPT_GPU_DISABLE_CP_0_OPT_GPU_DISABLE_CP_SHIFT)
#define FUSE_OPT_GPU_DISABLE_CP_0_OPT_GPU_DISABLE_CP_RANGE                      0:0
#define FUSE_OPT_GPU_DISABLE_CP_0_OPT_GPU_DISABLE_CP_WOFFSET                    0x0
#define FUSE_OPT_GPU_DISABLE_CP_0_OPT_GPU_DISABLE_CP_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_GPU_DISABLE_CP_0_OPT_GPU_DISABLE_CP_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_OPT_GPU_DISABLE_CP_0_OPT_GPU_DISABLE_CP_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_OPT_GPU_DISABLE_CP_0_OPT_GPU_DISABLE_CP_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_ENDIS_0
#define FUSE_SPARE_ENDIS_0                      _MK_ADDR_CONST(0x2f4)
#define FUSE_SPARE_ENDIS_0_SECURE                       0x0
#define FUSE_SPARE_ENDIS_0_SCR                  0
#define FUSE_SPARE_ENDIS_0_WORD_COUNT                   0x1
#define FUSE_SPARE_ENDIS_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_SPARE_ENDIS_0_RESET_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_ENDIS_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_SPARE_ENDIS_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_ENDIS_0_READ_MASK                    _MK_MASK_CONST(0x1)
#define FUSE_SPARE_ENDIS_0_WRITE_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_ENDIS_0_SPARE_ENDIS_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_SPARE_ENDIS_0_SPARE_ENDIS_FIELD                    _MK_FIELD_CONST(0x1, FUSE_SPARE_ENDIS_0_SPARE_ENDIS_SHIFT)
#define FUSE_SPARE_ENDIS_0_SPARE_ENDIS_RANGE                    0:0
#define FUSE_SPARE_ENDIS_0_SPARE_ENDIS_WOFFSET                  0x0
#define FUSE_SPARE_ENDIS_0_SPARE_ENDIS_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_ENDIS_0_SPARE_ENDIS_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_SPARE_ENDIS_0_SPARE_ENDIS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_SPARE_ENDIS_0_SPARE_ENDIS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_ECO_RESERVE_0_0
#define FUSE_ECO_RESERVE_0_0                    _MK_ADDR_CONST(0x2f8)
#define FUSE_ECO_RESERVE_0_0_SECURE                     0x0
#define FUSE_ECO_RESERVE_0_0_SCR                        0
#define FUSE_ECO_RESERVE_0_0_WORD_COUNT                         0x1
#define FUSE_ECO_RESERVE_0_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_ECO_RESERVE_0_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_ECO_RESERVE_0_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_ECO_RESERVE_0_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_ECO_RESERVE_0_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_ECO_RESERVE_0_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_ECO_RESERVE_0_0_ECO_RESERVE_0_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_ECO_RESERVE_0_0_ECO_RESERVE_0_FIELD                        _MK_FIELD_CONST(0xffffffff, FUSE_ECO_RESERVE_0_0_ECO_RESERVE_0_SHIFT)
#define FUSE_ECO_RESERVE_0_0_ECO_RESERVE_0_RANGE                        31:0
#define FUSE_ECO_RESERVE_0_0_ECO_RESERVE_0_WOFFSET                      0x0
#define FUSE_ECO_RESERVE_0_0_ECO_RESERVE_0_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_ECO_RESERVE_0_0_ECO_RESERVE_0_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define FUSE_ECO_RESERVE_0_0_ECO_RESERVE_0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_ECO_RESERVE_0_0_ECO_RESERVE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Reserved address 764 [0x2fc]

// Reserved address 768 [0x300]

// Register FUSE_RESERVED_CALIB0_0
#define FUSE_RESERVED_CALIB0_0                  _MK_ADDR_CONST(0x304)
#define FUSE_RESERVED_CALIB0_0_SECURE                   0x0
#define FUSE_RESERVED_CALIB0_0_SCR                      0
#define FUSE_RESERVED_CALIB0_0_WORD_COUNT                       0x1
#define FUSE_RESERVED_CALIB0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_CALIB0_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_CALIB0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_CALIB0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_CALIB0_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_CALIB0_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_CALIB0_0_RESERVED_CALIB0_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_RESERVED_CALIB0_0_RESERVED_CALIB0_FIELD                    _MK_FIELD_CONST(0xffffffff, FUSE_RESERVED_CALIB0_0_RESERVED_CALIB0_SHIFT)
#define FUSE_RESERVED_CALIB0_0_RESERVED_CALIB0_RANGE                    31:0
#define FUSE_RESERVED_CALIB0_0_RESERVED_CALIB0_WOFFSET                  0x0
#define FUSE_RESERVED_CALIB0_0_RESERVED_CALIB0_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_CALIB0_0_RESERVED_CALIB0_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_CALIB0_0_RESERVED_CALIB0_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_CALIB0_0_RESERVED_CALIB0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_RESERVED_CALIB1_0
#define FUSE_RESERVED_CALIB1_0                  _MK_ADDR_CONST(0x308)
#define FUSE_RESERVED_CALIB1_0_SECURE                   0x0
#define FUSE_RESERVED_CALIB1_0_SCR                      0
#define FUSE_RESERVED_CALIB1_0_WORD_COUNT                       0x1
#define FUSE_RESERVED_CALIB1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_CALIB1_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_CALIB1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_CALIB1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_CALIB1_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_CALIB1_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_CALIB1_0_RESERVED_CALIB1_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_RESERVED_CALIB1_0_RESERVED_CALIB1_FIELD                    _MK_FIELD_CONST(0xffffffff, FUSE_RESERVED_CALIB1_0_RESERVED_CALIB1_SHIFT)
#define FUSE_RESERVED_CALIB1_0_RESERVED_CALIB1_RANGE                    31:0
#define FUSE_RESERVED_CALIB1_0_RESERVED_CALIB1_WOFFSET                  0x0
#define FUSE_RESERVED_CALIB1_0_RESERVED_CALIB1_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_CALIB1_0_RESERVED_CALIB1_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define FUSE_RESERVED_CALIB1_0_RESERVED_CALIB1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_RESERVED_CALIB1_0_RESERVED_CALIB1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_OPT_TPC_DISABLE_0
#define FUSE_OPT_TPC_DISABLE_0                  _MK_ADDR_CONST(0x30c)
#define FUSE_OPT_TPC_DISABLE_0_SECURE                   0x0
#define FUSE_OPT_TPC_DISABLE_0_SCR                      0
#define FUSE_OPT_TPC_DISABLE_0_WORD_COUNT                       0x1
#define FUSE_OPT_TPC_DISABLE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_TPC_DISABLE_0_RESET_MASK                       _MK_MASK_CONST(0x3)
#define FUSE_OPT_TPC_DISABLE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_TPC_DISABLE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_TPC_DISABLE_0_READ_MASK                        _MK_MASK_CONST(0x3)
#define FUSE_OPT_TPC_DISABLE_0_WRITE_MASK                       _MK_MASK_CONST(0x3)
#define FUSE_OPT_TPC_DISABLE_0_OPT_TPC_DISABLE_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_OPT_TPC_DISABLE_0_OPT_TPC_DISABLE_FIELD                    _MK_FIELD_CONST(0x3, FUSE_OPT_TPC_DISABLE_0_OPT_TPC_DISABLE_SHIFT)
#define FUSE_OPT_TPC_DISABLE_0_OPT_TPC_DISABLE_RANGE                    1:0
#define FUSE_OPT_TPC_DISABLE_0_OPT_TPC_DISABLE_WOFFSET                  0x0
#define FUSE_OPT_TPC_DISABLE_0_OPT_TPC_DISABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_TPC_DISABLE_0_OPT_TPC_DISABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define FUSE_OPT_TPC_DISABLE_0_OPT_TPC_DISABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_TPC_DISABLE_0_OPT_TPC_DISABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_OPT_TPC_DISABLE_CP_0
#define FUSE_OPT_TPC_DISABLE_CP_0                       _MK_ADDR_CONST(0x310)
#define FUSE_OPT_TPC_DISABLE_CP_0_SECURE                        0x0
#define FUSE_OPT_TPC_DISABLE_CP_0_SCR                   0
#define FUSE_OPT_TPC_DISABLE_CP_0_WORD_COUNT                    0x1
#define FUSE_OPT_TPC_DISABLE_CP_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_TPC_DISABLE_CP_0_RESET_MASK                    _MK_MASK_CONST(0x3)
#define FUSE_OPT_TPC_DISABLE_CP_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_TPC_DISABLE_CP_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_TPC_DISABLE_CP_0_READ_MASK                     _MK_MASK_CONST(0x3)
#define FUSE_OPT_TPC_DISABLE_CP_0_WRITE_MASK                    _MK_MASK_CONST(0x3)
#define FUSE_OPT_TPC_DISABLE_CP_0_OPT_TPC_DISABLE_CP_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_OPT_TPC_DISABLE_CP_0_OPT_TPC_DISABLE_CP_FIELD                      _MK_FIELD_CONST(0x3, FUSE_OPT_TPC_DISABLE_CP_0_OPT_TPC_DISABLE_CP_SHIFT)
#define FUSE_OPT_TPC_DISABLE_CP_0_OPT_TPC_DISABLE_CP_RANGE                      1:0
#define FUSE_OPT_TPC_DISABLE_CP_0_OPT_TPC_DISABLE_CP_WOFFSET                    0x0
#define FUSE_OPT_TPC_DISABLE_CP_0_OPT_TPC_DISABLE_CP_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_TPC_DISABLE_CP_0_OPT_TPC_DISABLE_CP_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define FUSE_OPT_TPC_DISABLE_CP_0_OPT_TPC_DISABLE_CP_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_OPT_TPC_DISABLE_CP_0_OPT_TPC_DISABLE_CP_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_OPT_DENVER_CORE_DISABLE_0
#define FUSE_OPT_DENVER_CORE_DISABLE_0                  _MK_ADDR_CONST(0x314)
#define FUSE_OPT_DENVER_CORE_DISABLE_0_SECURE                   0x0
#define FUSE_OPT_DENVER_CORE_DISABLE_0_SCR                      0
#define FUSE_OPT_DENVER_CORE_DISABLE_0_WORD_COUNT                       0x1
#define FUSE_OPT_DENVER_CORE_DISABLE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_DENVER_CORE_DISABLE_0_RESET_MASK                       _MK_MASK_CONST(0x3)
#define FUSE_OPT_DENVER_CORE_DISABLE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_DENVER_CORE_DISABLE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_DENVER_CORE_DISABLE_0_READ_MASK                        _MK_MASK_CONST(0x3)
#define FUSE_OPT_DENVER_CORE_DISABLE_0_WRITE_MASK                       _MK_MASK_CONST(0x3)
#define FUSE_OPT_DENVER_CORE_DISABLE_0_OPT_DENVER_CORE_DISABLE_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_OPT_DENVER_CORE_DISABLE_0_OPT_DENVER_CORE_DISABLE_FIELD                    _MK_FIELD_CONST(0x3, FUSE_OPT_DENVER_CORE_DISABLE_0_OPT_DENVER_CORE_DISABLE_SHIFT)
#define FUSE_OPT_DENVER_CORE_DISABLE_0_OPT_DENVER_CORE_DISABLE_RANGE                    1:0
#define FUSE_OPT_DENVER_CORE_DISABLE_0_OPT_DENVER_CORE_DISABLE_WOFFSET                  0x0
#define FUSE_OPT_DENVER_CORE_DISABLE_0_OPT_DENVER_CORE_DISABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_DENVER_CORE_DISABLE_0_OPT_DENVER_CORE_DISABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define FUSE_OPT_DENVER_CORE_DISABLE_0_OPT_DENVER_CORE_DISABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_DENVER_CORE_DISABLE_0_OPT_DENVER_CORE_DISABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_OPT_DENVER_CORE_DISABLE_CP_0
#define FUSE_OPT_DENVER_CORE_DISABLE_CP_0                       _MK_ADDR_CONST(0x318)
#define FUSE_OPT_DENVER_CORE_DISABLE_CP_0_SECURE                        0x0
#define FUSE_OPT_DENVER_CORE_DISABLE_CP_0_SCR                   0
#define FUSE_OPT_DENVER_CORE_DISABLE_CP_0_WORD_COUNT                    0x1
#define FUSE_OPT_DENVER_CORE_DISABLE_CP_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_DENVER_CORE_DISABLE_CP_0_RESET_MASK                    _MK_MASK_CONST(0x3)
#define FUSE_OPT_DENVER_CORE_DISABLE_CP_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_DENVER_CORE_DISABLE_CP_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_DENVER_CORE_DISABLE_CP_0_READ_MASK                     _MK_MASK_CONST(0x3)
#define FUSE_OPT_DENVER_CORE_DISABLE_CP_0_WRITE_MASK                    _MK_MASK_CONST(0x3)
#define FUSE_OPT_DENVER_CORE_DISABLE_CP_0_OPT_DENVER_CORE_DISABLE_CP_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_OPT_DENVER_CORE_DISABLE_CP_0_OPT_DENVER_CORE_DISABLE_CP_FIELD                      _MK_FIELD_CONST(0x3, FUSE_OPT_DENVER_CORE_DISABLE_CP_0_OPT_DENVER_CORE_DISABLE_CP_SHIFT)
#define FUSE_OPT_DENVER_CORE_DISABLE_CP_0_OPT_DENVER_CORE_DISABLE_CP_RANGE                      1:0
#define FUSE_OPT_DENVER_CORE_DISABLE_CP_0_OPT_DENVER_CORE_DISABLE_CP_WOFFSET                    0x0
#define FUSE_OPT_DENVER_CORE_DISABLE_CP_0_OPT_DENVER_CORE_DISABLE_CP_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_DENVER_CORE_DISABLE_CP_0_OPT_DENVER_CORE_DISABLE_CP_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define FUSE_OPT_DENVER_CORE_DISABLE_CP_0_OPT_DENVER_CORE_DISABLE_CP_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_OPT_DENVER_CORE_DISABLE_CP_0_OPT_DENVER_CORE_DISABLE_CP_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_TSENSOR9_CALIB_0
#define FUSE_TSENSOR9_CALIB_0                   _MK_ADDR_CONST(0x31c)
#define FUSE_TSENSOR9_CALIB_0_SECURE                    0x0
#define FUSE_TSENSOR9_CALIB_0_SCR                       0
#define FUSE_TSENSOR9_CALIB_0_WORD_COUNT                        0x1
#define FUSE_TSENSOR9_CALIB_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR9_CALIB_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR9_CALIB_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR9_CALIB_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR9_CALIB_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR9_CALIB_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR9_CALIB_0_TSENSOR9_CALIB_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_TSENSOR9_CALIB_0_TSENSOR9_CALIB_FIELD                      _MK_FIELD_CONST(0xffffffff, FUSE_TSENSOR9_CALIB_0_TSENSOR9_CALIB_SHIFT)
#define FUSE_TSENSOR9_CALIB_0_TSENSOR9_CALIB_RANGE                      31:0
#define FUSE_TSENSOR9_CALIB_0_TSENSOR9_CALIB_WOFFSET                    0x0
#define FUSE_TSENSOR9_CALIB_0_TSENSOR9_CALIB_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR9_CALIB_0_TSENSOR9_CALIB_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define FUSE_TSENSOR9_CALIB_0_TSENSOR9_CALIB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR9_CALIB_0_TSENSOR9_CALIB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Reserved address 800 [0x320]

// Register FUSE_OPT_RAM_SVOP_DP_0
#define FUSE_OPT_RAM_SVOP_DP_0                  _MK_ADDR_CONST(0x324)
#define FUSE_OPT_RAM_SVOP_DP_0_SECURE                   0x0
#define FUSE_OPT_RAM_SVOP_DP_0_SCR                      0
#define FUSE_OPT_RAM_SVOP_DP_0_WORD_COUNT                       0x1
#define FUSE_OPT_RAM_SVOP_DP_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_SVOP_DP_0_RESET_MASK                       _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_SVOP_DP_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_SVOP_DP_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_SVOP_DP_0_READ_MASK                        _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_SVOP_DP_0_WRITE_MASK                       _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_SVOP_DP_0_OPT_RAM_SVOP_DP_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_OPT_RAM_SVOP_DP_0_OPT_RAM_SVOP_DP_FIELD                    _MK_FIELD_CONST(0x3, FUSE_OPT_RAM_SVOP_DP_0_OPT_RAM_SVOP_DP_SHIFT)
#define FUSE_OPT_RAM_SVOP_DP_0_OPT_RAM_SVOP_DP_RANGE                    1:0
#define FUSE_OPT_RAM_SVOP_DP_0_OPT_RAM_SVOP_DP_WOFFSET                  0x0
#define FUSE_OPT_RAM_SVOP_DP_0_OPT_RAM_SVOP_DP_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_SVOP_DP_0_OPT_RAM_SVOP_DP_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_SVOP_DP_0_OPT_RAM_SVOP_DP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_SVOP_DP_0_OPT_RAM_SVOP_DP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_OPT_RAM_SVOP_PDP_0
#define FUSE_OPT_RAM_SVOP_PDP_0                 _MK_ADDR_CONST(0x328)
#define FUSE_OPT_RAM_SVOP_PDP_0_SECURE                  0x0
#define FUSE_OPT_RAM_SVOP_PDP_0_SCR                     0
#define FUSE_OPT_RAM_SVOP_PDP_0_WORD_COUNT                      0x1
#define FUSE_OPT_RAM_SVOP_PDP_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_SVOP_PDP_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define FUSE_OPT_RAM_SVOP_PDP_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_SVOP_PDP_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_SVOP_PDP_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define FUSE_OPT_RAM_SVOP_PDP_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define FUSE_OPT_RAM_SVOP_PDP_0_OPT_RAM_SVOP_PDP_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_OPT_RAM_SVOP_PDP_0_OPT_RAM_SVOP_PDP_FIELD                  _MK_FIELD_CONST(0xff, FUSE_OPT_RAM_SVOP_PDP_0_OPT_RAM_SVOP_PDP_SHIFT)
#define FUSE_OPT_RAM_SVOP_PDP_0_OPT_RAM_SVOP_PDP_RANGE                  7:0
#define FUSE_OPT_RAM_SVOP_PDP_0_OPT_RAM_SVOP_PDP_WOFFSET                        0x0
#define FUSE_OPT_RAM_SVOP_PDP_0_OPT_RAM_SVOP_PDP_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_SVOP_PDP_0_OPT_RAM_SVOP_PDP_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define FUSE_OPT_RAM_SVOP_PDP_0_OPT_RAM_SVOP_PDP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_SVOP_PDP_0_OPT_RAM_SVOP_PDP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_OPT_RAM_SVOP_REG_0
#define FUSE_OPT_RAM_SVOP_REG_0                 _MK_ADDR_CONST(0x32c)
#define FUSE_OPT_RAM_SVOP_REG_0_SECURE                  0x0
#define FUSE_OPT_RAM_SVOP_REG_0_SCR                     0
#define FUSE_OPT_RAM_SVOP_REG_0_WORD_COUNT                      0x1
#define FUSE_OPT_RAM_SVOP_REG_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_SVOP_REG_0_RESET_MASK                      _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_SVOP_REG_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_SVOP_REG_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_SVOP_REG_0_READ_MASK                       _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_SVOP_REG_0_WRITE_MASK                      _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_SVOP_REG_0_OPT_RAM_SVOP_REG_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_OPT_RAM_SVOP_REG_0_OPT_RAM_SVOP_REG_FIELD                  _MK_FIELD_CONST(0x3, FUSE_OPT_RAM_SVOP_REG_0_OPT_RAM_SVOP_REG_SHIFT)
#define FUSE_OPT_RAM_SVOP_REG_0_OPT_RAM_SVOP_REG_RANGE                  1:0
#define FUSE_OPT_RAM_SVOP_REG_0_OPT_RAM_SVOP_REG_WOFFSET                        0x0
#define FUSE_OPT_RAM_SVOP_REG_0_OPT_RAM_SVOP_REG_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_SVOP_REG_0_OPT_RAM_SVOP_REG_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_SVOP_REG_0_OPT_RAM_SVOP_REG_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_SVOP_REG_0_OPT_RAM_SVOP_REG_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_OPT_RAM_SVOP_SP_0
#define FUSE_OPT_RAM_SVOP_SP_0                  _MK_ADDR_CONST(0x330)
#define FUSE_OPT_RAM_SVOP_SP_0_SECURE                   0x0
#define FUSE_OPT_RAM_SVOP_SP_0_SCR                      0
#define FUSE_OPT_RAM_SVOP_SP_0_WORD_COUNT                       0x1
#define FUSE_OPT_RAM_SVOP_SP_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_SVOP_SP_0_RESET_MASK                       _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_SVOP_SP_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_SVOP_SP_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_SVOP_SP_0_READ_MASK                        _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_SVOP_SP_0_WRITE_MASK                       _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_SVOP_SP_0_OPT_RAM_SVOP_SP_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_OPT_RAM_SVOP_SP_0_OPT_RAM_SVOP_SP_FIELD                    _MK_FIELD_CONST(0x3, FUSE_OPT_RAM_SVOP_SP_0_OPT_RAM_SVOP_SP_SHIFT)
#define FUSE_OPT_RAM_SVOP_SP_0_OPT_RAM_SVOP_SP_RANGE                    1:0
#define FUSE_OPT_RAM_SVOP_SP_0_OPT_RAM_SVOP_SP_WOFFSET                  0x0
#define FUSE_OPT_RAM_SVOP_SP_0_OPT_RAM_SVOP_SP_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_SVOP_SP_0_OPT_RAM_SVOP_SP_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_SVOP_SP_0_OPT_RAM_SVOP_SP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_SVOP_SP_0_OPT_RAM_SVOP_SP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_OPT_RAM_SVOP_SMPDP_0
#define FUSE_OPT_RAM_SVOP_SMPDP_0                       _MK_ADDR_CONST(0x334)
#define FUSE_OPT_RAM_SVOP_SMPDP_0_SECURE                        0x0
#define FUSE_OPT_RAM_SVOP_SMPDP_0_SCR                   0
#define FUSE_OPT_RAM_SVOP_SMPDP_0_WORD_COUNT                    0x1
#define FUSE_OPT_RAM_SVOP_SMPDP_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_SVOP_SMPDP_0_RESET_MASK                    _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_SVOP_SMPDP_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_SVOP_SMPDP_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_SVOP_SMPDP_0_READ_MASK                     _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_SVOP_SMPDP_0_WRITE_MASK                    _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_SVOP_SMPDP_0_OPT_RAM_SVOP_SMPDP_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_OPT_RAM_SVOP_SMPDP_0_OPT_RAM_SVOP_SMPDP_FIELD                      _MK_FIELD_CONST(0x3, FUSE_OPT_RAM_SVOP_SMPDP_0_OPT_RAM_SVOP_SMPDP_SHIFT)
#define FUSE_OPT_RAM_SVOP_SMPDP_0_OPT_RAM_SVOP_SMPDP_RANGE                      1:0
#define FUSE_OPT_RAM_SVOP_SMPDP_0_OPT_RAM_SVOP_SMPDP_WOFFSET                    0x0
#define FUSE_OPT_RAM_SVOP_SMPDP_0_OPT_RAM_SVOP_SMPDP_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_SVOP_SMPDP_0_OPT_RAM_SVOP_SMPDP_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_SVOP_SMPDP_0_OPT_RAM_SVOP_SMPDP_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_SVOP_SMPDP_0_OPT_RAM_SVOP_SMPDP_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Reserved address 824 [0x338]

// Reserved address 828 [0x33c]

// Reserved address 832 [0x340]

// Reserved address 836 [0x344]

// Reserved address 840 [0x348]

// Reserved address 844 [0x34c]

// Register FUSE_USB_CALIB_EXT_0
#define FUSE_USB_CALIB_EXT_0                    _MK_ADDR_CONST(0x350)
#define FUSE_USB_CALIB_EXT_0_SECURE                     0x0
#define FUSE_USB_CALIB_EXT_0_SCR                        0
#define FUSE_USB_CALIB_EXT_0_WORD_COUNT                         0x1
#define FUSE_USB_CALIB_EXT_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_USB_CALIB_EXT_0_RESET_MASK                         _MK_MASK_CONST(0x1f)
#define FUSE_USB_CALIB_EXT_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_USB_CALIB_EXT_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_USB_CALIB_EXT_0_READ_MASK                  _MK_MASK_CONST(0x1f)
#define FUSE_USB_CALIB_EXT_0_WRITE_MASK                         _MK_MASK_CONST(0x1f)
#define FUSE_USB_CALIB_EXT_0_USB_CALIB_EXT_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_USB_CALIB_EXT_0_USB_CALIB_EXT_FIELD                        _MK_FIELD_CONST(0x1f, FUSE_USB_CALIB_EXT_0_USB_CALIB_EXT_SHIFT)
#define FUSE_USB_CALIB_EXT_0_USB_CALIB_EXT_RANGE                        4:0
#define FUSE_USB_CALIB_EXT_0_USB_CALIB_EXT_WOFFSET                      0x0
#define FUSE_USB_CALIB_EXT_0_USB_CALIB_EXT_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_USB_CALIB_EXT_0_USB_CALIB_EXT_DEFAULT_MASK                 _MK_MASK_CONST(0x1f)
#define FUSE_USB_CALIB_EXT_0_USB_CALIB_EXT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_USB_CALIB_EXT_0_USB_CALIB_EXT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_HYPERVOLTAGING_0
#define FUSE_HYPERVOLTAGING_0                   _MK_ADDR_CONST(0x354)
#define FUSE_HYPERVOLTAGING_0_SECURE                    0x0
#define FUSE_HYPERVOLTAGING_0_SCR                       0
#define FUSE_HYPERVOLTAGING_0_WORD_COUNT                        0x1
#define FUSE_HYPERVOLTAGING_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_HYPERVOLTAGING_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_HYPERVOLTAGING_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_HYPERVOLTAGING_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_HYPERVOLTAGING_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_HYPERVOLTAGING_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_HYPERVOLTAGING_0_HYPERVOLTAGING_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_HYPERVOLTAGING_0_HYPERVOLTAGING_FIELD                      _MK_FIELD_CONST(0xffffffff, FUSE_HYPERVOLTAGING_0_HYPERVOLTAGING_SHIFT)
#define FUSE_HYPERVOLTAGING_0_HYPERVOLTAGING_RANGE                      31:0
#define FUSE_HYPERVOLTAGING_0_HYPERVOLTAGING_WOFFSET                    0x0
#define FUSE_HYPERVOLTAGING_0_HYPERVOLTAGING_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_HYPERVOLTAGING_0_HYPERVOLTAGING_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define FUSE_HYPERVOLTAGING_0_HYPERVOLTAGING_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_HYPERVOLTAGING_0_HYPERVOLTAGING_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_OPT_ECC_EN_0
#define FUSE_OPT_ECC_EN_0                       _MK_ADDR_CONST(0x358)
#define FUSE_OPT_ECC_EN_0_SECURE                        0x0
#define FUSE_OPT_ECC_EN_0_SCR                   0
#define FUSE_OPT_ECC_EN_0_WORD_COUNT                    0x1
#define FUSE_OPT_ECC_EN_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_ECC_EN_0_RESET_MASK                    _MK_MASK_CONST(0x1)
#define FUSE_OPT_ECC_EN_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_ECC_EN_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_ECC_EN_0_READ_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_OPT_ECC_EN_0_WRITE_MASK                    _MK_MASK_CONST(0x1)
#define FUSE_OPT_ECC_EN_0_OPT_ECC_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_OPT_ECC_EN_0_OPT_ECC_EN_FIELD                      _MK_FIELD_CONST(0x1, FUSE_OPT_ECC_EN_0_OPT_ECC_EN_SHIFT)
#define FUSE_OPT_ECC_EN_0_OPT_ECC_EN_RANGE                      0:0
#define FUSE_OPT_ECC_EN_0_OPT_ECC_EN_WOFFSET                    0x0
#define FUSE_OPT_ECC_EN_0_OPT_ECC_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_ECC_EN_0_OPT_ECC_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_OPT_ECC_EN_0_OPT_ECC_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_OPT_ECC_EN_0_OPT_ECC_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_TSENSOR_COMMON_T2_0
#define FUSE_TSENSOR_COMMON_T2_0                        _MK_ADDR_CONST(0x35c)
#define FUSE_TSENSOR_COMMON_T2_0_SECURE                         0x0
#define FUSE_TSENSOR_COMMON_T2_0_SCR                    0
#define FUSE_TSENSOR_COMMON_T2_0_WORD_COUNT                     0x1
#define FUSE_TSENSOR_COMMON_T2_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR_COMMON_T2_0_RESET_MASK                     _MK_MASK_CONST(0xffff)
#define FUSE_TSENSOR_COMMON_T2_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR_COMMON_T2_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR_COMMON_T2_0_READ_MASK                      _MK_MASK_CONST(0xffff)
#define FUSE_TSENSOR_COMMON_T2_0_WRITE_MASK                     _MK_MASK_CONST(0xffff)
#define FUSE_TSENSOR_COMMON_T2_0_TSENSOR_COMMON_T2_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_TSENSOR_COMMON_T2_0_TSENSOR_COMMON_T2_FIELD                        _MK_FIELD_CONST(0xffff, FUSE_TSENSOR_COMMON_T2_0_TSENSOR_COMMON_T2_SHIFT)
#define FUSE_TSENSOR_COMMON_T2_0_TSENSOR_COMMON_T2_RANGE                        15:0
#define FUSE_TSENSOR_COMMON_T2_0_TSENSOR_COMMON_T2_WOFFSET                      0x0
#define FUSE_TSENSOR_COMMON_T2_0_TSENSOR_COMMON_T2_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR_COMMON_T2_0_TSENSOR_COMMON_T2_DEFAULT_MASK                 _MK_MASK_CONST(0xffff)
#define FUSE_TSENSOR_COMMON_T2_0_TSENSOR_COMMON_T2_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR_COMMON_T2_0_TSENSOR_COMMON_T2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_TSENSOR_COMMON_T3_0
#define FUSE_TSENSOR_COMMON_T3_0                        _MK_ADDR_CONST(0x360)
#define FUSE_TSENSOR_COMMON_T3_0_SECURE                         0x0
#define FUSE_TSENSOR_COMMON_T3_0_SCR                    0
#define FUSE_TSENSOR_COMMON_T3_0_WORD_COUNT                     0x1
#define FUSE_TSENSOR_COMMON_T3_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR_COMMON_T3_0_RESET_MASK                     _MK_MASK_CONST(0xffff)
#define FUSE_TSENSOR_COMMON_T3_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR_COMMON_T3_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR_COMMON_T3_0_READ_MASK                      _MK_MASK_CONST(0xffff)
#define FUSE_TSENSOR_COMMON_T3_0_WRITE_MASK                     _MK_MASK_CONST(0xffff)
#define FUSE_TSENSOR_COMMON_T3_0_TSENSOR_COMMON_T3_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_TSENSOR_COMMON_T3_0_TSENSOR_COMMON_T3_FIELD                        _MK_FIELD_CONST(0xffff, FUSE_TSENSOR_COMMON_T3_0_TSENSOR_COMMON_T3_SHIFT)
#define FUSE_TSENSOR_COMMON_T3_0_TSENSOR_COMMON_T3_RANGE                        15:0
#define FUSE_TSENSOR_COMMON_T3_0_TSENSOR_COMMON_T3_WOFFSET                      0x0
#define FUSE_TSENSOR_COMMON_T3_0_TSENSOR_COMMON_T3_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR_COMMON_T3_0_TSENSOR_COMMON_T3_DEFAULT_MASK                 _MK_MASK_CONST(0xffff)
#define FUSE_TSENSOR_COMMON_T3_0_TSENSOR_COMMON_T3_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_TSENSOR_COMMON_T3_0_TSENSOR_COMMON_T3_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_DENVER_NV_MTS_RATCHET_0
#define FUSE_DENVER_NV_MTS_RATCHET_0                    _MK_ADDR_CONST(0x364)
#define FUSE_DENVER_NV_MTS_RATCHET_0_SECURE                     0x0
#define FUSE_DENVER_NV_MTS_RATCHET_0_SCR                        0
#define FUSE_DENVER_NV_MTS_RATCHET_0_WORD_COUNT                         0x1
#define FUSE_DENVER_NV_MTS_RATCHET_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_DENVER_NV_MTS_RATCHET_0_RESET_MASK                         _MK_MASK_CONST(0x7)
#define FUSE_DENVER_NV_MTS_RATCHET_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_DENVER_NV_MTS_RATCHET_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_DENVER_NV_MTS_RATCHET_0_READ_MASK                  _MK_MASK_CONST(0x7)
#define FUSE_DENVER_NV_MTS_RATCHET_0_WRITE_MASK                         _MK_MASK_CONST(0x7)
#define FUSE_DENVER_NV_MTS_RATCHET_0_DENVER_NV_MTS_RATCHET_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_DENVER_NV_MTS_RATCHET_0_DENVER_NV_MTS_RATCHET_FIELD                        _MK_FIELD_CONST(0x7, FUSE_DENVER_NV_MTS_RATCHET_0_DENVER_NV_MTS_RATCHET_SHIFT)
#define FUSE_DENVER_NV_MTS_RATCHET_0_DENVER_NV_MTS_RATCHET_RANGE                        2:0
#define FUSE_DENVER_NV_MTS_RATCHET_0_DENVER_NV_MTS_RATCHET_WOFFSET                      0x0
#define FUSE_DENVER_NV_MTS_RATCHET_0_DENVER_NV_MTS_RATCHET_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_DENVER_NV_MTS_RATCHET_0_DENVER_NV_MTS_RATCHET_DEFAULT_MASK                 _MK_MASK_CONST(0x7)
#define FUSE_DENVER_NV_MTS_RATCHET_0_DENVER_NV_MTS_RATCHET_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_DENVER_NV_MTS_RATCHET_0_DENVER_NV_MTS_RATCHET_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_DENVER_FIELD_MTS_RATCHET_0
#define FUSE_DENVER_FIELD_MTS_RATCHET_0                 _MK_ADDR_CONST(0x368)
#define FUSE_DENVER_FIELD_MTS_RATCHET_0_SECURE                  0x0
#define FUSE_DENVER_FIELD_MTS_RATCHET_0_SCR                     0
#define FUSE_DENVER_FIELD_MTS_RATCHET_0_WORD_COUNT                      0x1
#define FUSE_DENVER_FIELD_MTS_RATCHET_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_DENVER_FIELD_MTS_RATCHET_0_RESET_MASK                      _MK_MASK_CONST(0xff)
#define FUSE_DENVER_FIELD_MTS_RATCHET_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_DENVER_FIELD_MTS_RATCHET_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define FUSE_DENVER_FIELD_MTS_RATCHET_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define FUSE_DENVER_FIELD_MTS_RATCHET_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define FUSE_DENVER_FIELD_MTS_RATCHET_0_DENVER_FIELD_MTS_RATCHET_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_DENVER_FIELD_MTS_RATCHET_0_DENVER_FIELD_MTS_RATCHET_FIELD                  _MK_FIELD_CONST(0xff, FUSE_DENVER_FIELD_MTS_RATCHET_0_DENVER_FIELD_MTS_RATCHET_SHIFT)
#define FUSE_DENVER_FIELD_MTS_RATCHET_0_DENVER_FIELD_MTS_RATCHET_RANGE                  7:0
#define FUSE_DENVER_FIELD_MTS_RATCHET_0_DENVER_FIELD_MTS_RATCHET_WOFFSET                        0x0
#define FUSE_DENVER_FIELD_MTS_RATCHET_0_DENVER_FIELD_MTS_RATCHET_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_DENVER_FIELD_MTS_RATCHET_0_DENVER_FIELD_MTS_RATCHET_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define FUSE_DENVER_FIELD_MTS_RATCHET_0_DENVER_FIELD_MTS_RATCHET_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_DENVER_FIELD_MTS_RATCHET_0_DENVER_FIELD_MTS_RATCHET_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_DENVER_DFD_AUTH_REQD_0
#define FUSE_DENVER_DFD_AUTH_REQD_0                     _MK_ADDR_CONST(0x36c)
#define FUSE_DENVER_DFD_AUTH_REQD_0_SECURE                      0x0
#define FUSE_DENVER_DFD_AUTH_REQD_0_SCR                         0
#define FUSE_DENVER_DFD_AUTH_REQD_0_WORD_COUNT                  0x1
#define FUSE_DENVER_DFD_AUTH_REQD_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_DENVER_DFD_AUTH_REQD_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_DENVER_DFD_AUTH_REQD_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_DENVER_DFD_AUTH_REQD_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_DENVER_DFD_AUTH_REQD_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_DENVER_DFD_AUTH_REQD_0_WRITE_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_DENVER_DFD_AUTH_REQD_0_DENVER_DFD_AUTH_REQD_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_DENVER_DFD_AUTH_REQD_0_DENVER_DFD_AUTH_REQD_FIELD                  _MK_FIELD_CONST(0x1, FUSE_DENVER_DFD_AUTH_REQD_0_DENVER_DFD_AUTH_REQD_SHIFT)
#define FUSE_DENVER_DFD_AUTH_REQD_0_DENVER_DFD_AUTH_REQD_RANGE                  0:0
#define FUSE_DENVER_DFD_AUTH_REQD_0_DENVER_DFD_AUTH_REQD_WOFFSET                        0x0
#define FUSE_DENVER_DFD_AUTH_REQD_0_DENVER_DFD_AUTH_REQD_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_DENVER_DFD_AUTH_REQD_0_DENVER_DFD_AUTH_REQD_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_DENVER_DFD_AUTH_REQD_0_DENVER_DFD_AUTH_REQD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_DENVER_DFD_AUTH_REQD_0_DENVER_DFD_AUTH_REQD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_DENVER_MTS_PROD_SIGN_REQD_0
#define FUSE_DENVER_MTS_PROD_SIGN_REQD_0                        _MK_ADDR_CONST(0x370)
#define FUSE_DENVER_MTS_PROD_SIGN_REQD_0_SECURE                         0x0
#define FUSE_DENVER_MTS_PROD_SIGN_REQD_0_SCR                    0
#define FUSE_DENVER_MTS_PROD_SIGN_REQD_0_WORD_COUNT                     0x1
#define FUSE_DENVER_MTS_PROD_SIGN_REQD_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_DENVER_MTS_PROD_SIGN_REQD_0_RESET_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_DENVER_MTS_PROD_SIGN_REQD_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_DENVER_MTS_PROD_SIGN_REQD_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define FUSE_DENVER_MTS_PROD_SIGN_REQD_0_READ_MASK                      _MK_MASK_CONST(0x1)
#define FUSE_DENVER_MTS_PROD_SIGN_REQD_0_WRITE_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_DENVER_MTS_PROD_SIGN_REQD_0_DENVER_MTS_PROD_SIGN_REQD_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_DENVER_MTS_PROD_SIGN_REQD_0_DENVER_MTS_PROD_SIGN_REQD_FIELD                        _MK_FIELD_CONST(0x1, FUSE_DENVER_MTS_PROD_SIGN_REQD_0_DENVER_MTS_PROD_SIGN_REQD_SHIFT)
#define FUSE_DENVER_MTS_PROD_SIGN_REQD_0_DENVER_MTS_PROD_SIGN_REQD_RANGE                        0:0
#define FUSE_DENVER_MTS_PROD_SIGN_REQD_0_DENVER_MTS_PROD_SIGN_REQD_WOFFSET                      0x0
#define FUSE_DENVER_MTS_PROD_SIGN_REQD_0_DENVER_MTS_PROD_SIGN_REQD_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_DENVER_MTS_PROD_SIGN_REQD_0_DENVER_MTS_PROD_SIGN_REQD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define FUSE_DENVER_MTS_PROD_SIGN_REQD_0_DENVER_MTS_PROD_SIGN_REQD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_DENVER_MTS_PROD_SIGN_REQD_0_DENVER_MTS_PROD_SIGN_REQD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_VMIN_SENSOR_CALIBRATION_0
#define FUSE_VMIN_SENSOR_CALIBRATION_0                  _MK_ADDR_CONST(0x374)
#define FUSE_VMIN_SENSOR_CALIBRATION_0_SECURE                   0x0
#define FUSE_VMIN_SENSOR_CALIBRATION_0_SCR                      0
#define FUSE_VMIN_SENSOR_CALIBRATION_0_WORD_COUNT                       0x1
#define FUSE_VMIN_SENSOR_CALIBRATION_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_VMIN_SENSOR_CALIBRATION_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define FUSE_VMIN_SENSOR_CALIBRATION_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_VMIN_SENSOR_CALIBRATION_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_VMIN_SENSOR_CALIBRATION_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_VMIN_SENSOR_CALIBRATION_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define FUSE_VMIN_SENSOR_CALIBRATION_0_VMIN_SENSOR_CALIBRATION_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_VMIN_SENSOR_CALIBRATION_0_VMIN_SENSOR_CALIBRATION_FIELD                    _MK_FIELD_CONST(0xffffffff, FUSE_VMIN_SENSOR_CALIBRATION_0_VMIN_SENSOR_CALIBRATION_SHIFT)
#define FUSE_VMIN_SENSOR_CALIBRATION_0_VMIN_SENSOR_CALIBRATION_RANGE                    31:0
#define FUSE_VMIN_SENSOR_CALIBRATION_0_VMIN_SENSOR_CALIBRATION_WOFFSET                  0x0
#define FUSE_VMIN_SENSOR_CALIBRATION_0_VMIN_SENSOR_CALIBRATION_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_VMIN_SENSOR_CALIBRATION_0_VMIN_SENSOR_CALIBRATION_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define FUSE_VMIN_SENSOR_CALIBRATION_0_VMIN_SENSOR_CALIBRATION_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_VMIN_SENSOR_CALIBRATION_0_VMIN_SENSOR_CALIBRATION_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_OPT_ARM_CORE_DISABLE_0
#define FUSE_OPT_ARM_CORE_DISABLE_0                     _MK_ADDR_CONST(0x378)
#define FUSE_OPT_ARM_CORE_DISABLE_0_SECURE                      0x0
#define FUSE_OPT_ARM_CORE_DISABLE_0_SCR                         0
#define FUSE_OPT_ARM_CORE_DISABLE_0_WORD_COUNT                  0x1
#define FUSE_OPT_ARM_CORE_DISABLE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_ARM_CORE_DISABLE_0_RESET_MASK                  _MK_MASK_CONST(0xf)
#define FUSE_OPT_ARM_CORE_DISABLE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_OPT_ARM_CORE_DISABLE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_ARM_CORE_DISABLE_0_READ_MASK                   _MK_MASK_CONST(0xf)
#define FUSE_OPT_ARM_CORE_DISABLE_0_WRITE_MASK                  _MK_MASK_CONST(0xf)
#define FUSE_OPT_ARM_CORE_DISABLE_0_OPT_ARM_CORE_DISABLE_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_OPT_ARM_CORE_DISABLE_0_OPT_ARM_CORE_DISABLE_FIELD                  _MK_FIELD_CONST(0xf, FUSE_OPT_ARM_CORE_DISABLE_0_OPT_ARM_CORE_DISABLE_SHIFT)
#define FUSE_OPT_ARM_CORE_DISABLE_0_OPT_ARM_CORE_DISABLE_RANGE                  3:0
#define FUSE_OPT_ARM_CORE_DISABLE_0_OPT_ARM_CORE_DISABLE_WOFFSET                        0x0
#define FUSE_OPT_ARM_CORE_DISABLE_0_OPT_ARM_CORE_DISABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_ARM_CORE_DISABLE_0_OPT_ARM_CORE_DISABLE_DEFAULT_MASK                   _MK_MASK_CONST(0xf)
#define FUSE_OPT_ARM_CORE_DISABLE_0_OPT_ARM_CORE_DISABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_ARM_CORE_DISABLE_0_OPT_ARM_CORE_DISABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_OPT_ARM_CORE_DISABLE_CP_0
#define FUSE_OPT_ARM_CORE_DISABLE_CP_0                  _MK_ADDR_CONST(0x37c)
#define FUSE_OPT_ARM_CORE_DISABLE_CP_0_SECURE                   0x0
#define FUSE_OPT_ARM_CORE_DISABLE_CP_0_SCR                      0
#define FUSE_OPT_ARM_CORE_DISABLE_CP_0_WORD_COUNT                       0x1
#define FUSE_OPT_ARM_CORE_DISABLE_CP_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_ARM_CORE_DISABLE_CP_0_RESET_MASK                       _MK_MASK_CONST(0xf)
#define FUSE_OPT_ARM_CORE_DISABLE_CP_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_ARM_CORE_DISABLE_CP_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_ARM_CORE_DISABLE_CP_0_READ_MASK                        _MK_MASK_CONST(0xf)
#define FUSE_OPT_ARM_CORE_DISABLE_CP_0_WRITE_MASK                       _MK_MASK_CONST(0xf)
#define FUSE_OPT_ARM_CORE_DISABLE_CP_0_OPT_ARM_CORE_DISABLE_CP_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_OPT_ARM_CORE_DISABLE_CP_0_OPT_ARM_CORE_DISABLE_CP_FIELD                    _MK_FIELD_CONST(0xf, FUSE_OPT_ARM_CORE_DISABLE_CP_0_OPT_ARM_CORE_DISABLE_CP_SHIFT)
#define FUSE_OPT_ARM_CORE_DISABLE_CP_0_OPT_ARM_CORE_DISABLE_CP_RANGE                    3:0
#define FUSE_OPT_ARM_CORE_DISABLE_CP_0_OPT_ARM_CORE_DISABLE_CP_WOFFSET                  0x0
#define FUSE_OPT_ARM_CORE_DISABLE_CP_0_OPT_ARM_CORE_DISABLE_CP_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_ARM_CORE_DISABLE_CP_0_OPT_ARM_CORE_DISABLE_CP_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define FUSE_OPT_ARM_CORE_DISABLE_CP_0_OPT_ARM_CORE_DISABLE_CP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_ARM_CORE_DISABLE_CP_0_OPT_ARM_CORE_DISABLE_CP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Reserved address 896 [0x380]

// Reserved address 900 [0x384]

// Reserved address 904 [0x388]

// Reserved address 908 [0x38c]

// Register FUSE_EK0_0
#define FUSE_EK0_0                      _MK_ADDR_CONST(0x390)
#define FUSE_EK0_0_SECURE                       0x0
#define FUSE_EK0_0_SCR                  0
#define FUSE_EK0_0_WORD_COUNT                   0x1
#define FUSE_EK0_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_EK0_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_EK0_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_EK0_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_EK0_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define FUSE_EK0_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_EK0_0_EK0_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_EK0_0_EK0_FIELD                    _MK_FIELD_CONST(0xffffffff, FUSE_EK0_0_EK0_SHIFT)
#define FUSE_EK0_0_EK0_RANGE                    31:0
#define FUSE_EK0_0_EK0_WOFFSET                  0x0
#define FUSE_EK0_0_EK0_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_EK0_0_EK0_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define FUSE_EK0_0_EK0_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_EK0_0_EK0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_EK1_0
#define FUSE_EK1_0                      _MK_ADDR_CONST(0x394)
#define FUSE_EK1_0_SECURE                       0x0
#define FUSE_EK1_0_SCR                  0
#define FUSE_EK1_0_WORD_COUNT                   0x1
#define FUSE_EK1_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_EK1_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_EK1_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_EK1_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_EK1_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define FUSE_EK1_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_EK1_0_EK1_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_EK1_0_EK1_FIELD                    _MK_FIELD_CONST(0xffffffff, FUSE_EK1_0_EK1_SHIFT)
#define FUSE_EK1_0_EK1_RANGE                    31:0
#define FUSE_EK1_0_EK1_WOFFSET                  0x0
#define FUSE_EK1_0_EK1_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_EK1_0_EK1_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define FUSE_EK1_0_EK1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_EK1_0_EK1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_EK2_0
#define FUSE_EK2_0                      _MK_ADDR_CONST(0x398)
#define FUSE_EK2_0_SECURE                       0x0
#define FUSE_EK2_0_SCR                  0
#define FUSE_EK2_0_WORD_COUNT                   0x1
#define FUSE_EK2_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_EK2_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_EK2_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_EK2_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_EK2_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define FUSE_EK2_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_EK2_0_EK2_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_EK2_0_EK2_FIELD                    _MK_FIELD_CONST(0xffffffff, FUSE_EK2_0_EK2_SHIFT)
#define FUSE_EK2_0_EK2_RANGE                    31:0
#define FUSE_EK2_0_EK2_WOFFSET                  0x0
#define FUSE_EK2_0_EK2_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_EK2_0_EK2_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define FUSE_EK2_0_EK2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_EK2_0_EK2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_EK3_0
#define FUSE_EK3_0                      _MK_ADDR_CONST(0x39c)
#define FUSE_EK3_0_SECURE                       0x0
#define FUSE_EK3_0_SCR                  0
#define FUSE_EK3_0_WORD_COUNT                   0x1
#define FUSE_EK3_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_EK3_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_EK3_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_EK3_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_EK3_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define FUSE_EK3_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_EK3_0_EK3_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_EK3_0_EK3_FIELD                    _MK_FIELD_CONST(0xffffffff, FUSE_EK3_0_EK3_SHIFT)
#define FUSE_EK3_0_EK3_RANGE                    31:0
#define FUSE_EK3_0_EK3_WOFFSET                  0x0
#define FUSE_EK3_0_EK3_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_EK3_0_EK3_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define FUSE_EK3_0_EK3_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_EK3_0_EK3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_EK4_0
#define FUSE_EK4_0                      _MK_ADDR_CONST(0x3a0)
#define FUSE_EK4_0_SECURE                       0x0
#define FUSE_EK4_0_SCR                  0
#define FUSE_EK4_0_WORD_COUNT                   0x1
#define FUSE_EK4_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_EK4_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_EK4_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_EK4_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_EK4_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define FUSE_EK4_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_EK4_0_EK4_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_EK4_0_EK4_FIELD                    _MK_FIELD_CONST(0xffffffff, FUSE_EK4_0_EK4_SHIFT)
#define FUSE_EK4_0_EK4_RANGE                    31:0
#define FUSE_EK4_0_EK4_WOFFSET                  0x0
#define FUSE_EK4_0_EK4_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_EK4_0_EK4_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define FUSE_EK4_0_EK4_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_EK4_0_EK4_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_EK5_0
#define FUSE_EK5_0                      _MK_ADDR_CONST(0x3a4)
#define FUSE_EK5_0_SECURE                       0x0
#define FUSE_EK5_0_SCR                  0
#define FUSE_EK5_0_WORD_COUNT                   0x1
#define FUSE_EK5_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_EK5_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_EK5_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_EK5_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_EK5_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define FUSE_EK5_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_EK5_0_EK5_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_EK5_0_EK5_FIELD                    _MK_FIELD_CONST(0xffffffff, FUSE_EK5_0_EK5_SHIFT)
#define FUSE_EK5_0_EK5_RANGE                    31:0
#define FUSE_EK5_0_EK5_WOFFSET                  0x0
#define FUSE_EK5_0_EK5_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_EK5_0_EK5_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define FUSE_EK5_0_EK5_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_EK5_0_EK5_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_EK6_0
#define FUSE_EK6_0                      _MK_ADDR_CONST(0x3a8)
#define FUSE_EK6_0_SECURE                       0x0
#define FUSE_EK6_0_SCR                  0
#define FUSE_EK6_0_WORD_COUNT                   0x1
#define FUSE_EK6_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_EK6_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_EK6_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_EK6_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_EK6_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define FUSE_EK6_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_EK6_0_EK6_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_EK6_0_EK6_FIELD                    _MK_FIELD_CONST(0xffffffff, FUSE_EK6_0_EK6_SHIFT)
#define FUSE_EK6_0_EK6_RANGE                    31:0
#define FUSE_EK6_0_EK6_WOFFSET                  0x0
#define FUSE_EK6_0_EK6_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_EK6_0_EK6_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define FUSE_EK6_0_EK6_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_EK6_0_EK6_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_EK7_0
#define FUSE_EK7_0                      _MK_ADDR_CONST(0x3ac)
#define FUSE_EK7_0_SECURE                       0x0
#define FUSE_EK7_0_SCR                  0
#define FUSE_EK7_0_WORD_COUNT                   0x1
#define FUSE_EK7_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_EK7_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_EK7_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_EK7_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_EK7_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define FUSE_EK7_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_EK7_0_EK7_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_EK7_0_EK7_FIELD                    _MK_FIELD_CONST(0xffffffff, FUSE_EK7_0_EK7_SHIFT)
#define FUSE_EK7_0_EK7_RANGE                    31:0
#define FUSE_EK7_0_EK7_WOFFSET                  0x0
#define FUSE_EK7_0_EK7_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_EK7_0_EK7_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define FUSE_EK7_0_EK7_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_EK7_0_EK7_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_PDK0_0
#define FUSE_PDK0_0                     _MK_ADDR_CONST(0x3b0)
#define FUSE_PDK0_0_SECURE                      0x0
#define FUSE_PDK0_0_SCR                         0
#define FUSE_PDK0_0_WORD_COUNT                  0x1
#define FUSE_PDK0_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_PDK0_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_PDK0_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_PDK0_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_PDK0_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PDK0_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_PDK0_0_PDK0_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_PDK0_0_PDK0_FIELD                  _MK_FIELD_CONST(0xffffffff, FUSE_PDK0_0_PDK0_SHIFT)
#define FUSE_PDK0_0_PDK0_RANGE                  31:0
#define FUSE_PDK0_0_PDK0_WOFFSET                        0x0
#define FUSE_PDK0_0_PDK0_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_PDK0_0_PDK0_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PDK0_0_PDK0_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_PDK0_0_PDK0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_PDK1_0
#define FUSE_PDK1_0                     _MK_ADDR_CONST(0x3b4)
#define FUSE_PDK1_0_SECURE                      0x0
#define FUSE_PDK1_0_SCR                         0
#define FUSE_PDK1_0_WORD_COUNT                  0x1
#define FUSE_PDK1_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_PDK1_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_PDK1_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_PDK1_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_PDK1_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PDK1_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_PDK1_0_PDK1_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_PDK1_0_PDK1_FIELD                  _MK_FIELD_CONST(0xffffffff, FUSE_PDK1_0_PDK1_SHIFT)
#define FUSE_PDK1_0_PDK1_RANGE                  31:0
#define FUSE_PDK1_0_PDK1_WOFFSET                        0x0
#define FUSE_PDK1_0_PDK1_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_PDK1_0_PDK1_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PDK1_0_PDK1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_PDK1_0_PDK1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_PDK2_0
#define FUSE_PDK2_0                     _MK_ADDR_CONST(0x3b8)
#define FUSE_PDK2_0_SECURE                      0x0
#define FUSE_PDK2_0_SCR                         0
#define FUSE_PDK2_0_WORD_COUNT                  0x1
#define FUSE_PDK2_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_PDK2_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_PDK2_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_PDK2_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_PDK2_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PDK2_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_PDK2_0_PDK2_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_PDK2_0_PDK2_FIELD                  _MK_FIELD_CONST(0xffffffff, FUSE_PDK2_0_PDK2_SHIFT)
#define FUSE_PDK2_0_PDK2_RANGE                  31:0
#define FUSE_PDK2_0_PDK2_WOFFSET                        0x0
#define FUSE_PDK2_0_PDK2_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_PDK2_0_PDK2_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PDK2_0_PDK2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_PDK2_0_PDK2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_PDK3_0
#define FUSE_PDK3_0                     _MK_ADDR_CONST(0x3bc)
#define FUSE_PDK3_0_SECURE                      0x0
#define FUSE_PDK3_0_SCR                         0
#define FUSE_PDK3_0_WORD_COUNT                  0x1
#define FUSE_PDK3_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_PDK3_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_PDK3_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_PDK3_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_PDK3_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PDK3_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_PDK3_0_PDK3_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_PDK3_0_PDK3_FIELD                  _MK_FIELD_CONST(0xffffffff, FUSE_PDK3_0_PDK3_SHIFT)
#define FUSE_PDK3_0_PDK3_RANGE                  31:0
#define FUSE_PDK3_0_PDK3_WOFFSET                        0x0
#define FUSE_PDK3_0_PDK3_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_PDK3_0_PDK3_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PDK3_0_PDK3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_PDK3_0_PDK3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_KEK00_0
#define FUSE_KEK00_0                    _MK_ADDR_CONST(0x3c0)
#define FUSE_KEK00_0_SECURE                     0x0
#define FUSE_KEK00_0_SCR                        0
#define FUSE_KEK00_0_WORD_COUNT                         0x1
#define FUSE_KEK00_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_KEK00_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK00_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_KEK00_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_KEK00_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK00_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK00_0_KEK00_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_KEK00_0_KEK00_FIELD                        _MK_FIELD_CONST(0xffffffff, FUSE_KEK00_0_KEK00_SHIFT)
#define FUSE_KEK00_0_KEK00_RANGE                        31:0
#define FUSE_KEK00_0_KEK00_WOFFSET                      0x0
#define FUSE_KEK00_0_KEK00_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_KEK00_0_KEK00_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK00_0_KEK00_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_KEK00_0_KEK00_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_KEK01_0
#define FUSE_KEK01_0                    _MK_ADDR_CONST(0x3c4)
#define FUSE_KEK01_0_SECURE                     0x0
#define FUSE_KEK01_0_SCR                        0
#define FUSE_KEK01_0_WORD_COUNT                         0x1
#define FUSE_KEK01_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_KEK01_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK01_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_KEK01_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_KEK01_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK01_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK01_0_KEK01_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_KEK01_0_KEK01_FIELD                        _MK_FIELD_CONST(0xffffffff, FUSE_KEK01_0_KEK01_SHIFT)
#define FUSE_KEK01_0_KEK01_RANGE                        31:0
#define FUSE_KEK01_0_KEK01_WOFFSET                      0x0
#define FUSE_KEK01_0_KEK01_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_KEK01_0_KEK01_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK01_0_KEK01_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_KEK01_0_KEK01_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_KEK02_0
#define FUSE_KEK02_0                    _MK_ADDR_CONST(0x3c8)
#define FUSE_KEK02_0_SECURE                     0x0
#define FUSE_KEK02_0_SCR                        0
#define FUSE_KEK02_0_WORD_COUNT                         0x1
#define FUSE_KEK02_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_KEK02_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK02_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_KEK02_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_KEK02_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK02_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK02_0_KEK02_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_KEK02_0_KEK02_FIELD                        _MK_FIELD_CONST(0xffffffff, FUSE_KEK02_0_KEK02_SHIFT)
#define FUSE_KEK02_0_KEK02_RANGE                        31:0
#define FUSE_KEK02_0_KEK02_WOFFSET                      0x0
#define FUSE_KEK02_0_KEK02_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_KEK02_0_KEK02_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK02_0_KEK02_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_KEK02_0_KEK02_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_KEK03_0
#define FUSE_KEK03_0                    _MK_ADDR_CONST(0x3cc)
#define FUSE_KEK03_0_SECURE                     0x0
#define FUSE_KEK03_0_SCR                        0
#define FUSE_KEK03_0_WORD_COUNT                         0x1
#define FUSE_KEK03_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_KEK03_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK03_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_KEK03_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_KEK03_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK03_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK03_0_KEK03_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_KEK03_0_KEK03_FIELD                        _MK_FIELD_CONST(0xffffffff, FUSE_KEK03_0_KEK03_SHIFT)
#define FUSE_KEK03_0_KEK03_RANGE                        31:0
#define FUSE_KEK03_0_KEK03_WOFFSET                      0x0
#define FUSE_KEK03_0_KEK03_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_KEK03_0_KEK03_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK03_0_KEK03_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_KEK03_0_KEK03_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_KEK10_0
#define FUSE_KEK10_0                    _MK_ADDR_CONST(0x3d0)
#define FUSE_KEK10_0_SECURE                     0x0
#define FUSE_KEK10_0_SCR                        0
#define FUSE_KEK10_0_WORD_COUNT                         0x1
#define FUSE_KEK10_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_KEK10_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK10_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_KEK10_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_KEK10_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK10_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK10_0_KEK10_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_KEK10_0_KEK10_FIELD                        _MK_FIELD_CONST(0xffffffff, FUSE_KEK10_0_KEK10_SHIFT)
#define FUSE_KEK10_0_KEK10_RANGE                        31:0
#define FUSE_KEK10_0_KEK10_WOFFSET                      0x0
#define FUSE_KEK10_0_KEK10_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_KEK10_0_KEK10_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK10_0_KEK10_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_KEK10_0_KEK10_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_KEK11_0
#define FUSE_KEK11_0                    _MK_ADDR_CONST(0x3d4)
#define FUSE_KEK11_0_SECURE                     0x0
#define FUSE_KEK11_0_SCR                        0
#define FUSE_KEK11_0_WORD_COUNT                         0x1
#define FUSE_KEK11_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_KEK11_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK11_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_KEK11_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_KEK11_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK11_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK11_0_KEK11_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_KEK11_0_KEK11_FIELD                        _MK_FIELD_CONST(0xffffffff, FUSE_KEK11_0_KEK11_SHIFT)
#define FUSE_KEK11_0_KEK11_RANGE                        31:0
#define FUSE_KEK11_0_KEK11_WOFFSET                      0x0
#define FUSE_KEK11_0_KEK11_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_KEK11_0_KEK11_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK11_0_KEK11_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_KEK11_0_KEK11_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_KEK12_0
#define FUSE_KEK12_0                    _MK_ADDR_CONST(0x3d8)
#define FUSE_KEK12_0_SECURE                     0x0
#define FUSE_KEK12_0_SCR                        0
#define FUSE_KEK12_0_WORD_COUNT                         0x1
#define FUSE_KEK12_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_KEK12_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK12_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_KEK12_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_KEK12_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK12_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK12_0_KEK12_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_KEK12_0_KEK12_FIELD                        _MK_FIELD_CONST(0xffffffff, FUSE_KEK12_0_KEK12_SHIFT)
#define FUSE_KEK12_0_KEK12_RANGE                        31:0
#define FUSE_KEK12_0_KEK12_WOFFSET                      0x0
#define FUSE_KEK12_0_KEK12_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_KEK12_0_KEK12_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK12_0_KEK12_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_KEK12_0_KEK12_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_KEK13_0
#define FUSE_KEK13_0                    _MK_ADDR_CONST(0x3dc)
#define FUSE_KEK13_0_SECURE                     0x0
#define FUSE_KEK13_0_SCR                        0
#define FUSE_KEK13_0_WORD_COUNT                         0x1
#define FUSE_KEK13_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_KEK13_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK13_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_KEK13_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_KEK13_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK13_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK13_0_KEK13_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_KEK13_0_KEK13_FIELD                        _MK_FIELD_CONST(0xffffffff, FUSE_KEK13_0_KEK13_SHIFT)
#define FUSE_KEK13_0_KEK13_RANGE                        31:0
#define FUSE_KEK13_0_KEK13_WOFFSET                      0x0
#define FUSE_KEK13_0_KEK13_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_KEK13_0_KEK13_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK13_0_KEK13_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_KEK13_0_KEK13_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_KEK20_0
#define FUSE_KEK20_0                    _MK_ADDR_CONST(0x3e0)
#define FUSE_KEK20_0_SECURE                     0x0
#define FUSE_KEK20_0_SCR                        0
#define FUSE_KEK20_0_WORD_COUNT                         0x1
#define FUSE_KEK20_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_KEK20_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK20_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_KEK20_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_KEK20_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK20_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK20_0_KEK20_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_KEK20_0_KEK20_FIELD                        _MK_FIELD_CONST(0xffffffff, FUSE_KEK20_0_KEK20_SHIFT)
#define FUSE_KEK20_0_KEK20_RANGE                        31:0
#define FUSE_KEK20_0_KEK20_WOFFSET                      0x0
#define FUSE_KEK20_0_KEK20_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_KEK20_0_KEK20_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK20_0_KEK20_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_KEK20_0_KEK20_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_KEK21_0
#define FUSE_KEK21_0                    _MK_ADDR_CONST(0x3e4)
#define FUSE_KEK21_0_SECURE                     0x0
#define FUSE_KEK21_0_SCR                        0
#define FUSE_KEK21_0_WORD_COUNT                         0x1
#define FUSE_KEK21_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_KEK21_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK21_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_KEK21_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_KEK21_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK21_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK21_0_KEK21_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_KEK21_0_KEK21_FIELD                        _MK_FIELD_CONST(0xffffffff, FUSE_KEK21_0_KEK21_SHIFT)
#define FUSE_KEK21_0_KEK21_RANGE                        31:0
#define FUSE_KEK21_0_KEK21_WOFFSET                      0x0
#define FUSE_KEK21_0_KEK21_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_KEK21_0_KEK21_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK21_0_KEK21_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_KEK21_0_KEK21_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_KEK22_0
#define FUSE_KEK22_0                    _MK_ADDR_CONST(0x3e8)
#define FUSE_KEK22_0_SECURE                     0x0
#define FUSE_KEK22_0_SCR                        0
#define FUSE_KEK22_0_WORD_COUNT                         0x1
#define FUSE_KEK22_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_KEK22_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK22_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_KEK22_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_KEK22_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK22_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK22_0_KEK22_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_KEK22_0_KEK22_FIELD                        _MK_FIELD_CONST(0xffffffff, FUSE_KEK22_0_KEK22_SHIFT)
#define FUSE_KEK22_0_KEK22_RANGE                        31:0
#define FUSE_KEK22_0_KEK22_WOFFSET                      0x0
#define FUSE_KEK22_0_KEK22_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_KEK22_0_KEK22_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK22_0_KEK22_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_KEK22_0_KEK22_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_KEK23_0
#define FUSE_KEK23_0                    _MK_ADDR_CONST(0x3ec)
#define FUSE_KEK23_0_SECURE                     0x0
#define FUSE_KEK23_0_SCR                        0
#define FUSE_KEK23_0_WORD_COUNT                         0x1
#define FUSE_KEK23_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_KEK23_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK23_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_KEK23_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_KEK23_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK23_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK23_0_KEK23_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_KEK23_0_KEK23_FIELD                        _MK_FIELD_CONST(0xffffffff, FUSE_KEK23_0_KEK23_SHIFT)
#define FUSE_KEK23_0_KEK23_RANGE                        31:0
#define FUSE_KEK23_0_KEK23_WOFFSET                      0x0
#define FUSE_KEK23_0_KEK23_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_KEK23_0_KEK23_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define FUSE_KEK23_0_KEK23_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_KEK23_0_KEK23_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_OPT_PRIV_SFK_0_0
#define FUSE_OPT_PRIV_SFK_0_0                   _MK_ADDR_CONST(0x3f0)
#define FUSE_OPT_PRIV_SFK_0_0_SECURE                    0x0
#define FUSE_OPT_PRIV_SFK_0_0_SCR                       0
#define FUSE_OPT_PRIV_SFK_0_0_WORD_COUNT                        0x1
#define FUSE_OPT_PRIV_SFK_0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_OPT_PRIV_SFK_0_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_OPT_PRIV_SFK_0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_PRIV_SFK_0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_PRIV_SFK_0_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_OPT_PRIV_SFK_0_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_OPT_PRIV_SFK_0_0_OPT_PRIV_SFK_0_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_OPT_PRIV_SFK_0_0_OPT_PRIV_SFK_0_FIELD                      _MK_FIELD_CONST(0xffffffff, FUSE_OPT_PRIV_SFK_0_0_OPT_PRIV_SFK_0_SHIFT)
#define FUSE_OPT_PRIV_SFK_0_0_OPT_PRIV_SFK_0_RANGE                      31:0
#define FUSE_OPT_PRIV_SFK_0_0_OPT_PRIV_SFK_0_WOFFSET                    0x0
#define FUSE_OPT_PRIV_SFK_0_0_OPT_PRIV_SFK_0_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_PRIV_SFK_0_0_OPT_PRIV_SFK_0_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define FUSE_OPT_PRIV_SFK_0_0_OPT_PRIV_SFK_0_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_OPT_PRIV_SFK_0_0_OPT_PRIV_SFK_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_OPT_PRIV_SFK_1_0
#define FUSE_OPT_PRIV_SFK_1_0                   _MK_ADDR_CONST(0x3f4)
#define FUSE_OPT_PRIV_SFK_1_0_SECURE                    0x0
#define FUSE_OPT_PRIV_SFK_1_0_SCR                       0
#define FUSE_OPT_PRIV_SFK_1_0_WORD_COUNT                        0x1
#define FUSE_OPT_PRIV_SFK_1_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_OPT_PRIV_SFK_1_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_OPT_PRIV_SFK_1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_PRIV_SFK_1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_PRIV_SFK_1_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_OPT_PRIV_SFK_1_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_OPT_PRIV_SFK_1_0_OPT_PRIV_SFK_1_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_OPT_PRIV_SFK_1_0_OPT_PRIV_SFK_1_FIELD                      _MK_FIELD_CONST(0xffffffff, FUSE_OPT_PRIV_SFK_1_0_OPT_PRIV_SFK_1_SHIFT)
#define FUSE_OPT_PRIV_SFK_1_0_OPT_PRIV_SFK_1_RANGE                      31:0
#define FUSE_OPT_PRIV_SFK_1_0_OPT_PRIV_SFK_1_WOFFSET                    0x0
#define FUSE_OPT_PRIV_SFK_1_0_OPT_PRIV_SFK_1_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_PRIV_SFK_1_0_OPT_PRIV_SFK_1_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define FUSE_OPT_PRIV_SFK_1_0_OPT_PRIV_SFK_1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_OPT_PRIV_SFK_1_0_OPT_PRIV_SFK_1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_OPT_PRIV_SFK_2_0
#define FUSE_OPT_PRIV_SFK_2_0                   _MK_ADDR_CONST(0x3f8)
#define FUSE_OPT_PRIV_SFK_2_0_SECURE                    0x0
#define FUSE_OPT_PRIV_SFK_2_0_SCR                       0
#define FUSE_OPT_PRIV_SFK_2_0_WORD_COUNT                        0x1
#define FUSE_OPT_PRIV_SFK_2_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_OPT_PRIV_SFK_2_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_OPT_PRIV_SFK_2_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_PRIV_SFK_2_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_PRIV_SFK_2_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_OPT_PRIV_SFK_2_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_OPT_PRIV_SFK_2_0_OPT_PRIV_SFK_2_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_OPT_PRIV_SFK_2_0_OPT_PRIV_SFK_2_FIELD                      _MK_FIELD_CONST(0xffffffff, FUSE_OPT_PRIV_SFK_2_0_OPT_PRIV_SFK_2_SHIFT)
#define FUSE_OPT_PRIV_SFK_2_0_OPT_PRIV_SFK_2_RANGE                      31:0
#define FUSE_OPT_PRIV_SFK_2_0_OPT_PRIV_SFK_2_WOFFSET                    0x0
#define FUSE_OPT_PRIV_SFK_2_0_OPT_PRIV_SFK_2_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_PRIV_SFK_2_0_OPT_PRIV_SFK_2_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define FUSE_OPT_PRIV_SFK_2_0_OPT_PRIV_SFK_2_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_OPT_PRIV_SFK_2_0_OPT_PRIV_SFK_2_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_OPT_PRIV_SFK_3_0
#define FUSE_OPT_PRIV_SFK_3_0                   _MK_ADDR_CONST(0x3fc)
#define FUSE_OPT_PRIV_SFK_3_0_SECURE                    0x0
#define FUSE_OPT_PRIV_SFK_3_0_SCR                       0
#define FUSE_OPT_PRIV_SFK_3_0_WORD_COUNT                        0x1
#define FUSE_OPT_PRIV_SFK_3_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_OPT_PRIV_SFK_3_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_OPT_PRIV_SFK_3_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_PRIV_SFK_3_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_PRIV_SFK_3_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_OPT_PRIV_SFK_3_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_OPT_PRIV_SFK_3_0_OPT_PRIV_SFK_3_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_OPT_PRIV_SFK_3_0_OPT_PRIV_SFK_3_FIELD                      _MK_FIELD_CONST(0xffffffff, FUSE_OPT_PRIV_SFK_3_0_OPT_PRIV_SFK_3_SHIFT)
#define FUSE_OPT_PRIV_SFK_3_0_OPT_PRIV_SFK_3_RANGE                      31:0
#define FUSE_OPT_PRIV_SFK_3_0_OPT_PRIV_SFK_3_WOFFSET                    0x0
#define FUSE_OPT_PRIV_SFK_3_0_OPT_PRIV_SFK_3_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_PRIV_SFK_3_0_OPT_PRIV_SFK_3_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define FUSE_OPT_PRIV_SFK_3_0_OPT_PRIV_SFK_3_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_OPT_PRIV_SFK_3_0_OPT_PRIV_SFK_3_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_PDI0_0
#define FUSE_PDI0_0                     _MK_ADDR_CONST(0x400)
#define FUSE_PDI0_0_SECURE                      0x0
#define FUSE_PDI0_0_SCR                         0
#define FUSE_PDI0_0_WORD_COUNT                  0x1
#define FUSE_PDI0_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_PDI0_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_PDI0_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_PDI0_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_PDI0_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PDI0_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_PDI0_0_PDI0_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_PDI0_0_PDI0_FIELD                  _MK_FIELD_CONST(0xffffffff, FUSE_PDI0_0_PDI0_SHIFT)
#define FUSE_PDI0_0_PDI0_RANGE                  31:0
#define FUSE_PDI0_0_PDI0_WOFFSET                        0x0
#define FUSE_PDI0_0_PDI0_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_PDI0_0_PDI0_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PDI0_0_PDI0_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_PDI0_0_PDI0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_PDI1_0
#define FUSE_PDI1_0                     _MK_ADDR_CONST(0x404)
#define FUSE_PDI1_0_SECURE                      0x0
#define FUSE_PDI1_0_SCR                         0
#define FUSE_PDI1_0_WORD_COUNT                  0x1
#define FUSE_PDI1_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_PDI1_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_PDI1_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_PDI1_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_PDI1_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PDI1_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define FUSE_PDI1_0_PDI1_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_PDI1_0_PDI1_FIELD                  _MK_FIELD_CONST(0xffffffff, FUSE_PDI1_0_PDI1_SHIFT)
#define FUSE_PDI1_0_PDI1_RANGE                  31:0
#define FUSE_PDI1_0_PDI1_WOFFSET                        0x0
#define FUSE_PDI1_0_PDI1_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_PDI1_0_PDI1_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define FUSE_PDI1_0_PDI1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_PDI1_0_PDI1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_ODMID0_0
#define FUSE_ODMID0_0                   _MK_ADDR_CONST(0x408)
#define FUSE_ODMID0_0_SECURE                    0x0
#define FUSE_ODMID0_0_SCR                       0
#define FUSE_ODMID0_0_WORD_COUNT                        0x1
#define FUSE_ODMID0_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_ODMID0_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_ODMID0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_ODMID0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_ODMID0_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_ODMID0_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_ODMID0_0_ODMID0_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_ODMID0_0_ODMID0_FIELD                      _MK_FIELD_CONST(0xffffffff, FUSE_ODMID0_0_ODMID0_SHIFT)
#define FUSE_ODMID0_0_ODMID0_RANGE                      31:0
#define FUSE_ODMID0_0_ODMID0_WOFFSET                    0x0
#define FUSE_ODMID0_0_ODMID0_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_ODMID0_0_ODMID0_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define FUSE_ODMID0_0_ODMID0_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_ODMID0_0_ODMID0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_ODMID1_0
#define FUSE_ODMID1_0                   _MK_ADDR_CONST(0x40c)
#define FUSE_ODMID1_0_SECURE                    0x0
#define FUSE_ODMID1_0_SCR                       0
#define FUSE_ODMID1_0_WORD_COUNT                        0x1
#define FUSE_ODMID1_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_ODMID1_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_ODMID1_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_ODMID1_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_ODMID1_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define FUSE_ODMID1_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define FUSE_ODMID1_0_ODMID1_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_ODMID1_0_ODMID1_FIELD                      _MK_FIELD_CONST(0xffffffff, FUSE_ODMID1_0_ODMID1_SHIFT)
#define FUSE_ODMID1_0_ODMID1_RANGE                      31:0
#define FUSE_ODMID1_0_ODMID1_WOFFSET                    0x0
#define FUSE_ODMID1_0_ODMID1_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_ODMID1_0_ODMID1_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define FUSE_ODMID1_0_ODMID1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_ODMID1_0_ODMID1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_ODM_CRC_0
#define FUSE_ODM_CRC_0                  _MK_ADDR_CONST(0x410)
#define FUSE_ODM_CRC_0_SECURE                   0x0
#define FUSE_ODM_CRC_0_SCR                      0
#define FUSE_ODM_CRC_0_WORD_COUNT                       0x1
#define FUSE_ODM_CRC_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_ODM_CRC_0_RESET_MASK                       _MK_MASK_CONST(0x1ff)
#define FUSE_ODM_CRC_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_ODM_CRC_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_ODM_CRC_0_READ_MASK                        _MK_MASK_CONST(0x1ff)
#define FUSE_ODM_CRC_0_WRITE_MASK                       _MK_MASK_CONST(0x1ff)
#define FUSE_ODM_CRC_0_ODM_CRC_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_ODM_CRC_0_ODM_CRC_FIELD                    _MK_FIELD_CONST(0x1ff, FUSE_ODM_CRC_0_ODM_CRC_SHIFT)
#define FUSE_ODM_CRC_0_ODM_CRC_RANGE                    8:0
#define FUSE_ODM_CRC_0_ODM_CRC_WOFFSET                  0x0
#define FUSE_ODM_CRC_0_ODM_CRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_ODM_CRC_0_ODM_CRC_DEFAULT_MASK                     _MK_MASK_CONST(0x1ff)
#define FUSE_ODM_CRC_0_ODM_CRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_ODM_CRC_0_ODM_CRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_OPT_RAM_RTSEL_TSMCSP_0
#define FUSE_OPT_RAM_RTSEL_TSMCSP_0                     _MK_ADDR_CONST(0x414)
#define FUSE_OPT_RAM_RTSEL_TSMCSP_0_SECURE                      0x0
#define FUSE_OPT_RAM_RTSEL_TSMCSP_0_SCR                         0
#define FUSE_OPT_RAM_RTSEL_TSMCSP_0_WORD_COUNT                  0x1
#define FUSE_OPT_RAM_RTSEL_TSMCSP_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_RTSEL_TSMCSP_0_RESET_MASK                  _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_RTSEL_TSMCSP_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_RTSEL_TSMCSP_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_RTSEL_TSMCSP_0_READ_MASK                   _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_RTSEL_TSMCSP_0_WRITE_MASK                  _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_RTSEL_TSMCSP_0_OPT_RAM_RTSEL_TSMCSP_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_OPT_RAM_RTSEL_TSMCSP_0_OPT_RAM_RTSEL_TSMCSP_FIELD                  _MK_FIELD_CONST(0x3, FUSE_OPT_RAM_RTSEL_TSMCSP_0_OPT_RAM_RTSEL_TSMCSP_SHIFT)
#define FUSE_OPT_RAM_RTSEL_TSMCSP_0_OPT_RAM_RTSEL_TSMCSP_RANGE                  1:0
#define FUSE_OPT_RAM_RTSEL_TSMCSP_0_OPT_RAM_RTSEL_TSMCSP_WOFFSET                        0x0
#define FUSE_OPT_RAM_RTSEL_TSMCSP_0_OPT_RAM_RTSEL_TSMCSP_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_RTSEL_TSMCSP_0_OPT_RAM_RTSEL_TSMCSP_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_RTSEL_TSMCSP_0_OPT_RAM_RTSEL_TSMCSP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_RTSEL_TSMCSP_0_OPT_RAM_RTSEL_TSMCSP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_OPT_RAM_WTSEL_TSMCSP_0
#define FUSE_OPT_RAM_WTSEL_TSMCSP_0                     _MK_ADDR_CONST(0x418)
#define FUSE_OPT_RAM_WTSEL_TSMCSP_0_SECURE                      0x0
#define FUSE_OPT_RAM_WTSEL_TSMCSP_0_SCR                         0
#define FUSE_OPT_RAM_WTSEL_TSMCSP_0_WORD_COUNT                  0x1
#define FUSE_OPT_RAM_WTSEL_TSMCSP_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_WTSEL_TSMCSP_0_RESET_MASK                  _MK_MASK_CONST(0x7)
#define FUSE_OPT_RAM_WTSEL_TSMCSP_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_WTSEL_TSMCSP_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_WTSEL_TSMCSP_0_READ_MASK                   _MK_MASK_CONST(0x7)
#define FUSE_OPT_RAM_WTSEL_TSMCSP_0_WRITE_MASK                  _MK_MASK_CONST(0x7)
#define FUSE_OPT_RAM_WTSEL_TSMCSP_0_OPT_RAM_WTSEL_TSMCSP_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_OPT_RAM_WTSEL_TSMCSP_0_OPT_RAM_WTSEL_TSMCSP_FIELD                  _MK_FIELD_CONST(0x7, FUSE_OPT_RAM_WTSEL_TSMCSP_0_OPT_RAM_WTSEL_TSMCSP_SHIFT)
#define FUSE_OPT_RAM_WTSEL_TSMCSP_0_OPT_RAM_WTSEL_TSMCSP_RANGE                  2:0
#define FUSE_OPT_RAM_WTSEL_TSMCSP_0_OPT_RAM_WTSEL_TSMCSP_WOFFSET                        0x0
#define FUSE_OPT_RAM_WTSEL_TSMCSP_0_OPT_RAM_WTSEL_TSMCSP_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_WTSEL_TSMCSP_0_OPT_RAM_WTSEL_TSMCSP_DEFAULT_MASK                   _MK_MASK_CONST(0x7)
#define FUSE_OPT_RAM_WTSEL_TSMCSP_0_OPT_RAM_WTSEL_TSMCSP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_WTSEL_TSMCSP_0_OPT_RAM_WTSEL_TSMCSP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_OPT_RAM_RTSEL_TSMCPDP_0
#define FUSE_OPT_RAM_RTSEL_TSMCPDP_0                    _MK_ADDR_CONST(0x41c)
#define FUSE_OPT_RAM_RTSEL_TSMCPDP_0_SECURE                     0x0
#define FUSE_OPT_RAM_RTSEL_TSMCPDP_0_SCR                        0
#define FUSE_OPT_RAM_RTSEL_TSMCPDP_0_WORD_COUNT                         0x1
#define FUSE_OPT_RAM_RTSEL_TSMCPDP_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_RTSEL_TSMCPDP_0_RESET_MASK                         _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_RTSEL_TSMCPDP_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_RTSEL_TSMCPDP_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_RTSEL_TSMCPDP_0_READ_MASK                  _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_RTSEL_TSMCPDP_0_WRITE_MASK                         _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_RTSEL_TSMCPDP_0_OPT_RAM_RTSEL_TSMCPDP_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_OPT_RAM_RTSEL_TSMCPDP_0_OPT_RAM_RTSEL_TSMCPDP_FIELD                        _MK_FIELD_CONST(0x3, FUSE_OPT_RAM_RTSEL_TSMCPDP_0_OPT_RAM_RTSEL_TSMCPDP_SHIFT)
#define FUSE_OPT_RAM_RTSEL_TSMCPDP_0_OPT_RAM_RTSEL_TSMCPDP_RANGE                        1:0
#define FUSE_OPT_RAM_RTSEL_TSMCPDP_0_OPT_RAM_RTSEL_TSMCPDP_WOFFSET                      0x0
#define FUSE_OPT_RAM_RTSEL_TSMCPDP_0_OPT_RAM_RTSEL_TSMCPDP_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_RTSEL_TSMCPDP_0_OPT_RAM_RTSEL_TSMCPDP_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_RTSEL_TSMCPDP_0_OPT_RAM_RTSEL_TSMCPDP_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_RTSEL_TSMCPDP_0_OPT_RAM_RTSEL_TSMCPDP_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_OPT_RAM_MTSEL_TSMCPDP_0
#define FUSE_OPT_RAM_MTSEL_TSMCPDP_0                    _MK_ADDR_CONST(0x420)
#define FUSE_OPT_RAM_MTSEL_TSMCPDP_0_SECURE                     0x0
#define FUSE_OPT_RAM_MTSEL_TSMCPDP_0_SCR                        0
#define FUSE_OPT_RAM_MTSEL_TSMCPDP_0_WORD_COUNT                         0x1
#define FUSE_OPT_RAM_MTSEL_TSMCPDP_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_MTSEL_TSMCPDP_0_RESET_MASK                         _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_MTSEL_TSMCPDP_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_MTSEL_TSMCPDP_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_MTSEL_TSMCPDP_0_READ_MASK                  _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_MTSEL_TSMCPDP_0_WRITE_MASK                         _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_MTSEL_TSMCPDP_0_OPT_RAM_MTSEL_TSMCPDP_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_OPT_RAM_MTSEL_TSMCPDP_0_OPT_RAM_MTSEL_TSMCPDP_FIELD                        _MK_FIELD_CONST(0x3, FUSE_OPT_RAM_MTSEL_TSMCPDP_0_OPT_RAM_MTSEL_TSMCPDP_SHIFT)
#define FUSE_OPT_RAM_MTSEL_TSMCPDP_0_OPT_RAM_MTSEL_TSMCPDP_RANGE                        1:0
#define FUSE_OPT_RAM_MTSEL_TSMCPDP_0_OPT_RAM_MTSEL_TSMCPDP_WOFFSET                      0x0
#define FUSE_OPT_RAM_MTSEL_TSMCPDP_0_OPT_RAM_MTSEL_TSMCPDP_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_MTSEL_TSMCPDP_0_OPT_RAM_MTSEL_TSMCPDP_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_MTSEL_TSMCPDP_0_OPT_RAM_MTSEL_TSMCPDP_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_MTSEL_TSMCPDP_0_OPT_RAM_MTSEL_TSMCPDP_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_OPT_RAM_WTSEL_TSMCPDP_0
#define FUSE_OPT_RAM_WTSEL_TSMCPDP_0                    _MK_ADDR_CONST(0x424)
#define FUSE_OPT_RAM_WTSEL_TSMCPDP_0_SECURE                     0x0
#define FUSE_OPT_RAM_WTSEL_TSMCPDP_0_SCR                        0
#define FUSE_OPT_RAM_WTSEL_TSMCPDP_0_WORD_COUNT                         0x1
#define FUSE_OPT_RAM_WTSEL_TSMCPDP_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_WTSEL_TSMCPDP_0_RESET_MASK                         _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_WTSEL_TSMCPDP_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_WTSEL_TSMCPDP_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_WTSEL_TSMCPDP_0_READ_MASK                  _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_WTSEL_TSMCPDP_0_WRITE_MASK                         _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_WTSEL_TSMCPDP_0_OPT_RAM_WTSEL_TSMCPDP_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_OPT_RAM_WTSEL_TSMCPDP_0_OPT_RAM_WTSEL_TSMCPDP_FIELD                        _MK_FIELD_CONST(0x3, FUSE_OPT_RAM_WTSEL_TSMCPDP_0_OPT_RAM_WTSEL_TSMCPDP_SHIFT)
#define FUSE_OPT_RAM_WTSEL_TSMCPDP_0_OPT_RAM_WTSEL_TSMCPDP_RANGE                        1:0
#define FUSE_OPT_RAM_WTSEL_TSMCPDP_0_OPT_RAM_WTSEL_TSMCPDP_WOFFSET                      0x0
#define FUSE_OPT_RAM_WTSEL_TSMCPDP_0_OPT_RAM_WTSEL_TSMCPDP_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_WTSEL_TSMCPDP_0_OPT_RAM_WTSEL_TSMCPDP_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_WTSEL_TSMCPDP_0_OPT_RAM_WTSEL_TSMCPDP_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_WTSEL_TSMCPDP_0_OPT_RAM_WTSEL_TSMCPDP_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_OPT_RAM_RCT_TSMCDP_0
#define FUSE_OPT_RAM_RCT_TSMCDP_0                       _MK_ADDR_CONST(0x428)
#define FUSE_OPT_RAM_RCT_TSMCDP_0_SECURE                        0x0
#define FUSE_OPT_RAM_RCT_TSMCDP_0_SCR                   0
#define FUSE_OPT_RAM_RCT_TSMCDP_0_WORD_COUNT                    0x1
#define FUSE_OPT_RAM_RCT_TSMCDP_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_RCT_TSMCDP_0_RESET_MASK                    _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_RCT_TSMCDP_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_RCT_TSMCDP_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_RCT_TSMCDP_0_READ_MASK                     _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_RCT_TSMCDP_0_WRITE_MASK                    _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_RCT_TSMCDP_0_OPT_RAM_RCT_TSMCDP_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_OPT_RAM_RCT_TSMCDP_0_OPT_RAM_RCT_TSMCDP_FIELD                      _MK_FIELD_CONST(0x3, FUSE_OPT_RAM_RCT_TSMCDP_0_OPT_RAM_RCT_TSMCDP_SHIFT)
#define FUSE_OPT_RAM_RCT_TSMCDP_0_OPT_RAM_RCT_TSMCDP_RANGE                      1:0
#define FUSE_OPT_RAM_RCT_TSMCDP_0_OPT_RAM_RCT_TSMCDP_WOFFSET                    0x0
#define FUSE_OPT_RAM_RCT_TSMCDP_0_OPT_RAM_RCT_TSMCDP_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_RCT_TSMCDP_0_OPT_RAM_RCT_TSMCDP_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_RCT_TSMCDP_0_OPT_RAM_RCT_TSMCDP_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_RCT_TSMCDP_0_OPT_RAM_RCT_TSMCDP_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_OPT_RAM_WCT_TSMCDP_0
#define FUSE_OPT_RAM_WCT_TSMCDP_0                       _MK_ADDR_CONST(0x42c)
#define FUSE_OPT_RAM_WCT_TSMCDP_0_SECURE                        0x0
#define FUSE_OPT_RAM_WCT_TSMCDP_0_SCR                   0
#define FUSE_OPT_RAM_WCT_TSMCDP_0_WORD_COUNT                    0x1
#define FUSE_OPT_RAM_WCT_TSMCDP_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_WCT_TSMCDP_0_RESET_MASK                    _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_WCT_TSMCDP_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_WCT_TSMCDP_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_WCT_TSMCDP_0_READ_MASK                     _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_WCT_TSMCDP_0_WRITE_MASK                    _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_WCT_TSMCDP_0_OPT_RAM_WCT_TSMCDP_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_OPT_RAM_WCT_TSMCDP_0_OPT_RAM_WCT_TSMCDP_FIELD                      _MK_FIELD_CONST(0x3, FUSE_OPT_RAM_WCT_TSMCDP_0_OPT_RAM_WCT_TSMCDP_SHIFT)
#define FUSE_OPT_RAM_WCT_TSMCDP_0_OPT_RAM_WCT_TSMCDP_RANGE                      1:0
#define FUSE_OPT_RAM_WCT_TSMCDP_0_OPT_RAM_WCT_TSMCDP_WOFFSET                    0x0
#define FUSE_OPT_RAM_WCT_TSMCDP_0_OPT_RAM_WCT_TSMCDP_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_WCT_TSMCDP_0_OPT_RAM_WCT_TSMCDP_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define FUSE_OPT_RAM_WCT_TSMCDP_0_OPT_RAM_WCT_TSMCDP_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_WCT_TSMCDP_0_OPT_RAM_WCT_TSMCDP_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_OPT_RAM_KP_TSMCDP_0
#define FUSE_OPT_RAM_KP_TSMCDP_0                        _MK_ADDR_CONST(0x430)
#define FUSE_OPT_RAM_KP_TSMCDP_0_SECURE                         0x0
#define FUSE_OPT_RAM_KP_TSMCDP_0_SCR                    0
#define FUSE_OPT_RAM_KP_TSMCDP_0_WORD_COUNT                     0x1
#define FUSE_OPT_RAM_KP_TSMCDP_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_KP_TSMCDP_0_RESET_MASK                     _MK_MASK_CONST(0x7)
#define FUSE_OPT_RAM_KP_TSMCDP_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_KP_TSMCDP_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_KP_TSMCDP_0_READ_MASK                      _MK_MASK_CONST(0x7)
#define FUSE_OPT_RAM_KP_TSMCDP_0_WRITE_MASK                     _MK_MASK_CONST(0x7)
#define FUSE_OPT_RAM_KP_TSMCDP_0_OPT_RAM_KP_TSMCDP_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_OPT_RAM_KP_TSMCDP_0_OPT_RAM_KP_TSMCDP_FIELD                        _MK_FIELD_CONST(0x7, FUSE_OPT_RAM_KP_TSMCDP_0_OPT_RAM_KP_TSMCDP_SHIFT)
#define FUSE_OPT_RAM_KP_TSMCDP_0_OPT_RAM_KP_TSMCDP_RANGE                        2:0
#define FUSE_OPT_RAM_KP_TSMCDP_0_OPT_RAM_KP_TSMCDP_WOFFSET                      0x0
#define FUSE_OPT_RAM_KP_TSMCDP_0_OPT_RAM_KP_TSMCDP_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_KP_TSMCDP_0_OPT_RAM_KP_TSMCDP_DEFAULT_MASK                 _MK_MASK_CONST(0x7)
#define FUSE_OPT_RAM_KP_TSMCDP_0_OPT_RAM_KP_TSMCDP_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_RAM_KP_TSMCDP_0_OPT_RAM_KP_TSMCDP_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_H0_0
#define FUSE_H0_0                       _MK_ADDR_CONST(0x434)
#define FUSE_H0_0_SECURE                        0x0
#define FUSE_H0_0_SCR                   0
#define FUSE_H0_0_WORD_COUNT                    0x1
#define FUSE_H0_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_H0_0_RESET_MASK                    _MK_MASK_CONST(0x3fff)
#define FUSE_H0_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_H0_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_H0_0_READ_MASK                     _MK_MASK_CONST(0x3fff)
#define FUSE_H0_0_WRITE_MASK                    _MK_MASK_CONST(0x3fff)
#define FUSE_H0_0_H0_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_H0_0_H0_FIELD                      _MK_FIELD_CONST(0x3fff, FUSE_H0_0_H0_SHIFT)
#define FUSE_H0_0_H0_RANGE                      13:0
#define FUSE_H0_0_H0_WOFFSET                    0x0
#define FUSE_H0_0_H0_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_H0_0_H0_DEFAULT_MASK                       _MK_MASK_CONST(0x3fff)
#define FUSE_H0_0_H0_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_H0_0_H0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_H1_0
#define FUSE_H1_0                       _MK_ADDR_CONST(0x438)
#define FUSE_H1_0_SECURE                        0x0
#define FUSE_H1_0_SCR                   0
#define FUSE_H1_0_WORD_COUNT                    0x1
#define FUSE_H1_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_H1_0_RESET_MASK                    _MK_MASK_CONST(0x3fff)
#define FUSE_H1_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_H1_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_H1_0_READ_MASK                     _MK_MASK_CONST(0x3fff)
#define FUSE_H1_0_WRITE_MASK                    _MK_MASK_CONST(0x3fff)
#define FUSE_H1_0_H1_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_H1_0_H1_FIELD                      _MK_FIELD_CONST(0x3fff, FUSE_H1_0_H1_SHIFT)
#define FUSE_H1_0_H1_RANGE                      13:0
#define FUSE_H1_0_H1_WOFFSET                    0x0
#define FUSE_H1_0_H1_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_H1_0_H1_DEFAULT_MASK                       _MK_MASK_CONST(0x3fff)
#define FUSE_H1_0_H1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_H1_0_H1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_H2_0
#define FUSE_H2_0                       _MK_ADDR_CONST(0x43c)
#define FUSE_H2_0_SECURE                        0x0
#define FUSE_H2_0_SCR                   0
#define FUSE_H2_0_WORD_COUNT                    0x1
#define FUSE_H2_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_H2_0_RESET_MASK                    _MK_MASK_CONST(0x3fff)
#define FUSE_H2_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_H2_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_H2_0_READ_MASK                     _MK_MASK_CONST(0x3fff)
#define FUSE_H2_0_WRITE_MASK                    _MK_MASK_CONST(0x3fff)
#define FUSE_H2_0_H2_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_H2_0_H2_FIELD                      _MK_FIELD_CONST(0x3fff, FUSE_H2_0_H2_SHIFT)
#define FUSE_H2_0_H2_RANGE                      13:0
#define FUSE_H2_0_H2_WOFFSET                    0x0
#define FUSE_H2_0_H2_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_H2_0_H2_DEFAULT_MASK                       _MK_MASK_CONST(0x3fff)
#define FUSE_H2_0_H2_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_H2_0_H2_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Reserved address 1088 [0x440]

// Register FUSE_OPT_SECURE_SCC_DIS_0
#define FUSE_OPT_SECURE_SCC_DIS_0                       _MK_ADDR_CONST(0x444)
#define FUSE_OPT_SECURE_SCC_DIS_0_SECURE                        0x0
#define FUSE_OPT_SECURE_SCC_DIS_0_SCR                   0
#define FUSE_OPT_SECURE_SCC_DIS_0_WORD_COUNT                    0x1
#define FUSE_OPT_SECURE_SCC_DIS_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_SECURE_SCC_DIS_0_RESET_MASK                    _MK_MASK_CONST(0x1)
#define FUSE_OPT_SECURE_SCC_DIS_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_SECURE_SCC_DIS_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_SECURE_SCC_DIS_0_READ_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_OPT_SECURE_SCC_DIS_0_WRITE_MASK                    _MK_MASK_CONST(0x1)
#define FUSE_OPT_SECURE_SCC_DIS_0_OPT_SECURE_SCC_DIS_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_OPT_SECURE_SCC_DIS_0_OPT_SECURE_SCC_DIS_FIELD                      _MK_FIELD_CONST(0x1, FUSE_OPT_SECURE_SCC_DIS_0_OPT_SECURE_SCC_DIS_SHIFT)
#define FUSE_OPT_SECURE_SCC_DIS_0_OPT_SECURE_SCC_DIS_RANGE                      0:0
#define FUSE_OPT_SECURE_SCC_DIS_0_OPT_SECURE_SCC_DIS_WOFFSET                    0x0
#define FUSE_OPT_SECURE_SCC_DIS_0_OPT_SECURE_SCC_DIS_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_SECURE_SCC_DIS_0_OPT_SECURE_SCC_DIS_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_OPT_SECURE_SCC_DIS_0_OPT_SECURE_SCC_DIS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_OPT_SECURE_SCC_DIS_0_OPT_SECURE_SCC_DIS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_OPT_ADC_CAL_FUSE_REV_0
#define FUSE_OPT_ADC_CAL_FUSE_REV_0                     _MK_ADDR_CONST(0x448)
#define FUSE_OPT_ADC_CAL_FUSE_REV_0_SECURE                      0x0
#define FUSE_OPT_ADC_CAL_FUSE_REV_0_SCR                         0
#define FUSE_OPT_ADC_CAL_FUSE_REV_0_WORD_COUNT                  0x1
#define FUSE_OPT_ADC_CAL_FUSE_REV_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_ADC_CAL_FUSE_REV_0_RESET_MASK                  _MK_MASK_CONST(0x3)
#define FUSE_OPT_ADC_CAL_FUSE_REV_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_OPT_ADC_CAL_FUSE_REV_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_ADC_CAL_FUSE_REV_0_READ_MASK                   _MK_MASK_CONST(0x3)
#define FUSE_OPT_ADC_CAL_FUSE_REV_0_WRITE_MASK                  _MK_MASK_CONST(0x3)
#define FUSE_OPT_ADC_CAL_FUSE_REV_0_OPT_ADC_CAL_FUSE_REV_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_OPT_ADC_CAL_FUSE_REV_0_OPT_ADC_CAL_FUSE_REV_FIELD                  _MK_FIELD_CONST(0x3, FUSE_OPT_ADC_CAL_FUSE_REV_0_OPT_ADC_CAL_FUSE_REV_SHIFT)
#define FUSE_OPT_ADC_CAL_FUSE_REV_0_OPT_ADC_CAL_FUSE_REV_RANGE                  1:0
#define FUSE_OPT_ADC_CAL_FUSE_REV_0_OPT_ADC_CAL_FUSE_REV_WOFFSET                        0x0
#define FUSE_OPT_ADC_CAL_FUSE_REV_0_OPT_ADC_CAL_FUSE_REV_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_ADC_CAL_FUSE_REV_0_OPT_ADC_CAL_FUSE_REV_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define FUSE_OPT_ADC_CAL_FUSE_REV_0_OPT_ADC_CAL_FUSE_REV_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_ADC_CAL_FUSE_REV_0_OPT_ADC_CAL_FUSE_REV_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_OPT_ADC_CAL_INSTANCE0_0
#define FUSE_OPT_ADC_CAL_INSTANCE0_0                    _MK_ADDR_CONST(0x44c)
#define FUSE_OPT_ADC_CAL_INSTANCE0_0_SECURE                     0x0
#define FUSE_OPT_ADC_CAL_INSTANCE0_0_SCR                        0
#define FUSE_OPT_ADC_CAL_INSTANCE0_0_WORD_COUNT                         0x1
#define FUSE_OPT_ADC_CAL_INSTANCE0_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_ADC_CAL_INSTANCE0_0_RESET_MASK                         _MK_MASK_CONST(0xfffffff)
#define FUSE_OPT_ADC_CAL_INSTANCE0_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_ADC_CAL_INSTANCE0_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_ADC_CAL_INSTANCE0_0_READ_MASK                  _MK_MASK_CONST(0xfffffff)
#define FUSE_OPT_ADC_CAL_INSTANCE0_0_WRITE_MASK                         _MK_MASK_CONST(0xfffffff)
#define FUSE_OPT_ADC_CAL_INSTANCE0_0_OPT_ADC_CAL_INSTANCE0_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_OPT_ADC_CAL_INSTANCE0_0_OPT_ADC_CAL_INSTANCE0_FIELD                        _MK_FIELD_CONST(0xfffffff, FUSE_OPT_ADC_CAL_INSTANCE0_0_OPT_ADC_CAL_INSTANCE0_SHIFT)
#define FUSE_OPT_ADC_CAL_INSTANCE0_0_OPT_ADC_CAL_INSTANCE0_RANGE                        27:0
#define FUSE_OPT_ADC_CAL_INSTANCE0_0_OPT_ADC_CAL_INSTANCE0_WOFFSET                      0x0
#define FUSE_OPT_ADC_CAL_INSTANCE0_0_OPT_ADC_CAL_INSTANCE0_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_OPT_ADC_CAL_INSTANCE0_0_OPT_ADC_CAL_INSTANCE0_DEFAULT_MASK                 _MK_MASK_CONST(0xfffffff)
#define FUSE_OPT_ADC_CAL_INSTANCE0_0_OPT_ADC_CAL_INSTANCE0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_ADC_CAL_INSTANCE0_0_OPT_ADC_CAL_INSTANCE0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_OPT_ADC_CAL_INSTANCE1_DELTA_0
#define FUSE_OPT_ADC_CAL_INSTANCE1_DELTA_0                      _MK_ADDR_CONST(0x450)
#define FUSE_OPT_ADC_CAL_INSTANCE1_DELTA_0_SECURE                       0x0
#define FUSE_OPT_ADC_CAL_INSTANCE1_DELTA_0_SCR                  0
#define FUSE_OPT_ADC_CAL_INSTANCE1_DELTA_0_WORD_COUNT                   0x1
#define FUSE_OPT_ADC_CAL_INSTANCE1_DELTA_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_ADC_CAL_INSTANCE1_DELTA_0_RESET_MASK                   _MK_MASK_CONST(0x7fffff)
#define FUSE_OPT_ADC_CAL_INSTANCE1_DELTA_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_ADC_CAL_INSTANCE1_DELTA_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_OPT_ADC_CAL_INSTANCE1_DELTA_0_READ_MASK                    _MK_MASK_CONST(0x7fffff)
#define FUSE_OPT_ADC_CAL_INSTANCE1_DELTA_0_WRITE_MASK                   _MK_MASK_CONST(0x7fffff)
#define FUSE_OPT_ADC_CAL_INSTANCE1_DELTA_0_OPT_ADC_CAL_INSTANCE1_DELTA_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_OPT_ADC_CAL_INSTANCE1_DELTA_0_OPT_ADC_CAL_INSTANCE1_DELTA_FIELD                    _MK_FIELD_CONST(0x7fffff, FUSE_OPT_ADC_CAL_INSTANCE1_DELTA_0_OPT_ADC_CAL_INSTANCE1_DELTA_SHIFT)
#define FUSE_OPT_ADC_CAL_INSTANCE1_DELTA_0_OPT_ADC_CAL_INSTANCE1_DELTA_RANGE                    22:0
#define FUSE_OPT_ADC_CAL_INSTANCE1_DELTA_0_OPT_ADC_CAL_INSTANCE1_DELTA_WOFFSET                  0x0
#define FUSE_OPT_ADC_CAL_INSTANCE1_DELTA_0_OPT_ADC_CAL_INSTANCE1_DELTA_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_ADC_CAL_INSTANCE1_DELTA_0_OPT_ADC_CAL_INSTANCE1_DELTA_DEFAULT_MASK                     _MK_MASK_CONST(0x7fffff)
#define FUSE_OPT_ADC_CAL_INSTANCE1_DELTA_0_OPT_ADC_CAL_INSTANCE1_DELTA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_ADC_CAL_INSTANCE1_DELTA_0_OPT_ADC_CAL_INSTANCE1_DELTA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_OPT_ADC_CAL_INSTANCE2_DELTA_0
#define FUSE_OPT_ADC_CAL_INSTANCE2_DELTA_0                      _MK_ADDR_CONST(0x454)
#define FUSE_OPT_ADC_CAL_INSTANCE2_DELTA_0_SECURE                       0x0
#define FUSE_OPT_ADC_CAL_INSTANCE2_DELTA_0_SCR                  0
#define FUSE_OPT_ADC_CAL_INSTANCE2_DELTA_0_WORD_COUNT                   0x1
#define FUSE_OPT_ADC_CAL_INSTANCE2_DELTA_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_ADC_CAL_INSTANCE2_DELTA_0_RESET_MASK                   _MK_MASK_CONST(0x7fffff)
#define FUSE_OPT_ADC_CAL_INSTANCE2_DELTA_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_ADC_CAL_INSTANCE2_DELTA_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_OPT_ADC_CAL_INSTANCE2_DELTA_0_READ_MASK                    _MK_MASK_CONST(0x7fffff)
#define FUSE_OPT_ADC_CAL_INSTANCE2_DELTA_0_WRITE_MASK                   _MK_MASK_CONST(0x7fffff)
#define FUSE_OPT_ADC_CAL_INSTANCE2_DELTA_0_OPT_ADC_CAL_INSTANCE2_DELTA_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_OPT_ADC_CAL_INSTANCE2_DELTA_0_OPT_ADC_CAL_INSTANCE2_DELTA_FIELD                    _MK_FIELD_CONST(0x7fffff, FUSE_OPT_ADC_CAL_INSTANCE2_DELTA_0_OPT_ADC_CAL_INSTANCE2_DELTA_SHIFT)
#define FUSE_OPT_ADC_CAL_INSTANCE2_DELTA_0_OPT_ADC_CAL_INSTANCE2_DELTA_RANGE                    22:0
#define FUSE_OPT_ADC_CAL_INSTANCE2_DELTA_0_OPT_ADC_CAL_INSTANCE2_DELTA_WOFFSET                  0x0
#define FUSE_OPT_ADC_CAL_INSTANCE2_DELTA_0_OPT_ADC_CAL_INSTANCE2_DELTA_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_ADC_CAL_INSTANCE2_DELTA_0_OPT_ADC_CAL_INSTANCE2_DELTA_DEFAULT_MASK                     _MK_MASK_CONST(0x7fffff)
#define FUSE_OPT_ADC_CAL_INSTANCE2_DELTA_0_OPT_ADC_CAL_INSTANCE2_DELTA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_ADC_CAL_INSTANCE2_DELTA_0_OPT_ADC_CAL_INSTANCE2_DELTA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_OPT_ADC_CAL_INSTANCE3_DELTA_0
#define FUSE_OPT_ADC_CAL_INSTANCE3_DELTA_0                      _MK_ADDR_CONST(0x458)
#define FUSE_OPT_ADC_CAL_INSTANCE3_DELTA_0_SECURE                       0x0
#define FUSE_OPT_ADC_CAL_INSTANCE3_DELTA_0_SCR                  0
#define FUSE_OPT_ADC_CAL_INSTANCE3_DELTA_0_WORD_COUNT                   0x1
#define FUSE_OPT_ADC_CAL_INSTANCE3_DELTA_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_ADC_CAL_INSTANCE3_DELTA_0_RESET_MASK                   _MK_MASK_CONST(0x7fffff)
#define FUSE_OPT_ADC_CAL_INSTANCE3_DELTA_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_ADC_CAL_INSTANCE3_DELTA_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_OPT_ADC_CAL_INSTANCE3_DELTA_0_READ_MASK                    _MK_MASK_CONST(0x7fffff)
#define FUSE_OPT_ADC_CAL_INSTANCE3_DELTA_0_WRITE_MASK                   _MK_MASK_CONST(0x7fffff)
#define FUSE_OPT_ADC_CAL_INSTANCE3_DELTA_0_OPT_ADC_CAL_INSTANCE3_DELTA_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_OPT_ADC_CAL_INSTANCE3_DELTA_0_OPT_ADC_CAL_INSTANCE3_DELTA_FIELD                    _MK_FIELD_CONST(0x7fffff, FUSE_OPT_ADC_CAL_INSTANCE3_DELTA_0_OPT_ADC_CAL_INSTANCE3_DELTA_SHIFT)
#define FUSE_OPT_ADC_CAL_INSTANCE3_DELTA_0_OPT_ADC_CAL_INSTANCE3_DELTA_RANGE                    22:0
#define FUSE_OPT_ADC_CAL_INSTANCE3_DELTA_0_OPT_ADC_CAL_INSTANCE3_DELTA_WOFFSET                  0x0
#define FUSE_OPT_ADC_CAL_INSTANCE3_DELTA_0_OPT_ADC_CAL_INSTANCE3_DELTA_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_ADC_CAL_INSTANCE3_DELTA_0_OPT_ADC_CAL_INSTANCE3_DELTA_DEFAULT_MASK                     _MK_MASK_CONST(0x7fffff)
#define FUSE_OPT_ADC_CAL_INSTANCE3_DELTA_0_OPT_ADC_CAL_INSTANCE3_DELTA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_ADC_CAL_INSTANCE3_DELTA_0_OPT_ADC_CAL_INSTANCE3_DELTA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_BPMP_CONFIG_0
#define FUSE_BPMP_CONFIG_0                      _MK_ADDR_CONST(0x45c)
#define FUSE_BPMP_CONFIG_0_SECURE                       0x0
#define FUSE_BPMP_CONFIG_0_SCR                  0
#define FUSE_BPMP_CONFIG_0_WORD_COUNT                   0x1
#define FUSE_BPMP_CONFIG_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_BPMP_CONFIG_0_RESET_MASK                   _MK_MASK_CONST(0xf)
#define FUSE_BPMP_CONFIG_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_BPMP_CONFIG_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_BPMP_CONFIG_0_READ_MASK                    _MK_MASK_CONST(0xf)
#define FUSE_BPMP_CONFIG_0_WRITE_MASK                   _MK_MASK_CONST(0xf)
#define FUSE_BPMP_CONFIG_0_BPMP_CONFIG_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_BPMP_CONFIG_0_BPMP_CONFIG_FIELD                    _MK_FIELD_CONST(0xf, FUSE_BPMP_CONFIG_0_BPMP_CONFIG_SHIFT)
#define FUSE_BPMP_CONFIG_0_BPMP_CONFIG_RANGE                    3:0
#define FUSE_BPMP_CONFIG_0_BPMP_CONFIG_WOFFSET                  0x0
#define FUSE_BPMP_CONFIG_0_BPMP_CONFIG_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_BPMP_CONFIG_0_BPMP_CONFIG_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define FUSE_BPMP_CONFIG_0_BPMP_CONFIG_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_BPMP_CONFIG_0_BPMP_CONFIG_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_OPT_SECURE_SCANDEBUG_ACCESS_DISABLE_0
#define FUSE_OPT_SECURE_SCANDEBUG_ACCESS_DISABLE_0                      _MK_ADDR_CONST(0x460)
#define FUSE_OPT_SECURE_SCANDEBUG_ACCESS_DISABLE_0_SECURE                       0x0
#define FUSE_OPT_SECURE_SCANDEBUG_ACCESS_DISABLE_0_SCR                  0
#define FUSE_OPT_SECURE_SCANDEBUG_ACCESS_DISABLE_0_WORD_COUNT                   0x1
#define FUSE_OPT_SECURE_SCANDEBUG_ACCESS_DISABLE_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_SECURE_SCANDEBUG_ACCESS_DISABLE_0_RESET_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_OPT_SECURE_SCANDEBUG_ACCESS_DISABLE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_SECURE_SCANDEBUG_ACCESS_DISABLE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_OPT_SECURE_SCANDEBUG_ACCESS_DISABLE_0_READ_MASK                    _MK_MASK_CONST(0x1)
#define FUSE_OPT_SECURE_SCANDEBUG_ACCESS_DISABLE_0_WRITE_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_OPT_SECURE_SCANDEBUG_ACCESS_DISABLE_0_OPT_SECURE_SCANDEBUG_ACCESS_DISABLE_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_OPT_SECURE_SCANDEBUG_ACCESS_DISABLE_0_OPT_SECURE_SCANDEBUG_ACCESS_DISABLE_FIELD                    _MK_FIELD_CONST(0x1, FUSE_OPT_SECURE_SCANDEBUG_ACCESS_DISABLE_0_OPT_SECURE_SCANDEBUG_ACCESS_DISABLE_SHIFT)
#define FUSE_OPT_SECURE_SCANDEBUG_ACCESS_DISABLE_0_OPT_SECURE_SCANDEBUG_ACCESS_DISABLE_RANGE                    0:0
#define FUSE_OPT_SECURE_SCANDEBUG_ACCESS_DISABLE_0_OPT_SECURE_SCANDEBUG_ACCESS_DISABLE_WOFFSET                  0x0
#define FUSE_OPT_SECURE_SCANDEBUG_ACCESS_DISABLE_0_OPT_SECURE_SCANDEBUG_ACCESS_DISABLE_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_SECURE_SCANDEBUG_ACCESS_DISABLE_0_OPT_SECURE_SCANDEBUG_ACCESS_DISABLE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_OPT_SECURE_SCANDEBUG_ACCESS_DISABLE_0_OPT_SECURE_SCANDEBUG_ACCESS_DISABLE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_SECURE_SCANDEBUG_ACCESS_DISABLE_0_OPT_SECURE_SCANDEBUG_ACCESS_DISABLE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_OPT_FUSE_UCODE_ACR_HS_REV_0
#define FUSE_OPT_FUSE_UCODE_ACR_HS_REV_0                        _MK_ADDR_CONST(0x464)
#define FUSE_OPT_FUSE_UCODE_ACR_HS_REV_0_SECURE                         0x0
#define FUSE_OPT_FUSE_UCODE_ACR_HS_REV_0_SCR                    0
#define FUSE_OPT_FUSE_UCODE_ACR_HS_REV_0_WORD_COUNT                     0x1
#define FUSE_OPT_FUSE_UCODE_ACR_HS_REV_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_OPT_FUSE_UCODE_ACR_HS_REV_0_RESET_MASK                     _MK_MASK_CONST(0x7)
#define FUSE_OPT_FUSE_UCODE_ACR_HS_REV_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_OPT_FUSE_UCODE_ACR_HS_REV_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_FUSE_UCODE_ACR_HS_REV_0_READ_MASK                      _MK_MASK_CONST(0x7)
#define FUSE_OPT_FUSE_UCODE_ACR_HS_REV_0_WRITE_MASK                     _MK_MASK_CONST(0x7)
#define FUSE_OPT_FUSE_UCODE_ACR_HS_REV_0_OPT_FUSE_UCODE_ACR_HS_REV_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_OPT_FUSE_UCODE_ACR_HS_REV_0_OPT_FUSE_UCODE_ACR_HS_REV_FIELD                        _MK_FIELD_CONST(0x7, FUSE_OPT_FUSE_UCODE_ACR_HS_REV_0_OPT_FUSE_UCODE_ACR_HS_REV_SHIFT)
#define FUSE_OPT_FUSE_UCODE_ACR_HS_REV_0_OPT_FUSE_UCODE_ACR_HS_REV_RANGE                        2:0
#define FUSE_OPT_FUSE_UCODE_ACR_HS_REV_0_OPT_FUSE_UCODE_ACR_HS_REV_WOFFSET                      0x0
#define FUSE_OPT_FUSE_UCODE_ACR_HS_REV_0_OPT_FUSE_UCODE_ACR_HS_REV_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_OPT_FUSE_UCODE_ACR_HS_REV_0_OPT_FUSE_UCODE_ACR_HS_REV_DEFAULT_MASK                 _MK_MASK_CONST(0x7)
#define FUSE_OPT_FUSE_UCODE_ACR_HS_REV_0_OPT_FUSE_UCODE_ACR_HS_REV_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_OPT_FUSE_UCODE_ACR_HS_REV_0_OPT_FUSE_UCODE_ACR_HS_REV_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_OPT_FUSE_UCODE_NVDEC_REV_0
#define FUSE_OPT_FUSE_UCODE_NVDEC_REV_0                 _MK_ADDR_CONST(0x468)
#define FUSE_OPT_FUSE_UCODE_NVDEC_REV_0_SECURE                  0x0
#define FUSE_OPT_FUSE_UCODE_NVDEC_REV_0_SCR                     0
#define FUSE_OPT_FUSE_UCODE_NVDEC_REV_0_WORD_COUNT                      0x1
#define FUSE_OPT_FUSE_UCODE_NVDEC_REV_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_FUSE_UCODE_NVDEC_REV_0_RESET_MASK                      _MK_MASK_CONST(0x7)
#define FUSE_OPT_FUSE_UCODE_NVDEC_REV_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_FUSE_UCODE_NVDEC_REV_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define FUSE_OPT_FUSE_UCODE_NVDEC_REV_0_READ_MASK                       _MK_MASK_CONST(0x7)
#define FUSE_OPT_FUSE_UCODE_NVDEC_REV_0_WRITE_MASK                      _MK_MASK_CONST(0x7)
#define FUSE_OPT_FUSE_UCODE_NVDEC_REV_0_OPT_FUSE_UCODE_NVDEC_REV_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_OPT_FUSE_UCODE_NVDEC_REV_0_OPT_FUSE_UCODE_NVDEC_REV_FIELD                  _MK_FIELD_CONST(0x7, FUSE_OPT_FUSE_UCODE_NVDEC_REV_0_OPT_FUSE_UCODE_NVDEC_REV_SHIFT)
#define FUSE_OPT_FUSE_UCODE_NVDEC_REV_0_OPT_FUSE_UCODE_NVDEC_REV_RANGE                  2:0
#define FUSE_OPT_FUSE_UCODE_NVDEC_REV_0_OPT_FUSE_UCODE_NVDEC_REV_WOFFSET                        0x0
#define FUSE_OPT_FUSE_UCODE_NVDEC_REV_0_OPT_FUSE_UCODE_NVDEC_REV_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_FUSE_UCODE_NVDEC_REV_0_OPT_FUSE_UCODE_NVDEC_REV_DEFAULT_MASK                   _MK_MASK_CONST(0x7)
#define FUSE_OPT_FUSE_UCODE_NVDEC_REV_0_OPT_FUSE_UCODE_NVDEC_REV_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_FUSE_UCODE_NVDEC_REV_0_OPT_FUSE_UCODE_NVDEC_REV_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_VCM_REVISION_0
#define FUSE_VCM_REVISION_0                     _MK_ADDR_CONST(0x46c)
#define FUSE_VCM_REVISION_0_SECURE                      0x0
#define FUSE_VCM_REVISION_0_SCR                         0
#define FUSE_VCM_REVISION_0_WORD_COUNT                  0x1
#define FUSE_VCM_REVISION_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_VCM_REVISION_0_RESET_MASK                  _MK_MASK_CONST(0x1f)
#define FUSE_VCM_REVISION_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_VCM_REVISION_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_VCM_REVISION_0_READ_MASK                   _MK_MASK_CONST(0x1f)
#define FUSE_VCM_REVISION_0_WRITE_MASK                  _MK_MASK_CONST(0x1f)
#define FUSE_VCM_REVISION_0_VCM_REVISION_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_VCM_REVISION_0_VCM_REVISION_FIELD                  _MK_FIELD_CONST(0x1f, FUSE_VCM_REVISION_0_VCM_REVISION_SHIFT)
#define FUSE_VCM_REVISION_0_VCM_REVISION_RANGE                  4:0
#define FUSE_VCM_REVISION_0_VCM_REVISION_WOFFSET                        0x0
#define FUSE_VCM_REVISION_0_VCM_REVISION_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_VCM_REVISION_0_VCM_REVISION_DEFAULT_MASK                   _MK_MASK_CONST(0x1f)
#define FUSE_VCM_REVISION_0_VCM_REVISION_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_VCM_REVISION_0_VCM_REVISION_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_OPT_FEATURE_FUSES_OVERRIDE_DISABLE_0
#define FUSE_OPT_FEATURE_FUSES_OVERRIDE_DISABLE_0                       _MK_ADDR_CONST(0x470)
#define FUSE_OPT_FEATURE_FUSES_OVERRIDE_DISABLE_0_SECURE                        0x0
#define FUSE_OPT_FEATURE_FUSES_OVERRIDE_DISABLE_0_SCR                   0
#define FUSE_OPT_FEATURE_FUSES_OVERRIDE_DISABLE_0_WORD_COUNT                    0x1
#define FUSE_OPT_FEATURE_FUSES_OVERRIDE_DISABLE_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_FEATURE_FUSES_OVERRIDE_DISABLE_0_RESET_MASK                    _MK_MASK_CONST(0x1)
#define FUSE_OPT_FEATURE_FUSES_OVERRIDE_DISABLE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_FEATURE_FUSES_OVERRIDE_DISABLE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_FEATURE_FUSES_OVERRIDE_DISABLE_0_READ_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_OPT_FEATURE_FUSES_OVERRIDE_DISABLE_0_WRITE_MASK                    _MK_MASK_CONST(0x1)
#define FUSE_OPT_FEATURE_FUSES_OVERRIDE_DISABLE_0_OPT_FEATURE_FUSES_OVERRIDE_DISABLE_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_OPT_FEATURE_FUSES_OVERRIDE_DISABLE_0_OPT_FEATURE_FUSES_OVERRIDE_DISABLE_FIELD                      _MK_FIELD_CONST(0x1, FUSE_OPT_FEATURE_FUSES_OVERRIDE_DISABLE_0_OPT_FEATURE_FUSES_OVERRIDE_DISABLE_SHIFT)
#define FUSE_OPT_FEATURE_FUSES_OVERRIDE_DISABLE_0_OPT_FEATURE_FUSES_OVERRIDE_DISABLE_RANGE                      0:0
#define FUSE_OPT_FEATURE_FUSES_OVERRIDE_DISABLE_0_OPT_FEATURE_FUSES_OVERRIDE_DISABLE_WOFFSET                    0x0
#define FUSE_OPT_FEATURE_FUSES_OVERRIDE_DISABLE_0_OPT_FEATURE_FUSES_OVERRIDE_DISABLE_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_OPT_FEATURE_FUSES_OVERRIDE_DISABLE_0_OPT_FEATURE_FUSES_OVERRIDE_DISABLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_OPT_FEATURE_FUSES_OVERRIDE_DISABLE_0_OPT_FEATURE_FUSES_OVERRIDE_DISABLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_OPT_FEATURE_FUSES_OVERRIDE_DISABLE_0_OPT_FEATURE_FUSES_OVERRIDE_DISABLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_MCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0
#define FUSE_MCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0                  _MK_ADDR_CONST(0x474)
#define FUSE_MCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_SECURE                   0x0
#define FUSE_MCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_SCR                      0
#define FUSE_MCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_WORD_COUNT                       0x1
#define FUSE_MCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_MCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_RESET_MASK                       _MK_MASK_CONST(0x3f)
#define FUSE_MCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_MCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_MCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_READ_MASK                        _MK_MASK_CONST(0x3f)
#define FUSE_MCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_WRITE_MASK                       _MK_MASK_CONST(0x3f)
#define FUSE_MCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_MCLUSTER_HT_IDDQ_RAM_RATIOCALIB_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_MCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_MCLUSTER_HT_IDDQ_RAM_RATIOCALIB_FIELD                    _MK_FIELD_CONST(0x3f, FUSE_MCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_MCLUSTER_HT_IDDQ_RAM_RATIOCALIB_SHIFT)
#define FUSE_MCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_MCLUSTER_HT_IDDQ_RAM_RATIOCALIB_RANGE                    5:0
#define FUSE_MCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_MCLUSTER_HT_IDDQ_RAM_RATIOCALIB_WOFFSET                  0x0
#define FUSE_MCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_MCLUSTER_HT_IDDQ_RAM_RATIOCALIB_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_MCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_MCLUSTER_HT_IDDQ_RAM_RATIOCALIB_DEFAULT_MASK                     _MK_MASK_CONST(0x3f)
#define FUSE_MCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_MCLUSTER_HT_IDDQ_RAM_RATIOCALIB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_MCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_MCLUSTER_HT_IDDQ_RAM_RATIOCALIB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_BCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0
#define FUSE_BCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0                  _MK_ADDR_CONST(0x478)
#define FUSE_BCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_SECURE                   0x0
#define FUSE_BCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_SCR                      0
#define FUSE_BCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_WORD_COUNT                       0x1
#define FUSE_BCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_BCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_RESET_MASK                       _MK_MASK_CONST(0x3ff)
#define FUSE_BCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_BCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_BCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_READ_MASK                        _MK_MASK_CONST(0x3ff)
#define FUSE_BCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_WRITE_MASK                       _MK_MASK_CONST(0x3ff)
#define FUSE_BCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_BCLUSTER_WITH_RAM_HT_IDDQ_CALIB_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_BCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_BCLUSTER_WITH_RAM_HT_IDDQ_CALIB_FIELD                    _MK_FIELD_CONST(0x3ff, FUSE_BCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_BCLUSTER_WITH_RAM_HT_IDDQ_CALIB_SHIFT)
#define FUSE_BCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_BCLUSTER_WITH_RAM_HT_IDDQ_CALIB_RANGE                    9:0
#define FUSE_BCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_BCLUSTER_WITH_RAM_HT_IDDQ_CALIB_WOFFSET                  0x0
#define FUSE_BCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_BCLUSTER_WITH_RAM_HT_IDDQ_CALIB_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_BCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_BCLUSTER_WITH_RAM_HT_IDDQ_CALIB_DEFAULT_MASK                     _MK_MASK_CONST(0x3ff)
#define FUSE_BCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_BCLUSTER_WITH_RAM_HT_IDDQ_CALIB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_BCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0_BCLUSTER_WITH_RAM_HT_IDDQ_CALIB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_BCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0
#define FUSE_BCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0                  _MK_ADDR_CONST(0x47c)
#define FUSE_BCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_SECURE                   0x0
#define FUSE_BCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_SCR                      0
#define FUSE_BCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_WORD_COUNT                       0x1
#define FUSE_BCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_BCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_RESET_MASK                       _MK_MASK_CONST(0x3f)
#define FUSE_BCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_BCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_BCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_READ_MASK                        _MK_MASK_CONST(0x3f)
#define FUSE_BCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_WRITE_MASK                       _MK_MASK_CONST(0x3f)
#define FUSE_BCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_BCLUSTER_HT_IDDQ_RAM_RATIOCALIB_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_BCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_BCLUSTER_HT_IDDQ_RAM_RATIOCALIB_FIELD                    _MK_FIELD_CONST(0x3f, FUSE_BCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_BCLUSTER_HT_IDDQ_RAM_RATIOCALIB_SHIFT)
#define FUSE_BCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_BCLUSTER_HT_IDDQ_RAM_RATIOCALIB_RANGE                    5:0
#define FUSE_BCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_BCLUSTER_HT_IDDQ_RAM_RATIOCALIB_WOFFSET                  0x0
#define FUSE_BCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_BCLUSTER_HT_IDDQ_RAM_RATIOCALIB_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_BCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_BCLUSTER_HT_IDDQ_RAM_RATIOCALIB_DEFAULT_MASK                     _MK_MASK_CONST(0x3f)
#define FUSE_BCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_BCLUSTER_HT_IDDQ_RAM_RATIOCALIB_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_BCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0_BCLUSTER_HT_IDDQ_RAM_RATIOCALIB_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_SRAM_HT_IDDQ_CALIB_0
#define FUSE_SRAM_HT_IDDQ_CALIB_0                       _MK_ADDR_CONST(0x480)
#define FUSE_SRAM_HT_IDDQ_CALIB_0_SECURE                        0x0
#define FUSE_SRAM_HT_IDDQ_CALIB_0_SCR                   0
#define FUSE_SRAM_HT_IDDQ_CALIB_0_WORD_COUNT                    0x1
#define FUSE_SRAM_HT_IDDQ_CALIB_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_SRAM_HT_IDDQ_CALIB_0_RESET_MASK                    _MK_MASK_CONST(0x3ff)
#define FUSE_SRAM_HT_IDDQ_CALIB_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_SRAM_HT_IDDQ_CALIB_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_SRAM_HT_IDDQ_CALIB_0_READ_MASK                     _MK_MASK_CONST(0x3ff)
#define FUSE_SRAM_HT_IDDQ_CALIB_0_WRITE_MASK                    _MK_MASK_CONST(0x3ff)
#define FUSE_SRAM_HT_IDDQ_CALIB_0_SRAM_HT_IDDQ_CALIB_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_SRAM_HT_IDDQ_CALIB_0_SRAM_HT_IDDQ_CALIB_FIELD                      _MK_FIELD_CONST(0x3ff, FUSE_SRAM_HT_IDDQ_CALIB_0_SRAM_HT_IDDQ_CALIB_SHIFT)
#define FUSE_SRAM_HT_IDDQ_CALIB_0_SRAM_HT_IDDQ_CALIB_RANGE                      9:0
#define FUSE_SRAM_HT_IDDQ_CALIB_0_SRAM_HT_IDDQ_CALIB_WOFFSET                    0x0
#define FUSE_SRAM_HT_IDDQ_CALIB_0_SRAM_HT_IDDQ_CALIB_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_SRAM_HT_IDDQ_CALIB_0_SRAM_HT_IDDQ_CALIB_DEFAULT_MASK                       _MK_MASK_CONST(0x3ff)
#define FUSE_SRAM_HT_IDDQ_CALIB_0_SRAM_HT_IDDQ_CALIB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_SRAM_HT_IDDQ_CALIB_0_SRAM_HT_IDDQ_CALIB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_MCLUSTER_LT_IDDQ_CALIB_0
#define FUSE_MCLUSTER_LT_IDDQ_CALIB_0                   _MK_ADDR_CONST(0x484)
#define FUSE_MCLUSTER_LT_IDDQ_CALIB_0_SECURE                    0x0
#define FUSE_MCLUSTER_LT_IDDQ_CALIB_0_SCR                       0
#define FUSE_MCLUSTER_LT_IDDQ_CALIB_0_WORD_COUNT                        0x1
#define FUSE_MCLUSTER_LT_IDDQ_CALIB_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_MCLUSTER_LT_IDDQ_CALIB_0_RESET_MASK                        _MK_MASK_CONST(0x3f)
#define FUSE_MCLUSTER_LT_IDDQ_CALIB_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_MCLUSTER_LT_IDDQ_CALIB_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_MCLUSTER_LT_IDDQ_CALIB_0_READ_MASK                         _MK_MASK_CONST(0x3f)
#define FUSE_MCLUSTER_LT_IDDQ_CALIB_0_WRITE_MASK                        _MK_MASK_CONST(0x3f)
#define FUSE_MCLUSTER_LT_IDDQ_CALIB_0_MCLUSTER_LT_IDDQ_CALIB_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_MCLUSTER_LT_IDDQ_CALIB_0_MCLUSTER_LT_IDDQ_CALIB_FIELD                      _MK_FIELD_CONST(0x3f, FUSE_MCLUSTER_LT_IDDQ_CALIB_0_MCLUSTER_LT_IDDQ_CALIB_SHIFT)
#define FUSE_MCLUSTER_LT_IDDQ_CALIB_0_MCLUSTER_LT_IDDQ_CALIB_RANGE                      5:0
#define FUSE_MCLUSTER_LT_IDDQ_CALIB_0_MCLUSTER_LT_IDDQ_CALIB_WOFFSET                    0x0
#define FUSE_MCLUSTER_LT_IDDQ_CALIB_0_MCLUSTER_LT_IDDQ_CALIB_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_MCLUSTER_LT_IDDQ_CALIB_0_MCLUSTER_LT_IDDQ_CALIB_DEFAULT_MASK                       _MK_MASK_CONST(0x3f)
#define FUSE_MCLUSTER_LT_IDDQ_CALIB_0_MCLUSTER_LT_IDDQ_CALIB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_MCLUSTER_LT_IDDQ_CALIB_0_MCLUSTER_LT_IDDQ_CALIB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_BCLUSTER_LT_IDDQ_CALIB_0
#define FUSE_BCLUSTER_LT_IDDQ_CALIB_0                   _MK_ADDR_CONST(0x488)
#define FUSE_BCLUSTER_LT_IDDQ_CALIB_0_SECURE                    0x0
#define FUSE_BCLUSTER_LT_IDDQ_CALIB_0_SCR                       0
#define FUSE_BCLUSTER_LT_IDDQ_CALIB_0_WORD_COUNT                        0x1
#define FUSE_BCLUSTER_LT_IDDQ_CALIB_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_BCLUSTER_LT_IDDQ_CALIB_0_RESET_MASK                        _MK_MASK_CONST(0x3f)
#define FUSE_BCLUSTER_LT_IDDQ_CALIB_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_BCLUSTER_LT_IDDQ_CALIB_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_BCLUSTER_LT_IDDQ_CALIB_0_READ_MASK                         _MK_MASK_CONST(0x3f)
#define FUSE_BCLUSTER_LT_IDDQ_CALIB_0_WRITE_MASK                        _MK_MASK_CONST(0x3f)
#define FUSE_BCLUSTER_LT_IDDQ_CALIB_0_BCLUSTER_LT_IDDQ_CALIB_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_BCLUSTER_LT_IDDQ_CALIB_0_BCLUSTER_LT_IDDQ_CALIB_FIELD                      _MK_FIELD_CONST(0x3f, FUSE_BCLUSTER_LT_IDDQ_CALIB_0_BCLUSTER_LT_IDDQ_CALIB_SHIFT)
#define FUSE_BCLUSTER_LT_IDDQ_CALIB_0_BCLUSTER_LT_IDDQ_CALIB_RANGE                      5:0
#define FUSE_BCLUSTER_LT_IDDQ_CALIB_0_BCLUSTER_LT_IDDQ_CALIB_WOFFSET                    0x0
#define FUSE_BCLUSTER_LT_IDDQ_CALIB_0_BCLUSTER_LT_IDDQ_CALIB_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_BCLUSTER_LT_IDDQ_CALIB_0_BCLUSTER_LT_IDDQ_CALIB_DEFAULT_MASK                       _MK_MASK_CONST(0x3f)
#define FUSE_BCLUSTER_LT_IDDQ_CALIB_0_BCLUSTER_LT_IDDQ_CALIB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_BCLUSTER_LT_IDDQ_CALIB_0_BCLUSTER_LT_IDDQ_CALIB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_SOC_LT_IDDQ_CALIB_0
#define FUSE_SOC_LT_IDDQ_CALIB_0                        _MK_ADDR_CONST(0x48c)
#define FUSE_SOC_LT_IDDQ_CALIB_0_SECURE                         0x0
#define FUSE_SOC_LT_IDDQ_CALIB_0_SCR                    0
#define FUSE_SOC_LT_IDDQ_CALIB_0_WORD_COUNT                     0x1
#define FUSE_SOC_LT_IDDQ_CALIB_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SOC_LT_IDDQ_CALIB_0_RESET_MASK                     _MK_MASK_CONST(0x3f)
#define FUSE_SOC_LT_IDDQ_CALIB_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_SOC_LT_IDDQ_CALIB_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define FUSE_SOC_LT_IDDQ_CALIB_0_READ_MASK                      _MK_MASK_CONST(0x3f)
#define FUSE_SOC_LT_IDDQ_CALIB_0_WRITE_MASK                     _MK_MASK_CONST(0x3f)
#define FUSE_SOC_LT_IDDQ_CALIB_0_SOC_LT_IDDQ_CALIB_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_SOC_LT_IDDQ_CALIB_0_SOC_LT_IDDQ_CALIB_FIELD                        _MK_FIELD_CONST(0x3f, FUSE_SOC_LT_IDDQ_CALIB_0_SOC_LT_IDDQ_CALIB_SHIFT)
#define FUSE_SOC_LT_IDDQ_CALIB_0_SOC_LT_IDDQ_CALIB_RANGE                        5:0
#define FUSE_SOC_LT_IDDQ_CALIB_0_SOC_LT_IDDQ_CALIB_WOFFSET                      0x0
#define FUSE_SOC_LT_IDDQ_CALIB_0_SOC_LT_IDDQ_CALIB_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_SOC_LT_IDDQ_CALIB_0_SOC_LT_IDDQ_CALIB_DEFAULT_MASK                 _MK_MASK_CONST(0x3f)
#define FUSE_SOC_LT_IDDQ_CALIB_0_SOC_LT_IDDQ_CALIB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_SOC_LT_IDDQ_CALIB_0_SOC_LT_IDDQ_CALIB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_GPU_LT_IDDQ_CALIB_0
#define FUSE_GPU_LT_IDDQ_CALIB_0                        _MK_ADDR_CONST(0x490)
#define FUSE_GPU_LT_IDDQ_CALIB_0_SECURE                         0x0
#define FUSE_GPU_LT_IDDQ_CALIB_0_SCR                    0
#define FUSE_GPU_LT_IDDQ_CALIB_0_WORD_COUNT                     0x1
#define FUSE_GPU_LT_IDDQ_CALIB_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_GPU_LT_IDDQ_CALIB_0_RESET_MASK                     _MK_MASK_CONST(0x3f)
#define FUSE_GPU_LT_IDDQ_CALIB_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define FUSE_GPU_LT_IDDQ_CALIB_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define FUSE_GPU_LT_IDDQ_CALIB_0_READ_MASK                      _MK_MASK_CONST(0x3f)
#define FUSE_GPU_LT_IDDQ_CALIB_0_WRITE_MASK                     _MK_MASK_CONST(0x3f)
#define FUSE_GPU_LT_IDDQ_CALIB_0_GPU_LT_IDDQ_CALIB_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_GPU_LT_IDDQ_CALIB_0_GPU_LT_IDDQ_CALIB_FIELD                        _MK_FIELD_CONST(0x3f, FUSE_GPU_LT_IDDQ_CALIB_0_GPU_LT_IDDQ_CALIB_SHIFT)
#define FUSE_GPU_LT_IDDQ_CALIB_0_GPU_LT_IDDQ_CALIB_RANGE                        5:0
#define FUSE_GPU_LT_IDDQ_CALIB_0_GPU_LT_IDDQ_CALIB_WOFFSET                      0x0
#define FUSE_GPU_LT_IDDQ_CALIB_0_GPU_LT_IDDQ_CALIB_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_GPU_LT_IDDQ_CALIB_0_GPU_LT_IDDQ_CALIB_DEFAULT_MASK                 _MK_MASK_CONST(0x3f)
#define FUSE_GPU_LT_IDDQ_CALIB_0_GPU_LT_IDDQ_CALIB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_GPU_LT_IDDQ_CALIB_0_GPU_LT_IDDQ_CALIB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_OPT_INTERNAL_SKU_0
#define FUSE_OPT_INTERNAL_SKU_0                 _MK_ADDR_CONST(0x494)
#define FUSE_OPT_INTERNAL_SKU_0_SECURE                  0x0
#define FUSE_OPT_INTERNAL_SKU_0_SCR                     0
#define FUSE_OPT_INTERNAL_SKU_0_WORD_COUNT                      0x1
#define FUSE_OPT_INTERNAL_SKU_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_OPT_INTERNAL_SKU_0_RESET_MASK                      _MK_MASK_CONST(0x1)
#define FUSE_OPT_INTERNAL_SKU_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_OPT_INTERNAL_SKU_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define FUSE_OPT_INTERNAL_SKU_0_READ_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_OPT_INTERNAL_SKU_0_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define FUSE_OPT_INTERNAL_SKU_0_OPT_INTERNAL_SKU_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_OPT_INTERNAL_SKU_0_OPT_INTERNAL_SKU_FIELD                  _MK_FIELD_CONST(0x1, FUSE_OPT_INTERNAL_SKU_0_OPT_INTERNAL_SKU_SHIFT)
#define FUSE_OPT_INTERNAL_SKU_0_OPT_INTERNAL_SKU_RANGE                  0:0
#define FUSE_OPT_INTERNAL_SKU_0_OPT_INTERNAL_SKU_WOFFSET                        0x0
#define FUSE_OPT_INTERNAL_SKU_0_OPT_INTERNAL_SKU_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_OPT_INTERNAL_SKU_0_OPT_INTERNAL_SKU_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_OPT_INTERNAL_SKU_0_OPT_INTERNAL_SKU_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_OPT_INTERNAL_SKU_0_OPT_INTERNAL_SKU_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_FUSE2NVDEC_DEBUG_DISABLE_0
#define FUSE_FUSE2NVDEC_DEBUG_DISABLE_0                 _MK_ADDR_CONST(0x498)
#define FUSE_FUSE2NVDEC_DEBUG_DISABLE_0_SECURE                  0x0
#define FUSE_FUSE2NVDEC_DEBUG_DISABLE_0_SCR                     0
#define FUSE_FUSE2NVDEC_DEBUG_DISABLE_0_WORD_COUNT                      0x1
#define FUSE_FUSE2NVDEC_DEBUG_DISABLE_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_FUSE2NVDEC_DEBUG_DISABLE_0_RESET_MASK                      _MK_MASK_CONST(0x1)
#define FUSE_FUSE2NVDEC_DEBUG_DISABLE_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_FUSE2NVDEC_DEBUG_DISABLE_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define FUSE_FUSE2NVDEC_DEBUG_DISABLE_0_READ_MASK                       _MK_MASK_CONST(0x1)
#define FUSE_FUSE2NVDEC_DEBUG_DISABLE_0_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define FUSE_FUSE2NVDEC_DEBUG_DISABLE_0_FUSE2NVDEC_DEBUG_DISABLE_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_FUSE2NVDEC_DEBUG_DISABLE_0_FUSE2NVDEC_DEBUG_DISABLE_FIELD                  _MK_FIELD_CONST(0x1, FUSE_FUSE2NVDEC_DEBUG_DISABLE_0_FUSE2NVDEC_DEBUG_DISABLE_SHIFT)
#define FUSE_FUSE2NVDEC_DEBUG_DISABLE_0_FUSE2NVDEC_DEBUG_DISABLE_RANGE                  0:0
#define FUSE_FUSE2NVDEC_DEBUG_DISABLE_0_FUSE2NVDEC_DEBUG_DISABLE_WOFFSET                        0x0
#define FUSE_FUSE2NVDEC_DEBUG_DISABLE_0_FUSE2NVDEC_DEBUG_DISABLE_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_FUSE2NVDEC_DEBUG_DISABLE_0_FUSE2NVDEC_DEBUG_DISABLE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_FUSE2NVDEC_DEBUG_DISABLE_0_FUSE2NVDEC_DEBUG_DISABLE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_FUSE2NVDEC_DEBUG_DISABLE_0_FUSE2NVDEC_DEBUG_DISABLE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SATA_NV_CALIB_0
#define FUSE_SATA_NV_CALIB_0                    _MK_ADDR_CONST(0x49c)
#define FUSE_SATA_NV_CALIB_0_SECURE                     0x0
#define FUSE_SATA_NV_CALIB_0_SCR                        0
#define FUSE_SATA_NV_CALIB_0_WORD_COUNT                         0x1
#define FUSE_SATA_NV_CALIB_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_SATA_NV_CALIB_0_RESET_MASK                         _MK_MASK_CONST(0xf)
#define FUSE_SATA_NV_CALIB_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_SATA_NV_CALIB_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_SATA_NV_CALIB_0_READ_MASK                  _MK_MASK_CONST(0xf)
#define FUSE_SATA_NV_CALIB_0_WRITE_MASK                         _MK_MASK_CONST(0xf)
#define FUSE_SATA_NV_CALIB_0_SATA_NV_CALIB_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_SATA_NV_CALIB_0_SATA_NV_CALIB_FIELD                        _MK_FIELD_CONST(0xf, FUSE_SATA_NV_CALIB_0_SATA_NV_CALIB_SHIFT)
#define FUSE_SATA_NV_CALIB_0_SATA_NV_CALIB_RANGE                        3:0
#define FUSE_SATA_NV_CALIB_0_SATA_NV_CALIB_WOFFSET                      0x0
#define FUSE_SATA_NV_CALIB_0_SATA_NV_CALIB_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_SATA_NV_CALIB_0_SATA_NV_CALIB_DEFAULT_MASK                 _MK_MASK_CONST(0xf)
#define FUSE_SATA_NV_CALIB_0_SATA_NV_CALIB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_SATA_NV_CALIB_0_SATA_NV_CALIB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_MPHY_NV_CALIB_0
#define FUSE_MPHY_NV_CALIB_0                    _MK_ADDR_CONST(0x4a0)
#define FUSE_MPHY_NV_CALIB_0_SECURE                     0x0
#define FUSE_MPHY_NV_CALIB_0_SCR                        0
#define FUSE_MPHY_NV_CALIB_0_WORD_COUNT                         0x1
#define FUSE_MPHY_NV_CALIB_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_MPHY_NV_CALIB_0_RESET_MASK                         _MK_MASK_CONST(0x3f)
#define FUSE_MPHY_NV_CALIB_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_MPHY_NV_CALIB_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_MPHY_NV_CALIB_0_READ_MASK                  _MK_MASK_CONST(0x3f)
#define FUSE_MPHY_NV_CALIB_0_WRITE_MASK                         _MK_MASK_CONST(0x3f)
#define FUSE_MPHY_NV_CALIB_0_MPHY_NV_CALIB_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_MPHY_NV_CALIB_0_MPHY_NV_CALIB_FIELD                        _MK_FIELD_CONST(0x3f, FUSE_MPHY_NV_CALIB_0_MPHY_NV_CALIB_SHIFT)
#define FUSE_MPHY_NV_CALIB_0_MPHY_NV_CALIB_RANGE                        5:0
#define FUSE_MPHY_NV_CALIB_0_MPHY_NV_CALIB_WOFFSET                      0x0
#define FUSE_MPHY_NV_CALIB_0_MPHY_NV_CALIB_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_MPHY_NV_CALIB_0_MPHY_NV_CALIB_DEFAULT_MASK                 _MK_MASK_CONST(0x3f)
#define FUSE_MPHY_NV_CALIB_0_MPHY_NV_CALIB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_MPHY_NV_CALIB_0_MPHY_NV_CALIB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_HYPERVOLTAGING_EXT_0
#define FUSE_HYPERVOLTAGING_EXT_0                       _MK_ADDR_CONST(0x4a4)
#define FUSE_HYPERVOLTAGING_EXT_0_SECURE                        0x0
#define FUSE_HYPERVOLTAGING_EXT_0_SCR                   0
#define FUSE_HYPERVOLTAGING_EXT_0_WORD_COUNT                    0x1
#define FUSE_HYPERVOLTAGING_EXT_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_HYPERVOLTAGING_EXT_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define FUSE_HYPERVOLTAGING_EXT_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define FUSE_HYPERVOLTAGING_EXT_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define FUSE_HYPERVOLTAGING_EXT_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define FUSE_HYPERVOLTAGING_EXT_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define FUSE_HYPERVOLTAGING_EXT_0_HYPERVOLTAGING_EXT_SHIFT                      _MK_SHIFT_CONST(0)
#define FUSE_HYPERVOLTAGING_EXT_0_HYPERVOLTAGING_EXT_FIELD                      _MK_FIELD_CONST(0xffffffff, FUSE_HYPERVOLTAGING_EXT_0_HYPERVOLTAGING_EXT_SHIFT)
#define FUSE_HYPERVOLTAGING_EXT_0_HYPERVOLTAGING_EXT_RANGE                      31:0
#define FUSE_HYPERVOLTAGING_EXT_0_HYPERVOLTAGING_EXT_WOFFSET                    0x0
#define FUSE_HYPERVOLTAGING_EXT_0_HYPERVOLTAGING_EXT_DEFAULT                    _MK_MASK_CONST(0x0)
#define FUSE_HYPERVOLTAGING_EXT_0_HYPERVOLTAGING_EXT_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define FUSE_HYPERVOLTAGING_EXT_0_HYPERVOLTAGING_EXT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define FUSE_HYPERVOLTAGING_EXT_0_HYPERVOLTAGING_EXT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register FUSE_BOOTROM_PATCH_VERSION_0
#define FUSE_BOOTROM_PATCH_VERSION_0                    _MK_ADDR_CONST(0x4a8)
#define FUSE_BOOTROM_PATCH_VERSION_0_SECURE                     0x0
#define FUSE_BOOTROM_PATCH_VERSION_0_SCR                        0
#define FUSE_BOOTROM_PATCH_VERSION_0_WORD_COUNT                         0x1
#define FUSE_BOOTROM_PATCH_VERSION_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define FUSE_BOOTROM_PATCH_VERSION_0_RESET_MASK                         _MK_MASK_CONST(0xff)
#define FUSE_BOOTROM_PATCH_VERSION_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define FUSE_BOOTROM_PATCH_VERSION_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define FUSE_BOOTROM_PATCH_VERSION_0_READ_MASK                  _MK_MASK_CONST(0xff)
#define FUSE_BOOTROM_PATCH_VERSION_0_WRITE_MASK                         _MK_MASK_CONST(0xff)
#define FUSE_BOOTROM_PATCH_VERSION_0_BOOTROM_PATCH_VERSION_SHIFT                        _MK_SHIFT_CONST(0)
#define FUSE_BOOTROM_PATCH_VERSION_0_BOOTROM_PATCH_VERSION_FIELD                        _MK_FIELD_CONST(0xff, FUSE_BOOTROM_PATCH_VERSION_0_BOOTROM_PATCH_VERSION_SHIFT)
#define FUSE_BOOTROM_PATCH_VERSION_0_BOOTROM_PATCH_VERSION_RANGE                        7:0
#define FUSE_BOOTROM_PATCH_VERSION_0_BOOTROM_PATCH_VERSION_WOFFSET                      0x0
#define FUSE_BOOTROM_PATCH_VERSION_0_BOOTROM_PATCH_VERSION_DEFAULT                      _MK_MASK_CONST(0x0)
#define FUSE_BOOTROM_PATCH_VERSION_0_BOOTROM_PATCH_VERSION_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define FUSE_BOOTROM_PATCH_VERSION_0_BOOTROM_PATCH_VERSION_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define FUSE_BOOTROM_PATCH_VERSION_0_BOOTROM_PATCH_VERSION_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_0_0
#define FUSE_SPARE_BIT_0_0                      _MK_ADDR_CONST(0x4ac)
#define FUSE_SPARE_BIT_0_0_SECURE                       0x0
#define FUSE_SPARE_BIT_0_0_SCR                  0
#define FUSE_SPARE_BIT_0_0_WORD_COUNT                   0x1
#define FUSE_SPARE_BIT_0_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_0_0_RESET_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_0_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_0_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_0_0_READ_MASK                    _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_0_0_WRITE_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_0_0_SPARE_BIT_0_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_0_0_SPARE_BIT_0_FIELD                    _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_0_0_SPARE_BIT_0_SHIFT)
#define FUSE_SPARE_BIT_0_0_SPARE_BIT_0_RANGE                    0:0
#define FUSE_SPARE_BIT_0_0_SPARE_BIT_0_WOFFSET                  0x0
#define FUSE_SPARE_BIT_0_0_SPARE_BIT_0_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_0_0_SPARE_BIT_0_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_0_0_SPARE_BIT_0_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_0_0_SPARE_BIT_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_1_0
#define FUSE_SPARE_BIT_1_0                      _MK_ADDR_CONST(0x4b0)
#define FUSE_SPARE_BIT_1_0_SECURE                       0x0
#define FUSE_SPARE_BIT_1_0_SCR                  0
#define FUSE_SPARE_BIT_1_0_WORD_COUNT                   0x1
#define FUSE_SPARE_BIT_1_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_1_0_RESET_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_1_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_1_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_1_0_READ_MASK                    _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_1_0_WRITE_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_1_0_SPARE_BIT_1_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_1_0_SPARE_BIT_1_FIELD                    _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_1_0_SPARE_BIT_1_SHIFT)
#define FUSE_SPARE_BIT_1_0_SPARE_BIT_1_RANGE                    0:0
#define FUSE_SPARE_BIT_1_0_SPARE_BIT_1_WOFFSET                  0x0
#define FUSE_SPARE_BIT_1_0_SPARE_BIT_1_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_1_0_SPARE_BIT_1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_1_0_SPARE_BIT_1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_1_0_SPARE_BIT_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_2_0
#define FUSE_SPARE_BIT_2_0                      _MK_ADDR_CONST(0x4b4)
#define FUSE_SPARE_BIT_2_0_SECURE                       0x0
#define FUSE_SPARE_BIT_2_0_SCR                  0
#define FUSE_SPARE_BIT_2_0_WORD_COUNT                   0x1
#define FUSE_SPARE_BIT_2_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_2_0_RESET_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_2_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_2_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_2_0_READ_MASK                    _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_2_0_WRITE_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_2_0_SPARE_BIT_2_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_2_0_SPARE_BIT_2_FIELD                    _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_2_0_SPARE_BIT_2_SHIFT)
#define FUSE_SPARE_BIT_2_0_SPARE_BIT_2_RANGE                    0:0
#define FUSE_SPARE_BIT_2_0_SPARE_BIT_2_WOFFSET                  0x0
#define FUSE_SPARE_BIT_2_0_SPARE_BIT_2_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_2_0_SPARE_BIT_2_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_2_0_SPARE_BIT_2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_2_0_SPARE_BIT_2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_3_0
#define FUSE_SPARE_BIT_3_0                      _MK_ADDR_CONST(0x4b8)
#define FUSE_SPARE_BIT_3_0_SECURE                       0x0
#define FUSE_SPARE_BIT_3_0_SCR                  0
#define FUSE_SPARE_BIT_3_0_WORD_COUNT                   0x1
#define FUSE_SPARE_BIT_3_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_3_0_RESET_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_3_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_3_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_3_0_READ_MASK                    _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_3_0_WRITE_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_3_0_SPARE_BIT_3_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_3_0_SPARE_BIT_3_FIELD                    _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_3_0_SPARE_BIT_3_SHIFT)
#define FUSE_SPARE_BIT_3_0_SPARE_BIT_3_RANGE                    0:0
#define FUSE_SPARE_BIT_3_0_SPARE_BIT_3_WOFFSET                  0x0
#define FUSE_SPARE_BIT_3_0_SPARE_BIT_3_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_3_0_SPARE_BIT_3_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_3_0_SPARE_BIT_3_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_3_0_SPARE_BIT_3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_4_0
#define FUSE_SPARE_BIT_4_0                      _MK_ADDR_CONST(0x4bc)
#define FUSE_SPARE_BIT_4_0_SECURE                       0x0
#define FUSE_SPARE_BIT_4_0_SCR                  0
#define FUSE_SPARE_BIT_4_0_WORD_COUNT                   0x1
#define FUSE_SPARE_BIT_4_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_4_0_RESET_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_4_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_4_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_4_0_READ_MASK                    _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_4_0_WRITE_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_4_0_SPARE_BIT_4_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_4_0_SPARE_BIT_4_FIELD                    _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_4_0_SPARE_BIT_4_SHIFT)
#define FUSE_SPARE_BIT_4_0_SPARE_BIT_4_RANGE                    0:0
#define FUSE_SPARE_BIT_4_0_SPARE_BIT_4_WOFFSET                  0x0
#define FUSE_SPARE_BIT_4_0_SPARE_BIT_4_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_4_0_SPARE_BIT_4_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_4_0_SPARE_BIT_4_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_4_0_SPARE_BIT_4_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_5_0
#define FUSE_SPARE_BIT_5_0                      _MK_ADDR_CONST(0x4c0)
#define FUSE_SPARE_BIT_5_0_SECURE                       0x0
#define FUSE_SPARE_BIT_5_0_SCR                  0
#define FUSE_SPARE_BIT_5_0_WORD_COUNT                   0x1
#define FUSE_SPARE_BIT_5_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_5_0_RESET_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_5_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_5_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_5_0_READ_MASK                    _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_5_0_WRITE_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_5_0_SPARE_BIT_5_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_5_0_SPARE_BIT_5_FIELD                    _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_5_0_SPARE_BIT_5_SHIFT)
#define FUSE_SPARE_BIT_5_0_SPARE_BIT_5_RANGE                    0:0
#define FUSE_SPARE_BIT_5_0_SPARE_BIT_5_WOFFSET                  0x0
#define FUSE_SPARE_BIT_5_0_SPARE_BIT_5_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_5_0_SPARE_BIT_5_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_5_0_SPARE_BIT_5_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_5_0_SPARE_BIT_5_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_6_0
#define FUSE_SPARE_BIT_6_0                      _MK_ADDR_CONST(0x4c4)
#define FUSE_SPARE_BIT_6_0_SECURE                       0x0
#define FUSE_SPARE_BIT_6_0_SCR                  0
#define FUSE_SPARE_BIT_6_0_WORD_COUNT                   0x1
#define FUSE_SPARE_BIT_6_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_6_0_RESET_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_6_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_6_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_6_0_READ_MASK                    _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_6_0_WRITE_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_6_0_SPARE_BIT_6_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_6_0_SPARE_BIT_6_FIELD                    _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_6_0_SPARE_BIT_6_SHIFT)
#define FUSE_SPARE_BIT_6_0_SPARE_BIT_6_RANGE                    0:0
#define FUSE_SPARE_BIT_6_0_SPARE_BIT_6_WOFFSET                  0x0
#define FUSE_SPARE_BIT_6_0_SPARE_BIT_6_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_6_0_SPARE_BIT_6_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_6_0_SPARE_BIT_6_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_6_0_SPARE_BIT_6_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_7_0
#define FUSE_SPARE_BIT_7_0                      _MK_ADDR_CONST(0x4c8)
#define FUSE_SPARE_BIT_7_0_SECURE                       0x0
#define FUSE_SPARE_BIT_7_0_SCR                  0
#define FUSE_SPARE_BIT_7_0_WORD_COUNT                   0x1
#define FUSE_SPARE_BIT_7_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_7_0_RESET_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_7_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_7_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_7_0_READ_MASK                    _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_7_0_WRITE_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_7_0_SPARE_BIT_7_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_7_0_SPARE_BIT_7_FIELD                    _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_7_0_SPARE_BIT_7_SHIFT)
#define FUSE_SPARE_BIT_7_0_SPARE_BIT_7_RANGE                    0:0
#define FUSE_SPARE_BIT_7_0_SPARE_BIT_7_WOFFSET                  0x0
#define FUSE_SPARE_BIT_7_0_SPARE_BIT_7_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_7_0_SPARE_BIT_7_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_7_0_SPARE_BIT_7_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_7_0_SPARE_BIT_7_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_8_0
#define FUSE_SPARE_BIT_8_0                      _MK_ADDR_CONST(0x4cc)
#define FUSE_SPARE_BIT_8_0_SECURE                       0x0
#define FUSE_SPARE_BIT_8_0_SCR                  0
#define FUSE_SPARE_BIT_8_0_WORD_COUNT                   0x1
#define FUSE_SPARE_BIT_8_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_8_0_RESET_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_8_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_8_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_8_0_READ_MASK                    _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_8_0_WRITE_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_8_0_SPARE_BIT_8_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_8_0_SPARE_BIT_8_FIELD                    _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_8_0_SPARE_BIT_8_SHIFT)
#define FUSE_SPARE_BIT_8_0_SPARE_BIT_8_RANGE                    0:0
#define FUSE_SPARE_BIT_8_0_SPARE_BIT_8_WOFFSET                  0x0
#define FUSE_SPARE_BIT_8_0_SPARE_BIT_8_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_8_0_SPARE_BIT_8_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_8_0_SPARE_BIT_8_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_8_0_SPARE_BIT_8_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_9_0
#define FUSE_SPARE_BIT_9_0                      _MK_ADDR_CONST(0x4d0)
#define FUSE_SPARE_BIT_9_0_SECURE                       0x0
#define FUSE_SPARE_BIT_9_0_SCR                  0
#define FUSE_SPARE_BIT_9_0_WORD_COUNT                   0x1
#define FUSE_SPARE_BIT_9_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_9_0_RESET_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_9_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_9_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_9_0_READ_MASK                    _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_9_0_WRITE_MASK                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_9_0_SPARE_BIT_9_SHIFT                    _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_9_0_SPARE_BIT_9_FIELD                    _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_9_0_SPARE_BIT_9_SHIFT)
#define FUSE_SPARE_BIT_9_0_SPARE_BIT_9_RANGE                    0:0
#define FUSE_SPARE_BIT_9_0_SPARE_BIT_9_WOFFSET                  0x0
#define FUSE_SPARE_BIT_9_0_SPARE_BIT_9_DEFAULT                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_9_0_SPARE_BIT_9_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_9_0_SPARE_BIT_9_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_9_0_SPARE_BIT_9_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_10_0
#define FUSE_SPARE_BIT_10_0                     _MK_ADDR_CONST(0x4d4)
#define FUSE_SPARE_BIT_10_0_SECURE                      0x0
#define FUSE_SPARE_BIT_10_0_SCR                         0
#define FUSE_SPARE_BIT_10_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_10_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_10_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_10_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_10_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_10_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_10_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_10_0_SPARE_BIT_10_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_10_0_SPARE_BIT_10_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_10_0_SPARE_BIT_10_SHIFT)
#define FUSE_SPARE_BIT_10_0_SPARE_BIT_10_RANGE                  0:0
#define FUSE_SPARE_BIT_10_0_SPARE_BIT_10_WOFFSET                        0x0
#define FUSE_SPARE_BIT_10_0_SPARE_BIT_10_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_10_0_SPARE_BIT_10_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_10_0_SPARE_BIT_10_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_10_0_SPARE_BIT_10_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_11_0
#define FUSE_SPARE_BIT_11_0                     _MK_ADDR_CONST(0x4d8)
#define FUSE_SPARE_BIT_11_0_SECURE                      0x0
#define FUSE_SPARE_BIT_11_0_SCR                         0
#define FUSE_SPARE_BIT_11_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_11_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_11_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_11_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_11_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_11_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_11_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_11_0_SPARE_BIT_11_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_11_0_SPARE_BIT_11_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_11_0_SPARE_BIT_11_SHIFT)
#define FUSE_SPARE_BIT_11_0_SPARE_BIT_11_RANGE                  0:0
#define FUSE_SPARE_BIT_11_0_SPARE_BIT_11_WOFFSET                        0x0
#define FUSE_SPARE_BIT_11_0_SPARE_BIT_11_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_11_0_SPARE_BIT_11_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_11_0_SPARE_BIT_11_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_11_0_SPARE_BIT_11_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_12_0
#define FUSE_SPARE_BIT_12_0                     _MK_ADDR_CONST(0x4dc)
#define FUSE_SPARE_BIT_12_0_SECURE                      0x0
#define FUSE_SPARE_BIT_12_0_SCR                         0
#define FUSE_SPARE_BIT_12_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_12_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_12_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_12_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_12_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_12_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_12_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_12_0_SPARE_BIT_12_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_12_0_SPARE_BIT_12_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_12_0_SPARE_BIT_12_SHIFT)
#define FUSE_SPARE_BIT_12_0_SPARE_BIT_12_RANGE                  0:0
#define FUSE_SPARE_BIT_12_0_SPARE_BIT_12_WOFFSET                        0x0
#define FUSE_SPARE_BIT_12_0_SPARE_BIT_12_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_12_0_SPARE_BIT_12_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_12_0_SPARE_BIT_12_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_12_0_SPARE_BIT_12_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_13_0
#define FUSE_SPARE_BIT_13_0                     _MK_ADDR_CONST(0x4e0)
#define FUSE_SPARE_BIT_13_0_SECURE                      0x0
#define FUSE_SPARE_BIT_13_0_SCR                         0
#define FUSE_SPARE_BIT_13_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_13_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_13_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_13_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_13_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_13_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_13_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_13_0_SPARE_BIT_13_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_13_0_SPARE_BIT_13_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_13_0_SPARE_BIT_13_SHIFT)
#define FUSE_SPARE_BIT_13_0_SPARE_BIT_13_RANGE                  0:0
#define FUSE_SPARE_BIT_13_0_SPARE_BIT_13_WOFFSET                        0x0
#define FUSE_SPARE_BIT_13_0_SPARE_BIT_13_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_13_0_SPARE_BIT_13_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_13_0_SPARE_BIT_13_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_13_0_SPARE_BIT_13_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_14_0
#define FUSE_SPARE_BIT_14_0                     _MK_ADDR_CONST(0x4e4)
#define FUSE_SPARE_BIT_14_0_SECURE                      0x0
#define FUSE_SPARE_BIT_14_0_SCR                         0
#define FUSE_SPARE_BIT_14_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_14_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_14_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_14_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_14_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_14_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_14_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_14_0_SPARE_BIT_14_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_14_0_SPARE_BIT_14_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_14_0_SPARE_BIT_14_SHIFT)
#define FUSE_SPARE_BIT_14_0_SPARE_BIT_14_RANGE                  0:0
#define FUSE_SPARE_BIT_14_0_SPARE_BIT_14_WOFFSET                        0x0
#define FUSE_SPARE_BIT_14_0_SPARE_BIT_14_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_14_0_SPARE_BIT_14_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_14_0_SPARE_BIT_14_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_14_0_SPARE_BIT_14_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_15_0
#define FUSE_SPARE_BIT_15_0                     _MK_ADDR_CONST(0x4e8)
#define FUSE_SPARE_BIT_15_0_SECURE                      0x0
#define FUSE_SPARE_BIT_15_0_SCR                         0
#define FUSE_SPARE_BIT_15_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_15_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_15_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_15_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_15_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_15_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_15_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_15_0_SPARE_BIT_15_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_15_0_SPARE_BIT_15_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_15_0_SPARE_BIT_15_SHIFT)
#define FUSE_SPARE_BIT_15_0_SPARE_BIT_15_RANGE                  0:0
#define FUSE_SPARE_BIT_15_0_SPARE_BIT_15_WOFFSET                        0x0
#define FUSE_SPARE_BIT_15_0_SPARE_BIT_15_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_15_0_SPARE_BIT_15_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_15_0_SPARE_BIT_15_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_15_0_SPARE_BIT_15_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_16_0
#define FUSE_SPARE_BIT_16_0                     _MK_ADDR_CONST(0x4ec)
#define FUSE_SPARE_BIT_16_0_SECURE                      0x0
#define FUSE_SPARE_BIT_16_0_SCR                         0
#define FUSE_SPARE_BIT_16_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_16_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_16_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_16_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_16_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_16_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_16_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_16_0_SPARE_BIT_16_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_16_0_SPARE_BIT_16_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_16_0_SPARE_BIT_16_SHIFT)
#define FUSE_SPARE_BIT_16_0_SPARE_BIT_16_RANGE                  0:0
#define FUSE_SPARE_BIT_16_0_SPARE_BIT_16_WOFFSET                        0x0
#define FUSE_SPARE_BIT_16_0_SPARE_BIT_16_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_16_0_SPARE_BIT_16_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_16_0_SPARE_BIT_16_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_16_0_SPARE_BIT_16_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_17_0
#define FUSE_SPARE_BIT_17_0                     _MK_ADDR_CONST(0x4f0)
#define FUSE_SPARE_BIT_17_0_SECURE                      0x0
#define FUSE_SPARE_BIT_17_0_SCR                         0
#define FUSE_SPARE_BIT_17_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_17_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_17_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_17_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_17_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_17_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_17_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_17_0_SPARE_BIT_17_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_17_0_SPARE_BIT_17_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_17_0_SPARE_BIT_17_SHIFT)
#define FUSE_SPARE_BIT_17_0_SPARE_BIT_17_RANGE                  0:0
#define FUSE_SPARE_BIT_17_0_SPARE_BIT_17_WOFFSET                        0x0
#define FUSE_SPARE_BIT_17_0_SPARE_BIT_17_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_17_0_SPARE_BIT_17_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_17_0_SPARE_BIT_17_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_17_0_SPARE_BIT_17_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_18_0
#define FUSE_SPARE_BIT_18_0                     _MK_ADDR_CONST(0x4f4)
#define FUSE_SPARE_BIT_18_0_SECURE                      0x0
#define FUSE_SPARE_BIT_18_0_SCR                         0
#define FUSE_SPARE_BIT_18_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_18_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_18_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_18_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_18_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_18_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_18_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_18_0_SPARE_BIT_18_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_18_0_SPARE_BIT_18_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_18_0_SPARE_BIT_18_SHIFT)
#define FUSE_SPARE_BIT_18_0_SPARE_BIT_18_RANGE                  0:0
#define FUSE_SPARE_BIT_18_0_SPARE_BIT_18_WOFFSET                        0x0
#define FUSE_SPARE_BIT_18_0_SPARE_BIT_18_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_18_0_SPARE_BIT_18_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_18_0_SPARE_BIT_18_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_18_0_SPARE_BIT_18_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_19_0
#define FUSE_SPARE_BIT_19_0                     _MK_ADDR_CONST(0x4f8)
#define FUSE_SPARE_BIT_19_0_SECURE                      0x0
#define FUSE_SPARE_BIT_19_0_SCR                         0
#define FUSE_SPARE_BIT_19_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_19_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_19_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_19_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_19_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_19_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_19_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_19_0_SPARE_BIT_19_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_19_0_SPARE_BIT_19_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_19_0_SPARE_BIT_19_SHIFT)
#define FUSE_SPARE_BIT_19_0_SPARE_BIT_19_RANGE                  0:0
#define FUSE_SPARE_BIT_19_0_SPARE_BIT_19_WOFFSET                        0x0
#define FUSE_SPARE_BIT_19_0_SPARE_BIT_19_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_19_0_SPARE_BIT_19_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_19_0_SPARE_BIT_19_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_19_0_SPARE_BIT_19_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_20_0
#define FUSE_SPARE_BIT_20_0                     _MK_ADDR_CONST(0x4fc)
#define FUSE_SPARE_BIT_20_0_SECURE                      0x0
#define FUSE_SPARE_BIT_20_0_SCR                         0
#define FUSE_SPARE_BIT_20_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_20_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_20_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_20_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_20_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_20_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_20_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_20_0_SPARE_BIT_20_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_20_0_SPARE_BIT_20_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_20_0_SPARE_BIT_20_SHIFT)
#define FUSE_SPARE_BIT_20_0_SPARE_BIT_20_RANGE                  0:0
#define FUSE_SPARE_BIT_20_0_SPARE_BIT_20_WOFFSET                        0x0
#define FUSE_SPARE_BIT_20_0_SPARE_BIT_20_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_20_0_SPARE_BIT_20_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_20_0_SPARE_BIT_20_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_20_0_SPARE_BIT_20_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_21_0
#define FUSE_SPARE_BIT_21_0                     _MK_ADDR_CONST(0x500)
#define FUSE_SPARE_BIT_21_0_SECURE                      0x0
#define FUSE_SPARE_BIT_21_0_SCR                         0
#define FUSE_SPARE_BIT_21_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_21_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_21_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_21_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_21_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_21_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_21_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_21_0_SPARE_BIT_21_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_21_0_SPARE_BIT_21_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_21_0_SPARE_BIT_21_SHIFT)
#define FUSE_SPARE_BIT_21_0_SPARE_BIT_21_RANGE                  0:0
#define FUSE_SPARE_BIT_21_0_SPARE_BIT_21_WOFFSET                        0x0
#define FUSE_SPARE_BIT_21_0_SPARE_BIT_21_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_21_0_SPARE_BIT_21_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_21_0_SPARE_BIT_21_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_21_0_SPARE_BIT_21_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_22_0
#define FUSE_SPARE_BIT_22_0                     _MK_ADDR_CONST(0x504)
#define FUSE_SPARE_BIT_22_0_SECURE                      0x0
#define FUSE_SPARE_BIT_22_0_SCR                         0
#define FUSE_SPARE_BIT_22_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_22_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_22_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_22_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_22_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_22_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_22_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_22_0_SPARE_BIT_22_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_22_0_SPARE_BIT_22_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_22_0_SPARE_BIT_22_SHIFT)
#define FUSE_SPARE_BIT_22_0_SPARE_BIT_22_RANGE                  0:0
#define FUSE_SPARE_BIT_22_0_SPARE_BIT_22_WOFFSET                        0x0
#define FUSE_SPARE_BIT_22_0_SPARE_BIT_22_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_22_0_SPARE_BIT_22_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_22_0_SPARE_BIT_22_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_22_0_SPARE_BIT_22_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_23_0
#define FUSE_SPARE_BIT_23_0                     _MK_ADDR_CONST(0x508)
#define FUSE_SPARE_BIT_23_0_SECURE                      0x0
#define FUSE_SPARE_BIT_23_0_SCR                         0
#define FUSE_SPARE_BIT_23_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_23_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_23_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_23_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_23_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_23_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_23_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_23_0_SPARE_BIT_23_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_23_0_SPARE_BIT_23_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_23_0_SPARE_BIT_23_SHIFT)
#define FUSE_SPARE_BIT_23_0_SPARE_BIT_23_RANGE                  0:0
#define FUSE_SPARE_BIT_23_0_SPARE_BIT_23_WOFFSET                        0x0
#define FUSE_SPARE_BIT_23_0_SPARE_BIT_23_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_23_0_SPARE_BIT_23_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_23_0_SPARE_BIT_23_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_23_0_SPARE_BIT_23_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_24_0
#define FUSE_SPARE_BIT_24_0                     _MK_ADDR_CONST(0x50c)
#define FUSE_SPARE_BIT_24_0_SECURE                      0x0
#define FUSE_SPARE_BIT_24_0_SCR                         0
#define FUSE_SPARE_BIT_24_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_24_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_24_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_24_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_24_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_24_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_24_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_24_0_SPARE_BIT_24_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_24_0_SPARE_BIT_24_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_24_0_SPARE_BIT_24_SHIFT)
#define FUSE_SPARE_BIT_24_0_SPARE_BIT_24_RANGE                  0:0
#define FUSE_SPARE_BIT_24_0_SPARE_BIT_24_WOFFSET                        0x0
#define FUSE_SPARE_BIT_24_0_SPARE_BIT_24_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_24_0_SPARE_BIT_24_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_24_0_SPARE_BIT_24_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_24_0_SPARE_BIT_24_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_25_0
#define FUSE_SPARE_BIT_25_0                     _MK_ADDR_CONST(0x510)
#define FUSE_SPARE_BIT_25_0_SECURE                      0x0
#define FUSE_SPARE_BIT_25_0_SCR                         0
#define FUSE_SPARE_BIT_25_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_25_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_25_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_25_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_25_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_25_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_25_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_25_0_SPARE_BIT_25_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_25_0_SPARE_BIT_25_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_25_0_SPARE_BIT_25_SHIFT)
#define FUSE_SPARE_BIT_25_0_SPARE_BIT_25_RANGE                  0:0
#define FUSE_SPARE_BIT_25_0_SPARE_BIT_25_WOFFSET                        0x0
#define FUSE_SPARE_BIT_25_0_SPARE_BIT_25_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_25_0_SPARE_BIT_25_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_25_0_SPARE_BIT_25_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_25_0_SPARE_BIT_25_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_26_0
#define FUSE_SPARE_BIT_26_0                     _MK_ADDR_CONST(0x514)
#define FUSE_SPARE_BIT_26_0_SECURE                      0x0
#define FUSE_SPARE_BIT_26_0_SCR                         0
#define FUSE_SPARE_BIT_26_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_26_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_26_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_26_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_26_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_26_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_26_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_26_0_SPARE_BIT_26_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_26_0_SPARE_BIT_26_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_26_0_SPARE_BIT_26_SHIFT)
#define FUSE_SPARE_BIT_26_0_SPARE_BIT_26_RANGE                  0:0
#define FUSE_SPARE_BIT_26_0_SPARE_BIT_26_WOFFSET                        0x0
#define FUSE_SPARE_BIT_26_0_SPARE_BIT_26_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_26_0_SPARE_BIT_26_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_26_0_SPARE_BIT_26_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_26_0_SPARE_BIT_26_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_27_0
#define FUSE_SPARE_BIT_27_0                     _MK_ADDR_CONST(0x518)
#define FUSE_SPARE_BIT_27_0_SECURE                      0x0
#define FUSE_SPARE_BIT_27_0_SCR                         0
#define FUSE_SPARE_BIT_27_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_27_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_27_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_27_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_27_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_27_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_27_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_27_0_SPARE_BIT_27_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_27_0_SPARE_BIT_27_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_27_0_SPARE_BIT_27_SHIFT)
#define FUSE_SPARE_BIT_27_0_SPARE_BIT_27_RANGE                  0:0
#define FUSE_SPARE_BIT_27_0_SPARE_BIT_27_WOFFSET                        0x0
#define FUSE_SPARE_BIT_27_0_SPARE_BIT_27_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_27_0_SPARE_BIT_27_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_27_0_SPARE_BIT_27_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_27_0_SPARE_BIT_27_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_28_0
#define FUSE_SPARE_BIT_28_0                     _MK_ADDR_CONST(0x51c)
#define FUSE_SPARE_BIT_28_0_SECURE                      0x0
#define FUSE_SPARE_BIT_28_0_SCR                         0
#define FUSE_SPARE_BIT_28_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_28_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_28_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_28_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_28_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_28_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_28_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_28_0_SPARE_BIT_28_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_28_0_SPARE_BIT_28_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_28_0_SPARE_BIT_28_SHIFT)
#define FUSE_SPARE_BIT_28_0_SPARE_BIT_28_RANGE                  0:0
#define FUSE_SPARE_BIT_28_0_SPARE_BIT_28_WOFFSET                        0x0
#define FUSE_SPARE_BIT_28_0_SPARE_BIT_28_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_28_0_SPARE_BIT_28_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_28_0_SPARE_BIT_28_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_28_0_SPARE_BIT_28_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_29_0
#define FUSE_SPARE_BIT_29_0                     _MK_ADDR_CONST(0x520)
#define FUSE_SPARE_BIT_29_0_SECURE                      0x0
#define FUSE_SPARE_BIT_29_0_SCR                         0
#define FUSE_SPARE_BIT_29_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_29_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_29_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_29_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_29_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_29_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_29_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_29_0_SPARE_BIT_29_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_29_0_SPARE_BIT_29_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_29_0_SPARE_BIT_29_SHIFT)
#define FUSE_SPARE_BIT_29_0_SPARE_BIT_29_RANGE                  0:0
#define FUSE_SPARE_BIT_29_0_SPARE_BIT_29_WOFFSET                        0x0
#define FUSE_SPARE_BIT_29_0_SPARE_BIT_29_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_29_0_SPARE_BIT_29_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_29_0_SPARE_BIT_29_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_29_0_SPARE_BIT_29_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_30_0
#define FUSE_SPARE_BIT_30_0                     _MK_ADDR_CONST(0x524)
#define FUSE_SPARE_BIT_30_0_SECURE                      0x0
#define FUSE_SPARE_BIT_30_0_SCR                         0
#define FUSE_SPARE_BIT_30_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_30_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_30_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_30_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_30_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_30_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_30_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_30_0_SPARE_BIT_30_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_30_0_SPARE_BIT_30_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_30_0_SPARE_BIT_30_SHIFT)
#define FUSE_SPARE_BIT_30_0_SPARE_BIT_30_RANGE                  0:0
#define FUSE_SPARE_BIT_30_0_SPARE_BIT_30_WOFFSET                        0x0
#define FUSE_SPARE_BIT_30_0_SPARE_BIT_30_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_30_0_SPARE_BIT_30_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_30_0_SPARE_BIT_30_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_30_0_SPARE_BIT_30_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_31_0
#define FUSE_SPARE_BIT_31_0                     _MK_ADDR_CONST(0x528)
#define FUSE_SPARE_BIT_31_0_SECURE                      0x0
#define FUSE_SPARE_BIT_31_0_SCR                         0
#define FUSE_SPARE_BIT_31_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_31_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_31_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_31_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_31_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_31_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_31_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_31_0_SPARE_BIT_31_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_31_0_SPARE_BIT_31_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_31_0_SPARE_BIT_31_SHIFT)
#define FUSE_SPARE_BIT_31_0_SPARE_BIT_31_RANGE                  0:0
#define FUSE_SPARE_BIT_31_0_SPARE_BIT_31_WOFFSET                        0x0
#define FUSE_SPARE_BIT_31_0_SPARE_BIT_31_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_31_0_SPARE_BIT_31_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_31_0_SPARE_BIT_31_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_31_0_SPARE_BIT_31_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_32_0
#define FUSE_SPARE_BIT_32_0                     _MK_ADDR_CONST(0x52c)
#define FUSE_SPARE_BIT_32_0_SECURE                      0x0
#define FUSE_SPARE_BIT_32_0_SCR                         0
#define FUSE_SPARE_BIT_32_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_32_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_32_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_32_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_32_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_32_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_32_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_32_0_SPARE_BIT_32_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_32_0_SPARE_BIT_32_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_32_0_SPARE_BIT_32_SHIFT)
#define FUSE_SPARE_BIT_32_0_SPARE_BIT_32_RANGE                  0:0
#define FUSE_SPARE_BIT_32_0_SPARE_BIT_32_WOFFSET                        0x0
#define FUSE_SPARE_BIT_32_0_SPARE_BIT_32_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_32_0_SPARE_BIT_32_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_32_0_SPARE_BIT_32_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_32_0_SPARE_BIT_32_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_33_0
#define FUSE_SPARE_BIT_33_0                     _MK_ADDR_CONST(0x530)
#define FUSE_SPARE_BIT_33_0_SECURE                      0x0
#define FUSE_SPARE_BIT_33_0_SCR                         0
#define FUSE_SPARE_BIT_33_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_33_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_33_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_33_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_33_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_33_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_33_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_33_0_SPARE_BIT_33_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_33_0_SPARE_BIT_33_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_33_0_SPARE_BIT_33_SHIFT)
#define FUSE_SPARE_BIT_33_0_SPARE_BIT_33_RANGE                  0:0
#define FUSE_SPARE_BIT_33_0_SPARE_BIT_33_WOFFSET                        0x0
#define FUSE_SPARE_BIT_33_0_SPARE_BIT_33_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_33_0_SPARE_BIT_33_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_33_0_SPARE_BIT_33_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_33_0_SPARE_BIT_33_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_34_0
#define FUSE_SPARE_BIT_34_0                     _MK_ADDR_CONST(0x534)
#define FUSE_SPARE_BIT_34_0_SECURE                      0x0
#define FUSE_SPARE_BIT_34_0_SCR                         0
#define FUSE_SPARE_BIT_34_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_34_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_34_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_34_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_34_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_34_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_34_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_34_0_SPARE_BIT_34_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_34_0_SPARE_BIT_34_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_34_0_SPARE_BIT_34_SHIFT)
#define FUSE_SPARE_BIT_34_0_SPARE_BIT_34_RANGE                  0:0
#define FUSE_SPARE_BIT_34_0_SPARE_BIT_34_WOFFSET                        0x0
#define FUSE_SPARE_BIT_34_0_SPARE_BIT_34_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_34_0_SPARE_BIT_34_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_34_0_SPARE_BIT_34_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_34_0_SPARE_BIT_34_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_35_0
#define FUSE_SPARE_BIT_35_0                     _MK_ADDR_CONST(0x538)
#define FUSE_SPARE_BIT_35_0_SECURE                      0x0
#define FUSE_SPARE_BIT_35_0_SCR                         0
#define FUSE_SPARE_BIT_35_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_35_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_35_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_35_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_35_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_35_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_35_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_35_0_SPARE_BIT_35_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_35_0_SPARE_BIT_35_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_35_0_SPARE_BIT_35_SHIFT)
#define FUSE_SPARE_BIT_35_0_SPARE_BIT_35_RANGE                  0:0
#define FUSE_SPARE_BIT_35_0_SPARE_BIT_35_WOFFSET                        0x0
#define FUSE_SPARE_BIT_35_0_SPARE_BIT_35_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_35_0_SPARE_BIT_35_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_35_0_SPARE_BIT_35_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_35_0_SPARE_BIT_35_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_36_0
#define FUSE_SPARE_BIT_36_0                     _MK_ADDR_CONST(0x53c)
#define FUSE_SPARE_BIT_36_0_SECURE                      0x0
#define FUSE_SPARE_BIT_36_0_SCR                         0
#define FUSE_SPARE_BIT_36_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_36_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_36_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_36_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_36_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_36_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_36_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_36_0_SPARE_BIT_36_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_36_0_SPARE_BIT_36_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_36_0_SPARE_BIT_36_SHIFT)
#define FUSE_SPARE_BIT_36_0_SPARE_BIT_36_RANGE                  0:0
#define FUSE_SPARE_BIT_36_0_SPARE_BIT_36_WOFFSET                        0x0
#define FUSE_SPARE_BIT_36_0_SPARE_BIT_36_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_36_0_SPARE_BIT_36_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_36_0_SPARE_BIT_36_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_36_0_SPARE_BIT_36_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_37_0
#define FUSE_SPARE_BIT_37_0                     _MK_ADDR_CONST(0x540)
#define FUSE_SPARE_BIT_37_0_SECURE                      0x0
#define FUSE_SPARE_BIT_37_0_SCR                         0
#define FUSE_SPARE_BIT_37_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_37_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_37_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_37_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_37_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_37_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_37_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_37_0_SPARE_BIT_37_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_37_0_SPARE_BIT_37_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_37_0_SPARE_BIT_37_SHIFT)
#define FUSE_SPARE_BIT_37_0_SPARE_BIT_37_RANGE                  0:0
#define FUSE_SPARE_BIT_37_0_SPARE_BIT_37_WOFFSET                        0x0
#define FUSE_SPARE_BIT_37_0_SPARE_BIT_37_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_37_0_SPARE_BIT_37_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_37_0_SPARE_BIT_37_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_37_0_SPARE_BIT_37_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_38_0
#define FUSE_SPARE_BIT_38_0                     _MK_ADDR_CONST(0x544)
#define FUSE_SPARE_BIT_38_0_SECURE                      0x0
#define FUSE_SPARE_BIT_38_0_SCR                         0
#define FUSE_SPARE_BIT_38_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_38_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_38_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_38_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_38_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_38_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_38_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_38_0_SPARE_BIT_38_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_38_0_SPARE_BIT_38_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_38_0_SPARE_BIT_38_SHIFT)
#define FUSE_SPARE_BIT_38_0_SPARE_BIT_38_RANGE                  0:0
#define FUSE_SPARE_BIT_38_0_SPARE_BIT_38_WOFFSET                        0x0
#define FUSE_SPARE_BIT_38_0_SPARE_BIT_38_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_38_0_SPARE_BIT_38_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_38_0_SPARE_BIT_38_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_38_0_SPARE_BIT_38_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_39_0
#define FUSE_SPARE_BIT_39_0                     _MK_ADDR_CONST(0x548)
#define FUSE_SPARE_BIT_39_0_SECURE                      0x0
#define FUSE_SPARE_BIT_39_0_SCR                         0
#define FUSE_SPARE_BIT_39_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_39_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_39_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_39_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_39_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_39_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_39_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_39_0_SPARE_BIT_39_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_39_0_SPARE_BIT_39_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_39_0_SPARE_BIT_39_SHIFT)
#define FUSE_SPARE_BIT_39_0_SPARE_BIT_39_RANGE                  0:0
#define FUSE_SPARE_BIT_39_0_SPARE_BIT_39_WOFFSET                        0x0
#define FUSE_SPARE_BIT_39_0_SPARE_BIT_39_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_39_0_SPARE_BIT_39_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_39_0_SPARE_BIT_39_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_39_0_SPARE_BIT_39_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_40_0
#define FUSE_SPARE_BIT_40_0                     _MK_ADDR_CONST(0x54c)
#define FUSE_SPARE_BIT_40_0_SECURE                      0x0
#define FUSE_SPARE_BIT_40_0_SCR                         0
#define FUSE_SPARE_BIT_40_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_40_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_40_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_40_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_40_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_40_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_40_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_40_0_SPARE_BIT_40_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_40_0_SPARE_BIT_40_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_40_0_SPARE_BIT_40_SHIFT)
#define FUSE_SPARE_BIT_40_0_SPARE_BIT_40_RANGE                  0:0
#define FUSE_SPARE_BIT_40_0_SPARE_BIT_40_WOFFSET                        0x0
#define FUSE_SPARE_BIT_40_0_SPARE_BIT_40_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_40_0_SPARE_BIT_40_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_40_0_SPARE_BIT_40_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_40_0_SPARE_BIT_40_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_41_0
#define FUSE_SPARE_BIT_41_0                     _MK_ADDR_CONST(0x550)
#define FUSE_SPARE_BIT_41_0_SECURE                      0x0
#define FUSE_SPARE_BIT_41_0_SCR                         0
#define FUSE_SPARE_BIT_41_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_41_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_41_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_41_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_41_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_41_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_41_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_41_0_SPARE_BIT_41_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_41_0_SPARE_BIT_41_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_41_0_SPARE_BIT_41_SHIFT)
#define FUSE_SPARE_BIT_41_0_SPARE_BIT_41_RANGE                  0:0
#define FUSE_SPARE_BIT_41_0_SPARE_BIT_41_WOFFSET                        0x0
#define FUSE_SPARE_BIT_41_0_SPARE_BIT_41_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_41_0_SPARE_BIT_41_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_41_0_SPARE_BIT_41_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_41_0_SPARE_BIT_41_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_42_0
#define FUSE_SPARE_BIT_42_0                     _MK_ADDR_CONST(0x554)
#define FUSE_SPARE_BIT_42_0_SECURE                      0x0
#define FUSE_SPARE_BIT_42_0_SCR                         0
#define FUSE_SPARE_BIT_42_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_42_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_42_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_42_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_42_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_42_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_42_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_42_0_SPARE_BIT_42_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_42_0_SPARE_BIT_42_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_42_0_SPARE_BIT_42_SHIFT)
#define FUSE_SPARE_BIT_42_0_SPARE_BIT_42_RANGE                  0:0
#define FUSE_SPARE_BIT_42_0_SPARE_BIT_42_WOFFSET                        0x0
#define FUSE_SPARE_BIT_42_0_SPARE_BIT_42_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_42_0_SPARE_BIT_42_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_42_0_SPARE_BIT_42_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_42_0_SPARE_BIT_42_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_43_0
#define FUSE_SPARE_BIT_43_0                     _MK_ADDR_CONST(0x558)
#define FUSE_SPARE_BIT_43_0_SECURE                      0x0
#define FUSE_SPARE_BIT_43_0_SCR                         0
#define FUSE_SPARE_BIT_43_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_43_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_43_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_43_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_43_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_43_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_43_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_43_0_SPARE_BIT_43_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_43_0_SPARE_BIT_43_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_43_0_SPARE_BIT_43_SHIFT)
#define FUSE_SPARE_BIT_43_0_SPARE_BIT_43_RANGE                  0:0
#define FUSE_SPARE_BIT_43_0_SPARE_BIT_43_WOFFSET                        0x0
#define FUSE_SPARE_BIT_43_0_SPARE_BIT_43_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_43_0_SPARE_BIT_43_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_43_0_SPARE_BIT_43_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_43_0_SPARE_BIT_43_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_44_0
#define FUSE_SPARE_BIT_44_0                     _MK_ADDR_CONST(0x55c)
#define FUSE_SPARE_BIT_44_0_SECURE                      0x0
#define FUSE_SPARE_BIT_44_0_SCR                         0
#define FUSE_SPARE_BIT_44_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_44_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_44_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_44_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_44_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_44_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_44_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_44_0_SPARE_BIT_44_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_44_0_SPARE_BIT_44_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_44_0_SPARE_BIT_44_SHIFT)
#define FUSE_SPARE_BIT_44_0_SPARE_BIT_44_RANGE                  0:0
#define FUSE_SPARE_BIT_44_0_SPARE_BIT_44_WOFFSET                        0x0
#define FUSE_SPARE_BIT_44_0_SPARE_BIT_44_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_44_0_SPARE_BIT_44_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_44_0_SPARE_BIT_44_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_44_0_SPARE_BIT_44_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_45_0
#define FUSE_SPARE_BIT_45_0                     _MK_ADDR_CONST(0x560)
#define FUSE_SPARE_BIT_45_0_SECURE                      0x0
#define FUSE_SPARE_BIT_45_0_SCR                         0
#define FUSE_SPARE_BIT_45_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_45_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_45_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_45_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_45_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_45_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_45_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_45_0_SPARE_BIT_45_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_45_0_SPARE_BIT_45_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_45_0_SPARE_BIT_45_SHIFT)
#define FUSE_SPARE_BIT_45_0_SPARE_BIT_45_RANGE                  0:0
#define FUSE_SPARE_BIT_45_0_SPARE_BIT_45_WOFFSET                        0x0
#define FUSE_SPARE_BIT_45_0_SPARE_BIT_45_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_45_0_SPARE_BIT_45_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_45_0_SPARE_BIT_45_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_45_0_SPARE_BIT_45_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_46_0
#define FUSE_SPARE_BIT_46_0                     _MK_ADDR_CONST(0x564)
#define FUSE_SPARE_BIT_46_0_SECURE                      0x0
#define FUSE_SPARE_BIT_46_0_SCR                         0
#define FUSE_SPARE_BIT_46_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_46_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_46_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_46_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_46_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_46_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_46_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_46_0_SPARE_BIT_46_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_46_0_SPARE_BIT_46_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_46_0_SPARE_BIT_46_SHIFT)
#define FUSE_SPARE_BIT_46_0_SPARE_BIT_46_RANGE                  0:0
#define FUSE_SPARE_BIT_46_0_SPARE_BIT_46_WOFFSET                        0x0
#define FUSE_SPARE_BIT_46_0_SPARE_BIT_46_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_46_0_SPARE_BIT_46_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_46_0_SPARE_BIT_46_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_46_0_SPARE_BIT_46_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_47_0
#define FUSE_SPARE_BIT_47_0                     _MK_ADDR_CONST(0x568)
#define FUSE_SPARE_BIT_47_0_SECURE                      0x0
#define FUSE_SPARE_BIT_47_0_SCR                         0
#define FUSE_SPARE_BIT_47_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_47_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_47_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_47_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_47_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_47_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_47_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_47_0_SPARE_BIT_47_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_47_0_SPARE_BIT_47_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_47_0_SPARE_BIT_47_SHIFT)
#define FUSE_SPARE_BIT_47_0_SPARE_BIT_47_RANGE                  0:0
#define FUSE_SPARE_BIT_47_0_SPARE_BIT_47_WOFFSET                        0x0
#define FUSE_SPARE_BIT_47_0_SPARE_BIT_47_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_47_0_SPARE_BIT_47_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_47_0_SPARE_BIT_47_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_47_0_SPARE_BIT_47_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_48_0
#define FUSE_SPARE_BIT_48_0                     _MK_ADDR_CONST(0x56c)
#define FUSE_SPARE_BIT_48_0_SECURE                      0x0
#define FUSE_SPARE_BIT_48_0_SCR                         0
#define FUSE_SPARE_BIT_48_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_48_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_48_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_48_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_48_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_48_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_48_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_48_0_SPARE_BIT_48_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_48_0_SPARE_BIT_48_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_48_0_SPARE_BIT_48_SHIFT)
#define FUSE_SPARE_BIT_48_0_SPARE_BIT_48_RANGE                  0:0
#define FUSE_SPARE_BIT_48_0_SPARE_BIT_48_WOFFSET                        0x0
#define FUSE_SPARE_BIT_48_0_SPARE_BIT_48_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_48_0_SPARE_BIT_48_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_48_0_SPARE_BIT_48_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_48_0_SPARE_BIT_48_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_49_0
#define FUSE_SPARE_BIT_49_0                     _MK_ADDR_CONST(0x570)
#define FUSE_SPARE_BIT_49_0_SECURE                      0x0
#define FUSE_SPARE_BIT_49_0_SCR                         0
#define FUSE_SPARE_BIT_49_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_49_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_49_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_49_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_49_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_49_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_49_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_49_0_SPARE_BIT_49_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_49_0_SPARE_BIT_49_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_49_0_SPARE_BIT_49_SHIFT)
#define FUSE_SPARE_BIT_49_0_SPARE_BIT_49_RANGE                  0:0
#define FUSE_SPARE_BIT_49_0_SPARE_BIT_49_WOFFSET                        0x0
#define FUSE_SPARE_BIT_49_0_SPARE_BIT_49_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_49_0_SPARE_BIT_49_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_49_0_SPARE_BIT_49_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_49_0_SPARE_BIT_49_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_50_0
#define FUSE_SPARE_BIT_50_0                     _MK_ADDR_CONST(0x574)
#define FUSE_SPARE_BIT_50_0_SECURE                      0x0
#define FUSE_SPARE_BIT_50_0_SCR                         0
#define FUSE_SPARE_BIT_50_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_50_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_50_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_50_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_50_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_50_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_50_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_50_0_SPARE_BIT_50_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_50_0_SPARE_BIT_50_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_50_0_SPARE_BIT_50_SHIFT)
#define FUSE_SPARE_BIT_50_0_SPARE_BIT_50_RANGE                  0:0
#define FUSE_SPARE_BIT_50_0_SPARE_BIT_50_WOFFSET                        0x0
#define FUSE_SPARE_BIT_50_0_SPARE_BIT_50_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_50_0_SPARE_BIT_50_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_50_0_SPARE_BIT_50_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_50_0_SPARE_BIT_50_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register FUSE_SPARE_BIT_51_0
#define FUSE_SPARE_BIT_51_0                     _MK_ADDR_CONST(0x578)
#define FUSE_SPARE_BIT_51_0_SECURE                      0x0
#define FUSE_SPARE_BIT_51_0_SCR                         0
#define FUSE_SPARE_BIT_51_0_WORD_COUNT                  0x1
#define FUSE_SPARE_BIT_51_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_51_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_51_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_51_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_51_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_51_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_51_0_SPARE_BIT_51_SHIFT                  _MK_SHIFT_CONST(0)
#define FUSE_SPARE_BIT_51_0_SPARE_BIT_51_FIELD                  _MK_FIELD_CONST(0x1, FUSE_SPARE_BIT_51_0_SPARE_BIT_51_SHIFT)
#define FUSE_SPARE_BIT_51_0_SPARE_BIT_51_RANGE                  0:0
#define FUSE_SPARE_BIT_51_0_SPARE_BIT_51_WOFFSET                        0x0
#define FUSE_SPARE_BIT_51_0_SPARE_BIT_51_DEFAULT                        _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_51_0_SPARE_BIT_51_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define FUSE_SPARE_BIT_51_0_SPARE_BIT_51_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define FUSE_SPARE_BIT_51_0_SPARE_BIT_51_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


//
// REGISTER LIST
//
#define LIST_ARFUSE_REGS(_op_) \
_op_(FUSE_FUSECTRL_0) \
_op_(FUSE_FUSEADDR_0) \
_op_(FUSE_FUSERDATA_0) \
_op_(FUSE_FUSEWDATA_0) \
_op_(FUSE_FUSETIME_RD1_0) \
_op_(FUSE_FUSETIME_RD2_0) \
_op_(FUSE_FUSETIME_PGM1_0) \
_op_(FUSE_FUSETIME_PGM2_0) \
_op_(FUSE_PRIV2INTFC_START_0) \
_op_(FUSE_FUSEBYPASS_0) \
_op_(FUSE_PRIVATEKEYDISABLE_0) \
_op_(FUSE_DISABLEREGPROGRAM_0) \
_op_(FUSE_WRITE_ACCESS_SW_0) \
_op_(FUSE_PRIV2RESHIFT_0) \
_op_(FUSE_FUSETIME_RD3_0) \
_op_(FUSE_PRIVATE_KEY0_NONZERO_0) \
_op_(FUSE_PRIVATE_KEY1_NONZERO_0) \
_op_(FUSE_PRIVATE_KEY2_NONZERO_0) \
_op_(FUSE_PRIVATE_KEY3_NONZERO_0) \
_op_(FUSE_PRODUCTION_MODE_0) \
_op_(FUSE_JTAG_SECUREID_VALID_0) \
_op_(FUSE_ODM_LOCK_0) \
_op_(FUSE_OPT_OPENGL_EN_0) \
_op_(FUSE_SKU_INFO_0) \
_op_(FUSE_CPU_SPEEDO_0_CALIB_0) \
_op_(FUSE_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0) \
_op_(FUSE_OPT_FT_REV_0) \
_op_(FUSE_CPU_SPEEDO_1_CALIB_0) \
_op_(FUSE_CPU_SPEEDO_2_CALIB_0) \
_op_(FUSE_SOC_SPEEDO_0_CALIB_0) \
_op_(FUSE_SOC_SPEEDO_1_CALIB_0) \
_op_(FUSE_SOC_SPEEDO_2_CALIB_0) \
_op_(FUSE_SOC_HT_IDDQ_CALIB_0) \
_op_(FUSE_FA_0) \
_op_(FUSE_RESERVED_PRODUCTION_0) \
_op_(FUSE_HDMI_LANE0_CALIB_0) \
_op_(FUSE_HDMI_LANE1_CALIB_0) \
_op_(FUSE_HDMI_LANE2_CALIB_0) \
_op_(FUSE_HDMI_LANE3_CALIB_0) \
_op_(FUSE_PUBLIC_KEY0_0) \
_op_(FUSE_PUBLIC_KEY1_0) \
_op_(FUSE_PUBLIC_KEY2_0) \
_op_(FUSE_PUBLIC_KEY3_0) \
_op_(FUSE_PUBLIC_KEY4_0) \
_op_(FUSE_PUBLIC_KEY5_0) \
_op_(FUSE_PUBLIC_KEY6_0) \
_op_(FUSE_PUBLIC_KEY7_0) \
_op_(FUSE_TSENSOR1_CALIB_0) \
_op_(FUSE_TSENSOR2_CALIB_0) \
_op_(FUSE_OPT_CP_REV_0) \
_op_(FUSE_OPT_PFG_0) \
_op_(FUSE_TSENSOR0_CALIB_0) \
_op_(FUSE_SECURITY_MODE_0) \
_op_(FUSE_PRIVATE_KEY0_0) \
_op_(FUSE_PRIVATE_KEY1_0) \
_op_(FUSE_PRIVATE_KEY2_0) \
_op_(FUSE_PRIVATE_KEY3_0) \
_op_(FUSE_ARM_JTAG_DIS_0) \
_op_(FUSE_BOOT_DEVICE_INFO_0) \
_op_(FUSE_RESERVED_SW_0) \
_op_(FUSE_OPT_VP9_DISABLE_0) \
_op_(FUSE_RESERVED_ODM0_0) \
_op_(FUSE_RESERVED_ODM1_0) \
_op_(FUSE_RESERVED_ODM2_0) \
_op_(FUSE_RESERVED_ODM3_0) \
_op_(FUSE_RESERVED_ODM4_0) \
_op_(FUSE_RESERVED_ODM5_0) \
_op_(FUSE_RESERVED_ODM6_0) \
_op_(FUSE_RESERVED_ODM7_0) \
_op_(FUSE_OBS_DIS_0) \
_op_(FUSE_USB_CALIB_0) \
_op_(FUSE_SKU_DIRECT_CONFIG_0) \
_op_(FUSE_KFUSE_PRIVKEY_CTRL_0) \
_op_(FUSE_PACKAGE_INFO_0) \
_op_(FUSE_OPT_VENDOR_CODE_0) \
_op_(FUSE_OPT_FAB_CODE_0) \
_op_(FUSE_OPT_LOT_CODE_0_0) \
_op_(FUSE_OPT_LOT_CODE_1_0) \
_op_(FUSE_OPT_WAFER_ID_0) \
_op_(FUSE_OPT_X_COORDINATE_0) \
_op_(FUSE_OPT_Y_COORDINATE_0) \
_op_(FUSE_OPT_SEC_DEBUG_EN_0) \
_op_(FUSE_OPT_OPS_RESERVED_0) \
_op_(FUSE_SATA_MPHY_ODM_CALIB_0) \
_op_(FUSE_GPU_HT_IDDQ_CALIB_0) \
_op_(FUSE_TSENSOR3_CALIB_0) \
_op_(FUSE_CLOCK_BONDOUT0_0) \
_op_(FUSE_CLOCK_BONDOUT1_0) \
_op_(FUSE_OPT_SAMPLE_TYPE_0) \
_op_(FUSE_OPT_SUBREVISION_0) \
_op_(FUSE_OPT_SW_RESERVED_0_0) \
_op_(FUSE_OPT_SW_RESERVED_1_0) \
_op_(FUSE_TSENSOR4_CALIB_0) \
_op_(FUSE_TSENSOR5_CALIB_0) \
_op_(FUSE_TSENSOR6_CALIB_0) \
_op_(FUSE_TSENSOR7_CALIB_0) \
_op_(FUSE_OPT_PRIV_SEC_EN_0) \
_op_(FUSE_BOOT_SECURITY_INFO_0) \
_op_(FUSE_FUSE2TSEC_DEBUG_DISABLE_0) \
_op_(FUSE_TSENSOR_COMMON_T1_0) \
_op_(FUSE_OPT_CP_BIN_0) \
_op_(FUSE_OPT_GPU_DISABLE_0) \
_op_(FUSE_OPT_FT_DONE_0) \
_op_(FUSE_OPT_DONE_MAP_0) \
_op_(FUSE_APB2JTAG_DISABLE_0) \
_op_(FUSE_ODM_INFO_0) \
_op_(FUSE_PHY_FLOORSWEEP_0) \
_op_(FUSE_PHY_FLOOR_ENABLE_0) \
_op_(FUSE_ARM_CRYPT_DE_FEATURE_0) \
_op_(FUSE_DENVER_MTS_DE_FEATURE_0) \
_op_(FUSE_DIE_VERSION_OVERRIDE_0) \
_op_(FUSE_TRIMMERS_0) \
_op_(FUSE_DENVER_BOOT_SEC_0) \
_op_(FUSE_DENVER_DFD_ACCESS_DISABLE_0) \
_op_(FUSE_WOA_SKU_FLAG_0) \
_op_(FUSE_ECO_RESERVE_1_0) \
_op_(FUSE_GCPLEX_CONFIG_FUSE_0) \
_op_(FUSE_PRODUCTION_MONTH_0) \
_op_(FUSE_RAM_REPAIR_INDICATOR_0) \
_op_(FUSE_TSENSOR8_CALIB_0) \
_op_(FUSE_VMIN_CALIBRATION_0) \
_op_(FUSE_AGING_SENSOR_CALIBRATION_0) \
_op_(FUSE_DEBUG_AUTHENTICATION_0) \
_op_(FUSE_SECURE_PROVISION_INDEX_0) \
_op_(FUSE_SECURE_PROVISION_INFO_0) \
_op_(FUSE_OPT_GPU_DISABLE_CP_0) \
_op_(FUSE_SPARE_ENDIS_0) \
_op_(FUSE_ECO_RESERVE_0_0) \
_op_(FUSE_RESERVED_CALIB0_0) \
_op_(FUSE_RESERVED_CALIB1_0) \
_op_(FUSE_OPT_TPC_DISABLE_0) \
_op_(FUSE_OPT_TPC_DISABLE_CP_0) \
_op_(FUSE_OPT_DENVER_CORE_DISABLE_0) \
_op_(FUSE_OPT_DENVER_CORE_DISABLE_CP_0) \
_op_(FUSE_TSENSOR9_CALIB_0) \
_op_(FUSE_OPT_RAM_SVOP_DP_0) \
_op_(FUSE_OPT_RAM_SVOP_PDP_0) \
_op_(FUSE_OPT_RAM_SVOP_REG_0) \
_op_(FUSE_OPT_RAM_SVOP_SP_0) \
_op_(FUSE_OPT_RAM_SVOP_SMPDP_0) \
_op_(FUSE_USB_CALIB_EXT_0) \
_op_(FUSE_HYPERVOLTAGING_0) \
_op_(FUSE_OPT_ECC_EN_0) \
_op_(FUSE_TSENSOR_COMMON_T2_0) \
_op_(FUSE_TSENSOR_COMMON_T3_0) \
_op_(FUSE_DENVER_NV_MTS_RATCHET_0) \
_op_(FUSE_DENVER_FIELD_MTS_RATCHET_0) \
_op_(FUSE_DENVER_DFD_AUTH_REQD_0) \
_op_(FUSE_DENVER_MTS_PROD_SIGN_REQD_0) \
_op_(FUSE_VMIN_SENSOR_CALIBRATION_0) \
_op_(FUSE_OPT_ARM_CORE_DISABLE_0) \
_op_(FUSE_OPT_ARM_CORE_DISABLE_CP_0) \
_op_(FUSE_EK0_0) \
_op_(FUSE_EK1_0) \
_op_(FUSE_EK2_0) \
_op_(FUSE_EK3_0) \
_op_(FUSE_EK4_0) \
_op_(FUSE_EK5_0) \
_op_(FUSE_EK6_0) \
_op_(FUSE_EK7_0) \
_op_(FUSE_PDK0_0) \
_op_(FUSE_PDK1_0) \
_op_(FUSE_PDK2_0) \
_op_(FUSE_PDK3_0) \
_op_(FUSE_KEK00_0) \
_op_(FUSE_KEK01_0) \
_op_(FUSE_KEK02_0) \
_op_(FUSE_KEK03_0) \
_op_(FUSE_KEK10_0) \
_op_(FUSE_KEK11_0) \
_op_(FUSE_KEK12_0) \
_op_(FUSE_KEK13_0) \
_op_(FUSE_KEK20_0) \
_op_(FUSE_KEK21_0) \
_op_(FUSE_KEK22_0) \
_op_(FUSE_KEK23_0) \
_op_(FUSE_OPT_PRIV_SFK_0_0) \
_op_(FUSE_OPT_PRIV_SFK_1_0) \
_op_(FUSE_OPT_PRIV_SFK_2_0) \
_op_(FUSE_OPT_PRIV_SFK_3_0) \
_op_(FUSE_PDI0_0) \
_op_(FUSE_PDI1_0) \
_op_(FUSE_ODMID0_0) \
_op_(FUSE_ODMID1_0) \
_op_(FUSE_ODM_CRC_0) \
_op_(FUSE_OPT_RAM_RTSEL_TSMCSP_0) \
_op_(FUSE_OPT_RAM_WTSEL_TSMCSP_0) \
_op_(FUSE_OPT_RAM_RTSEL_TSMCPDP_0) \
_op_(FUSE_OPT_RAM_MTSEL_TSMCPDP_0) \
_op_(FUSE_OPT_RAM_WTSEL_TSMCPDP_0) \
_op_(FUSE_OPT_RAM_RCT_TSMCDP_0) \
_op_(FUSE_OPT_RAM_WCT_TSMCDP_0) \
_op_(FUSE_OPT_RAM_KP_TSMCDP_0) \
_op_(FUSE_H0_0) \
_op_(FUSE_H1_0) \
_op_(FUSE_H2_0) \
_op_(FUSE_OPT_SECURE_SCC_DIS_0) \
_op_(FUSE_OPT_ADC_CAL_FUSE_REV_0) \
_op_(FUSE_OPT_ADC_CAL_INSTANCE0_0) \
_op_(FUSE_OPT_ADC_CAL_INSTANCE1_DELTA_0) \
_op_(FUSE_OPT_ADC_CAL_INSTANCE2_DELTA_0) \
_op_(FUSE_OPT_ADC_CAL_INSTANCE3_DELTA_0) \
_op_(FUSE_BPMP_CONFIG_0) \
_op_(FUSE_OPT_SECURE_SCANDEBUG_ACCESS_DISABLE_0) \
_op_(FUSE_OPT_FUSE_UCODE_ACR_HS_REV_0) \
_op_(FUSE_OPT_FUSE_UCODE_NVDEC_REV_0) \
_op_(FUSE_VCM_REVISION_0) \
_op_(FUSE_OPT_FEATURE_FUSES_OVERRIDE_DISABLE_0) \
_op_(FUSE_MCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0) \
_op_(FUSE_BCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0) \
_op_(FUSE_BCLUSTER_HT_IDDQ_RAM_RATIOCALIB_0) \
_op_(FUSE_SRAM_HT_IDDQ_CALIB_0) \
_op_(FUSE_MCLUSTER_LT_IDDQ_CALIB_0) \
_op_(FUSE_BCLUSTER_LT_IDDQ_CALIB_0) \
_op_(FUSE_SOC_LT_IDDQ_CALIB_0) \
_op_(FUSE_GPU_LT_IDDQ_CALIB_0) \
_op_(FUSE_OPT_INTERNAL_SKU_0) \
_op_(FUSE_FUSE2NVDEC_DEBUG_DISABLE_0) \
_op_(FUSE_SATA_NV_CALIB_0) \
_op_(FUSE_MPHY_NV_CALIB_0) \
_op_(FUSE_HYPERVOLTAGING_EXT_0) \
_op_(FUSE_BOOTROM_PATCH_VERSION_0) \
_op_(FUSE_SPARE_BIT_0_0) \
_op_(FUSE_SPARE_BIT_1_0) \
_op_(FUSE_SPARE_BIT_2_0) \
_op_(FUSE_SPARE_BIT_3_0) \
_op_(FUSE_SPARE_BIT_4_0) \
_op_(FUSE_SPARE_BIT_5_0) \
_op_(FUSE_SPARE_BIT_6_0) \
_op_(FUSE_SPARE_BIT_7_0) \
_op_(FUSE_SPARE_BIT_8_0) \
_op_(FUSE_SPARE_BIT_9_0) \
_op_(FUSE_SPARE_BIT_10_0) \
_op_(FUSE_SPARE_BIT_11_0) \
_op_(FUSE_SPARE_BIT_12_0) \
_op_(FUSE_SPARE_BIT_13_0) \
_op_(FUSE_SPARE_BIT_14_0) \
_op_(FUSE_SPARE_BIT_15_0) \
_op_(FUSE_SPARE_BIT_16_0) \
_op_(FUSE_SPARE_BIT_17_0) \
_op_(FUSE_SPARE_BIT_18_0) \
_op_(FUSE_SPARE_BIT_19_0) \
_op_(FUSE_SPARE_BIT_20_0) \
_op_(FUSE_SPARE_BIT_21_0) \
_op_(FUSE_SPARE_BIT_22_0) \
_op_(FUSE_SPARE_BIT_23_0) \
_op_(FUSE_SPARE_BIT_24_0) \
_op_(FUSE_SPARE_BIT_25_0) \
_op_(FUSE_SPARE_BIT_26_0) \
_op_(FUSE_SPARE_BIT_27_0) \
_op_(FUSE_SPARE_BIT_28_0) \
_op_(FUSE_SPARE_BIT_29_0) \
_op_(FUSE_SPARE_BIT_30_0) \
_op_(FUSE_SPARE_BIT_31_0) \
_op_(FUSE_SPARE_BIT_32_0) \
_op_(FUSE_SPARE_BIT_33_0) \
_op_(FUSE_SPARE_BIT_34_0) \
_op_(FUSE_SPARE_BIT_35_0) \
_op_(FUSE_SPARE_BIT_36_0) \
_op_(FUSE_SPARE_BIT_37_0) \
_op_(FUSE_SPARE_BIT_38_0) \
_op_(FUSE_SPARE_BIT_39_0) \
_op_(FUSE_SPARE_BIT_40_0) \
_op_(FUSE_SPARE_BIT_41_0) \
_op_(FUSE_SPARE_BIT_42_0) \
_op_(FUSE_SPARE_BIT_43_0) \
_op_(FUSE_SPARE_BIT_44_0) \
_op_(FUSE_SPARE_BIT_45_0) \
_op_(FUSE_SPARE_BIT_46_0) \
_op_(FUSE_SPARE_BIT_47_0) \
_op_(FUSE_SPARE_BIT_48_0) \
_op_(FUSE_SPARE_BIT_49_0) \
_op_(FUSE_SPARE_BIT_50_0) \
_op_(FUSE_SPARE_BIT_51_0)


//
// ADDRESS SPACES
//

#define BASE_ADDRESS_FUSE       0x00000000

//
// ARFUSE REGISTER BANKS
//

#define FUSE0_FIRST_REG 0x0000 // FUSE_FUSECTRL_0
#define FUSE0_LAST_REG 0x0030 // FUSE_WRITE_ACCESS_SW_0
#define FUSE1_FIRST_REG 0x003c // FUSE_PRIV2RESHIFT_0
#define FUSE1_LAST_REG 0x003c // FUSE_PRIV2RESHIFT_0
#define FUSE2_FIRST_REG 0x004c // FUSE_FUSETIME_RD3_0
#define FUSE2_LAST_REG 0x004c // FUSE_FUSETIME_RD3_0
#define FUSE3_FIRST_REG 0x0080 // FUSE_PRIVATE_KEY0_NONZERO_0
#define FUSE3_LAST_REG 0x008c // FUSE_PRIVATE_KEY3_NONZERO_0
#define FUSE4_FIRST_REG 0x0100 // FUSE_PRODUCTION_MODE_0
#define FUSE4_LAST_REG 0x0118 // FUSE_MCLUSTER_WITH_RAM_HT_IDDQ_CALIB_0
#define FUSE5_FIRST_REG 0x0128 // FUSE_OPT_FT_REV_0
#define FUSE5_LAST_REG 0x0140 // FUSE_SOC_HT_IDDQ_CALIB_0
#define FUSE6_FIRST_REG 0x0148 // FUSE_FA_0
#define FUSE6_LAST_REG 0x015c // FUSE_HDMI_LANE3_CALIB_0
#define FUSE7_FIRST_REG 0x0164 // FUSE_PUBLIC_KEY0_0
#define FUSE7_LAST_REG 0x0188 // FUSE_TSENSOR2_CALIB_0
#define FUSE8_FIRST_REG 0x0190 // FUSE_OPT_CP_REV_0
#define FUSE8_LAST_REG 0x0198 // FUSE_TSENSOR0_CALIB_0
#define FUSE9_FIRST_REG 0x01a0 // FUSE_SECURITY_MODE_0
#define FUSE9_LAST_REG 0x01b0 // FUSE_PRIVATE_KEY3_0
#define FUSE10_FIRST_REG 0x01b8 // FUSE_ARM_JTAG_DIS_0
#define FUSE10_LAST_REG 0x01e8 // FUSE_OBS_DIS_0
#define FUSE11_FIRST_REG 0x01f0 // FUSE_USB_CALIB_0
#define FUSE11_LAST_REG 0x0234 // FUSE_CLOCK_BONDOUT1_0
#define FUSE12_FIRST_REG 0x0244 // FUSE_OPT_SAMPLE_TYPE_0
#define FUSE12_LAST_REG 0x0268 // FUSE_BOOT_SECURITY_INFO_0
#define FUSE13_FIRST_REG 0x027c // FUSE_FUSE2TSEC_DEBUG_DISABLE_0
#define FUSE13_LAST_REG 0x0290 // FUSE_OPT_DONE_MAP_0
#define FUSE14_FIRST_REG 0x0298 // FUSE_APB2JTAG_DISABLE_0
#define FUSE14_LAST_REG 0x02d4 // FUSE_TSENSOR8_CALIB_0
#define FUSE15_FIRST_REG 0x02dc // FUSE_VMIN_CALIBRATION_0
#define FUSE15_LAST_REG 0x02f8 // FUSE_ECO_RESERVE_0_0
#define FUSE16_FIRST_REG 0x0304 // FUSE_RESERVED_CALIB0_0
#define FUSE16_LAST_REG 0x031c // FUSE_TSENSOR9_CALIB_0
#define FUSE17_FIRST_REG 0x0324 // FUSE_OPT_RAM_SVOP_DP_0
#define FUSE17_LAST_REG 0x0334 // FUSE_OPT_RAM_SVOP_SMPDP_0
#define FUSE18_FIRST_REG 0x0350 // FUSE_USB_CALIB_EXT_0
#define FUSE18_LAST_REG 0x037c // FUSE_OPT_ARM_CORE_DISABLE_CP_0
#define FUSE19_FIRST_REG 0x0390 // FUSE_EK0_0
#define FUSE19_LAST_REG 0x043c // FUSE_H2_0
#define FUSE20_FIRST_REG 0x0444 // FUSE_OPT_SECURE_SCC_DIS_0
#define FUSE20_LAST_REG 0x0578 // FUSE_SPARE_BIT_51_0

// To satisfy various compilers and platforms,
// we let users control the types and syntax of certain constants, using macros.
#ifndef _MK_SHIFT_CONST
  #define _MK_SHIFT_CONST(_constant_) _constant_
#endif
#ifndef _MK_MASK_CONST
  #define _MK_MASK_CONST(_constant_) _constant_
#endif
#ifndef _MK_ENUM_CONST
  #define _MK_ENUM_CONST(_constant_) (_constant_ ## UL)
#endif
#ifndef _MK_ADDR_CONST
  #define _MK_ADDR_CONST(_constant_) _constant_
#endif
#ifndef _MK_FIELD_CONST
  #define _MK_FIELD_CONST(_mask_, _shift_) (_MK_MASK_CONST(_mask_) << _MK_SHIFT_CONST(_shift_))
#endif

#endif // ifndef ___ARFUSE_H_INC_
