//
// Copyright (c) 2016 NVIDIA Corporation.
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
//  * Redistributions of source code must retain the above copyright
//    notice, this list of conditions and the following disclaimer.
//  * Redistributions in binary form must reproduce the above copyright
//    notice, this list of conditions and the following disclaimer in the
//    documentation and/or other materials provided with the distribution.
//  * Neither the name of NVIDIA CORPORATION nor the names of its
//    contributors may be used to endorse or promote products derived
//    from this software without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS ``AS IS'' AND ANY
// EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
// PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR
// CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
// EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
// PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
// PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
// OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
// (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
// OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//

//
// DO NOT EDIT - generated by simspec!
//

#ifndef ___ARSE_RNG1_H_INC_
#define ___ARSE_RNG1_H_INC_

// Register SE_RNG1_RNG1_CTRL_0
#define SE_RNG1_RNG1_CTRL_0                     _MK_ADDR_CONST(0xf00)
#define SE_RNG1_RNG1_CTRL_0_SECURE                      0x0
#define SE_RNG1_RNG1_CTRL_0_SCR                         0
#define SE_RNG1_RNG1_CTRL_0_WORD_COUNT                  0x1
#define SE_RNG1_RNG1_CTRL_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_CTRL_0_RESET_MASK                  _MK_MASK_CONST(0xf)
#define SE_RNG1_RNG1_CTRL_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_CTRL_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_CTRL_0_READ_MASK                   _MK_MASK_CONST(0xf)
#define SE_RNG1_RNG1_CTRL_0_WRITE_MASK                  _MK_MASK_CONST(0xf)
#define SE_RNG1_RNG1_CTRL_0_CMD_SHIFT                   _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_CTRL_0_CMD_FIELD                   _MK_FIELD_CONST(0xf, SE_RNG1_RNG1_CTRL_0_CMD_SHIFT)
#define SE_RNG1_RNG1_CTRL_0_CMD_RANGE                   3:0
#define SE_RNG1_RNG1_CTRL_0_CMD_WOFFSET                 0x0
#define SE_RNG1_RNG1_CTRL_0_CMD_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_CTRL_0_CMD_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define SE_RNG1_RNG1_CTRL_0_CMD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_CTRL_0_CMD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_CTRL_0_CMD_INIT_ENUM                       NOP
#define SE_RNG1_RNG1_CTRL_0_CMD_NOP                     _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_CTRL_0_CMD_GEN_NOISE                       _MK_ENUM_CONST(1)
#define SE_RNG1_RNG1_CTRL_0_CMD_GEN_NONCE                       _MK_ENUM_CONST(2)
#define SE_RNG1_RNG1_CTRL_0_CMD_CREATE_STATE                    _MK_ENUM_CONST(3)
#define SE_RNG1_RNG1_CTRL_0_CMD_RENEW_STATE                     _MK_ENUM_CONST(4)
#define SE_RNG1_RNG1_CTRL_0_CMD_REFRESH_ADDIN                   _MK_ENUM_CONST(5)
#define SE_RNG1_RNG1_CTRL_0_CMD_GEN_RANDOM                      _MK_ENUM_CONST(6)
#define SE_RNG1_RNG1_CTRL_0_CMD_ADVANCE_STATE                   _MK_ENUM_CONST(7)
#define SE_RNG1_RNG1_CTRL_0_CMD_KAT                     _MK_ENUM_CONST(8)
#define SE_RNG1_RNG1_CTRL_0_CMD_ZEROIZE                 _MK_ENUM_CONST(15)


// Register SE_RNG1_RNG1_MODE_0
#define SE_RNG1_RNG1_MODE_0                     _MK_ADDR_CONST(0xf04)
#define SE_RNG1_RNG1_MODE_0_SECURE                      0x0
#define SE_RNG1_RNG1_MODE_0_SCR                         0
#define SE_RNG1_RNG1_MODE_0_WORD_COUNT                  0x1
#define SE_RNG1_RNG1_MODE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MODE_0_RESET_MASK                  _MK_MASK_CONST(0x1f)
#define SE_RNG1_RNG1_MODE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MODE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MODE_0_READ_MASK                   _MK_MASK_CONST(0x1f)
#define SE_RNG1_RNG1_MODE_0_WRITE_MASK                  _MK_MASK_CONST(0x1f)
#define SE_RNG1_RNG1_MODE_0_ADDIN_PRESENT_SHIFT                 _MK_SHIFT_CONST(4)
#define SE_RNG1_RNG1_MODE_0_ADDIN_PRESENT_FIELD                 _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_MODE_0_ADDIN_PRESENT_SHIFT)
#define SE_RNG1_RNG1_MODE_0_ADDIN_PRESENT_RANGE                 4:4
#define SE_RNG1_RNG1_MODE_0_ADDIN_PRESENT_WOFFSET                       0x0
#define SE_RNG1_RNG1_MODE_0_ADDIN_PRESENT_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MODE_0_ADDIN_PRESENT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_MODE_0_ADDIN_PRESENT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MODE_0_ADDIN_PRESENT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MODE_0_ADDIN_PRESENT_INIT_ENUM                     FALSE
#define SE_RNG1_RNG1_MODE_0_ADDIN_PRESENT_FALSE                 _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_MODE_0_ADDIN_PRESENT_TRUE                  _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_MODE_0_PRED_RESIST_SHIFT                   _MK_SHIFT_CONST(3)
#define SE_RNG1_RNG1_MODE_0_PRED_RESIST_FIELD                   _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_MODE_0_PRED_RESIST_SHIFT)
#define SE_RNG1_RNG1_MODE_0_PRED_RESIST_RANGE                   3:3
#define SE_RNG1_RNG1_MODE_0_PRED_RESIST_WOFFSET                 0x0
#define SE_RNG1_RNG1_MODE_0_PRED_RESIST_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MODE_0_PRED_RESIST_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_MODE_0_PRED_RESIST_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MODE_0_PRED_RESIST_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MODE_0_PRED_RESIST_INIT_ENUM                       FALSE
#define SE_RNG1_RNG1_MODE_0_PRED_RESIST_FALSE                   _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_MODE_0_PRED_RESIST_TRUE                    _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_MODE_0_KAT_SEL_SHIFT                       _MK_SHIFT_CONST(2)
#define SE_RNG1_RNG1_MODE_0_KAT_SEL_FIELD                       _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_MODE_0_KAT_SEL_SHIFT)
#define SE_RNG1_RNG1_MODE_0_KAT_SEL_RANGE                       2:2
#define SE_RNG1_RNG1_MODE_0_KAT_SEL_WOFFSET                     0x0
#define SE_RNG1_RNG1_MODE_0_KAT_SEL_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MODE_0_KAT_SEL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_MODE_0_KAT_SEL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MODE_0_KAT_SEL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MODE_0_KAT_SEL_INIT_ENUM                   DRBG
#define SE_RNG1_RNG1_MODE_0_KAT_SEL_DRBG                        _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_MODE_0_KAT_SEL_DF                  _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_MODE_0_KAT_VEC_SHIFT                       _MK_SHIFT_CONST(1)
#define SE_RNG1_RNG1_MODE_0_KAT_VEC_FIELD                       _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_MODE_0_KAT_VEC_SHIFT)
#define SE_RNG1_RNG1_MODE_0_KAT_VEC_RANGE                       1:1
#define SE_RNG1_RNG1_MODE_0_KAT_VEC_WOFFSET                     0x0
#define SE_RNG1_RNG1_MODE_0_KAT_VEC_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MODE_0_KAT_VEC_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_MODE_0_KAT_VEC_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MODE_0_KAT_VEC_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MODE_0_KAT_VEC_INIT_ENUM                   KAT0
#define SE_RNG1_RNG1_MODE_0_KAT_VEC_KAT0                        _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_MODE_0_KAT_VEC_KAT1                        _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_MODE_0_SEC_ALG_SHIFT                       _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_MODE_0_SEC_ALG_FIELD                       _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_MODE_0_SEC_ALG_SHIFT)
#define SE_RNG1_RNG1_MODE_0_SEC_ALG_RANGE                       0:0
#define SE_RNG1_RNG1_MODE_0_SEC_ALG_WOFFSET                     0x0
#define SE_RNG1_RNG1_MODE_0_SEC_ALG_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MODE_0_SEC_ALG_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_MODE_0_SEC_ALG_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MODE_0_SEC_ALG_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MODE_0_SEC_ALG_INIT_ENUM                   AES_128
#define SE_RNG1_RNG1_MODE_0_SEC_ALG_AES_128                     _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_MODE_0_SEC_ALG_AES_256                     _MK_ENUM_CONST(1)


// Register SE_RNG1_RNG1_SMODE_0
#define SE_RNG1_RNG1_SMODE_0                    _MK_ADDR_CONST(0xf08)
#define SE_RNG1_RNG1_SMODE_0_SECURE                     0x0
#define SE_RNG1_RNG1_SMODE_0_SCR                        0
#define SE_RNG1_RNG1_SMODE_0_WORD_COUNT                         0x1
#define SE_RNG1_RNG1_SMODE_0_RESET_VAL                  _MK_MASK_CONST(0x28)
#define SE_RNG1_RNG1_SMODE_0_RESET_MASK                         _MK_MASK_CONST(0x3ff)
#define SE_RNG1_RNG1_SMODE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SMODE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SMODE_0_READ_MASK                  _MK_MASK_CONST(0x3ff)
#define SE_RNG1_RNG1_SMODE_0_WRITE_MASK                         _MK_MASK_CONST(0x3ff)
#define SE_RNG1_RNG1_SMODE_0_MAX_REJECTS_SHIFT                  _MK_SHIFT_CONST(2)
#define SE_RNG1_RNG1_SMODE_0_MAX_REJECTS_FIELD                  _MK_FIELD_CONST(0xff, SE_RNG1_RNG1_SMODE_0_MAX_REJECTS_SHIFT)
#define SE_RNG1_RNG1_SMODE_0_MAX_REJECTS_RANGE                  9:2
#define SE_RNG1_RNG1_SMODE_0_MAX_REJECTS_WOFFSET                        0x0
#define SE_RNG1_RNG1_SMODE_0_MAX_REJECTS_DEFAULT                        _MK_MASK_CONST(0xa)
#define SE_RNG1_RNG1_SMODE_0_MAX_REJECTS_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define SE_RNG1_RNG1_SMODE_0_MAX_REJECTS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SMODE_0_MAX_REJECTS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)

#define SE_RNG1_RNG1_SMODE_0_SECURE_EN_SHIFT                    _MK_SHIFT_CONST(1)
#define SE_RNG1_RNG1_SMODE_0_SECURE_EN_FIELD                    _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_SMODE_0_SECURE_EN_SHIFT)
#define SE_RNG1_RNG1_SMODE_0_SECURE_EN_RANGE                    1:1
#define SE_RNG1_RNG1_SMODE_0_SECURE_EN_WOFFSET                  0x0
#define SE_RNG1_RNG1_SMODE_0_SECURE_EN_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SMODE_0_SECURE_EN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_SMODE_0_SECURE_EN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SMODE_0_SECURE_EN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SMODE_0_SECURE_EN_INIT_ENUM                        PROMISCUOUS
#define SE_RNG1_RNG1_SMODE_0_SECURE_EN_PROMISCUOUS                      _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_SMODE_0_SECURE_EN_SECURE                   _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_SMODE_0_NONCE_SHIFT                        _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_SMODE_0_NONCE_FIELD                        _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_SMODE_0_NONCE_SHIFT)
#define SE_RNG1_RNG1_SMODE_0_NONCE_RANGE                        0:0
#define SE_RNG1_RNG1_SMODE_0_NONCE_WOFFSET                      0x0
#define SE_RNG1_RNG1_SMODE_0_NONCE_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SMODE_0_NONCE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_SMODE_0_NONCE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SMODE_0_NONCE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SMODE_0_NONCE_INIT_ENUM                    DISABLE
#define SE_RNG1_RNG1_SMODE_0_NONCE_DISABLE                      _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_SMODE_0_NONCE_ENABLE                       _MK_ENUM_CONST(1)


// Register SE_RNG1_RNG1_STAT_0
#define SE_RNG1_RNG1_STAT_0                     _MK_ADDR_CONST(0xf0c)
#define SE_RNG1_RNG1_STAT_0_SECURE                      0x0
#define SE_RNG1_RNG1_STAT_0_SCR                         0
#define SE_RNG1_RNG1_STAT_0_WORD_COUNT                  0x1
#define SE_RNG1_RNG1_STAT_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_STAT_0_RESET_MASK                  _MK_MASK_CONST(0x800001ff)
#define SE_RNG1_RNG1_STAT_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_STAT_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_STAT_0_READ_MASK                   _MK_MASK_CONST(0x800001ff)
#define SE_RNG1_RNG1_STAT_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_STAT_0_BUSY_SHIFT                  _MK_SHIFT_CONST(31)
#define SE_RNG1_RNG1_STAT_0_BUSY_FIELD                  _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_STAT_0_BUSY_SHIFT)
#define SE_RNG1_RNG1_STAT_0_BUSY_RANGE                  31:31
#define SE_RNG1_RNG1_STAT_0_BUSY_WOFFSET                        0x0
#define SE_RNG1_RNG1_STAT_0_BUSY_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_STAT_0_BUSY_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_STAT_0_BUSY_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_STAT_0_BUSY_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_STAT_0_BUSY_INIT_ENUM                      FALSE
#define SE_RNG1_RNG1_STAT_0_BUSY_FALSE                  _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_STAT_0_BUSY_TRUE                   _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_STAT_0_DRBG_STATE_SHIFT                    _MK_SHIFT_CONST(7)
#define SE_RNG1_RNG1_STAT_0_DRBG_STATE_FIELD                    _MK_FIELD_CONST(0x3, SE_RNG1_RNG1_STAT_0_DRBG_STATE_SHIFT)
#define SE_RNG1_RNG1_STAT_0_DRBG_STATE_RANGE                    8:7
#define SE_RNG1_RNG1_STAT_0_DRBG_STATE_WOFFSET                  0x0
#define SE_RNG1_RNG1_STAT_0_DRBG_STATE_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_STAT_0_DRBG_STATE_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define SE_RNG1_RNG1_STAT_0_DRBG_STATE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_STAT_0_DRBG_STATE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_STAT_0_DRBG_STATE_INIT_ENUM                        NOT_INITIAL
#define SE_RNG1_RNG1_STAT_0_DRBG_STATE_NOT_INITIAL                      _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_STAT_0_DRBG_STATE_INITIAL_BY_NOISE                 _MK_ENUM_CONST(1)
#define SE_RNG1_RNG1_STAT_0_DRBG_STATE_INITIAL_BY_NONCE                 _MK_ENUM_CONST(2)

#define SE_RNG1_RNG1_STAT_0_SECURE_SHIFT                        _MK_SHIFT_CONST(6)
#define SE_RNG1_RNG1_STAT_0_SECURE_FIELD                        _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_STAT_0_SECURE_SHIFT)
#define SE_RNG1_RNG1_STAT_0_SECURE_RANGE                        6:6
#define SE_RNG1_RNG1_STAT_0_SECURE_WOFFSET                      0x0
#define SE_RNG1_RNG1_STAT_0_SECURE_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_STAT_0_SECURE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_STAT_0_SECURE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_STAT_0_SECURE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_STAT_0_SECURE_INIT_ENUM                    PROMISCUOUS
#define SE_RNG1_RNG1_STAT_0_SECURE_PROMISCUOUS                  _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_STAT_0_SECURE_SECURE                       _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_STAT_0_NONCE_MODE_SHIFT                    _MK_SHIFT_CONST(5)
#define SE_RNG1_RNG1_STAT_0_NONCE_MODE_FIELD                    _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_STAT_0_NONCE_MODE_SHIFT)
#define SE_RNG1_RNG1_STAT_0_NONCE_MODE_RANGE                    5:5
#define SE_RNG1_RNG1_STAT_0_NONCE_MODE_WOFFSET                  0x0
#define SE_RNG1_RNG1_STAT_0_NONCE_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_STAT_0_NONCE_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_STAT_0_NONCE_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_STAT_0_NONCE_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_STAT_0_NONCE_MODE_INIT_ENUM                        DISABLE
#define SE_RNG1_RNG1_STAT_0_NONCE_MODE_DISABLE                  _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_STAT_0_NONCE_MODE_ENABLE                   _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_STAT_0_SEC_ALG_SHIFT                       _MK_SHIFT_CONST(4)
#define SE_RNG1_RNG1_STAT_0_SEC_ALG_FIELD                       _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_STAT_0_SEC_ALG_SHIFT)
#define SE_RNG1_RNG1_STAT_0_SEC_ALG_RANGE                       4:4
#define SE_RNG1_RNG1_STAT_0_SEC_ALG_WOFFSET                     0x0
#define SE_RNG1_RNG1_STAT_0_SEC_ALG_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_STAT_0_SEC_ALG_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_STAT_0_SEC_ALG_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_STAT_0_SEC_ALG_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_STAT_0_SEC_ALG_INIT_ENUM                   AES_128
#define SE_RNG1_RNG1_STAT_0_SEC_ALG_AES_128                     _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_STAT_0_SEC_ALG_AES_256                     _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_STAT_0_LAST_CMD_SHIFT                      _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_STAT_0_LAST_CMD_FIELD                      _MK_FIELD_CONST(0xf, SE_RNG1_RNG1_STAT_0_LAST_CMD_SHIFT)
#define SE_RNG1_RNG1_STAT_0_LAST_CMD_RANGE                      3:0
#define SE_RNG1_RNG1_STAT_0_LAST_CMD_WOFFSET                    0x0
#define SE_RNG1_RNG1_STAT_0_LAST_CMD_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_STAT_0_LAST_CMD_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define SE_RNG1_RNG1_STAT_0_LAST_CMD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_STAT_0_LAST_CMD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_STAT_0_LAST_CMD_INIT_ENUM                  NOP
#define SE_RNG1_RNG1_STAT_0_LAST_CMD_NOP                        _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_STAT_0_LAST_CMD_GEN_NOISE                  _MK_ENUM_CONST(1)
#define SE_RNG1_RNG1_STAT_0_LAST_CMD_GEN_NONCE                  _MK_ENUM_CONST(2)
#define SE_RNG1_RNG1_STAT_0_LAST_CMD_CREATE_STATE                       _MK_ENUM_CONST(3)
#define SE_RNG1_RNG1_STAT_0_LAST_CMD_RENEW_STATE                        _MK_ENUM_CONST(4)
#define SE_RNG1_RNG1_STAT_0_LAST_CMD_REFRESH_ADDIN                      _MK_ENUM_CONST(5)
#define SE_RNG1_RNG1_STAT_0_LAST_CMD_GEN_RANDOM                 _MK_ENUM_CONST(6)
#define SE_RNG1_RNG1_STAT_0_LAST_CMD_ADVANCE_STATE                      _MK_ENUM_CONST(7)
#define SE_RNG1_RNG1_STAT_0_LAST_CMD_KAT                        _MK_ENUM_CONST(8)
#define SE_RNG1_RNG1_STAT_0_LAST_CMD_ZEROIZE                    _MK_ENUM_CONST(15)


// Register SE_RNG1_RNG1_IE_0
#define SE_RNG1_RNG1_IE_0                       _MK_ADDR_CONST(0xf10)
#define SE_RNG1_RNG1_IE_0_SECURE                        0x0
#define SE_RNG1_RNG1_IE_0_SCR                   0
#define SE_RNG1_RNG1_IE_0_WORD_COUNT                    0x1
#define SE_RNG1_RNG1_IE_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IE_0_RESET_MASK                    _MK_MASK_CONST(0x8000001f)
#define SE_RNG1_RNG1_IE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IE_0_READ_MASK                     _MK_MASK_CONST(0x8000001f)
#define SE_RNG1_RNG1_IE_0_WRITE_MASK                    _MK_MASK_CONST(0x8000001f)
#define SE_RNG1_RNG1_IE_0_GLBL_SHIFT                    _MK_SHIFT_CONST(31)
#define SE_RNG1_RNG1_IE_0_GLBL_FIELD                    _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_IE_0_GLBL_SHIFT)
#define SE_RNG1_RNG1_IE_0_GLBL_RANGE                    31:31
#define SE_RNG1_RNG1_IE_0_GLBL_WOFFSET                  0x0
#define SE_RNG1_RNG1_IE_0_GLBL_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IE_0_GLBL_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_IE_0_GLBL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IE_0_GLBL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IE_0_GLBL_INIT_ENUM                        DISABLE
#define SE_RNG1_RNG1_IE_0_GLBL_DISABLE                  _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_IE_0_GLBL_ENABLE                   _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_IE_0_DONE_SHIFT                    _MK_SHIFT_CONST(4)
#define SE_RNG1_RNG1_IE_0_DONE_FIELD                    _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_IE_0_DONE_SHIFT)
#define SE_RNG1_RNG1_IE_0_DONE_RANGE                    4:4
#define SE_RNG1_RNG1_IE_0_DONE_WOFFSET                  0x0
#define SE_RNG1_RNG1_IE_0_DONE_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IE_0_DONE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_IE_0_DONE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IE_0_DONE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IE_0_DONE_INIT_ENUM                        DISABLE
#define SE_RNG1_RNG1_IE_0_DONE_DISABLE                  _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_IE_0_DONE_ENABLE                   _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_IE_0_ALARMS_SHIFT                  _MK_SHIFT_CONST(3)
#define SE_RNG1_RNG1_IE_0_ALARMS_FIELD                  _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_IE_0_ALARMS_SHIFT)
#define SE_RNG1_RNG1_IE_0_ALARMS_RANGE                  3:3
#define SE_RNG1_RNG1_IE_0_ALARMS_WOFFSET                        0x0
#define SE_RNG1_RNG1_IE_0_ALARMS_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IE_0_ALARMS_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_IE_0_ALARMS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IE_0_ALARMS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IE_0_ALARMS_INIT_ENUM                      DISABLE
#define SE_RNG1_RNG1_IE_0_ALARMS_DISABLE                        _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_IE_0_ALARMS_ENABLE                 _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_IE_0_NOISE_RDY_SHIFT                       _MK_SHIFT_CONST(2)
#define SE_RNG1_RNG1_IE_0_NOISE_RDY_FIELD                       _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_IE_0_NOISE_RDY_SHIFT)
#define SE_RNG1_RNG1_IE_0_NOISE_RDY_RANGE                       2:2
#define SE_RNG1_RNG1_IE_0_NOISE_RDY_WOFFSET                     0x0
#define SE_RNG1_RNG1_IE_0_NOISE_RDY_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IE_0_NOISE_RDY_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_IE_0_NOISE_RDY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IE_0_NOISE_RDY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IE_0_NOISE_RDY_INIT_ENUM                   DISABLE
#define SE_RNG1_RNG1_IE_0_NOISE_RDY_DISABLE                     _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_IE_0_NOISE_RDY_ENABLE                      _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_IE_0_KAT_COMPLETED_SHIFT                   _MK_SHIFT_CONST(1)
#define SE_RNG1_RNG1_IE_0_KAT_COMPLETED_FIELD                   _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_IE_0_KAT_COMPLETED_SHIFT)
#define SE_RNG1_RNG1_IE_0_KAT_COMPLETED_RANGE                   1:1
#define SE_RNG1_RNG1_IE_0_KAT_COMPLETED_WOFFSET                 0x0
#define SE_RNG1_RNG1_IE_0_KAT_COMPLETED_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IE_0_KAT_COMPLETED_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_IE_0_KAT_COMPLETED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IE_0_KAT_COMPLETED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IE_0_KAT_COMPLETED_INIT_ENUM                       DISABLE
#define SE_RNG1_RNG1_IE_0_KAT_COMPLETED_DISABLE                 _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_IE_0_KAT_COMPLETED_ENABLE                  _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_IE_0_ZEROIZED_SHIFT                        _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_IE_0_ZEROIZED_FIELD                        _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_IE_0_ZEROIZED_SHIFT)
#define SE_RNG1_RNG1_IE_0_ZEROIZED_RANGE                        0:0
#define SE_RNG1_RNG1_IE_0_ZEROIZED_WOFFSET                      0x0
#define SE_RNG1_RNG1_IE_0_ZEROIZED_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IE_0_ZEROIZED_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_IE_0_ZEROIZED_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IE_0_ZEROIZED_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IE_0_ZEROIZED_INIT_ENUM                    DISABLE
#define SE_RNG1_RNG1_IE_0_ZEROIZED_DISABLE                      _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_IE_0_ZEROIZED_ENABLE                       _MK_ENUM_CONST(1)


// Register SE_RNG1_RNG1_ISTAT_0
#define SE_RNG1_RNG1_ISTAT_0                    _MK_ADDR_CONST(0xf14)
#define SE_RNG1_RNG1_ISTAT_0_SECURE                     0x0
#define SE_RNG1_RNG1_ISTAT_0_SCR                        0
#define SE_RNG1_RNG1_ISTAT_0_WORD_COUNT                         0x1
#define SE_RNG1_RNG1_ISTAT_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ISTAT_0_RESET_MASK                         _MK_MASK_CONST(0x1f)
#define SE_RNG1_RNG1_ISTAT_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ISTAT_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ISTAT_0_READ_MASK                  _MK_MASK_CONST(0x1f)
#define SE_RNG1_RNG1_ISTAT_0_WRITE_MASK                         _MK_MASK_CONST(0x1f)
#define SE_RNG1_RNG1_ISTAT_0_DONE_SHIFT                 _MK_SHIFT_CONST(4)
#define SE_RNG1_RNG1_ISTAT_0_DONE_FIELD                 _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_ISTAT_0_DONE_SHIFT)
#define SE_RNG1_RNG1_ISTAT_0_DONE_RANGE                 4:4
#define SE_RNG1_RNG1_ISTAT_0_DONE_WOFFSET                       0x0
#define SE_RNG1_RNG1_ISTAT_0_DONE_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ISTAT_0_DONE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_ISTAT_0_DONE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ISTAT_0_DONE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ISTAT_0_DONE_INIT_ENUM                     CLEAR
#define SE_RNG1_RNG1_ISTAT_0_DONE_CLEAR                 _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_ISTAT_0_DONE_ACTIVE                        _MK_ENUM_CONST(1)
#define SE_RNG1_RNG1_ISTAT_0_DONE_SW_CLEAR                      _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_ISTAT_0_ALARMS_SHIFT                       _MK_SHIFT_CONST(3)
#define SE_RNG1_RNG1_ISTAT_0_ALARMS_FIELD                       _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_ISTAT_0_ALARMS_SHIFT)
#define SE_RNG1_RNG1_ISTAT_0_ALARMS_RANGE                       3:3
#define SE_RNG1_RNG1_ISTAT_0_ALARMS_WOFFSET                     0x0
#define SE_RNG1_RNG1_ISTAT_0_ALARMS_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ISTAT_0_ALARMS_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_ISTAT_0_ALARMS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ISTAT_0_ALARMS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ISTAT_0_ALARMS_INIT_ENUM                   CLEAR
#define SE_RNG1_RNG1_ISTAT_0_ALARMS_CLEAR                       _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_ISTAT_0_ALARMS_ACTIVE                      _MK_ENUM_CONST(1)
#define SE_RNG1_RNG1_ISTAT_0_ALARMS_SW_CLEAR                    _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_ISTAT_0_NOISE_RDY_SHIFT                    _MK_SHIFT_CONST(2)
#define SE_RNG1_RNG1_ISTAT_0_NOISE_RDY_FIELD                    _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_ISTAT_0_NOISE_RDY_SHIFT)
#define SE_RNG1_RNG1_ISTAT_0_NOISE_RDY_RANGE                    2:2
#define SE_RNG1_RNG1_ISTAT_0_NOISE_RDY_WOFFSET                  0x0
#define SE_RNG1_RNG1_ISTAT_0_NOISE_RDY_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ISTAT_0_NOISE_RDY_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_ISTAT_0_NOISE_RDY_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ISTAT_0_NOISE_RDY_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ISTAT_0_NOISE_RDY_INIT_ENUM                        CLEAR
#define SE_RNG1_RNG1_ISTAT_0_NOISE_RDY_CLEAR                    _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_ISTAT_0_NOISE_RDY_ACTIVE                   _MK_ENUM_CONST(1)
#define SE_RNG1_RNG1_ISTAT_0_NOISE_RDY_SW_CLEAR                 _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_ISTAT_0_KAT_COMPLETED_SHIFT                        _MK_SHIFT_CONST(1)
#define SE_RNG1_RNG1_ISTAT_0_KAT_COMPLETED_FIELD                        _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_ISTAT_0_KAT_COMPLETED_SHIFT)
#define SE_RNG1_RNG1_ISTAT_0_KAT_COMPLETED_RANGE                        1:1
#define SE_RNG1_RNG1_ISTAT_0_KAT_COMPLETED_WOFFSET                      0x0
#define SE_RNG1_RNG1_ISTAT_0_KAT_COMPLETED_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ISTAT_0_KAT_COMPLETED_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_ISTAT_0_KAT_COMPLETED_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ISTAT_0_KAT_COMPLETED_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ISTAT_0_KAT_COMPLETED_INIT_ENUM                    CLEAR
#define SE_RNG1_RNG1_ISTAT_0_KAT_COMPLETED_CLEAR                        _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_ISTAT_0_KAT_COMPLETED_ACTIVE                       _MK_ENUM_CONST(1)
#define SE_RNG1_RNG1_ISTAT_0_KAT_COMPLETED_SW_CLEAR                     _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_ISTAT_0_ZEROIZED_SHIFT                     _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_ISTAT_0_ZEROIZED_FIELD                     _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_ISTAT_0_ZEROIZED_SHIFT)
#define SE_RNG1_RNG1_ISTAT_0_ZEROIZED_RANGE                     0:0
#define SE_RNG1_RNG1_ISTAT_0_ZEROIZED_WOFFSET                   0x0
#define SE_RNG1_RNG1_ISTAT_0_ZEROIZED_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ISTAT_0_ZEROIZED_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_ISTAT_0_ZEROIZED_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ISTAT_0_ZEROIZED_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ISTAT_0_ZEROIZED_INIT_ENUM                 CLEAR
#define SE_RNG1_RNG1_ISTAT_0_ZEROIZED_CLEAR                     _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_ISTAT_0_ZEROIZED_ACTIVE                    _MK_ENUM_CONST(1)
#define SE_RNG1_RNG1_ISTAT_0_ZEROIZED_SW_CLEAR                  _MK_ENUM_CONST(1)


// Register SE_RNG1_RNG1_ALARMS_0
#define SE_RNG1_RNG1_ALARMS_0                   _MK_ADDR_CONST(0xf18)
#define SE_RNG1_RNG1_ALARMS_0_SECURE                    0x0
#define SE_RNG1_RNG1_ALARMS_0_SCR                       0
#define SE_RNG1_RNG1_ALARMS_0_WORD_COUNT                        0x1
#define SE_RNG1_RNG1_ALARMS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ALARMS_0_RESET_MASK                        _MK_MASK_CONST(0x1f)
#define SE_RNG1_RNG1_ALARMS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ALARMS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ALARMS_0_READ_MASK                         _MK_MASK_CONST(0x1f)
#define SE_RNG1_RNG1_ALARMS_0_WRITE_MASK                        _MK_MASK_CONST(0x1f)
#define SE_RNG1_RNG1_ALARMS_0_ILLEGAL_CMD_SEQ_SHIFT                     _MK_SHIFT_CONST(4)
#define SE_RNG1_RNG1_ALARMS_0_ILLEGAL_CMD_SEQ_FIELD                     _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_ALARMS_0_ILLEGAL_CMD_SEQ_SHIFT)
#define SE_RNG1_RNG1_ALARMS_0_ILLEGAL_CMD_SEQ_RANGE                     4:4
#define SE_RNG1_RNG1_ALARMS_0_ILLEGAL_CMD_SEQ_WOFFSET                   0x0
#define SE_RNG1_RNG1_ALARMS_0_ILLEGAL_CMD_SEQ_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ALARMS_0_ILLEGAL_CMD_SEQ_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_ALARMS_0_ILLEGAL_CMD_SEQ_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ALARMS_0_ILLEGAL_CMD_SEQ_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ALARMS_0_ILLEGAL_CMD_SEQ_INIT_ENUM                 FALSE
#define SE_RNG1_RNG1_ALARMS_0_ILLEGAL_CMD_SEQ_FALSE                     _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_ALARMS_0_ILLEGAL_CMD_SEQ_TRUE                      _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_ALARMS_0_FAILED_TEST_ID_SHIFT                      _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_ALARMS_0_FAILED_TEST_ID_FIELD                      _MK_FIELD_CONST(0xf, SE_RNG1_RNG1_ALARMS_0_FAILED_TEST_ID_SHIFT)
#define SE_RNG1_RNG1_ALARMS_0_FAILED_TEST_ID_RANGE                      3:0
#define SE_RNG1_RNG1_ALARMS_0_FAILED_TEST_ID_WOFFSET                    0x0
#define SE_RNG1_RNG1_ALARMS_0_FAILED_TEST_ID_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ALARMS_0_FAILED_TEST_ID_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define SE_RNG1_RNG1_ALARMS_0_FAILED_TEST_ID_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ALARMS_0_FAILED_TEST_ID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ALARMS_0_FAILED_TEST_ID_INIT_ENUM                  NO
#define SE_RNG1_RNG1_ALARMS_0_FAILED_TEST_ID_NO                 _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_ALARMS_0_FAILED_TEST_ID_BOTH                       _MK_ENUM_CONST(1)
#define SE_RNG1_RNG1_ALARMS_0_FAILED_TEST_ID_KAT                        _MK_ENUM_CONST(2)
#define SE_RNG1_RNG1_ALARMS_0_FAILED_TEST_ID_MONOBIT                    _MK_ENUM_CONST(3)
#define SE_RNG1_RNG1_ALARMS_0_FAILED_TEST_ID_RUN                        _MK_ENUM_CONST(4)
#define SE_RNG1_RNG1_ALARMS_0_FAILED_TEST_ID_LONG_RUN                   _MK_ENUM_CONST(5)
#define SE_RNG1_RNG1_ALARMS_0_FAILED_TEST_ID_AUTO_CORRELATION                   _MK_ENUM_CONST(6)
#define SE_RNG1_RNG1_ALARMS_0_FAILED_TEST_ID_POKER                      _MK_ENUM_CONST(7)
#define SE_RNG1_RNG1_ALARMS_0_FAILED_TEST_ID_REPETITION_COUNT                   _MK_ENUM_CONST(8)
#define SE_RNG1_RNG1_ALARMS_0_FAILED_TEST_ID_ADAPTIVE_PROPORTION                        _MK_ENUM_CONST(9)


// Register SE_RNG1_RNG1_BUILD_ID_0
#define SE_RNG1_RNG1_BUILD_ID_0                 _MK_ADDR_CONST(0xf1c)
#define SE_RNG1_RNG1_BUILD_ID_0_SECURE                  0x0
#define SE_RNG1_RNG1_BUILD_ID_0_SCR                     0
#define SE_RNG1_RNG1_BUILD_ID_0_WORD_COUNT                      0x1
#define SE_RNG1_RNG1_BUILD_ID_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_BUILD_ID_0_RESET_MASK                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_BUILD_ID_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_BUILD_ID_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_BUILD_ID_0_READ_MASK                       _MK_MASK_CONST(0xf000ffff)
#define SE_RNG1_RNG1_BUILD_ID_0_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_BUILD_ID_0_STEPPING_SHIFT                  _MK_SHIFT_CONST(28)
#define SE_RNG1_RNG1_BUILD_ID_0_STEPPING_FIELD                  _MK_FIELD_CONST(0xf, SE_RNG1_RNG1_BUILD_ID_0_STEPPING_SHIFT)
#define SE_RNG1_RNG1_BUILD_ID_0_STEPPING_RANGE                  31:28
#define SE_RNG1_RNG1_BUILD_ID_0_STEPPING_WOFFSET                        0x0
#define SE_RNG1_RNG1_BUILD_ID_0_STEPPING_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_BUILD_ID_0_STEPPING_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_BUILD_ID_0_STEPPING_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_BUILD_ID_0_STEPPING_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)

#define SE_RNG1_RNG1_BUILD_ID_0_EPN_SHIFT                       _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_BUILD_ID_0_EPN_FIELD                       _MK_FIELD_CONST(0xffff, SE_RNG1_RNG1_BUILD_ID_0_EPN_SHIFT)
#define SE_RNG1_RNG1_BUILD_ID_0_EPN_RANGE                       15:0
#define SE_RNG1_RNG1_BUILD_ID_0_EPN_WOFFSET                     0x0
#define SE_RNG1_RNG1_BUILD_ID_0_EPN_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_BUILD_ID_0_EPN_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_BUILD_ID_0_EPN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_BUILD_ID_0_EPN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_FEATURES_0
#define SE_RNG1_RNG1_FEATURES_0                 _MK_ADDR_CONST(0xf20)
#define SE_RNG1_RNG1_FEATURES_0_SECURE                  0x0
#define SE_RNG1_RNG1_FEATURES_0_SCR                     0
#define SE_RNG1_RNG1_FEATURES_0_WORD_COUNT                      0x1
#define SE_RNG1_RNG1_FEATURES_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_FEATURES_0_RESET_MASK                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_FEATURES_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_FEATURES_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_FEATURES_0_READ_MASK                       _MK_MASK_CONST(0x1ff)
#define SE_RNG1_RNG1_FEATURES_0_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_FEATURES_0_AES_256_SHIFT                   _MK_SHIFT_CONST(8)
#define SE_RNG1_RNG1_FEATURES_0_AES_256_FIELD                   _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_FEATURES_0_AES_256_SHIFT)
#define SE_RNG1_RNG1_FEATURES_0_AES_256_RANGE                   8:8
#define SE_RNG1_RNG1_FEATURES_0_AES_256_WOFFSET                 0x0
#define SE_RNG1_RNG1_FEATURES_0_AES_256_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_FEATURES_0_AES_256_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_FEATURES_0_AES_256_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_FEATURES_0_AES_256_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_FEATURES_0_AES_256_AES_128                 _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_FEATURES_0_AES_256_AES_256                 _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_FEATURES_0_EXTRA_PS_PRESENT_SHIFT                  _MK_SHIFT_CONST(7)
#define SE_RNG1_RNG1_FEATURES_0_EXTRA_PS_PRESENT_FIELD                  _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_FEATURES_0_EXTRA_PS_PRESENT_SHIFT)
#define SE_RNG1_RNG1_FEATURES_0_EXTRA_PS_PRESENT_RANGE                  7:7
#define SE_RNG1_RNG1_FEATURES_0_EXTRA_PS_PRESENT_WOFFSET                        0x0
#define SE_RNG1_RNG1_FEATURES_0_EXTRA_PS_PRESENT_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_FEATURES_0_EXTRA_PS_PRESENT_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_FEATURES_0_EXTRA_PS_PRESENT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_FEATURES_0_EXTRA_PS_PRESENT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_FEATURES_0_EXTRA_PS_PRESENT_FALSE                  _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_FEATURES_0_EXTRA_PS_PRESENT_TRUE                   _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_FEATURES_0_DIAG_LEVEL_CLP800_SHIFT                 _MK_SHIFT_CONST(4)
#define SE_RNG1_RNG1_FEATURES_0_DIAG_LEVEL_CLP800_FIELD                 _MK_FIELD_CONST(0x7, SE_RNG1_RNG1_FEATURES_0_DIAG_LEVEL_CLP800_SHIFT)
#define SE_RNG1_RNG1_FEATURES_0_DIAG_LEVEL_CLP800_RANGE                 6:4
#define SE_RNG1_RNG1_FEATURES_0_DIAG_LEVEL_CLP800_WOFFSET                       0x0
#define SE_RNG1_RNG1_FEATURES_0_DIAG_LEVEL_CLP800_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_FEATURES_0_DIAG_LEVEL_CLP800_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_FEATURES_0_DIAG_LEVEL_CLP800_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_FEATURES_0_DIAG_LEVEL_CLP800_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)

#define SE_RNG1_RNG1_FEATURES_0_DIAG_LEVEL_ST_HLT_SHIFT                 _MK_SHIFT_CONST(1)
#define SE_RNG1_RNG1_FEATURES_0_DIAG_LEVEL_ST_HLT_FIELD                 _MK_FIELD_CONST(0x7, SE_RNG1_RNG1_FEATURES_0_DIAG_LEVEL_ST_HLT_SHIFT)
#define SE_RNG1_RNG1_FEATURES_0_DIAG_LEVEL_ST_HLT_RANGE                 3:1
#define SE_RNG1_RNG1_FEATURES_0_DIAG_LEVEL_ST_HLT_WOFFSET                       0x0
#define SE_RNG1_RNG1_FEATURES_0_DIAG_LEVEL_ST_HLT_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_FEATURES_0_DIAG_LEVEL_ST_HLT_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_FEATURES_0_DIAG_LEVEL_ST_HLT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_FEATURES_0_DIAG_LEVEL_ST_HLT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)

#define SE_RNG1_RNG1_FEATURES_0_SECURE_RST_STATE_SHIFT                  _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_FEATURES_0_SECURE_RST_STATE_FIELD                  _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_FEATURES_0_SECURE_RST_STATE_SHIFT)
#define SE_RNG1_RNG1_FEATURES_0_SECURE_RST_STATE_RANGE                  0:0
#define SE_RNG1_RNG1_FEATURES_0_SECURE_RST_STATE_WOFFSET                        0x0
#define SE_RNG1_RNG1_FEATURES_0_SECURE_RST_STATE_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_FEATURES_0_SECURE_RST_STATE_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_FEATURES_0_SECURE_RST_STATE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_FEATURES_0_SECURE_RST_STATE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_FEATURES_0_SECURE_RST_STATE_PROMISCUOUS                    _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_FEATURES_0_SECURE_RST_STATE_SECURE                 _MK_ENUM_CONST(1)


// Register SE_RNG1_RNG1_RAND0_0
#define SE_RNG1_RNG1_RAND0_0                    _MK_ADDR_CONST(0xf24)
#define SE_RNG1_RNG1_RAND0_0_SECURE                     0x0
#define SE_RNG1_RNG1_RAND0_0_SCR                        0
#define SE_RNG1_RNG1_RAND0_0_WORD_COUNT                         0x1
#define SE_RNG1_RNG1_RAND0_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND0_0_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND0_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND0_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND0_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_RAND0_0_WRITE_MASK                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND0_0_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_RAND0_0_VAL_FIELD                  _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_RAND0_0_VAL_SHIFT)
#define SE_RNG1_RNG1_RAND0_0_VAL_RANGE                  31:0
#define SE_RNG1_RNG1_RAND0_0_VAL_WOFFSET                        0x0
#define SE_RNG1_RNG1_RAND0_0_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND0_0_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND0_0_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND0_0_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_RAND1_0
#define SE_RNG1_RNG1_RAND1_0                    _MK_ADDR_CONST(0xf28)
#define SE_RNG1_RNG1_RAND1_0_SECURE                     0x0
#define SE_RNG1_RNG1_RAND1_0_SCR                        0
#define SE_RNG1_RNG1_RAND1_0_WORD_COUNT                         0x1
#define SE_RNG1_RNG1_RAND1_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND1_0_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND1_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND1_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND1_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_RAND1_0_WRITE_MASK                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND1_0_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_RAND1_0_VAL_FIELD                  _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_RAND1_0_VAL_SHIFT)
#define SE_RNG1_RNG1_RAND1_0_VAL_RANGE                  31:0
#define SE_RNG1_RNG1_RAND1_0_VAL_WOFFSET                        0x0
#define SE_RNG1_RNG1_RAND1_0_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND1_0_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND1_0_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND1_0_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_RAND2_0
#define SE_RNG1_RNG1_RAND2_0                    _MK_ADDR_CONST(0xf2c)
#define SE_RNG1_RNG1_RAND2_0_SECURE                     0x0
#define SE_RNG1_RNG1_RAND2_0_SCR                        0
#define SE_RNG1_RNG1_RAND2_0_WORD_COUNT                         0x1
#define SE_RNG1_RNG1_RAND2_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND2_0_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND2_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND2_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND2_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_RAND2_0_WRITE_MASK                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND2_0_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_RAND2_0_VAL_FIELD                  _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_RAND2_0_VAL_SHIFT)
#define SE_RNG1_RNG1_RAND2_0_VAL_RANGE                  31:0
#define SE_RNG1_RNG1_RAND2_0_VAL_WOFFSET                        0x0
#define SE_RNG1_RNG1_RAND2_0_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND2_0_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND2_0_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND2_0_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_RAND3_0
#define SE_RNG1_RNG1_RAND3_0                    _MK_ADDR_CONST(0xf30)
#define SE_RNG1_RNG1_RAND3_0_SECURE                     0x0
#define SE_RNG1_RNG1_RAND3_0_SCR                        0
#define SE_RNG1_RNG1_RAND3_0_WORD_COUNT                         0x1
#define SE_RNG1_RNG1_RAND3_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND3_0_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND3_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND3_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND3_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_RAND3_0_WRITE_MASK                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND3_0_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_RAND3_0_VAL_FIELD                  _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_RAND3_0_VAL_SHIFT)
#define SE_RNG1_RNG1_RAND3_0_VAL_RANGE                  31:0
#define SE_RNG1_RNG1_RAND3_0_VAL_WOFFSET                        0x0
#define SE_RNG1_RNG1_RAND3_0_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND3_0_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND3_0_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_RAND3_0_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_NPA_DATA0_0
#define SE_RNG1_RNG1_NPA_DATA0_0                        _MK_ADDR_CONST(0xf34)
#define SE_RNG1_RNG1_NPA_DATA0_0_SECURE                         0x0
#define SE_RNG1_RNG1_NPA_DATA0_0_SCR                    0
#define SE_RNG1_RNG1_NPA_DATA0_0_WORD_COUNT                     0x1
#define SE_RNG1_RNG1_NPA_DATA0_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA0_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA0_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA0_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA0_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA0_0_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA0_0_VAL_SHIFT                      _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_NPA_DATA0_0_VAL_FIELD                      _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_NPA_DATA0_0_VAL_SHIFT)
#define SE_RNG1_RNG1_NPA_DATA0_0_VAL_RANGE                      31:0
#define SE_RNG1_RNG1_NPA_DATA0_0_VAL_WOFFSET                    0x0
#define SE_RNG1_RNG1_NPA_DATA0_0_VAL_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA0_0_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA0_0_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA0_0_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_NPA_DATA1_0
#define SE_RNG1_RNG1_NPA_DATA1_0                        _MK_ADDR_CONST(0xf38)
#define SE_RNG1_RNG1_NPA_DATA1_0_SECURE                         0x0
#define SE_RNG1_RNG1_NPA_DATA1_0_SCR                    0
#define SE_RNG1_RNG1_NPA_DATA1_0_WORD_COUNT                     0x1
#define SE_RNG1_RNG1_NPA_DATA1_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA1_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA1_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA1_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA1_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA1_0_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA1_0_VAL_SHIFT                      _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_NPA_DATA1_0_VAL_FIELD                      _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_NPA_DATA1_0_VAL_SHIFT)
#define SE_RNG1_RNG1_NPA_DATA1_0_VAL_RANGE                      31:0
#define SE_RNG1_RNG1_NPA_DATA1_0_VAL_WOFFSET                    0x0
#define SE_RNG1_RNG1_NPA_DATA1_0_VAL_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA1_0_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA1_0_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA1_0_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_NPA_DATA2_0
#define SE_RNG1_RNG1_NPA_DATA2_0                        _MK_ADDR_CONST(0xf3c)
#define SE_RNG1_RNG1_NPA_DATA2_0_SECURE                         0x0
#define SE_RNG1_RNG1_NPA_DATA2_0_SCR                    0
#define SE_RNG1_RNG1_NPA_DATA2_0_WORD_COUNT                     0x1
#define SE_RNG1_RNG1_NPA_DATA2_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA2_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA2_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA2_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA2_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA2_0_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA2_0_VAL_SHIFT                      _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_NPA_DATA2_0_VAL_FIELD                      _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_NPA_DATA2_0_VAL_SHIFT)
#define SE_RNG1_RNG1_NPA_DATA2_0_VAL_RANGE                      31:0
#define SE_RNG1_RNG1_NPA_DATA2_0_VAL_WOFFSET                    0x0
#define SE_RNG1_RNG1_NPA_DATA2_0_VAL_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA2_0_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA2_0_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA2_0_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_NPA_DATA3_0
#define SE_RNG1_RNG1_NPA_DATA3_0                        _MK_ADDR_CONST(0xf40)
#define SE_RNG1_RNG1_NPA_DATA3_0_SECURE                         0x0
#define SE_RNG1_RNG1_NPA_DATA3_0_SCR                    0
#define SE_RNG1_RNG1_NPA_DATA3_0_WORD_COUNT                     0x1
#define SE_RNG1_RNG1_NPA_DATA3_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA3_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA3_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA3_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA3_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA3_0_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA3_0_VAL_SHIFT                      _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_NPA_DATA3_0_VAL_FIELD                      _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_NPA_DATA3_0_VAL_SHIFT)
#define SE_RNG1_RNG1_NPA_DATA3_0_VAL_RANGE                      31:0
#define SE_RNG1_RNG1_NPA_DATA3_0_VAL_WOFFSET                    0x0
#define SE_RNG1_RNG1_NPA_DATA3_0_VAL_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA3_0_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA3_0_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA3_0_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_NPA_DATA4_0
#define SE_RNG1_RNG1_NPA_DATA4_0                        _MK_ADDR_CONST(0xf44)
#define SE_RNG1_RNG1_NPA_DATA4_0_SECURE                         0x0
#define SE_RNG1_RNG1_NPA_DATA4_0_SCR                    0
#define SE_RNG1_RNG1_NPA_DATA4_0_WORD_COUNT                     0x1
#define SE_RNG1_RNG1_NPA_DATA4_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA4_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA4_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA4_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA4_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA4_0_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA4_0_VAL_SHIFT                      _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_NPA_DATA4_0_VAL_FIELD                      _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_NPA_DATA4_0_VAL_SHIFT)
#define SE_RNG1_RNG1_NPA_DATA4_0_VAL_RANGE                      31:0
#define SE_RNG1_RNG1_NPA_DATA4_0_VAL_WOFFSET                    0x0
#define SE_RNG1_RNG1_NPA_DATA4_0_VAL_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA4_0_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA4_0_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA4_0_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_NPA_DATA5_0
#define SE_RNG1_RNG1_NPA_DATA5_0                        _MK_ADDR_CONST(0xf48)
#define SE_RNG1_RNG1_NPA_DATA5_0_SECURE                         0x0
#define SE_RNG1_RNG1_NPA_DATA5_0_SCR                    0
#define SE_RNG1_RNG1_NPA_DATA5_0_WORD_COUNT                     0x1
#define SE_RNG1_RNG1_NPA_DATA5_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA5_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA5_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA5_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA5_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA5_0_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA5_0_VAL_SHIFT                      _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_NPA_DATA5_0_VAL_FIELD                      _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_NPA_DATA5_0_VAL_SHIFT)
#define SE_RNG1_RNG1_NPA_DATA5_0_VAL_RANGE                      31:0
#define SE_RNG1_RNG1_NPA_DATA5_0_VAL_WOFFSET                    0x0
#define SE_RNG1_RNG1_NPA_DATA5_0_VAL_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA5_0_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA5_0_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA5_0_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_NPA_DATA6_0
#define SE_RNG1_RNG1_NPA_DATA6_0                        _MK_ADDR_CONST(0xf4c)
#define SE_RNG1_RNG1_NPA_DATA6_0_SECURE                         0x0
#define SE_RNG1_RNG1_NPA_DATA6_0_SCR                    0
#define SE_RNG1_RNG1_NPA_DATA6_0_WORD_COUNT                     0x1
#define SE_RNG1_RNG1_NPA_DATA6_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA6_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA6_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA6_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA6_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA6_0_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA6_0_VAL_SHIFT                      _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_NPA_DATA6_0_VAL_FIELD                      _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_NPA_DATA6_0_VAL_SHIFT)
#define SE_RNG1_RNG1_NPA_DATA6_0_VAL_RANGE                      31:0
#define SE_RNG1_RNG1_NPA_DATA6_0_VAL_WOFFSET                    0x0
#define SE_RNG1_RNG1_NPA_DATA6_0_VAL_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA6_0_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA6_0_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA6_0_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_NPA_DATA7_0
#define SE_RNG1_RNG1_NPA_DATA7_0                        _MK_ADDR_CONST(0xf50)
#define SE_RNG1_RNG1_NPA_DATA7_0_SECURE                         0x0
#define SE_RNG1_RNG1_NPA_DATA7_0_SCR                    0
#define SE_RNG1_RNG1_NPA_DATA7_0_WORD_COUNT                     0x1
#define SE_RNG1_RNG1_NPA_DATA7_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA7_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA7_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA7_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA7_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA7_0_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA7_0_VAL_SHIFT                      _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_NPA_DATA7_0_VAL_FIELD                      _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_NPA_DATA7_0_VAL_SHIFT)
#define SE_RNG1_RNG1_NPA_DATA7_0_VAL_RANGE                      31:0
#define SE_RNG1_RNG1_NPA_DATA7_0_VAL_WOFFSET                    0x0
#define SE_RNG1_RNG1_NPA_DATA7_0_VAL_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA7_0_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA7_0_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA7_0_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_NPA_DATA8_0
#define SE_RNG1_RNG1_NPA_DATA8_0                        _MK_ADDR_CONST(0xf54)
#define SE_RNG1_RNG1_NPA_DATA8_0_SECURE                         0x0
#define SE_RNG1_RNG1_NPA_DATA8_0_SCR                    0
#define SE_RNG1_RNG1_NPA_DATA8_0_WORD_COUNT                     0x1
#define SE_RNG1_RNG1_NPA_DATA8_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA8_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA8_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA8_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA8_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA8_0_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA8_0_VAL_SHIFT                      _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_NPA_DATA8_0_VAL_FIELD                      _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_NPA_DATA8_0_VAL_SHIFT)
#define SE_RNG1_RNG1_NPA_DATA8_0_VAL_RANGE                      31:0
#define SE_RNG1_RNG1_NPA_DATA8_0_VAL_WOFFSET                    0x0
#define SE_RNG1_RNG1_NPA_DATA8_0_VAL_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA8_0_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA8_0_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA8_0_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_NPA_DATA9_0
#define SE_RNG1_RNG1_NPA_DATA9_0                        _MK_ADDR_CONST(0xf58)
#define SE_RNG1_RNG1_NPA_DATA9_0_SECURE                         0x0
#define SE_RNG1_RNG1_NPA_DATA9_0_SCR                    0
#define SE_RNG1_RNG1_NPA_DATA9_0_WORD_COUNT                     0x1
#define SE_RNG1_RNG1_NPA_DATA9_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA9_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA9_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA9_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA9_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA9_0_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA9_0_VAL_SHIFT                      _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_NPA_DATA9_0_VAL_FIELD                      _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_NPA_DATA9_0_VAL_SHIFT)
#define SE_RNG1_RNG1_NPA_DATA9_0_VAL_RANGE                      31:0
#define SE_RNG1_RNG1_NPA_DATA9_0_VAL_WOFFSET                    0x0
#define SE_RNG1_RNG1_NPA_DATA9_0_VAL_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA9_0_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA9_0_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA9_0_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_NPA_DATA10_0
#define SE_RNG1_RNG1_NPA_DATA10_0                       _MK_ADDR_CONST(0xf5c)
#define SE_RNG1_RNG1_NPA_DATA10_0_SECURE                        0x0
#define SE_RNG1_RNG1_NPA_DATA10_0_SCR                   0
#define SE_RNG1_RNG1_NPA_DATA10_0_WORD_COUNT                    0x1
#define SE_RNG1_RNG1_NPA_DATA10_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA10_0_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA10_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA10_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA10_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA10_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA10_0_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_NPA_DATA10_0_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_NPA_DATA10_0_VAL_SHIFT)
#define SE_RNG1_RNG1_NPA_DATA10_0_VAL_RANGE                     31:0
#define SE_RNG1_RNG1_NPA_DATA10_0_VAL_WOFFSET                   0x0
#define SE_RNG1_RNG1_NPA_DATA10_0_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA10_0_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA10_0_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA10_0_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_NPA_DATA11_0
#define SE_RNG1_RNG1_NPA_DATA11_0                       _MK_ADDR_CONST(0xf60)
#define SE_RNG1_RNG1_NPA_DATA11_0_SECURE                        0x0
#define SE_RNG1_RNG1_NPA_DATA11_0_SCR                   0
#define SE_RNG1_RNG1_NPA_DATA11_0_WORD_COUNT                    0x1
#define SE_RNG1_RNG1_NPA_DATA11_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA11_0_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA11_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA11_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA11_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA11_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA11_0_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_NPA_DATA11_0_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_NPA_DATA11_0_VAL_SHIFT)
#define SE_RNG1_RNG1_NPA_DATA11_0_VAL_RANGE                     31:0
#define SE_RNG1_RNG1_NPA_DATA11_0_VAL_WOFFSET                   0x0
#define SE_RNG1_RNG1_NPA_DATA11_0_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA11_0_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA11_0_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA11_0_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_NPA_DATA12_0
#define SE_RNG1_RNG1_NPA_DATA12_0                       _MK_ADDR_CONST(0xf64)
#define SE_RNG1_RNG1_NPA_DATA12_0_SECURE                        0x0
#define SE_RNG1_RNG1_NPA_DATA12_0_SCR                   0
#define SE_RNG1_RNG1_NPA_DATA12_0_WORD_COUNT                    0x1
#define SE_RNG1_RNG1_NPA_DATA12_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA12_0_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA12_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA12_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA12_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA12_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA12_0_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_NPA_DATA12_0_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_NPA_DATA12_0_VAL_SHIFT)
#define SE_RNG1_RNG1_NPA_DATA12_0_VAL_RANGE                     31:0
#define SE_RNG1_RNG1_NPA_DATA12_0_VAL_WOFFSET                   0x0
#define SE_RNG1_RNG1_NPA_DATA12_0_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA12_0_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA12_0_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA12_0_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_NPA_DATA13_0
#define SE_RNG1_RNG1_NPA_DATA13_0                       _MK_ADDR_CONST(0xf68)
#define SE_RNG1_RNG1_NPA_DATA13_0_SECURE                        0x0
#define SE_RNG1_RNG1_NPA_DATA13_0_SCR                   0
#define SE_RNG1_RNG1_NPA_DATA13_0_WORD_COUNT                    0x1
#define SE_RNG1_RNG1_NPA_DATA13_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA13_0_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA13_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA13_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA13_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA13_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA13_0_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_NPA_DATA13_0_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_NPA_DATA13_0_VAL_SHIFT)
#define SE_RNG1_RNG1_NPA_DATA13_0_VAL_RANGE                     31:0
#define SE_RNG1_RNG1_NPA_DATA13_0_VAL_WOFFSET                   0x0
#define SE_RNG1_RNG1_NPA_DATA13_0_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA13_0_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA13_0_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA13_0_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_NPA_DATA14_0
#define SE_RNG1_RNG1_NPA_DATA14_0                       _MK_ADDR_CONST(0xf6c)
#define SE_RNG1_RNG1_NPA_DATA14_0_SECURE                        0x0
#define SE_RNG1_RNG1_NPA_DATA14_0_SCR                   0
#define SE_RNG1_RNG1_NPA_DATA14_0_WORD_COUNT                    0x1
#define SE_RNG1_RNG1_NPA_DATA14_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA14_0_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA14_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA14_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA14_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA14_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA14_0_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_NPA_DATA14_0_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_NPA_DATA14_0_VAL_SHIFT)
#define SE_RNG1_RNG1_NPA_DATA14_0_VAL_RANGE                     31:0
#define SE_RNG1_RNG1_NPA_DATA14_0_VAL_WOFFSET                   0x0
#define SE_RNG1_RNG1_NPA_DATA14_0_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA14_0_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA14_0_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA14_0_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_NPA_DATA15_0
#define SE_RNG1_RNG1_NPA_DATA15_0                       _MK_ADDR_CONST(0xf70)
#define SE_RNG1_RNG1_NPA_DATA15_0_SECURE                        0x0
#define SE_RNG1_RNG1_NPA_DATA15_0_SCR                   0
#define SE_RNG1_RNG1_NPA_DATA15_0_WORD_COUNT                    0x1
#define SE_RNG1_RNG1_NPA_DATA15_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA15_0_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA15_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA15_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA15_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA15_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_NPA_DATA15_0_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_NPA_DATA15_0_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_NPA_DATA15_0_VAL_SHIFT)
#define SE_RNG1_RNG1_NPA_DATA15_0_VAL_RANGE                     31:0
#define SE_RNG1_RNG1_NPA_DATA15_0_VAL_WOFFSET                   0x0
#define SE_RNG1_RNG1_NPA_DATA15_0_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA15_0_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA15_0_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NPA_DATA15_0_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_SEED0_0
#define SE_RNG1_RNG1_SEED0_0                    _MK_ADDR_CONST(0xf74)
#define SE_RNG1_RNG1_SEED0_0_SECURE                     0x0
#define SE_RNG1_RNG1_SEED0_0_SCR                        0
#define SE_RNG1_RNG1_SEED0_0_WORD_COUNT                         0x1
#define SE_RNG1_RNG1_SEED0_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED0_0_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED0_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED0_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED0_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_SEED0_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_SEED0_0_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_SEED0_0_VAL_FIELD                  _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_SEED0_0_VAL_SHIFT)
#define SE_RNG1_RNG1_SEED0_0_VAL_RANGE                  31:0
#define SE_RNG1_RNG1_SEED0_0_VAL_WOFFSET                        0x0
#define SE_RNG1_RNG1_SEED0_0_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED0_0_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED0_0_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED0_0_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_SEED1_0
#define SE_RNG1_RNG1_SEED1_0                    _MK_ADDR_CONST(0xf78)
#define SE_RNG1_RNG1_SEED1_0_SECURE                     0x0
#define SE_RNG1_RNG1_SEED1_0_SCR                        0
#define SE_RNG1_RNG1_SEED1_0_WORD_COUNT                         0x1
#define SE_RNG1_RNG1_SEED1_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED1_0_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED1_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED1_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED1_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_SEED1_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_SEED1_0_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_SEED1_0_VAL_FIELD                  _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_SEED1_0_VAL_SHIFT)
#define SE_RNG1_RNG1_SEED1_0_VAL_RANGE                  31:0
#define SE_RNG1_RNG1_SEED1_0_VAL_WOFFSET                        0x0
#define SE_RNG1_RNG1_SEED1_0_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED1_0_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED1_0_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED1_0_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_SEED2_0
#define SE_RNG1_RNG1_SEED2_0                    _MK_ADDR_CONST(0xf7c)
#define SE_RNG1_RNG1_SEED2_0_SECURE                     0x0
#define SE_RNG1_RNG1_SEED2_0_SCR                        0
#define SE_RNG1_RNG1_SEED2_0_WORD_COUNT                         0x1
#define SE_RNG1_RNG1_SEED2_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED2_0_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED2_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED2_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED2_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_SEED2_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_SEED2_0_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_SEED2_0_VAL_FIELD                  _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_SEED2_0_VAL_SHIFT)
#define SE_RNG1_RNG1_SEED2_0_VAL_RANGE                  31:0
#define SE_RNG1_RNG1_SEED2_0_VAL_WOFFSET                        0x0
#define SE_RNG1_RNG1_SEED2_0_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED2_0_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED2_0_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED2_0_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_SEED3_0
#define SE_RNG1_RNG1_SEED3_0                    _MK_ADDR_CONST(0xf80)
#define SE_RNG1_RNG1_SEED3_0_SECURE                     0x0
#define SE_RNG1_RNG1_SEED3_0_SCR                        0
#define SE_RNG1_RNG1_SEED3_0_WORD_COUNT                         0x1
#define SE_RNG1_RNG1_SEED3_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED3_0_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED3_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED3_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED3_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_SEED3_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_SEED3_0_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_SEED3_0_VAL_FIELD                  _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_SEED3_0_VAL_SHIFT)
#define SE_RNG1_RNG1_SEED3_0_VAL_RANGE                  31:0
#define SE_RNG1_RNG1_SEED3_0_VAL_WOFFSET                        0x0
#define SE_RNG1_RNG1_SEED3_0_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED3_0_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED3_0_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED3_0_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_SEED4_0
#define SE_RNG1_RNG1_SEED4_0                    _MK_ADDR_CONST(0xf84)
#define SE_RNG1_RNG1_SEED4_0_SECURE                     0x0
#define SE_RNG1_RNG1_SEED4_0_SCR                        0
#define SE_RNG1_RNG1_SEED4_0_WORD_COUNT                         0x1
#define SE_RNG1_RNG1_SEED4_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED4_0_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED4_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED4_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED4_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_SEED4_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_SEED4_0_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_SEED4_0_VAL_FIELD                  _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_SEED4_0_VAL_SHIFT)
#define SE_RNG1_RNG1_SEED4_0_VAL_RANGE                  31:0
#define SE_RNG1_RNG1_SEED4_0_VAL_WOFFSET                        0x0
#define SE_RNG1_RNG1_SEED4_0_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED4_0_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED4_0_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED4_0_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_SEED5_0
#define SE_RNG1_RNG1_SEED5_0                    _MK_ADDR_CONST(0xf88)
#define SE_RNG1_RNG1_SEED5_0_SECURE                     0x0
#define SE_RNG1_RNG1_SEED5_0_SCR                        0
#define SE_RNG1_RNG1_SEED5_0_WORD_COUNT                         0x1
#define SE_RNG1_RNG1_SEED5_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED5_0_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED5_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED5_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED5_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_SEED5_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_SEED5_0_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_SEED5_0_VAL_FIELD                  _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_SEED5_0_VAL_SHIFT)
#define SE_RNG1_RNG1_SEED5_0_VAL_RANGE                  31:0
#define SE_RNG1_RNG1_SEED5_0_VAL_WOFFSET                        0x0
#define SE_RNG1_RNG1_SEED5_0_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED5_0_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED5_0_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED5_0_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_SEED6_0
#define SE_RNG1_RNG1_SEED6_0                    _MK_ADDR_CONST(0xf8c)
#define SE_RNG1_RNG1_SEED6_0_SECURE                     0x0
#define SE_RNG1_RNG1_SEED6_0_SCR                        0
#define SE_RNG1_RNG1_SEED6_0_WORD_COUNT                         0x1
#define SE_RNG1_RNG1_SEED6_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED6_0_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED6_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED6_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED6_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_SEED6_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_SEED6_0_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_SEED6_0_VAL_FIELD                  _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_SEED6_0_VAL_SHIFT)
#define SE_RNG1_RNG1_SEED6_0_VAL_RANGE                  31:0
#define SE_RNG1_RNG1_SEED6_0_VAL_WOFFSET                        0x0
#define SE_RNG1_RNG1_SEED6_0_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED6_0_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED6_0_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED6_0_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_SEED7_0
#define SE_RNG1_RNG1_SEED7_0                    _MK_ADDR_CONST(0xf90)
#define SE_RNG1_RNG1_SEED7_0_SECURE                     0x0
#define SE_RNG1_RNG1_SEED7_0_SCR                        0
#define SE_RNG1_RNG1_SEED7_0_WORD_COUNT                         0x1
#define SE_RNG1_RNG1_SEED7_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED7_0_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED7_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED7_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED7_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_SEED7_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_SEED7_0_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_SEED7_0_VAL_FIELD                  _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_SEED7_0_VAL_SHIFT)
#define SE_RNG1_RNG1_SEED7_0_VAL_RANGE                  31:0
#define SE_RNG1_RNG1_SEED7_0_VAL_WOFFSET                        0x0
#define SE_RNG1_RNG1_SEED7_0_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED7_0_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED7_0_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED7_0_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_SEED8_0
#define SE_RNG1_RNG1_SEED8_0                    _MK_ADDR_CONST(0xf94)
#define SE_RNG1_RNG1_SEED8_0_SECURE                     0x0
#define SE_RNG1_RNG1_SEED8_0_SCR                        0
#define SE_RNG1_RNG1_SEED8_0_WORD_COUNT                         0x1
#define SE_RNG1_RNG1_SEED8_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED8_0_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED8_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED8_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED8_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_SEED8_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_SEED8_0_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_SEED8_0_VAL_FIELD                  _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_SEED8_0_VAL_SHIFT)
#define SE_RNG1_RNG1_SEED8_0_VAL_RANGE                  31:0
#define SE_RNG1_RNG1_SEED8_0_VAL_WOFFSET                        0x0
#define SE_RNG1_RNG1_SEED8_0_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED8_0_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED8_0_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED8_0_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_SEED9_0
#define SE_RNG1_RNG1_SEED9_0                    _MK_ADDR_CONST(0xf98)
#define SE_RNG1_RNG1_SEED9_0_SECURE                     0x0
#define SE_RNG1_RNG1_SEED9_0_SCR                        0
#define SE_RNG1_RNG1_SEED9_0_WORD_COUNT                         0x1
#define SE_RNG1_RNG1_SEED9_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED9_0_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED9_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED9_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED9_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_SEED9_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_SEED9_0_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_SEED9_0_VAL_FIELD                  _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_SEED9_0_VAL_SHIFT)
#define SE_RNG1_RNG1_SEED9_0_VAL_RANGE                  31:0
#define SE_RNG1_RNG1_SEED9_0_VAL_WOFFSET                        0x0
#define SE_RNG1_RNG1_SEED9_0_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED9_0_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED9_0_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED9_0_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_SEED10_0
#define SE_RNG1_RNG1_SEED10_0                   _MK_ADDR_CONST(0xf9c)
#define SE_RNG1_RNG1_SEED10_0_SECURE                    0x0
#define SE_RNG1_RNG1_SEED10_0_SCR                       0
#define SE_RNG1_RNG1_SEED10_0_WORD_COUNT                        0x1
#define SE_RNG1_RNG1_SEED10_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED10_0_RESET_MASK                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED10_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED10_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED10_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_SEED10_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_SEED10_0_VAL_SHIFT                 _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_SEED10_0_VAL_FIELD                 _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_SEED10_0_VAL_SHIFT)
#define SE_RNG1_RNG1_SEED10_0_VAL_RANGE                 31:0
#define SE_RNG1_RNG1_SEED10_0_VAL_WOFFSET                       0x0
#define SE_RNG1_RNG1_SEED10_0_VAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED10_0_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED10_0_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED10_0_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_SEED11_0
#define SE_RNG1_RNG1_SEED11_0                   _MK_ADDR_CONST(0xfa0)
#define SE_RNG1_RNG1_SEED11_0_SECURE                    0x0
#define SE_RNG1_RNG1_SEED11_0_SCR                       0
#define SE_RNG1_RNG1_SEED11_0_WORD_COUNT                        0x1
#define SE_RNG1_RNG1_SEED11_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED11_0_RESET_MASK                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED11_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED11_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED11_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_SEED11_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_SEED11_0_VAL_SHIFT                 _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_SEED11_0_VAL_FIELD                 _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_SEED11_0_VAL_SHIFT)
#define SE_RNG1_RNG1_SEED11_0_VAL_RANGE                 31:0
#define SE_RNG1_RNG1_SEED11_0_VAL_WOFFSET                       0x0
#define SE_RNG1_RNG1_SEED11_0_VAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED11_0_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED11_0_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SEED11_0_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_IA_RDATA_0
#define SE_RNG1_RNG1_IA_RDATA_0                 _MK_ADDR_CONST(0xfa4)
#define SE_RNG1_RNG1_IA_RDATA_0_SECURE                  0x0
#define SE_RNG1_RNG1_IA_RDATA_0_SCR                     0
#define SE_RNG1_RNG1_IA_RDATA_0_WORD_COUNT                      0x1
#define SE_RNG1_RNG1_IA_RDATA_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IA_RDATA_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_IA_RDATA_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IA_RDATA_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IA_RDATA_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_IA_RDATA_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_IA_RDATA_0_VAL_SHIFT                       _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_IA_RDATA_0_VAL_FIELD                       _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_IA_RDATA_0_VAL_SHIFT)
#define SE_RNG1_RNG1_IA_RDATA_0_VAL_RANGE                       31:0
#define SE_RNG1_RNG1_IA_RDATA_0_VAL_WOFFSET                     0x0
#define SE_RNG1_RNG1_IA_RDATA_0_VAL_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IA_RDATA_0_VAL_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_IA_RDATA_0_VAL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IA_RDATA_0_VAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_IA_WDATA_0
#define SE_RNG1_RNG1_IA_WDATA_0                 _MK_ADDR_CONST(0xfa8)
#define SE_RNG1_RNG1_IA_WDATA_0_SECURE                  0x0
#define SE_RNG1_RNG1_IA_WDATA_0_SCR                     0
#define SE_RNG1_RNG1_IA_WDATA_0_WORD_COUNT                      0x1
#define SE_RNG1_RNG1_IA_WDATA_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IA_WDATA_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_IA_WDATA_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IA_WDATA_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IA_WDATA_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_IA_WDATA_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_IA_WDATA_0_VAL_SHIFT                       _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_IA_WDATA_0_VAL_FIELD                       _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_IA_WDATA_0_VAL_SHIFT)
#define SE_RNG1_RNG1_IA_WDATA_0_VAL_RANGE                       31:0
#define SE_RNG1_RNG1_IA_WDATA_0_VAL_WOFFSET                     0x0
#define SE_RNG1_RNG1_IA_WDATA_0_VAL_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IA_WDATA_0_VAL_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_IA_WDATA_0_VAL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IA_WDATA_0_VAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_IA_ADDR_0
#define SE_RNG1_RNG1_IA_ADDR_0                  _MK_ADDR_CONST(0xfac)
#define SE_RNG1_RNG1_IA_ADDR_0_SECURE                   0x0
#define SE_RNG1_RNG1_IA_ADDR_0_SCR                      0
#define SE_RNG1_RNG1_IA_ADDR_0_WORD_COUNT                       0x1
#define SE_RNG1_RNG1_IA_ADDR_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IA_ADDR_0_RESET_MASK                       _MK_MASK_CONST(0xff)
#define SE_RNG1_RNG1_IA_ADDR_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IA_ADDR_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IA_ADDR_0_READ_MASK                        _MK_MASK_CONST(0xff)
#define SE_RNG1_RNG1_IA_ADDR_0_WRITE_MASK                       _MK_MASK_CONST(0xff)
#define SE_RNG1_RNG1_IA_ADDR_0_VAL_SHIFT                        _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_IA_ADDR_0_VAL_FIELD                        _MK_FIELD_CONST(0xff, SE_RNG1_RNG1_IA_ADDR_0_VAL_SHIFT)
#define SE_RNG1_RNG1_IA_ADDR_0_VAL_RANGE                        7:0
#define SE_RNG1_RNG1_IA_ADDR_0_VAL_WOFFSET                      0x0
#define SE_RNG1_RNG1_IA_ADDR_0_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IA_ADDR_0_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define SE_RNG1_RNG1_IA_ADDR_0_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IA_ADDR_0_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_IA_CMD_0
#define SE_RNG1_RNG1_IA_CMD_0                   _MK_ADDR_CONST(0xfb0)
#define SE_RNG1_RNG1_IA_CMD_0_SECURE                    0x0
#define SE_RNG1_RNG1_IA_CMD_0_SCR                       0
#define SE_RNG1_RNG1_IA_CMD_0_WORD_COUNT                        0x1
#define SE_RNG1_RNG1_IA_CMD_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IA_CMD_0_RESET_MASK                        _MK_MASK_CONST(0x80000001)
#define SE_RNG1_RNG1_IA_CMD_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IA_CMD_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IA_CMD_0_READ_MASK                         _MK_MASK_CONST(0x80000001)
#define SE_RNG1_RNG1_IA_CMD_0_WRITE_MASK                        _MK_MASK_CONST(0x80000001)
#define SE_RNG1_RNG1_IA_CMD_0_GO_SHIFT                  _MK_SHIFT_CONST(31)
#define SE_RNG1_RNG1_IA_CMD_0_GO_FIELD                  _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_IA_CMD_0_GO_SHIFT)
#define SE_RNG1_RNG1_IA_CMD_0_GO_RANGE                  31:31
#define SE_RNG1_RNG1_IA_CMD_0_GO_WOFFSET                        0x0
#define SE_RNG1_RNG1_IA_CMD_0_GO_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IA_CMD_0_GO_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_IA_CMD_0_GO_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IA_CMD_0_GO_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IA_CMD_0_GO_INIT_ENUM                      NOP
#define SE_RNG1_RNG1_IA_CMD_0_GO_NOP                    _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_IA_CMD_0_GO_EXECUTE                        _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_IA_CMD_0_W_NR_SHIFT                        _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_IA_CMD_0_W_NR_FIELD                        _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_IA_CMD_0_W_NR_SHIFT)
#define SE_RNG1_RNG1_IA_CMD_0_W_NR_RANGE                        0:0
#define SE_RNG1_RNG1_IA_CMD_0_W_NR_WOFFSET                      0x0
#define SE_RNG1_RNG1_IA_CMD_0_W_NR_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IA_CMD_0_W_NR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_IA_CMD_0_W_NR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IA_CMD_0_W_NR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_IA_CMD_0_W_NR_INIT_ENUM                    READ
#define SE_RNG1_RNG1_IA_CMD_0_W_NR_READ                 _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_IA_CMD_0_W_NR_WRITE                        _MK_ENUM_CONST(1)


// Reserved address 4020 [0xfb4]

// Reserved address 4024 [0xfb8]

// Reserved address 4028 [0xfbc]

// Register SE_RNG1_RNG1_INT_ENABLE_0
#define SE_RNG1_RNG1_INT_ENABLE_0                       _MK_ADDR_CONST(0xfc0)
#define SE_RNG1_RNG1_INT_ENABLE_0_SECURE                        0x0
#define SE_RNG1_RNG1_INT_ENABLE_0_SCR                   0
#define SE_RNG1_RNG1_INT_ENABLE_0_WORD_COUNT                    0x1
#define SE_RNG1_RNG1_INT_ENABLE_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_INT_ENABLE_0_RESET_MASK                    _MK_MASK_CONST(0x30300)
#define SE_RNG1_RNG1_INT_ENABLE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_INT_ENABLE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_INT_ENABLE_0_READ_MASK                     _MK_MASK_CONST(0x30300)
#define SE_RNG1_RNG1_INT_ENABLE_0_WRITE_MASK                    _MK_MASK_CONST(0x30300)
#define SE_RNG1_RNG1_INT_ENABLE_0_MUTEX_TIMEOUT_SHIFT                   _MK_SHIFT_CONST(17)
#define SE_RNG1_RNG1_INT_ENABLE_0_MUTEX_TIMEOUT_FIELD                   _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_INT_ENABLE_0_MUTEX_TIMEOUT_SHIFT)
#define SE_RNG1_RNG1_INT_ENABLE_0_MUTEX_TIMEOUT_RANGE                   17:17
#define SE_RNG1_RNG1_INT_ENABLE_0_MUTEX_TIMEOUT_WOFFSET                 0x0
#define SE_RNG1_RNG1_INT_ENABLE_0_MUTEX_TIMEOUT_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_INT_ENABLE_0_MUTEX_TIMEOUT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_INT_ENABLE_0_MUTEX_TIMEOUT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_INT_ENABLE_0_MUTEX_TIMEOUT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_INT_ENABLE_0_MUTEX_TIMEOUT_INIT_ENUM                       DISABLE
#define SE_RNG1_RNG1_INT_ENABLE_0_MUTEX_TIMEOUT_DISABLE                 _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_INT_ENABLE_0_MUTEX_TIMEOUT_ENABLE                  _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_INT_ENABLE_0_ERROR_SHIFT                   _MK_SHIFT_CONST(16)
#define SE_RNG1_RNG1_INT_ENABLE_0_ERROR_FIELD                   _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_INT_ENABLE_0_ERROR_SHIFT)
#define SE_RNG1_RNG1_INT_ENABLE_0_ERROR_RANGE                   16:16
#define SE_RNG1_RNG1_INT_ENABLE_0_ERROR_WOFFSET                 0x0
#define SE_RNG1_RNG1_INT_ENABLE_0_ERROR_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_INT_ENABLE_0_ERROR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_INT_ENABLE_0_ERROR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_INT_ENABLE_0_ERROR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_INT_ENABLE_0_ERROR_INIT_ENUM                       DISABLE
#define SE_RNG1_RNG1_INT_ENABLE_0_ERROR_DISABLE                 _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_INT_ENABLE_0_ERROR_ENABLE                  _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_INT_ENABLE_0_EIP1_SHIFT                    _MK_SHIFT_CONST(9)
#define SE_RNG1_RNG1_INT_ENABLE_0_EIP1_FIELD                    _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_INT_ENABLE_0_EIP1_SHIFT)
#define SE_RNG1_RNG1_INT_ENABLE_0_EIP1_RANGE                    9:9
#define SE_RNG1_RNG1_INT_ENABLE_0_EIP1_WOFFSET                  0x0
#define SE_RNG1_RNG1_INT_ENABLE_0_EIP1_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_INT_ENABLE_0_EIP1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_INT_ENABLE_0_EIP1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_INT_ENABLE_0_EIP1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_INT_ENABLE_0_EIP1_INIT_ENUM                        DISABLE
#define SE_RNG1_RNG1_INT_ENABLE_0_EIP1_DISABLE                  _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_INT_ENABLE_0_EIP1_ENABLE                   _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_INT_ENABLE_0_EIP0_SHIFT                    _MK_SHIFT_CONST(8)
#define SE_RNG1_RNG1_INT_ENABLE_0_EIP0_FIELD                    _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_INT_ENABLE_0_EIP0_SHIFT)
#define SE_RNG1_RNG1_INT_ENABLE_0_EIP0_RANGE                    8:8
#define SE_RNG1_RNG1_INT_ENABLE_0_EIP0_WOFFSET                  0x0
#define SE_RNG1_RNG1_INT_ENABLE_0_EIP0_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_INT_ENABLE_0_EIP0_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_INT_ENABLE_0_EIP0_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_INT_ENABLE_0_EIP0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_INT_ENABLE_0_EIP0_INIT_ENUM                        DISABLE
#define SE_RNG1_RNG1_INT_ENABLE_0_EIP0_DISABLE                  _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_INT_ENABLE_0_EIP0_ENABLE                   _MK_ENUM_CONST(1)


// Register SE_RNG1_RNG1_INT_STATUS_0
#define SE_RNG1_RNG1_INT_STATUS_0                       _MK_ADDR_CONST(0xfc4)
#define SE_RNG1_RNG1_INT_STATUS_0_SECURE                        0x0
#define SE_RNG1_RNG1_INT_STATUS_0_SCR                   0
#define SE_RNG1_RNG1_INT_STATUS_0_WORD_COUNT                    0x1
#define SE_RNG1_RNG1_INT_STATUS_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_INT_STATUS_0_RESET_MASK                    _MK_MASK_CONST(0x30300)
#define SE_RNG1_RNG1_INT_STATUS_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_INT_STATUS_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_INT_STATUS_0_READ_MASK                     _MK_MASK_CONST(0x30300)
#define SE_RNG1_RNG1_INT_STATUS_0_WRITE_MASK                    _MK_MASK_CONST(0x30000)
#define SE_RNG1_RNG1_INT_STATUS_0_MUTEX_TIMEOUT_SHIFT                   _MK_SHIFT_CONST(17)
#define SE_RNG1_RNG1_INT_STATUS_0_MUTEX_TIMEOUT_FIELD                   _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_INT_STATUS_0_MUTEX_TIMEOUT_SHIFT)
#define SE_RNG1_RNG1_INT_STATUS_0_MUTEX_TIMEOUT_RANGE                   17:17
#define SE_RNG1_RNG1_INT_STATUS_0_MUTEX_TIMEOUT_WOFFSET                 0x0
#define SE_RNG1_RNG1_INT_STATUS_0_MUTEX_TIMEOUT_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_INT_STATUS_0_MUTEX_TIMEOUT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_INT_STATUS_0_MUTEX_TIMEOUT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_INT_STATUS_0_MUTEX_TIMEOUT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_INT_STATUS_0_MUTEX_TIMEOUT_INIT_ENUM                       CLEAR
#define SE_RNG1_RNG1_INT_STATUS_0_MUTEX_TIMEOUT_CLEAR                   _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_INT_STATUS_0_MUTEX_TIMEOUT_ACTIVE                  _MK_ENUM_CONST(1)
#define SE_RNG1_RNG1_INT_STATUS_0_MUTEX_TIMEOUT_SW_CLEAR                        _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_INT_STATUS_0_ERROR_SHIFT                   _MK_SHIFT_CONST(16)
#define SE_RNG1_RNG1_INT_STATUS_0_ERROR_FIELD                   _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_INT_STATUS_0_ERROR_SHIFT)
#define SE_RNG1_RNG1_INT_STATUS_0_ERROR_RANGE                   16:16
#define SE_RNG1_RNG1_INT_STATUS_0_ERROR_WOFFSET                 0x0
#define SE_RNG1_RNG1_INT_STATUS_0_ERROR_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_INT_STATUS_0_ERROR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_INT_STATUS_0_ERROR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_INT_STATUS_0_ERROR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_INT_STATUS_0_ERROR_INIT_ENUM                       CLEAR
#define SE_RNG1_RNG1_INT_STATUS_0_ERROR_CLEAR                   _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_INT_STATUS_0_ERROR_ACTIVE                  _MK_ENUM_CONST(1)
#define SE_RNG1_RNG1_INT_STATUS_0_ERROR_SW_CLEAR                        _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_INT_STATUS_0_EIP1_SHIFT                    _MK_SHIFT_CONST(9)
#define SE_RNG1_RNG1_INT_STATUS_0_EIP1_FIELD                    _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_INT_STATUS_0_EIP1_SHIFT)
#define SE_RNG1_RNG1_INT_STATUS_0_EIP1_RANGE                    9:9
#define SE_RNG1_RNG1_INT_STATUS_0_EIP1_WOFFSET                  0x0
#define SE_RNG1_RNG1_INT_STATUS_0_EIP1_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_INT_STATUS_0_EIP1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_INT_STATUS_0_EIP1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_INT_STATUS_0_EIP1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_INT_STATUS_0_EIP1_INIT_ENUM                        CLEAR
#define SE_RNG1_RNG1_INT_STATUS_0_EIP1_CLEAR                    _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_INT_STATUS_0_EIP1_ACTIVE                   _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_INT_STATUS_0_EIP0_SHIFT                    _MK_SHIFT_CONST(8)
#define SE_RNG1_RNG1_INT_STATUS_0_EIP0_FIELD                    _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_INT_STATUS_0_EIP0_SHIFT)
#define SE_RNG1_RNG1_INT_STATUS_0_EIP0_RANGE                    8:8
#define SE_RNG1_RNG1_INT_STATUS_0_EIP0_WOFFSET                  0x0
#define SE_RNG1_RNG1_INT_STATUS_0_EIP0_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_INT_STATUS_0_EIP0_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_INT_STATUS_0_EIP0_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_INT_STATUS_0_EIP0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_INT_STATUS_0_EIP0_INIT_ENUM                        CLEAR
#define SE_RNG1_RNG1_INT_STATUS_0_EIP0_CLEAR                    _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_INT_STATUS_0_EIP0_ACTIVE                   _MK_ENUM_CONST(1)


// Register SE_RNG1_RNG1_ECTL_0
#define SE_RNG1_RNG1_ECTL_0                     _MK_ADDR_CONST(0xfc8)
#define SE_RNG1_RNG1_ECTL_0_SECURE                      0x0
#define SE_RNG1_RNG1_ECTL_0_SCR                         0
#define SE_RNG1_RNG1_ECTL_0_WORD_COUNT                  0x1
#define SE_RNG1_RNG1_ECTL_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ECTL_0_RESET_MASK                  _MK_MASK_CONST(0x33)
#define SE_RNG1_RNG1_ECTL_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ECTL_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ECTL_0_READ_MASK                   _MK_MASK_CONST(0x33)
#define SE_RNG1_RNG1_ECTL_0_WRITE_MASK                  _MK_MASK_CONST(0x30)
#define SE_RNG1_RNG1_ECTL_0_RST_SHIFT                   _MK_SHIFT_CONST(5)
#define SE_RNG1_RNG1_ECTL_0_RST_FIELD                   _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_ECTL_0_RST_SHIFT)
#define SE_RNG1_RNG1_ECTL_0_RST_RANGE                   5:5
#define SE_RNG1_RNG1_ECTL_0_RST_WOFFSET                 0x0
#define SE_RNG1_RNG1_ECTL_0_RST_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ECTL_0_RST_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_ECTL_0_RST_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ECTL_0_RST_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ECTL_0_RST_INIT_ENUM                       FALSE
#define SE_RNG1_RNG1_ECTL_0_RST_FALSE                   _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_ECTL_0_RST_TRUE                    _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_ECTL_0_ZEROIZE_SHIFT                       _MK_SHIFT_CONST(4)
#define SE_RNG1_RNG1_ECTL_0_ZEROIZE_FIELD                       _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_ECTL_0_ZEROIZE_SHIFT)
#define SE_RNG1_RNG1_ECTL_0_ZEROIZE_RANGE                       4:4
#define SE_RNG1_RNG1_ECTL_0_ZEROIZE_WOFFSET                     0x0
#define SE_RNG1_RNG1_ECTL_0_ZEROIZE_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ECTL_0_ZEROIZE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_ECTL_0_ZEROIZE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ECTL_0_ZEROIZE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ECTL_0_ZEROIZE_INIT_ENUM                   FALSE
#define SE_RNG1_RNG1_ECTL_0_ZEROIZE_FALSE                       _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_ECTL_0_ZEROIZE_TRUE                        _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_ECTL_0_SECURE_SHIFT                        _MK_SHIFT_CONST(1)
#define SE_RNG1_RNG1_ECTL_0_SECURE_FIELD                        _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_ECTL_0_SECURE_SHIFT)
#define SE_RNG1_RNG1_ECTL_0_SECURE_RANGE                        1:1
#define SE_RNG1_RNG1_ECTL_0_SECURE_WOFFSET                      0x0
#define SE_RNG1_RNG1_ECTL_0_SECURE_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ECTL_0_SECURE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_ECTL_0_SECURE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ECTL_0_SECURE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ECTL_0_SECURE_INIT_ENUM                    FALSE
#define SE_RNG1_RNG1_ECTL_0_SECURE_FALSE                        _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_ECTL_0_SECURE_TRUE                 _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_ECTL_0_NONCE_SHIFT                 _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_ECTL_0_NONCE_FIELD                 _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_ECTL_0_NONCE_SHIFT)
#define SE_RNG1_RNG1_ECTL_0_NONCE_RANGE                 0:0
#define SE_RNG1_RNG1_ECTL_0_NONCE_WOFFSET                       0x0
#define SE_RNG1_RNG1_ECTL_0_NONCE_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ECTL_0_NONCE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_ECTL_0_NONCE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ECTL_0_NONCE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_ECTL_0_NONCE_INIT_ENUM                     FALSE
#define SE_RNG1_RNG1_ECTL_0_NONCE_FALSE                 _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_ECTL_0_NONCE_TRUE                  _MK_ENUM_CONST(1)


// Reserved address 4044 [0xfcc]

// Register SE_RNG1_RNG1_MUTEX_WATCHDOG_COUNTER_0
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_COUNTER_0                   _MK_ADDR_CONST(0xfd0)
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_COUNTER_0_SECURE                    0x0
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_COUNTER_0_SCR                       0
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_COUNTER_0_WORD_COUNT                        0x1
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_COUNTER_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_COUNTER_0_RESET_MASK                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_COUNTER_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_COUNTER_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_COUNTER_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_COUNTER_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_COUNTER_0_VAL_SHIFT                 _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_COUNTER_0_VAL_FIELD                 _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_MUTEX_WATCHDOG_COUNTER_0_VAL_SHIFT)
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_COUNTER_0_VAL_RANGE                 31:0
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_COUNTER_0_VAL_WOFFSET                       0x0
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_COUNTER_0_VAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_COUNTER_0_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_COUNTER_0_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_COUNTER_0_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0                     _MK_ADDR_CONST(0xfd4)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_SECURE                      0x0
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_SCR                         0
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_WORD_COUNT                  0x1
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_RESET_VAL                   _MK_MASK_CONST(0x2)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_RESET_MASK                  _MK_MASK_CONST(0xf)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_READ_MASK                   _MK_MASK_CONST(0xf)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_WRITE_MASK                  _MK_MASK_CONST(0xd)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_TM_STATUS_SHIFT                     _MK_SHIFT_CONST(3)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_TM_STATUS_FIELD                     _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_TM_STATUS_SHIFT)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_TM_STATUS_RANGE                     3:3
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_TM_STATUS_WOFFSET                   0x0
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_TM_STATUS_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_TM_STATUS_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_TM_STATUS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_TM_STATUS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_TM_STATUS_INIT_ENUM                 CLEAR
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_TM_STATUS_CLEAR                     _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_TM_STATUS_ACTIVE                    _MK_ENUM_CONST(1)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_TM_STATUS_SW_CLEAR                  _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_RST_SHIFT                   _MK_SHIFT_CONST(2)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_RST_FIELD                   _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_RST_SHIFT)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_RST_RANGE                   2:2
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_RST_WOFFSET                 0x0
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_RST_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_RST_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_RST_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_RST_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_RST_INIT_ENUM                       FALSE
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_RST_FALSE                   _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_RST_TRUE                    _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_RELEASE_MUTEX_SHIFT                 _MK_SHIFT_CONST(1)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_RELEASE_MUTEX_FIELD                 _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_RELEASE_MUTEX_SHIFT)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_RELEASE_MUTEX_RANGE                 1:1
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_RELEASE_MUTEX_WOFFSET                       0x0
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_RELEASE_MUTEX_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_RELEASE_MUTEX_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_RELEASE_MUTEX_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_RELEASE_MUTEX_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_RELEASE_MUTEX_INIT_ENUM                     TRUE
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_RELEASE_MUTEX_FALSE                 _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_RELEASE_MUTEX_TRUE                  _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_INTERRUPT_SHIFT                     _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_INTERRUPT_FIELD                     _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_INTERRUPT_SHIFT)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_INTERRUPT_RANGE                     0:0
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_INTERRUPT_WOFFSET                   0x0
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_INTERRUPT_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_INTERRUPT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_INTERRUPT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_INTERRUPT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_INTERRUPT_INIT_ENUM                 FALSE
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_INTERRUPT_FALSE                     _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0_INTERRUPT_TRUE                      _MK_ENUM_CONST(1)


// Register SE_RNG1_RNG1_MUTEX_REQUEST_RELEASE_0
#define SE_RNG1_RNG1_MUTEX_REQUEST_RELEASE_0                    _MK_ADDR_CONST(0xfd8)
#define SE_RNG1_RNG1_MUTEX_REQUEST_RELEASE_0_SECURE                     0x0
#define SE_RNG1_RNG1_MUTEX_REQUEST_RELEASE_0_SCR                        0
#define SE_RNG1_RNG1_MUTEX_REQUEST_RELEASE_0_WORD_COUNT                         0x1
#define SE_RNG1_RNG1_MUTEX_REQUEST_RELEASE_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_REQUEST_RELEASE_0_RESET_MASK                         _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_MUTEX_REQUEST_RELEASE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_REQUEST_RELEASE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_REQUEST_RELEASE_0_READ_MASK                  _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_MUTEX_REQUEST_RELEASE_0_WRITE_MASK                         _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_MUTEX_REQUEST_RELEASE_0_LOCK_SHIFT                 _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_MUTEX_REQUEST_RELEASE_0_LOCK_FIELD                 _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_MUTEX_REQUEST_RELEASE_0_LOCK_SHIFT)
#define SE_RNG1_RNG1_MUTEX_REQUEST_RELEASE_0_LOCK_RANGE                 0:0
#define SE_RNG1_RNG1_MUTEX_REQUEST_RELEASE_0_LOCK_WOFFSET                       0x0
#define SE_RNG1_RNG1_MUTEX_REQUEST_RELEASE_0_LOCK_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_REQUEST_RELEASE_0_LOCK_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_MUTEX_REQUEST_RELEASE_0_LOCK_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_REQUEST_RELEASE_0_LOCK_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_REQUEST_RELEASE_0_LOCK_INIT_ENUM                     FALSE
#define SE_RNG1_RNG1_MUTEX_REQUEST_RELEASE_0_LOCK_FALSE                 _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_MUTEX_REQUEST_RELEASE_0_LOCK_TRUE                  _MK_ENUM_CONST(1)


// Register SE_RNG1_RNG1_MUTEX_STATUS_0
#define SE_RNG1_RNG1_MUTEX_STATUS_0                     _MK_ADDR_CONST(0xfdc)
#define SE_RNG1_RNG1_MUTEX_STATUS_0_SECURE                      0x0
#define SE_RNG1_RNG1_MUTEX_STATUS_0_SCR                         0
#define SE_RNG1_RNG1_MUTEX_STATUS_0_WORD_COUNT                  0x1
#define SE_RNG1_RNG1_MUTEX_STATUS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_STATUS_0_RESET_MASK                  _MK_MASK_CONST(0x80030003)
#define SE_RNG1_RNG1_MUTEX_STATUS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_STATUS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_STATUS_0_READ_MASK                   _MK_MASK_CONST(0x80030003)
#define SE_RNG1_RNG1_MUTEX_STATUS_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_STATUS_0_LOCKED_SHIFT                        _MK_SHIFT_CONST(31)
#define SE_RNG1_RNG1_MUTEX_STATUS_0_LOCKED_FIELD                        _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_MUTEX_STATUS_0_LOCKED_SHIFT)
#define SE_RNG1_RNG1_MUTEX_STATUS_0_LOCKED_RANGE                        31:31
#define SE_RNG1_RNG1_MUTEX_STATUS_0_LOCKED_WOFFSET                      0x0
#define SE_RNG1_RNG1_MUTEX_STATUS_0_LOCKED_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_STATUS_0_LOCKED_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_MUTEX_STATUS_0_LOCKED_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_STATUS_0_LOCKED_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_STATUS_0_LOCKED_INIT_ENUM                    FALSE
#define SE_RNG1_RNG1_MUTEX_STATUS_0_LOCKED_FALSE                        _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_MUTEX_STATUS_0_LOCKED_TRUE                 _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_MUTEX_STATUS_0_LEVEL_SHIFT                 _MK_SHIFT_CONST(16)
#define SE_RNG1_RNG1_MUTEX_STATUS_0_LEVEL_FIELD                 _MK_FIELD_CONST(0x3, SE_RNG1_RNG1_MUTEX_STATUS_0_LEVEL_SHIFT)
#define SE_RNG1_RNG1_MUTEX_STATUS_0_LEVEL_RANGE                 17:16
#define SE_RNG1_RNG1_MUTEX_STATUS_0_LEVEL_WOFFSET                       0x0
#define SE_RNG1_RNG1_MUTEX_STATUS_0_LEVEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_STATUS_0_LEVEL_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define SE_RNG1_RNG1_MUTEX_STATUS_0_LEVEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_STATUS_0_LEVEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)

#define SE_RNG1_RNG1_MUTEX_STATUS_0_SECGROUP_SHIFT                      _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_MUTEX_STATUS_0_SECGROUP_FIELD                      _MK_FIELD_CONST(0x3, SE_RNG1_RNG1_MUTEX_STATUS_0_SECGROUP_SHIFT)
#define SE_RNG1_RNG1_MUTEX_STATUS_0_SECGROUP_RANGE                      1:0
#define SE_RNG1_RNG1_MUTEX_STATUS_0_SECGROUP_WOFFSET                    0x0
#define SE_RNG1_RNG1_MUTEX_STATUS_0_SECGROUP_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_STATUS_0_SECGROUP_DEFAULT_MASK                       _MK_MASK_CONST(0x3)
#define SE_RNG1_RNG1_MUTEX_STATUS_0_SECGROUP_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_STATUS_0_SECGROUP_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_MUTEX_WATCHDOG_NS_LIMIT_0
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_NS_LIMIT_0                  _MK_ADDR_CONST(0xfe0)
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_NS_LIMIT_0_SECURE                   0x0
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_NS_LIMIT_0_SCR                      0
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_NS_LIMIT_0_WORD_COUNT                       0x1
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_NS_LIMIT_0_RESET_VAL                        _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_NS_LIMIT_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_NS_LIMIT_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_NS_LIMIT_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_NS_LIMIT_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_NS_LIMIT_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_NS_LIMIT_0_VAL_SHIFT                        _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_NS_LIMIT_0_VAL_FIELD                        _MK_FIELD_CONST(0xffffffff, SE_RNG1_RNG1_MUTEX_WATCHDOG_NS_LIMIT_0_VAL_SHIFT)
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_NS_LIMIT_0_VAL_RANGE                        31:0
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_NS_LIMIT_0_VAL_WOFFSET                      0x0
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_NS_LIMIT_0_VAL_DEFAULT                      _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_NS_LIMIT_0_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_NS_LIMIT_0_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_NS_LIMIT_0_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_WATCHDOG_NS_LIMIT_0_VAL_INIT_ENUM                    -1


// Register SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0
#define SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0                 _MK_ADDR_CONST(0xfe4)
#define SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0_SECURE                  0x0
#define SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0_SCR                     0
#define SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0_WORD_COUNT                      0x1
#define SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0_RESET_VAL                       _MK_MASK_CONST(0x100)
#define SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0_RESET_MASK                      _MK_MASK_CONST(0x800fffff)
#define SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0_READ_MASK                       _MK_MASK_CONST(0x800fffff)
#define SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0_WRITE_MASK                      _MK_MASK_CONST(0x800fffff)
#define SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0_LOCK_SHIFT                      _MK_SHIFT_CONST(31)
#define SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0_LOCK_FIELD                      _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0_LOCK_SHIFT)
#define SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0_LOCK_RANGE                      31:31
#define SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0_LOCK_WOFFSET                    0x0
#define SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0_LOCK_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0_LOCK_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0_LOCK_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0_LOCK_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0_LOCK_INIT_ENUM                  FALSE
#define SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0_LOCK_FALSE                      _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0_LOCK_TRUE                       _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0_VAL_SHIFT                       _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0_VAL_FIELD                       _MK_FIELD_CONST(0xfffff, SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0_VAL_SHIFT)
#define SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0_VAL_RANGE                       19:0
#define SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0_VAL_WOFFSET                     0x0
#define SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0_VAL_DEFAULT                     _MK_MASK_CONST(0x100)
#define SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0_VAL_DEFAULT_MASK                        _MK_MASK_CONST(0xfffff)
#define SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0_VAL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0_VAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_MUTEX_RR_STATUS_0
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0                  _MK_ADDR_CONST(0xfe8)
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_SECURE                   0x0
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_SCR                      0
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_WORD_COUNT                       0x1
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_RESET_MASK                       _MK_MASK_CONST(0xf03fffff)
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_READ_MASK                        _MK_MASK_CONST(0xf03fffff)
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_PND_NUM_SHIFT                    _MK_SHIFT_CONST(28)
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_PND_NUM_FIELD                    _MK_FIELD_CONST(0xf, SE_RNG1_RNG1_MUTEX_RR_STATUS_0_PND_NUM_SHIFT)
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_PND_NUM_RANGE                    31:28
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_PND_NUM_WOFFSET                  0x0
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_PND_NUM_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_PND_NUM_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_PND_NUM_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_PND_NUM_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)

#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_SECGROUP_SHIFT                   _MK_SHIFT_CONST(20)
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_SECGROUP_FIELD                   _MK_FIELD_CONST(0x3, SE_RNG1_RNG1_MUTEX_RR_STATUS_0_SECGROUP_SHIFT)
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_SECGROUP_RANGE                   21:20
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_SECGROUP_WOFFSET                 0x0
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_SECGROUP_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_SECGROUP_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_SECGROUP_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_SECGROUP_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)

#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_COUNTER_SHIFT                    _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_COUNTER_FIELD                    _MK_FIELD_CONST(0xfffff, SE_RNG1_RNG1_MUTEX_RR_STATUS_0_COUNTER_SHIFT)
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_COUNTER_RANGE                    19:0
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_COUNTER_WOFFSET                  0x0
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_COUNTER_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_COUNTER_DEFAULT_MASK                     _MK_MASK_CONST(0xfffff)
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_COUNTER_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_MUTEX_RR_STATUS_0_COUNTER_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_SECURITY_0
#define SE_RNG1_RNG1_SECURITY_0                 _MK_ADDR_CONST(0xfec)
#define SE_RNG1_RNG1_SECURITY_0_SECURE                  0x0
#define SE_RNG1_RNG1_SECURITY_0_SCR                     0
#define SE_RNG1_RNG1_SECURITY_0_WORD_COUNT                      0x1
#define SE_RNG1_RNG1_SECURITY_0_RESET_VAL                       _MK_MASK_CONST(0x10001)
#define SE_RNG1_RNG1_SECURITY_0_RESET_MASK                      _MK_MASK_CONST(0x10003)
#define SE_RNG1_RNG1_SECURITY_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SECURITY_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x2)
#define SE_RNG1_RNG1_SECURITY_0_READ_MASK                       _MK_MASK_CONST(0x10003)
#define SE_RNG1_RNG1_SECURITY_0_WRITE_MASK                      _MK_MASK_CONST(0x10003)
#define SE_RNG1_RNG1_SECURITY_0_SE_SOFT_SETTING_SHIFT                   _MK_SHIFT_CONST(16)
#define SE_RNG1_RNG1_SECURITY_0_SE_SOFT_SETTING_FIELD                   _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_SECURITY_0_SE_SOFT_SETTING_SHIFT)
#define SE_RNG1_RNG1_SECURITY_0_SE_SOFT_SETTING_RANGE                   16:16
#define SE_RNG1_RNG1_SECURITY_0_SE_SOFT_SETTING_WOFFSET                 0x0
#define SE_RNG1_RNG1_SECURITY_0_SE_SOFT_SETTING_DEFAULT                 _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_SECURITY_0_SE_SOFT_SETTING_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_SECURITY_0_SE_SOFT_SETTING_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SECURITY_0_SE_SOFT_SETTING_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SECURITY_0_SE_SOFT_SETTING_INIT_ENUM                       RNG1_NONSECURE
#define SE_RNG1_RNG1_SECURITY_0_SE_SOFT_SETTING_RNG1_SECURE                     _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_SECURITY_0_SE_SOFT_SETTING_RNG1_NONSECURE                  _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_SECURITY_0_SE_ENG_DIS_SHIFT                        _MK_SHIFT_CONST(1)
#define SE_RNG1_RNG1_SECURITY_0_SE_ENG_DIS_FIELD                        _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_SECURITY_0_SE_ENG_DIS_SHIFT)
#define SE_RNG1_RNG1_SECURITY_0_SE_ENG_DIS_RANGE                        1:1
#define SE_RNG1_RNG1_SECURITY_0_SE_ENG_DIS_WOFFSET                      0x0
#define SE_RNG1_RNG1_SECURITY_0_SE_ENG_DIS_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SECURITY_0_SE_ENG_DIS_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_SECURITY_0_SE_ENG_DIS_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SECURITY_0_SE_ENG_DIS_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_SECURITY_0_SE_ENG_DIS_INIT_ENUM                    FALSE
#define SE_RNG1_RNG1_SECURITY_0_SE_ENG_DIS_FALSE                        _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_SECURITY_0_SE_ENG_DIS_TRUE                 _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_SECURITY_0_SE_HARD_SETTING_SHIFT                   _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_SECURITY_0_SE_HARD_SETTING_FIELD                   _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_SECURITY_0_SE_HARD_SETTING_SHIFT)
#define SE_RNG1_RNG1_SECURITY_0_SE_HARD_SETTING_RANGE                   0:0
#define SE_RNG1_RNG1_SECURITY_0_SE_HARD_SETTING_WOFFSET                 0x0
#define SE_RNG1_RNG1_SECURITY_0_SE_HARD_SETTING_DEFAULT                 _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_SECURITY_0_SE_HARD_SETTING_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_SECURITY_0_SE_HARD_SETTING_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SECURITY_0_SE_HARD_SETTING_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SECURITY_0_SE_HARD_SETTING_INIT_ENUM                       RNG1_NONSECURE
#define SE_RNG1_RNG1_SECURITY_0_SE_HARD_SETTING_RNG1_SECURE                     _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_SECURITY_0_SE_HARD_SETTING_RNG1_NONSECURE                  _MK_ENUM_CONST(1)


// Register SE_RNG1_RNG1_CLK_0
#define SE_RNG1_RNG1_CLK_0                      _MK_ADDR_CONST(0xff0)
#define SE_RNG1_RNG1_CLK_0_SECURE                       0x0
#define SE_RNG1_RNG1_CLK_0_SCR                  0
#define SE_RNG1_RNG1_CLK_0_WORD_COUNT                   0x1
#define SE_RNG1_RNG1_CLK_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_CLK_0_RESET_MASK                   _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_CLK_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_CLK_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_CLK_0_READ_MASK                    _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_CLK_0_WRITE_MASK                   _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_CLK_0_OVR_ON_SHIFT                 _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_CLK_0_OVR_ON_FIELD                 _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_CLK_0_OVR_ON_SHIFT)
#define SE_RNG1_RNG1_CLK_0_OVR_ON_RANGE                 0:0
#define SE_RNG1_RNG1_CLK_0_OVR_ON_WOFFSET                       0x0
#define SE_RNG1_RNG1_CLK_0_OVR_ON_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_CLK_0_OVR_ON_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_CLK_0_OVR_ON_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_CLK_0_OVR_ON_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_CLK_0_OVR_ON_INIT_ENUM                     FALSE
#define SE_RNG1_RNG1_CLK_0_OVR_ON_FALSE                 _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_CLK_0_OVR_ON_TRUE                  _MK_ENUM_CONST(1)


// Register SE_RNG1_RNG1_SWCLKCTL_0
#define SE_RNG1_RNG1_SWCLKCTL_0                 _MK_ADDR_CONST(0xff4)
#define SE_RNG1_RNG1_SWCLKCTL_0_SECURE                  0x0
#define SE_RNG1_RNG1_SWCLKCTL_0_SCR                     0
#define SE_RNG1_RNG1_SWCLKCTL_0_WORD_COUNT                      0x1
#define SE_RNG1_RNG1_SWCLKCTL_0_RESET_VAL                       _MK_MASK_CONST(0x20)
#define SE_RNG1_RNG1_SWCLKCTL_0_RESET_MASK                      _MK_MASK_CONST(0xffff)
#define SE_RNG1_RNG1_SWCLKCTL_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SWCLKCTL_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SWCLKCTL_0_READ_MASK                       _MK_MASK_CONST(0xffff)
#define SE_RNG1_RNG1_SWCLKCTL_0_WRITE_MASK                      _MK_MASK_CONST(0xffff)
#define SE_RNG1_RNG1_SWCLKCTL_0_SLCG_THRESHOLD_SHIFT                    _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_SWCLKCTL_0_SLCG_THRESHOLD_FIELD                    _MK_FIELD_CONST(0xffff, SE_RNG1_RNG1_SWCLKCTL_0_SLCG_THRESHOLD_SHIFT)
#define SE_RNG1_RNG1_SWCLKCTL_0_SLCG_THRESHOLD_RANGE                    15:0
#define SE_RNG1_RNG1_SWCLKCTL_0_SLCG_THRESHOLD_WOFFSET                  0x0
#define SE_RNG1_RNG1_SWCLKCTL_0_SLCG_THRESHOLD_DEFAULT                  _MK_MASK_CONST(0x20)
#define SE_RNG1_RNG1_SWCLKCTL_0_SLCG_THRESHOLD_DEFAULT_MASK                     _MK_MASK_CONST(0xffff)
#define SE_RNG1_RNG1_SWCLKCTL_0_SLCG_THRESHOLD_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_SWCLKCTL_0_SLCG_THRESHOLD_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)


// Register SE_RNG1_RNG1_NVSECURE_GROUP_0
#define SE_RNG1_RNG1_NVSECURE_GROUP_0                   _MK_ADDR_CONST(0xff8)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_SECURE                    0x0
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_SCR                       0
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_WORD_COUNT                        0x1
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_RESET_MASK                        _MK_MASK_CONST(0x800007ff)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_READ_MASK                         _MK_MASK_CONST(0x800007ff)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_WRITE_MASK                        _MK_MASK_CONST(0x800007ff)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_LOCK_SHIFT                        _MK_SHIFT_CONST(31)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_LOCK_FIELD                        _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_NVSECURE_GROUP_0_LOCK_SHIFT)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_LOCK_RANGE                        31:31
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_LOCK_WOFFSET                      0x0
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_LOCK_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_LOCK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_LOCK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_LOCK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_LOCK_INIT_ENUM                    FALSE
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_LOCK_FALSE                        _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_LOCK_TRUE                 _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_NVSECURE_GROUP_0_HOST1XRM_SHIFT                    _MK_SHIFT_CONST(10)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_HOST1XRM_FIELD                    _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_NVSECURE_GROUP_0_HOST1XRM_SHIFT)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_HOST1XRM_RANGE                    10:10
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_HOST1XRM_WOFFSET                  0x0
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_HOST1XRM_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_HOST1XRM_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_HOST1XRM_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_HOST1XRM_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_HOST1XRM_INIT_ENUM                        FALSE
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_HOST1XRM_FALSE                    _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_HOST1XRM_TRUE                     _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_NVSECURE_GROUP_0_NVHS_SHIFT                        _MK_SHIFT_CONST(9)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_NVHS_FIELD                        _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_NVSECURE_GROUP_0_NVHS_SHIFT)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_NVHS_RANGE                        9:9
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_NVHS_WOFFSET                      0x0
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_NVHS_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_NVHS_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_NVHS_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_NVHS_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_NVHS_INIT_ENUM                    FALSE
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_NVHS_FALSE                        _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_NVHS_TRUE                 _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_NVSECURE_GROUP_0_NVLS_SHIFT                        _MK_SHIFT_CONST(8)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_NVLS_FIELD                        _MK_FIELD_CONST(0x1, SE_RNG1_RNG1_NVSECURE_GROUP_0_NVLS_SHIFT)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_NVLS_RANGE                        8:8
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_NVLS_WOFFSET                      0x0
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_NVLS_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_NVLS_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_NVLS_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_NVLS_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_NVLS_INIT_ENUM                    FALSE
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_NVLS_FALSE                        _MK_ENUM_CONST(0)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_NVLS_TRUE                 _MK_ENUM_CONST(1)

#define SE_RNG1_RNG1_NVSECURE_GROUP_0_SECGROUP_SHIFT                    _MK_SHIFT_CONST(0)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_SECGROUP_FIELD                    _MK_FIELD_CONST(0xff, SE_RNG1_RNG1_NVSECURE_GROUP_0_SECGROUP_SHIFT)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_SECGROUP_RANGE                    7:0
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_SECGROUP_WOFFSET                  0x0
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_SECGROUP_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_SECGROUP_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_SECGROUP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_SECGROUP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_SECGROUP_INIT_ENUM                        ALL_FALSE
#define SE_RNG1_RNG1_NVSECURE_GROUP_0_SECGROUP_ALL_FALSE                        _MK_ENUM_CONST(0)


//
// REGISTER LIST
//
#define LIST_ARSE_RNG1_REGS(_op_) \
_op_(SE_RNG1_RNG1_CTRL_0) \
_op_(SE_RNG1_RNG1_MODE_0) \
_op_(SE_RNG1_RNG1_SMODE_0) \
_op_(SE_RNG1_RNG1_STAT_0) \
_op_(SE_RNG1_RNG1_IE_0) \
_op_(SE_RNG1_RNG1_ISTAT_0) \
_op_(SE_RNG1_RNG1_ALARMS_0) \
_op_(SE_RNG1_RNG1_BUILD_ID_0) \
_op_(SE_RNG1_RNG1_FEATURES_0) \
_op_(SE_RNG1_RNG1_RAND0_0) \
_op_(SE_RNG1_RNG1_RAND1_0) \
_op_(SE_RNG1_RNG1_RAND2_0) \
_op_(SE_RNG1_RNG1_RAND3_0) \
_op_(SE_RNG1_RNG1_NPA_DATA0_0) \
_op_(SE_RNG1_RNG1_NPA_DATA1_0) \
_op_(SE_RNG1_RNG1_NPA_DATA2_0) \
_op_(SE_RNG1_RNG1_NPA_DATA3_0) \
_op_(SE_RNG1_RNG1_NPA_DATA4_0) \
_op_(SE_RNG1_RNG1_NPA_DATA5_0) \
_op_(SE_RNG1_RNG1_NPA_DATA6_0) \
_op_(SE_RNG1_RNG1_NPA_DATA7_0) \
_op_(SE_RNG1_RNG1_NPA_DATA8_0) \
_op_(SE_RNG1_RNG1_NPA_DATA9_0) \
_op_(SE_RNG1_RNG1_NPA_DATA10_0) \
_op_(SE_RNG1_RNG1_NPA_DATA11_0) \
_op_(SE_RNG1_RNG1_NPA_DATA12_0) \
_op_(SE_RNG1_RNG1_NPA_DATA13_0) \
_op_(SE_RNG1_RNG1_NPA_DATA14_0) \
_op_(SE_RNG1_RNG1_NPA_DATA15_0) \
_op_(SE_RNG1_RNG1_SEED0_0) \
_op_(SE_RNG1_RNG1_SEED1_0) \
_op_(SE_RNG1_RNG1_SEED2_0) \
_op_(SE_RNG1_RNG1_SEED3_0) \
_op_(SE_RNG1_RNG1_SEED4_0) \
_op_(SE_RNG1_RNG1_SEED5_0) \
_op_(SE_RNG1_RNG1_SEED6_0) \
_op_(SE_RNG1_RNG1_SEED7_0) \
_op_(SE_RNG1_RNG1_SEED8_0) \
_op_(SE_RNG1_RNG1_SEED9_0) \
_op_(SE_RNG1_RNG1_SEED10_0) \
_op_(SE_RNG1_RNG1_SEED11_0) \
_op_(SE_RNG1_RNG1_IA_RDATA_0) \
_op_(SE_RNG1_RNG1_IA_WDATA_0) \
_op_(SE_RNG1_RNG1_IA_ADDR_0) \
_op_(SE_RNG1_RNG1_IA_CMD_0) \
_op_(SE_RNG1_RNG1_INT_ENABLE_0) \
_op_(SE_RNG1_RNG1_INT_STATUS_0) \
_op_(SE_RNG1_RNG1_ECTL_0) \
_op_(SE_RNG1_RNG1_MUTEX_WATCHDOG_COUNTER_0) \
_op_(SE_RNG1_RNG1_MUTEX_TIMEOUT_ACTION_0) \
_op_(SE_RNG1_RNG1_MUTEX_REQUEST_RELEASE_0) \
_op_(SE_RNG1_RNG1_MUTEX_STATUS_0) \
_op_(SE_RNG1_RNG1_MUTEX_WATCHDOG_NS_LIMIT_0) \
_op_(SE_RNG1_RNG1_MUTEX_RR_TIMEOUT_COUNTER_0) \
_op_(SE_RNG1_RNG1_MUTEX_RR_STATUS_0) \
_op_(SE_RNG1_RNG1_SECURITY_0) \
_op_(SE_RNG1_RNG1_CLK_0) \
_op_(SE_RNG1_RNG1_SWCLKCTL_0) \
_op_(SE_RNG1_RNG1_NVSECURE_GROUP_0)


//
// ADDRESS SPACES
//

#define BASE_ADDRESS_SE_RNG1    0x00000f00

//
// ARSE_RNG1 REGISTER BANKS
//

#define SE_RNG10_FIRST_REG 0x0f00 // SE_RNG1_RNG1_CTRL_0
#define SE_RNG10_LAST_REG 0x0fb0 // SE_RNG1_RNG1_IA_CMD_0
#define SE_RNG11_FIRST_REG 0x0fc0 // SE_RNG1_RNG1_INT_ENABLE_0
#define SE_RNG11_LAST_REG 0x0fc8 // SE_RNG1_RNG1_ECTL_0
#define SE_RNG12_FIRST_REG 0x0fd0 // SE_RNG1_RNG1_MUTEX_WATCHDOG_COUNTER_0
#define SE_RNG12_LAST_REG 0x0ff8 // SE_RNG1_RNG1_NVSECURE_GROUP_0

// To satisfy various compilers and platforms,
// we let users control the types and syntax of certain constants, using macros.
#ifndef _MK_SHIFT_CONST
  #define _MK_SHIFT_CONST(_constant_) _constant_
#endif
#ifndef _MK_MASK_CONST
  #define _MK_MASK_CONST(_constant_) _constant_
#endif
#ifndef _MK_ENUM_CONST
  #define _MK_ENUM_CONST(_constant_) (_constant_ ## UL)
#endif
#ifndef _MK_ADDR_CONST
  #define _MK_ADDR_CONST(_constant_) _constant_
#endif
#ifndef _MK_FIELD_CONST
  #define _MK_FIELD_CONST(_mask_, _shift_) (_MK_MASK_CONST(_mask_) << _MK_SHIFT_CONST(_shift_))
#endif

#endif // ifndef ___ARSE_RNG1_H_INC_
