//
// Copyright (c) 2015 NVIDIA Corporation.
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
//  * Redistributions of source code must retain the above copyright
//    notice, this list of conditions and the following disclaimer.
//  * Redistributions in binary form must reproduce the above copyright
//    notice, this list of conditions and the following disclaimer in the
//    documentation and/or other materials provided with the distribution.
//  * Neither the name of NVIDIA CORPORATION nor the names of its
//    contributors may be used to endorse or promote products derived
//    from this software without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS ``AS IS'' AND ANY
// EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
// PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR
// CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
// EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
// PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
// PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
// OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
// (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
// OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//

//
// DO NOT EDIT - generated by simspec!
//

#ifndef ___ARXUSB_DEV_H_INC_
#define ___ARXUSB_DEV_H_INC_
#define NV_XUSB_DEV_IPFS_CONFIG_BASE    36864
#define NV_XUSB_DEV_PCI_CONFIG_FPCI_BASE        32768
#define NV_XUSB_DEV_EXT_CONFIG_FPCI_BASE        33024
#define NV_XUSB_DEV_BAR0_FPCI_BASE      0
#define NV_XUSB_DEV_PCI_CONFIG_PRI_BASE 40960
#define NV_XUSB_DEV_EXT_CONFIG_PRI_BASE 41216
#define NV_XUSB_DEV_BAR0_PRI_BASE       45568
#define NV_IPFS_FPCI_ACCESS_TYPE_MEM    1
#define NV_IPFS_FPCI_ACCESS_TYPE_IO     0

// Register XUSB_DEV_AXI_BAR0_SZ_0
#define XUSB_DEV_AXI_BAR0_SZ_0                  _MK_ADDR_CONST(0x0)
#define XUSB_DEV_AXI_BAR0_SZ_0_SECURE                   0x0
#define XUSB_DEV_AXI_BAR0_SZ_0_SCR                      0
#define XUSB_DEV_AXI_BAR0_SZ_0_WORD_COUNT                       0x1
#define XUSB_DEV_AXI_BAR0_SZ_0_RESET_VAL                        _MK_MASK_CONST(0x8)
#define XUSB_DEV_AXI_BAR0_SZ_0_RESET_MASK                       _MK_MASK_CONST(0xfffff)
#define XUSB_DEV_AXI_BAR0_SZ_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR0_SZ_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR0_SZ_0_READ_MASK                        _MK_MASK_CONST(0xfffff)
#define XUSB_DEV_AXI_BAR0_SZ_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff)
#define XUSB_DEV_AXI_BAR0_SZ_0_AXI_BAR0_SIZE_SHIFT                      _MK_SHIFT_CONST(0)
#define XUSB_DEV_AXI_BAR0_SZ_0_AXI_BAR0_SIZE_FIELD                      _MK_FIELD_CONST(0xfffff, XUSB_DEV_AXI_BAR0_SZ_0_AXI_BAR0_SIZE_SHIFT)
#define XUSB_DEV_AXI_BAR0_SZ_0_AXI_BAR0_SIZE_RANGE                      19:0
#define XUSB_DEV_AXI_BAR0_SZ_0_AXI_BAR0_SIZE_WOFFSET                    0x0
#define XUSB_DEV_AXI_BAR0_SZ_0_AXI_BAR0_SIZE_DEFAULT                    _MK_MASK_CONST(0x8)
#define XUSB_DEV_AXI_BAR0_SZ_0_AXI_BAR0_SIZE_DEFAULT_MASK                       _MK_MASK_CONST(0xfffff)
#define XUSB_DEV_AXI_BAR0_SZ_0_AXI_BAR0_SIZE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR0_SZ_0_AXI_BAR0_SIZE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register XUSB_DEV_AXI_BAR1_SZ_0
#define XUSB_DEV_AXI_BAR1_SZ_0                  _MK_ADDR_CONST(0x4)
#define XUSB_DEV_AXI_BAR1_SZ_0_SECURE                   0x0
#define XUSB_DEV_AXI_BAR1_SZ_0_SCR                      0
#define XUSB_DEV_AXI_BAR1_SZ_0_WORD_COUNT                       0x1
#define XUSB_DEV_AXI_BAR1_SZ_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR1_SZ_0_RESET_MASK                       _MK_MASK_CONST(0xfffff)
#define XUSB_DEV_AXI_BAR1_SZ_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR1_SZ_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR1_SZ_0_READ_MASK                        _MK_MASK_CONST(0xfffff)
#define XUSB_DEV_AXI_BAR1_SZ_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff)
#define XUSB_DEV_AXI_BAR1_SZ_0_AXI_BAR1_SIZE_SHIFT                      _MK_SHIFT_CONST(0)
#define XUSB_DEV_AXI_BAR1_SZ_0_AXI_BAR1_SIZE_FIELD                      _MK_FIELD_CONST(0xfffff, XUSB_DEV_AXI_BAR1_SZ_0_AXI_BAR1_SIZE_SHIFT)
#define XUSB_DEV_AXI_BAR1_SZ_0_AXI_BAR1_SIZE_RANGE                      19:0
#define XUSB_DEV_AXI_BAR1_SZ_0_AXI_BAR1_SIZE_WOFFSET                    0x0
#define XUSB_DEV_AXI_BAR1_SZ_0_AXI_BAR1_SIZE_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR1_SZ_0_AXI_BAR1_SIZE_DEFAULT_MASK                       _MK_MASK_CONST(0xfffff)
#define XUSB_DEV_AXI_BAR1_SZ_0_AXI_BAR1_SIZE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR1_SZ_0_AXI_BAR1_SIZE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register XUSB_DEV_AXI_BAR2_SZ_0
#define XUSB_DEV_AXI_BAR2_SZ_0                  _MK_ADDR_CONST(0x8)
#define XUSB_DEV_AXI_BAR2_SZ_0_SECURE                   0x0
#define XUSB_DEV_AXI_BAR2_SZ_0_SCR                      0
#define XUSB_DEV_AXI_BAR2_SZ_0_WORD_COUNT                       0x1
#define XUSB_DEV_AXI_BAR2_SZ_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR2_SZ_0_RESET_MASK                       _MK_MASK_CONST(0xfffff)
#define XUSB_DEV_AXI_BAR2_SZ_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR2_SZ_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR2_SZ_0_READ_MASK                        _MK_MASK_CONST(0xfffff)
#define XUSB_DEV_AXI_BAR2_SZ_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff)
#define XUSB_DEV_AXI_BAR2_SZ_0_AXI_BAR2_SIZE_SHIFT                      _MK_SHIFT_CONST(0)
#define XUSB_DEV_AXI_BAR2_SZ_0_AXI_BAR2_SIZE_FIELD                      _MK_FIELD_CONST(0xfffff, XUSB_DEV_AXI_BAR2_SZ_0_AXI_BAR2_SIZE_SHIFT)
#define XUSB_DEV_AXI_BAR2_SZ_0_AXI_BAR2_SIZE_RANGE                      19:0
#define XUSB_DEV_AXI_BAR2_SZ_0_AXI_BAR2_SIZE_WOFFSET                    0x0
#define XUSB_DEV_AXI_BAR2_SZ_0_AXI_BAR2_SIZE_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR2_SZ_0_AXI_BAR2_SIZE_DEFAULT_MASK                       _MK_MASK_CONST(0xfffff)
#define XUSB_DEV_AXI_BAR2_SZ_0_AXI_BAR2_SIZE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR2_SZ_0_AXI_BAR2_SIZE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Register XUSB_DEV_AXI_BAR3_SZ_0
#define XUSB_DEV_AXI_BAR3_SZ_0                  _MK_ADDR_CONST(0xc)
#define XUSB_DEV_AXI_BAR3_SZ_0_SECURE                   0x0
#define XUSB_DEV_AXI_BAR3_SZ_0_SCR                      0
#define XUSB_DEV_AXI_BAR3_SZ_0_WORD_COUNT                       0x1
#define XUSB_DEV_AXI_BAR3_SZ_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR3_SZ_0_RESET_MASK                       _MK_MASK_CONST(0xfffff)
#define XUSB_DEV_AXI_BAR3_SZ_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR3_SZ_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR3_SZ_0_READ_MASK                        _MK_MASK_CONST(0xfffff)
#define XUSB_DEV_AXI_BAR3_SZ_0_WRITE_MASK                       _MK_MASK_CONST(0xfffff)
#define XUSB_DEV_AXI_BAR3_SZ_0_AXI_BAR3_SIZE_SHIFT                      _MK_SHIFT_CONST(0)
#define XUSB_DEV_AXI_BAR3_SZ_0_AXI_BAR3_SIZE_FIELD                      _MK_FIELD_CONST(0xfffff, XUSB_DEV_AXI_BAR3_SZ_0_AXI_BAR3_SIZE_SHIFT)
#define XUSB_DEV_AXI_BAR3_SZ_0_AXI_BAR3_SIZE_RANGE                      19:0
#define XUSB_DEV_AXI_BAR3_SZ_0_AXI_BAR3_SIZE_WOFFSET                    0x0
#define XUSB_DEV_AXI_BAR3_SZ_0_AXI_BAR3_SIZE_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR3_SZ_0_AXI_BAR3_SIZE_DEFAULT_MASK                       _MK_MASK_CONST(0xfffff)
#define XUSB_DEV_AXI_BAR3_SZ_0_AXI_BAR3_SIZE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR3_SZ_0_AXI_BAR3_SIZE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)


// Reserved address 16 [0x10]

// Reserved address 20 [0x14]

// Reserved address 24 [0x18]

// Reserved address 28 [0x1c]

// Reserved address 32 [0x20]

// Reserved address 36 [0x24]

// Reserved address 40 [0x28]

// Reserved address 44 [0x2c]

// Reserved address 48 [0x30]

// Reserved address 52 [0x34]

// Reserved address 56 [0x38]

// Reserved address 60 [0x3c]

// Register XUSB_DEV_AXI_BAR0_START_0
#define XUSB_DEV_AXI_BAR0_START_0                       _MK_ADDR_CONST(0x40)
#define XUSB_DEV_AXI_BAR0_START_0_SECURE                        0x0
#define XUSB_DEV_AXI_BAR0_START_0_SCR                   0
#define XUSB_DEV_AXI_BAR0_START_0_WORD_COUNT                    0x1
#define XUSB_DEV_AXI_BAR0_START_0_RESET_VAL                     _MK_MASK_CONST(0x3550000)
#define XUSB_DEV_AXI_BAR0_START_0_RESET_MASK                    _MK_MASK_CONST(0xfffff000)
#define XUSB_DEV_AXI_BAR0_START_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR0_START_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR0_START_0_READ_MASK                     _MK_MASK_CONST(0xfffff000)
#define XUSB_DEV_AXI_BAR0_START_0_WRITE_MASK                    _MK_MASK_CONST(0xfffff000)
#define XUSB_DEV_AXI_BAR0_START_0_AXI_BAR0_START_SHIFT                  _MK_SHIFT_CONST(12)
#define XUSB_DEV_AXI_BAR0_START_0_AXI_BAR0_START_FIELD                  _MK_FIELD_CONST(0xfffff, XUSB_DEV_AXI_BAR0_START_0_AXI_BAR0_START_SHIFT)
#define XUSB_DEV_AXI_BAR0_START_0_AXI_BAR0_START_RANGE                  31:12
#define XUSB_DEV_AXI_BAR0_START_0_AXI_BAR0_START_WOFFSET                        0x0
#define XUSB_DEV_AXI_BAR0_START_0_AXI_BAR0_START_DEFAULT                        _MK_MASK_CONST(0x3550)
#define XUSB_DEV_AXI_BAR0_START_0_AXI_BAR0_START_DEFAULT_MASK                   _MK_MASK_CONST(0xfffff)
#define XUSB_DEV_AXI_BAR0_START_0_AXI_BAR0_START_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR0_START_0_AXI_BAR0_START_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register XUSB_DEV_AXI_BAR1_START_0
#define XUSB_DEV_AXI_BAR1_START_0                       _MK_ADDR_CONST(0x44)
#define XUSB_DEV_AXI_BAR1_START_0_SECURE                        0x0
#define XUSB_DEV_AXI_BAR1_START_0_SCR                   0
#define XUSB_DEV_AXI_BAR1_START_0_WORD_COUNT                    0x1
#define XUSB_DEV_AXI_BAR1_START_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR1_START_0_RESET_MASK                    _MK_MASK_CONST(0xfffff000)
#define XUSB_DEV_AXI_BAR1_START_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR1_START_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR1_START_0_READ_MASK                     _MK_MASK_CONST(0xfffff000)
#define XUSB_DEV_AXI_BAR1_START_0_WRITE_MASK                    _MK_MASK_CONST(0xfffff000)
#define XUSB_DEV_AXI_BAR1_START_0_AXI_BAR1_START_SHIFT                  _MK_SHIFT_CONST(12)
#define XUSB_DEV_AXI_BAR1_START_0_AXI_BAR1_START_FIELD                  _MK_FIELD_CONST(0xfffff, XUSB_DEV_AXI_BAR1_START_0_AXI_BAR1_START_SHIFT)
#define XUSB_DEV_AXI_BAR1_START_0_AXI_BAR1_START_RANGE                  31:12
#define XUSB_DEV_AXI_BAR1_START_0_AXI_BAR1_START_WOFFSET                        0x0
#define XUSB_DEV_AXI_BAR1_START_0_AXI_BAR1_START_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR1_START_0_AXI_BAR1_START_DEFAULT_MASK                   _MK_MASK_CONST(0xfffff)
#define XUSB_DEV_AXI_BAR1_START_0_AXI_BAR1_START_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR1_START_0_AXI_BAR1_START_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register XUSB_DEV_AXI_BAR2_START_0
#define XUSB_DEV_AXI_BAR2_START_0                       _MK_ADDR_CONST(0x48)
#define XUSB_DEV_AXI_BAR2_START_0_SECURE                        0x0
#define XUSB_DEV_AXI_BAR2_START_0_SCR                   0
#define XUSB_DEV_AXI_BAR2_START_0_WORD_COUNT                    0x1
#define XUSB_DEV_AXI_BAR2_START_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR2_START_0_RESET_MASK                    _MK_MASK_CONST(0xfffff000)
#define XUSB_DEV_AXI_BAR2_START_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR2_START_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR2_START_0_READ_MASK                     _MK_MASK_CONST(0xfffff000)
#define XUSB_DEV_AXI_BAR2_START_0_WRITE_MASK                    _MK_MASK_CONST(0xfffff000)
#define XUSB_DEV_AXI_BAR2_START_0_AXI_BAR2_START_SHIFT                  _MK_SHIFT_CONST(12)
#define XUSB_DEV_AXI_BAR2_START_0_AXI_BAR2_START_FIELD                  _MK_FIELD_CONST(0xfffff, XUSB_DEV_AXI_BAR2_START_0_AXI_BAR2_START_SHIFT)
#define XUSB_DEV_AXI_BAR2_START_0_AXI_BAR2_START_RANGE                  31:12
#define XUSB_DEV_AXI_BAR2_START_0_AXI_BAR2_START_WOFFSET                        0x0
#define XUSB_DEV_AXI_BAR2_START_0_AXI_BAR2_START_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR2_START_0_AXI_BAR2_START_DEFAULT_MASK                   _MK_MASK_CONST(0xfffff)
#define XUSB_DEV_AXI_BAR2_START_0_AXI_BAR2_START_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR2_START_0_AXI_BAR2_START_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register XUSB_DEV_AXI_BAR3_START_0
#define XUSB_DEV_AXI_BAR3_START_0                       _MK_ADDR_CONST(0x4c)
#define XUSB_DEV_AXI_BAR3_START_0_SECURE                        0x0
#define XUSB_DEV_AXI_BAR3_START_0_SCR                   0
#define XUSB_DEV_AXI_BAR3_START_0_WORD_COUNT                    0x1
#define XUSB_DEV_AXI_BAR3_START_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR3_START_0_RESET_MASK                    _MK_MASK_CONST(0xfffff000)
#define XUSB_DEV_AXI_BAR3_START_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR3_START_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR3_START_0_READ_MASK                     _MK_MASK_CONST(0xfffff000)
#define XUSB_DEV_AXI_BAR3_START_0_WRITE_MASK                    _MK_MASK_CONST(0xfffff000)
#define XUSB_DEV_AXI_BAR3_START_0_AXI_BAR3_START_SHIFT                  _MK_SHIFT_CONST(12)
#define XUSB_DEV_AXI_BAR3_START_0_AXI_BAR3_START_FIELD                  _MK_FIELD_CONST(0xfffff, XUSB_DEV_AXI_BAR3_START_0_AXI_BAR3_START_SHIFT)
#define XUSB_DEV_AXI_BAR3_START_0_AXI_BAR3_START_RANGE                  31:12
#define XUSB_DEV_AXI_BAR3_START_0_AXI_BAR3_START_WOFFSET                        0x0
#define XUSB_DEV_AXI_BAR3_START_0_AXI_BAR3_START_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR3_START_0_AXI_BAR3_START_DEFAULT_MASK                   _MK_MASK_CONST(0xfffff)
#define XUSB_DEV_AXI_BAR3_START_0_AXI_BAR3_START_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_AXI_BAR3_START_0_AXI_BAR3_START_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Reserved address 80 [0x50]

// Reserved address 84 [0x54]

// Reserved address 88 [0x58]

// Reserved address 92 [0x5c]

// Reserved address 96 [0x60]

// Reserved address 100 [0x64]

// Reserved address 104 [0x68]

// Reserved address 108 [0x6c]

// Reserved address 112 [0x70]

// Reserved address 116 [0x74]

// Reserved address 120 [0x78]

// Reserved address 124 [0x7c]

// Register XUSB_DEV_FPCI_BAR0_0
#define XUSB_DEV_FPCI_BAR0_0                    _MK_ADDR_CONST(0x80)
#define XUSB_DEV_FPCI_BAR0_0_SECURE                     0x0
#define XUSB_DEV_FPCI_BAR0_0_SCR                        0
#define XUSB_DEV_FPCI_BAR0_0_WORD_COUNT                         0x1
#define XUSB_DEV_FPCI_BAR0_0_RESET_VAL                  _MK_MASK_CONST(0x35501)
#define XUSB_DEV_FPCI_BAR0_0_RESET_MASK                         _MK_MASK_CONST(0xfffffff1)
#define XUSB_DEV_FPCI_BAR0_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_BAR0_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_BAR0_0_READ_MASK                  _MK_MASK_CONST(0xfffffff1)
#define XUSB_DEV_FPCI_BAR0_0_WRITE_MASK                         _MK_MASK_CONST(0xfffffff1)
#define XUSB_DEV_FPCI_BAR0_0_FPCI_BAR0_START_SHIFT                      _MK_SHIFT_CONST(4)
#define XUSB_DEV_FPCI_BAR0_0_FPCI_BAR0_START_FIELD                      _MK_FIELD_CONST(0xfffffff, XUSB_DEV_FPCI_BAR0_0_FPCI_BAR0_START_SHIFT)
#define XUSB_DEV_FPCI_BAR0_0_FPCI_BAR0_START_RANGE                      31:4
#define XUSB_DEV_FPCI_BAR0_0_FPCI_BAR0_START_WOFFSET                    0x0
#define XUSB_DEV_FPCI_BAR0_0_FPCI_BAR0_START_DEFAULT                    _MK_MASK_CONST(0x3550)
#define XUSB_DEV_FPCI_BAR0_0_FPCI_BAR0_START_DEFAULT_MASK                       _MK_MASK_CONST(0xfffffff)
#define XUSB_DEV_FPCI_BAR0_0_FPCI_BAR0_START_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_BAR0_0_FPCI_BAR0_START_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)

#define XUSB_DEV_FPCI_BAR0_0_FPCI_BAR0_ACCESS_TYPE_SHIFT                        _MK_SHIFT_CONST(0)
#define XUSB_DEV_FPCI_BAR0_0_FPCI_BAR0_ACCESS_TYPE_FIELD                        _MK_FIELD_CONST(0x1, XUSB_DEV_FPCI_BAR0_0_FPCI_BAR0_ACCESS_TYPE_SHIFT)
#define XUSB_DEV_FPCI_BAR0_0_FPCI_BAR0_ACCESS_TYPE_RANGE                        0:0
#define XUSB_DEV_FPCI_BAR0_0_FPCI_BAR0_ACCESS_TYPE_WOFFSET                      0x0
#define XUSB_DEV_FPCI_BAR0_0_FPCI_BAR0_ACCESS_TYPE_DEFAULT                      _MK_MASK_CONST(0x1)
#define XUSB_DEV_FPCI_BAR0_0_FPCI_BAR0_ACCESS_TYPE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define XUSB_DEV_FPCI_BAR0_0_FPCI_BAR0_ACCESS_TYPE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_BAR0_0_FPCI_BAR0_ACCESS_TYPE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register XUSB_DEV_FPCI_BAR1_0
#define XUSB_DEV_FPCI_BAR1_0                    _MK_ADDR_CONST(0x84)
#define XUSB_DEV_FPCI_BAR1_0_SECURE                     0x0
#define XUSB_DEV_FPCI_BAR1_0_SCR                        0
#define XUSB_DEV_FPCI_BAR1_0_WORD_COUNT                         0x1
#define XUSB_DEV_FPCI_BAR1_0_RESET_VAL                  _MK_MASK_CONST(0x1)
#define XUSB_DEV_FPCI_BAR1_0_RESET_MASK                         _MK_MASK_CONST(0xfffffff1)
#define XUSB_DEV_FPCI_BAR1_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_BAR1_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_BAR1_0_READ_MASK                  _MK_MASK_CONST(0xfffffff1)
#define XUSB_DEV_FPCI_BAR1_0_WRITE_MASK                         _MK_MASK_CONST(0xfffffff1)
#define XUSB_DEV_FPCI_BAR1_0_FPCI_BAR1_START_SHIFT                      _MK_SHIFT_CONST(4)
#define XUSB_DEV_FPCI_BAR1_0_FPCI_BAR1_START_FIELD                      _MK_FIELD_CONST(0xfffffff, XUSB_DEV_FPCI_BAR1_0_FPCI_BAR1_START_SHIFT)
#define XUSB_DEV_FPCI_BAR1_0_FPCI_BAR1_START_RANGE                      31:4
#define XUSB_DEV_FPCI_BAR1_0_FPCI_BAR1_START_WOFFSET                    0x0
#define XUSB_DEV_FPCI_BAR1_0_FPCI_BAR1_START_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_BAR1_0_FPCI_BAR1_START_DEFAULT_MASK                       _MK_MASK_CONST(0xfffffff)
#define XUSB_DEV_FPCI_BAR1_0_FPCI_BAR1_START_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_BAR1_0_FPCI_BAR1_START_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)

#define XUSB_DEV_FPCI_BAR1_0_FPCI_BAR1_ACCESS_TYPE_SHIFT                        _MK_SHIFT_CONST(0)
#define XUSB_DEV_FPCI_BAR1_0_FPCI_BAR1_ACCESS_TYPE_FIELD                        _MK_FIELD_CONST(0x1, XUSB_DEV_FPCI_BAR1_0_FPCI_BAR1_ACCESS_TYPE_SHIFT)
#define XUSB_DEV_FPCI_BAR1_0_FPCI_BAR1_ACCESS_TYPE_RANGE                        0:0
#define XUSB_DEV_FPCI_BAR1_0_FPCI_BAR1_ACCESS_TYPE_WOFFSET                      0x0
#define XUSB_DEV_FPCI_BAR1_0_FPCI_BAR1_ACCESS_TYPE_DEFAULT                      _MK_MASK_CONST(0x1)
#define XUSB_DEV_FPCI_BAR1_0_FPCI_BAR1_ACCESS_TYPE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define XUSB_DEV_FPCI_BAR1_0_FPCI_BAR1_ACCESS_TYPE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_BAR1_0_FPCI_BAR1_ACCESS_TYPE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register XUSB_DEV_FPCI_BAR2_0
#define XUSB_DEV_FPCI_BAR2_0                    _MK_ADDR_CONST(0x88)
#define XUSB_DEV_FPCI_BAR2_0_SECURE                     0x0
#define XUSB_DEV_FPCI_BAR2_0_SCR                        0
#define XUSB_DEV_FPCI_BAR2_0_WORD_COUNT                         0x1
#define XUSB_DEV_FPCI_BAR2_0_RESET_VAL                  _MK_MASK_CONST(0x1)
#define XUSB_DEV_FPCI_BAR2_0_RESET_MASK                         _MK_MASK_CONST(0xfffffff1)
#define XUSB_DEV_FPCI_BAR2_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_BAR2_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_BAR2_0_READ_MASK                  _MK_MASK_CONST(0xfffffff1)
#define XUSB_DEV_FPCI_BAR2_0_WRITE_MASK                         _MK_MASK_CONST(0xfffffff1)
#define XUSB_DEV_FPCI_BAR2_0_FPCI_BAR2_START_SHIFT                      _MK_SHIFT_CONST(4)
#define XUSB_DEV_FPCI_BAR2_0_FPCI_BAR2_START_FIELD                      _MK_FIELD_CONST(0xfffffff, XUSB_DEV_FPCI_BAR2_0_FPCI_BAR2_START_SHIFT)
#define XUSB_DEV_FPCI_BAR2_0_FPCI_BAR2_START_RANGE                      31:4
#define XUSB_DEV_FPCI_BAR2_0_FPCI_BAR2_START_WOFFSET                    0x0
#define XUSB_DEV_FPCI_BAR2_0_FPCI_BAR2_START_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_BAR2_0_FPCI_BAR2_START_DEFAULT_MASK                       _MK_MASK_CONST(0xfffffff)
#define XUSB_DEV_FPCI_BAR2_0_FPCI_BAR2_START_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_BAR2_0_FPCI_BAR2_START_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)

#define XUSB_DEV_FPCI_BAR2_0_FPCI_BAR2_ACCESS_TYPE_SHIFT                        _MK_SHIFT_CONST(0)
#define XUSB_DEV_FPCI_BAR2_0_FPCI_BAR2_ACCESS_TYPE_FIELD                        _MK_FIELD_CONST(0x1, XUSB_DEV_FPCI_BAR2_0_FPCI_BAR2_ACCESS_TYPE_SHIFT)
#define XUSB_DEV_FPCI_BAR2_0_FPCI_BAR2_ACCESS_TYPE_RANGE                        0:0
#define XUSB_DEV_FPCI_BAR2_0_FPCI_BAR2_ACCESS_TYPE_WOFFSET                      0x0
#define XUSB_DEV_FPCI_BAR2_0_FPCI_BAR2_ACCESS_TYPE_DEFAULT                      _MK_MASK_CONST(0x1)
#define XUSB_DEV_FPCI_BAR2_0_FPCI_BAR2_ACCESS_TYPE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define XUSB_DEV_FPCI_BAR2_0_FPCI_BAR2_ACCESS_TYPE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_BAR2_0_FPCI_BAR2_ACCESS_TYPE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register XUSB_DEV_FPCI_BAR3_0
#define XUSB_DEV_FPCI_BAR3_0                    _MK_ADDR_CONST(0x8c)
#define XUSB_DEV_FPCI_BAR3_0_SECURE                     0x0
#define XUSB_DEV_FPCI_BAR3_0_SCR                        0
#define XUSB_DEV_FPCI_BAR3_0_WORD_COUNT                         0x1
#define XUSB_DEV_FPCI_BAR3_0_RESET_VAL                  _MK_MASK_CONST(0x1)
#define XUSB_DEV_FPCI_BAR3_0_RESET_MASK                         _MK_MASK_CONST(0xfffffff1)
#define XUSB_DEV_FPCI_BAR3_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_BAR3_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_BAR3_0_READ_MASK                  _MK_MASK_CONST(0xfffffff1)
#define XUSB_DEV_FPCI_BAR3_0_WRITE_MASK                         _MK_MASK_CONST(0xfffffff1)
#define XUSB_DEV_FPCI_BAR3_0_FPCI_BAR3_START_SHIFT                      _MK_SHIFT_CONST(4)
#define XUSB_DEV_FPCI_BAR3_0_FPCI_BAR3_START_FIELD                      _MK_FIELD_CONST(0xfffffff, XUSB_DEV_FPCI_BAR3_0_FPCI_BAR3_START_SHIFT)
#define XUSB_DEV_FPCI_BAR3_0_FPCI_BAR3_START_RANGE                      31:4
#define XUSB_DEV_FPCI_BAR3_0_FPCI_BAR3_START_WOFFSET                    0x0
#define XUSB_DEV_FPCI_BAR3_0_FPCI_BAR3_START_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_BAR3_0_FPCI_BAR3_START_DEFAULT_MASK                       _MK_MASK_CONST(0xfffffff)
#define XUSB_DEV_FPCI_BAR3_0_FPCI_BAR3_START_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_BAR3_0_FPCI_BAR3_START_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)

#define XUSB_DEV_FPCI_BAR3_0_FPCI_BAR3_ACCESS_TYPE_SHIFT                        _MK_SHIFT_CONST(0)
#define XUSB_DEV_FPCI_BAR3_0_FPCI_BAR3_ACCESS_TYPE_FIELD                        _MK_FIELD_CONST(0x1, XUSB_DEV_FPCI_BAR3_0_FPCI_BAR3_ACCESS_TYPE_SHIFT)
#define XUSB_DEV_FPCI_BAR3_0_FPCI_BAR3_ACCESS_TYPE_RANGE                        0:0
#define XUSB_DEV_FPCI_BAR3_0_FPCI_BAR3_ACCESS_TYPE_WOFFSET                      0x0
#define XUSB_DEV_FPCI_BAR3_0_FPCI_BAR3_ACCESS_TYPE_DEFAULT                      _MK_MASK_CONST(0x1)
#define XUSB_DEV_FPCI_BAR3_0_FPCI_BAR3_ACCESS_TYPE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define XUSB_DEV_FPCI_BAR3_0_FPCI_BAR3_ACCESS_TYPE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_BAR3_0_FPCI_BAR3_ACCESS_TYPE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Reserved address 144 [0x90]

// Reserved address 148 [0x94]

// Reserved address 152 [0x98]

// Reserved address 156 [0x9c]

// Reserved address 160 [0xa0]

// Reserved address 164 [0xa4]

// Reserved address 168 [0xa8]

// Reserved address 172 [0xac]

// Reserved address 176 [0xb0]

// Reserved address 180 [0xb4]

// Reserved address 184 [0xb8]

// Reserved address 188 [0xbc]

// Register XUSB_DEV_MSI_BAR_SZ_0
#define XUSB_DEV_MSI_BAR_SZ_0                   _MK_ADDR_CONST(0xc0)
#define XUSB_DEV_MSI_BAR_SZ_0_SECURE                    0x0
#define XUSB_DEV_MSI_BAR_SZ_0_SCR                       0
#define XUSB_DEV_MSI_BAR_SZ_0_WORD_COUNT                        0x1
#define XUSB_DEV_MSI_BAR_SZ_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_BAR_SZ_0_RESET_MASK                        _MK_MASK_CONST(0xfffff)
#define XUSB_DEV_MSI_BAR_SZ_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_BAR_SZ_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_BAR_SZ_0_READ_MASK                         _MK_MASK_CONST(0xfffff)
#define XUSB_DEV_MSI_BAR_SZ_0_WRITE_MASK                        _MK_MASK_CONST(0xfffff)
#define XUSB_DEV_MSI_BAR_SZ_0_MSI_BAR_SIZE_SHIFT                        _MK_SHIFT_CONST(0)
#define XUSB_DEV_MSI_BAR_SZ_0_MSI_BAR_SIZE_FIELD                        _MK_FIELD_CONST(0xfffff, XUSB_DEV_MSI_BAR_SZ_0_MSI_BAR_SIZE_SHIFT)
#define XUSB_DEV_MSI_BAR_SZ_0_MSI_BAR_SIZE_RANGE                        19:0
#define XUSB_DEV_MSI_BAR_SZ_0_MSI_BAR_SIZE_WOFFSET                      0x0
#define XUSB_DEV_MSI_BAR_SZ_0_MSI_BAR_SIZE_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_BAR_SZ_0_MSI_BAR_SIZE_DEFAULT_MASK                 _MK_MASK_CONST(0xfffff)
#define XUSB_DEV_MSI_BAR_SZ_0_MSI_BAR_SIZE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_BAR_SZ_0_MSI_BAR_SIZE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register XUSB_DEV_MSI_AXI_BAR_ST_0
#define XUSB_DEV_MSI_AXI_BAR_ST_0                       _MK_ADDR_CONST(0xc4)
#define XUSB_DEV_MSI_AXI_BAR_ST_0_SECURE                        0x0
#define XUSB_DEV_MSI_AXI_BAR_ST_0_SCR                   0
#define XUSB_DEV_MSI_AXI_BAR_ST_0_WORD_COUNT                    0x1
#define XUSB_DEV_MSI_AXI_BAR_ST_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_AXI_BAR_ST_0_RESET_MASK                    _MK_MASK_CONST(0xfffff000)
#define XUSB_DEV_MSI_AXI_BAR_ST_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_AXI_BAR_ST_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_AXI_BAR_ST_0_READ_MASK                     _MK_MASK_CONST(0xfffff000)
#define XUSB_DEV_MSI_AXI_BAR_ST_0_WRITE_MASK                    _MK_MASK_CONST(0xfffff000)
#define XUSB_DEV_MSI_AXI_BAR_ST_0_MSI_AXI_BAR_START_SHIFT                       _MK_SHIFT_CONST(12)
#define XUSB_DEV_MSI_AXI_BAR_ST_0_MSI_AXI_BAR_START_FIELD                       _MK_FIELD_CONST(0xfffff, XUSB_DEV_MSI_AXI_BAR_ST_0_MSI_AXI_BAR_START_SHIFT)
#define XUSB_DEV_MSI_AXI_BAR_ST_0_MSI_AXI_BAR_START_RANGE                       31:12
#define XUSB_DEV_MSI_AXI_BAR_ST_0_MSI_AXI_BAR_START_WOFFSET                     0x0
#define XUSB_DEV_MSI_AXI_BAR_ST_0_MSI_AXI_BAR_START_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_AXI_BAR_ST_0_MSI_AXI_BAR_START_DEFAULT_MASK                        _MK_MASK_CONST(0xfffff)
#define XUSB_DEV_MSI_AXI_BAR_ST_0_MSI_AXI_BAR_START_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_AXI_BAR_ST_0_MSI_AXI_BAR_START_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)


// Register XUSB_DEV_MSI_FPCI_BAR_ST_0
#define XUSB_DEV_MSI_FPCI_BAR_ST_0                      _MK_ADDR_CONST(0xc8)
#define XUSB_DEV_MSI_FPCI_BAR_ST_0_SECURE                       0x0
#define XUSB_DEV_MSI_FPCI_BAR_ST_0_SCR                  0
#define XUSB_DEV_MSI_FPCI_BAR_ST_0_WORD_COUNT                   0x1
#define XUSB_DEV_MSI_FPCI_BAR_ST_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_FPCI_BAR_ST_0_RESET_MASK                   _MK_MASK_CONST(0xfffffff0)
#define XUSB_DEV_MSI_FPCI_BAR_ST_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_FPCI_BAR_ST_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_FPCI_BAR_ST_0_READ_MASK                    _MK_MASK_CONST(0xfffffff0)
#define XUSB_DEV_MSI_FPCI_BAR_ST_0_WRITE_MASK                   _MK_MASK_CONST(0xfffffff0)
#define XUSB_DEV_MSI_FPCI_BAR_ST_0_MSI_FPCI_BAR_START_SHIFT                     _MK_SHIFT_CONST(4)
#define XUSB_DEV_MSI_FPCI_BAR_ST_0_MSI_FPCI_BAR_START_FIELD                     _MK_FIELD_CONST(0xfffffff, XUSB_DEV_MSI_FPCI_BAR_ST_0_MSI_FPCI_BAR_START_SHIFT)
#define XUSB_DEV_MSI_FPCI_BAR_ST_0_MSI_FPCI_BAR_START_RANGE                     31:4
#define XUSB_DEV_MSI_FPCI_BAR_ST_0_MSI_FPCI_BAR_START_WOFFSET                   0x0
#define XUSB_DEV_MSI_FPCI_BAR_ST_0_MSI_FPCI_BAR_START_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_FPCI_BAR_ST_0_MSI_FPCI_BAR_START_DEFAULT_MASK                      _MK_MASK_CONST(0xfffffff)
#define XUSB_DEV_MSI_FPCI_BAR_ST_0_MSI_FPCI_BAR_START_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_FPCI_BAR_ST_0_MSI_FPCI_BAR_START_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)


// Reserved address 204 [0xcc]

// Reserved address 208 [0xd0]

// Reserved address 212 [0xd4]

// Reserved address 216 [0xd8]

// Reserved address 220 [0xdc]

// Reserved address 224 [0xe0]

// Reserved address 228 [0xe4]

// Reserved address 232 [0xe8]

// Reserved address 236 [0xec]

// Reserved address 240 [0xf0]

// Reserved address 244 [0xf4]

// Reserved address 248 [0xf8]

// Reserved address 252 [0xfc]

// Register XUSB_DEV_MSI_VEC0_0
#define XUSB_DEV_MSI_VEC0_0                     _MK_ADDR_CONST(0x100)
#define XUSB_DEV_MSI_VEC0_0_SECURE                      0x0
#define XUSB_DEV_MSI_VEC0_0_SCR                         0
#define XUSB_DEV_MSI_VEC0_0_WORD_COUNT                  0x1
#define XUSB_DEV_MSI_VEC0_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC0_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC0_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC0_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC0_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC0_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC0_0_MSI_VECTOR0_SHIFT                   _MK_SHIFT_CONST(0)
#define XUSB_DEV_MSI_VEC0_0_MSI_VECTOR0_FIELD                   _MK_FIELD_CONST(0xffffffff, XUSB_DEV_MSI_VEC0_0_MSI_VECTOR0_SHIFT)
#define XUSB_DEV_MSI_VEC0_0_MSI_VECTOR0_RANGE                   31:0
#define XUSB_DEV_MSI_VEC0_0_MSI_VECTOR0_WOFFSET                 0x0
#define XUSB_DEV_MSI_VEC0_0_MSI_VECTOR0_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC0_0_MSI_VECTOR0_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC0_0_MSI_VECTOR0_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC0_0_MSI_VECTOR0_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)


// Register XUSB_DEV_MSI_VEC1_0
#define XUSB_DEV_MSI_VEC1_0                     _MK_ADDR_CONST(0x104)
#define XUSB_DEV_MSI_VEC1_0_SECURE                      0x0
#define XUSB_DEV_MSI_VEC1_0_SCR                         0
#define XUSB_DEV_MSI_VEC1_0_WORD_COUNT                  0x1
#define XUSB_DEV_MSI_VEC1_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC1_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC1_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC1_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC1_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC1_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC1_0_MSI_VECTOR1_SHIFT                   _MK_SHIFT_CONST(0)
#define XUSB_DEV_MSI_VEC1_0_MSI_VECTOR1_FIELD                   _MK_FIELD_CONST(0xffffffff, XUSB_DEV_MSI_VEC1_0_MSI_VECTOR1_SHIFT)
#define XUSB_DEV_MSI_VEC1_0_MSI_VECTOR1_RANGE                   31:0
#define XUSB_DEV_MSI_VEC1_0_MSI_VECTOR1_WOFFSET                 0x0
#define XUSB_DEV_MSI_VEC1_0_MSI_VECTOR1_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC1_0_MSI_VECTOR1_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC1_0_MSI_VECTOR1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC1_0_MSI_VECTOR1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)


// Register XUSB_DEV_MSI_VEC2_0
#define XUSB_DEV_MSI_VEC2_0                     _MK_ADDR_CONST(0x108)
#define XUSB_DEV_MSI_VEC2_0_SECURE                      0x0
#define XUSB_DEV_MSI_VEC2_0_SCR                         0
#define XUSB_DEV_MSI_VEC2_0_WORD_COUNT                  0x1
#define XUSB_DEV_MSI_VEC2_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC2_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC2_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC2_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC2_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC2_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC2_0_MSI_VECTOR2_SHIFT                   _MK_SHIFT_CONST(0)
#define XUSB_DEV_MSI_VEC2_0_MSI_VECTOR2_FIELD                   _MK_FIELD_CONST(0xffffffff, XUSB_DEV_MSI_VEC2_0_MSI_VECTOR2_SHIFT)
#define XUSB_DEV_MSI_VEC2_0_MSI_VECTOR2_RANGE                   31:0
#define XUSB_DEV_MSI_VEC2_0_MSI_VECTOR2_WOFFSET                 0x0
#define XUSB_DEV_MSI_VEC2_0_MSI_VECTOR2_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC2_0_MSI_VECTOR2_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC2_0_MSI_VECTOR2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC2_0_MSI_VECTOR2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)


// Register XUSB_DEV_MSI_VEC3_0
#define XUSB_DEV_MSI_VEC3_0                     _MK_ADDR_CONST(0x10c)
#define XUSB_DEV_MSI_VEC3_0_SECURE                      0x0
#define XUSB_DEV_MSI_VEC3_0_SCR                         0
#define XUSB_DEV_MSI_VEC3_0_WORD_COUNT                  0x1
#define XUSB_DEV_MSI_VEC3_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC3_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC3_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC3_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC3_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC3_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC3_0_MSI_VECTOR3_SHIFT                   _MK_SHIFT_CONST(0)
#define XUSB_DEV_MSI_VEC3_0_MSI_VECTOR3_FIELD                   _MK_FIELD_CONST(0xffffffff, XUSB_DEV_MSI_VEC3_0_MSI_VECTOR3_SHIFT)
#define XUSB_DEV_MSI_VEC3_0_MSI_VECTOR3_RANGE                   31:0
#define XUSB_DEV_MSI_VEC3_0_MSI_VECTOR3_WOFFSET                 0x0
#define XUSB_DEV_MSI_VEC3_0_MSI_VECTOR3_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC3_0_MSI_VECTOR3_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC3_0_MSI_VECTOR3_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC3_0_MSI_VECTOR3_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)


// Register XUSB_DEV_MSI_VEC4_0
#define XUSB_DEV_MSI_VEC4_0                     _MK_ADDR_CONST(0x110)
#define XUSB_DEV_MSI_VEC4_0_SECURE                      0x0
#define XUSB_DEV_MSI_VEC4_0_SCR                         0
#define XUSB_DEV_MSI_VEC4_0_WORD_COUNT                  0x1
#define XUSB_DEV_MSI_VEC4_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC4_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC4_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC4_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC4_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC4_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC4_0_MSI_VECTOR4_SHIFT                   _MK_SHIFT_CONST(0)
#define XUSB_DEV_MSI_VEC4_0_MSI_VECTOR4_FIELD                   _MK_FIELD_CONST(0xffffffff, XUSB_DEV_MSI_VEC4_0_MSI_VECTOR4_SHIFT)
#define XUSB_DEV_MSI_VEC4_0_MSI_VECTOR4_RANGE                   31:0
#define XUSB_DEV_MSI_VEC4_0_MSI_VECTOR4_WOFFSET                 0x0
#define XUSB_DEV_MSI_VEC4_0_MSI_VECTOR4_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC4_0_MSI_VECTOR4_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC4_0_MSI_VECTOR4_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC4_0_MSI_VECTOR4_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)


// Register XUSB_DEV_MSI_VEC5_0
#define XUSB_DEV_MSI_VEC5_0                     _MK_ADDR_CONST(0x114)
#define XUSB_DEV_MSI_VEC5_0_SECURE                      0x0
#define XUSB_DEV_MSI_VEC5_0_SCR                         0
#define XUSB_DEV_MSI_VEC5_0_WORD_COUNT                  0x1
#define XUSB_DEV_MSI_VEC5_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC5_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC5_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC5_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC5_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC5_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC5_0_MSI_VECTOR5_SHIFT                   _MK_SHIFT_CONST(0)
#define XUSB_DEV_MSI_VEC5_0_MSI_VECTOR5_FIELD                   _MK_FIELD_CONST(0xffffffff, XUSB_DEV_MSI_VEC5_0_MSI_VECTOR5_SHIFT)
#define XUSB_DEV_MSI_VEC5_0_MSI_VECTOR5_RANGE                   31:0
#define XUSB_DEV_MSI_VEC5_0_MSI_VECTOR5_WOFFSET                 0x0
#define XUSB_DEV_MSI_VEC5_0_MSI_VECTOR5_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC5_0_MSI_VECTOR5_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC5_0_MSI_VECTOR5_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC5_0_MSI_VECTOR5_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)


// Register XUSB_DEV_MSI_VEC6_0
#define XUSB_DEV_MSI_VEC6_0                     _MK_ADDR_CONST(0x118)
#define XUSB_DEV_MSI_VEC6_0_SECURE                      0x0
#define XUSB_DEV_MSI_VEC6_0_SCR                         0
#define XUSB_DEV_MSI_VEC6_0_WORD_COUNT                  0x1
#define XUSB_DEV_MSI_VEC6_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC6_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC6_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC6_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC6_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC6_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC6_0_MSI_VECTOR6_SHIFT                   _MK_SHIFT_CONST(0)
#define XUSB_DEV_MSI_VEC6_0_MSI_VECTOR6_FIELD                   _MK_FIELD_CONST(0xffffffff, XUSB_DEV_MSI_VEC6_0_MSI_VECTOR6_SHIFT)
#define XUSB_DEV_MSI_VEC6_0_MSI_VECTOR6_RANGE                   31:0
#define XUSB_DEV_MSI_VEC6_0_MSI_VECTOR6_WOFFSET                 0x0
#define XUSB_DEV_MSI_VEC6_0_MSI_VECTOR6_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC6_0_MSI_VECTOR6_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC6_0_MSI_VECTOR6_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC6_0_MSI_VECTOR6_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)


// Register XUSB_DEV_MSI_VEC7_0
#define XUSB_DEV_MSI_VEC7_0                     _MK_ADDR_CONST(0x11c)
#define XUSB_DEV_MSI_VEC7_0_SECURE                      0x0
#define XUSB_DEV_MSI_VEC7_0_SCR                         0
#define XUSB_DEV_MSI_VEC7_0_WORD_COUNT                  0x1
#define XUSB_DEV_MSI_VEC7_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC7_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC7_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC7_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC7_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC7_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC7_0_MSI_VECTOR7_SHIFT                   _MK_SHIFT_CONST(0)
#define XUSB_DEV_MSI_VEC7_0_MSI_VECTOR7_FIELD                   _MK_FIELD_CONST(0xffffffff, XUSB_DEV_MSI_VEC7_0_MSI_VECTOR7_SHIFT)
#define XUSB_DEV_MSI_VEC7_0_MSI_VECTOR7_RANGE                   31:0
#define XUSB_DEV_MSI_VEC7_0_MSI_VECTOR7_WOFFSET                 0x0
#define XUSB_DEV_MSI_VEC7_0_MSI_VECTOR7_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC7_0_MSI_VECTOR7_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_VEC7_0_MSI_VECTOR7_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_VEC7_0_MSI_VECTOR7_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)


// Reserved address 288 [0x120]

// Reserved address 292 [0x124]

// Reserved address 296 [0x128]

// Reserved address 300 [0x12c]

// Reserved address 304 [0x130]

// Reserved address 308 [0x134]

// Reserved address 312 [0x138]

// Reserved address 316 [0x13c]

// Register XUSB_DEV_MSI_EN_VEC0_0
#define XUSB_DEV_MSI_EN_VEC0_0                  _MK_ADDR_CONST(0x140)
#define XUSB_DEV_MSI_EN_VEC0_0_SECURE                   0x0
#define XUSB_DEV_MSI_EN_VEC0_0_SCR                      0
#define XUSB_DEV_MSI_EN_VEC0_0_WORD_COUNT                       0x1
#define XUSB_DEV_MSI_EN_VEC0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC0_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC0_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC0_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC0_0_MSI_ENABLE_VECTOR0_SHIFT                 _MK_SHIFT_CONST(0)
#define XUSB_DEV_MSI_EN_VEC0_0_MSI_ENABLE_VECTOR0_FIELD                 _MK_FIELD_CONST(0xffffffff, XUSB_DEV_MSI_EN_VEC0_0_MSI_ENABLE_VECTOR0_SHIFT)
#define XUSB_DEV_MSI_EN_VEC0_0_MSI_ENABLE_VECTOR0_RANGE                 31:0
#define XUSB_DEV_MSI_EN_VEC0_0_MSI_ENABLE_VECTOR0_WOFFSET                       0x0
#define XUSB_DEV_MSI_EN_VEC0_0_MSI_ENABLE_VECTOR0_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC0_0_MSI_ENABLE_VECTOR0_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC0_0_MSI_ENABLE_VECTOR0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC0_0_MSI_ENABLE_VECTOR0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)


// Register XUSB_DEV_MSI_EN_VEC1_0
#define XUSB_DEV_MSI_EN_VEC1_0                  _MK_ADDR_CONST(0x144)
#define XUSB_DEV_MSI_EN_VEC1_0_SECURE                   0x0
#define XUSB_DEV_MSI_EN_VEC1_0_SCR                      0
#define XUSB_DEV_MSI_EN_VEC1_0_WORD_COUNT                       0x1
#define XUSB_DEV_MSI_EN_VEC1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC1_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC1_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC1_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC1_0_MSI_ENABLE_VECTOR1_SHIFT                 _MK_SHIFT_CONST(0)
#define XUSB_DEV_MSI_EN_VEC1_0_MSI_ENABLE_VECTOR1_FIELD                 _MK_FIELD_CONST(0xffffffff, XUSB_DEV_MSI_EN_VEC1_0_MSI_ENABLE_VECTOR1_SHIFT)
#define XUSB_DEV_MSI_EN_VEC1_0_MSI_ENABLE_VECTOR1_RANGE                 31:0
#define XUSB_DEV_MSI_EN_VEC1_0_MSI_ENABLE_VECTOR1_WOFFSET                       0x0
#define XUSB_DEV_MSI_EN_VEC1_0_MSI_ENABLE_VECTOR1_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC1_0_MSI_ENABLE_VECTOR1_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC1_0_MSI_ENABLE_VECTOR1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC1_0_MSI_ENABLE_VECTOR1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)


// Register XUSB_DEV_MSI_EN_VEC2_0
#define XUSB_DEV_MSI_EN_VEC2_0                  _MK_ADDR_CONST(0x148)
#define XUSB_DEV_MSI_EN_VEC2_0_SECURE                   0x0
#define XUSB_DEV_MSI_EN_VEC2_0_SCR                      0
#define XUSB_DEV_MSI_EN_VEC2_0_WORD_COUNT                       0x1
#define XUSB_DEV_MSI_EN_VEC2_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC2_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC2_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC2_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC2_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC2_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC2_0_MSI_ENABLE_VECTOR2_SHIFT                 _MK_SHIFT_CONST(0)
#define XUSB_DEV_MSI_EN_VEC2_0_MSI_ENABLE_VECTOR2_FIELD                 _MK_FIELD_CONST(0xffffffff, XUSB_DEV_MSI_EN_VEC2_0_MSI_ENABLE_VECTOR2_SHIFT)
#define XUSB_DEV_MSI_EN_VEC2_0_MSI_ENABLE_VECTOR2_RANGE                 31:0
#define XUSB_DEV_MSI_EN_VEC2_0_MSI_ENABLE_VECTOR2_WOFFSET                       0x0
#define XUSB_DEV_MSI_EN_VEC2_0_MSI_ENABLE_VECTOR2_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC2_0_MSI_ENABLE_VECTOR2_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC2_0_MSI_ENABLE_VECTOR2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC2_0_MSI_ENABLE_VECTOR2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)


// Register XUSB_DEV_MSI_EN_VEC3_0
#define XUSB_DEV_MSI_EN_VEC3_0                  _MK_ADDR_CONST(0x14c)
#define XUSB_DEV_MSI_EN_VEC3_0_SECURE                   0x0
#define XUSB_DEV_MSI_EN_VEC3_0_SCR                      0
#define XUSB_DEV_MSI_EN_VEC3_0_WORD_COUNT                       0x1
#define XUSB_DEV_MSI_EN_VEC3_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC3_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC3_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC3_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC3_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC3_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC3_0_MSI_ENABLE_VECTOR3_SHIFT                 _MK_SHIFT_CONST(0)
#define XUSB_DEV_MSI_EN_VEC3_0_MSI_ENABLE_VECTOR3_FIELD                 _MK_FIELD_CONST(0xffffffff, XUSB_DEV_MSI_EN_VEC3_0_MSI_ENABLE_VECTOR3_SHIFT)
#define XUSB_DEV_MSI_EN_VEC3_0_MSI_ENABLE_VECTOR3_RANGE                 31:0
#define XUSB_DEV_MSI_EN_VEC3_0_MSI_ENABLE_VECTOR3_WOFFSET                       0x0
#define XUSB_DEV_MSI_EN_VEC3_0_MSI_ENABLE_VECTOR3_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC3_0_MSI_ENABLE_VECTOR3_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC3_0_MSI_ENABLE_VECTOR3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC3_0_MSI_ENABLE_VECTOR3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)


// Register XUSB_DEV_MSI_EN_VEC4_0
#define XUSB_DEV_MSI_EN_VEC4_0                  _MK_ADDR_CONST(0x150)
#define XUSB_DEV_MSI_EN_VEC4_0_SECURE                   0x0
#define XUSB_DEV_MSI_EN_VEC4_0_SCR                      0
#define XUSB_DEV_MSI_EN_VEC4_0_WORD_COUNT                       0x1
#define XUSB_DEV_MSI_EN_VEC4_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC4_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC4_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC4_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC4_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC4_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC4_0_MSI_ENABLE_VECTOR4_SHIFT                 _MK_SHIFT_CONST(0)
#define XUSB_DEV_MSI_EN_VEC4_0_MSI_ENABLE_VECTOR4_FIELD                 _MK_FIELD_CONST(0xffffffff, XUSB_DEV_MSI_EN_VEC4_0_MSI_ENABLE_VECTOR4_SHIFT)
#define XUSB_DEV_MSI_EN_VEC4_0_MSI_ENABLE_VECTOR4_RANGE                 31:0
#define XUSB_DEV_MSI_EN_VEC4_0_MSI_ENABLE_VECTOR4_WOFFSET                       0x0
#define XUSB_DEV_MSI_EN_VEC4_0_MSI_ENABLE_VECTOR4_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC4_0_MSI_ENABLE_VECTOR4_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC4_0_MSI_ENABLE_VECTOR4_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC4_0_MSI_ENABLE_VECTOR4_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)


// Register XUSB_DEV_MSI_EN_VEC5_0
#define XUSB_DEV_MSI_EN_VEC5_0                  _MK_ADDR_CONST(0x154)
#define XUSB_DEV_MSI_EN_VEC5_0_SECURE                   0x0
#define XUSB_DEV_MSI_EN_VEC5_0_SCR                      0
#define XUSB_DEV_MSI_EN_VEC5_0_WORD_COUNT                       0x1
#define XUSB_DEV_MSI_EN_VEC5_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC5_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC5_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC5_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC5_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC5_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC5_0_MSI_ENABLE_VECTOR5_SHIFT                 _MK_SHIFT_CONST(0)
#define XUSB_DEV_MSI_EN_VEC5_0_MSI_ENABLE_VECTOR5_FIELD                 _MK_FIELD_CONST(0xffffffff, XUSB_DEV_MSI_EN_VEC5_0_MSI_ENABLE_VECTOR5_SHIFT)
#define XUSB_DEV_MSI_EN_VEC5_0_MSI_ENABLE_VECTOR5_RANGE                 31:0
#define XUSB_DEV_MSI_EN_VEC5_0_MSI_ENABLE_VECTOR5_WOFFSET                       0x0
#define XUSB_DEV_MSI_EN_VEC5_0_MSI_ENABLE_VECTOR5_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC5_0_MSI_ENABLE_VECTOR5_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC5_0_MSI_ENABLE_VECTOR5_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC5_0_MSI_ENABLE_VECTOR5_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)


// Register XUSB_DEV_MSI_EN_VEC6_0
#define XUSB_DEV_MSI_EN_VEC6_0                  _MK_ADDR_CONST(0x158)
#define XUSB_DEV_MSI_EN_VEC6_0_SECURE                   0x0
#define XUSB_DEV_MSI_EN_VEC6_0_SCR                      0
#define XUSB_DEV_MSI_EN_VEC6_0_WORD_COUNT                       0x1
#define XUSB_DEV_MSI_EN_VEC6_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC6_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC6_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC6_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC6_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC6_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC6_0_MSI_ENABLE_VECTOR6_SHIFT                 _MK_SHIFT_CONST(0)
#define XUSB_DEV_MSI_EN_VEC6_0_MSI_ENABLE_VECTOR6_FIELD                 _MK_FIELD_CONST(0xffffffff, XUSB_DEV_MSI_EN_VEC6_0_MSI_ENABLE_VECTOR6_SHIFT)
#define XUSB_DEV_MSI_EN_VEC6_0_MSI_ENABLE_VECTOR6_RANGE                 31:0
#define XUSB_DEV_MSI_EN_VEC6_0_MSI_ENABLE_VECTOR6_WOFFSET                       0x0
#define XUSB_DEV_MSI_EN_VEC6_0_MSI_ENABLE_VECTOR6_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC6_0_MSI_ENABLE_VECTOR6_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC6_0_MSI_ENABLE_VECTOR6_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC6_0_MSI_ENABLE_VECTOR6_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)


// Register XUSB_DEV_MSI_EN_VEC7_0
#define XUSB_DEV_MSI_EN_VEC7_0                  _MK_ADDR_CONST(0x15c)
#define XUSB_DEV_MSI_EN_VEC7_0_SECURE                   0x0
#define XUSB_DEV_MSI_EN_VEC7_0_SCR                      0
#define XUSB_DEV_MSI_EN_VEC7_0_WORD_COUNT                       0x1
#define XUSB_DEV_MSI_EN_VEC7_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC7_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC7_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC7_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC7_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC7_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC7_0_MSI_ENABLE_VECTOR7_SHIFT                 _MK_SHIFT_CONST(0)
#define XUSB_DEV_MSI_EN_VEC7_0_MSI_ENABLE_VECTOR7_FIELD                 _MK_FIELD_CONST(0xffffffff, XUSB_DEV_MSI_EN_VEC7_0_MSI_ENABLE_VECTOR7_SHIFT)
#define XUSB_DEV_MSI_EN_VEC7_0_MSI_ENABLE_VECTOR7_RANGE                 31:0
#define XUSB_DEV_MSI_EN_VEC7_0_MSI_ENABLE_VECTOR7_WOFFSET                       0x0
#define XUSB_DEV_MSI_EN_VEC7_0_MSI_ENABLE_VECTOR7_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC7_0_MSI_ENABLE_VECTOR7_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_MSI_EN_VEC7_0_MSI_ENABLE_VECTOR7_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_MSI_EN_VEC7_0_MSI_ENABLE_VECTOR7_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)


// Reserved address 352 [0x160]

// Reserved address 356 [0x164]

// Reserved address 360 [0x168]

// Reserved address 364 [0x16c]

// Reserved address 368 [0x170]

// Reserved address 372 [0x174]

// Reserved address 376 [0x178]

// Reserved address 380 [0x17c]

// Register XUSB_DEV_CONFIGURATION_0
#define XUSB_DEV_CONFIGURATION_0                        _MK_ADDR_CONST(0x180)
#define XUSB_DEV_CONFIGURATION_0_SECURE                         0x0
#define XUSB_DEV_CONFIGURATION_0_SCR                    0
#define XUSB_DEV_CONFIGURATION_0_WORD_COUNT                     0x1
#define XUSB_DEV_CONFIGURATION_0_RESET_VAL                      _MK_MASK_CONST(0x800e8e40)
#define XUSB_DEV_CONFIGURATION_0_RESET_MASK                     _MK_MASK_CONST(0x800eceff)
#define XUSB_DEV_CONFIGURATION_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define XUSB_DEV_CONFIGURATION_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_CONFIGURATION_0_READ_MASK                      _MK_MASK_CONST(0x800eceff)
#define XUSB_DEV_CONFIGURATION_0_WRITE_MASK                     _MK_MASK_CONST(0x8008c0ff)
#define XUSB_DEV_CONFIGURATION_0_EN_FPCI_SHIFT                  _MK_SHIFT_CONST(0)
#define XUSB_DEV_CONFIGURATION_0_EN_FPCI_FIELD                  _MK_FIELD_CONST(0x1, XUSB_DEV_CONFIGURATION_0_EN_FPCI_SHIFT)
#define XUSB_DEV_CONFIGURATION_0_EN_FPCI_RANGE                  0:0
#define XUSB_DEV_CONFIGURATION_0_EN_FPCI_WOFFSET                        0x0
#define XUSB_DEV_CONFIGURATION_0_EN_FPCI_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_CONFIGURATION_0_EN_FPCI_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define XUSB_DEV_CONFIGURATION_0_EN_FPCI_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_CONFIGURATION_0_EN_FPCI_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)

#define XUSB_DEV_CONFIGURATION_0_DFPCI_PASSPW_SHIFT                     _MK_SHIFT_CONST(1)
#define XUSB_DEV_CONFIGURATION_0_DFPCI_PASSPW_FIELD                     _MK_FIELD_CONST(0x1, XUSB_DEV_CONFIGURATION_0_DFPCI_PASSPW_SHIFT)
#define XUSB_DEV_CONFIGURATION_0_DFPCI_PASSPW_RANGE                     1:1
#define XUSB_DEV_CONFIGURATION_0_DFPCI_PASSPW_WOFFSET                   0x0
#define XUSB_DEV_CONFIGURATION_0_DFPCI_PASSPW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_CONFIGURATION_0_DFPCI_PASSPW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_DEV_CONFIGURATION_0_DFPCI_PASSPW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_CONFIGURATION_0_DFPCI_PASSPW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)

#define XUSB_DEV_CONFIGURATION_0_DFPCI_RSPPASSPW_SHIFT                  _MK_SHIFT_CONST(2)
#define XUSB_DEV_CONFIGURATION_0_DFPCI_RSPPASSPW_FIELD                  _MK_FIELD_CONST(0x1, XUSB_DEV_CONFIGURATION_0_DFPCI_RSPPASSPW_SHIFT)
#define XUSB_DEV_CONFIGURATION_0_DFPCI_RSPPASSPW_RANGE                  2:2
#define XUSB_DEV_CONFIGURATION_0_DFPCI_RSPPASSPW_WOFFSET                        0x0
#define XUSB_DEV_CONFIGURATION_0_DFPCI_RSPPASSPW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_CONFIGURATION_0_DFPCI_RSPPASSPW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define XUSB_DEV_CONFIGURATION_0_DFPCI_RSPPASSPW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_CONFIGURATION_0_DFPCI_RSPPASSPW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)

#define XUSB_DEV_CONFIGURATION_0_DFPCI_PWPASSNPW_SHIFT                  _MK_SHIFT_CONST(3)
#define XUSB_DEV_CONFIGURATION_0_DFPCI_PWPASSNPW_FIELD                  _MK_FIELD_CONST(0x1, XUSB_DEV_CONFIGURATION_0_DFPCI_PWPASSNPW_SHIFT)
#define XUSB_DEV_CONFIGURATION_0_DFPCI_PWPASSNPW_RANGE                  3:3
#define XUSB_DEV_CONFIGURATION_0_DFPCI_PWPASSNPW_WOFFSET                        0x0
#define XUSB_DEV_CONFIGURATION_0_DFPCI_PWPASSNPW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_CONFIGURATION_0_DFPCI_PWPASSNPW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define XUSB_DEV_CONFIGURATION_0_DFPCI_PWPASSNPW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_CONFIGURATION_0_DFPCI_PWPASSNPW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)

#define XUSB_DEV_CONFIGURATION_0_UFPCI_PWPASSNPW_SHIFT                  _MK_SHIFT_CONST(4)
#define XUSB_DEV_CONFIGURATION_0_UFPCI_PWPASSNPW_FIELD                  _MK_FIELD_CONST(0x1, XUSB_DEV_CONFIGURATION_0_UFPCI_PWPASSNPW_SHIFT)
#define XUSB_DEV_CONFIGURATION_0_UFPCI_PWPASSNPW_RANGE                  4:4
#define XUSB_DEV_CONFIGURATION_0_UFPCI_PWPASSNPW_WOFFSET                        0x0
#define XUSB_DEV_CONFIGURATION_0_UFPCI_PWPASSNPW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_CONFIGURATION_0_UFPCI_PWPASSNPW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define XUSB_DEV_CONFIGURATION_0_UFPCI_PWPASSNPW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_CONFIGURATION_0_UFPCI_PWPASSNPW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)

#define XUSB_DEV_CONFIGURATION_0_UFPCI_PASSPW_SHIFT                     _MK_SHIFT_CONST(5)
#define XUSB_DEV_CONFIGURATION_0_UFPCI_PASSPW_FIELD                     _MK_FIELD_CONST(0x1, XUSB_DEV_CONFIGURATION_0_UFPCI_PASSPW_SHIFT)
#define XUSB_DEV_CONFIGURATION_0_UFPCI_PASSPW_RANGE                     5:5
#define XUSB_DEV_CONFIGURATION_0_UFPCI_PASSPW_WOFFSET                   0x0
#define XUSB_DEV_CONFIGURATION_0_UFPCI_PASSPW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_CONFIGURATION_0_UFPCI_PASSPW_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_DEV_CONFIGURATION_0_UFPCI_PASSPW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_CONFIGURATION_0_UFPCI_PASSPW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)

#define XUSB_DEV_CONFIGURATION_0_UFPCI_PWPASSPW_SHIFT                   _MK_SHIFT_CONST(6)
#define XUSB_DEV_CONFIGURATION_0_UFPCI_PWPASSPW_FIELD                   _MK_FIELD_CONST(0x1, XUSB_DEV_CONFIGURATION_0_UFPCI_PWPASSPW_SHIFT)
#define XUSB_DEV_CONFIGURATION_0_UFPCI_PWPASSPW_RANGE                   6:6
#define XUSB_DEV_CONFIGURATION_0_UFPCI_PWPASSPW_WOFFSET                 0x0
#define XUSB_DEV_CONFIGURATION_0_UFPCI_PWPASSPW_DEFAULT                 _MK_MASK_CONST(0x1)
#define XUSB_DEV_CONFIGURATION_0_UFPCI_PWPASSPW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define XUSB_DEV_CONFIGURATION_0_UFPCI_PWPASSPW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_CONFIGURATION_0_UFPCI_PWPASSPW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)

#define XUSB_DEV_CONFIGURATION_0_UFPCI_MSIAW_SHIFT                      _MK_SHIFT_CONST(7)
#define XUSB_DEV_CONFIGURATION_0_UFPCI_MSIAW_FIELD                      _MK_FIELD_CONST(0x1, XUSB_DEV_CONFIGURATION_0_UFPCI_MSIAW_SHIFT)
#define XUSB_DEV_CONFIGURATION_0_UFPCI_MSIAW_RANGE                      7:7
#define XUSB_DEV_CONFIGURATION_0_UFPCI_MSIAW_WOFFSET                    0x0
#define XUSB_DEV_CONFIGURATION_0_UFPCI_MSIAW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_CONFIGURATION_0_UFPCI_MSIAW_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_DEV_CONFIGURATION_0_UFPCI_MSIAW_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_CONFIGURATION_0_UFPCI_MSIAW_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)

#define XUSB_DEV_CONFIGURATION_0_MSI_VEC_EMPTY_SHIFT                    _MK_SHIFT_CONST(9)
#define XUSB_DEV_CONFIGURATION_0_MSI_VEC_EMPTY_FIELD                    _MK_FIELD_CONST(0x1, XUSB_DEV_CONFIGURATION_0_MSI_VEC_EMPTY_SHIFT)
#define XUSB_DEV_CONFIGURATION_0_MSI_VEC_EMPTY_RANGE                    9:9
#define XUSB_DEV_CONFIGURATION_0_MSI_VEC_EMPTY_WOFFSET                  0x0
#define XUSB_DEV_CONFIGURATION_0_MSI_VEC_EMPTY_DEFAULT                  _MK_MASK_CONST(0x1)
#define XUSB_DEV_CONFIGURATION_0_MSI_VEC_EMPTY_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_DEV_CONFIGURATION_0_MSI_VEC_EMPTY_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_CONFIGURATION_0_MSI_VEC_EMPTY_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)

#define XUSB_DEV_CONFIGURATION_0_TARGET_WRITE_IDLE_SHIFT                        _MK_SHIFT_CONST(10)
#define XUSB_DEV_CONFIGURATION_0_TARGET_WRITE_IDLE_FIELD                        _MK_FIELD_CONST(0x1, XUSB_DEV_CONFIGURATION_0_TARGET_WRITE_IDLE_SHIFT)
#define XUSB_DEV_CONFIGURATION_0_TARGET_WRITE_IDLE_RANGE                        10:10
#define XUSB_DEV_CONFIGURATION_0_TARGET_WRITE_IDLE_WOFFSET                      0x0
#define XUSB_DEV_CONFIGURATION_0_TARGET_WRITE_IDLE_DEFAULT                      _MK_MASK_CONST(0x1)
#define XUSB_DEV_CONFIGURATION_0_TARGET_WRITE_IDLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define XUSB_DEV_CONFIGURATION_0_TARGET_WRITE_IDLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_CONFIGURATION_0_TARGET_WRITE_IDLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)

#define XUSB_DEV_CONFIGURATION_0_TARGET_READ_IDLE_SHIFT                 _MK_SHIFT_CONST(11)
#define XUSB_DEV_CONFIGURATION_0_TARGET_READ_IDLE_FIELD                 _MK_FIELD_CONST(0x1, XUSB_DEV_CONFIGURATION_0_TARGET_READ_IDLE_SHIFT)
#define XUSB_DEV_CONFIGURATION_0_TARGET_READ_IDLE_RANGE                 11:11
#define XUSB_DEV_CONFIGURATION_0_TARGET_READ_IDLE_WOFFSET                       0x0
#define XUSB_DEV_CONFIGURATION_0_TARGET_READ_IDLE_DEFAULT                       _MK_MASK_CONST(0x1)
#define XUSB_DEV_CONFIGURATION_0_TARGET_READ_IDLE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define XUSB_DEV_CONFIGURATION_0_TARGET_READ_IDLE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_CONFIGURATION_0_TARGET_READ_IDLE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)

#define XUSB_DEV_CONFIGURATION_0_WR_INTRLV_CYA_SHIFT                    _MK_SHIFT_CONST(14)
#define XUSB_DEV_CONFIGURATION_0_WR_INTRLV_CYA_FIELD                    _MK_FIELD_CONST(0x1, XUSB_DEV_CONFIGURATION_0_WR_INTRLV_CYA_SHIFT)
#define XUSB_DEV_CONFIGURATION_0_WR_INTRLV_CYA_RANGE                    14:14
#define XUSB_DEV_CONFIGURATION_0_WR_INTRLV_CYA_WOFFSET                  0x0
#define XUSB_DEV_CONFIGURATION_0_WR_INTRLV_CYA_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_CONFIGURATION_0_WR_INTRLV_CYA_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_DEV_CONFIGURATION_0_WR_INTRLV_CYA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_CONFIGURATION_0_WR_INTRLV_CYA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)

#define XUSB_DEV_CONFIGURATION_0_WDATA_LEAD_CYA_SHIFT                   _MK_SHIFT_CONST(15)
#define XUSB_DEV_CONFIGURATION_0_WDATA_LEAD_CYA_FIELD                   _MK_FIELD_CONST(0x1, XUSB_DEV_CONFIGURATION_0_WDATA_LEAD_CYA_SHIFT)
#define XUSB_DEV_CONFIGURATION_0_WDATA_LEAD_CYA_RANGE                   15:15
#define XUSB_DEV_CONFIGURATION_0_WDATA_LEAD_CYA_WOFFSET                 0x0
#define XUSB_DEV_CONFIGURATION_0_WDATA_LEAD_CYA_DEFAULT                 _MK_MASK_CONST(0x1)
#define XUSB_DEV_CONFIGURATION_0_WDATA_LEAD_CYA_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define XUSB_DEV_CONFIGURATION_0_WDATA_LEAD_CYA_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_CONFIGURATION_0_WDATA_LEAD_CYA_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)

#define XUSB_DEV_CONFIGURATION_0_INITIATOR_WRITE_IDLE_SHIFT                     _MK_SHIFT_CONST(17)
#define XUSB_DEV_CONFIGURATION_0_INITIATOR_WRITE_IDLE_FIELD                     _MK_FIELD_CONST(0x1, XUSB_DEV_CONFIGURATION_0_INITIATOR_WRITE_IDLE_SHIFT)
#define XUSB_DEV_CONFIGURATION_0_INITIATOR_WRITE_IDLE_RANGE                     17:17
#define XUSB_DEV_CONFIGURATION_0_INITIATOR_WRITE_IDLE_WOFFSET                   0x0
#define XUSB_DEV_CONFIGURATION_0_INITIATOR_WRITE_IDLE_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_DEV_CONFIGURATION_0_INITIATOR_WRITE_IDLE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_DEV_CONFIGURATION_0_INITIATOR_WRITE_IDLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_CONFIGURATION_0_INITIATOR_WRITE_IDLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)

#define XUSB_DEV_CONFIGURATION_0_INITIATOR_READ_IDLE_SHIFT                      _MK_SHIFT_CONST(18)
#define XUSB_DEV_CONFIGURATION_0_INITIATOR_READ_IDLE_FIELD                      _MK_FIELD_CONST(0x1, XUSB_DEV_CONFIGURATION_0_INITIATOR_READ_IDLE_SHIFT)
#define XUSB_DEV_CONFIGURATION_0_INITIATOR_READ_IDLE_RANGE                      18:18
#define XUSB_DEV_CONFIGURATION_0_INITIATOR_READ_IDLE_WOFFSET                    0x0
#define XUSB_DEV_CONFIGURATION_0_INITIATOR_READ_IDLE_DEFAULT                    _MK_MASK_CONST(0x1)
#define XUSB_DEV_CONFIGURATION_0_INITIATOR_READ_IDLE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_DEV_CONFIGURATION_0_INITIATOR_READ_IDLE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_CONFIGURATION_0_INITIATOR_READ_IDLE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)

#define XUSB_DEV_CONFIGURATION_0_PW_NO_DEVSEL_ERR_CYA_SHIFT                     _MK_SHIFT_CONST(19)
#define XUSB_DEV_CONFIGURATION_0_PW_NO_DEVSEL_ERR_CYA_FIELD                     _MK_FIELD_CONST(0x1, XUSB_DEV_CONFIGURATION_0_PW_NO_DEVSEL_ERR_CYA_SHIFT)
#define XUSB_DEV_CONFIGURATION_0_PW_NO_DEVSEL_ERR_CYA_RANGE                     19:19
#define XUSB_DEV_CONFIGURATION_0_PW_NO_DEVSEL_ERR_CYA_WOFFSET                   0x0
#define XUSB_DEV_CONFIGURATION_0_PW_NO_DEVSEL_ERR_CYA_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_DEV_CONFIGURATION_0_PW_NO_DEVSEL_ERR_CYA_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_DEV_CONFIGURATION_0_PW_NO_DEVSEL_ERR_CYA_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_CONFIGURATION_0_PW_NO_DEVSEL_ERR_CYA_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)

#define XUSB_DEV_CONFIGURATION_0_CLKEN_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(31)
#define XUSB_DEV_CONFIGURATION_0_CLKEN_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, XUSB_DEV_CONFIGURATION_0_CLKEN_OVERRIDE_SHIFT)
#define XUSB_DEV_CONFIGURATION_0_CLKEN_OVERRIDE_RANGE                   31:31
#define XUSB_DEV_CONFIGURATION_0_CLKEN_OVERRIDE_WOFFSET                 0x0
#define XUSB_DEV_CONFIGURATION_0_CLKEN_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x1)
#define XUSB_DEV_CONFIGURATION_0_CLKEN_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define XUSB_DEV_CONFIGURATION_0_CLKEN_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_CONFIGURATION_0_CLKEN_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)


// Register XUSB_DEV_FPCI_ERROR_MASKS_0
#define XUSB_DEV_FPCI_ERROR_MASKS_0                     _MK_ADDR_CONST(0x184)
#define XUSB_DEV_FPCI_ERROR_MASKS_0_SECURE                      0x0
#define XUSB_DEV_FPCI_ERROR_MASKS_0_SCR                         0
#define XUSB_DEV_FPCI_ERROR_MASKS_0_WORD_COUNT                  0x1
#define XUSB_DEV_FPCI_ERROR_MASKS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_ERROR_MASKS_0_RESET_MASK                  _MK_MASK_CONST(0x7)
#define XUSB_DEV_FPCI_ERROR_MASKS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_ERROR_MASKS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_ERROR_MASKS_0_READ_MASK                   _MK_MASK_CONST(0x7)
#define XUSB_DEV_FPCI_ERROR_MASKS_0_WRITE_MASK                  _MK_MASK_CONST(0x7)
#define XUSB_DEV_FPCI_ERROR_MASKS_0_MASK_FPCI_TARGET_ABORT_SHIFT                        _MK_SHIFT_CONST(0)
#define XUSB_DEV_FPCI_ERROR_MASKS_0_MASK_FPCI_TARGET_ABORT_FIELD                        _MK_FIELD_CONST(0x1, XUSB_DEV_FPCI_ERROR_MASKS_0_MASK_FPCI_TARGET_ABORT_SHIFT)
#define XUSB_DEV_FPCI_ERROR_MASKS_0_MASK_FPCI_TARGET_ABORT_RANGE                        0:0
#define XUSB_DEV_FPCI_ERROR_MASKS_0_MASK_FPCI_TARGET_ABORT_WOFFSET                      0x0
#define XUSB_DEV_FPCI_ERROR_MASKS_0_MASK_FPCI_TARGET_ABORT_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_ERROR_MASKS_0_MASK_FPCI_TARGET_ABORT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define XUSB_DEV_FPCI_ERROR_MASKS_0_MASK_FPCI_TARGET_ABORT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_ERROR_MASKS_0_MASK_FPCI_TARGET_ABORT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)

#define XUSB_DEV_FPCI_ERROR_MASKS_0_MASK_FPCI_DATA_ERROR_SHIFT                  _MK_SHIFT_CONST(1)
#define XUSB_DEV_FPCI_ERROR_MASKS_0_MASK_FPCI_DATA_ERROR_FIELD                  _MK_FIELD_CONST(0x1, XUSB_DEV_FPCI_ERROR_MASKS_0_MASK_FPCI_DATA_ERROR_SHIFT)
#define XUSB_DEV_FPCI_ERROR_MASKS_0_MASK_FPCI_DATA_ERROR_RANGE                  1:1
#define XUSB_DEV_FPCI_ERROR_MASKS_0_MASK_FPCI_DATA_ERROR_WOFFSET                        0x0
#define XUSB_DEV_FPCI_ERROR_MASKS_0_MASK_FPCI_DATA_ERROR_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_ERROR_MASKS_0_MASK_FPCI_DATA_ERROR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define XUSB_DEV_FPCI_ERROR_MASKS_0_MASK_FPCI_DATA_ERROR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_ERROR_MASKS_0_MASK_FPCI_DATA_ERROR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)

#define XUSB_DEV_FPCI_ERROR_MASKS_0_MASK_FPCI_MASTER_ABORT_SHIFT                        _MK_SHIFT_CONST(2)
#define XUSB_DEV_FPCI_ERROR_MASKS_0_MASK_FPCI_MASTER_ABORT_FIELD                        _MK_FIELD_CONST(0x1, XUSB_DEV_FPCI_ERROR_MASKS_0_MASK_FPCI_MASTER_ABORT_SHIFT)
#define XUSB_DEV_FPCI_ERROR_MASKS_0_MASK_FPCI_MASTER_ABORT_RANGE                        2:2
#define XUSB_DEV_FPCI_ERROR_MASKS_0_MASK_FPCI_MASTER_ABORT_WOFFSET                      0x0
#define XUSB_DEV_FPCI_ERROR_MASKS_0_MASK_FPCI_MASTER_ABORT_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_ERROR_MASKS_0_MASK_FPCI_MASTER_ABORT_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define XUSB_DEV_FPCI_ERROR_MASKS_0_MASK_FPCI_MASTER_ABORT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_ERROR_MASKS_0_MASK_FPCI_MASTER_ABORT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register XUSB_DEV_INTR_MASK_0
#define XUSB_DEV_INTR_MASK_0                    _MK_ADDR_CONST(0x188)
#define XUSB_DEV_INTR_MASK_0_SECURE                     0x0
#define XUSB_DEV_INTR_MASK_0_SCR                        0
#define XUSB_DEV_INTR_MASK_0_WORD_COUNT                         0x1
#define XUSB_DEV_INTR_MASK_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_MASK_0_RESET_MASK                         _MK_MASK_CONST(0x10101)
#define XUSB_DEV_INTR_MASK_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_MASK_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_MASK_0_READ_MASK                  _MK_MASK_CONST(0x10101)
#define XUSB_DEV_INTR_MASK_0_WRITE_MASK                         _MK_MASK_CONST(0x10101)
#define XUSB_DEV_INTR_MASK_0_INT_MASK_SHIFT                     _MK_SHIFT_CONST(0)
#define XUSB_DEV_INTR_MASK_0_INT_MASK_FIELD                     _MK_FIELD_CONST(0x1, XUSB_DEV_INTR_MASK_0_INT_MASK_SHIFT)
#define XUSB_DEV_INTR_MASK_0_INT_MASK_RANGE                     0:0
#define XUSB_DEV_INTR_MASK_0_INT_MASK_WOFFSET                   0x0
#define XUSB_DEV_INTR_MASK_0_INT_MASK_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_MASK_0_INT_MASK_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_DEV_INTR_MASK_0_INT_MASK_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_MASK_0_INT_MASK_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)

#define XUSB_DEV_INTR_MASK_0_MSI_MASK_SHIFT                     _MK_SHIFT_CONST(8)
#define XUSB_DEV_INTR_MASK_0_MSI_MASK_FIELD                     _MK_FIELD_CONST(0x1, XUSB_DEV_INTR_MASK_0_MSI_MASK_SHIFT)
#define XUSB_DEV_INTR_MASK_0_MSI_MASK_RANGE                     8:8
#define XUSB_DEV_INTR_MASK_0_MSI_MASK_WOFFSET                   0x0
#define XUSB_DEV_INTR_MASK_0_MSI_MASK_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_MASK_0_MSI_MASK_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_DEV_INTR_MASK_0_MSI_MASK_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_MASK_0_MSI_MASK_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)

#define XUSB_DEV_INTR_MASK_0_IP_INT_MASK_SHIFT                  _MK_SHIFT_CONST(16)
#define XUSB_DEV_INTR_MASK_0_IP_INT_MASK_FIELD                  _MK_FIELD_CONST(0x1, XUSB_DEV_INTR_MASK_0_IP_INT_MASK_SHIFT)
#define XUSB_DEV_INTR_MASK_0_IP_INT_MASK_RANGE                  16:16
#define XUSB_DEV_INTR_MASK_0_IP_INT_MASK_WOFFSET                        0x0
#define XUSB_DEV_INTR_MASK_0_IP_INT_MASK_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_MASK_0_IP_INT_MASK_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define XUSB_DEV_INTR_MASK_0_IP_INT_MASK_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_MASK_0_IP_INT_MASK_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register XUSB_DEV_INTR_CODE_0
#define XUSB_DEV_INTR_CODE_0                    _MK_ADDR_CONST(0x18c)
#define XUSB_DEV_INTR_CODE_0_SECURE                     0x0
#define XUSB_DEV_INTR_CODE_0_SCR                        0
#define XUSB_DEV_INTR_CODE_0_WORD_COUNT                         0x1
#define XUSB_DEV_INTR_CODE_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_CODE_0_RESET_MASK                         _MK_MASK_CONST(0x1f)
#define XUSB_DEV_INTR_CODE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_CODE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_CODE_0_READ_MASK                  _MK_MASK_CONST(0x1f)
#define XUSB_DEV_INTR_CODE_0_WRITE_MASK                         _MK_MASK_CONST(0x1f)
#define XUSB_DEV_INTR_CODE_0_INT_CODE_SHIFT                     _MK_SHIFT_CONST(0)
#define XUSB_DEV_INTR_CODE_0_INT_CODE_FIELD                     _MK_FIELD_CONST(0x1f, XUSB_DEV_INTR_CODE_0_INT_CODE_SHIFT)
#define XUSB_DEV_INTR_CODE_0_INT_CODE_RANGE                     4:0
#define XUSB_DEV_INTR_CODE_0_INT_CODE_WOFFSET                   0x0
#define XUSB_DEV_INTR_CODE_0_INT_CODE_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_CODE_0_INT_CODE_DEFAULT_MASK                      _MK_MASK_CONST(0x1f)
#define XUSB_DEV_INTR_CODE_0_INT_CODE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_CODE_0_INT_CODE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_CODE_0_INT_CODE_INT_CODE_CLEAR                    _MK_ENUM_CONST(0)
#define XUSB_DEV_INTR_CODE_0_INT_CODE_INT_CODE_INI_SLVERR                       _MK_ENUM_CONST(1)
#define XUSB_DEV_INTR_CODE_0_INT_CODE_INT_CODE_INI_DECERR                       _MK_ENUM_CONST(2)
#define XUSB_DEV_INTR_CODE_0_INT_CODE_INT_CODE_TGT_SLVERR                       _MK_ENUM_CONST(3)
#define XUSB_DEV_INTR_CODE_0_INT_CODE_INT_CODE_TGT_DECERR                       _MK_ENUM_CONST(4)
#define XUSB_DEV_INTR_CODE_0_INT_CODE_INT_CODE_TGT_WRERR                        _MK_ENUM_CONST(5)
#define XUSB_DEV_INTR_CODE_0_INT_CODE_RSVD1                     _MK_ENUM_CONST(6)
#define XUSB_DEV_INTR_CODE_0_INT_CODE_INT_CODE_DFPCI_DECERR                     _MK_ENUM_CONST(7)
#define XUSB_DEV_INTR_CODE_0_INT_CODE_INT_CODE_AXI_DECERR                       _MK_ENUM_CONST(8)
#define XUSB_DEV_INTR_CODE_0_INT_CODE_INT_CODE_FPCI_TIMEOUT                     _MK_ENUM_CONST(9)
#define XUSB_DEV_INTR_CODE_0_INT_CODE_RSVD2                     _MK_ENUM_CONST(10)
#define XUSB_DEV_INTR_CODE_0_INT_CODE_RSVD3                     _MK_ENUM_CONST(11)
#define XUSB_DEV_INTR_CODE_0_INT_CODE_RSVD4                     _MK_ENUM_CONST(12)
#define XUSB_DEV_INTR_CODE_0_INT_CODE_RSVD5                     _MK_ENUM_CONST(13)
#define XUSB_DEV_INTR_CODE_0_INT_CODE_RSVD6                     _MK_ENUM_CONST(14)
#define XUSB_DEV_INTR_CODE_0_INT_CODE_INT_CODE_SM_FATAL_ERROR                   _MK_ENUM_CONST(15)
#define XUSB_DEV_INTR_CODE_0_INT_CODE_INT_CODE_SM_NON_FATAL_ERROR                       _MK_ENUM_CONST(16)


// Register XUSB_DEV_INTR_SIGNATURE_0
#define XUSB_DEV_INTR_SIGNATURE_0                       _MK_ADDR_CONST(0x190)
#define XUSB_DEV_INTR_SIGNATURE_0_SECURE                        0x0
#define XUSB_DEV_INTR_SIGNATURE_0_SCR                   0
#define XUSB_DEV_INTR_SIGNATURE_0_WORD_COUNT                    0x1
#define XUSB_DEV_INTR_SIGNATURE_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_SIGNATURE_0_RESET_MASK                    _MK_MASK_CONST(0xfffffffd)
#define XUSB_DEV_INTR_SIGNATURE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_SIGNATURE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_SIGNATURE_0_READ_MASK                     _MK_MASK_CONST(0xfffffffd)
#define XUSB_DEV_INTR_SIGNATURE_0_WRITE_MASK                    _MK_MASK_CONST(0xfffffffd)
#define XUSB_DEV_INTR_SIGNATURE_0_DIR_SHIFT                     _MK_SHIFT_CONST(0)
#define XUSB_DEV_INTR_SIGNATURE_0_DIR_FIELD                     _MK_FIELD_CONST(0x1, XUSB_DEV_INTR_SIGNATURE_0_DIR_SHIFT)
#define XUSB_DEV_INTR_SIGNATURE_0_DIR_RANGE                     0:0
#define XUSB_DEV_INTR_SIGNATURE_0_DIR_WOFFSET                   0x0
#define XUSB_DEV_INTR_SIGNATURE_0_DIR_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_SIGNATURE_0_DIR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_DEV_INTR_SIGNATURE_0_DIR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_SIGNATURE_0_DIR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_SIGNATURE_0_DIR_WRITE                     _MK_ENUM_CONST(0)
#define XUSB_DEV_INTR_SIGNATURE_0_DIR_READ                      _MK_ENUM_CONST(1)

#define XUSB_DEV_INTR_SIGNATURE_0_INT_INFO_SHIFT                        _MK_SHIFT_CONST(2)
#define XUSB_DEV_INTR_SIGNATURE_0_INT_INFO_FIELD                        _MK_FIELD_CONST(0x3fffffff, XUSB_DEV_INTR_SIGNATURE_0_INT_INFO_SHIFT)
#define XUSB_DEV_INTR_SIGNATURE_0_INT_INFO_RANGE                        31:2
#define XUSB_DEV_INTR_SIGNATURE_0_INT_INFO_WOFFSET                      0x0
#define XUSB_DEV_INTR_SIGNATURE_0_INT_INFO_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_SIGNATURE_0_INT_INFO_DEFAULT_MASK                 _MK_MASK_CONST(0x3fffffff)
#define XUSB_DEV_INTR_SIGNATURE_0_INT_INFO_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_SIGNATURE_0_INT_INFO_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register XUSB_DEV_UPPER_FPCI_ADDR_0
#define XUSB_DEV_UPPER_FPCI_ADDR_0                      _MK_ADDR_CONST(0x194)
#define XUSB_DEV_UPPER_FPCI_ADDR_0_SECURE                       0x0
#define XUSB_DEV_UPPER_FPCI_ADDR_0_SCR                  0
#define XUSB_DEV_UPPER_FPCI_ADDR_0_WORD_COUNT                   0x1
#define XUSB_DEV_UPPER_FPCI_ADDR_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_UPPER_FPCI_ADDR_0_RESET_MASK                   _MK_MASK_CONST(0xff)
#define XUSB_DEV_UPPER_FPCI_ADDR_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_UPPER_FPCI_ADDR_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_UPPER_FPCI_ADDR_0_READ_MASK                    _MK_MASK_CONST(0xff)
#define XUSB_DEV_UPPER_FPCI_ADDR_0_WRITE_MASK                   _MK_MASK_CONST(0xff)
#define XUSB_DEV_UPPER_FPCI_ADDR_0_INT_INFO_UPPER_SHIFT                 _MK_SHIFT_CONST(0)
#define XUSB_DEV_UPPER_FPCI_ADDR_0_INT_INFO_UPPER_FIELD                 _MK_FIELD_CONST(0xff, XUSB_DEV_UPPER_FPCI_ADDR_0_INT_INFO_UPPER_SHIFT)
#define XUSB_DEV_UPPER_FPCI_ADDR_0_INT_INFO_UPPER_RANGE                 7:0
#define XUSB_DEV_UPPER_FPCI_ADDR_0_INT_INFO_UPPER_WOFFSET                       0x0
#define XUSB_DEV_UPPER_FPCI_ADDR_0_INT_INFO_UPPER_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_UPPER_FPCI_ADDR_0_INT_INFO_UPPER_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define XUSB_DEV_UPPER_FPCI_ADDR_0_INT_INFO_UPPER_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_UPPER_FPCI_ADDR_0_INT_INFO_UPPER_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)


// Register XUSB_DEV_IPFS_INTR_ENABLE_0
#define XUSB_DEV_IPFS_INTR_ENABLE_0                     _MK_ADDR_CONST(0x198)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_SECURE                      0x0
#define XUSB_DEV_IPFS_INTR_ENABLE_0_SCR                         0
#define XUSB_DEV_IPFS_INTR_ENABLE_0_WORD_COUNT                  0x1
#define XUSB_DEV_IPFS_INTR_ENABLE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_RESET_MASK                  _MK_MASK_CONST(0x30ff)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_READ_MASK                   _MK_MASK_CONST(0x30ff)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_WRITE_MASK                  _MK_MASK_CONST(0x30ff)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_INI_SLVERR_SHIFT                 _MK_SHIFT_CONST(0)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_INI_SLVERR_FIELD                 _MK_FIELD_CONST(0x1, XUSB_DEV_IPFS_INTR_ENABLE_0_EN_INI_SLVERR_SHIFT)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_INI_SLVERR_RANGE                 0:0
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_INI_SLVERR_WOFFSET                       0x0
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_INI_SLVERR_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_INI_SLVERR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_INI_SLVERR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_INI_SLVERR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)

#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_INI_DECERR_SHIFT                 _MK_SHIFT_CONST(1)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_INI_DECERR_FIELD                 _MK_FIELD_CONST(0x1, XUSB_DEV_IPFS_INTR_ENABLE_0_EN_INI_DECERR_SHIFT)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_INI_DECERR_RANGE                 1:1
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_INI_DECERR_WOFFSET                       0x0
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_INI_DECERR_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_INI_DECERR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_INI_DECERR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_INI_DECERR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)

#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_TGT_SLVERR_SHIFT                 _MK_SHIFT_CONST(2)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_TGT_SLVERR_FIELD                 _MK_FIELD_CONST(0x1, XUSB_DEV_IPFS_INTR_ENABLE_0_EN_TGT_SLVERR_SHIFT)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_TGT_SLVERR_RANGE                 2:2
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_TGT_SLVERR_WOFFSET                       0x0
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_TGT_SLVERR_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_TGT_SLVERR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_TGT_SLVERR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_TGT_SLVERR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)

#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_TGT_DECERR_SHIFT                 _MK_SHIFT_CONST(3)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_TGT_DECERR_FIELD                 _MK_FIELD_CONST(0x1, XUSB_DEV_IPFS_INTR_ENABLE_0_EN_TGT_DECERR_SHIFT)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_TGT_DECERR_RANGE                 3:3
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_TGT_DECERR_WOFFSET                       0x0
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_TGT_DECERR_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_TGT_DECERR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_TGT_DECERR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_TGT_DECERR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)

#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_TGT_WRERR_SHIFT                  _MK_SHIFT_CONST(4)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_TGT_WRERR_FIELD                  _MK_FIELD_CONST(0x1, XUSB_DEV_IPFS_INTR_ENABLE_0_EN_TGT_WRERR_SHIFT)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_TGT_WRERR_RANGE                  4:4
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_TGT_WRERR_WOFFSET                        0x0
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_TGT_WRERR_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_TGT_WRERR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_TGT_WRERR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_TGT_WRERR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)

#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_DFPCI_DECERR_SHIFT                       _MK_SHIFT_CONST(5)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_DFPCI_DECERR_FIELD                       _MK_FIELD_CONST(0x1, XUSB_DEV_IPFS_INTR_ENABLE_0_EN_DFPCI_DECERR_SHIFT)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_DFPCI_DECERR_RANGE                       5:5
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_DFPCI_DECERR_WOFFSET                     0x0
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_DFPCI_DECERR_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_DFPCI_DECERR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_DFPCI_DECERR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_DFPCI_DECERR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)

#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_AXI_DECERR_SHIFT                 _MK_SHIFT_CONST(6)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_AXI_DECERR_FIELD                 _MK_FIELD_CONST(0x1, XUSB_DEV_IPFS_INTR_ENABLE_0_EN_AXI_DECERR_SHIFT)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_AXI_DECERR_RANGE                 6:6
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_AXI_DECERR_WOFFSET                       0x0
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_AXI_DECERR_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_AXI_DECERR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_AXI_DECERR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_AXI_DECERR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)

#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_FPCI_TIMEOUT_SHIFT                       _MK_SHIFT_CONST(7)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_FPCI_TIMEOUT_FIELD                       _MK_FIELD_CONST(0x1, XUSB_DEV_IPFS_INTR_ENABLE_0_EN_FPCI_TIMEOUT_SHIFT)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_FPCI_TIMEOUT_RANGE                       7:7
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_FPCI_TIMEOUT_WOFFSET                     0x0
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_FPCI_TIMEOUT_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_FPCI_TIMEOUT_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_FPCI_TIMEOUT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_FPCI_TIMEOUT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)

#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_SM_FATAL_ERROR_SHIFT                     _MK_SHIFT_CONST(12)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_SM_FATAL_ERROR_FIELD                     _MK_FIELD_CONST(0x1, XUSB_DEV_IPFS_INTR_ENABLE_0_EN_SM_FATAL_ERROR_SHIFT)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_SM_FATAL_ERROR_RANGE                     12:12
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_SM_FATAL_ERROR_WOFFSET                   0x0
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_SM_FATAL_ERROR_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_SM_FATAL_ERROR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_SM_FATAL_ERROR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_SM_FATAL_ERROR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)

#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_SM_NON_FATAL_ERROR_SHIFT                 _MK_SHIFT_CONST(13)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_SM_NON_FATAL_ERROR_FIELD                 _MK_FIELD_CONST(0x1, XUSB_DEV_IPFS_INTR_ENABLE_0_EN_SM_NON_FATAL_ERROR_SHIFT)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_SM_NON_FATAL_ERROR_RANGE                 13:13
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_SM_NON_FATAL_ERROR_WOFFSET                       0x0
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_SM_NON_FATAL_ERROR_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_SM_NON_FATAL_ERROR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_SM_NON_FATAL_ERROR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_IPFS_INTR_ENABLE_0_EN_SM_NON_FATAL_ERROR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)


// Register XUSB_DEV_UFPCI_CONFIG_0
#define XUSB_DEV_UFPCI_CONFIG_0                 _MK_ADDR_CONST(0x19c)
#define XUSB_DEV_UFPCI_CONFIG_0_SECURE                  0x0
#define XUSB_DEV_UFPCI_CONFIG_0_SCR                     0
#define XUSB_DEV_UFPCI_CONFIG_0_WORD_COUNT                      0x1
#define XUSB_DEV_UFPCI_CONFIG_0_RESET_VAL                       _MK_MASK_CONST(0x2)
#define XUSB_DEV_UFPCI_CONFIG_0_RESET_MASK                      _MK_MASK_CONST(0x1f)
#define XUSB_DEV_UFPCI_CONFIG_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_UFPCI_CONFIG_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define XUSB_DEV_UFPCI_CONFIG_0_READ_MASK                       _MK_MASK_CONST(0x1f)
#define XUSB_DEV_UFPCI_CONFIG_0_WRITE_MASK                      _MK_MASK_CONST(0x1f)
#define XUSB_DEV_UFPCI_CONFIG_0_UNITID_T0C0_SHIFT                       _MK_SHIFT_CONST(0)
#define XUSB_DEV_UFPCI_CONFIG_0_UNITID_T0C0_FIELD                       _MK_FIELD_CONST(0x1f, XUSB_DEV_UFPCI_CONFIG_0_UNITID_T0C0_SHIFT)
#define XUSB_DEV_UFPCI_CONFIG_0_UNITID_T0C0_RANGE                       4:0
#define XUSB_DEV_UFPCI_CONFIG_0_UNITID_T0C0_WOFFSET                     0x0
#define XUSB_DEV_UFPCI_CONFIG_0_UNITID_T0C0_DEFAULT                     _MK_MASK_CONST(0x2)
#define XUSB_DEV_UFPCI_CONFIG_0_UNITID_T0C0_DEFAULT_MASK                        _MK_MASK_CONST(0x1f)
#define XUSB_DEV_UFPCI_CONFIG_0_UNITID_T0C0_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_UFPCI_CONFIG_0_UNITID_T0C0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)


// Register XUSB_DEV_CFG_REVID_0
#define XUSB_DEV_CFG_REVID_0                    _MK_ADDR_CONST(0x1a0)
#define XUSB_DEV_CFG_REVID_0_SECURE                     0x0
#define XUSB_DEV_CFG_REVID_0_SCR                        0
#define XUSB_DEV_CFG_REVID_0_WORD_COUNT                         0x1
#define XUSB_DEV_CFG_REVID_0_RESET_VAL                  _MK_MASK_CONST(0x1004)
#define XUSB_DEV_CFG_REVID_0_RESET_MASK                         _MK_MASK_CONST(0xc3c1c)
#define XUSB_DEV_CFG_REVID_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_CFG_REVID_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_CFG_REVID_0_READ_MASK                  _MK_MASK_CONST(0xc3c1c)
#define XUSB_DEV_CFG_REVID_0_WRITE_MASK                         _MK_MASK_CONST(0x3c04)
#define XUSB_DEV_CFG_REVID_0_SM2DEV_FPCI_TIMEOUT_EN_SHIFT                       _MK_SHIFT_CONST(2)
#define XUSB_DEV_CFG_REVID_0_SM2DEV_FPCI_TIMEOUT_EN_FIELD                       _MK_FIELD_CONST(0x1, XUSB_DEV_CFG_REVID_0_SM2DEV_FPCI_TIMEOUT_EN_SHIFT)
#define XUSB_DEV_CFG_REVID_0_SM2DEV_FPCI_TIMEOUT_EN_RANGE                       2:2
#define XUSB_DEV_CFG_REVID_0_SM2DEV_FPCI_TIMEOUT_EN_WOFFSET                     0x0
#define XUSB_DEV_CFG_REVID_0_SM2DEV_FPCI_TIMEOUT_EN_DEFAULT                     _MK_MASK_CONST(0x1)
#define XUSB_DEV_CFG_REVID_0_SM2DEV_FPCI_TIMEOUT_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_DEV_CFG_REVID_0_SM2DEV_FPCI_TIMEOUT_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_CFG_REVID_0_SM2DEV_FPCI_TIMEOUT_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_CFG_REVID_0_SM2DEV_FPCI_TIMEOUT_EN_DISABLE                     _MK_ENUM_CONST(0)
#define XUSB_DEV_CFG_REVID_0_SM2DEV_FPCI_TIMEOUT_EN_ENABLE                      _MK_ENUM_CONST(1)

#define XUSB_DEV_CFG_REVID_0_DEV2LEG_COH_REQUEST_PEND_SHIFT                     _MK_SHIFT_CONST(3)
#define XUSB_DEV_CFG_REVID_0_DEV2LEG_COH_REQUEST_PEND_FIELD                     _MK_FIELD_CONST(0x1, XUSB_DEV_CFG_REVID_0_DEV2LEG_COH_REQUEST_PEND_SHIFT)
#define XUSB_DEV_CFG_REVID_0_DEV2LEG_COH_REQUEST_PEND_RANGE                     3:3
#define XUSB_DEV_CFG_REVID_0_DEV2LEG_COH_REQUEST_PEND_WOFFSET                   0x0
#define XUSB_DEV_CFG_REVID_0_DEV2LEG_COH_REQUEST_PEND_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_CFG_REVID_0_DEV2LEG_COH_REQUEST_PEND_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_DEV_CFG_REVID_0_DEV2LEG_COH_REQUEST_PEND_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_CFG_REVID_0_DEV2LEG_COH_REQUEST_PEND_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_CFG_REVID_0_DEV2LEG_COH_REQUEST_PEND_NO                        _MK_ENUM_CONST(0)
#define XUSB_DEV_CFG_REVID_0_DEV2LEG_COH_REQUEST_PEND_YES                       _MK_ENUM_CONST(1)

#define XUSB_DEV_CFG_REVID_0_DEV2LEG_NONCOH_REQUEST_PEND_SHIFT                  _MK_SHIFT_CONST(4)
#define XUSB_DEV_CFG_REVID_0_DEV2LEG_NONCOH_REQUEST_PEND_FIELD                  _MK_FIELD_CONST(0x1, XUSB_DEV_CFG_REVID_0_DEV2LEG_NONCOH_REQUEST_PEND_SHIFT)
#define XUSB_DEV_CFG_REVID_0_DEV2LEG_NONCOH_REQUEST_PEND_RANGE                  4:4
#define XUSB_DEV_CFG_REVID_0_DEV2LEG_NONCOH_REQUEST_PEND_WOFFSET                        0x0
#define XUSB_DEV_CFG_REVID_0_DEV2LEG_NONCOH_REQUEST_PEND_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_CFG_REVID_0_DEV2LEG_NONCOH_REQUEST_PEND_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define XUSB_DEV_CFG_REVID_0_DEV2LEG_NONCOH_REQUEST_PEND_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_CFG_REVID_0_DEV2LEG_NONCOH_REQUEST_PEND_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_CFG_REVID_0_DEV2LEG_NONCOH_REQUEST_PEND_NO                     _MK_ENUM_CONST(0)
#define XUSB_DEV_CFG_REVID_0_DEV2LEG_NONCOH_REQUEST_PEND_YES                    _MK_ENUM_CONST(1)

#define XUSB_DEV_CFG_REVID_0_CFG_REVID_OVERRIDE_SHIFT                   _MK_SHIFT_CONST(10)
#define XUSB_DEV_CFG_REVID_0_CFG_REVID_OVERRIDE_FIELD                   _MK_FIELD_CONST(0x1, XUSB_DEV_CFG_REVID_0_CFG_REVID_OVERRIDE_SHIFT)
#define XUSB_DEV_CFG_REVID_0_CFG_REVID_OVERRIDE_RANGE                   10:10
#define XUSB_DEV_CFG_REVID_0_CFG_REVID_OVERRIDE_WOFFSET                 0x0
#define XUSB_DEV_CFG_REVID_0_CFG_REVID_OVERRIDE_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_CFG_REVID_0_CFG_REVID_OVERRIDE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define XUSB_DEV_CFG_REVID_0_CFG_REVID_OVERRIDE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_CFG_REVID_0_CFG_REVID_OVERRIDE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_CFG_REVID_0_CFG_REVID_OVERRIDE_DISABLE                 _MK_ENUM_CONST(0)
#define XUSB_DEV_CFG_REVID_0_CFG_REVID_OVERRIDE_ENABLE                  _MK_ENUM_CONST(1)

#define XUSB_DEV_CFG_REVID_0_CFG_REVID_WRITE_ENABLE_SHIFT                       _MK_SHIFT_CONST(11)
#define XUSB_DEV_CFG_REVID_0_CFG_REVID_WRITE_ENABLE_FIELD                       _MK_FIELD_CONST(0x1, XUSB_DEV_CFG_REVID_0_CFG_REVID_WRITE_ENABLE_SHIFT)
#define XUSB_DEV_CFG_REVID_0_CFG_REVID_WRITE_ENABLE_RANGE                       11:11
#define XUSB_DEV_CFG_REVID_0_CFG_REVID_WRITE_ENABLE_WOFFSET                     0x0
#define XUSB_DEV_CFG_REVID_0_CFG_REVID_WRITE_ENABLE_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_CFG_REVID_0_CFG_REVID_WRITE_ENABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_DEV_CFG_REVID_0_CFG_REVID_WRITE_ENABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_CFG_REVID_0_CFG_REVID_WRITE_ENABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_CFG_REVID_0_CFG_REVID_WRITE_ENABLE_CLEAR                       _MK_ENUM_CONST(0)
#define XUSB_DEV_CFG_REVID_0_CFG_REVID_WRITE_ENABLE_SET                 _MK_ENUM_CONST(1)

#define XUSB_DEV_CFG_REVID_0_STRAP_CPU_MODE_SHIFT                       _MK_SHIFT_CONST(12)
#define XUSB_DEV_CFG_REVID_0_STRAP_CPU_MODE_FIELD                       _MK_FIELD_CONST(0x3, XUSB_DEV_CFG_REVID_0_STRAP_CPU_MODE_SHIFT)
#define XUSB_DEV_CFG_REVID_0_STRAP_CPU_MODE_RANGE                       13:12
#define XUSB_DEV_CFG_REVID_0_STRAP_CPU_MODE_WOFFSET                     0x0
#define XUSB_DEV_CFG_REVID_0_STRAP_CPU_MODE_DEFAULT                     _MK_MASK_CONST(0x1)
#define XUSB_DEV_CFG_REVID_0_STRAP_CPU_MODE_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define XUSB_DEV_CFG_REVID_0_STRAP_CPU_MODE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_CFG_REVID_0_STRAP_CPU_MODE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_CFG_REVID_0_STRAP_CPU_MODE_NB_INTEL                    _MK_ENUM_CONST(0)
#define XUSB_DEV_CFG_REVID_0_STRAP_CPU_MODE_NB_AMD                      _MK_ENUM_CONST(1)
#define XUSB_DEV_CFG_REVID_0_STRAP_CPU_MODE_AMD                 _MK_ENUM_CONST(2)
#define XUSB_DEV_CFG_REVID_0_STRAP_CPU_MODE_TMTA                        _MK_ENUM_CONST(3)

#define XUSB_DEV_CFG_REVID_0_DEV2SM_ISO_REQUEST_PEND_SHIFT                      _MK_SHIFT_CONST(18)
#define XUSB_DEV_CFG_REVID_0_DEV2SM_ISO_REQUEST_PEND_FIELD                      _MK_FIELD_CONST(0x1, XUSB_DEV_CFG_REVID_0_DEV2SM_ISO_REQUEST_PEND_SHIFT)
#define XUSB_DEV_CFG_REVID_0_DEV2SM_ISO_REQUEST_PEND_RANGE                      18:18
#define XUSB_DEV_CFG_REVID_0_DEV2SM_ISO_REQUEST_PEND_WOFFSET                    0x0
#define XUSB_DEV_CFG_REVID_0_DEV2SM_ISO_REQUEST_PEND_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_CFG_REVID_0_DEV2SM_ISO_REQUEST_PEND_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_DEV_CFG_REVID_0_DEV2SM_ISO_REQUEST_PEND_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_CFG_REVID_0_DEV2SM_ISO_REQUEST_PEND_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_CFG_REVID_0_DEV2SM_ISO_REQUEST_PEND_NO                 _MK_ENUM_CONST(0)
#define XUSB_DEV_CFG_REVID_0_DEV2SM_ISO_REQUEST_PEND_YES                        _MK_ENUM_CONST(1)

#define XUSB_DEV_CFG_REVID_0_DEV2SM_NONISO_REQUEST_PEND_SHIFT                   _MK_SHIFT_CONST(19)
#define XUSB_DEV_CFG_REVID_0_DEV2SM_NONISO_REQUEST_PEND_FIELD                   _MK_FIELD_CONST(0x1, XUSB_DEV_CFG_REVID_0_DEV2SM_NONISO_REQUEST_PEND_SHIFT)
#define XUSB_DEV_CFG_REVID_0_DEV2SM_NONISO_REQUEST_PEND_RANGE                   19:19
#define XUSB_DEV_CFG_REVID_0_DEV2SM_NONISO_REQUEST_PEND_WOFFSET                 0x0
#define XUSB_DEV_CFG_REVID_0_DEV2SM_NONISO_REQUEST_PEND_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_CFG_REVID_0_DEV2SM_NONISO_REQUEST_PEND_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define XUSB_DEV_CFG_REVID_0_DEV2SM_NONISO_REQUEST_PEND_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_CFG_REVID_0_DEV2SM_NONISO_REQUEST_PEND_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_CFG_REVID_0_DEV2SM_NONISO_REQUEST_PEND_NO                      _MK_ENUM_CONST(0)
#define XUSB_DEV_CFG_REVID_0_DEV2SM_NONISO_REQUEST_PEND_YES                     _MK_ENUM_CONST(1)


// Register XUSB_DEV_FPCI_TIMEOUT_0
#define XUSB_DEV_FPCI_TIMEOUT_0                 _MK_ADDR_CONST(0x1a4)
#define XUSB_DEV_FPCI_TIMEOUT_0_SECURE                  0x0
#define XUSB_DEV_FPCI_TIMEOUT_0_SCR                     0
#define XUSB_DEV_FPCI_TIMEOUT_0_WORD_COUNT                      0x1
#define XUSB_DEV_FPCI_TIMEOUT_0_RESET_VAL                       _MK_MASK_CONST(0xf0000)
#define XUSB_DEV_FPCI_TIMEOUT_0_RESET_MASK                      _MK_MASK_CONST(0xfffff)
#define XUSB_DEV_FPCI_TIMEOUT_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_TIMEOUT_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_TIMEOUT_0_READ_MASK                       _MK_MASK_CONST(0xfffff)
#define XUSB_DEV_FPCI_TIMEOUT_0_WRITE_MASK                      _MK_MASK_CONST(0xfffff)
#define XUSB_DEV_FPCI_TIMEOUT_0_SM2ALL_FPCI_TIMEOUT_THRESH_SHIFT                        _MK_SHIFT_CONST(0)
#define XUSB_DEV_FPCI_TIMEOUT_0_SM2ALL_FPCI_TIMEOUT_THRESH_FIELD                        _MK_FIELD_CONST(0xfffff, XUSB_DEV_FPCI_TIMEOUT_0_SM2ALL_FPCI_TIMEOUT_THRESH_SHIFT)
#define XUSB_DEV_FPCI_TIMEOUT_0_SM2ALL_FPCI_TIMEOUT_THRESH_RANGE                        19:0
#define XUSB_DEV_FPCI_TIMEOUT_0_SM2ALL_FPCI_TIMEOUT_THRESH_WOFFSET                      0x0
#define XUSB_DEV_FPCI_TIMEOUT_0_SM2ALL_FPCI_TIMEOUT_THRESH_DEFAULT                      _MK_MASK_CONST(0xf0000)
#define XUSB_DEV_FPCI_TIMEOUT_0_SM2ALL_FPCI_TIMEOUT_THRESH_DEFAULT_MASK                 _MK_MASK_CONST(0xfffff)
#define XUSB_DEV_FPCI_TIMEOUT_0_SM2ALL_FPCI_TIMEOUT_THRESH_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_FPCI_TIMEOUT_0_SM2ALL_FPCI_TIMEOUT_THRESH_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register XUSB_DEV_TOM_0
#define XUSB_DEV_TOM_0                  _MK_ADDR_CONST(0x1a8)
#define XUSB_DEV_TOM_0_SECURE                   0x0
#define XUSB_DEV_TOM_0_SCR                      0
#define XUSB_DEV_TOM_0_WORD_COUNT                       0x1
#define XUSB_DEV_TOM_0_RESET_VAL                        _MK_MASK_CONST(0x3fff0fff)
#define XUSB_DEV_TOM_0_RESET_MASK                       _MK_MASK_CONST(0x3fff0fff)
#define XUSB_DEV_TOM_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_TOM_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_TOM_0_READ_MASK                        _MK_MASK_CONST(0x3fff0fff)
#define XUSB_DEV_TOM_0_WRITE_MASK                       _MK_MASK_CONST(0x3fff0fff)
#define XUSB_DEV_TOM_0_LEG2ALL_TOM1_SHIFT                       _MK_SHIFT_CONST(0)
#define XUSB_DEV_TOM_0_LEG2ALL_TOM1_FIELD                       _MK_FIELD_CONST(0xfff, XUSB_DEV_TOM_0_LEG2ALL_TOM1_SHIFT)
#define XUSB_DEV_TOM_0_LEG2ALL_TOM1_RANGE                       11:0
#define XUSB_DEV_TOM_0_LEG2ALL_TOM1_WOFFSET                     0x0
#define XUSB_DEV_TOM_0_LEG2ALL_TOM1_DEFAULT                     _MK_MASK_CONST(0xfff)
#define XUSB_DEV_TOM_0_LEG2ALL_TOM1_DEFAULT_MASK                        _MK_MASK_CONST(0xfff)
#define XUSB_DEV_TOM_0_LEG2ALL_TOM1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_TOM_0_LEG2ALL_TOM1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)

#define XUSB_DEV_TOM_0_LEG2ALL_TOM2_SHIFT                       _MK_SHIFT_CONST(16)
#define XUSB_DEV_TOM_0_LEG2ALL_TOM2_FIELD                       _MK_FIELD_CONST(0x3fff, XUSB_DEV_TOM_0_LEG2ALL_TOM2_SHIFT)
#define XUSB_DEV_TOM_0_LEG2ALL_TOM2_RANGE                       29:16
#define XUSB_DEV_TOM_0_LEG2ALL_TOM2_WOFFSET                     0x0
#define XUSB_DEV_TOM_0_LEG2ALL_TOM2_DEFAULT                     _MK_MASK_CONST(0x3fff)
#define XUSB_DEV_TOM_0_LEG2ALL_TOM2_DEFAULT_MASK                        _MK_MASK_CONST(0x3fff)
#define XUSB_DEV_TOM_0_LEG2ALL_TOM2_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_TOM_0_LEG2ALL_TOM2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)


// Register XUSB_DEV_INITIATOR_ISO_PW_RESP_PENDING_0
#define XUSB_DEV_INITIATOR_ISO_PW_RESP_PENDING_0                        _MK_ADDR_CONST(0x1ac)
#define XUSB_DEV_INITIATOR_ISO_PW_RESP_PENDING_0_SECURE                         0x0
#define XUSB_DEV_INITIATOR_ISO_PW_RESP_PENDING_0_SCR                    0
#define XUSB_DEV_INITIATOR_ISO_PW_RESP_PENDING_0_WORD_COUNT                     0x1
#define XUSB_DEV_INITIATOR_ISO_PW_RESP_PENDING_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_INITIATOR_ISO_PW_RESP_PENDING_0_RESET_MASK                     _MK_MASK_CONST(0xff)
#define XUSB_DEV_INITIATOR_ISO_PW_RESP_PENDING_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define XUSB_DEV_INITIATOR_ISO_PW_RESP_PENDING_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_INITIATOR_ISO_PW_RESP_PENDING_0_READ_MASK                      _MK_MASK_CONST(0xff)
#define XUSB_DEV_INITIATOR_ISO_PW_RESP_PENDING_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_INITIATOR_ISO_PW_RESP_PENDING_0_NUM_INITIATOR_ISO_PW_RESP_PEND_SHIFT                   _MK_SHIFT_CONST(0)
#define XUSB_DEV_INITIATOR_ISO_PW_RESP_PENDING_0_NUM_INITIATOR_ISO_PW_RESP_PEND_FIELD                   _MK_FIELD_CONST(0xff, XUSB_DEV_INITIATOR_ISO_PW_RESP_PENDING_0_NUM_INITIATOR_ISO_PW_RESP_PEND_SHIFT)
#define XUSB_DEV_INITIATOR_ISO_PW_RESP_PENDING_0_NUM_INITIATOR_ISO_PW_RESP_PEND_RANGE                   7:0
#define XUSB_DEV_INITIATOR_ISO_PW_RESP_PENDING_0_NUM_INITIATOR_ISO_PW_RESP_PEND_WOFFSET                 0x0
#define XUSB_DEV_INITIATOR_ISO_PW_RESP_PENDING_0_NUM_INITIATOR_ISO_PW_RESP_PEND_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_INITIATOR_ISO_PW_RESP_PENDING_0_NUM_INITIATOR_ISO_PW_RESP_PEND_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define XUSB_DEV_INITIATOR_ISO_PW_RESP_PENDING_0_NUM_INITIATOR_ISO_PW_RESP_PEND_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_INITIATOR_ISO_PW_RESP_PENDING_0_NUM_INITIATOR_ISO_PW_RESP_PEND_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)


// Register XUSB_DEV_INITIATOR_NISO_PW_RESP_PENDING_0
#define XUSB_DEV_INITIATOR_NISO_PW_RESP_PENDING_0                       _MK_ADDR_CONST(0x1b0)
#define XUSB_DEV_INITIATOR_NISO_PW_RESP_PENDING_0_SECURE                        0x0
#define XUSB_DEV_INITIATOR_NISO_PW_RESP_PENDING_0_SCR                   0
#define XUSB_DEV_INITIATOR_NISO_PW_RESP_PENDING_0_WORD_COUNT                    0x1
#define XUSB_DEV_INITIATOR_NISO_PW_RESP_PENDING_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_INITIATOR_NISO_PW_RESP_PENDING_0_RESET_MASK                    _MK_MASK_CONST(0xff)
#define XUSB_DEV_INITIATOR_NISO_PW_RESP_PENDING_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_INITIATOR_NISO_PW_RESP_PENDING_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_INITIATOR_NISO_PW_RESP_PENDING_0_READ_MASK                     _MK_MASK_CONST(0xff)
#define XUSB_DEV_INITIATOR_NISO_PW_RESP_PENDING_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_INITIATOR_NISO_PW_RESP_PENDING_0_NUM_INITIATOR_NISO_PW_RESP_PEND_SHIFT                 _MK_SHIFT_CONST(0)
#define XUSB_DEV_INITIATOR_NISO_PW_RESP_PENDING_0_NUM_INITIATOR_NISO_PW_RESP_PEND_FIELD                 _MK_FIELD_CONST(0xff, XUSB_DEV_INITIATOR_NISO_PW_RESP_PENDING_0_NUM_INITIATOR_NISO_PW_RESP_PEND_SHIFT)
#define XUSB_DEV_INITIATOR_NISO_PW_RESP_PENDING_0_NUM_INITIATOR_NISO_PW_RESP_PEND_RANGE                 7:0
#define XUSB_DEV_INITIATOR_NISO_PW_RESP_PENDING_0_NUM_INITIATOR_NISO_PW_RESP_PEND_WOFFSET                       0x0
#define XUSB_DEV_INITIATOR_NISO_PW_RESP_PENDING_0_NUM_INITIATOR_NISO_PW_RESP_PEND_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_INITIATOR_NISO_PW_RESP_PENDING_0_NUM_INITIATOR_NISO_PW_RESP_PEND_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define XUSB_DEV_INITIATOR_NISO_PW_RESP_PENDING_0_NUM_INITIATOR_NISO_PW_RESP_PEND_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_INITIATOR_NISO_PW_RESP_PENDING_0_NUM_INITIATOR_NISO_PW_RESP_PEND_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)


// Register XUSB_DEV_INTR_STATUS_0
#define XUSB_DEV_INTR_STATUS_0                  _MK_ADDR_CONST(0x1b4)
#define XUSB_DEV_INTR_STATUS_0_SECURE                   0x0
#define XUSB_DEV_INTR_STATUS_0_SCR                      0
#define XUSB_DEV_INTR_STATUS_0_WORD_COUNT                       0x1
#define XUSB_DEV_INTR_STATUS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_STATUS_0_RESET_MASK                       _MK_MASK_CONST(0x7)
#define XUSB_DEV_INTR_STATUS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_STATUS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_STATUS_0_READ_MASK                        _MK_MASK_CONST(0x7)
#define XUSB_DEV_INTR_STATUS_0_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_STATUS_0_IPFS_INTR_STATUS_SHIFT                   _MK_SHIFT_CONST(0)
#define XUSB_DEV_INTR_STATUS_0_IPFS_INTR_STATUS_FIELD                   _MK_FIELD_CONST(0x1, XUSB_DEV_INTR_STATUS_0_IPFS_INTR_STATUS_SHIFT)
#define XUSB_DEV_INTR_STATUS_0_IPFS_INTR_STATUS_RANGE                   0:0
#define XUSB_DEV_INTR_STATUS_0_IPFS_INTR_STATUS_WOFFSET                 0x0
#define XUSB_DEV_INTR_STATUS_0_IPFS_INTR_STATUS_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_STATUS_0_IPFS_INTR_STATUS_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define XUSB_DEV_INTR_STATUS_0_IPFS_INTR_STATUS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_STATUS_0_IPFS_INTR_STATUS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)

#define XUSB_DEV_INTR_STATUS_0_MSI_INTR_STATUS_SHIFT                    _MK_SHIFT_CONST(1)
#define XUSB_DEV_INTR_STATUS_0_MSI_INTR_STATUS_FIELD                    _MK_FIELD_CONST(0x1, XUSB_DEV_INTR_STATUS_0_MSI_INTR_STATUS_SHIFT)
#define XUSB_DEV_INTR_STATUS_0_MSI_INTR_STATUS_RANGE                    1:1
#define XUSB_DEV_INTR_STATUS_0_MSI_INTR_STATUS_WOFFSET                  0x0
#define XUSB_DEV_INTR_STATUS_0_MSI_INTR_STATUS_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_STATUS_0_MSI_INTR_STATUS_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_DEV_INTR_STATUS_0_MSI_INTR_STATUS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_STATUS_0_MSI_INTR_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)

#define XUSB_DEV_INTR_STATUS_0_IP_INTR_STATUS_SHIFT                     _MK_SHIFT_CONST(2)
#define XUSB_DEV_INTR_STATUS_0_IP_INTR_STATUS_FIELD                     _MK_FIELD_CONST(0x1, XUSB_DEV_INTR_STATUS_0_IP_INTR_STATUS_SHIFT)
#define XUSB_DEV_INTR_STATUS_0_IP_INTR_STATUS_RANGE                     2:2
#define XUSB_DEV_INTR_STATUS_0_IP_INTR_STATUS_WOFFSET                   0x0
#define XUSB_DEV_INTR_STATUS_0_IP_INTR_STATUS_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_STATUS_0_IP_INTR_STATUS_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_DEV_INTR_STATUS_0_IP_INTR_STATUS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_INTR_STATUS_0_IP_INTR_STATUS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)


// Register XUSB_DEV_DFPCI_BEN_0
#define XUSB_DEV_DFPCI_BEN_0                    _MK_ADDR_CONST(0x1b8)
#define XUSB_DEV_DFPCI_BEN_0_SECURE                     0x0
#define XUSB_DEV_DFPCI_BEN_0_SCR                        0
#define XUSB_DEV_DFPCI_BEN_0_WORD_COUNT                         0x1
#define XUSB_DEV_DFPCI_BEN_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_DFPCI_BEN_0_RESET_MASK                         _MK_MASK_CONST(0x8000000f)
#define XUSB_DEV_DFPCI_BEN_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_DFPCI_BEN_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_DFPCI_BEN_0_READ_MASK                  _MK_MASK_CONST(0x8000000f)
#define XUSB_DEV_DFPCI_BEN_0_WRITE_MASK                         _MK_MASK_CONST(0x8000000f)
#define XUSB_DEV_DFPCI_BEN_0_EN_DFPCI_BEN_SHIFT                 _MK_SHIFT_CONST(31)
#define XUSB_DEV_DFPCI_BEN_0_EN_DFPCI_BEN_FIELD                 _MK_FIELD_CONST(0x1, XUSB_DEV_DFPCI_BEN_0_EN_DFPCI_BEN_SHIFT)
#define XUSB_DEV_DFPCI_BEN_0_EN_DFPCI_BEN_RANGE                 31:31
#define XUSB_DEV_DFPCI_BEN_0_EN_DFPCI_BEN_WOFFSET                       0x0
#define XUSB_DEV_DFPCI_BEN_0_EN_DFPCI_BEN_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_DFPCI_BEN_0_EN_DFPCI_BEN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define XUSB_DEV_DFPCI_BEN_0_EN_DFPCI_BEN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_DFPCI_BEN_0_EN_DFPCI_BEN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)

#define XUSB_DEV_DFPCI_BEN_0_DFPCI_BYTE_ENABLE_N_SHIFT                  _MK_SHIFT_CONST(0)
#define XUSB_DEV_DFPCI_BEN_0_DFPCI_BYTE_ENABLE_N_FIELD                  _MK_FIELD_CONST(0xf, XUSB_DEV_DFPCI_BEN_0_DFPCI_BYTE_ENABLE_N_SHIFT)
#define XUSB_DEV_DFPCI_BEN_0_DFPCI_BYTE_ENABLE_N_RANGE                  3:0
#define XUSB_DEV_DFPCI_BEN_0_DFPCI_BYTE_ENABLE_N_WOFFSET                        0x0
#define XUSB_DEV_DFPCI_BEN_0_DFPCI_BYTE_ENABLE_N_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_DFPCI_BEN_0_DFPCI_BYTE_ENABLE_N_DEFAULT_MASK                   _MK_MASK_CONST(0xf)
#define XUSB_DEV_DFPCI_BEN_0_DFPCI_BYTE_ENABLE_N_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_DFPCI_BEN_0_DFPCI_BYTE_ENABLE_N_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register XUSB_DEV_CLKGATE_HYSTERESIS_0
#define XUSB_DEV_CLKGATE_HYSTERESIS_0                   _MK_ADDR_CONST(0x1bc)
#define XUSB_DEV_CLKGATE_HYSTERESIS_0_SECURE                    0x0
#define XUSB_DEV_CLKGATE_HYSTERESIS_0_SCR                       0
#define XUSB_DEV_CLKGATE_HYSTERESIS_0_WORD_COUNT                        0x1
#define XUSB_DEV_CLKGATE_HYSTERESIS_0_RESET_VAL                         _MK_MASK_CONST(0x14)
#define XUSB_DEV_CLKGATE_HYSTERESIS_0_RESET_MASK                        _MK_MASK_CONST(0xff)
#define XUSB_DEV_CLKGATE_HYSTERESIS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_CLKGATE_HYSTERESIS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_CLKGATE_HYSTERESIS_0_READ_MASK                         _MK_MASK_CONST(0xff)
#define XUSB_DEV_CLKGATE_HYSTERESIS_0_WRITE_MASK                        _MK_MASK_CONST(0xff)
#define XUSB_DEV_CLKGATE_HYSTERESIS_0_CLK_DISABLE_CNT_SHIFT                     _MK_SHIFT_CONST(0)
#define XUSB_DEV_CLKGATE_HYSTERESIS_0_CLK_DISABLE_CNT_FIELD                     _MK_FIELD_CONST(0xff, XUSB_DEV_CLKGATE_HYSTERESIS_0_CLK_DISABLE_CNT_SHIFT)
#define XUSB_DEV_CLKGATE_HYSTERESIS_0_CLK_DISABLE_CNT_RANGE                     7:0
#define XUSB_DEV_CLKGATE_HYSTERESIS_0_CLK_DISABLE_CNT_WOFFSET                   0x0
#define XUSB_DEV_CLKGATE_HYSTERESIS_0_CLK_DISABLE_CNT_DEFAULT                   _MK_MASK_CONST(0x14)
#define XUSB_DEV_CLKGATE_HYSTERESIS_0_CLK_DISABLE_CNT_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define XUSB_DEV_CLKGATE_HYSTERESIS_0_CLK_DISABLE_CNT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_CLKGATE_HYSTERESIS_0_CLK_DISABLE_CNT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)


// Reserved address 448 [0x1c0]

// Reserved address 452 [0x1c4]

// Reserved address 456 [0x1c8]

// Reserved address 460 [0x1cc]

// Reserved address 464 [0x1d0]

// Reserved address 468 [0x1d4]

// Register XUSB_DEV_SPARE_REG0_0
#define XUSB_DEV_SPARE_REG0_0                   _MK_ADDR_CONST(0x1d8)
#define XUSB_DEV_SPARE_REG0_0_SECURE                    0x0
#define XUSB_DEV_SPARE_REG0_0_SCR                       0
#define XUSB_DEV_SPARE_REG0_0_WORD_COUNT                        0x1
#define XUSB_DEV_SPARE_REG0_0_RESET_VAL                         _MK_MASK_CONST(0xffff0000)
#define XUSB_DEV_SPARE_REG0_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_SPARE_REG0_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_SPARE_REG0_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_SPARE_REG0_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_SPARE_REG0_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_SPARE_REG0_0_IPFS_SPARE_REG_SHIFT                      _MK_SHIFT_CONST(0)
#define XUSB_DEV_SPARE_REG0_0_IPFS_SPARE_REG_FIELD                      _MK_FIELD_CONST(0xffffffff, XUSB_DEV_SPARE_REG0_0_IPFS_SPARE_REG_SHIFT)
#define XUSB_DEV_SPARE_REG0_0_IPFS_SPARE_REG_RANGE                      31:0
#define XUSB_DEV_SPARE_REG0_0_IPFS_SPARE_REG_WOFFSET                    0x0
#define XUSB_DEV_SPARE_REG0_0_IPFS_SPARE_REG_DEFAULT                    _MK_MASK_CONST(0xffff0000)
#define XUSB_DEV_SPARE_REG0_0_IPFS_SPARE_REG_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define XUSB_DEV_SPARE_REG0_0_IPFS_SPARE_REG_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_SPARE_REG0_0_IPFS_SPARE_REG_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_SPARE_REG0_0_IPFS_SPARE_REG_INIT_ENUM                  -65536


// Register XUSB_DEV_ORDERING_RULES_0
#define XUSB_DEV_ORDERING_RULES_0                       _MK_ADDR_CONST(0x1dc)
#define XUSB_DEV_ORDERING_RULES_0_SECURE                        0x0
#define XUSB_DEV_ORDERING_RULES_0_SCR                   0
#define XUSB_DEV_ORDERING_RULES_0_WORD_COUNT                    0x1
#define XUSB_DEV_ORDERING_RULES_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_ORDERING_RULES_0_RESET_MASK                    _MK_MASK_CONST(0xe)
#define XUSB_DEV_ORDERING_RULES_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_ORDERING_RULES_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_ORDERING_RULES_0_READ_MASK                     _MK_MASK_CONST(0xe)
#define XUSB_DEV_ORDERING_RULES_0_WRITE_MASK                    _MK_MASK_CONST(0xe)
#define XUSB_DEV_ORDERING_RULES_0_UPSTREAM_RAW_SHIFT                    _MK_SHIFT_CONST(1)
#define XUSB_DEV_ORDERING_RULES_0_UPSTREAM_RAW_FIELD                    _MK_FIELD_CONST(0x1, XUSB_DEV_ORDERING_RULES_0_UPSTREAM_RAW_SHIFT)
#define XUSB_DEV_ORDERING_RULES_0_UPSTREAM_RAW_RANGE                    1:1
#define XUSB_DEV_ORDERING_RULES_0_UPSTREAM_RAW_WOFFSET                  0x0
#define XUSB_DEV_ORDERING_RULES_0_UPSTREAM_RAW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_ORDERING_RULES_0_UPSTREAM_RAW_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_DEV_ORDERING_RULES_0_UPSTREAM_RAW_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_ORDERING_RULES_0_UPSTREAM_RAW_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)

#define XUSB_DEV_ORDERING_RULES_0_UPSTREAM_RESPAW_SHIFT                 _MK_SHIFT_CONST(2)
#define XUSB_DEV_ORDERING_RULES_0_UPSTREAM_RESPAW_FIELD                 _MK_FIELD_CONST(0x1, XUSB_DEV_ORDERING_RULES_0_UPSTREAM_RESPAW_SHIFT)
#define XUSB_DEV_ORDERING_RULES_0_UPSTREAM_RESPAW_RANGE                 2:2
#define XUSB_DEV_ORDERING_RULES_0_UPSTREAM_RESPAW_WOFFSET                       0x0
#define XUSB_DEV_ORDERING_RULES_0_UPSTREAM_RESPAW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_ORDERING_RULES_0_UPSTREAM_RESPAW_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define XUSB_DEV_ORDERING_RULES_0_UPSTREAM_RESPAW_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_ORDERING_RULES_0_UPSTREAM_RESPAW_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)

#define XUSB_DEV_ORDERING_RULES_0_UPSTREAM_MSIAW_SHIFT                  _MK_SHIFT_CONST(3)
#define XUSB_DEV_ORDERING_RULES_0_UPSTREAM_MSIAW_FIELD                  _MK_FIELD_CONST(0x1, XUSB_DEV_ORDERING_RULES_0_UPSTREAM_MSIAW_SHIFT)
#define XUSB_DEV_ORDERING_RULES_0_UPSTREAM_MSIAW_RANGE                  3:3
#define XUSB_DEV_ORDERING_RULES_0_UPSTREAM_MSIAW_WOFFSET                        0x0
#define XUSB_DEV_ORDERING_RULES_0_UPSTREAM_MSIAW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_ORDERING_RULES_0_UPSTREAM_MSIAW_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define XUSB_DEV_ORDERING_RULES_0_UPSTREAM_MSIAW_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_ORDERING_RULES_0_UPSTREAM_MSIAW_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)


// Register XUSB_DEV_A2F_UFPCI_CFG0_0
#define XUSB_DEV_A2F_UFPCI_CFG0_0                       _MK_ADDR_CONST(0x1e0)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_SECURE                        0x0
#define XUSB_DEV_A2F_UFPCI_CFG0_0_SCR                   0
#define XUSB_DEV_A2F_UFPCI_CFG0_0_WORD_COUNT                    0x1
#define XUSB_DEV_A2F_UFPCI_CFG0_0_RESET_VAL                     _MK_MASK_CONST(0x50)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_RESET_MASK                    _MK_MASK_CONST(0xff07ffff)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_READ_MASK                     _MK_MASK_CONST(0xff07ffff)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_WRITE_MASK                    _MK_MASK_CONST(0xff07ffff)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_CYA_BACK2BACK_UPSTREAM_BLOCK_SHIFT                     _MK_SHIFT_CONST(0)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_CYA_BACK2BACK_UPSTREAM_BLOCK_FIELD                     _MK_FIELD_CONST(0x1, XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_CYA_BACK2BACK_UPSTREAM_BLOCK_SHIFT)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_CYA_BACK2BACK_UPSTREAM_BLOCK_RANGE                     0:0
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_CYA_BACK2BACK_UPSTREAM_BLOCK_WOFFSET                   0x0
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_CYA_BACK2BACK_UPSTREAM_BLOCK_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_CYA_BACK2BACK_UPSTREAM_BLOCK_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_CYA_BACK2BACK_UPSTREAM_BLOCK_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_CYA_BACK2BACK_UPSTREAM_BLOCK_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)

#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_CYA_UFA_ARB_SHIFT                      _MK_SHIFT_CONST(1)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_CYA_UFA_ARB_FIELD                      _MK_FIELD_CONST(0x1, XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_CYA_UFA_ARB_SHIFT)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_CYA_UFA_ARB_RANGE                      1:1
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_CYA_UFA_ARB_WOFFSET                    0x0
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_CYA_UFA_ARB_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_CYA_UFA_ARB_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_CYA_UFA_ARB_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_CYA_UFA_ARB_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)

#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_BLOCK_CMD_THRESHOLD_SHIFT                        _MK_SHIFT_CONST(2)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_BLOCK_CMD_THRESHOLD_FIELD                        _MK_FIELD_CONST(0x7, XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_BLOCK_CMD_THRESHOLD_SHIFT)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_BLOCK_CMD_THRESHOLD_RANGE                        4:2
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_BLOCK_CMD_THRESHOLD_WOFFSET                      0x0
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_BLOCK_CMD_THRESHOLD_DEFAULT                      _MK_MASK_CONST(0x4)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_BLOCK_CMD_THRESHOLD_DEFAULT_MASK                 _MK_MASK_CONST(0x7)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_BLOCK_CMD_THRESHOLD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_BLOCK_CMD_THRESHOLD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)

#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_BLK_COHERENT_SHIFT                   _MK_SHIFT_CONST(5)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_BLK_COHERENT_FIELD                   _MK_FIELD_CONST(0x1, XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_BLK_COHERENT_SHIFT)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_BLK_COHERENT_RANGE                   5:5
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_BLK_COHERENT_WOFFSET                 0x0
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_BLK_COHERENT_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_BLK_COHERENT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_BLK_COHERENT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_BLK_COHERENT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)

#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_DYN_BLOCK_EN_SHIFT                   _MK_SHIFT_CONST(6)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_DYN_BLOCK_EN_FIELD                   _MK_FIELD_CONST(0x1, XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_DYN_BLOCK_EN_SHIFT)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_DYN_BLOCK_EN_RANGE                   6:6
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_DYN_BLOCK_EN_WOFFSET                 0x0
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_DYN_BLOCK_EN_DEFAULT                 _MK_MASK_CONST(0x1)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_DYN_BLOCK_EN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_DYN_BLOCK_EN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_DYN_BLOCK_EN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)

#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_WAIT_CLAMP_EN_SHIFT                    _MK_SHIFT_CONST(7)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_WAIT_CLAMP_EN_FIELD                    _MK_FIELD_CONST(0x1, XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_WAIT_CLAMP_EN_SHIFT)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_WAIT_CLAMP_EN_RANGE                    7:7
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_WAIT_CLAMP_EN_WOFFSET                  0x0
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_WAIT_CLAMP_EN_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_WAIT_CLAMP_EN_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_WAIT_CLAMP_EN_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_WAIT_CLAMP_EN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)

#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_RR_BURST_SZ_PRI0_SHIFT                   _MK_SHIFT_CONST(8)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_RR_BURST_SZ_PRI0_FIELD                   _MK_FIELD_CONST(0x3, XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_RR_BURST_SZ_PRI0_SHIFT)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_RR_BURST_SZ_PRI0_RANGE                   9:8
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_RR_BURST_SZ_PRI0_WOFFSET                 0x0
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_RR_BURST_SZ_PRI0_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_RR_BURST_SZ_PRI0_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_RR_BURST_SZ_PRI0_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_RR_BURST_SZ_PRI0_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)

#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_RR_BURST_SZ_PRI1_SHIFT                   _MK_SHIFT_CONST(10)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_RR_BURST_SZ_PRI1_FIELD                   _MK_FIELD_CONST(0x3, XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_RR_BURST_SZ_PRI1_SHIFT)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_RR_BURST_SZ_PRI1_RANGE                   11:10
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_RR_BURST_SZ_PRI1_WOFFSET                 0x0
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_RR_BURST_SZ_PRI1_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_RR_BURST_SZ_PRI1_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_RR_BURST_SZ_PRI1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_RR_BURST_SZ_PRI1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)

#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_STARVE_CNTR_PRI0_SHIFT                       _MK_SHIFT_CONST(12)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_STARVE_CNTR_PRI0_FIELD                       _MK_FIELD_CONST(0xf, XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_STARVE_CNTR_PRI0_SHIFT)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_STARVE_CNTR_PRI0_RANGE                       15:12
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_STARVE_CNTR_PRI0_WOFFSET                     0x0
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_STARVE_CNTR_PRI0_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_STARVE_CNTR_PRI0_DEFAULT_MASK                        _MK_MASK_CONST(0xf)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_STARVE_CNTR_PRI0_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_STARVE_CNTR_PRI0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)

#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_STARVE_CNTR_PRI1_SHIFT                       _MK_SHIFT_CONST(16)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_STARVE_CNTR_PRI1_FIELD                       _MK_FIELD_CONST(0x7, XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_STARVE_CNTR_PRI1_SHIFT)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_STARVE_CNTR_PRI1_RANGE                       18:16
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_STARVE_CNTR_PRI1_WOFFSET                     0x0
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_STARVE_CNTR_PRI1_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_STARVE_CNTR_PRI1_DEFAULT_MASK                        _MK_MASK_CONST(0x7)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_STARVE_CNTR_PRI1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_UFPCI_UFA_STARVE_CNTR_PRI1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)

#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_WAIT_IDLE_CNTR_SHIFT                   _MK_SHIFT_CONST(24)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_WAIT_IDLE_CNTR_FIELD                   _MK_FIELD_CONST(0xff, XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_WAIT_IDLE_CNTR_SHIFT)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_WAIT_IDLE_CNTR_RANGE                   31:24
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_WAIT_IDLE_CNTR_WOFFSET                 0x0
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_WAIT_IDLE_CNTR_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_WAIT_IDLE_CNTR_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_WAIT_IDLE_CNTR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_A2F_UFPCI_CFG0_0_STATIC_WAIT_IDLE_CNTR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)


// Register XUSB_DEV_A2F_UFPCI_CFG1_0
#define XUSB_DEV_A2F_UFPCI_CFG1_0                       _MK_ADDR_CONST(0x1e4)
#define XUSB_DEV_A2F_UFPCI_CFG1_0_SECURE                        0x0
#define XUSB_DEV_A2F_UFPCI_CFG1_0_SCR                   0
#define XUSB_DEV_A2F_UFPCI_CFG1_0_WORD_COUNT                    0x1
#define XUSB_DEV_A2F_UFPCI_CFG1_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_A2F_UFPCI_CFG1_0_RESET_MASK                    _MK_MASK_CONST(0xff)
#define XUSB_DEV_A2F_UFPCI_CFG1_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_DEV_A2F_UFPCI_CFG1_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_DEV_A2F_UFPCI_CFG1_0_READ_MASK                     _MK_MASK_CONST(0xff)
#define XUSB_DEV_A2F_UFPCI_CFG1_0_WRITE_MASK                    _MK_MASK_CONST(0xff)
#define XUSB_DEV_A2F_UFPCI_CFG1_0_STATIC_WAIT_UNCLAMP_CNTR_SHIFT                        _MK_SHIFT_CONST(0)
#define XUSB_DEV_A2F_UFPCI_CFG1_0_STATIC_WAIT_UNCLAMP_CNTR_FIELD                        _MK_FIELD_CONST(0xff, XUSB_DEV_A2F_UFPCI_CFG1_0_STATIC_WAIT_UNCLAMP_CNTR_SHIFT)
#define XUSB_DEV_A2F_UFPCI_CFG1_0_STATIC_WAIT_UNCLAMP_CNTR_RANGE                        7:0
#define XUSB_DEV_A2F_UFPCI_CFG1_0_STATIC_WAIT_UNCLAMP_CNTR_WOFFSET                      0x0
#define XUSB_DEV_A2F_UFPCI_CFG1_0_STATIC_WAIT_UNCLAMP_CNTR_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_A2F_UFPCI_CFG1_0_STATIC_WAIT_UNCLAMP_CNTR_DEFAULT_MASK                 _MK_MASK_CONST(0xff)
#define XUSB_DEV_A2F_UFPCI_CFG1_0_STATIC_WAIT_UNCLAMP_CNTR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_A2F_UFPCI_CFG1_0_STATIC_WAIT_UNCLAMP_CNTR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


// Register XUSB_DEV_DUMMY_REG_0
#define XUSB_DEV_DUMMY_REG_0                    _MK_ADDR_CONST(0x1e8)
#define XUSB_DEV_DUMMY_REG_0_SECURE                     0x0
#define XUSB_DEV_DUMMY_REG_0_SCR                        0
#define XUSB_DEV_DUMMY_REG_0_WORD_COUNT                         0x1
#define XUSB_DEV_DUMMY_REG_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define XUSB_DEV_DUMMY_REG_0_RESET_MASK                         _MK_MASK_CONST(0x1)
#define XUSB_DEV_DUMMY_REG_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define XUSB_DEV_DUMMY_REG_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_DEV_DUMMY_REG_0_READ_MASK                  _MK_MASK_CONST(0x1)
#define XUSB_DEV_DUMMY_REG_0_WRITE_MASK                         _MK_MASK_CONST(0x1)
#define XUSB_DEV_DUMMY_REG_0_DUMMY_SHIFT                        _MK_SHIFT_CONST(0)
#define XUSB_DEV_DUMMY_REG_0_DUMMY_FIELD                        _MK_FIELD_CONST(0x1, XUSB_DEV_DUMMY_REG_0_DUMMY_SHIFT)
#define XUSB_DEV_DUMMY_REG_0_DUMMY_RANGE                        0:0
#define XUSB_DEV_DUMMY_REG_0_DUMMY_WOFFSET                      0x0
#define XUSB_DEV_DUMMY_REG_0_DUMMY_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_DEV_DUMMY_REG_0_DUMMY_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define XUSB_DEV_DUMMY_REG_0_DUMMY_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_DEV_DUMMY_REG_0_DUMMY_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)


//
// REGISTER LIST
//
#define LIST_ARXUSB_DEV_REGS(_op_) \
_op_(XUSB_DEV_AXI_BAR0_SZ_0) \
_op_(XUSB_DEV_AXI_BAR1_SZ_0) \
_op_(XUSB_DEV_AXI_BAR2_SZ_0) \
_op_(XUSB_DEV_AXI_BAR3_SZ_0) \
_op_(XUSB_DEV_AXI_BAR0_START_0) \
_op_(XUSB_DEV_AXI_BAR1_START_0) \
_op_(XUSB_DEV_AXI_BAR2_START_0) \
_op_(XUSB_DEV_AXI_BAR3_START_0) \
_op_(XUSB_DEV_FPCI_BAR0_0) \
_op_(XUSB_DEV_FPCI_BAR1_0) \
_op_(XUSB_DEV_FPCI_BAR2_0) \
_op_(XUSB_DEV_FPCI_BAR3_0) \
_op_(XUSB_DEV_MSI_BAR_SZ_0) \
_op_(XUSB_DEV_MSI_AXI_BAR_ST_0) \
_op_(XUSB_DEV_MSI_FPCI_BAR_ST_0) \
_op_(XUSB_DEV_MSI_VEC0_0) \
_op_(XUSB_DEV_MSI_VEC1_0) \
_op_(XUSB_DEV_MSI_VEC2_0) \
_op_(XUSB_DEV_MSI_VEC3_0) \
_op_(XUSB_DEV_MSI_VEC4_0) \
_op_(XUSB_DEV_MSI_VEC5_0) \
_op_(XUSB_DEV_MSI_VEC6_0) \
_op_(XUSB_DEV_MSI_VEC7_0) \
_op_(XUSB_DEV_MSI_EN_VEC0_0) \
_op_(XUSB_DEV_MSI_EN_VEC1_0) \
_op_(XUSB_DEV_MSI_EN_VEC2_0) \
_op_(XUSB_DEV_MSI_EN_VEC3_0) \
_op_(XUSB_DEV_MSI_EN_VEC4_0) \
_op_(XUSB_DEV_MSI_EN_VEC5_0) \
_op_(XUSB_DEV_MSI_EN_VEC6_0) \
_op_(XUSB_DEV_MSI_EN_VEC7_0) \
_op_(XUSB_DEV_CONFIGURATION_0) \
_op_(XUSB_DEV_FPCI_ERROR_MASKS_0) \
_op_(XUSB_DEV_INTR_MASK_0) \
_op_(XUSB_DEV_INTR_CODE_0) \
_op_(XUSB_DEV_INTR_SIGNATURE_0) \
_op_(XUSB_DEV_UPPER_FPCI_ADDR_0) \
_op_(XUSB_DEV_IPFS_INTR_ENABLE_0) \
_op_(XUSB_DEV_UFPCI_CONFIG_0) \
_op_(XUSB_DEV_CFG_REVID_0) \
_op_(XUSB_DEV_FPCI_TIMEOUT_0) \
_op_(XUSB_DEV_TOM_0) \
_op_(XUSB_DEV_INITIATOR_ISO_PW_RESP_PENDING_0) \
_op_(XUSB_DEV_INITIATOR_NISO_PW_RESP_PENDING_0) \
_op_(XUSB_DEV_INTR_STATUS_0) \
_op_(XUSB_DEV_DFPCI_BEN_0) \
_op_(XUSB_DEV_CLKGATE_HYSTERESIS_0) \
_op_(XUSB_DEV_SPARE_REG0_0) \
_op_(XUSB_DEV_ORDERING_RULES_0) \
_op_(XUSB_DEV_A2F_UFPCI_CFG0_0) \
_op_(XUSB_DEV_A2F_UFPCI_CFG1_0) \
_op_(XUSB_DEV_DUMMY_REG_0)


//
// ADDRESS SPACES
//

#define BASE_ADDRESS_XUSB_DEV   0x00000000

//
// ARXUSB_DEV REGISTER BANKS
//

#define XUSB_DEV0_FIRST_REG 0x0000 // XUSB_DEV_AXI_BAR0_SZ_0
#define XUSB_DEV0_LAST_REG 0x000c // XUSB_DEV_AXI_BAR3_SZ_0
#define XUSB_DEV1_FIRST_REG 0x0040 // XUSB_DEV_AXI_BAR0_START_0
#define XUSB_DEV1_LAST_REG 0x004c // XUSB_DEV_AXI_BAR3_START_0
#define XUSB_DEV2_FIRST_REG 0x0080 // XUSB_DEV_FPCI_BAR0_0
#define XUSB_DEV2_LAST_REG 0x008c // XUSB_DEV_FPCI_BAR3_0
#define XUSB_DEV3_FIRST_REG 0x00c0 // XUSB_DEV_MSI_BAR_SZ_0
#define XUSB_DEV3_LAST_REG 0x00c8 // XUSB_DEV_MSI_FPCI_BAR_ST_0
#define XUSB_DEV4_FIRST_REG 0x0100 // XUSB_DEV_MSI_VEC0_0
#define XUSB_DEV4_LAST_REG 0x011c // XUSB_DEV_MSI_VEC7_0
#define XUSB_DEV5_FIRST_REG 0x0140 // XUSB_DEV_MSI_EN_VEC0_0
#define XUSB_DEV5_LAST_REG 0x015c // XUSB_DEV_MSI_EN_VEC7_0
#define XUSB_DEV6_FIRST_REG 0x0180 // XUSB_DEV_CONFIGURATION_0
#define XUSB_DEV6_LAST_REG 0x01bc // XUSB_DEV_CLKGATE_HYSTERESIS_0
#define XUSB_DEV7_FIRST_REG 0x01d8 // XUSB_DEV_SPARE_REG0_0
#define XUSB_DEV7_LAST_REG 0x01e8 // XUSB_DEV_DUMMY_REG_0

// To satisfy various compilers and platforms,
// we let users control the types and syntax of certain constants, using macros.
#ifndef _MK_SHIFT_CONST
  #define _MK_SHIFT_CONST(_constant_) _constant_
#endif
#ifndef _MK_MASK_CONST
  #define _MK_MASK_CONST(_constant_) _constant_
#endif
#ifndef _MK_ENUM_CONST
  #define _MK_ENUM_CONST(_constant_) (_constant_ ## UL)
#endif
#ifndef _MK_ADDR_CONST
  #define _MK_ADDR_CONST(_constant_) _constant_
#endif
#ifndef _MK_FIELD_CONST
  #define _MK_FIELD_CONST(_mask_, _shift_) (_MK_MASK_CONST(_mask_) << _MK_SHIFT_CONST(_shift_))
#endif

#endif // ifndef ___ARXUSB_DEV_H_INC_
