/*
 * Copyright (c) 2017 NVIDIA Corporation.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *  * Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *  * Neither the name of NVIDIA CORPORATION nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

// Initialization array generated by tool warmboot_code_gen
// The entries marked "(*)" below are not used by warm boot sequence
// The entries marked "(+)" are restored outside and need to be preserved
#define SW_DEFAULT(d,r) (d##_##r##_0_SW_DEFAULT_VAL)
static const NvBootSdramParams initParams =
{
#ifndef WB_CODE_TEST
    NvBootMemoryType_None,                    // MemoryType
    1100,                                     // MemIoVoltage
    CLK_RST_CONTROLLER_PLLM_BASE_0_PLLM_DIVM_DEFAULT, // PllMInputDivider
    CLK_RST_CONTROLLER_PLLM_BASE_0_PLLM_DIVN_DEFAULT, // PllMFeedbackDivider
    0,                                        // PllMStableTime
    SW_DEFAULT(CLK_RST_CONTROLLER, PLLM_MISC1), // PllMSetupControl
    CLK_RST_CONTROLLER_PLLM_BASE_0_PLLM_DIVP_DEFAULT, // PllMPostDivider
    CLK_RST_CONTROLLER_PLLM_MISC2_0_PLLM_KCP_DEFAULT, // PllMKCP
    CLK_RST_CONTROLLER_PLLM_MISC2_0_PLLM_KVCO_DEFAULT, // PllMKVCO
    0,                                        // InitExtraForFpga
    0,                                        // EmcBctSpare0
    0,                                        // EmcBctSpare1
    0,                                        // EmcBctSpare2
    0,                                        // EmcBctSpare3
    0,                                        // EmcBctSpare4
    0,                                        // EmcBctSpare5
    0,                                        // EmcBctSpare6
    0,                                        // EmcBctSpare7
    0,                                        // EmcBctSpare8
    0,                                        // EmcBctSpare9
    0,                                        // EmcBctSpare10 (*)
    0,                                        // EmcBctSpare11 (*)
    0,                                        // EmcBctSpare12
    0,                                        // EmcBctSpare13
    0,                                        // EmcBctSpareSecure0 (*)
    0,                                        // EmcBctSpareSecure1 (*)
    0,                                        // EmcBctSpareSecure2 (*)
    0,                                        // EmcBctSpareSecure3 (*)
    0,                                        // EmcBctSpareSecure4 (*)
    0,                                        // EmcBctSpareSecure5 (*)
    0,                                        // EmcBctSpareSecure6 (*)
    0,                                        // EmcBctSpareSecure7 (*)
    0,                                        // EmcBctSpareSecure8 (*)
    0,                                        // EmcBctSpareSecure9 (*)
    0,                                        // EmcBctSpareSecure10 (*)
    0,                                        // EmcBctSpareSecure11 (*)
    0,                                        // EmcBctSpareSecure12 (*)
    0,                                        // EmcBctSpareSecure13 (*)
    0,                                        // EmcBctSpareSecure14 (*)
    0,                                        // EmcBctSpareSecure15 (*)
    0,                                        // EmcBctSpareSecure16 (*)
    0,                                        // EmcBctSpareSecure17 (*)
    0,                                        // EmcBctSpareSecure18 (*)
    0,                                        // EmcBctSpareSecure19 (*)
    0,                                        // EmcBctSpareSecure20 (*)
    0,                                        // EmcBctSpareSecure21 (*)
    0,                                        // EmcBctSpareSecure22 (*)
    0,                                        // EmcBctSpareSecure23 (*)
    SW_DEFAULT(CLK_RST_CONTROLLER, CLK_SOURCE_EMC), // EmcClockSource
    SW_DEFAULT(CLK_RST_CONTROLLER, CLK_SOURCE_EMC_DLL), // EmcClockSourceDll
    SW_DEFAULT(CLK_RST_CONTROLLER, PLLM_MISC2),
                                              // ClkRstControllerPllmMisc2Override
    0,
                                              // ClkRstControllerPllmMisc2OverrideEnable
    SW_DEFAULT(CLK_RST_CONTROLLER, CLK_OUT_ENB_EMC_CLR), // ClkRstClkEnbClrEmc
    SW_DEFAULT(CLK_RST_CONTROLLER, CLK_OUT_ENB_EMCSB_CLR),
                                              // ClkRstClkEnbClrEmcSb
    SW_DEFAULT(CLK_RST_CONTROLLER, EMC_MISC), // ClkRstEmcMisc
    SW_DEFAULT(EMC, AUTO_CAL_INTERVAL),       // EmcAutoCalInterval
    SW_DEFAULT(EMC, AUTO_CAL_CONFIG),         // EmcAutoCalConfig
    SW_DEFAULT(EMC, AUTO_CAL_CONFIG2),        // EmcAutoCalConfig2
    SW_DEFAULT(EMC, AUTO_CAL_CONFIG3),        // EmcAutoCalConfig3_0
    SW_DEFAULT(EMC, AUTO_CAL_CONFIG3),        // EmcAutoCalConfig3_2
    SW_DEFAULT(EMC, AUTO_CAL_CONFIG4),        // EmcAutoCalConfig4_0
    SW_DEFAULT(EMC, AUTO_CAL_CONFIG4),        // EmcAutoCalConfig4_2
    SW_DEFAULT(EMC, AUTO_CAL_CONFIG5),        // EmcAutoCalConfig5_0
    SW_DEFAULT(EMC, AUTO_CAL_CONFIG5),        // EmcAutoCalConfig5_2
    SW_DEFAULT(EMC, AUTO_CAL_CONFIG6),        // EmcAutoCalConfig6_0
    SW_DEFAULT(EMC, AUTO_CAL_CONFIG6),        // EmcAutoCalConfig6_2
    SW_DEFAULT(EMC, AUTO_CAL_CONFIG7),        // EmcAutoCalConfig7_0
    SW_DEFAULT(EMC, AUTO_CAL_CONFIG7),        // EmcAutoCalConfig7_2
    SW_DEFAULT(EMC, AUTO_CAL_CONFIG8),        // EmcAutoCalConfig8_0
    SW_DEFAULT(EMC, AUTO_CAL_CONFIG8),        // EmcAutoCalConfig8_2
    SW_DEFAULT(EMC, AUTO_CAL_CONFIG9),        // EmcAutoCalConfig9
    SW_DEFAULT(EMC, AUTO_CAL_VREF_SEL_0),     // EmcAutoCalVrefSel0
    SW_DEFAULT(EMC, AUTO_CAL_VREF_SEL_1),     // EmcAutoCalVrefSel1
    SW_DEFAULT(EMC, AUTO_CAL_CHANNEL),        // EmcAutoCalChannel
    SW_DEFAULT(EMC, PMACRO_AUTOCAL_CFG_0),    // EmcPmacroAutocalCfg0_0
    SW_DEFAULT(EMC, PMACRO_AUTOCAL_CFG_0),    // EmcPmacroAutocalCfg0_2
    SW_DEFAULT(EMC, PMACRO_AUTOCAL_CFG_1),    // EmcPmacroAutocalCfg1_0
    SW_DEFAULT(EMC, PMACRO_AUTOCAL_CFG_1),    // EmcPmacroAutocalCfg1_2
    SW_DEFAULT(EMC, PMACRO_AUTOCAL_CFG_2),    // EmcPmacroAutocalCfg2_0
    SW_DEFAULT(EMC, PMACRO_AUTOCAL_CFG_2),    // EmcPmacroAutocalCfg2_2
    SW_DEFAULT(EMC, PMACRO_RX_TERM),          // EmcPmacroRxTerm
    SW_DEFAULT(EMC, PMACRO_DQ_TX_DRV),        // EmcPmacroDqTxDrv
    SW_DEFAULT(EMC, PMACRO_CA_TX_DRV),        // EmcPmacroCaTxDrv
    SW_DEFAULT(EMC, PMACRO_CMD_TX_DRV),       // EmcPmacroCmdTxDrv
    SW_DEFAULT(EMC, PMACRO_AUTOCAL_CFG_COMMON), // EmcPmacroAutocalCfgCommon
    SW_DEFAULT(EMC, PMACRO_ZCTRL),            // EmcPmacroZctrl
    0,                                        // EmcAutoCalWait
    SW_DEFAULT(EMC, XM2COMPPADCTRL),          // EmcXm2CompPadCtrl
    SW_DEFAULT(EMC, XM2COMPPADCTRL2),         // EmcXm2CompPadCtrl2
    SW_DEFAULT(EMC, XM2COMPPADCTRL3),         // EmcXm2CompPadCtrl3
    SW_DEFAULT(EMC, ADR_CFG),                 // EmcAdrCfg
    0,                                        // EmcPinProgramWait
    0,                                        // EmcPinExtraWait (*)
    0,                                        // EmcPinGpioEn
    0,                                        // EmcPinGpioRamdump
    0,                                        // EmcPinGpio
    0,                                        // EmcTimingControlWait
    SW_DEFAULT(EMC, RC),                      // EmcRc
    SW_DEFAULT(EMC, RFC),                     // EmcRfc
    SW_DEFAULT(EMC, RFCPB),                   // EmcRfcPb
    SW_DEFAULT(EMC, REFCTRL2),                // EmcRefctrl2
    SW_DEFAULT(EMC, RFC_SLR),                 // EmcRfcSlr
    SW_DEFAULT(EMC, RAS),                     // EmcRas
    SW_DEFAULT(EMC, RP),                      // EmcRp
    SW_DEFAULT(EMC, R2R),                     // EmcR2r
    SW_DEFAULT(EMC, W2W),                     // EmcW2w
    SW_DEFAULT(EMC, R2W),                     // EmcR2w
    SW_DEFAULT(EMC, W2R),                     // EmcW2r
    SW_DEFAULT(EMC, R2P),                     // EmcR2p
    SW_DEFAULT(EMC, W2P),                     // EmcW2p
    SW_DEFAULT(EMC, TPPD),                    // EmcTppd
    SW_DEFAULT(EMC, TRTM),                    // EmcTrtm
    SW_DEFAULT(EMC, TWTM),                    // EmcTwtm
    SW_DEFAULT(EMC, TRATM),                   // EmcTratm
    SW_DEFAULT(EMC, TWATM),                   // EmcTwatm
    SW_DEFAULT(EMC, TR2REF),                  // EmcTr2ref
    SW_DEFAULT(EMC, CCDMW),                   // EmcCcdmw
    SW_DEFAULT(EMC, RD_RCD),                  // EmcRdRcd
    SW_DEFAULT(EMC, WR_RCD),                  // EmcWrRcd
    SW_DEFAULT(EMC, RRD),                     // EmcRrd
    SW_DEFAULT(EMC, REXT),                    // EmcRext
    SW_DEFAULT(EMC, WEXT),                    // EmcWext
    SW_DEFAULT(EMC, WDV),                     // EmcWdv
    SW_DEFAULT(EMC, WDV_CHK),                 // EmcWdvChk
    SW_DEFAULT(EMC, WSV),                     // EmcWsv
    SW_DEFAULT(EMC, WEV),                     // EmcWev
    SW_DEFAULT(EMC, WDV_MASK),                // EmcWdvMask
    SW_DEFAULT(EMC, WS_DURATION),             // EmcWsDuration
    SW_DEFAULT(EMC, WE_DURATION),             // EmcWeDuration
    SW_DEFAULT(EMC, QUSE),                    // EmcQUse
    SW_DEFAULT(EMC, QUSE_WIDTH),              // EmcQuseWidth
    SW_DEFAULT(EMC, IBDLY),                   // EmcIbdly
    SW_DEFAULT(EMC, OBDLY),                   // EmcObdly
    SW_DEFAULT(EMC, EINPUT),                  // EmcEInput
    SW_DEFAULT(EMC, EINPUT_DURATION),         // EmcEInputDuration
    SW_DEFAULT(EMC, PUTERM_EXTRA),            // EmcPutermExtra
    SW_DEFAULT(EMC, PUTERM_WIDTH),            // EmcPutermWidth
    SW_DEFAULT(EMC, QRST),                    // EmcQRst
    SW_DEFAULT(EMC, QSAFE),                   // EmcQSafe
    SW_DEFAULT(EMC, RDV),                     // EmcRdv
    SW_DEFAULT(EMC, RDV_MASK),                // EmcRdvMask
    SW_DEFAULT(EMC, RDV_EARLY),               // EmcRdvEarly
    SW_DEFAULT(EMC, RDV_EARLY_MASK),          // EmcRdvEarlyMask
    SW_DEFAULT(EMC, QPOP),                    // EmcQpop
    SW_DEFAULT(EMC, REFRESH),                 // EmcRefresh
    SW_DEFAULT(EMC, BURST_REFRESH_NUM),       // EmcBurstRefreshNum
    SW_DEFAULT(EMC, PRE_REFRESH_REQ_CNT),     // EmcPreRefreshReqCnt
    SW_DEFAULT(EMC, PDEX2WR),                 // EmcPdEx2Wr
    SW_DEFAULT(EMC, PDEX2RD),                 // EmcPdEx2Rd
    SW_DEFAULT(EMC, PCHG2PDEN),               // EmcPChg2Pden
    SW_DEFAULT(EMC, ACT2PDEN),                // EmcAct2Pden
    SW_DEFAULT(EMC, AR2PDEN),                 // EmcAr2Pden
    SW_DEFAULT(EMC, RW2PDEN),                 // EmcRw2Pden
    SW_DEFAULT(EMC, CKE2PDEN),                // EmcCke2Pden
    SW_DEFAULT(EMC, PDEX2CKE),                // EmcPdex2Cke
    SW_DEFAULT(EMC, PDEX2MRR),                // EmcPdex2Mrr
    SW_DEFAULT(EMC, TXSR),                    // EmcTxsr
    SW_DEFAULT(EMC, TXSRDLL),                 // EmcTxsrDll
    SW_DEFAULT(EMC, TCKE),                    // EmcTcke
    SW_DEFAULT(EMC, TCKESR),                  // EmcTckesr
    SW_DEFAULT(EMC, TPD),                     // EmcTpd
    SW_DEFAULT(EMC, TFAW),                    // EmcTfaw
    SW_DEFAULT(EMC, TRPAB),                   // EmcTrpab
    SW_DEFAULT(EMC, TCLKSTABLE),              // EmcTClkStable
    SW_DEFAULT(EMC, TCLKSTOP),                // EmcTClkStop
    SW_DEFAULT(EMC, TREFBW),                  // EmcTRefBw
    SW_DEFAULT(EMC, FBIO_CFG5),               // EmcFbioCfg5
    SW_DEFAULT(EMC, FBIO_CFG7),               // EmcFbioCfg7
    SW_DEFAULT(EMC, FBIO_CFG8),               // EmcFbioCfg8_0
    SW_DEFAULT(EMC, FBIO_CFG8),               // EmcFbioCfg8_2
    SW_DEFAULT(EMC, FBIO_CFG9),               // EmcFbioCfg9
    SW_DEFAULT(EMC, CMD_MAPPING_CMD0_0),      // EmcCmdMappingCmd0_0_0
    SW_DEFAULT(EMC, CMD_MAPPING_CMD0_0),      // EmcCmdMappingCmd0_0_2
    SW_DEFAULT(EMC, CMD_MAPPING_CMD0_1),      // EmcCmdMappingCmd0_1_0
    SW_DEFAULT(EMC, CMD_MAPPING_CMD0_1),      // EmcCmdMappingCmd0_1_2
    SW_DEFAULT(EMC, CMD_MAPPING_CMD0_2),      // EmcCmdMappingCmd0_2_0
    SW_DEFAULT(EMC, CMD_MAPPING_CMD0_2),      // EmcCmdMappingCmd0_2_2
    SW_DEFAULT(EMC, CMD_MAPPING_CMD1_0),      // EmcCmdMappingCmd1_0_0
    SW_DEFAULT(EMC, CMD_MAPPING_CMD1_0),      // EmcCmdMappingCmd1_0_2
    SW_DEFAULT(EMC, CMD_MAPPING_CMD1_1),      // EmcCmdMappingCmd1_1_0
    SW_DEFAULT(EMC, CMD_MAPPING_CMD1_1),      // EmcCmdMappingCmd1_1_2
    SW_DEFAULT(EMC, CMD_MAPPING_CMD1_2),      // EmcCmdMappingCmd1_2_0
    SW_DEFAULT(EMC, CMD_MAPPING_CMD1_2),      // EmcCmdMappingCmd1_2_2
    SW_DEFAULT(EMC, CMD_MAPPING_CMD2_0),      // EmcCmdMappingCmd2_0_0
    SW_DEFAULT(EMC, CMD_MAPPING_CMD2_0),      // EmcCmdMappingCmd2_0_2
    SW_DEFAULT(EMC, CMD_MAPPING_CMD2_1),      // EmcCmdMappingCmd2_1_0
    SW_DEFAULT(EMC, CMD_MAPPING_CMD2_1),      // EmcCmdMappingCmd2_1_2
    SW_DEFAULT(EMC, CMD_MAPPING_CMD2_2),      // EmcCmdMappingCmd2_2_0
    SW_DEFAULT(EMC, CMD_MAPPING_CMD2_2),      // EmcCmdMappingCmd2_2_2
    SW_DEFAULT(EMC, CMD_MAPPING_CMD3_0),      // EmcCmdMappingCmd3_0_0
    SW_DEFAULT(EMC, CMD_MAPPING_CMD3_0),      // EmcCmdMappingCmd3_0_2
    SW_DEFAULT(EMC, CMD_MAPPING_CMD3_1),      // EmcCmdMappingCmd3_1_0
    SW_DEFAULT(EMC, CMD_MAPPING_CMD3_1),      // EmcCmdMappingCmd3_1_2
    SW_DEFAULT(EMC, CMD_MAPPING_CMD3_2),      // EmcCmdMappingCmd3_2_0
    SW_DEFAULT(EMC, CMD_MAPPING_CMD3_2),      // EmcCmdMappingCmd3_2_2
    SW_DEFAULT(EMC, CMD_MAPPING_BYTE),        // EmcCmdMappingByte_0
    SW_DEFAULT(EMC, CMD_MAPPING_BYTE),        // EmcCmdMappingByte_2
    SW_DEFAULT(EMC, FBIO_SPARE),              // EmcFbioSpare
    SW_DEFAULT(EMC, CFG_RSV),                 // EmcCfgRsv
    SW_DEFAULT(EMC, MRS),                     // EmcMrs
    SW_DEFAULT(EMC, EMRS),                    // EmcEmrs
    SW_DEFAULT(EMC, EMRS2),                   // EmcEmrs2
    SW_DEFAULT(EMC, EMRS3),                   // EmcEmrs3
    SW_DEFAULT(EMC, MRW),                     // EmcMrw1
    SW_DEFAULT(EMC, MRW2),                    // EmcMrw2
    SW_DEFAULT(EMC, MRW3),                    // EmcMrw3
    SW_DEFAULT(EMC, MRW4),                    // EmcMrw4
    SW_DEFAULT(EMC, MRW6),                    // EmcMrw6
    SW_DEFAULT(EMC, MRW8),                    // EmcMrw8
    SW_DEFAULT(EMC, MRW9),                    // EmcMrw9_0
    SW_DEFAULT(EMC, MRW9),                    // EmcMrw9_2
    SW_DEFAULT(EMC, MRW10),                   // EmcMrw10
    SW_DEFAULT(EMC, MRW12),                   // EmcMrw12
    SW_DEFAULT(EMC, MRW13),                   // EmcMrw13
    SW_DEFAULT(EMC, MRW14),                   // EmcMrw14
    0,                                        // EmcMrwExtra (*)
    SW_DEFAULT(EMC, MRW),                     // EmcWarmBootMrwExtra
    0,                                        // EmcWarmBootExtraModeRegWriteEnable
    0,                                        // EmcExtraModeRegWriteEnable (*)
    0,                                        // EmcMrwResetCommand (*)
    0,                                        // EmcMrwResetNInitWait (*)
    SW_DEFAULT(EMC, MRS_WAIT_CNT),            // EmcMrsWaitCnt
    SW_DEFAULT(EMC, MRS_WAIT_CNT2),           // EmcMrsWaitCnt2
    SW_DEFAULT(EMC, CFG),                     // EmcCfg
    SW_DEFAULT(EMC, RESET_PAD_CTRL),          // EmcResetPadCtrl
    SW_DEFAULT(EMC, CFG_2),                   // EmcCfg2
    SW_DEFAULT(EMC, CFG_PIPE),                // EmcCfgPipe_0
    SW_DEFAULT(EMC, CFG_PIPE),                // EmcCfgPipe_2
    SW_DEFAULT(EMC, CFG_PIPE_CLK),            // EmcCfgPipeClk
    SW_DEFAULT(EMC, FDPD_CTRL_CMD_NO_RAMP),   // EmcFdpdCtrlCmdNoRamp
    SW_DEFAULT(EMC, CFG_UPDATE),              // EmcCfgUpdate
    SW_DEFAULT(EMC, DBG),                     // EmcDbg
    0,                                        // EmcDbgWriteMux
    SW_DEFAULT(EMC, CMDQ),                    // EmcCmdQ
    SW_DEFAULT(EMC, MC2EMCQ),                 // EmcMc2EmcQ
    SW_DEFAULT(EMC, DYN_SELF_REF_CONTROL),    // EmcDynSelfRefControl
    SW_DEFAULT(EMC, ASR_CONTROL),             // EmcAsrControl
    SW_DEFAULT(EMC, CFG_DIG_DLL),             // EmcCfgDigDll
    SW_DEFAULT(EMC, CFG_DIG_DLL_1),           // EmcCfgDigDll_1
    SW_DEFAULT(EMC, CFG_DIG_DLL_PERIOD),      // EmcCfgDigDllPeriod
    0,                                        // EmcDevSelect
    SW_DEFAULT(EMC, SEL_DPD_CTRL),            // EmcSelDpdCtrl
    SW_DEFAULT(EMC, FDPD_CTRL_DQ),            // EmcFdpdCtrlDq
    SW_DEFAULT(EMC, FDPD_CTRL_CMD),           // EmcFdpdCtrlCmd
    SW_DEFAULT(EMC, PMACRO_IB_VREF_DQ_0),     // EmcPmacroIbVrefDq_0_0
    SW_DEFAULT(EMC, PMACRO_IB_VREF_DQ_0),     // EmcPmacroIbVrefDq_0_2
    SW_DEFAULT(EMC, PMACRO_IB_VREF_DQ_1),     // EmcPmacroIbVrefDq_1_0
    SW_DEFAULT(EMC, PMACRO_IB_VREF_DQ_1),     // EmcPmacroIbVrefDq_1_2
    SW_DEFAULT(EMC, PMACRO_IB_VREF_DQS_0),    // EmcPmacroIbVrefDqs_0_0
    SW_DEFAULT(EMC, PMACRO_IB_VREF_DQS_0),    // EmcPmacroIbVrefDqs_0_2
    SW_DEFAULT(EMC, PMACRO_IB_VREF_DQS_1),    // EmcPmacroIbVrefDqs_1_0
    SW_DEFAULT(EMC, PMACRO_IB_VREF_DQS_1),    // EmcPmacroIbVrefDqs_1_2
    SW_DEFAULT(EMC, PMACRO_IB_RXRT),          // EmcPmacroIbRxrt
    SW_DEFAULT(EMC, CFG_PIPE_1),              // EmcCfgPipe1_0
    SW_DEFAULT(EMC, CFG_PIPE_1),              // EmcCfgPipe1_2
    SW_DEFAULT(EMC, CFG_PIPE_2),              // EmcCfgPipe2_0
    SW_DEFAULT(EMC, CFG_PIPE_2),              // EmcCfgPipe2_2
    SW_DEFAULT(EMC, PMACRO_QUSE_DDLL_RANK0_0), // EmcPmacroQuseDdllRank0_0_2
    SW_DEFAULT(EMC, PMACRO_QUSE_DDLL_RANK0_0), // EmcPmacroQuseDdllRank0_0_0
    SW_DEFAULT(EMC, PMACRO_QUSE_DDLL_RANK0_1), // EmcPmacroQuseDdllRank0_1_0
    SW_DEFAULT(EMC, PMACRO_QUSE_DDLL_RANK0_1), // EmcPmacroQuseDdllRank0_1_2
    SW_DEFAULT(EMC, PMACRO_QUSE_DDLL_RANK0_2), // EmcPmacroQuseDdllRank0_2_0
    SW_DEFAULT(EMC, PMACRO_QUSE_DDLL_RANK0_2), // EmcPmacroQuseDdllRank0_2_2
    SW_DEFAULT(EMC, PMACRO_QUSE_DDLL_RANK0_3), // EmcPmacroQuseDdllRank0_3_0
    SW_DEFAULT(EMC, PMACRO_QUSE_DDLL_RANK0_3), // EmcPmacroQuseDdllRank0_3_2
    SW_DEFAULT(EMC, PMACRO_QUSE_DDLL_RANK0_4), // EmcPmacroQuseDdllRank0_4_0
    SW_DEFAULT(EMC, PMACRO_QUSE_DDLL_RANK0_4), // EmcPmacroQuseDdllRank0_4_2
    SW_DEFAULT(EMC, PMACRO_QUSE_DDLL_RANK0_5), // EmcPmacroQuseDdllRank0_5_0
    SW_DEFAULT(EMC, PMACRO_QUSE_DDLL_RANK0_5), // EmcPmacroQuseDdllRank0_5_2
    SW_DEFAULT(EMC, PMACRO_QUSE_DDLL_RANK1_0), // EmcPmacroQuseDdllRank1_0_0
    SW_DEFAULT(EMC, PMACRO_QUSE_DDLL_RANK1_0), // EmcPmacroQuseDdllRank1_0_2
    SW_DEFAULT(EMC, PMACRO_QUSE_DDLL_RANK1_1), // EmcPmacroQuseDdllRank1_1_0
    SW_DEFAULT(EMC, PMACRO_QUSE_DDLL_RANK1_1), // EmcPmacroQuseDdllRank1_1_2
    SW_DEFAULT(EMC, PMACRO_QUSE_DDLL_RANK1_2), // EmcPmacroQuseDdllRank1_2_0
    SW_DEFAULT(EMC, PMACRO_QUSE_DDLL_RANK1_2), // EmcPmacroQuseDdllRank1_2_2
    SW_DEFAULT(EMC, PMACRO_QUSE_DDLL_RANK1_3), // EmcPmacroQuseDdllRank1_3_0
    SW_DEFAULT(EMC, PMACRO_QUSE_DDLL_RANK1_3), // EmcPmacroQuseDdllRank1_3_2
    SW_DEFAULT(EMC, PMACRO_QUSE_DDLL_RANK1_4), // EmcPmacroQuseDdllRank1_4_0
    SW_DEFAULT(EMC, PMACRO_QUSE_DDLL_RANK1_4), // EmcPmacroQuseDdllRank1_4_2
    SW_DEFAULT(EMC, PMACRO_QUSE_DDLL_RANK1_5), // EmcPmacroQuseDdllRank1_5_0
    SW_DEFAULT(EMC, PMACRO_QUSE_DDLL_RANK1_5), // EmcPmacroQuseDdllRank1_5_2
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQ_RANK0_0),
                                              // EmcPmacroObDdllLongDqRank0_0_0
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQ_RANK0_0),
                                              // EmcPmacroObDdllLongDqRank0_0_2
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQ_RANK0_1),
                                              // EmcPmacroObDdllLongDqRank0_1_0
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQ_RANK0_1),
                                              // EmcPmacroObDdllLongDqRank0_1_2
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQ_RANK0_2),
                                              // EmcPmacroObDdllLongDqRank0_2_0
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQ_RANK0_2),
                                              // EmcPmacroObDdllLongDqRank0_2_2
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQ_RANK0_3),
                                              // EmcPmacroObDdllLongDqRank0_3_0
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQ_RANK0_3),
                                              // EmcPmacroObDdllLongDqRank0_3_2
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQ_RANK0_4),
                                              // EmcPmacroObDdllLongDqRank0_4_0
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQ_RANK0_4),
                                              // EmcPmacroObDdllLongDqRank0_4_2
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQ_RANK0_5),
                                              // EmcPmacroObDdllLongDqRank0_5_0
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQ_RANK0_5),
                                              // EmcPmacroObDdllLongDqRank0_5_2
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQ_RANK1_0),
                                              // EmcPmacroObDdllLongDqRank1_0_0
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQ_RANK1_0),
                                              // EmcPmacroObDdllLongDqRank1_0_2
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQ_RANK1_1),
                                              // EmcPmacroObDdllLongDqRank1_1_0
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQ_RANK1_1),
                                              // EmcPmacroObDdllLongDqRank1_1_2
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQ_RANK1_2),
                                              // EmcPmacroObDdllLongDqRank1_2_0
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQ_RANK1_2),
                                              // EmcPmacroObDdllLongDqRank1_2_2
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQ_RANK1_3),
                                              // EmcPmacroObDdllLongDqRank1_3_0
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQ_RANK1_3),
                                              // EmcPmacroObDdllLongDqRank1_3_2
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQ_RANK1_4),
                                              // EmcPmacroObDdllLongDqRank1_4_0
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQ_RANK1_4),
                                              // EmcPmacroObDdllLongDqRank1_4_2
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQ_RANK1_5),
                                              // EmcPmacroObDdllLongDqRank1_5_0
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQ_RANK1_5),
                                              // EmcPmacroObDdllLongDqRank1_5_2
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQS_RANK0_0),
                                              // EmcPmacroObDdllLongDqsRank0_0_0
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQS_RANK0_0),
                                              // EmcPmacroObDdllLongDqsRank0_0_2
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQS_RANK0_1),
                                              // EmcPmacroObDdllLongDqsRank0_1_0
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQS_RANK0_1),
                                              // EmcPmacroObDdllLongDqsRank0_1_2
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQS_RANK0_2),
                                              // EmcPmacroObDdllLongDqsRank0_2_0
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQS_RANK0_2),
                                              // EmcPmacroObDdllLongDqsRank0_2_2
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQS_RANK0_3),
                                              // EmcPmacroObDdllLongDqsRank0_3_0
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQS_RANK0_3),
                                              // EmcPmacroObDdllLongDqsRank0_3_2
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQS_RANK0_4),
                                              // EmcPmacroObDdllLongDqsRank0_4_0
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQS_RANK0_4),
                                              // EmcPmacroObDdllLongDqsRank0_4_2
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQS_RANK0_5),
                                              // EmcPmacroObDdllLongDqsRank0_5_0
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQS_RANK0_5),
                                              // EmcPmacroObDdllLongDqsRank0_5_2
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQS_RANK1_0),
                                              // EmcPmacroObDdllLongDqsRank1_0_0
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQS_RANK1_0),
                                              // EmcPmacroObDdllLongDqsRank1_0_2
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQS_RANK1_1),
                                              // EmcPmacroObDdllLongDqsRank1_1_0
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQS_RANK1_1),
                                              // EmcPmacroObDdllLongDqsRank1_1_2
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQS_RANK1_2),
                                              // EmcPmacroObDdllLongDqsRank1_2_0
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQS_RANK1_2),
                                              // EmcPmacroObDdllLongDqsRank1_2_2
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQS_RANK1_3),
                                              // EmcPmacroObDdllLongDqsRank1_3_0
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQS_RANK1_3),
                                              // EmcPmacroObDdllLongDqsRank1_3_2
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQS_RANK1_4),
                                              // EmcPmacroObDdllLongDqsRank1_4_0
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQS_RANK1_4),
                                              // EmcPmacroObDdllLongDqsRank1_4_2
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQS_RANK1_5),
                                              // EmcPmacroObDdllLongDqsRank1_5_0
    SW_DEFAULT(EMC, PMACRO_OB_DDLL_LONG_DQS_RANK1_5),
                                              // EmcPmacroObDdllLongDqsRank1_5_2
    SW_DEFAULT(EMC, PMACRO_IB_DDLL_LONG_DQS_RANK0_0),
                                              // EmcPmacroIbDdllLongDqsRank0_0_0
    SW_DEFAULT(EMC, PMACRO_IB_DDLL_LONG_DQS_RANK0_0),
                                              // EmcPmacroIbDdllLongDqsRank0_0_2
    SW_DEFAULT(EMC, PMACRO_IB_DDLL_LONG_DQS_RANK0_1),
                                              // EmcPmacroIbDdllLongDqsRank0_1_0
    SW_DEFAULT(EMC, PMACRO_IB_DDLL_LONG_DQS_RANK0_1),
                                              // EmcPmacroIbDdllLongDqsRank0_1_2
    SW_DEFAULT(EMC, PMACRO_IB_DDLL_LONG_DQS_RANK0_2),
                                              // EmcPmacroIbDdllLongDqsRank0_2_0
    SW_DEFAULT(EMC, PMACRO_IB_DDLL_LONG_DQS_RANK0_2),
                                              // EmcPmacroIbDdllLongDqsRank0_2_2
    SW_DEFAULT(EMC, PMACRO_IB_DDLL_LONG_DQS_RANK0_3),
                                              // EmcPmacroIbDdllLongDqsRank0_3_0
    SW_DEFAULT(EMC, PMACRO_IB_DDLL_LONG_DQS_RANK0_3),
                                              // EmcPmacroIbDdllLongDqsRank0_3_2
    SW_DEFAULT(EMC, PMACRO_IB_DDLL_LONG_DQS_RANK1_0),
                                              // EmcPmacroIbDdllLongDqsRank1_0_0
    SW_DEFAULT(EMC, PMACRO_IB_DDLL_LONG_DQS_RANK1_0),
                                              // EmcPmacroIbDdllLongDqsRank1_0_2
    SW_DEFAULT(EMC, PMACRO_IB_DDLL_LONG_DQS_RANK1_1),
                                              // EmcPmacroIbDdllLongDqsRank1_1_0
    SW_DEFAULT(EMC, PMACRO_IB_DDLL_LONG_DQS_RANK1_1),
                                              // EmcPmacroIbDdllLongDqsRank1_1_2
    SW_DEFAULT(EMC, PMACRO_IB_DDLL_LONG_DQS_RANK1_2),
                                              // EmcPmacroIbDdllLongDqsRank1_2_0
    SW_DEFAULT(EMC, PMACRO_IB_DDLL_LONG_DQS_RANK1_2),
                                              // EmcPmacroIbDdllLongDqsRank1_2_2
    SW_DEFAULT(EMC, PMACRO_IB_DDLL_LONG_DQS_RANK1_3),
                                              // EmcPmacroIbDdllLongDqsRank1_3_0
    SW_DEFAULT(EMC, PMACRO_IB_DDLL_LONG_DQS_RANK1_3),
                                              // EmcPmacroIbDdllLongDqsRank1_3_2
    SW_DEFAULT(EMC, PMACRO_DDLL_LONG_CMD_0),  // EmcPmacroDdllLongCmd_0_0
    SW_DEFAULT(EMC, PMACRO_DDLL_LONG_CMD_0),  // EmcPmacroDdllLongCmd_0_2
    SW_DEFAULT(EMC, PMACRO_DDLL_LONG_CMD_1),  // EmcPmacroDdllLongCmd_1_0
    SW_DEFAULT(EMC, PMACRO_DDLL_LONG_CMD_1),  // EmcPmacroDdllLongCmd_1_2
    SW_DEFAULT(EMC, PMACRO_DDLL_LONG_CMD_2),  // EmcPmacroDdllLongCmd_2_0
    SW_DEFAULT(EMC, PMACRO_DDLL_LONG_CMD_2),  // EmcPmacroDdllLongCmd_2_2
    SW_DEFAULT(EMC, PMACRO_DDLL_LONG_CMD_3),  // EmcPmacroDdllLongCmd_3_0
    SW_DEFAULT(EMC, PMACRO_DDLL_LONG_CMD_3),  // EmcPmacroDdllLongCmd_3_2
    SW_DEFAULT(EMC, PMACRO_DDLL_LONG_CMD_4),  // EmcPmacroDdllLongCmd_4_0
    SW_DEFAULT(EMC, PMACRO_DDLL_LONG_CMD_4),  // EmcPmacroDdllLongCmd_4_2
    SW_DEFAULT(EMC, PMACRO_DDLL_SHORT_CMD_0), // EmcPmacroDdllShortCmd_0
    SW_DEFAULT(EMC, PMACRO_DDLL_SHORT_CMD_1), // EmcPmacroDdllShortCmd_1
    SW_DEFAULT(EMC, PMACRO_DDLL_SHORT_CMD_2), // EmcPmacroDdllShortCmd_2
    0,                                        // WarmBootWait
    SW_DEFAULT(EMC, ODT_WRITE),               // EmcOdtWrite
    SW_DEFAULT(EMC, ZCAL_INTERVAL),           // EmcZcalInterval
    SW_DEFAULT(EMC, ZCAL_WAIT_CNT),           // EmcZcalWaitCnt
    SW_DEFAULT(EMC, ZCAL_MRW_CMD),            // EmcZcalMrwCmd
    0,                                        // EmcMrsResetDll (*)
    0,                                        // EmcZcalInitDev0 (*)
    0,                                        // EmcZcalInitDev1 (*)
    0,                                        // EmcZcalInitWait (*)
    0,                                        // EmcZcalWarmColdBootEnables
    SW_DEFAULT(EMC, MRW),                     // EmcMrwLpddr2ZcalWarmBoot
    SW_DEFAULT(EMC, ZQ_CAL),                  // EmcZqCalDdr3WarmBoot
    SW_DEFAULT(EMC, ZQ_CAL),                  // EmcZqCalLpDdr4WarmBoot
    0,                                        // EmcZcalWarmBootWait
    0,                                        // EmcMrsWarmBootEnable
    0,                                        // EmcMrsResetDllWait (*)
    0,                                        // EmcMrsExtra (*)
    SW_DEFAULT(EMC, MRS),                     // EmcWarmBootMrsExtra
    0,                                        // EmcEmrsDdr2DllEnable (*)
    0,                                        // EmcMrsDdr2DllReset (*)
    0,                                        // EmcEmrsDdr2OcdCalib (*)
    0,                                        // EmcDdr2Wait (*)
    SW_DEFAULT(EMC, CLKEN_OVERRIDE),          // EmcClkenOverride
    0,                                        // EmcExtraRefreshNum
    0,                                        // EmcClkenOverrideAllWarmBoot
    0,                                        // McClkenOverrideAllWarmBoot
    0,                                        // EmcCfgDigDllPeriodWarmBoot
    SW_DEFAULT(PMC_IMPL, VDDP_SEL),           // PmcVddpSel
    0,                                        // PmcVddpSelWait (*)
    0,                                        // PmcDdrPwr (*)
    0,                                        // PmcDdrCfg (*)
    0,                                        // PmcDdrCfgMem1 (*)
    0,                                        // PmcIoWb (*)
    0,                                        // PmcIoWbMem1 (*)
    0,                                        // PmcIoDpd3Req (*)
    1,                                        // PmcIoDpd3ReqWait
    2,                                        // PmcIoDpd4ReqWait
    0,                                        // PmcBlinkTimer (*)
    SW_DEFAULT(PMC_IMPL, NO_IOPOWER),         // PmcNoIoPower
    0,                                        // PmcDdrCntrlWait (*)
    0,                                        // PmcDdrCntrl (*)
    0,                                        // PmcDdrCntrlMem1 (*)
    SW_DEFAULT(EMC, ACPD_CONTROL),            // EmcAcpdControl
    SW_DEFAULT(EMC, SWIZZLE_RANK0_BYTE0),     // EmcSwizzleRank0Byte0_0
    SW_DEFAULT(EMC, SWIZZLE_RANK0_BYTE0),     // EmcSwizzleRank0Byte0_2
    SW_DEFAULT(EMC, SWIZZLE_RANK0_BYTE1),     // EmcSwizzleRank0Byte1_0
    SW_DEFAULT(EMC, SWIZZLE_RANK0_BYTE1),     // EmcSwizzleRank0Byte1_2
    SW_DEFAULT(EMC, SWIZZLE_RANK0_BYTE2),     // EmcSwizzleRank0Byte2_0
    SW_DEFAULT(EMC, SWIZZLE_RANK0_BYTE2),     // EmcSwizzleRank0Byte2_2
    SW_DEFAULT(EMC, SWIZZLE_RANK0_BYTE3),     // EmcSwizzleRank0Byte3_0
    SW_DEFAULT(EMC, SWIZZLE_RANK0_BYTE3),     // EmcSwizzleRank0Byte3_2
    SW_DEFAULT(EMC, SWIZZLE_RANK1_BYTE0),     // EmcSwizzleRank1Byte0_0
    SW_DEFAULT(EMC, SWIZZLE_RANK1_BYTE0),     // EmcSwizzleRank1Byte0_2
    SW_DEFAULT(EMC, SWIZZLE_RANK1_BYTE1),     // EmcSwizzleRank1Byte1_0
    SW_DEFAULT(EMC, SWIZZLE_RANK1_BYTE1),     // EmcSwizzleRank1Byte1_2
    SW_DEFAULT(EMC, SWIZZLE_RANK1_BYTE2),     // EmcSwizzleRank1Byte2_0
    SW_DEFAULT(EMC, SWIZZLE_RANK1_BYTE2),     // EmcSwizzleRank1Byte2_2
    SW_DEFAULT(EMC, SWIZZLE_RANK1_BYTE3),     // EmcSwizzleRank1Byte3_0
    SW_DEFAULT(EMC, SWIZZLE_RANK1_BYTE3),     // EmcSwizzleRank1Byte3_2
    SW_DEFAULT(EMC, TXDSRVTTGEN),             // EmcTxdsrvttgen
    SW_DEFAULT(EMC, DATA_BRLSHFT_0),          // EmcDataBrlshft0_0
    SW_DEFAULT(EMC, DATA_BRLSHFT_0),          // EmcDataBrlshft0_2
    SW_DEFAULT(EMC, DATA_BRLSHFT_1),          // EmcDataBrlshft1_0
    SW_DEFAULT(EMC, DATA_BRLSHFT_1),          // EmcDataBrlshft1_2
    SW_DEFAULT(EMC, DQS_BRLSHFT_0),           // EmcDqsBrlshft0_0
    SW_DEFAULT(EMC, DQS_BRLSHFT_0),           // EmcDqsBrlshft0_2
    SW_DEFAULT(EMC, DQS_BRLSHFT_1),           // EmcDqsBrlshft1_0
    SW_DEFAULT(EMC, DQS_BRLSHFT_1),           // EmcDqsBrlshft1_2
    SW_DEFAULT(EMC, CMD_BRLSHFT_0),           // EmcCmdBrlshft0_0
    SW_DEFAULT(EMC, CMD_BRLSHFT_0),           // EmcCmdBrlshft0_2
    SW_DEFAULT(EMC, CMD_BRLSHFT_1),           // EmcCmdBrlshft1_0
    SW_DEFAULT(EMC, CMD_BRLSHFT_1),           // EmcCmdBrlshft1_2
    SW_DEFAULT(EMC, CMD_BRLSHFT_2),           // EmcCmdBrlshft2_0
    SW_DEFAULT(EMC, CMD_BRLSHFT_2),           // EmcCmdBrlshft2_2
    SW_DEFAULT(EMC, CMD_BRLSHFT_3),           // EmcCmdBrlshft3_0
    SW_DEFAULT(EMC, CMD_BRLSHFT_3),           // EmcCmdBrlshft3_2
    SW_DEFAULT(EMC, QUSE_BRLSHFT_0),          // EmcQuseBrlshft0_0
    SW_DEFAULT(EMC, QUSE_BRLSHFT_0),          // EmcQuseBrlshft0_2
    SW_DEFAULT(EMC, QUSE_BRLSHFT_1),          // EmcQuseBrlshft1_0
    SW_DEFAULT(EMC, QUSE_BRLSHFT_1),          // EmcQuseBrlshft1_2
    SW_DEFAULT(EMC, QUSE_BRLSHFT_2),          // EmcQuseBrlshft2_0
    SW_DEFAULT(EMC, QUSE_BRLSHFT_2),          // EmcQuseBrlshft2_2
    SW_DEFAULT(EMC, QUSE_BRLSHFT_3),          // EmcQuseBrlshft3_0
    SW_DEFAULT(EMC, QUSE_BRLSHFT_3),          // EmcQuseBrlshft3_2
    SW_DEFAULT(EMC, DLL_CFG_0),               // EmcDllCfg0
    SW_DEFAULT(EMC, DLL_CFG_1),               // EmcDllCfg1
    SW_DEFAULT(EMC, DLL_CFG_2),               // EmcDllCfg2
    SW_DEFAULT(EMC, DLL_CFG_3),               // EmcDllCfg3
    SW_DEFAULT(EMC, PMC_SCRATCH1),            // EmcPmcScratch1_0
    SW_DEFAULT(EMC, PMC_SCRATCH1),            // EmcPmcScratch1_2
    SW_DEFAULT(EMC, PMC_SCRATCH2),            // EmcPmcScratch2_0
    SW_DEFAULT(EMC, PMC_SCRATCH2),            // EmcPmcScratch2_2
    SW_DEFAULT(EMC, PMC_SCRATCH3),            // EmcPmcScratch3_0
    SW_DEFAULT(EMC, PMC_SCRATCH3),            // EmcPmcScratch3_2
    SW_DEFAULT(EMC, PMACRO_PAD_CFG_CTRL),     // EmcPmacroPadCfgCtrl
    SW_DEFAULT(EMC, PMACRO_VTTGEN_CTRL_0),    // EmcPmacroVttgenCtrl0
    SW_DEFAULT(EMC, PMACRO_VTTGEN_CTRL_1),    // EmcPmacroVttgenCtrl1
    SW_DEFAULT(EMC, PMACRO_VTTGEN_CTRL_2),    // EmcPmacroVttgenCtrl2
    SW_DEFAULT(EMC, PMACRO_DSR_VTTGEN_CTRL_0), // EmcPmacroDsrVttgenCtrl0
    SW_DEFAULT(EMC, PMACRO_BRICK_CTRL_RFU1),  // EmcPmacroBrickCtrlRfu1
    SW_DEFAULT(EMC, PMACRO_CMD_BRICK_CTRL_FDPD), // EmcPmacroCmdBrickCtrlFdpd
    SW_DEFAULT(EMC, PMACRO_BRICK_CTRL_RFU2),  // EmcPmacroBrickCtrlRfu2
    SW_DEFAULT(EMC, PMACRO_DATA_BRICK_CTRL_FDPD), // EmcPmacroDataBrickCtrlFdpd
    SW_DEFAULT(EMC, PMACRO_BG_BIAS_CTRL_0),   // EmcPmacroBgBiasCtrl0
    SW_DEFAULT(EMC, PMACRO_DATA_PAD_RX_CTRL), // EmcPmacroDataPadRxCtrl
    SW_DEFAULT(EMC, PMACRO_CMD_PAD_RX_CTRL),  // EmcPmacroCmdPadRxCtrl
    SW_DEFAULT(EMC, PMACRO_DATA_RX_TERM_MODE), // EmcPmacroDataRxTermMode
    SW_DEFAULT(EMC, PMACRO_CMD_RX_TERM_MODE), // EmcPmacroCmdRxTermMode
    SW_DEFAULT(EMC, PMACRO_DATA_PAD_TX_CTRL), // EmcPmacroDataPadTxCtrl
    SW_DEFAULT(EMC, PMACRO_COMMON_PAD_TX_CTRL), // EmcPmacroCommonPadTxCtrl
    SW_DEFAULT(EMC, PMACRO_CMD_PAD_TX_CTRL),  // EmcPmacroCmdPadTxCtrl
    SW_DEFAULT(EMC, CFG_3),                   // EmcCfg3
    SW_DEFAULT(EMC, PMACRO_TX_PWRD_0),        // EmcPmacroTxPwrd0_0
    SW_DEFAULT(EMC, PMACRO_TX_PWRD_0),        // EmcPmacroTxPwrd0_2
    SW_DEFAULT(EMC, PMACRO_TX_PWRD_1),        // EmcPmacroTxPwrd1_0
    SW_DEFAULT(EMC, PMACRO_TX_PWRD_1),        // EmcPmacroTxPwrd1_2
    SW_DEFAULT(EMC, PMACRO_TX_PWRD_2),        // EmcPmacroTxPwrd2_0
    SW_DEFAULT(EMC, PMACRO_TX_PWRD_2),        // EmcPmacroTxPwrd2_2
    SW_DEFAULT(EMC, PMACRO_TX_PWRD_3),        // EmcPmacroTxPwrd3_0
    SW_DEFAULT(EMC, PMACRO_TX_PWRD_3),        // EmcPmacroTxPwrd3_2
    SW_DEFAULT(EMC, PMACRO_TX_PWRD_4),        // EmcPmacroTxPwrd4_0
    SW_DEFAULT(EMC, PMACRO_TX_PWRD_4),        // EmcPmacroTxPwrd4_2
    SW_DEFAULT(EMC, PMACRO_TX_PWRD_5),        // EmcPmacroTxPwrd5_0
    SW_DEFAULT(EMC, PMACRO_TX_PWRD_5),        // EmcPmacroTxPwrd5_2
    SW_DEFAULT(EMC, CONFIG_SAMPLE_DELAY),     // EmcConfigSampleDelay
    SW_DEFAULT(EMC, PMACRO_BRICK_MAPPING_0),  // EmcPmacroBrickMapping0_0
    SW_DEFAULT(EMC, PMACRO_BRICK_MAPPING_0),  // EmcPmacroBrickMapping0_2
    SW_DEFAULT(EMC, PMACRO_BRICK_MAPPING_1),  // EmcPmacroBrickMapping1_0
    SW_DEFAULT(EMC, PMACRO_BRICK_MAPPING_1),  // EmcPmacroBrickMapping1_2
    SW_DEFAULT(EMC, PMACRO_BRICK_MAPPING_2),  // EmcPmacroBrickMapping2_0
    SW_DEFAULT(EMC, PMACRO_BRICK_MAPPING_2),  // EmcPmacroBrickMapping2_2
    SW_DEFAULT(EMC, PMACRO_TX_SEL_CLK_SRC_0), // EmcPmacroTxSelClkSrc0_0
    SW_DEFAULT(EMC, PMACRO_TX_SEL_CLK_SRC_0), // EmcPmacroTxSelClkSrc0_2
    SW_DEFAULT(EMC, PMACRO_TX_SEL_CLK_SRC_1), // EmcPmacroTxSelClkSrc1_0
    SW_DEFAULT(EMC, PMACRO_TX_SEL_CLK_SRC_1), // EmcPmacroTxSelClkSrc1_2
    SW_DEFAULT(EMC, PMACRO_TX_SEL_CLK_SRC_2), // EmcPmacroTxSelClkSrc2_0
    SW_DEFAULT(EMC, PMACRO_TX_SEL_CLK_SRC_2), // EmcPmacroTxSelClkSrc2_2
    SW_DEFAULT(EMC, PMACRO_TX_SEL_CLK_SRC_3), // EmcPmacroTxSelClkSrc3_0
    SW_DEFAULT(EMC, PMACRO_TX_SEL_CLK_SRC_3), // EmcPmacroTxSelClkSrc3_2
    SW_DEFAULT(EMC, PMACRO_TX_SEL_CLK_SRC_4), // EmcPmacroTxSelClkSrc4_0
    SW_DEFAULT(EMC, PMACRO_TX_SEL_CLK_SRC_4), // EmcPmacroTxSelClkSrc4_2
    SW_DEFAULT(EMC, PMACRO_TX_SEL_CLK_SRC_5), // EmcPmacroTxSelClkSrc5_0
    SW_DEFAULT(EMC, PMACRO_TX_SEL_CLK_SRC_5), // EmcPmacroTxSelClkSrc5_2
    SW_DEFAULT(EMC, PMACRO_DDLL_BYPASS),      // EmcPmacroDdllBypass
    SW_DEFAULT(EMC, PMACRO_DDLL_PWRD_0),      // EmcPmacroDdllPwrd0
    SW_DEFAULT(EMC, PMACRO_DDLL_PWRD_1),      // EmcPmacroDdllPwrd1
    SW_DEFAULT(EMC, PMACRO_DDLL_PWRD_2),      // EmcPmacroDdllPwrd2
    SW_DEFAULT(EMC, PMACRO_CMD_CTRL_0),       // EmcPmacroCmdCtrl0
    SW_DEFAULT(EMC, PMACRO_CMD_CTRL_1),       // EmcPmacroCmdCtrl1
    SW_DEFAULT(EMC, PMACRO_CMD_CTRL_2),       // EmcPmacroCmdCtrl2
    SW_DEFAULT(MC, REGIF_CONFIG),             // McRegifConfig
    SW_DEFAULT(MC, REGIF_BROADCAST),          // McRegifBroadcast
    SW_DEFAULT(MC, REGIF_UNICAST0),           // McRegifUnicast0
    SW_DEFAULT(MC, REGIF_UNICAST1),           // McRegifUnicast1
    SW_DEFAULT(MC, REGIF_UNICAST2),           // McRegifUnicast2
    SW_DEFAULT(MC, REGIF_UNICAST3),           // McRegifUnicast3
    SW_DEFAULT(MC, EMEM_ADR_CFG),             // McEmemAdrCfg
    SW_DEFAULT(MC, EMEM_ADR_CFG_DEV0),        // McEmemAdrCfgDev0
    SW_DEFAULT(MC, EMEM_ADR_CFG_DEV1),        // McEmemAdrCfgDev1
    SW_DEFAULT(MC, EMEM_ADR_CFG_CHANNEL_ENABLE), // McEmemAdrCfgChannelEnable
    SW_DEFAULT(MC, EMEM_ADR_CFG_CHANNEL_MASK), // McEmemAdrCfgChannelMask0
    SW_DEFAULT(MC, EMEM_ADR_CFG_CHANNEL_MASK_1), // McEmemAdrCfgChannelMask1
    SW_DEFAULT(MC, EMEM_ADR_CFG_BANK_MASK_0), // McEmemAdrCfgBankMask0
    SW_DEFAULT(MC, EMEM_ADR_CFG_BANK_MASK_1), // McEmemAdrCfgBankMask1
    SW_DEFAULT(MC, EMEM_ADR_CFG_BANK_MASK_2), // McEmemAdrCfgBankMask2
    SW_DEFAULT(MC, EMEM_CFG),                 // McEmemCfg
    SW_DEFAULT(MC, EMEM_ARB_CFG),             // McEmemArbCfg
    SW_DEFAULT(MC, EMEM_ARB_OUTSTANDING_REQ), // McEmemArbOutstandingReq
    SW_DEFAULT(MC, EMEM_ARB_OUTSTANDING_REQ_NISO),
                                              // McEmemArbOutstandingReqNiso
    SW_DEFAULT(MC, EMEM_ARB_REFPB_HP_CTRL),   // McEmemArbRefpbHpCtrl
    SW_DEFAULT(MC, EMEM_ARB_REFPB_BANK_CTRL), // McEmemArbRefpbBankCtrl
    SW_DEFAULT(MC, EMEM_ARB_TIMING_RCD),      // McEmemArbTimingRcd
    SW_DEFAULT(MC, EMEM_ARB_TIMING_RP),       // McEmemArbTimingRp
    SW_DEFAULT(MC, EMEM_ARB_TIMING_RC),       // McEmemArbTimingRc
    SW_DEFAULT(MC, EMEM_ARB_TIMING_RAS),      // McEmemArbTimingRas
    SW_DEFAULT(MC, EMEM_ARB_TIMING_FAW),      // McEmemArbTimingFaw
    SW_DEFAULT(MC, EMEM_ARB_TIMING_RRD),      // McEmemArbTimingRrd
    SW_DEFAULT(MC, EMEM_ARB_TIMING_RAP2PRE),  // McEmemArbTimingRap2Pre
    SW_DEFAULT(MC, EMEM_ARB_TIMING_WAP2PRE),  // McEmemArbTimingWap2Pre
    SW_DEFAULT(MC, EMEM_ARB_TIMING_R2R),      // McEmemArbTimingR2R
    SW_DEFAULT(MC, EMEM_ARB_TIMING_W2W),      // McEmemArbTimingW2W
    SW_DEFAULT(MC, EMEM_ARB_TIMING_R2W),      // McEmemArbTimingR2W
    SW_DEFAULT(MC, EMEM_ARB_TIMING_W2R),      // McEmemArbTimingW2R
    SW_DEFAULT(MC, EMEM_ARB_TIMING_RFCPB),    // McEmemArbTimingRFCPB
    SW_DEFAULT(MC, EMEM_ARB_DA_TURNS),        // McEmemArbDaTurns
    SW_DEFAULT(MC, EMEM_ARB_DA_COVERS),       // McEmemArbDaCovers
    SW_DEFAULT(MC, EMEM_ARB_MISC0),           // McEmemArbMisc0
    SW_DEFAULT(MC, EMEM_ARB_MISC1),           // McEmemArbMisc1
    SW_DEFAULT(MC, EMEM_ARB_MISC2),           // McEmemArbMisc2
    SW_DEFAULT(MC, EMEM_ARB_RING1_THROTTLE),  // McEmemArbRing1Throttle
    SW_DEFAULT(MC, EMEM_ARB_NISO_THROTTLE),   // McEmemArbNisoThrottle
    SW_DEFAULT(MC, EMEM_ARB_NISO_THROTTLE_MASK), // McEmemArbNisoThrottleMask
    SW_DEFAULT(MC, EMEM_ARB_NISO_THROTTLE_MASK_1), // McEmemArbNisoThrottleMask1
    SW_DEFAULT(MC, EMEM_ARB_OVERRIDE),        // McEmemArbOverride
    SW_DEFAULT(MC, EMEM_ARB_OVERRIDE_1),      // McEmemArbOverride1
    SW_DEFAULT(MC, EMEM_ARB_RSV),             // McEmemArbRsv
    SW_DEFAULT(MC, DA_CONFIG0),               // McDaCfg0
    SW_DEFAULT(MC, EMEM_ARB_TIMING_CCDMW),    // McEmemArbTimingCcdmw
    SW_DEFAULT(MC, CLKEN_OVERRIDE),           // McClkenOverride
    SW_DEFAULT(MC, STAT_CONTROL),             // McStatControl
    SW_DEFAULT(MC, ECC_CFG),                  // McEccCfg
    SW_DEFAULT(MC, ECC_CONTROL),              // McEccControl
    SW_DEFAULT(MC, CFG_WCAM),                 // McCfgWcam
    SW_DEFAULT(MC, RING0_MT_FIFO_CREDITS),    // McRing0MtFifoCredits
    SW_DEFAULT(MC, VIDEO_PROTECT_BOM),        // McVideoProtectBom
    SW_DEFAULT(MC, VIDEO_PROTECT_BOM_ADR_HI), // McVideoProtectBomAdrHi
    SW_DEFAULT(MC, VIDEO_PROTECT_SIZE_MB),    // McVideoProtectSizeMb
    SW_DEFAULT(MC, VIDEO_PROTECT_VPR_OVERRIDE), // McVideoProtectVprOverride
    SW_DEFAULT(MC, VIDEO_PROTECT_VPR_OVERRIDE1), // McVideoProtectVprOverride1
    SW_DEFAULT(MC, VIDEO_PROTECT_GPU_OVERRIDE_0), // McVideoProtectGpuOverride0
    SW_DEFAULT(MC, VIDEO_PROTECT_GPU_OVERRIDE_1), // McVideoProtectGpuOverride1
    SW_DEFAULT(MC, SEC_CARVEOUT_BOM),         // McSecCarveoutBom
    SW_DEFAULT(MC, SEC_CARVEOUT_ADR_HI),      // McSecCarveoutAdrHi
    SW_DEFAULT(MC, SEC_CARVEOUT_SIZE_MB),     // McSecCarveoutSizeMb
    SW_DEFAULT(MC, VIDEO_PROTECT_REG_CTRL),   // McVideoProtectWriteAccess
    SW_DEFAULT(MC, SEC_CARVEOUT_REG_CTRL),    // McSecCarveoutProtectWriteAccess
    0,                                        // McGSCInitMask (*)
    SW_DEFAULT(MC, SECURITY_CARVEOUT1_BOM),   // McGeneralizedCarveout1Bom
    SW_DEFAULT(MC, SECURITY_CARVEOUT1_BOM_HI), // McGeneralizedCarveout1BomHi
    SW_DEFAULT(MC, SECURITY_CARVEOUT1_SIZE_128KB),
                                              // McGeneralizedCarveout1Size128kb
    SW_DEFAULT(MC, SECURITY_CARVEOUT1_CLIENT_ACCESS0),
                                              // McGeneralizedCarveout1Access0
    SW_DEFAULT(MC, SECURITY_CARVEOUT1_CLIENT_ACCESS1),
                                              // McGeneralizedCarveout1Access1
    SW_DEFAULT(MC, SECURITY_CARVEOUT1_CLIENT_ACCESS2),
                                              // McGeneralizedCarveout1Access2
    SW_DEFAULT(MC, SECURITY_CARVEOUT1_CLIENT_ACCESS3),
                                              // McGeneralizedCarveout1Access3
    SW_DEFAULT(MC, SECURITY_CARVEOUT1_CLIENT_ACCESS4),
                                              // McGeneralizedCarveout1Access4
    SW_DEFAULT(MC, SECURITY_CARVEOUT1_CLIENT_ACCESS5),
                                              // McGeneralizedCarveout1Access5
    SW_DEFAULT(MC, SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS0),
                                              // McGeneralizedCarveout1ForceInternalAccess0
    SW_DEFAULT(MC, SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS1),
                                              // McGeneralizedCarveout1ForceInternalAccess1
    SW_DEFAULT(MC, SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS2),
                                              // McGeneralizedCarveout1ForceInternalAccess2
    SW_DEFAULT(MC, SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS3),
                                              // McGeneralizedCarveout1ForceInternalAccess3
    SW_DEFAULT(MC, SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS4),
                                              // McGeneralizedCarveout1ForceInternalAccess4
    SW_DEFAULT(MC, SECURITY_CARVEOUT1_CLIENT_FORCE_INTERNAL_ACCESS5),
                                              // McGeneralizedCarveout1ForceInternalAccess5
    SW_DEFAULT(MC, SECURITY_CARVEOUT1_CFG0),  // McGeneralizedCarveout1Cfg0
    SW_DEFAULT(MC, SECURITY_CARVEOUT2_BOM),   // McGeneralizedCarveout2Bom
    SW_DEFAULT(MC, SECURITY_CARVEOUT2_BOM_HI), // McGeneralizedCarveout2BomHi
    SW_DEFAULT(MC, SECURITY_CARVEOUT2_SIZE_128KB),
                                              // McGeneralizedCarveout2Size128kb
    SW_DEFAULT(MC, SECURITY_CARVEOUT2_CLIENT_ACCESS0),
                                              // McGeneralizedCarveout2Access0
    SW_DEFAULT(MC, SECURITY_CARVEOUT2_CLIENT_ACCESS1),
                                              // McGeneralizedCarveout2Access1
    SW_DEFAULT(MC, SECURITY_CARVEOUT2_CLIENT_ACCESS2),
                                              // McGeneralizedCarveout2Access2
    SW_DEFAULT(MC, SECURITY_CARVEOUT2_CLIENT_ACCESS3),
                                              // McGeneralizedCarveout2Access3
    SW_DEFAULT(MC, SECURITY_CARVEOUT2_CLIENT_ACCESS4),
                                              // McGeneralizedCarveout2Access4
    SW_DEFAULT(MC, SECURITY_CARVEOUT2_CLIENT_ACCESS5),
                                              // McGeneralizedCarveout2Access5
    SW_DEFAULT(MC, SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS0),
                                              // McGeneralizedCarveout2ForceInternalAccess0
    SW_DEFAULT(MC, SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS1),
                                              // McGeneralizedCarveout2ForceInternalAccess1
    SW_DEFAULT(MC, SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS2),
                                              // McGeneralizedCarveout2ForceInternalAccess2
    SW_DEFAULT(MC, SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS3),
                                              // McGeneralizedCarveout2ForceInternalAccess3
    SW_DEFAULT(MC, SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS4),
                                              // McGeneralizedCarveout2ForceInternalAccess4
    SW_DEFAULT(MC, SECURITY_CARVEOUT2_CLIENT_FORCE_INTERNAL_ACCESS5),
                                              // McGeneralizedCarveout2ForceInternalAccess5
    SW_DEFAULT(MC, SECURITY_CARVEOUT2_CFG0),  // McGeneralizedCarveout2Cfg0
    SW_DEFAULT(MC, SECURITY_CARVEOUT3_BOM),   // McGeneralizedCarveout3Bom
    SW_DEFAULT(MC, SECURITY_CARVEOUT3_BOM_HI), // McGeneralizedCarveout3BomHi
    SW_DEFAULT(MC, SECURITY_CARVEOUT3_SIZE_128KB),
                                              // McGeneralizedCarveout3Size128kb
    SW_DEFAULT(MC, SECURITY_CARVEOUT3_CLIENT_ACCESS0),
                                              // McGeneralizedCarveout3Access0
    SW_DEFAULT(MC, SECURITY_CARVEOUT3_CLIENT_ACCESS1),
                                              // McGeneralizedCarveout3Access1
    SW_DEFAULT(MC, SECURITY_CARVEOUT3_CLIENT_ACCESS2),
                                              // McGeneralizedCarveout3Access2
    SW_DEFAULT(MC, SECURITY_CARVEOUT3_CLIENT_ACCESS3),
                                              // McGeneralizedCarveout3Access3
    SW_DEFAULT(MC, SECURITY_CARVEOUT3_CLIENT_ACCESS4),
                                              // McGeneralizedCarveout3Access4
    SW_DEFAULT(MC, SECURITY_CARVEOUT3_CLIENT_ACCESS5),
                                              // McGeneralizedCarveout3Access5
    SW_DEFAULT(MC, SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS0),
                                              // McGeneralizedCarveout3ForceInternalAccess0
    SW_DEFAULT(MC, SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS1),
                                              // McGeneralizedCarveout3ForceInternalAccess1
    SW_DEFAULT(MC, SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS2),
                                              // McGeneralizedCarveout3ForceInternalAccess2
    SW_DEFAULT(MC, SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS3),
                                              // McGeneralizedCarveout3ForceInternalAccess3
    SW_DEFAULT(MC, SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS4),
                                              // McGeneralizedCarveout3ForceInternalAccess4
    SW_DEFAULT(MC, SECURITY_CARVEOUT3_CLIENT_FORCE_INTERNAL_ACCESS5),
                                              // McGeneralizedCarveout3ForceInternalAccess5
    SW_DEFAULT(MC, SECURITY_CARVEOUT3_CFG0),  // McGeneralizedCarveout3Cfg0
    SW_DEFAULT(MC, SECURITY_CARVEOUT4_BOM),   // McGeneralizedCarveout4Bom
    SW_DEFAULT(MC, SECURITY_CARVEOUT4_BOM_HI), // McGeneralizedCarveout4BomHi
    SW_DEFAULT(MC, SECURITY_CARVEOUT4_SIZE_128KB),
                                              // McGeneralizedCarveout4Size128kb
    SW_DEFAULT(MC, SECURITY_CARVEOUT4_CLIENT_ACCESS0),
                                              // McGeneralizedCarveout4Access0
    SW_DEFAULT(MC, SECURITY_CARVEOUT4_CLIENT_ACCESS1),
                                              // McGeneralizedCarveout4Access1
    SW_DEFAULT(MC, SECURITY_CARVEOUT4_CLIENT_ACCESS2),
                                              // McGeneralizedCarveout4Access2
    SW_DEFAULT(MC, SECURITY_CARVEOUT4_CLIENT_ACCESS3),
                                              // McGeneralizedCarveout4Access3
    SW_DEFAULT(MC, SECURITY_CARVEOUT4_CLIENT_ACCESS4),
                                              // McGeneralizedCarveout4Access4
    SW_DEFAULT(MC, SECURITY_CARVEOUT4_CLIENT_ACCESS5),
                                              // McGeneralizedCarveout4Access5
    SW_DEFAULT(MC, SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS0),
                                              // McGeneralizedCarveout4ForceInternalAccess0
    SW_DEFAULT(MC, SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS1),
                                              // McGeneralizedCarveout4ForceInternalAccess1
    SW_DEFAULT(MC, SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS2),
                                              // McGeneralizedCarveout4ForceInternalAccess2
    SW_DEFAULT(MC, SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS3),
                                              // McGeneralizedCarveout4ForceInternalAccess3
    SW_DEFAULT(MC, SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS4),
                                              // McGeneralizedCarveout4ForceInternalAccess4
    SW_DEFAULT(MC, SECURITY_CARVEOUT4_CLIENT_FORCE_INTERNAL_ACCESS5),
                                              // McGeneralizedCarveout4ForceInternalAccess5
    SW_DEFAULT(MC, SECURITY_CARVEOUT4_CFG0),  // McGeneralizedCarveout4Cfg0
    SW_DEFAULT(MC, SECURITY_CARVEOUT5_BOM),   // McGeneralizedCarveout5Bom
    SW_DEFAULT(MC, SECURITY_CARVEOUT5_BOM_HI), // McGeneralizedCarveout5BomHi
    SW_DEFAULT(MC, SECURITY_CARVEOUT5_SIZE_128KB),
                                              // McGeneralizedCarveout5Size128kb
    SW_DEFAULT(MC, SECURITY_CARVEOUT5_CLIENT_ACCESS0),
                                              // McGeneralizedCarveout5Access0
    SW_DEFAULT(MC, SECURITY_CARVEOUT5_CLIENT_ACCESS1),
                                              // McGeneralizedCarveout5Access1
    SW_DEFAULT(MC, SECURITY_CARVEOUT5_CLIENT_ACCESS2),
                                              // McGeneralizedCarveout5Access2
    SW_DEFAULT(MC, SECURITY_CARVEOUT5_CLIENT_ACCESS3),
                                              // McGeneralizedCarveout5Access3
    SW_DEFAULT(MC, SECURITY_CARVEOUT5_CLIENT_ACCESS4),
                                              // McGeneralizedCarveout5Access4
    SW_DEFAULT(MC, SECURITY_CARVEOUT5_CLIENT_ACCESS5),
                                              // McGeneralizedCarveout5Access5
    SW_DEFAULT(MC, SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS0),
                                              // McGeneralizedCarveout5ForceInternalAccess0
    SW_DEFAULT(MC, SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS1),
                                              // McGeneralizedCarveout5ForceInternalAccess1
    SW_DEFAULT(MC, SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS2),
                                              // McGeneralizedCarveout5ForceInternalAccess2
    SW_DEFAULT(MC, SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS3),
                                              // McGeneralizedCarveout5ForceInternalAccess3
    SW_DEFAULT(MC, SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS4),
                                              // McGeneralizedCarveout5ForceInternalAccess4
    SW_DEFAULT(MC, SECURITY_CARVEOUT5_CLIENT_FORCE_INTERNAL_ACCESS5),
                                              // McGeneralizedCarveout5ForceInternalAccess5
    SW_DEFAULT(MC, SECURITY_CARVEOUT5_CFG0),  // McGeneralizedCarveout5Cfg0
    SW_DEFAULT(MC, SECURITY_CARVEOUT6_BOM),   // McGeneralizedCarveout6Bom
    SW_DEFAULT(MC, SECURITY_CARVEOUT6_BOM_HI), // McGeneralizedCarveout6BomHi
    SW_DEFAULT(MC, SECURITY_CARVEOUT6_SIZE_128KB),
                                              // McGeneralizedCarveout6Size128kb
    SW_DEFAULT(MC, SECURITY_CARVEOUT6_CLIENT_ACCESS0),
                                              // McGeneralizedCarveout6Access0
    SW_DEFAULT(MC, SECURITY_CARVEOUT6_CLIENT_ACCESS1),
                                              // McGeneralizedCarveout6Access1
    SW_DEFAULT(MC, SECURITY_CARVEOUT6_CLIENT_ACCESS2),
                                              // McGeneralizedCarveout6Access2
    SW_DEFAULT(MC, SECURITY_CARVEOUT6_CLIENT_ACCESS3),
                                              // McGeneralizedCarveout6Access3
    SW_DEFAULT(MC, SECURITY_CARVEOUT6_CLIENT_ACCESS4),
                                              // McGeneralizedCarveout6Access4
    SW_DEFAULT(MC, SECURITY_CARVEOUT6_CLIENT_ACCESS5),
                                              // McGeneralizedCarveout6Access5
    SW_DEFAULT(MC, SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS0),
                                              // McGeneralizedCarveout6ForceInternalAccess0
    SW_DEFAULT(MC, SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS1),
                                              // McGeneralizedCarveout6ForceInternalAccess1
    SW_DEFAULT(MC, SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS2),
                                              // McGeneralizedCarveout6ForceInternalAccess2
    SW_DEFAULT(MC, SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS3),
                                              // McGeneralizedCarveout6ForceInternalAccess3
    SW_DEFAULT(MC, SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS4),
                                              // McGeneralizedCarveout6ForceInternalAccess4
    SW_DEFAULT(MC, SECURITY_CARVEOUT6_CLIENT_FORCE_INTERNAL_ACCESS5),
                                              // McGeneralizedCarveout6ForceInternalAccess5
    SW_DEFAULT(MC, SECURITY_CARVEOUT6_CFG0),  // McGeneralizedCarveout6Cfg0
    SW_DEFAULT(MC, SECURITY_CARVEOUT7_BOM),   // McGeneralizedCarveout7Bom
    SW_DEFAULT(MC, SECURITY_CARVEOUT7_BOM_HI), // McGeneralizedCarveout7BomHi
    SW_DEFAULT(MC, SECURITY_CARVEOUT7_SIZE_128KB),
                                              // McGeneralizedCarveout7Size128kb
    SW_DEFAULT(MC, SECURITY_CARVEOUT7_CLIENT_ACCESS0),
                                              // McGeneralizedCarveout7Access0
    SW_DEFAULT(MC, SECURITY_CARVEOUT7_CLIENT_ACCESS1),
                                              // McGeneralizedCarveout7Access1
    SW_DEFAULT(MC, SECURITY_CARVEOUT7_CLIENT_ACCESS2),
                                              // McGeneralizedCarveout7Access2
    SW_DEFAULT(MC, SECURITY_CARVEOUT7_CLIENT_ACCESS3),
                                              // McGeneralizedCarveout7Access3
    SW_DEFAULT(MC, SECURITY_CARVEOUT7_CLIENT_ACCESS4),
                                              // McGeneralizedCarveout7Access4
    SW_DEFAULT(MC, SECURITY_CARVEOUT7_CLIENT_ACCESS5),
                                              // McGeneralizedCarveout7Access5
    SW_DEFAULT(MC, SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS0),
                                              // McGeneralizedCarveout7ForceInternalAccess0
    SW_DEFAULT(MC, SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS1),
                                              // McGeneralizedCarveout7ForceInternalAccess1
    SW_DEFAULT(MC, SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS2),
                                              // McGeneralizedCarveout7ForceInternalAccess2
    SW_DEFAULT(MC, SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS3),
                                              // McGeneralizedCarveout7ForceInternalAccess3
    SW_DEFAULT(MC, SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS4),
                                              // McGeneralizedCarveout7ForceInternalAccess4
    SW_DEFAULT(MC, SECURITY_CARVEOUT7_CLIENT_FORCE_INTERNAL_ACCESS5),
                                              // McGeneralizedCarveout7ForceInternalAccess5
    SW_DEFAULT(MC, SECURITY_CARVEOUT7_CFG0),  // McGeneralizedCarveout7Cfg0
    SW_DEFAULT(MC, SECURITY_CARVEOUT8_BOM),   // McGeneralizedCarveout8Bom
    SW_DEFAULT(MC, SECURITY_CARVEOUT8_BOM_HI), // McGeneralizedCarveout8BomHi
    SW_DEFAULT(MC, SECURITY_CARVEOUT8_SIZE_128KB),
                                              // McGeneralizedCarveout8Size128kb
    SW_DEFAULT(MC, SECURITY_CARVEOUT8_CLIENT_ACCESS0),
                                              // McGeneralizedCarveout8Access0
    SW_DEFAULT(MC, SECURITY_CARVEOUT8_CLIENT_ACCESS1),
                                              // McGeneralizedCarveout8Access1
    SW_DEFAULT(MC, SECURITY_CARVEOUT8_CLIENT_ACCESS2),
                                              // McGeneralizedCarveout8Access2
    SW_DEFAULT(MC, SECURITY_CARVEOUT8_CLIENT_ACCESS3),
                                              // McGeneralizedCarveout8Access3
    SW_DEFAULT(MC, SECURITY_CARVEOUT8_CLIENT_ACCESS4),
                                              // McGeneralizedCarveout8Access4
    SW_DEFAULT(MC, SECURITY_CARVEOUT8_CLIENT_ACCESS5),
                                              // McGeneralizedCarveout8Access5
    SW_DEFAULT(MC, SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS0),
                                              // McGeneralizedCarveout8ForceInternalAccess0
    SW_DEFAULT(MC, SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS1),
                                              // McGeneralizedCarveout8ForceInternalAccess1
    SW_DEFAULT(MC, SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS2),
                                              // McGeneralizedCarveout8ForceInternalAccess2
    SW_DEFAULT(MC, SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS3),
                                              // McGeneralizedCarveout8ForceInternalAccess3
    SW_DEFAULT(MC, SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS4),
                                              // McGeneralizedCarveout8ForceInternalAccess4
    SW_DEFAULT(MC, SECURITY_CARVEOUT8_CLIENT_FORCE_INTERNAL_ACCESS5),
                                              // McGeneralizedCarveout8ForceInternalAccess5
    SW_DEFAULT(MC, SECURITY_CARVEOUT8_CFG0),  // McGeneralizedCarveout8Cfg0
    SW_DEFAULT(MC, SECURITY_CARVEOUT9_BOM),   // McGeneralizedCarveout9Bom
    SW_DEFAULT(MC, SECURITY_CARVEOUT9_BOM_HI), // McGeneralizedCarveout9BomHi
    SW_DEFAULT(MC, SECURITY_CARVEOUT9_SIZE_128KB),
                                              // McGeneralizedCarveout9Size128kb
    SW_DEFAULT(MC, SECURITY_CARVEOUT9_CLIENT_ACCESS0),
                                              // McGeneralizedCarveout9Access0
    SW_DEFAULT(MC, SECURITY_CARVEOUT9_CLIENT_ACCESS1),
                                              // McGeneralizedCarveout9Access1
    SW_DEFAULT(MC, SECURITY_CARVEOUT9_CLIENT_ACCESS2),
                                              // McGeneralizedCarveout9Access2
    SW_DEFAULT(MC, SECURITY_CARVEOUT9_CLIENT_ACCESS3),
                                              // McGeneralizedCarveout9Access3
    SW_DEFAULT(MC, SECURITY_CARVEOUT9_CLIENT_ACCESS4),
                                              // McGeneralizedCarveout9Access4
    SW_DEFAULT(MC, SECURITY_CARVEOUT9_CLIENT_ACCESS5),
                                              // McGeneralizedCarveout9Access5
    SW_DEFAULT(MC, SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS0),
                                              // McGeneralizedCarveout9ForceInternalAccess0
    SW_DEFAULT(MC, SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS1),
                                              // McGeneralizedCarveout9ForceInternalAccess1
    SW_DEFAULT(MC, SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS2),
                                              // McGeneralizedCarveout9ForceInternalAccess2
    SW_DEFAULT(MC, SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS3),
                                              // McGeneralizedCarveout9ForceInternalAccess3
    SW_DEFAULT(MC, SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS4),
                                              // McGeneralizedCarveout9ForceInternalAccess4
    SW_DEFAULT(MC, SECURITY_CARVEOUT9_CLIENT_FORCE_INTERNAL_ACCESS5),
                                              // McGeneralizedCarveout9ForceInternalAccess5
    SW_DEFAULT(MC, SECURITY_CARVEOUT9_CFG0),  // McGeneralizedCarveout9Cfg0
    SW_DEFAULT(MC, SECURITY_CARVEOUT10_BOM),  // McGeneralizedCarveout10Bom
    SW_DEFAULT(MC, SECURITY_CARVEOUT10_BOM_HI), // McGeneralizedCarveout10BomHi
    SW_DEFAULT(MC, SECURITY_CARVEOUT10_SIZE_128KB),
                                              // McGeneralizedCarveout10Size128kb
    SW_DEFAULT(MC, SECURITY_CARVEOUT10_CLIENT_ACCESS0),
                                              // McGeneralizedCarveout10Access0
    SW_DEFAULT(MC, SECURITY_CARVEOUT10_CLIENT_ACCESS1),
                                              // McGeneralizedCarveout10Access1
    SW_DEFAULT(MC, SECURITY_CARVEOUT10_CLIENT_ACCESS2),
                                              // McGeneralizedCarveout10Access2
    SW_DEFAULT(MC, SECURITY_CARVEOUT10_CLIENT_ACCESS3),
                                              // McGeneralizedCarveout10Access3
    SW_DEFAULT(MC, SECURITY_CARVEOUT10_CLIENT_ACCESS4),
                                              // McGeneralizedCarveout10Access4
    SW_DEFAULT(MC, SECURITY_CARVEOUT10_CLIENT_ACCESS5),
                                              // McGeneralizedCarveout10Access5
    SW_DEFAULT(MC, SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS0),
                                              // McGeneralizedCarveout10ForceInternalAccess0
    SW_DEFAULT(MC, SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS1),
                                              // McGeneralizedCarveout10ForceInternalAccess1
    SW_DEFAULT(MC, SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS2),
                                              // McGeneralizedCarveout10ForceInternalAccess2
    SW_DEFAULT(MC, SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS3),
                                              // McGeneralizedCarveout10ForceInternalAccess3
    SW_DEFAULT(MC, SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS4),
                                              // McGeneralizedCarveout10ForceInternalAccess4
    SW_DEFAULT(MC, SECURITY_CARVEOUT10_CLIENT_FORCE_INTERNAL_ACCESS5),
                                              // McGeneralizedCarveout10ForceInternalAccess5
    SW_DEFAULT(MC, SECURITY_CARVEOUT10_CFG0), // McGeneralizedCarveout10Cfg0
    SW_DEFAULT(MC, SECURITY_CARVEOUT11_BOM),  // McGeneralizedCarveout11Bom
    SW_DEFAULT(MC, SECURITY_CARVEOUT11_BOM_HI), // McGeneralizedCarveout11BomHi
    SW_DEFAULT(MC, SECURITY_CARVEOUT11_SIZE_128KB),
                                              // McGeneralizedCarveout11Size128kb
    SW_DEFAULT(MC, SECURITY_CARVEOUT11_CLIENT_ACCESS0),
                                              // McGeneralizedCarveout11Access0
    SW_DEFAULT(MC, SECURITY_CARVEOUT11_CLIENT_ACCESS1),
                                              // McGeneralizedCarveout11Access1
    SW_DEFAULT(MC, SECURITY_CARVEOUT11_CLIENT_ACCESS2),
                                              // McGeneralizedCarveout11Access2
    SW_DEFAULT(MC, SECURITY_CARVEOUT11_CLIENT_ACCESS3),
                                              // McGeneralizedCarveout11Access3
    SW_DEFAULT(MC, SECURITY_CARVEOUT11_CLIENT_ACCESS4),
                                              // McGeneralizedCarveout11Access4
    SW_DEFAULT(MC, SECURITY_CARVEOUT11_CLIENT_ACCESS5),
                                              // McGeneralizedCarveout11Access5
    SW_DEFAULT(MC, SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS0),
                                              // McGeneralizedCarveout11ForceInternalAccess0
    SW_DEFAULT(MC, SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS1),
                                              // McGeneralizedCarveout11ForceInternalAccess1
    SW_DEFAULT(MC, SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS2),
                                              // McGeneralizedCarveout11ForceInternalAccess2
    SW_DEFAULT(MC, SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS3),
                                              // McGeneralizedCarveout11ForceInternalAccess3
    SW_DEFAULT(MC, SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS4),
                                              // McGeneralizedCarveout11ForceInternalAccess4
    SW_DEFAULT(MC, SECURITY_CARVEOUT11_CLIENT_FORCE_INTERNAL_ACCESS5),
                                              // McGeneralizedCarveout11ForceInternalAccess5
    SW_DEFAULT(MC, SECURITY_CARVEOUT11_CFG0), // McGeneralizedCarveout11Cfg0
    SW_DEFAULT(MC, SECURITY_CARVEOUT12_BOM),  // McGeneralizedCarveout12Bom
    SW_DEFAULT(MC, SECURITY_CARVEOUT12_BOM_HI), // McGeneralizedCarveout12BomHi
    SW_DEFAULT(MC, SECURITY_CARVEOUT12_SIZE_128KB),
                                              // McGeneralizedCarveout12Size128kb
    SW_DEFAULT(MC, SECURITY_CARVEOUT12_CLIENT_ACCESS0),
                                              // McGeneralizedCarveout12Access0
    SW_DEFAULT(MC, SECURITY_CARVEOUT12_CLIENT_ACCESS1),
                                              // McGeneralizedCarveout12Access1
    SW_DEFAULT(MC, SECURITY_CARVEOUT12_CLIENT_ACCESS2),
                                              // McGeneralizedCarveout12Access2
    SW_DEFAULT(MC, SECURITY_CARVEOUT12_CLIENT_ACCESS3),
                                              // McGeneralizedCarveout12Access3
    SW_DEFAULT(MC, SECURITY_CARVEOUT12_CLIENT_ACCESS4),
                                              // McGeneralizedCarveout12Access4
    SW_DEFAULT(MC, SECURITY_CARVEOUT12_CLIENT_ACCESS5),
                                              // McGeneralizedCarveout12Access5
    SW_DEFAULT(MC, SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS0),
                                              // McGeneralizedCarveout12ForceInternalAccess0
    SW_DEFAULT(MC, SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS1),
                                              // McGeneralizedCarveout12ForceInternalAccess1
    SW_DEFAULT(MC, SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS2),
                                              // McGeneralizedCarveout12ForceInternalAccess2
    SW_DEFAULT(MC, SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS3),
                                              // McGeneralizedCarveout12ForceInternalAccess3
    SW_DEFAULT(MC, SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS4),
                                              // McGeneralizedCarveout12ForceInternalAccess4
    SW_DEFAULT(MC, SECURITY_CARVEOUT12_CLIENT_FORCE_INTERNAL_ACCESS5),
                                              // McGeneralizedCarveout12ForceInternalAccess5
    SW_DEFAULT(MC, SECURITY_CARVEOUT12_CFG0), // McGeneralizedCarveout12Cfg0
    SW_DEFAULT(MC, SECURITY_CARVEOUT13_BOM),  // McGeneralizedCarveout13Bom
    SW_DEFAULT(MC, SECURITY_CARVEOUT13_BOM_HI), // McGeneralizedCarveout13BomHi
    SW_DEFAULT(MC, SECURITY_CARVEOUT13_SIZE_128KB),
                                              // McGeneralizedCarveout13Size128kb
    SW_DEFAULT(MC, SECURITY_CARVEOUT13_CLIENT_ACCESS0),
                                              // McGeneralizedCarveout13Access0
    SW_DEFAULT(MC, SECURITY_CARVEOUT13_CLIENT_ACCESS1),
                                              // McGeneralizedCarveout13Access1
    SW_DEFAULT(MC, SECURITY_CARVEOUT13_CLIENT_ACCESS2),
                                              // McGeneralizedCarveout13Access2
    SW_DEFAULT(MC, SECURITY_CARVEOUT13_CLIENT_ACCESS3),
                                              // McGeneralizedCarveout13Access3
    SW_DEFAULT(MC, SECURITY_CARVEOUT13_CLIENT_ACCESS4),
                                              // McGeneralizedCarveout13Access4
    SW_DEFAULT(MC, SECURITY_CARVEOUT13_CLIENT_ACCESS5),
                                              // McGeneralizedCarveout13Access5
    SW_DEFAULT(MC, SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS0),
                                              // McGeneralizedCarveout13ForceInternalAccess0
    SW_DEFAULT(MC, SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS1),
                                              // McGeneralizedCarveout13ForceInternalAccess1
    SW_DEFAULT(MC, SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS2),
                                              // McGeneralizedCarveout13ForceInternalAccess2
    SW_DEFAULT(MC, SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS3),
                                              // McGeneralizedCarveout13ForceInternalAccess3
    SW_DEFAULT(MC, SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS4),
                                              // McGeneralizedCarveout13ForceInternalAccess4
    SW_DEFAULT(MC, SECURITY_CARVEOUT13_CLIENT_FORCE_INTERNAL_ACCESS5),
                                              // McGeneralizedCarveout13ForceInternalAccess5
    SW_DEFAULT(MC, SECURITY_CARVEOUT13_CFG0), // McGeneralizedCarveout13Cfg0
    SW_DEFAULT(MC, SECURITY_CARVEOUT14_BOM),  // McGeneralizedCarveout14Bom
    SW_DEFAULT(MC, SECURITY_CARVEOUT14_BOM_HI), // McGeneralizedCarveout14BomHi
    SW_DEFAULT(MC, SECURITY_CARVEOUT14_SIZE_128KB),
                                              // McGeneralizedCarveout14Size128kb
    SW_DEFAULT(MC, SECURITY_CARVEOUT14_CLIENT_ACCESS0),
                                              // McGeneralizedCarveout14Access0
    SW_DEFAULT(MC, SECURITY_CARVEOUT14_CLIENT_ACCESS1),
                                              // McGeneralizedCarveout14Access1
    SW_DEFAULT(MC, SECURITY_CARVEOUT14_CLIENT_ACCESS2),
                                              // McGeneralizedCarveout14Access2
    SW_DEFAULT(MC, SECURITY_CARVEOUT14_CLIENT_ACCESS3),
                                              // McGeneralizedCarveout14Access3
    SW_DEFAULT(MC, SECURITY_CARVEOUT14_CLIENT_ACCESS4),
                                              // McGeneralizedCarveout14Access4
    SW_DEFAULT(MC, SECURITY_CARVEOUT14_CLIENT_ACCESS5),
                                              // McGeneralizedCarveout14Access5
    SW_DEFAULT(MC, SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS0),
                                              // McGeneralizedCarveout14ForceInternalAccess0
    SW_DEFAULT(MC, SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS1),
                                              // McGeneralizedCarveout14ForceInternalAccess1
    SW_DEFAULT(MC, SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS2),
                                              // McGeneralizedCarveout14ForceInternalAccess2
    SW_DEFAULT(MC, SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS3),
                                              // McGeneralizedCarveout14ForceInternalAccess3
    SW_DEFAULT(MC, SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS4),
                                              // McGeneralizedCarveout14ForceInternalAccess4
    SW_DEFAULT(MC, SECURITY_CARVEOUT14_CLIENT_FORCE_INTERNAL_ACCESS5),
                                              // McGeneralizedCarveout14ForceInternalAccess5
    SW_DEFAULT(MC, SECURITY_CARVEOUT14_CFG0), // McGeneralizedCarveout14Cfg0
    SW_DEFAULT(MC, SECURITY_CARVEOUT15_BOM),  // McGeneralizedCarveout15Bom
    SW_DEFAULT(MC, SECURITY_CARVEOUT15_BOM_HI), // McGeneralizedCarveout15BomHi
    SW_DEFAULT(MC, SECURITY_CARVEOUT15_SIZE_128KB),
                                              // McGeneralizedCarveout15Size128kb
    SW_DEFAULT(MC, SECURITY_CARVEOUT15_CLIENT_ACCESS0),
                                              // McGeneralizedCarveout15Access0
    SW_DEFAULT(MC, SECURITY_CARVEOUT15_CLIENT_ACCESS1),
                                              // McGeneralizedCarveout15Access1
    SW_DEFAULT(MC, SECURITY_CARVEOUT15_CLIENT_ACCESS2),
                                              // McGeneralizedCarveout15Access2
    SW_DEFAULT(MC, SECURITY_CARVEOUT15_CLIENT_ACCESS3),
                                              // McGeneralizedCarveout15Access3
    SW_DEFAULT(MC, SECURITY_CARVEOUT15_CLIENT_ACCESS4),
                                              // McGeneralizedCarveout15Access4
    SW_DEFAULT(MC, SECURITY_CARVEOUT15_CLIENT_ACCESS5),
                                              // McGeneralizedCarveout15Access5
    SW_DEFAULT(MC, SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS0),
                                              // McGeneralizedCarveout15ForceInternalAccess0
    SW_DEFAULT(MC, SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS1),
                                              // McGeneralizedCarveout15ForceInternalAccess1
    SW_DEFAULT(MC, SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS2),
                                              // McGeneralizedCarveout15ForceInternalAccess2
    SW_DEFAULT(MC, SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS3),
                                              // McGeneralizedCarveout15ForceInternalAccess3
    SW_DEFAULT(MC, SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS4),
                                              // McGeneralizedCarveout15ForceInternalAccess4
    SW_DEFAULT(MC, SECURITY_CARVEOUT15_CLIENT_FORCE_INTERNAL_ACCESS5),
                                              // McGeneralizedCarveout15ForceInternalAccess5
    SW_DEFAULT(MC, SECURITY_CARVEOUT15_CFG0), // McGeneralizedCarveout15Cfg0
    SW_DEFAULT(MC, SECURITY_CARVEOUT16_BOM),  // McGeneralizedCarveout16Bom
    SW_DEFAULT(MC, SECURITY_CARVEOUT16_BOM_HI), // McGeneralizedCarveout16BomHi
    SW_DEFAULT(MC, SECURITY_CARVEOUT16_SIZE_128KB),
                                              // McGeneralizedCarveout16Size128kb
    SW_DEFAULT(MC, SECURITY_CARVEOUT16_CLIENT_ACCESS0),
                                              // McGeneralizedCarveout16Access0
    SW_DEFAULT(MC, SECURITY_CARVEOUT16_CLIENT_ACCESS1),
                                              // McGeneralizedCarveout16Access1
    SW_DEFAULT(MC, SECURITY_CARVEOUT16_CLIENT_ACCESS2),
                                              // McGeneralizedCarveout16Access2
    SW_DEFAULT(MC, SECURITY_CARVEOUT16_CLIENT_ACCESS3),
                                              // McGeneralizedCarveout16Access3
    SW_DEFAULT(MC, SECURITY_CARVEOUT16_CLIENT_ACCESS4),
                                              // McGeneralizedCarveout16Access4
    SW_DEFAULT(MC, SECURITY_CARVEOUT16_CLIENT_ACCESS5),
                                              // McGeneralizedCarveout16Access5
    SW_DEFAULT(MC, SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS0),
                                              // McGeneralizedCarveout16ForceInternalAccess0
    SW_DEFAULT(MC, SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS1),
                                              // McGeneralizedCarveout16ForceInternalAccess1
    SW_DEFAULT(MC, SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS2),
                                              // McGeneralizedCarveout16ForceInternalAccess2
    SW_DEFAULT(MC, SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS3),
                                              // McGeneralizedCarveout16ForceInternalAccess3
    SW_DEFAULT(MC, SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS4),
                                              // McGeneralizedCarveout16ForceInternalAccess4
    SW_DEFAULT(MC, SECURITY_CARVEOUT16_CLIENT_FORCE_INTERNAL_ACCESS5),
                                              // McGeneralizedCarveout16ForceInternalAccess5
    SW_DEFAULT(MC, SECURITY_CARVEOUT16_CFG0), // McGeneralizedCarveout16Cfg0
    SW_DEFAULT(MC, SECURITY_CARVEOUT17_BOM),  // McGeneralizedCarveout17Bom
    SW_DEFAULT(MC, SECURITY_CARVEOUT17_BOM_HI), // McGeneralizedCarveout17BomHi
    SW_DEFAULT(MC, SECURITY_CARVEOUT17_SIZE_128KB),
                                              // McGeneralizedCarveout17Size128kb
    SW_DEFAULT(MC, SECURITY_CARVEOUT17_CLIENT_ACCESS0),
                                              // McGeneralizedCarveout17Access0
    SW_DEFAULT(MC, SECURITY_CARVEOUT17_CLIENT_ACCESS1),
                                              // McGeneralizedCarveout17Access1
    SW_DEFAULT(MC, SECURITY_CARVEOUT17_CLIENT_ACCESS2),
                                              // McGeneralizedCarveout17Access2
    SW_DEFAULT(MC, SECURITY_CARVEOUT17_CLIENT_ACCESS3),
                                              // McGeneralizedCarveout17Access3
    SW_DEFAULT(MC, SECURITY_CARVEOUT17_CLIENT_ACCESS4),
                                              // McGeneralizedCarveout17Access4
    SW_DEFAULT(MC, SECURITY_CARVEOUT17_CLIENT_ACCESS5),
                                              // McGeneralizedCarveout17Access5
    SW_DEFAULT(MC, SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS0),
                                              // McGeneralizedCarveout17ForceInternalAccess0
    SW_DEFAULT(MC, SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS1),
                                              // McGeneralizedCarveout17ForceInternalAccess1
    SW_DEFAULT(MC, SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS2),
                                              // McGeneralizedCarveout17ForceInternalAccess2
    SW_DEFAULT(MC, SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS3),
                                              // McGeneralizedCarveout17ForceInternalAccess3
    SW_DEFAULT(MC, SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS4),
                                              // McGeneralizedCarveout17ForceInternalAccess4
    SW_DEFAULT(MC, SECURITY_CARVEOUT17_CLIENT_FORCE_INTERNAL_ACCESS5),
                                              // McGeneralizedCarveout17ForceInternalAccess5
    SW_DEFAULT(MC, SECURITY_CARVEOUT17_CFG0), // McGeneralizedCarveout17Cfg0
    SW_DEFAULT(MC, SECURITY_CARVEOUT18_BOM),  // McGeneralizedCarveout18Bom
    SW_DEFAULT(MC, SECURITY_CARVEOUT18_BOM_HI), // McGeneralizedCarveout18BomHi
    SW_DEFAULT(MC, SECURITY_CARVEOUT18_SIZE_128KB),
                                              // McGeneralizedCarveout18Size128kb
    SW_DEFAULT(MC, SECURITY_CARVEOUT18_CLIENT_ACCESS0),
                                              // McGeneralizedCarveout18Access0
    SW_DEFAULT(MC, SECURITY_CARVEOUT18_CLIENT_ACCESS1),
                                              // McGeneralizedCarveout18Access1
    SW_DEFAULT(MC, SECURITY_CARVEOUT18_CLIENT_ACCESS2),
                                              // McGeneralizedCarveout18Access2
    SW_DEFAULT(MC, SECURITY_CARVEOUT18_CLIENT_ACCESS3),
                                              // McGeneralizedCarveout18Access3
    SW_DEFAULT(MC, SECURITY_CARVEOUT18_CLIENT_ACCESS4),
                                              // McGeneralizedCarveout18Access4
    SW_DEFAULT(MC, SECURITY_CARVEOUT18_CLIENT_ACCESS5),
                                              // McGeneralizedCarveout18Access5
    SW_DEFAULT(MC, SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS0),
                                              // McGeneralizedCarveout18ForceInternalAccess0
    SW_DEFAULT(MC, SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS1),
                                              // McGeneralizedCarveout18ForceInternalAccess1
    SW_DEFAULT(MC, SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS2),
                                              // McGeneralizedCarveout18ForceInternalAccess2
    SW_DEFAULT(MC, SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS3),
                                              // McGeneralizedCarveout18ForceInternalAccess3
    SW_DEFAULT(MC, SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS4),
                                              // McGeneralizedCarveout18ForceInternalAccess4
    SW_DEFAULT(MC, SECURITY_CARVEOUT18_CLIENT_FORCE_INTERNAL_ACCESS5),
                                              // McGeneralizedCarveout18ForceInternalAccess5
    SW_DEFAULT(MC, SECURITY_CARVEOUT18_CFG0), // McGeneralizedCarveout18Cfg0
    SW_DEFAULT(MC, SECURITY_CARVEOUT19_BOM),  // McGeneralizedCarveout19Bom
    SW_DEFAULT(MC, SECURITY_CARVEOUT19_BOM_HI), // McGeneralizedCarveout19BomHi
    SW_DEFAULT(MC, SECURITY_CARVEOUT19_SIZE_128KB),
                                              // McGeneralizedCarveout19Size128kb
    SW_DEFAULT(MC, SECURITY_CARVEOUT19_CLIENT_ACCESS0),
                                              // McGeneralizedCarveout19Access0
    SW_DEFAULT(MC, SECURITY_CARVEOUT19_CLIENT_ACCESS1),
                                              // McGeneralizedCarveout19Access1
    SW_DEFAULT(MC, SECURITY_CARVEOUT19_CLIENT_ACCESS2),
                                              // McGeneralizedCarveout19Access2
    SW_DEFAULT(MC, SECURITY_CARVEOUT19_CLIENT_ACCESS3),
                                              // McGeneralizedCarveout19Access3
    SW_DEFAULT(MC, SECURITY_CARVEOUT19_CLIENT_ACCESS4),
                                              // McGeneralizedCarveout19Access4
    SW_DEFAULT(MC, SECURITY_CARVEOUT19_CLIENT_ACCESS5),
                                              // McGeneralizedCarveout19Access5
    SW_DEFAULT(MC, SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS0),
                                              // McGeneralizedCarveout19ForceInternalAccess0
    SW_DEFAULT(MC, SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS1),
                                              // McGeneralizedCarveout19ForceInternalAccess1
    SW_DEFAULT(MC, SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS2),
                                              // McGeneralizedCarveout19ForceInternalAccess2
    SW_DEFAULT(MC, SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS3),
                                              // McGeneralizedCarveout19ForceInternalAccess3
    SW_DEFAULT(MC, SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS4),
                                              // McGeneralizedCarveout19ForceInternalAccess4
    SW_DEFAULT(MC, SECURITY_CARVEOUT19_CLIENT_FORCE_INTERNAL_ACCESS5),
                                              // McGeneralizedCarveout19ForceInternalAccess5
    SW_DEFAULT(MC, SECURITY_CARVEOUT19_CFG0), // McGeneralizedCarveout19Cfg0
    SW_DEFAULT(MC, SECURITY_CARVEOUT20_BOM),  // McGeneralizedCarveout20Bom
    SW_DEFAULT(MC, SECURITY_CARVEOUT20_BOM_HI), // McGeneralizedCarveout20BomHi
    SW_DEFAULT(MC, SECURITY_CARVEOUT20_SIZE_128KB),
                                              // McGeneralizedCarveout20Size128kb
    SW_DEFAULT(MC, SECURITY_CARVEOUT20_CLIENT_ACCESS0),
                                              // McGeneralizedCarveout20Access0
    SW_DEFAULT(MC, SECURITY_CARVEOUT20_CLIENT_ACCESS1),
                                              // McGeneralizedCarveout20Access1
    SW_DEFAULT(MC, SECURITY_CARVEOUT20_CLIENT_ACCESS2),
                                              // McGeneralizedCarveout20Access2
    SW_DEFAULT(MC, SECURITY_CARVEOUT20_CLIENT_ACCESS3),
                                              // McGeneralizedCarveout20Access3
    SW_DEFAULT(MC, SECURITY_CARVEOUT20_CLIENT_ACCESS4),
                                              // McGeneralizedCarveout20Access4
    SW_DEFAULT(MC, SECURITY_CARVEOUT20_CLIENT_ACCESS5),
                                              // McGeneralizedCarveout20Access5
    SW_DEFAULT(MC, SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS0),
                                              // McGeneralizedCarveout20ForceInternalAccess0
    SW_DEFAULT(MC, SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS1),
                                              // McGeneralizedCarveout20ForceInternalAccess1
    SW_DEFAULT(MC, SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS2),
                                              // McGeneralizedCarveout20ForceInternalAccess2
    SW_DEFAULT(MC, SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS3),
                                              // McGeneralizedCarveout20ForceInternalAccess3
    SW_DEFAULT(MC, SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS4),
                                              // McGeneralizedCarveout20ForceInternalAccess4
    SW_DEFAULT(MC, SECURITY_CARVEOUT20_CLIENT_FORCE_INTERNAL_ACCESS5),
                                              // McGeneralizedCarveout20ForceInternalAccess5
    SW_DEFAULT(MC, SECURITY_CARVEOUT20_CFG0), // McGeneralizedCarveout20Cfg0
    SW_DEFAULT(MC, SECURITY_CARVEOUT21_BOM),  // McGeneralizedCarveout21Bom
    SW_DEFAULT(MC, SECURITY_CARVEOUT21_BOM_HI), // McGeneralizedCarveout21BomHi
    SW_DEFAULT(MC, SECURITY_CARVEOUT21_SIZE_128KB),
                                              // McGeneralizedCarveout21Size128kb
    SW_DEFAULT(MC, SECURITY_CARVEOUT21_CLIENT_ACCESS0),
                                              // McGeneralizedCarveout21Access0
    SW_DEFAULT(MC, SECURITY_CARVEOUT21_CLIENT_ACCESS1),
                                              // McGeneralizedCarveout21Access1
    SW_DEFAULT(MC, SECURITY_CARVEOUT21_CLIENT_ACCESS2),
                                              // McGeneralizedCarveout21Access2
    SW_DEFAULT(MC, SECURITY_CARVEOUT21_CLIENT_ACCESS3),
                                              // McGeneralizedCarveout21Access3
    SW_DEFAULT(MC, SECURITY_CARVEOUT21_CLIENT_ACCESS4),
                                              // McGeneralizedCarveout21Access4
    SW_DEFAULT(MC, SECURITY_CARVEOUT21_CLIENT_ACCESS5),
                                              // McGeneralizedCarveout21Access5
    SW_DEFAULT(MC, SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS0),
                                              // McGeneralizedCarveout21ForceInternalAccess0
    SW_DEFAULT(MC, SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS1),
                                              // McGeneralizedCarveout21ForceInternalAccess1
    SW_DEFAULT(MC, SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS2),
                                              // McGeneralizedCarveout21ForceInternalAccess2
    SW_DEFAULT(MC, SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS3),
                                              // McGeneralizedCarveout21ForceInternalAccess3
    SW_DEFAULT(MC, SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS4),
                                              // McGeneralizedCarveout21ForceInternalAccess4
    SW_DEFAULT(MC, SECURITY_CARVEOUT21_CLIENT_FORCE_INTERNAL_ACCESS5),
                                              // McGeneralizedCarveout21ForceInternalAccess5
    SW_DEFAULT(MC, SECURITY_CARVEOUT21_CFG0), // McGeneralizedCarveout21Cfg0
    SW_DEFAULT(MC, SECURITY_CARVEOUT22_BOM),  // McGeneralizedCarveout22Bom
    SW_DEFAULT(MC, SECURITY_CARVEOUT22_BOM_HI), // McGeneralizedCarveout22BomHi
    SW_DEFAULT(MC, SECURITY_CARVEOUT22_SIZE_128KB),
                                              // McGeneralizedCarveout22Size128kb
    SW_DEFAULT(MC, SECURITY_CARVEOUT22_CLIENT_ACCESS0),
                                              // McGeneralizedCarveout22Access0
    SW_DEFAULT(MC, SECURITY_CARVEOUT22_CLIENT_ACCESS1),
                                              // McGeneralizedCarveout22Access1
    SW_DEFAULT(MC, SECURITY_CARVEOUT22_CLIENT_ACCESS2),
                                              // McGeneralizedCarveout22Access2
    SW_DEFAULT(MC, SECURITY_CARVEOUT22_CLIENT_ACCESS3),
                                              // McGeneralizedCarveout22Access3
    SW_DEFAULT(MC, SECURITY_CARVEOUT22_CLIENT_ACCESS4),
                                              // McGeneralizedCarveout22Access4
    SW_DEFAULT(MC, SECURITY_CARVEOUT22_CLIENT_ACCESS5),
                                              // McGeneralizedCarveout22Access5
    SW_DEFAULT(MC, SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS0),
                                              // McGeneralizedCarveout22ForceInternalAccess0
    SW_DEFAULT(MC, SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS1),
                                              // McGeneralizedCarveout22ForceInternalAccess1
    SW_DEFAULT(MC, SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS2),
                                              // McGeneralizedCarveout22ForceInternalAccess2
    SW_DEFAULT(MC, SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS3),
                                              // McGeneralizedCarveout22ForceInternalAccess3
    SW_DEFAULT(MC, SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS4),
                                              // McGeneralizedCarveout22ForceInternalAccess4
    SW_DEFAULT(MC, SECURITY_CARVEOUT22_CLIENT_FORCE_INTERNAL_ACCESS5),
                                              // McGeneralizedCarveout22ForceInternalAccess5
    SW_DEFAULT(MC, SECURITY_CARVEOUT22_CFG0), // McGeneralizedCarveout22Cfg0
    SW_DEFAULT(MC, SECURITY_CARVEOUT23_BOM),  // McGeneralizedCarveout23Bom
    SW_DEFAULT(MC, SECURITY_CARVEOUT23_BOM_HI), // McGeneralizedCarveout23BomHi
    SW_DEFAULT(MC, SECURITY_CARVEOUT23_SIZE_128KB),
                                              // McGeneralizedCarveout23Size128kb
    SW_DEFAULT(MC, SECURITY_CARVEOUT23_CLIENT_ACCESS0),
                                              // McGeneralizedCarveout23Access0
    SW_DEFAULT(MC, SECURITY_CARVEOUT23_CLIENT_ACCESS1),
                                              // McGeneralizedCarveout23Access1
    SW_DEFAULT(MC, SECURITY_CARVEOUT23_CLIENT_ACCESS2),
                                              // McGeneralizedCarveout23Access2
    SW_DEFAULT(MC, SECURITY_CARVEOUT23_CLIENT_ACCESS3),
                                              // McGeneralizedCarveout23Access3
    SW_DEFAULT(MC, SECURITY_CARVEOUT23_CLIENT_ACCESS4),
                                              // McGeneralizedCarveout23Access4
    SW_DEFAULT(MC, SECURITY_CARVEOUT23_CLIENT_ACCESS5),
                                              // McGeneralizedCarveout23Access5
    SW_DEFAULT(MC, SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS0),
                                              // McGeneralizedCarveout23ForceInternalAccess0
    SW_DEFAULT(MC, SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS1),
                                              // McGeneralizedCarveout23ForceInternalAccess1
    SW_DEFAULT(MC, SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS2),
                                              // McGeneralizedCarveout23ForceInternalAccess2
    SW_DEFAULT(MC, SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS3),
                                              // McGeneralizedCarveout23ForceInternalAccess3
    SW_DEFAULT(MC, SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS4),
                                              // McGeneralizedCarveout23ForceInternalAccess4
    SW_DEFAULT(MC, SECURITY_CARVEOUT23_CLIENT_FORCE_INTERNAL_ACCESS5),
                                              // McGeneralizedCarveout23ForceInternalAccess5
    SW_DEFAULT(MC, SECURITY_CARVEOUT23_CFG0), // McGeneralizedCarveout23Cfg0
    SW_DEFAULT(MC, SECURITY_CARVEOUT24_BOM),  // McGeneralizedCarveout24Bom
    SW_DEFAULT(MC, SECURITY_CARVEOUT24_BOM_HI), // McGeneralizedCarveout24BomHi
    SW_DEFAULT(MC, SECURITY_CARVEOUT24_SIZE_128KB),
                                              // McGeneralizedCarveout24Size128kb
    SW_DEFAULT(MC, SECURITY_CARVEOUT24_CLIENT_ACCESS0),
                                              // McGeneralizedCarveout24Access0
    SW_DEFAULT(MC, SECURITY_CARVEOUT24_CLIENT_ACCESS1),
                                              // McGeneralizedCarveout24Access1
    SW_DEFAULT(MC, SECURITY_CARVEOUT24_CLIENT_ACCESS2),
                                              // McGeneralizedCarveout24Access2
    SW_DEFAULT(MC, SECURITY_CARVEOUT24_CLIENT_ACCESS3),
                                              // McGeneralizedCarveout24Access3
    SW_DEFAULT(MC, SECURITY_CARVEOUT24_CLIENT_ACCESS4),
                                              // McGeneralizedCarveout24Access4
    SW_DEFAULT(MC, SECURITY_CARVEOUT24_CLIENT_ACCESS5),
                                              // McGeneralizedCarveout24Access5
    SW_DEFAULT(MC, SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS0),
                                              // McGeneralizedCarveout24ForceInternalAccess0
    SW_DEFAULT(MC, SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS1),
                                              // McGeneralizedCarveout24ForceInternalAccess1
    SW_DEFAULT(MC, SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS2),
                                              // McGeneralizedCarveout24ForceInternalAccess2
    SW_DEFAULT(MC, SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS3),
                                              // McGeneralizedCarveout24ForceInternalAccess3
    SW_DEFAULT(MC, SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS4),
                                              // McGeneralizedCarveout24ForceInternalAccess4
    SW_DEFAULT(MC, SECURITY_CARVEOUT24_CLIENT_FORCE_INTERNAL_ACCESS5),
                                              // McGeneralizedCarveout24ForceInternalAccess5
    SW_DEFAULT(MC, SECURITY_CARVEOUT24_CFG0), // McGeneralizedCarveout24Cfg0
    SW_DEFAULT(MC, SECURITY_CARVEOUT25_BOM),  // McGeneralizedCarveout25Bom
    SW_DEFAULT(MC, SECURITY_CARVEOUT25_BOM_HI), // McGeneralizedCarveout25BomHi
    SW_DEFAULT(MC, SECURITY_CARVEOUT25_SIZE_128KB),
                                              // McGeneralizedCarveout25Size128kb
    SW_DEFAULT(MC, SECURITY_CARVEOUT25_CLIENT_ACCESS0),
                                              // McGeneralizedCarveout25Access0
    SW_DEFAULT(MC, SECURITY_CARVEOUT25_CLIENT_ACCESS1),
                                              // McGeneralizedCarveout25Access1
    SW_DEFAULT(MC, SECURITY_CARVEOUT25_CLIENT_ACCESS2),
                                              // McGeneralizedCarveout25Access2
    SW_DEFAULT(MC, SECURITY_CARVEOUT25_CLIENT_ACCESS3),
                                              // McGeneralizedCarveout25Access3
    SW_DEFAULT(MC, SECURITY_CARVEOUT25_CLIENT_ACCESS4),
                                              // McGeneralizedCarveout25Access4
    SW_DEFAULT(MC, SECURITY_CARVEOUT25_CLIENT_ACCESS5),
                                              // McGeneralizedCarveout25Access5
    SW_DEFAULT(MC, SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS0),
                                              // McGeneralizedCarveout25ForceInternalAccess0
    SW_DEFAULT(MC, SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS1),
                                              // McGeneralizedCarveout25ForceInternalAccess1
    SW_DEFAULT(MC, SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS2),
                                              // McGeneralizedCarveout25ForceInternalAccess2
    SW_DEFAULT(MC, SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS3),
                                              // McGeneralizedCarveout25ForceInternalAccess3
    SW_DEFAULT(MC, SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS4),
                                              // McGeneralizedCarveout25ForceInternalAccess4
    SW_DEFAULT(MC, SECURITY_CARVEOUT25_CLIENT_FORCE_INTERNAL_ACCESS5),
                                              // McGeneralizedCarveout25ForceInternalAccess5
    SW_DEFAULT(MC, SECURITY_CARVEOUT25_CFG0), // McGeneralizedCarveout25Cfg0
    SW_DEFAULT(MC, SECURITY_CARVEOUT26_BOM),  // McGeneralizedCarveout26Bom
    SW_DEFAULT(MC, SECURITY_CARVEOUT26_BOM_HI), // McGeneralizedCarveout26BomHi
    SW_DEFAULT(MC, SECURITY_CARVEOUT26_SIZE_128KB),
                                              // McGeneralizedCarveout26Size128kb
    SW_DEFAULT(MC, SECURITY_CARVEOUT26_CLIENT_ACCESS0),
                                              // McGeneralizedCarveout26Access0
    SW_DEFAULT(MC, SECURITY_CARVEOUT26_CLIENT_ACCESS1),
                                              // McGeneralizedCarveout26Access1
    SW_DEFAULT(MC, SECURITY_CARVEOUT26_CLIENT_ACCESS2),
                                              // McGeneralizedCarveout26Access2
    SW_DEFAULT(MC, SECURITY_CARVEOUT26_CLIENT_ACCESS3),
                                              // McGeneralizedCarveout26Access3
    SW_DEFAULT(MC, SECURITY_CARVEOUT26_CLIENT_ACCESS4),
                                              // McGeneralizedCarveout26Access4
    SW_DEFAULT(MC, SECURITY_CARVEOUT26_CLIENT_ACCESS5),
                                              // McGeneralizedCarveout26Access5
    SW_DEFAULT(MC, SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS0),
                                              // McGeneralizedCarveout26ForceInternalAccess0
    SW_DEFAULT(MC, SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS1),
                                              // McGeneralizedCarveout26ForceInternalAccess1
    SW_DEFAULT(MC, SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS2),
                                              // McGeneralizedCarveout26ForceInternalAccess2
    SW_DEFAULT(MC, SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS3),
                                              // McGeneralizedCarveout26ForceInternalAccess3
    SW_DEFAULT(MC, SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS4),
                                              // McGeneralizedCarveout26ForceInternalAccess4
    SW_DEFAULT(MC, SECURITY_CARVEOUT26_CLIENT_FORCE_INTERNAL_ACCESS5),
                                              // McGeneralizedCarveout26ForceInternalAccess5
    SW_DEFAULT(MC, SECURITY_CARVEOUT26_CFG0), // McGeneralizedCarveout26Cfg0
    SW_DEFAULT(MC, SECURITY_CARVEOUT27_BOM),  // McGeneralizedCarveout27Bom
    SW_DEFAULT(MC, SECURITY_CARVEOUT27_BOM_HI), // McGeneralizedCarveout27BomHi
    SW_DEFAULT(MC, SECURITY_CARVEOUT27_SIZE_128KB),
                                              // McGeneralizedCarveout27Size128kb
    SW_DEFAULT(MC, SECURITY_CARVEOUT27_CLIENT_ACCESS0),
                                              // McGeneralizedCarveout27Access0
    SW_DEFAULT(MC, SECURITY_CARVEOUT27_CLIENT_ACCESS1),
                                              // McGeneralizedCarveout27Access1
    SW_DEFAULT(MC, SECURITY_CARVEOUT27_CLIENT_ACCESS2),
                                              // McGeneralizedCarveout27Access2
    SW_DEFAULT(MC, SECURITY_CARVEOUT27_CLIENT_ACCESS3),
                                              // McGeneralizedCarveout27Access3
    SW_DEFAULT(MC, SECURITY_CARVEOUT27_CLIENT_ACCESS4),
                                              // McGeneralizedCarveout27Access4
    SW_DEFAULT(MC, SECURITY_CARVEOUT27_CLIENT_ACCESS5),
                                              // McGeneralizedCarveout27Access5
    SW_DEFAULT(MC, SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS0),
                                              // McGeneralizedCarveout27ForceInternalAccess0
    SW_DEFAULT(MC, SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS1),
                                              // McGeneralizedCarveout27ForceInternalAccess1
    SW_DEFAULT(MC, SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS2),
                                              // McGeneralizedCarveout27ForceInternalAccess2
    SW_DEFAULT(MC, SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS3),
                                              // McGeneralizedCarveout27ForceInternalAccess3
    SW_DEFAULT(MC, SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS4),
                                              // McGeneralizedCarveout27ForceInternalAccess4
    SW_DEFAULT(MC, SECURITY_CARVEOUT27_CLIENT_FORCE_INTERNAL_ACCESS5),
                                              // McGeneralizedCarveout27ForceInternalAccess5
    SW_DEFAULT(MC, SECURITY_CARVEOUT27_CFG0), // McGeneralizedCarveout27Cfg0
    SW_DEFAULT(MC, SECURITY_CARVEOUT28_BOM),  // McGeneralizedCarveout28Bom
    SW_DEFAULT(MC, SECURITY_CARVEOUT28_BOM_HI), // McGeneralizedCarveout28BomHi
    SW_DEFAULT(MC, SECURITY_CARVEOUT28_SIZE_128KB),
                                              // McGeneralizedCarveout28Size128kb
    SW_DEFAULT(MC, SECURITY_CARVEOUT28_CLIENT_ACCESS0),
                                              // McGeneralizedCarveout28Access0
    SW_DEFAULT(MC, SECURITY_CARVEOUT28_CLIENT_ACCESS1),
                                              // McGeneralizedCarveout28Access1
    SW_DEFAULT(MC, SECURITY_CARVEOUT28_CLIENT_ACCESS2),
                                              // McGeneralizedCarveout28Access2
    SW_DEFAULT(MC, SECURITY_CARVEOUT28_CLIENT_ACCESS3),
                                              // McGeneralizedCarveout28Access3
    SW_DEFAULT(MC, SECURITY_CARVEOUT28_CLIENT_ACCESS4),
                                              // McGeneralizedCarveout28Access4
    SW_DEFAULT(MC, SECURITY_CARVEOUT28_CLIENT_ACCESS5),
                                              // McGeneralizedCarveout28Access5
    SW_DEFAULT(MC, SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS0),
                                              // McGeneralizedCarveout28ForceInternalAccess0
    SW_DEFAULT(MC, SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS1),
                                              // McGeneralizedCarveout28ForceInternalAccess1
    SW_DEFAULT(MC, SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS2),
                                              // McGeneralizedCarveout28ForceInternalAccess2
    SW_DEFAULT(MC, SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS3),
                                              // McGeneralizedCarveout28ForceInternalAccess3
    SW_DEFAULT(MC, SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS4),
                                              // McGeneralizedCarveout28ForceInternalAccess4
    SW_DEFAULT(MC, SECURITY_CARVEOUT28_CLIENT_FORCE_INTERNAL_ACCESS5),
                                              // McGeneralizedCarveout28ForceInternalAccess5
    SW_DEFAULT(MC, SECURITY_CARVEOUT28_CFG0), // McGeneralizedCarveout28Cfg0
    SW_DEFAULT(MC, SECURITY_CARVEOUT29_BOM),  // McGeneralizedCarveout29Bom
    SW_DEFAULT(MC, SECURITY_CARVEOUT29_BOM_HI), // McGeneralizedCarveout29BomHi
    SW_DEFAULT(MC, SECURITY_CARVEOUT29_SIZE_128KB),
                                              // McGeneralizedCarveout29Size128kb
    SW_DEFAULT(MC, SECURITY_CARVEOUT29_CLIENT_ACCESS0),
                                              // McGeneralizedCarveout29Access0
    SW_DEFAULT(MC, SECURITY_CARVEOUT29_CLIENT_ACCESS1),
                                              // McGeneralizedCarveout29Access1
    SW_DEFAULT(MC, SECURITY_CARVEOUT29_CLIENT_ACCESS2),
                                              // McGeneralizedCarveout29Access2
    SW_DEFAULT(MC, SECURITY_CARVEOUT29_CLIENT_ACCESS3),
                                              // McGeneralizedCarveout29Access3
    SW_DEFAULT(MC, SECURITY_CARVEOUT29_CLIENT_ACCESS4),
                                              // McGeneralizedCarveout29Access4
    SW_DEFAULT(MC, SECURITY_CARVEOUT29_CLIENT_ACCESS5),
                                              // McGeneralizedCarveout29Access5
    SW_DEFAULT(MC, SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS0),
                                              // McGeneralizedCarveout29ForceInternalAccess0
    SW_DEFAULT(MC, SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS1),
                                              // McGeneralizedCarveout29ForceInternalAccess1
    SW_DEFAULT(MC, SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS2),
                                              // McGeneralizedCarveout29ForceInternalAccess2
    SW_DEFAULT(MC, SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS3),
                                              // McGeneralizedCarveout29ForceInternalAccess3
    SW_DEFAULT(MC, SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS4),
                                              // McGeneralizedCarveout29ForceInternalAccess4
    SW_DEFAULT(MC, SECURITY_CARVEOUT29_CLIENT_FORCE_INTERNAL_ACCESS5),
                                              // McGeneralizedCarveout29ForceInternalAccess5
    SW_DEFAULT(MC, SECURITY_CARVEOUT29_CFG0), // McGeneralizedCarveout29Cfg0
    0,                                        // EmcCaTrainingEnable (*)
    0,                                        // BootRomPatchControl
    0,                                        // BootRomPatchData
    SW_DEFAULT(MC, MTS_CARVEOUT_BOM),         // McMtsCarveoutBom
    SW_DEFAULT(MC, MTS_CARVEOUT_ADR_HI),      // McMtsCarveoutAdrHi
    SW_DEFAULT(MC, MTS_CARVEOUT_SIZE_MB),     // McMtsCarveoutSizeMb
    SW_DEFAULT(MC, MTS_CARVEOUT_REG_CTRL),    // McMtsCarveoutRegCtrl
    0,                                        // MssEncryptGenKeys (*)
    0,                                        // MssEncryptDistKeys (*)
    SW_DEFAULT(MC, GK_EXTRA_SNAP_LEVELS),     // McGkExtraSnapLevels
    SW_DEFAULT(MC, SMMU_BYPASS_CONFIG),       // McSmmuBypassConfig
    0,                                        // McBypassSidInit (*)
    0,                                        // BCT_NA (*)
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_PTCR),
                                              // McSidStreamidOverrideConfigPtcr
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_PTCR),
                                              // McSidStreamidSecurityConfigPtcr
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_AFIR),
                                              // McSidStreamidOverrideConfigAfir
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_AFIR),
                                              // McSidStreamidSecurityConfigAfir
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_HDAR),
                                              // McSidStreamidOverrideConfigHdar
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_HDAR),
                                              // McSidStreamidSecurityConfigHdar
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_HOST1XDMAR),
                                              // McSidStreamidOverrideConfigHost1xdmar
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_HOST1XDMAR),
                                              // McSidStreamidSecurityConfigHost1xdmar
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_NVENCSRD),
                                              // McSidStreamidOverrideConfigNvencsrd
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_NVENCSRD),
                                              // McSidStreamidSecurityConfigNvencsrd
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_SATAR),
                                              // McSidStreamidOverrideConfigSatar
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_SATAR),
                                              // McSidStreamidSecurityConfigSatar
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_MPCORER),
                                              // McSidStreamidOverrideConfigMpcorer
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_MPCORER),
                                              // McSidStreamidSecurityConfigMpcorer
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_NVENCSWR),
                                              // McSidStreamidOverrideConfigNvencswr
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_NVENCSWR),
                                              // McSidStreamidSecurityConfigNvencswr
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_AFIW),
                                              // McSidStreamidOverrideConfigAfiw
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_AFIW),
                                              // McSidStreamidSecurityConfigAfiw
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_HDAW),
                                              // McSidStreamidOverrideConfigHdaw
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_HDAW),
                                              // McSidStreamidSecurityConfigHdaw
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_MPCOREW),
                                              // McSidStreamidOverrideConfigMpcorew
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_MPCOREW),
                                              // McSidStreamidSecurityConfigMpcorew
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_SATAW),
                                              // McSidStreamidOverrideConfigSataw
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_SATAW),
                                              // McSidStreamidSecurityConfigSataw
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_ISPRA),
                                              // McSidStreamidOverrideConfigIspra
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_ISPRA),
                                              // McSidStreamidSecurityConfigIspra
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_ISPWA),
                                              // McSidStreamidOverrideConfigIspwa
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_ISPWA),
                                              // McSidStreamidSecurityConfigIspwa
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_ISPWB),
                                              // McSidStreamidOverrideConfigIspwb
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_ISPWB),
                                              // McSidStreamidSecurityConfigIspwb
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_XUSB_HOSTR),
                                              // McSidStreamidOverrideConfigXusb_hostr
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_XUSB_HOSTR),
                                              // McSidStreamidSecurityConfigXusb_hostr
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_XUSB_HOSTW),
                                              // McSidStreamidOverrideConfigXusb_hostw
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_XUSB_HOSTW),
                                              // McSidStreamidSecurityConfigXusb_hostw
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_XUSB_DEVR),
                                              // McSidStreamidOverrideConfigXusb_devr
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_XUSB_DEVR),
                                              // McSidStreamidSecurityConfigXusb_devr
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_XUSB_DEVW),
                                              // McSidStreamidOverrideConfigXusb_devw
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_XUSB_DEVW),
                                              // McSidStreamidSecurityConfigXusb_devw
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_TSECSRD),
                                              // McSidStreamidOverrideConfigTsecsrd
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_TSECSRD),
                                              // McSidStreamidSecurityConfigTsecsrd
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_TSECSWR),
                                              // McSidStreamidOverrideConfigTsecswr
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_TSECSWR),
                                              // McSidStreamidSecurityConfigTsecswr
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_GPUSRD),
                                              // McSidStreamidOverrideConfigGpusrd
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_GPUSRD),
                                              // McSidStreamidSecurityConfigGpusrd
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_GPUSWR),
                                              // McSidStreamidOverrideConfigGpuswr
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_GPUSWR),
                                              // McSidStreamidSecurityConfigGpuswr
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_SDMMCRA),
                                              // McSidStreamidOverrideConfigSdmmcra
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_SDMMCRA),
                                              // McSidStreamidSecurityConfigSdmmcra
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_SDMMCRAA),
                                              // McSidStreamidOverrideConfigSdmmcraa
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_SDMMCRAA),
                                              // McSidStreamidSecurityConfigSdmmcraa
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_SDMMCR),
                                              // McSidStreamidOverrideConfigSdmmcr
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_SDMMCR),
                                              // McSidStreamidSecurityConfigSdmmcr
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_SDMMCRAB),
                                              // McSidStreamidOverrideConfigSdmmcrab
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_SDMMCRAB),
                                              // McSidStreamidSecurityConfigSdmmcrab
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_SDMMCWA),
                                              // McSidStreamidOverrideConfigSdmmcwa
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_SDMMCWA),
                                              // McSidStreamidSecurityConfigSdmmcwa
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_SDMMCWAA),
                                              // McSidStreamidOverrideConfigSdmmcwaa
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_SDMMCWAA),
                                              // McSidStreamidSecurityConfigSdmmcwaa
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_SDMMCW),
                                              // McSidStreamidOverrideConfigSdmmcw
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_SDMMCW),
                                              // McSidStreamidSecurityConfigSdmmcw
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_SDMMCWAB),
                                              // McSidStreamidOverrideConfigSdmmcwab
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_SDMMCWAB),
                                              // McSidStreamidSecurityConfigSdmmcwab
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_VICSRD),
                                              // McSidStreamidOverrideConfigVicsrd
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_VICSRD),
                                              // McSidStreamidSecurityConfigVicsrd
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_VICSWR),
                                              // McSidStreamidOverrideConfigVicswr
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_VICSWR),
                                              // McSidStreamidSecurityConfigVicswr
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_VIW),
                                              // McSidStreamidOverrideConfigViw
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_VIW),
                                              // McSidStreamidSecurityConfigViw
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_NVDECSRD),
                                              // McSidStreamidOverrideConfigNvdecsrd
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_NVDECSRD),
                                              // McSidStreamidSecurityConfigNvdecsrd
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_NVDECSWR),
                                              // McSidStreamidOverrideConfigNvdecswr
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_NVDECSWR),
                                              // McSidStreamidSecurityConfigNvdecswr
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_APER),
                                              // McSidStreamidOverrideConfigAper
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_APER),
                                              // McSidStreamidSecurityConfigAper
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_APEW),
                                              // McSidStreamidOverrideConfigApew
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_APEW),
                                              // McSidStreamidSecurityConfigApew
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_NVJPGSRD),
                                              // McSidStreamidOverrideConfigNvjpgsrd
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_NVJPGSRD),
                                              // McSidStreamidSecurityConfigNvjpgsrd
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_NVJPGSWR),
                                              // McSidStreamidOverrideConfigNvjpgswr
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_NVJPGSWR),
                                              // McSidStreamidSecurityConfigNvjpgswr
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_SESRD),
                                              // McSidStreamidOverrideConfigSesrd
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_SESRD),
                                              // McSidStreamidSecurityConfigSesrd
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_SESWR),
                                              // McSidStreamidOverrideConfigSeswr
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_SESWR),
                                              // McSidStreamidSecurityConfigSeswr
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_ETRR),
                                              // McSidStreamidOverrideConfigEtrr
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_ETRR),
                                              // McSidStreamidSecurityConfigEtrr
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_ETRW),
                                              // McSidStreamidOverrideConfigEtrw
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_ETRW),
                                              // McSidStreamidSecurityConfigEtrw
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_TSECSRDB),
                                              // McSidStreamidOverrideConfigTsecsrdb
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_TSECSRDB),
                                              // McSidStreamidSecurityConfigTsecsrdb
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_TSECSWRB),
                                              // McSidStreamidOverrideConfigTsecswrb
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_TSECSWRB),
                                              // McSidStreamidSecurityConfigTsecswrb
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_GPUSRD2),
                                              // McSidStreamidOverrideConfigGpusrd2
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_GPUSRD2),
                                              // McSidStreamidSecurityConfigGpusrd2
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_GPUSWR2),
                                              // McSidStreamidOverrideConfigGpuswr2
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_GPUSWR2),
                                              // McSidStreamidSecurityConfigGpuswr2
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_AXISR),
                                              // McSidStreamidOverrideConfigAxisr
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_AXISR),
                                              // McSidStreamidSecurityConfigAxisr
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_AXISW),
                                              // McSidStreamidOverrideConfigAxisw
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_AXISW),
                                              // McSidStreamidSecurityConfigAxisw
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_EQOSR),
                                              // McSidStreamidOverrideConfigEqosr
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_EQOSR),
                                              // McSidStreamidSecurityConfigEqosr
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_EQOSW),
                                              // McSidStreamidOverrideConfigEqosw
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_EQOSW),
                                              // McSidStreamidSecurityConfigEqosw
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_UFSHCR),
                                              // McSidStreamidOverrideConfigUfshcr
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_UFSHCR),
                                              // McSidStreamidSecurityConfigUfshcr
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_UFSHCW),
                                              // McSidStreamidOverrideConfigUfshcw
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_UFSHCW),
                                              // McSidStreamidSecurityConfigUfshcw
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_NVDISPLAYR),
                                              // McSidStreamidOverrideConfigNvdisplayr
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_NVDISPLAYR),
                                              // McSidStreamidSecurityConfigNvdisplayr
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_BPMPR),
                                              // McSidStreamidOverrideConfigBpmpr
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_BPMPR),
                                              // McSidStreamidSecurityConfigBpmpr
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_BPMPW),
                                              // McSidStreamidOverrideConfigBpmpw
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_BPMPW),
                                              // McSidStreamidSecurityConfigBpmpw
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_BPMPDMAR),
                                              // McSidStreamidOverrideConfigBpmpdmar
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_BPMPDMAR),
                                              // McSidStreamidSecurityConfigBpmpdmar
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_BPMPDMAW),
                                              // McSidStreamidOverrideConfigBpmpdmaw
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_BPMPDMAW),
                                              // McSidStreamidSecurityConfigBpmpdmaw
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_AONR),
                                              // McSidStreamidOverrideConfigAonr
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_AONR),
                                              // McSidStreamidSecurityConfigAonr
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_AONW),
                                              // McSidStreamidOverrideConfigAonw
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_AONW),
                                              // McSidStreamidSecurityConfigAonw
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_AONDMAR),
                                              // McSidStreamidOverrideConfigAondmar
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_AONDMAR),
                                              // McSidStreamidSecurityConfigAondmar
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_AONDMAW),
                                              // McSidStreamidOverrideConfigAondmaw
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_AONDMAW),
                                              // McSidStreamidSecurityConfigAondmaw
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_SCER),
                                              // McSidStreamidOverrideConfigScer
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_SCER),
                                              // McSidStreamidSecurityConfigScer
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_SCEW),
                                              // McSidStreamidOverrideConfigScew
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_SCEW),
                                              // McSidStreamidSecurityConfigScew
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_SCEDMAR),
                                              // McSidStreamidOverrideConfigScedmar
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_SCEDMAR),
                                              // McSidStreamidSecurityConfigScedmar
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_SCEDMAW),
                                              // McSidStreamidOverrideConfigScedmaw
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_SCEDMAW),
                                              // McSidStreamidSecurityConfigScedmaw
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_APEDMAR),
                                              // McSidStreamidOverrideConfigApedmar
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_APEDMAR),
                                              // McSidStreamidSecurityConfigApedmar
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_APEDMAW),
                                              // McSidStreamidOverrideConfigApedmaw
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_APEDMAW),
                                              // McSidStreamidSecurityConfigApedmaw
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_NVDISPLAYR1),
                                              // McSidStreamidOverrideConfigNvdisplayr1
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_NVDISPLAYR1),
                                              // McSidStreamidSecurityConfigNvdisplayr1
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_VICSRD1),
                                              // McSidStreamidOverrideConfigVicsrd1
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_VICSRD1),
                                              // McSidStreamidSecurityConfigVicsrd1
    SW_DEFAULT(MC_SID, STREAMID_OVERRIDE_CONFIG_NVDECSRD1),
                                              // McSidStreamidOverrideConfigNvdecsrd1
    SW_DEFAULT(MC_SID, STREAMID_SECURITY_CONFIG_NVDECSRD1)
                                              // McSidStreamidSecurityConfigNvdecsrd1
#else // WB_CODE_TEST
    NvBootMemoryType_None,                    // MemoryType
    0xdeadbeef,                               // MemIoVoltage
    0xdeadbeef,                               // PllMInputDivider
    0xdeadbeef,                               // PllMFeedbackDivider
    0xdeadbeef,                               // PllMStableTime
    0xdeadbeef,                               // PllMSetupControl
    0xdeadbeef,                               // PllMPostDivider
    0xdeadbeef,                               // PllMKCP
    0xdeadbeef,                               // PllMKVCO
    0xdeadbeef,                               // InitExtraForFpga
    0xdeadbeef,                               // EmcBctSpare0
    0xdeadbeef,                               // EmcBctSpare1
    0xdeadbeef,                               // EmcBctSpare2
    0xdeadbeef,                               // EmcBctSpare3
    0xdeadbeef,                               // EmcBctSpare4
    0xdeadbeef,                               // EmcBctSpare5
    0xdeadbeef,                               // EmcBctSpare6
    0xdeadbeef,                               // EmcBctSpare7
    0xdeadbeef,                               // EmcBctSpare8
    0xdeadbeef,                               // EmcBctSpare9
    0xdeadbeef,                               // EmcBctSpare10 (*)
    0xdeadbeef,                               // EmcBctSpare11 (*)
    0xdeadbeef,                               // EmcBctSpare12
    0xdeadbeef,                               // EmcBctSpare13
    0xdeadbeef,                               // EmcBctSpareSecure0 (*)
    0xdeadbeef,                               // EmcBctSpareSecure1 (*)
    0xdeadbeef,                               // EmcBctSpareSecure2 (*)
    0xdeadbeef,                               // EmcBctSpareSecure3 (*)
    0xdeadbeef,                               // EmcBctSpareSecure4 (*)
    0xdeadbeef,                               // EmcBctSpareSecure5 (*)
    0xdeadbeef,                               // EmcBctSpareSecure6 (*)
    0xdeadbeef,                               // EmcBctSpareSecure7 (*)
    0xdeadbeef,                               // EmcBctSpareSecure8 (*)
    0xdeadbeef,                               // EmcBctSpareSecure9 (*)
    0xdeadbeef,                               // EmcBctSpareSecure10 (*)
    0xdeadbeef,                               // EmcBctSpareSecure11 (*)
    0xdeadbeef,                               // EmcBctSpareSecure12 (*)
    0xdeadbeef,                               // EmcBctSpareSecure13 (*)
    0xdeadbeef,                               // EmcBctSpareSecure14 (*)
    0xdeadbeef,                               // EmcBctSpareSecure15 (*)
    0xdeadbeef,                               // EmcBctSpareSecure16 (*)
    0xdeadbeef,                               // EmcBctSpareSecure17 (*)
    0xdeadbeef,                               // EmcBctSpareSecure18 (*)
    0xdeadbeef,                               // EmcBctSpareSecure19 (*)
    0xdeadbeef,                               // EmcBctSpareSecure20 (*)
    0xdeadbeef,                               // EmcBctSpareSecure21 (*)
    0xdeadbeef,                               // EmcBctSpareSecure22 (*)
    0xdeadbeef,                               // EmcBctSpareSecure23 (*)
    0xdeadbeef,                               // EmcClockSource
    0xdeadbeef,                               // EmcClockSourceDll
    0xdeadbeef,                               // ClkRstControllerPllmMisc2Override
    0xdeadbeef,                               // ClkRstControllerPllmMisc2OverrideEnable
    0xdeadbeef,                               // ClkRstClkEnbClrEmc
    0xdeadbeef,                               // ClkRstClkEnbClrEmcSb
    0xdeadbeef,                               // ClkRstEmcMisc
    0xdeadbeef,                               // EmcAutoCalInterval
    0xdeadbeef,                               // EmcAutoCalConfig
    0xdeadbeef,                               // EmcAutoCalConfig2
    0xdeadbeef,                               // EmcAutoCalConfig3_0
    0xdeadbeef,                               // EmcAutoCalConfig3_2
    0xdeadbeef,                               // EmcAutoCalConfig4_0
    0xdeadbeef,                               // EmcAutoCalConfig4_2
    0xdeadbeef,                               // EmcAutoCalConfig5_0
    0xdeadbeef,                               // EmcAutoCalConfig5_2
    0xdeadbeef,                               // EmcAutoCalConfig6_0
    0xdeadbeef,                               // EmcAutoCalConfig6_2
    0xdeadbeef,                               // EmcAutoCalConfig7_0
    0xdeadbeef,                               // EmcAutoCalConfig7_2
    0xdeadbeef,                               // EmcAutoCalConfig8_0
    0xdeadbeef,                               // EmcAutoCalConfig8_2
    0xdeadbeef,                               // EmcAutoCalConfig9
    0xdeadbeef,                               // EmcAutoCalVrefSel0
    0xdeadbeef,                               // EmcAutoCalVrefSel1
    0xdeadbeef,                               // EmcAutoCalChannel
    0xdeadbeef,                               // EmcPmacroAutocalCfg0_0
    0xdeadbeef,                               // EmcPmacroAutocalCfg0_2
    0xdeadbeef,                               // EmcPmacroAutocalCfg1_0
    0xdeadbeef,                               // EmcPmacroAutocalCfg1_2
    0xdeadbeef,                               // EmcPmacroAutocalCfg2_0
    0xdeadbeef,                               // EmcPmacroAutocalCfg2_2
    0xdeadbeef,                               // EmcPmacroRxTerm
    0xdeadbeef,                               // EmcPmacroDqTxDrv
    0xdeadbeef,                               // EmcPmacroCaTxDrv
    0xdeadbeef,                               // EmcPmacroCmdTxDrv
    0xdeadbeef,                               // EmcPmacroAutocalCfgCommon
    0xdeadbeef,                               // EmcPmacroZctrl
    0xdeadbeef,                               // EmcAutoCalWait
    0xdeadbeef,                               // EmcXm2CompPadCtrl
    0xdeadbeef,                               // EmcXm2CompPadCtrl2
    0xdeadbeef,                               // EmcXm2CompPadCtrl3
    0xdeadbeef,                               // EmcAdrCfg
    0xdeadbeef,                               // EmcPinProgramWait
    0xdeadbeef,                               // EmcPinExtraWait (*)
    0xdeadbeef,                               // EmcPinGpioEn
    0xdeadbeef,                               // EmcPinGpioRamdump
    0xdeadbeef,                               // EmcPinGpio
    0xdeadbeef,                               // EmcTimingControlWait
    0xdeadbeef,                               // EmcRc
    0xdeadbeef,                               // EmcRfc
    0xdeadbeef,                               // EmcRfcPb
    0xdeadbeef,                               // EmcRefctrl2
    0xdeadbeef,                               // EmcRfcSlr
    0xdeadbeef,                               // EmcRas
    0xdeadbeef,                               // EmcRp
    0xdeadbeef,                               // EmcR2r
    0xdeadbeef,                               // EmcW2w
    0xdeadbeef,                               // EmcR2w
    0xdeadbeef,                               // EmcW2r
    0xdeadbeef,                               // EmcR2p
    0xdeadbeef,                               // EmcW2p
    0xdeadbeef,                               // EmcTppd
    0xdeadbeef,                               // EmcTrtm
    0xdeadbeef,                               // EmcTwtm
    0xdeadbeef,                               // EmcTratm
    0xdeadbeef,                               // EmcTwatm
    0xdeadbeef,                               // EmcTr2ref
    0xdeadbeef,                               // EmcCcdmw
    0xdeadbeef,                               // EmcRdRcd
    0xdeadbeef,                               // EmcWrRcd
    0xdeadbeef,                               // EmcRrd
    0xdeadbeef,                               // EmcRext
    0xdeadbeef,                               // EmcWext
    0xdeadbeef,                               // EmcWdv
    0xdeadbeef,                               // EmcWdvChk
    0xdeadbeef,                               // EmcWsv
    0xdeadbeef,                               // EmcWev
    0xdeadbeef,                               // EmcWdvMask
    0xdeadbeef,                               // EmcWsDuration
    0xdeadbeef,                               // EmcWeDuration
    0xdeadbeef,                               // EmcQUse
    0xdeadbeef,                               // EmcQuseWidth
    0xdeadbeef,                               // EmcIbdly
    0xdeadbeef,                               // EmcObdly
    0xdeadbeef,                               // EmcEInput
    0xdeadbeef,                               // EmcEInputDuration
    0xdeadbeef,                               // EmcPutermExtra
    0xdeadbeef,                               // EmcPutermWidth
    0xdeadbeef,                               // EmcQRst
    0xdeadbeef,                               // EmcQSafe
    0xdeadbeef,                               // EmcRdv
    0xdeadbeef,                               // EmcRdvMask
    0xdeadbeef,                               // EmcRdvEarly
    0xdeadbeef,                               // EmcRdvEarlyMask
    0xdeadbeef,                               // EmcQpop
    0xdeadbeef,                               // EmcRefresh
    0xdeadbeef,                               // EmcBurstRefreshNum
    0xdeadbeef,                               // EmcPreRefreshReqCnt
    0xdeadbeef,                               // EmcPdEx2Wr
    0xdeadbeef,                               // EmcPdEx2Rd
    0xdeadbeef,                               // EmcPChg2Pden
    0xdeadbeef,                               // EmcAct2Pden
    0xdeadbeef,                               // EmcAr2Pden
    0xdeadbeef,                               // EmcRw2Pden
    0xdeadbeef,                               // EmcCke2Pden
    0xdeadbeef,                               // EmcPdex2Cke
    0xdeadbeef,                               // EmcPdex2Mrr
    0xdeadbeef,                               // EmcTxsr
    0xdeadbeef,                               // EmcTxsrDll
    0xdeadbeef,                               // EmcTcke
    0xdeadbeef,                               // EmcTckesr
    0xdeadbeef,                               // EmcTpd
    0xdeadbeef,                               // EmcTfaw
    0xdeadbeef,                               // EmcTrpab
    0xdeadbeef,                               // EmcTClkStable
    0xdeadbeef,                               // EmcTClkStop
    0xdeadbeef,                               // EmcTRefBw
    0xdeadbeef,                               // EmcFbioCfg5
    (SW_DEFAULT(EMC, FBIO_CFG7) & 0xfff00000) | (0xdeadbeef & ~0xfff00000), // EmcFbioCfg7
    0xdeadbeef,                               // EmcFbioCfg8_0
    0xdeadbeef,                               // EmcFbioCfg8_2
    0xdeadbeef,                               // EmcFbioCfg9
    0xdeadbeef,                               // EmcCmdMappingCmd0_0_0
    0xdeadbeef,                               // EmcCmdMappingCmd0_0_2
    0xdeadbeef,                               // EmcCmdMappingCmd0_1_0
    0xdeadbeef,                               // EmcCmdMappingCmd0_1_2
    0xdeadbeef,                               // EmcCmdMappingCmd0_2_0
    0xdeadbeef,                               // EmcCmdMappingCmd0_2_2
    0xdeadbeef,                               // EmcCmdMappingCmd1_0_0
    0xdeadbeef,                               // EmcCmdMappingCmd1_0_2
    0xdeadbeef,                               // EmcCmdMappingCmd1_1_0
    0xdeadbeef,                               // EmcCmdMappingCmd1_1_2
    0xdeadbeef,                               // EmcCmdMappingCmd1_2_0
    0xdeadbeef,                               // EmcCmdMappingCmd1_2_2
    0xdeadbeef,                               // EmcCmdMappingCmd2_0_0
    0xdeadbeef,                               // EmcCmdMappingCmd2_0_2
    0xdeadbeef,                               // EmcCmdMappingCmd2_1_0
    0xdeadbeef,                               // EmcCmdMappingCmd2_1_2
    0xdeadbeef,                               // EmcCmdMappingCmd2_2_0
    0xdeadbeef,                               // EmcCmdMappingCmd2_2_2
    0xdeadbeef,                               // EmcCmdMappingCmd3_0_0
    0xdeadbeef,                               // EmcCmdMappingCmd3_0_2
    0xdeadbeef,                               // EmcCmdMappingCmd3_1_0
    0xdeadbeef,                               // EmcCmdMappingCmd3_1_2
    0xdeadbeef,                               // EmcCmdMappingCmd3_2_0
    0xdeadbeef,                               // EmcCmdMappingCmd3_2_2
    0xdeadbeef,                               // EmcCmdMappingByte_0
    0xdeadbeef,                               // EmcCmdMappingByte_2
    0xdeadbeef,                               // EmcFbioSpare
    0xdeadbeef,                               // EmcCfgRsv
    0xdeadbeef,                               // EmcMrs
    0xdeadbeef,                               // EmcEmrs
    0xdeadbeef,                               // EmcEmrs2
    0xdeadbeef,                               // EmcEmrs3
    0xdeadbeef,                               // EmcMrw1
    0xdeadbeef,                               // EmcMrw2
    0xdeadbeef,                               // EmcMrw3
    0xdeadbeef,                               // EmcMrw4
    0xdeadbeef,                               // EmcMrw6
    0xdeadbeef,                               // EmcMrw8
    0xdeadbeef,                               // EmcMrw9_0
    0xdeadbeef,                               // EmcMrw9_2
    0xdeadbeef,                               // EmcMrw10
    0xdeadbeef,                               // EmcMrw12
    0xdeadbeef,                               // EmcMrw13
    0xdeadbeef,                               // EmcMrw14
    0xdeadbeef,                               // EmcMrwExtra (*)
    0xdeadbeef,                               // EmcWarmBootMrwExtra
    0xdeadbeef,                               // EmcWarmBootExtraModeRegWriteEnable
    0xdeadbeef,                               // EmcExtraModeRegWriteEnable (*)
    0xdeadbeef,                               // EmcMrwResetCommand (*)
    0xdeadbeef,                               // EmcMrwResetNInitWait (*)
    0xdeadbeef,                               // EmcMrsWaitCnt
    0xdeadbeef,                               // EmcMrsWaitCnt2
    (SW_DEFAULT(EMC, CFG) & 0x0000000e) | (0xdeadbeef & ~0x0000000e), // EmcCfg
    0xdeadbeef,                               // EmcResetPadCtrl
    (SW_DEFAULT(EMC, CFG_2) & 0x00000340) | (0xdeadbeef & ~0x00000340), // EmcCfg2
    0xdeadbeef,                               // EmcCfgPipe_0
    0xdeadbeef,                               // EmcCfgPipe_2
    0xdeadbeef,                               // EmcCfgPipeClk
    0xdeadbeef,                               // EmcFdpdCtrlCmdNoRamp
    0xdeadbeef,                               // EmcCfgUpdate
    0xdeadbeef,                               // EmcDbg
    0xdeadbeef,                               // EmcDbgWriteMux
    0xdeadbeef,                               // EmcCmdQ
    0xdeadbeef,                               // EmcMc2EmcQ
    0xdeadbeef,                               // EmcDynSelfRefControl
    0xdeadbeef,                               // EmcAsrControl
    (SW_DEFAULT(EMC, CFG_DIG_DLL) & 0x04000000) | (0xdeadbeef & ~0x04000000), // EmcCfgDigDll
    0xdeadbeef,                               // EmcCfgDigDll_1
    0xdeadbeef,                               // EmcCfgDigDllPeriod
    0xdeadbeef,                               // EmcDevSelect
    0xdeadbeef,                               // EmcSelDpdCtrl
    0xdeadbeef,                               // EmcFdpdCtrlDq
    0xdeadbeef,                               // EmcFdpdCtrlCmd
    0xdeadbeef,                               // EmcPmacroIbVrefDq_0_0
    0xdeadbeef,                               // EmcPmacroIbVrefDq_0_2
    0xdeadbeef,                               // EmcPmacroIbVrefDq_1_0
    0xdeadbeef,                               // EmcPmacroIbVrefDq_1_2
    0xdeadbeef,                               // EmcPmacroIbVrefDqs_0_0
    0xdeadbeef,                               // EmcPmacroIbVrefDqs_0_2
    0xdeadbeef,                               // EmcPmacroIbVrefDqs_1_0
    0xdeadbeef,                               // EmcPmacroIbVrefDqs_1_2
    0xdeadbeef,                               // EmcPmacroIbRxrt
    0xdeadbeef,                               // EmcCfgPipe1_0
    0xdeadbeef,                               // EmcCfgPipe1_2
    0xdeadbeef,                               // EmcCfgPipe2_0
    0xdeadbeef,                               // EmcCfgPipe2_2
    0xdeadbeef,                               // EmcPmacroQuseDdllRank0_0_2
    0xdeadbeef,                               // EmcPmacroQuseDdllRank0_0_0
    0xdeadbeef,                               // EmcPmacroQuseDdllRank0_1_0
    0xdeadbeef,                               // EmcPmacroQuseDdllRank0_1_2
    0xdeadbeef,                               // EmcPmacroQuseDdllRank0_2_0
    0xdeadbeef,                               // EmcPmacroQuseDdllRank0_2_2
    0xdeadbeef,                               // EmcPmacroQuseDdllRank0_3_0
    0xdeadbeef,                               // EmcPmacroQuseDdllRank0_3_2
    0xdeadbeef,                               // EmcPmacroQuseDdllRank0_4_0
    0xdeadbeef,                               // EmcPmacroQuseDdllRank0_4_2
    0xdeadbeef,                               // EmcPmacroQuseDdllRank0_5_0
    0xdeadbeef,                               // EmcPmacroQuseDdllRank0_5_2
    0xdeadbeef,                               // EmcPmacroQuseDdllRank1_0_0
    0xdeadbeef,                               // EmcPmacroQuseDdllRank1_0_2
    0xdeadbeef,                               // EmcPmacroQuseDdllRank1_1_0
    0xdeadbeef,                               // EmcPmacroQuseDdllRank1_1_2
    0xdeadbeef,                               // EmcPmacroQuseDdllRank1_2_0
    0xdeadbeef,                               // EmcPmacroQuseDdllRank1_2_2
    0xdeadbeef,                               // EmcPmacroQuseDdllRank1_3_0
    0xdeadbeef,                               // EmcPmacroQuseDdllRank1_3_2
    0xdeadbeef,                               // EmcPmacroQuseDdllRank1_4_0
    0xdeadbeef,                               // EmcPmacroQuseDdllRank1_4_2
    0xdeadbeef,                               // EmcPmacroQuseDdllRank1_5_0
    0xdeadbeef,                               // EmcPmacroQuseDdllRank1_5_2
    0xdeadbeef,                               // EmcPmacroObDdllLongDqRank0_0_0
    0xdeadbeef,                               // EmcPmacroObDdllLongDqRank0_0_2
    0xdeadbeef,                               // EmcPmacroObDdllLongDqRank0_1_0
    0xdeadbeef,                               // EmcPmacroObDdllLongDqRank0_1_2
    0xdeadbeef,                               // EmcPmacroObDdllLongDqRank0_2_0
    0xdeadbeef,                               // EmcPmacroObDdllLongDqRank0_2_2
    0xdeadbeef,                               // EmcPmacroObDdllLongDqRank0_3_0
    0xdeadbeef,                               // EmcPmacroObDdllLongDqRank0_3_2
    0xdeadbeef,                               // EmcPmacroObDdllLongDqRank0_4_0
    0xdeadbeef,                               // EmcPmacroObDdllLongDqRank0_4_2
    0xdeadbeef,                               // EmcPmacroObDdllLongDqRank0_5_0
    0xdeadbeef,                               // EmcPmacroObDdllLongDqRank0_5_2
    0xdeadbeef,                               // EmcPmacroObDdllLongDqRank1_0_0
    0xdeadbeef,                               // EmcPmacroObDdllLongDqRank1_0_2
    0xdeadbeef,                               // EmcPmacroObDdllLongDqRank1_1_0
    0xdeadbeef,                               // EmcPmacroObDdllLongDqRank1_1_2
    0xdeadbeef,                               // EmcPmacroObDdllLongDqRank1_2_0
    0xdeadbeef,                               // EmcPmacroObDdllLongDqRank1_2_2
    0xdeadbeef,                               // EmcPmacroObDdllLongDqRank1_3_0
    0xdeadbeef,                               // EmcPmacroObDdllLongDqRank1_3_2
    0xdeadbeef,                               // EmcPmacroObDdllLongDqRank1_4_0
    0xdeadbeef,                               // EmcPmacroObDdllLongDqRank1_4_2
    0xdeadbeef,                               // EmcPmacroObDdllLongDqRank1_5_0
    0xdeadbeef,                               // EmcPmacroObDdllLongDqRank1_5_2
    0xdeadbeef,                               // EmcPmacroObDdllLongDqsRank0_0_0
    0xdeadbeef,                               // EmcPmacroObDdllLongDqsRank0_0_2
    0xdeadbeef,                               // EmcPmacroObDdllLongDqsRank0_1_0
    0xdeadbeef,                               // EmcPmacroObDdllLongDqsRank0_1_2
    0xdeadbeef,                               // EmcPmacroObDdllLongDqsRank0_2_0
    0xdeadbeef,                               // EmcPmacroObDdllLongDqsRank0_2_2
    0xdeadbeef,                               // EmcPmacroObDdllLongDqsRank0_3_0
    0xdeadbeef,                               // EmcPmacroObDdllLongDqsRank0_3_2
    0xdeadbeef,                               // EmcPmacroObDdllLongDqsRank0_4_0
    0xdeadbeef,                               // EmcPmacroObDdllLongDqsRank0_4_2
    0xdeadbeef,                               // EmcPmacroObDdllLongDqsRank0_5_0
    0xdeadbeef,                               // EmcPmacroObDdllLongDqsRank0_5_2
    0xdeadbeef,                               // EmcPmacroObDdllLongDqsRank1_0_0
    0xdeadbeef,                               // EmcPmacroObDdllLongDqsRank1_0_2
    0xdeadbeef,                               // EmcPmacroObDdllLongDqsRank1_1_0
    0xdeadbeef,                               // EmcPmacroObDdllLongDqsRank1_1_2
    0xdeadbeef,                               // EmcPmacroObDdllLongDqsRank1_2_0
    0xdeadbeef,                               // EmcPmacroObDdllLongDqsRank1_2_2
    0xdeadbeef,                               // EmcPmacroObDdllLongDqsRank1_3_0
    0xdeadbeef,                               // EmcPmacroObDdllLongDqsRank1_3_2
    0xdeadbeef,                               // EmcPmacroObDdllLongDqsRank1_4_0
    0xdeadbeef,                               // EmcPmacroObDdllLongDqsRank1_4_2
    0xdeadbeef,                               // EmcPmacroObDdllLongDqsRank1_5_0
    0xdeadbeef,                               // EmcPmacroObDdllLongDqsRank1_5_2
    0xdeadbeef,                               // EmcPmacroIbDdllLongDqsRank0_0_0
    0xdeadbeef,                               // EmcPmacroIbDdllLongDqsRank0_0_2
    0xdeadbeef,                               // EmcPmacroIbDdllLongDqsRank0_1_0
    0xdeadbeef,                               // EmcPmacroIbDdllLongDqsRank0_1_2
    0xdeadbeef,                               // EmcPmacroIbDdllLongDqsRank0_2_0
    0xdeadbeef,                               // EmcPmacroIbDdllLongDqsRank0_2_2
    0xdeadbeef,                               // EmcPmacroIbDdllLongDqsRank0_3_0
    0xdeadbeef,                               // EmcPmacroIbDdllLongDqsRank0_3_2
    0xdeadbeef,                               // EmcPmacroIbDdllLongDqsRank1_0_0
    0xdeadbeef,                               // EmcPmacroIbDdllLongDqsRank1_0_2
    0xdeadbeef,                               // EmcPmacroIbDdllLongDqsRank1_1_0
    0xdeadbeef,                               // EmcPmacroIbDdllLongDqsRank1_1_2
    0xdeadbeef,                               // EmcPmacroIbDdllLongDqsRank1_2_0
    0xdeadbeef,                               // EmcPmacroIbDdllLongDqsRank1_2_2
    0xdeadbeef,                               // EmcPmacroIbDdllLongDqsRank1_3_0
    0xdeadbeef,                               // EmcPmacroIbDdllLongDqsRank1_3_2
    0xdeadbeef,                               // EmcPmacroDdllLongCmd_0_0
    0xdeadbeef,                               // EmcPmacroDdllLongCmd_0_2
    0xdeadbeef,                               // EmcPmacroDdllLongCmd_1_0
    0xdeadbeef,                               // EmcPmacroDdllLongCmd_1_2
    0xdeadbeef,                               // EmcPmacroDdllLongCmd_2_0
    0xdeadbeef,                               // EmcPmacroDdllLongCmd_2_2
    0xdeadbeef,                               // EmcPmacroDdllLongCmd_3_0
    0xdeadbeef,                               // EmcPmacroDdllLongCmd_3_2
    (SW_DEFAULT(EMC, PMACRO_DDLL_LONG_CMD_4) & 0x07ff0000) | (0xdeadbeef & ~0x07ff0000), // EmcPmacroDdllLongCmd_4_0
    (SW_DEFAULT(EMC, PMACRO_DDLL_LONG_CMD_4) & 0x07ff0000) | (0xdeadbeef & ~0x07ff0000), // EmcPmacroDdllLongCmd_4_2
    0xdeadbeef,                               // EmcPmacroDdllShortCmd_0
    0xdeadbeef,                               // EmcPmacroDdllShortCmd_1
    (SW_DEFAULT(EMC, PMACRO_DDLL_SHORT_CMD_2) & 0x7f7f7f00) | (0xdeadbeef & ~0x7f7f7f00), // EmcPmacroDdllShortCmd_2
    0xdeadbeef,                               // WarmBootWait
    0xdeadbeef,                               // EmcOdtWrite
    0xdeadbeef,                               // EmcZcalInterval
    0xdeadbeef,                               // EmcZcalWaitCnt
    0xdeadbeef,                               // EmcZcalMrwCmd
    0xdeadbeef,                               // EmcMrsResetDll (*)
    0xdeadbeef,                               // EmcZcalInitDev0 (*)
    0xdeadbeef,                               // EmcZcalInitDev1 (*)
    0xdeadbeef,                               // EmcZcalInitWait (*)
    0xdeadbeef,                               // EmcZcalWarmColdBootEnables
    0xdeadbeef,                               // EmcMrwLpddr2ZcalWarmBoot
    0xdeadbeef,                               // EmcZqCalDdr3WarmBoot
    0xdeadbeef,                               // EmcZqCalLpDdr4WarmBoot
    0xdeadbeef,                               // EmcZcalWarmBootWait
    0xdeadbeef,                               // EmcMrsWarmBootEnable
    0xdeadbeef,                               // EmcMrsResetDllWait (*)
    0xdeadbeef,                               // EmcMrsExtra (*)
    0xdeadbeef,                               // EmcWarmBootMrsExtra
    0xdeadbeef,                               // EmcEmrsDdr2DllEnable (*)
    0xdeadbeef,                               // EmcMrsDdr2DllReset (*)
    0xdeadbeef,                               // EmcEmrsDdr2OcdCalib (*)
    0xdeadbeef,                               // EmcDdr2Wait (*)
    (SW_DEFAULT(EMC, CLKEN_OVERRIDE) & 0x80000000) | (0xdeadbeef & ~0x80000000), // EmcClkenOverride
    0xdeadbeef,                               // EmcExtraRefreshNum
    0xdeadbeef,                               // EmcClkenOverrideAllWarmBoot
    0xdeadbeef,                               // McClkenOverrideAllWarmBoot
    0xdeadbeef,                               // EmcCfgDigDllPeriodWarmBoot
    0xdeadbeef,                               // PmcVddpSel
    0xdeadbeef,                               // PmcVddpSelWait (*)
    0xdeadbeef,                               // PmcDdrPwr (*)
    0xdeadbeef,                               // PmcDdrCfg (*)
    0xdeadbeef,                               // PmcDdrCfgMem1 (*)
    0xdeadbeef,                               // PmcIoWb (*)
    0xdeadbeef,                               // PmcIoWbMem1 (*)
    0xdeadbeef,                               // PmcIoDpd3Req (*)
    0xdeadbeef,                               // PmcIoDpd3ReqWait
    0xdeadbeef,                               // PmcIoDpd4ReqWait
    0xdeadbeef,                               // PmcBlinkTimer (*)
    0xdeadbeef,                               // PmcNoIoPower
    0xdeadbeef,                               // PmcDdrCntrlWait (*)
    0xdeadbeef,                               // PmcDdrCntrl (*)
    0xdeadbeef,                               // PmcDdrCntrlMem1 (*)
    0xdeadbeef,                               // EmcAcpdControl
    0xdeadbeef,                               // EmcSwizzleRank0Byte0_0
    0xdeadbeef,                               // EmcSwizzleRank0Byte0_2
    0xdeadbeef,                               // EmcSwizzleRank0Byte1_0
    0xdeadbeef,                               // EmcSwizzleRank0Byte1_2
    0xdeadbeef,                               // EmcSwizzleRank0Byte2_0
    0xdeadbeef,                               // EmcSwizzleRank0Byte2_2
    0xdeadbeef,                               // EmcSwizzleRank0Byte3_0
    0xdeadbeef,                               // EmcSwizzleRank0Byte3_2
    0xdeadbeef,                               // EmcSwizzleRank1Byte0_0
    0xdeadbeef,                               // EmcSwizzleRank1Byte0_2
    0xdeadbeef,                               // EmcSwizzleRank1Byte1_0
    0xdeadbeef,                               // EmcSwizzleRank1Byte1_2
    0xdeadbeef,                               // EmcSwizzleRank1Byte2_0
    0xdeadbeef,                               // EmcSwizzleRank1Byte2_2
    0xdeadbeef,                               // EmcSwizzleRank1Byte3_0
    0xdeadbeef,                               // EmcSwizzleRank1Byte3_2
    0xdeadbeef,                               // EmcTxdsrvttgen
    0xdeadbeef,                               // EmcDataBrlshft0_0
    0xdeadbeef,                               // EmcDataBrlshft0_2
    0xdeadbeef,                               // EmcDataBrlshft1_0
    0xdeadbeef,                               // EmcDataBrlshft1_2
    0xdeadbeef,                               // EmcDqsBrlshft0_0
    0xdeadbeef,                               // EmcDqsBrlshft0_2
    0xdeadbeef,                               // EmcDqsBrlshft1_0
    0xdeadbeef,                               // EmcDqsBrlshft1_2
    0xdeadbeef,                               // EmcCmdBrlshft0_0
    0xdeadbeef,                               // EmcCmdBrlshft0_2
    0xdeadbeef,                               // EmcCmdBrlshft1_0
    0xdeadbeef,                               // EmcCmdBrlshft1_2
    0xdeadbeef,                               // EmcCmdBrlshft2_0
    0xdeadbeef,                               // EmcCmdBrlshft2_2
    0xdeadbeef,                               // EmcCmdBrlshft3_0
    0xdeadbeef,                               // EmcCmdBrlshft3_2
    0xdeadbeef,                               // EmcQuseBrlshft0_0
    0xdeadbeef,                               // EmcQuseBrlshft0_2
    0xdeadbeef,                               // EmcQuseBrlshft1_0
    0xdeadbeef,                               // EmcQuseBrlshft1_2
    0xdeadbeef,                               // EmcQuseBrlshft2_0
    0xdeadbeef,                               // EmcQuseBrlshft2_2
    0xdeadbeef,                               // EmcQuseBrlshft3_0
    0xdeadbeef,                               // EmcQuseBrlshft3_2
    0xdeadbeef,                               // EmcDllCfg0
    0xdeadbeef,                               // EmcDllCfg1
    0xdeadbeef,                               // EmcDllCfg2
    0xdeadbeef,                               // EmcDllCfg3
    0xdeadbeef,                               // EmcPmcScratch1_0
    0xdeadbeef,                               // EmcPmcScratch1_2
    0xdeadbeef,                               // EmcPmcScratch2_0
    0xdeadbeef,                               // EmcPmcScratch2_2
    0xdeadbeef,                               // EmcPmcScratch3_0
    0xdeadbeef,                               // EmcPmcScratch3_2
    0xdeadbeef,                               // EmcPmacroPadCfgCtrl
    0xdeadbeef,                               // EmcPmacroVttgenCtrl0
    0xdeadbeef,                               // EmcPmacroVttgenCtrl1
    0xdeadbeef,                               // EmcPmacroVttgenCtrl2
    0xdeadbeef,                               // EmcPmacroDsrVttgenCtrl0
    0xdeadbeef,                               // EmcPmacroBrickCtrlRfu1
    0xdeadbeef,                               // EmcPmacroCmdBrickCtrlFdpd
    0xdeadbeef,                               // EmcPmacroBrickCtrlRfu2
    0xdeadbeef,                               // EmcPmacroDataBrickCtrlFdpd
    0xdeadbeef,                               // EmcPmacroBgBiasCtrl0
    0xdeadbeef,                               // EmcPmacroDataPadRxCtrl
    0xdeadbeef,                               // EmcPmacroCmdPadRxCtrl
    0xdeadbeef,                               // EmcPmacroDataRxTermMode
    0xdeadbeef,                               // EmcPmacroCmdRxTermMode
    0xdeadbeef,                               // EmcPmacroDataPadTxCtrl
    0xdeadbeef,                               // EmcPmacroCommonPadTxCtrl
    0xdeadbeef,                               // EmcPmacroCmdPadTxCtrl
    0xdeadbeef,                               // EmcCfg3
    0xdeadbeef,                               // EmcPmacroTxPwrd0_0
    0xdeadbeef,                               // EmcPmacroTxPwrd0_2
    0xdeadbeef,                               // EmcPmacroTxPwrd1_0
    0xdeadbeef,                               // EmcPmacroTxPwrd1_2
    0xdeadbeef,                               // EmcPmacroTxPwrd2_0
    0xdeadbeef,                               // EmcPmacroTxPwrd2_2
    0xdeadbeef,                               // EmcPmacroTxPwrd3_0
    0xdeadbeef,                               // EmcPmacroTxPwrd3_2
    0xdeadbeef,                               // EmcPmacroTxPwrd4_0
    0xdeadbeef,                               // EmcPmacroTxPwrd4_2
    0xdeadbeef,                               // EmcPmacroTxPwrd5_0
    0xdeadbeef,                               // EmcPmacroTxPwrd5_2
    0xdeadbeef,                               // EmcConfigSampleDelay
    0xdeadbeef,                               // EmcPmacroBrickMapping0_0
    0xdeadbeef,                               // EmcPmacroBrickMapping0_2
    0xdeadbeef,                               // EmcPmacroBrickMapping1_0
    0xdeadbeef,                               // EmcPmacroBrickMapping1_2
    0xdeadbeef,                               // EmcPmacroBrickMapping2_0
    0xdeadbeef,                               // EmcPmacroBrickMapping2_2
    0xdeadbeef,                               // EmcPmacroTxSelClkSrc0_0
    0xdeadbeef,                               // EmcPmacroTxSelClkSrc0_2
    0xdeadbeef,                               // EmcPmacroTxSelClkSrc1_0
    0xdeadbeef,                               // EmcPmacroTxSelClkSrc1_2
    0xdeadbeef,                               // EmcPmacroTxSelClkSrc2_0
    0xdeadbeef,                               // EmcPmacroTxSelClkSrc2_2
    0xdeadbeef,                               // EmcPmacroTxSelClkSrc3_0
    0xdeadbeef,                               // EmcPmacroTxSelClkSrc3_2
    0xdeadbeef,                               // EmcPmacroTxSelClkSrc4_0
    0xdeadbeef,                               // EmcPmacroTxSelClkSrc4_2
    0xdeadbeef,                               // EmcPmacroTxSelClkSrc5_0
    0xdeadbeef,                               // EmcPmacroTxSelClkSrc5_2
    0xdeadbeef,                               // EmcPmacroDdllBypass
    0xdeadbeef,                               // EmcPmacroDdllPwrd0
    0xdeadbeef,                               // EmcPmacroDdllPwrd1
    0xdeadbeef,                               // EmcPmacroDdllPwrd2
    0xdeadbeef,                               // EmcPmacroCmdCtrl0
    0xdeadbeef,                               // EmcPmacroCmdCtrl1
    0xdeadbeef,                               // EmcPmacroCmdCtrl2
    0xdeadbeef,                               // McRegifConfig
    0xdeadbeef,                               // McRegifBroadcast
    0xdeadbeef,                               // McRegifUnicast0
    0xdeadbeef,                               // McRegifUnicast1
    0xdeadbeef,                               // McRegifUnicast2
    0xdeadbeef,                               // McRegifUnicast3
    0xdeadbeef,                               // McEmemAdrCfg
    0xdeadbeef,                               // McEmemAdrCfgDev0
    0xdeadbeef,                               // McEmemAdrCfgDev1
    0xdeadbeef,                               // McEmemAdrCfgChannelEnable
    0xdeadbeef,                               // McEmemAdrCfgChannelMask0
    0xdeadbeef,                               // McEmemAdrCfgChannelMask1
    0xdeadbeef,                               // McEmemAdrCfgBankMask0
    0xdeadbeef,                               // McEmemAdrCfgBankMask1
    0xdeadbeef,                               // McEmemAdrCfgBankMask2
    0xdeadbeef,                               // McEmemCfg
    0xdeadbeef,                               // McEmemArbCfg
    (SW_DEFAULT(MC, EMEM_ARB_OUTSTANDING_REQ) & 0x03ff0000) | (0xdeadbeef & ~0x03ff0000), // McEmemArbOutstandingReq
    0xdeadbeef,                               // McEmemArbOutstandingReqNiso
    0xdeadbeef,                               // McEmemArbRefpbHpCtrl
    0xdeadbeef,                               // McEmemArbRefpbBankCtrl
    0xdeadbeef,                               // McEmemArbTimingRcd
    0xdeadbeef,                               // McEmemArbTimingRp
    0xdeadbeef,                               // McEmemArbTimingRc
    0xdeadbeef,                               // McEmemArbTimingRas
    0xdeadbeef,                               // McEmemArbTimingFaw
    0xdeadbeef,                               // McEmemArbTimingRrd
    0xdeadbeef,                               // McEmemArbTimingRap2Pre
    0xdeadbeef,                               // McEmemArbTimingWap2Pre
    0xdeadbeef,                               // McEmemArbTimingR2R
    0xdeadbeef,                               // McEmemArbTimingW2W
    0xdeadbeef,                               // McEmemArbTimingR2W
    0xdeadbeef,                               // McEmemArbTimingW2R
    0xdeadbeef,                               // McEmemArbTimingRFCPB
    0xdeadbeef,                               // McEmemArbDaTurns
    0xdeadbeef,                               // McEmemArbDaCovers
    (SW_DEFAULT(MC, EMEM_ARB_MISC0) & 0x00008000) | (0xdeadbeef & ~0x00008000), // McEmemArbMisc0
    0xdeadbeef,                               // McEmemArbMisc1
    0xdeadbeef,                               // McEmemArbMisc2
    0xdeadbeef,                               // McEmemArbRing1Throttle
    0xdeadbeef,                               // McEmemArbNisoThrottle
    0xdeadbeef,                               // McEmemArbNisoThrottleMask
    0xdeadbeef,                               // McEmemArbNisoThrottleMask1
    0xdeadbeef,                               // McEmemArbOverride
    0xdeadbeef,                               // McEmemArbOverride1
    (SW_DEFAULT(MC, EMEM_ARB_RSV) & 0xffffff00) | (0xdeadbeef & ~0xffffff00), // McEmemArbRsv
    0xdeadbeef,                               // McDaCfg0
    0xdeadbeef,                               // McEmemArbTimingCcdmw
    0xdeadbeef,                               // McClkenOverride
    0xdeadbeef,                               // McStatControl
    0xdeadbeef,                               // McEccCfg
    0xdeadbeef,                               // McEccControl
    0xdeadbeef,                               // McCfgWcam
    0xdeadbeef,                               // McRing0MtFifoCredits
    0xdeadbeef,                               // McVideoProtectBom
    0xdeadbeef,                               // McVideoProtectBomAdrHi
    0xdeadbeef,                               // McVideoProtectSizeMb
    0xdeadbeef,                               // McVideoProtectVprOverride
    (SW_DEFAULT(MC, VIDEO_PROTECT_VPR_OVERRIDE1) & 0x00000004) | (0xdeadbeef & ~0x00000004), // McVideoProtectVprOverride1
    0xdeadbeef,                               // McVideoProtectGpuOverride0
    0xdeadbeef,                               // McVideoProtectGpuOverride1
    0xdeadbeef,                               // McSecCarveoutBom
    0xdeadbeef,                               // McSecCarveoutAdrHi
    0xdeadbeef,                               // McSecCarveoutSizeMb
    0xdeadbeef,                               // McVideoProtectWriteAccess
    0xdeadbeef,                               // McSecCarveoutProtectWriteAccess
    0xdeadbeef,                               // McGSCInitMask (*)
    0xdeadbeef,                               // McGeneralizedCarveout1Bom
    0xdeadbeef,                               // McGeneralizedCarveout1BomHi
    0xdeadbeef,                               // McGeneralizedCarveout1Size128kb
    0xdeadbeef,                               // McGeneralizedCarveout1Access0
    0xdeadbeef,                               // McGeneralizedCarveout1Access1
    0xdeadbeef,                               // McGeneralizedCarveout1Access2
    0xdeadbeef,                               // McGeneralizedCarveout1Access3
    0xdeadbeef,                               // McGeneralizedCarveout1Access4
    0xdeadbeef,                               // McGeneralizedCarveout1Access5
    0xdeadbeef,                               // McGeneralizedCarveout1ForceInternalAccess0
    0xdeadbeef,                               // McGeneralizedCarveout1ForceInternalAccess1
    0xdeadbeef,                               // McGeneralizedCarveout1ForceInternalAccess2
    0xdeadbeef,                               // McGeneralizedCarveout1ForceInternalAccess3
    0xdeadbeef,                               // McGeneralizedCarveout1ForceInternalAccess4
    0xdeadbeef,                               // McGeneralizedCarveout1ForceInternalAccess5
    (SW_DEFAULT(MC, SECURITY_CARVEOUT1_CFG0) & 0x08000000) | (0xdeadbeef & ~0x08000000), // McGeneralizedCarveout1Cfg0
    0xdeadbeef,                               // McGeneralizedCarveout2Bom
    0xdeadbeef,                               // McGeneralizedCarveout2BomHi
    0xdeadbeef,                               // McGeneralizedCarveout2Size128kb
    0xdeadbeef,                               // McGeneralizedCarveout2Access0
    0xdeadbeef,                               // McGeneralizedCarveout2Access1
    0xdeadbeef,                               // McGeneralizedCarveout2Access2
    0xdeadbeef,                               // McGeneralizedCarveout2Access3
    0xdeadbeef,                               // McGeneralizedCarveout2Access4
    0xdeadbeef,                               // McGeneralizedCarveout2Access5
    0xdeadbeef,                               // McGeneralizedCarveout2ForceInternalAccess0
    0xdeadbeef,                               // McGeneralizedCarveout2ForceInternalAccess1
    0xdeadbeef,                               // McGeneralizedCarveout2ForceInternalAccess2
    0xdeadbeef,                               // McGeneralizedCarveout2ForceInternalAccess3
    0xdeadbeef,                               // McGeneralizedCarveout2ForceInternalAccess4
    0xdeadbeef,                               // McGeneralizedCarveout2ForceInternalAccess5
    (SW_DEFAULT(MC, SECURITY_CARVEOUT2_CFG0) & 0x08000000) | (0xdeadbeef & ~0x08000000), // McGeneralizedCarveout2Cfg0
    0xdeadbeef,                               // McGeneralizedCarveout3Bom
    0xdeadbeef,                               // McGeneralizedCarveout3BomHi
    0xdeadbeef,                               // McGeneralizedCarveout3Size128kb
    0xdeadbeef,                               // McGeneralizedCarveout3Access0
    0xdeadbeef,                               // McGeneralizedCarveout3Access1
    0xdeadbeef,                               // McGeneralizedCarveout3Access2
    0xdeadbeef,                               // McGeneralizedCarveout3Access3
    0xdeadbeef,                               // McGeneralizedCarveout3Access4
    0xdeadbeef,                               // McGeneralizedCarveout3Access5
    0xdeadbeef,                               // McGeneralizedCarveout3ForceInternalAccess0
    0xdeadbeef,                               // McGeneralizedCarveout3ForceInternalAccess1
    0xdeadbeef,                               // McGeneralizedCarveout3ForceInternalAccess2
    0xdeadbeef,                               // McGeneralizedCarveout3ForceInternalAccess3
    0xdeadbeef,                               // McGeneralizedCarveout3ForceInternalAccess4
    0xdeadbeef,                               // McGeneralizedCarveout3ForceInternalAccess5
    (SW_DEFAULT(MC, SECURITY_CARVEOUT3_CFG0) & 0x08000000) | (0xdeadbeef & ~0x08000000), // McGeneralizedCarveout3Cfg0
    0xdeadbeef,                               // McGeneralizedCarveout4Bom
    0xdeadbeef,                               // McGeneralizedCarveout4BomHi
    0xdeadbeef,                               // McGeneralizedCarveout4Size128kb
    0xdeadbeef,                               // McGeneralizedCarveout4Access0
    0xdeadbeef,                               // McGeneralizedCarveout4Access1
    0xdeadbeef,                               // McGeneralizedCarveout4Access2
    0xdeadbeef,                               // McGeneralizedCarveout4Access3
    0xdeadbeef,                               // McGeneralizedCarveout4Access4
    0xdeadbeef,                               // McGeneralizedCarveout4Access5
    0xdeadbeef,                               // McGeneralizedCarveout4ForceInternalAccess0
    0xdeadbeef,                               // McGeneralizedCarveout4ForceInternalAccess1
    0xdeadbeef,                               // McGeneralizedCarveout4ForceInternalAccess2
    0xdeadbeef,                               // McGeneralizedCarveout4ForceInternalAccess3
    0xdeadbeef,                               // McGeneralizedCarveout4ForceInternalAccess4
    0xdeadbeef,                               // McGeneralizedCarveout4ForceInternalAccess5
    (SW_DEFAULT(MC, SECURITY_CARVEOUT4_CFG0) & 0x08000000) | (0xdeadbeef & ~0x08000000), // McGeneralizedCarveout4Cfg0
    0xdeadbeef,                               // McGeneralizedCarveout5Bom
    0xdeadbeef,                               // McGeneralizedCarveout5BomHi
    0xdeadbeef,                               // McGeneralizedCarveout5Size128kb
    0xdeadbeef,                               // McGeneralizedCarveout5Access0
    0xdeadbeef,                               // McGeneralizedCarveout5Access1
    0xdeadbeef,                               // McGeneralizedCarveout5Access2
    0xdeadbeef,                               // McGeneralizedCarveout5Access3
    0xdeadbeef,                               // McGeneralizedCarveout5Access4
    0xdeadbeef,                               // McGeneralizedCarveout5Access5
    0xdeadbeef,                               // McGeneralizedCarveout5ForceInternalAccess0
    0xdeadbeef,                               // McGeneralizedCarveout5ForceInternalAccess1
    0xdeadbeef,                               // McGeneralizedCarveout5ForceInternalAccess2
    0xdeadbeef,                               // McGeneralizedCarveout5ForceInternalAccess3
    0xdeadbeef,                               // McGeneralizedCarveout5ForceInternalAccess4
    0xdeadbeef,                               // McGeneralizedCarveout5ForceInternalAccess5
    (SW_DEFAULT(MC, SECURITY_CARVEOUT5_CFG0) & 0x08000000) | (0xdeadbeef & ~0x08000000), // McGeneralizedCarveout5Cfg0
    0xdeadbeef,                               // McGeneralizedCarveout6Bom
    0xdeadbeef,                               // McGeneralizedCarveout6BomHi
    0xdeadbeef,                               // McGeneralizedCarveout6Size128kb
    0xdeadbeef,                               // McGeneralizedCarveout6Access0
    0xdeadbeef,                               // McGeneralizedCarveout6Access1
    0xdeadbeef,                               // McGeneralizedCarveout6Access2
    0xdeadbeef,                               // McGeneralizedCarveout6Access3
    0xdeadbeef,                               // McGeneralizedCarveout6Access4
    0xdeadbeef,                               // McGeneralizedCarveout6Access5
    0xdeadbeef,                               // McGeneralizedCarveout6ForceInternalAccess0
    0xdeadbeef,                               // McGeneralizedCarveout6ForceInternalAccess1
    0xdeadbeef,                               // McGeneralizedCarveout6ForceInternalAccess2
    0xdeadbeef,                               // McGeneralizedCarveout6ForceInternalAccess3
    0xdeadbeef,                               // McGeneralizedCarveout6ForceInternalAccess4
    0xdeadbeef,                               // McGeneralizedCarveout6ForceInternalAccess5
    (SW_DEFAULT(MC, SECURITY_CARVEOUT6_CFG0) & 0x08000000) | (0xdeadbeef & ~0x08000000), // McGeneralizedCarveout6Cfg0
    0xdeadbeef,                               // McGeneralizedCarveout7Bom
    0xdeadbeef,                               // McGeneralizedCarveout7BomHi
    0xdeadbeef,                               // McGeneralizedCarveout7Size128kb
    0xdeadbeef,                               // McGeneralizedCarveout7Access0
    0xdeadbeef,                               // McGeneralizedCarveout7Access1
    0xdeadbeef,                               // McGeneralizedCarveout7Access2
    0xdeadbeef,                               // McGeneralizedCarveout7Access3
    0xdeadbeef,                               // McGeneralizedCarveout7Access4
    0xdeadbeef,                               // McGeneralizedCarveout7Access5
    0xdeadbeef,                               // McGeneralizedCarveout7ForceInternalAccess0
    0xdeadbeef,                               // McGeneralizedCarveout7ForceInternalAccess1
    0xdeadbeef,                               // McGeneralizedCarveout7ForceInternalAccess2
    0xdeadbeef,                               // McGeneralizedCarveout7ForceInternalAccess3
    0xdeadbeef,                               // McGeneralizedCarveout7ForceInternalAccess4
    0xdeadbeef,                               // McGeneralizedCarveout7ForceInternalAccess5
    (SW_DEFAULT(MC, SECURITY_CARVEOUT7_CFG0) & 0x08000000) | (0xdeadbeef & ~0x08000000), // McGeneralizedCarveout7Cfg0
    0xdeadbeef,                               // McGeneralizedCarveout8Bom
    0xdeadbeef,                               // McGeneralizedCarveout8BomHi
    0xdeadbeef,                               // McGeneralizedCarveout8Size128kb
    0xdeadbeef,                               // McGeneralizedCarveout8Access0
    0xdeadbeef,                               // McGeneralizedCarveout8Access1
    0xdeadbeef,                               // McGeneralizedCarveout8Access2
    0xdeadbeef,                               // McGeneralizedCarveout8Access3
    0xdeadbeef,                               // McGeneralizedCarveout8Access4
    0xdeadbeef,                               // McGeneralizedCarveout8Access5
    0xdeadbeef,                               // McGeneralizedCarveout8ForceInternalAccess0
    0xdeadbeef,                               // McGeneralizedCarveout8ForceInternalAccess1
    0xdeadbeef,                               // McGeneralizedCarveout8ForceInternalAccess2
    0xdeadbeef,                               // McGeneralizedCarveout8ForceInternalAccess3
    0xdeadbeef,                               // McGeneralizedCarveout8ForceInternalAccess4
    0xdeadbeef,                               // McGeneralizedCarveout8ForceInternalAccess5
    (SW_DEFAULT(MC, SECURITY_CARVEOUT8_CFG0) & 0x08000000) | (0xdeadbeef & ~0x08000000), // McGeneralizedCarveout8Cfg0
    0xdeadbeef,                               // McGeneralizedCarveout9Bom
    0xdeadbeef,                               // McGeneralizedCarveout9BomHi
    0xdeadbeef,                               // McGeneralizedCarveout9Size128kb
    0xdeadbeef,                               // McGeneralizedCarveout9Access0
    0xdeadbeef,                               // McGeneralizedCarveout9Access1
    0xdeadbeef,                               // McGeneralizedCarveout9Access2
    0xdeadbeef,                               // McGeneralizedCarveout9Access3
    0xdeadbeef,                               // McGeneralizedCarveout9Access4
    0xdeadbeef,                               // McGeneralizedCarveout9Access5
    0xdeadbeef,                               // McGeneralizedCarveout9ForceInternalAccess0
    0xdeadbeef,                               // McGeneralizedCarveout9ForceInternalAccess1
    0xdeadbeef,                               // McGeneralizedCarveout9ForceInternalAccess2
    0xdeadbeef,                               // McGeneralizedCarveout9ForceInternalAccess3
    0xdeadbeef,                               // McGeneralizedCarveout9ForceInternalAccess4
    0xdeadbeef,                               // McGeneralizedCarveout9ForceInternalAccess5
    (SW_DEFAULT(MC, SECURITY_CARVEOUT9_CFG0) & 0x08000000) | (0xdeadbeef & ~0x08000000), // McGeneralizedCarveout9Cfg0
    0xdeadbeef,                               // McGeneralizedCarveout10Bom
    0xdeadbeef,                               // McGeneralizedCarveout10BomHi
    0xdeadbeef,                               // McGeneralizedCarveout10Size128kb
    0xdeadbeef,                               // McGeneralizedCarveout10Access0
    0xdeadbeef,                               // McGeneralizedCarveout10Access1
    0xdeadbeef,                               // McGeneralizedCarveout10Access2
    0xdeadbeef,                               // McGeneralizedCarveout10Access3
    0xdeadbeef,                               // McGeneralizedCarveout10Access4
    0xdeadbeef,                               // McGeneralizedCarveout10Access5
    0xdeadbeef,                               // McGeneralizedCarveout10ForceInternalAccess0
    0xdeadbeef,                               // McGeneralizedCarveout10ForceInternalAccess1
    0xdeadbeef,                               // McGeneralizedCarveout10ForceInternalAccess2
    0xdeadbeef,                               // McGeneralizedCarveout10ForceInternalAccess3
    0xdeadbeef,                               // McGeneralizedCarveout10ForceInternalAccess4
    0xdeadbeef,                               // McGeneralizedCarveout10ForceInternalAccess5
    (SW_DEFAULT(MC, SECURITY_CARVEOUT10_CFG0) & 0x08000000) | (0xdeadbeef & ~0x08000000), // McGeneralizedCarveout10Cfg0
    0xdeadbeef,                               // McGeneralizedCarveout11Bom
    0xdeadbeef,                               // McGeneralizedCarveout11BomHi
    0xdeadbeef,                               // McGeneralizedCarveout11Size128kb
    0xdeadbeef,                               // McGeneralizedCarveout11Access0
    0xdeadbeef,                               // McGeneralizedCarveout11Access1
    0xdeadbeef,                               // McGeneralizedCarveout11Access2
    0xdeadbeef,                               // McGeneralizedCarveout11Access3
    0xdeadbeef,                               // McGeneralizedCarveout11Access4
    0xdeadbeef,                               // McGeneralizedCarveout11Access5
    0xdeadbeef,                               // McGeneralizedCarveout11ForceInternalAccess0
    0xdeadbeef,                               // McGeneralizedCarveout11ForceInternalAccess1
    0xdeadbeef,                               // McGeneralizedCarveout11ForceInternalAccess2
    0xdeadbeef,                               // McGeneralizedCarveout11ForceInternalAccess3
    0xdeadbeef,                               // McGeneralizedCarveout11ForceInternalAccess4
    0xdeadbeef,                               // McGeneralizedCarveout11ForceInternalAccess5
    (SW_DEFAULT(MC, SECURITY_CARVEOUT11_CFG0) & 0x08000000) | (0xdeadbeef & ~0x08000000), // McGeneralizedCarveout11Cfg0
    0xdeadbeef,                               // McGeneralizedCarveout12Bom
    0xdeadbeef,                               // McGeneralizedCarveout12BomHi
    0xdeadbeef,                               // McGeneralizedCarveout12Size128kb
    0xdeadbeef,                               // McGeneralizedCarveout12Access0
    0xdeadbeef,                               // McGeneralizedCarveout12Access1
    0xdeadbeef,                               // McGeneralizedCarveout12Access2
    0xdeadbeef,                               // McGeneralizedCarveout12Access3
    0xdeadbeef,                               // McGeneralizedCarveout12Access4
    0xdeadbeef,                               // McGeneralizedCarveout12Access5
    0xdeadbeef,                               // McGeneralizedCarveout12ForceInternalAccess0
    0xdeadbeef,                               // McGeneralizedCarveout12ForceInternalAccess1
    0xdeadbeef,                               // McGeneralizedCarveout12ForceInternalAccess2
    0xdeadbeef,                               // McGeneralizedCarveout12ForceInternalAccess3
    0xdeadbeef,                               // McGeneralizedCarveout12ForceInternalAccess4
    0xdeadbeef,                               // McGeneralizedCarveout12ForceInternalAccess5
    (SW_DEFAULT(MC, SECURITY_CARVEOUT12_CFG0) & 0x08000000) | (0xdeadbeef & ~0x08000000), // McGeneralizedCarveout12Cfg0
    0xdeadbeef,                               // McGeneralizedCarveout13Bom
    0xdeadbeef,                               // McGeneralizedCarveout13BomHi
    0xdeadbeef,                               // McGeneralizedCarveout13Size128kb
    0xdeadbeef,                               // McGeneralizedCarveout13Access0
    0xdeadbeef,                               // McGeneralizedCarveout13Access1
    0xdeadbeef,                               // McGeneralizedCarveout13Access2
    0xdeadbeef,                               // McGeneralizedCarveout13Access3
    0xdeadbeef,                               // McGeneralizedCarveout13Access4
    0xdeadbeef,                               // McGeneralizedCarveout13Access5
    0xdeadbeef,                               // McGeneralizedCarveout13ForceInternalAccess0
    0xdeadbeef,                               // McGeneralizedCarveout13ForceInternalAccess1
    0xdeadbeef,                               // McGeneralizedCarveout13ForceInternalAccess2
    0xdeadbeef,                               // McGeneralizedCarveout13ForceInternalAccess3
    0xdeadbeef,                               // McGeneralizedCarveout13ForceInternalAccess4
    0xdeadbeef,                               // McGeneralizedCarveout13ForceInternalAccess5
    (SW_DEFAULT(MC, SECURITY_CARVEOUT13_CFG0) & 0x08000000) | (0xdeadbeef & ~0x08000000), // McGeneralizedCarveout13Cfg0
    0xdeadbeef,                               // McGeneralizedCarveout14Bom
    0xdeadbeef,                               // McGeneralizedCarveout14BomHi
    0xdeadbeef,                               // McGeneralizedCarveout14Size128kb
    0xdeadbeef,                               // McGeneralizedCarveout14Access0
    0xdeadbeef,                               // McGeneralizedCarveout14Access1
    0xdeadbeef,                               // McGeneralizedCarveout14Access2
    0xdeadbeef,                               // McGeneralizedCarveout14Access3
    0xdeadbeef,                               // McGeneralizedCarveout14Access4
    0xdeadbeef,                               // McGeneralizedCarveout14Access5
    0xdeadbeef,                               // McGeneralizedCarveout14ForceInternalAccess0
    0xdeadbeef,                               // McGeneralizedCarveout14ForceInternalAccess1
    0xdeadbeef,                               // McGeneralizedCarveout14ForceInternalAccess2
    0xdeadbeef,                               // McGeneralizedCarveout14ForceInternalAccess3
    0xdeadbeef,                               // McGeneralizedCarveout14ForceInternalAccess4
    0xdeadbeef,                               // McGeneralizedCarveout14ForceInternalAccess5
    (SW_DEFAULT(MC, SECURITY_CARVEOUT14_CFG0) & 0x08000000) | (0xdeadbeef & ~0x08000000), // McGeneralizedCarveout14Cfg0
    0xdeadbeef,                               // McGeneralizedCarveout15Bom
    0xdeadbeef,                               // McGeneralizedCarveout15BomHi
    0xdeadbeef,                               // McGeneralizedCarveout15Size128kb
    0xdeadbeef,                               // McGeneralizedCarveout15Access0
    0xdeadbeef,                               // McGeneralizedCarveout15Access1
    0xdeadbeef,                               // McGeneralizedCarveout15Access2
    0xdeadbeef,                               // McGeneralizedCarveout15Access3
    0xdeadbeef,                               // McGeneralizedCarveout15Access4
    0xdeadbeef,                               // McGeneralizedCarveout15Access5
    0xdeadbeef,                               // McGeneralizedCarveout15ForceInternalAccess0
    0xdeadbeef,                               // McGeneralizedCarveout15ForceInternalAccess1
    0xdeadbeef,                               // McGeneralizedCarveout15ForceInternalAccess2
    0xdeadbeef,                               // McGeneralizedCarveout15ForceInternalAccess3
    0xdeadbeef,                               // McGeneralizedCarveout15ForceInternalAccess4
    0xdeadbeef,                               // McGeneralizedCarveout15ForceInternalAccess5
    (SW_DEFAULT(MC, SECURITY_CARVEOUT15_CFG0) & 0x08000000) | (0xdeadbeef & ~0x08000000), // McGeneralizedCarveout15Cfg0
    0xdeadbeef,                               // McGeneralizedCarveout16Bom
    0xdeadbeef,                               // McGeneralizedCarveout16BomHi
    0xdeadbeef,                               // McGeneralizedCarveout16Size128kb
    0xdeadbeef,                               // McGeneralizedCarveout16Access0
    0xdeadbeef,                               // McGeneralizedCarveout16Access1
    0xdeadbeef,                               // McGeneralizedCarveout16Access2
    0xdeadbeef,                               // McGeneralizedCarveout16Access3
    0xdeadbeef,                               // McGeneralizedCarveout16Access4
    0xdeadbeef,                               // McGeneralizedCarveout16Access5
    0xdeadbeef,                               // McGeneralizedCarveout16ForceInternalAccess0
    0xdeadbeef,                               // McGeneralizedCarveout16ForceInternalAccess1
    0xdeadbeef,                               // McGeneralizedCarveout16ForceInternalAccess2
    0xdeadbeef,                               // McGeneralizedCarveout16ForceInternalAccess3
    0xdeadbeef,                               // McGeneralizedCarveout16ForceInternalAccess4
    0xdeadbeef,                               // McGeneralizedCarveout16ForceInternalAccess5
    (SW_DEFAULT(MC, SECURITY_CARVEOUT16_CFG0) & 0x08000000) | (0xdeadbeef & ~0x08000000), // McGeneralizedCarveout16Cfg0
    0xdeadbeef,                               // McGeneralizedCarveout17Bom
    0xdeadbeef,                               // McGeneralizedCarveout17BomHi
    0xdeadbeef,                               // McGeneralizedCarveout17Size128kb
    0xdeadbeef,                               // McGeneralizedCarveout17Access0
    0xdeadbeef,                               // McGeneralizedCarveout17Access1
    0xdeadbeef,                               // McGeneralizedCarveout17Access2
    0xdeadbeef,                               // McGeneralizedCarveout17Access3
    0xdeadbeef,                               // McGeneralizedCarveout17Access4
    0xdeadbeef,                               // McGeneralizedCarveout17Access5
    0xdeadbeef,                               // McGeneralizedCarveout17ForceInternalAccess0
    0xdeadbeef,                               // McGeneralizedCarveout17ForceInternalAccess1
    0xdeadbeef,                               // McGeneralizedCarveout17ForceInternalAccess2
    0xdeadbeef,                               // McGeneralizedCarveout17ForceInternalAccess3
    0xdeadbeef,                               // McGeneralizedCarveout17ForceInternalAccess4
    0xdeadbeef,                               // McGeneralizedCarveout17ForceInternalAccess5
    (SW_DEFAULT(MC, SECURITY_CARVEOUT17_CFG0) & 0x08000000) | (0xdeadbeef & ~0x08000000), // McGeneralizedCarveout17Cfg0
    0xdeadbeef,                               // McGeneralizedCarveout18Bom
    0xdeadbeef,                               // McGeneralizedCarveout18BomHi
    0xdeadbeef,                               // McGeneralizedCarveout18Size128kb
    0xdeadbeef,                               // McGeneralizedCarveout18Access0
    0xdeadbeef,                               // McGeneralizedCarveout18Access1
    0xdeadbeef,                               // McGeneralizedCarveout18Access2
    0xdeadbeef,                               // McGeneralizedCarveout18Access3
    0xdeadbeef,                               // McGeneralizedCarveout18Access4
    0xdeadbeef,                               // McGeneralizedCarveout18Access5
    0xdeadbeef,                               // McGeneralizedCarveout18ForceInternalAccess0
    0xdeadbeef,                               // McGeneralizedCarveout18ForceInternalAccess1
    0xdeadbeef,                               // McGeneralizedCarveout18ForceInternalAccess2
    0xdeadbeef,                               // McGeneralizedCarveout18ForceInternalAccess3
    0xdeadbeef,                               // McGeneralizedCarveout18ForceInternalAccess4
    0xdeadbeef,                               // McGeneralizedCarveout18ForceInternalAccess5
    (SW_DEFAULT(MC, SECURITY_CARVEOUT18_CFG0) & 0x08000000) | (0xdeadbeef & ~0x08000000), // McGeneralizedCarveout18Cfg0
    0xdeadbeef,                               // McGeneralizedCarveout19Bom
    0xdeadbeef,                               // McGeneralizedCarveout19BomHi
    0xdeadbeef,                               // McGeneralizedCarveout19Size128kb
    0xdeadbeef,                               // McGeneralizedCarveout19Access0
    0xdeadbeef,                               // McGeneralizedCarveout19Access1
    0xdeadbeef,                               // McGeneralizedCarveout19Access2
    0xdeadbeef,                               // McGeneralizedCarveout19Access3
    0xdeadbeef,                               // McGeneralizedCarveout19Access4
    0xdeadbeef,                               // McGeneralizedCarveout19Access5
    0xdeadbeef,                               // McGeneralizedCarveout19ForceInternalAccess0
    0xdeadbeef,                               // McGeneralizedCarveout19ForceInternalAccess1
    0xdeadbeef,                               // McGeneralizedCarveout19ForceInternalAccess2
    0xdeadbeef,                               // McGeneralizedCarveout19ForceInternalAccess3
    0xdeadbeef,                               // McGeneralizedCarveout19ForceInternalAccess4
    0xdeadbeef,                               // McGeneralizedCarveout19ForceInternalAccess5
    (SW_DEFAULT(MC, SECURITY_CARVEOUT19_CFG0) & 0x08000000) | (0xdeadbeef & ~0x08000000), // McGeneralizedCarveout19Cfg0
    0xdeadbeef,                               // McGeneralizedCarveout20Bom
    0xdeadbeef,                               // McGeneralizedCarveout20BomHi
    0xdeadbeef,                               // McGeneralizedCarveout20Size128kb
    0xdeadbeef,                               // McGeneralizedCarveout20Access0
    0xdeadbeef,                               // McGeneralizedCarveout20Access1
    0xdeadbeef,                               // McGeneralizedCarveout20Access2
    0xdeadbeef,                               // McGeneralizedCarveout20Access3
    0xdeadbeef,                               // McGeneralizedCarveout20Access4
    0xdeadbeef,                               // McGeneralizedCarveout20Access5
    0xdeadbeef,                               // McGeneralizedCarveout20ForceInternalAccess0
    0xdeadbeef,                               // McGeneralizedCarveout20ForceInternalAccess1
    0xdeadbeef,                               // McGeneralizedCarveout20ForceInternalAccess2
    0xdeadbeef,                               // McGeneralizedCarveout20ForceInternalAccess3
    0xdeadbeef,                               // McGeneralizedCarveout20ForceInternalAccess4
    0xdeadbeef,                               // McGeneralizedCarveout20ForceInternalAccess5
    (SW_DEFAULT(MC, SECURITY_CARVEOUT20_CFG0) & 0x08000000) | (0xdeadbeef & ~0x08000000), // McGeneralizedCarveout20Cfg0
    0xdeadbeef,                               // McGeneralizedCarveout21Bom
    0xdeadbeef,                               // McGeneralizedCarveout21BomHi
    0xdeadbeef,                               // McGeneralizedCarveout21Size128kb
    0xdeadbeef,                               // McGeneralizedCarveout21Access0
    0xdeadbeef,                               // McGeneralizedCarveout21Access1
    0xdeadbeef,                               // McGeneralizedCarveout21Access2
    0xdeadbeef,                               // McGeneralizedCarveout21Access3
    0xdeadbeef,                               // McGeneralizedCarveout21Access4
    0xdeadbeef,                               // McGeneralizedCarveout21Access5
    0xdeadbeef,                               // McGeneralizedCarveout21ForceInternalAccess0
    0xdeadbeef,                               // McGeneralizedCarveout21ForceInternalAccess1
    0xdeadbeef,                               // McGeneralizedCarveout21ForceInternalAccess2
    0xdeadbeef,                               // McGeneralizedCarveout21ForceInternalAccess3
    0xdeadbeef,                               // McGeneralizedCarveout21ForceInternalAccess4
    0xdeadbeef,                               // McGeneralizedCarveout21ForceInternalAccess5
    (SW_DEFAULT(MC, SECURITY_CARVEOUT21_CFG0) & 0x08000000) | (0xdeadbeef & ~0x08000000), // McGeneralizedCarveout21Cfg0
    0xdeadbeef,                               // McGeneralizedCarveout22Bom
    0xdeadbeef,                               // McGeneralizedCarveout22BomHi
    0xdeadbeef,                               // McGeneralizedCarveout22Size128kb
    0xdeadbeef,                               // McGeneralizedCarveout22Access0
    0xdeadbeef,                               // McGeneralizedCarveout22Access1
    0xdeadbeef,                               // McGeneralizedCarveout22Access2
    0xdeadbeef,                               // McGeneralizedCarveout22Access3
    0xdeadbeef,                               // McGeneralizedCarveout22Access4
    0xdeadbeef,                               // McGeneralizedCarveout22Access5
    0xdeadbeef,                               // McGeneralizedCarveout22ForceInternalAccess0
    0xdeadbeef,                               // McGeneralizedCarveout22ForceInternalAccess1
    0xdeadbeef,                               // McGeneralizedCarveout22ForceInternalAccess2
    0xdeadbeef,                               // McGeneralizedCarveout22ForceInternalAccess3
    0xdeadbeef,                               // McGeneralizedCarveout22ForceInternalAccess4
    0xdeadbeef,                               // McGeneralizedCarveout22ForceInternalAccess5
    (SW_DEFAULT(MC, SECURITY_CARVEOUT22_CFG0) & 0x08000000) | (0xdeadbeef & ~0x08000000), // McGeneralizedCarveout22Cfg0
    0xdeadbeef,                               // McGeneralizedCarveout23Bom
    0xdeadbeef,                               // McGeneralizedCarveout23BomHi
    0xdeadbeef,                               // McGeneralizedCarveout23Size128kb
    0xdeadbeef,                               // McGeneralizedCarveout23Access0
    0xdeadbeef,                               // McGeneralizedCarveout23Access1
    0xdeadbeef,                               // McGeneralizedCarveout23Access2
    0xdeadbeef,                               // McGeneralizedCarveout23Access3
    0xdeadbeef,                               // McGeneralizedCarveout23Access4
    0xdeadbeef,                               // McGeneralizedCarveout23Access5
    0xdeadbeef,                               // McGeneralizedCarveout23ForceInternalAccess0
    0xdeadbeef,                               // McGeneralizedCarveout23ForceInternalAccess1
    0xdeadbeef,                               // McGeneralizedCarveout23ForceInternalAccess2
    0xdeadbeef,                               // McGeneralizedCarveout23ForceInternalAccess3
    0xdeadbeef,                               // McGeneralizedCarveout23ForceInternalAccess4
    0xdeadbeef,                               // McGeneralizedCarveout23ForceInternalAccess5
    (SW_DEFAULT(MC, SECURITY_CARVEOUT23_CFG0) & 0x08000000) | (0xdeadbeef & ~0x08000000), // McGeneralizedCarveout23Cfg0
    0xdeadbeef,                               // McGeneralizedCarveout24Bom
    0xdeadbeef,                               // McGeneralizedCarveout24BomHi
    0xdeadbeef,                               // McGeneralizedCarveout24Size128kb
    0xdeadbeef,                               // McGeneralizedCarveout24Access0
    0xdeadbeef,                               // McGeneralizedCarveout24Access1
    0xdeadbeef,                               // McGeneralizedCarveout24Access2
    0xdeadbeef,                               // McGeneralizedCarveout24Access3
    0xdeadbeef,                               // McGeneralizedCarveout24Access4
    0xdeadbeef,                               // McGeneralizedCarveout24Access5
    0xdeadbeef,                               // McGeneralizedCarveout24ForceInternalAccess0
    0xdeadbeef,                               // McGeneralizedCarveout24ForceInternalAccess1
    0xdeadbeef,                               // McGeneralizedCarveout24ForceInternalAccess2
    0xdeadbeef,                               // McGeneralizedCarveout24ForceInternalAccess3
    0xdeadbeef,                               // McGeneralizedCarveout24ForceInternalAccess4
    0xdeadbeef,                               // McGeneralizedCarveout24ForceInternalAccess5
    (SW_DEFAULT(MC, SECURITY_CARVEOUT24_CFG0) & 0x08000000) | (0xdeadbeef & ~0x08000000), // McGeneralizedCarveout24Cfg0
    0xdeadbeef,                               // McGeneralizedCarveout25Bom
    0xdeadbeef,                               // McGeneralizedCarveout25BomHi
    0xdeadbeef,                               // McGeneralizedCarveout25Size128kb
    0xdeadbeef,                               // McGeneralizedCarveout25Access0
    0xdeadbeef,                               // McGeneralizedCarveout25Access1
    0xdeadbeef,                               // McGeneralizedCarveout25Access2
    0xdeadbeef,                               // McGeneralizedCarveout25Access3
    0xdeadbeef,                               // McGeneralizedCarveout25Access4
    0xdeadbeef,                               // McGeneralizedCarveout25Access5
    0xdeadbeef,                               // McGeneralizedCarveout25ForceInternalAccess0
    0xdeadbeef,                               // McGeneralizedCarveout25ForceInternalAccess1
    0xdeadbeef,                               // McGeneralizedCarveout25ForceInternalAccess2
    0xdeadbeef,                               // McGeneralizedCarveout25ForceInternalAccess3
    0xdeadbeef,                               // McGeneralizedCarveout25ForceInternalAccess4
    0xdeadbeef,                               // McGeneralizedCarveout25ForceInternalAccess5
    (SW_DEFAULT(MC, SECURITY_CARVEOUT25_CFG0) & 0x08000000) | (0xdeadbeef & ~0x08000000), // McGeneralizedCarveout25Cfg0
    0xdeadbeef,                               // McGeneralizedCarveout26Bom
    0xdeadbeef,                               // McGeneralizedCarveout26BomHi
    0xdeadbeef,                               // McGeneralizedCarveout26Size128kb
    0xdeadbeef,                               // McGeneralizedCarveout26Access0
    0xdeadbeef,                               // McGeneralizedCarveout26Access1
    0xdeadbeef,                               // McGeneralizedCarveout26Access2
    0xdeadbeef,                               // McGeneralizedCarveout26Access3
    0xdeadbeef,                               // McGeneralizedCarveout26Access4
    0xdeadbeef,                               // McGeneralizedCarveout26Access5
    0xdeadbeef,                               // McGeneralizedCarveout26ForceInternalAccess0
    0xdeadbeef,                               // McGeneralizedCarveout26ForceInternalAccess1
    0xdeadbeef,                               // McGeneralizedCarveout26ForceInternalAccess2
    0xdeadbeef,                               // McGeneralizedCarveout26ForceInternalAccess3
    0xdeadbeef,                               // McGeneralizedCarveout26ForceInternalAccess4
    0xdeadbeef,                               // McGeneralizedCarveout26ForceInternalAccess5
    (SW_DEFAULT(MC, SECURITY_CARVEOUT26_CFG0) & 0x08000000) | (0xdeadbeef & ~0x08000000), // McGeneralizedCarveout26Cfg0
    0xdeadbeef,                               // McGeneralizedCarveout27Bom
    0xdeadbeef,                               // McGeneralizedCarveout27BomHi
    0xdeadbeef,                               // McGeneralizedCarveout27Size128kb
    0xdeadbeef,                               // McGeneralizedCarveout27Access0
    0xdeadbeef,                               // McGeneralizedCarveout27Access1
    0xdeadbeef,                               // McGeneralizedCarveout27Access2
    0xdeadbeef,                               // McGeneralizedCarveout27Access3
    0xdeadbeef,                               // McGeneralizedCarveout27Access4
    0xdeadbeef,                               // McGeneralizedCarveout27Access5
    0xdeadbeef,                               // McGeneralizedCarveout27ForceInternalAccess0
    0xdeadbeef,                               // McGeneralizedCarveout27ForceInternalAccess1
    0xdeadbeef,                               // McGeneralizedCarveout27ForceInternalAccess2
    0xdeadbeef,                               // McGeneralizedCarveout27ForceInternalAccess3
    0xdeadbeef,                               // McGeneralizedCarveout27ForceInternalAccess4
    0xdeadbeef,                               // McGeneralizedCarveout27ForceInternalAccess5
    (SW_DEFAULT(MC, SECURITY_CARVEOUT27_CFG0) & 0x08000000) | (0xdeadbeef & ~0x08000000), // McGeneralizedCarveout27Cfg0
    0xdeadbeef,                               // McGeneralizedCarveout28Bom
    0xdeadbeef,                               // McGeneralizedCarveout28BomHi
    0xdeadbeef,                               // McGeneralizedCarveout28Size128kb
    0xdeadbeef,                               // McGeneralizedCarveout28Access0
    0xdeadbeef,                               // McGeneralizedCarveout28Access1
    0xdeadbeef,                               // McGeneralizedCarveout28Access2
    0xdeadbeef,                               // McGeneralizedCarveout28Access3
    0xdeadbeef,                               // McGeneralizedCarveout28Access4
    0xdeadbeef,                               // McGeneralizedCarveout28Access5
    0xdeadbeef,                               // McGeneralizedCarveout28ForceInternalAccess0
    0xdeadbeef,                               // McGeneralizedCarveout28ForceInternalAccess1
    0xdeadbeef,                               // McGeneralizedCarveout28ForceInternalAccess2
    0xdeadbeef,                               // McGeneralizedCarveout28ForceInternalAccess3
    0xdeadbeef,                               // McGeneralizedCarveout28ForceInternalAccess4
    0xdeadbeef,                               // McGeneralizedCarveout28ForceInternalAccess5
    (SW_DEFAULT(MC, SECURITY_CARVEOUT28_CFG0) & 0x08000000) | (0xdeadbeef & ~0x08000000), // McGeneralizedCarveout28Cfg0
    0xdeadbeef,                               // McGeneralizedCarveout29Bom
    0xdeadbeef,                               // McGeneralizedCarveout29BomHi
    0xdeadbeef,                               // McGeneralizedCarveout29Size128kb
    0xdeadbeef,                               // McGeneralizedCarveout29Access0
    0xdeadbeef,                               // McGeneralizedCarveout29Access1
    0xdeadbeef,                               // McGeneralizedCarveout29Access2
    0xdeadbeef,                               // McGeneralizedCarveout29Access3
    0xdeadbeef,                               // McGeneralizedCarveout29Access4
    0xdeadbeef,                               // McGeneralizedCarveout29Access5
    0xdeadbeef,                               // McGeneralizedCarveout29ForceInternalAccess0
    0xdeadbeef,                               // McGeneralizedCarveout29ForceInternalAccess1
    0xdeadbeef,                               // McGeneralizedCarveout29ForceInternalAccess2
    0xdeadbeef,                               // McGeneralizedCarveout29ForceInternalAccess3
    0xdeadbeef,                               // McGeneralizedCarveout29ForceInternalAccess4
    0xdeadbeef,                               // McGeneralizedCarveout29ForceInternalAccess5
    (SW_DEFAULT(MC, SECURITY_CARVEOUT29_CFG0) & 0x08000000) | (0xdeadbeef & ~0x08000000), // McGeneralizedCarveout29Cfg0
    0xdeadbeef,                               // EmcCaTrainingEnable (*)
    0xdeadbeef,                               // BootRomPatchControl
    0xdeadbeef,                               // BootRomPatchData
    0xdeadbeef,                               // McMtsCarveoutBom
    0xdeadbeef,                               // McMtsCarveoutAdrHi
    0xdeadbeef,                               // McMtsCarveoutSizeMb
    0xdeadbeef,                               // McMtsCarveoutRegCtrl
    0xdeadbeef,                               // MssEncryptGenKeys (*)
    0xdeadbeef,                               // MssEncryptDistKeys (*)
    0xdeadbeef,                               // McGkExtraSnapLevels
    0xdeadbeef,                               // McSmmuBypassConfig
    0xdeadbeef,                               // McBypassSidInit (*)
    0xdeadbeef,                               // BCT_NA (*)
    0xdeadbeef,                               // McSidStreamidOverrideConfigPtcr
    0xdeadbeef,                               // McSidStreamidSecurityConfigPtcr
    0xdeadbeef,                               // McSidStreamidOverrideConfigAfir
    0xdeadbeef,                               // McSidStreamidSecurityConfigAfir
    0xdeadbeef,                               // McSidStreamidOverrideConfigHdar
    0xdeadbeef,                               // McSidStreamidSecurityConfigHdar
    0xdeadbeef,                               // McSidStreamidOverrideConfigHost1xdmar
    0xdeadbeef,                               // McSidStreamidSecurityConfigHost1xdmar
    0xdeadbeef,                               // McSidStreamidOverrideConfigNvencsrd
    0xdeadbeef,                               // McSidStreamidSecurityConfigNvencsrd
    0xdeadbeef,                               // McSidStreamidOverrideConfigSatar
    0xdeadbeef,                               // McSidStreamidSecurityConfigSatar
    0xdeadbeef,                               // McSidStreamidOverrideConfigMpcorer
    0xdeadbeef,                               // McSidStreamidSecurityConfigMpcorer
    0xdeadbeef,                               // McSidStreamidOverrideConfigNvencswr
    0xdeadbeef,                               // McSidStreamidSecurityConfigNvencswr
    0xdeadbeef,                               // McSidStreamidOverrideConfigAfiw
    0xdeadbeef,                               // McSidStreamidSecurityConfigAfiw
    0xdeadbeef,                               // McSidStreamidOverrideConfigHdaw
    0xdeadbeef,                               // McSidStreamidSecurityConfigHdaw
    0xdeadbeef,                               // McSidStreamidOverrideConfigMpcorew
    0xdeadbeef,                               // McSidStreamidSecurityConfigMpcorew
    0xdeadbeef,                               // McSidStreamidOverrideConfigSataw
    0xdeadbeef,                               // McSidStreamidSecurityConfigSataw
    0xdeadbeef,                               // McSidStreamidOverrideConfigIspra
    0xdeadbeef,                               // McSidStreamidSecurityConfigIspra
    0xdeadbeef,                               // McSidStreamidOverrideConfigIspwa
    0xdeadbeef,                               // McSidStreamidSecurityConfigIspwa
    0xdeadbeef,                               // McSidStreamidOverrideConfigIspwb
    0xdeadbeef,                               // McSidStreamidSecurityConfigIspwb
    0xdeadbeef,                               // McSidStreamidOverrideConfigXusb_hostr
    0xdeadbeef,                               // McSidStreamidSecurityConfigXusb_hostr
    0xdeadbeef,                               // McSidStreamidOverrideConfigXusb_hostw
    0xdeadbeef,                               // McSidStreamidSecurityConfigXusb_hostw
    0xdeadbeef,                               // McSidStreamidOverrideConfigXusb_devr
    0xdeadbeef,                               // McSidStreamidSecurityConfigXusb_devr
    0xdeadbeef,                               // McSidStreamidOverrideConfigXusb_devw
    0xdeadbeef,                               // McSidStreamidSecurityConfigXusb_devw
    0xdeadbeef,                               // McSidStreamidOverrideConfigTsecsrd
    0xdeadbeef,                               // McSidStreamidSecurityConfigTsecsrd
    0xdeadbeef,                               // McSidStreamidOverrideConfigTsecswr
    0xdeadbeef,                               // McSidStreamidSecurityConfigTsecswr
    0xdeadbeef,                               // McSidStreamidOverrideConfigGpusrd
    0xdeadbeef,                               // McSidStreamidSecurityConfigGpusrd
    0xdeadbeef,                               // McSidStreamidOverrideConfigGpuswr
    0xdeadbeef,                               // McSidStreamidSecurityConfigGpuswr
    0xdeadbeef,                               // McSidStreamidOverrideConfigSdmmcra
    0xdeadbeef,                               // McSidStreamidSecurityConfigSdmmcra
    0xdeadbeef,                               // McSidStreamidOverrideConfigSdmmcraa
    0xdeadbeef,                               // McSidStreamidSecurityConfigSdmmcraa
    0xdeadbeef,                               // McSidStreamidOverrideConfigSdmmcr
    0xdeadbeef,                               // McSidStreamidSecurityConfigSdmmcr
    0xdeadbeef,                               // McSidStreamidOverrideConfigSdmmcrab
    0xdeadbeef,                               // McSidStreamidSecurityConfigSdmmcrab
    0xdeadbeef,                               // McSidStreamidOverrideConfigSdmmcwa
    0xdeadbeef,                               // McSidStreamidSecurityConfigSdmmcwa
    0xdeadbeef,                               // McSidStreamidOverrideConfigSdmmcwaa
    0xdeadbeef,                               // McSidStreamidSecurityConfigSdmmcwaa
    0xdeadbeef,                               // McSidStreamidOverrideConfigSdmmcw
    0xdeadbeef,                               // McSidStreamidSecurityConfigSdmmcw
    0xdeadbeef,                               // McSidStreamidOverrideConfigSdmmcwab
    0xdeadbeef,                               // McSidStreamidSecurityConfigSdmmcwab
    0xdeadbeef,                               // McSidStreamidOverrideConfigVicsrd
    0xdeadbeef,                               // McSidStreamidSecurityConfigVicsrd
    0xdeadbeef,                               // McSidStreamidOverrideConfigVicswr
    0xdeadbeef,                               // McSidStreamidSecurityConfigVicswr
    0xdeadbeef,                               // McSidStreamidOverrideConfigViw
    0xdeadbeef,                               // McSidStreamidSecurityConfigViw
    0xdeadbeef,                               // McSidStreamidOverrideConfigNvdecsrd
    0xdeadbeef,                               // McSidStreamidSecurityConfigNvdecsrd
    0xdeadbeef,                               // McSidStreamidOverrideConfigNvdecswr
    0xdeadbeef,                               // McSidStreamidSecurityConfigNvdecswr
    0xdeadbeef,                               // McSidStreamidOverrideConfigAper
    0xdeadbeef,                               // McSidStreamidSecurityConfigAper
    0xdeadbeef,                               // McSidStreamidOverrideConfigApew
    0xdeadbeef,                               // McSidStreamidSecurityConfigApew
    0xdeadbeef,                               // McSidStreamidOverrideConfigNvjpgsrd
    0xdeadbeef,                               // McSidStreamidSecurityConfigNvjpgsrd
    0xdeadbeef,                               // McSidStreamidOverrideConfigNvjpgswr
    0xdeadbeef,                               // McSidStreamidSecurityConfigNvjpgswr
    0xdeadbeef,                               // McSidStreamidOverrideConfigSesrd
    0xdeadbeef,                               // McSidStreamidSecurityConfigSesrd
    0xdeadbeef,                               // McSidStreamidOverrideConfigSeswr
    0xdeadbeef,                               // McSidStreamidSecurityConfigSeswr
    0xdeadbeef,                               // McSidStreamidOverrideConfigEtrr
    0xdeadbeef,                               // McSidStreamidSecurityConfigEtrr
    0xdeadbeef,                               // McSidStreamidOverrideConfigEtrw
    0xdeadbeef,                               // McSidStreamidSecurityConfigEtrw
    0xdeadbeef,                               // McSidStreamidOverrideConfigTsecsrdb
    0xdeadbeef,                               // McSidStreamidSecurityConfigTsecsrdb
    0xdeadbeef,                               // McSidStreamidOverrideConfigTsecswrb
    0xdeadbeef,                               // McSidStreamidSecurityConfigTsecswrb
    0xdeadbeef,                               // McSidStreamidOverrideConfigGpusrd2
    0xdeadbeef,                               // McSidStreamidSecurityConfigGpusrd2
    0xdeadbeef,                               // McSidStreamidOverrideConfigGpuswr2
    0xdeadbeef,                               // McSidStreamidSecurityConfigGpuswr2
    0xdeadbeef,                               // McSidStreamidOverrideConfigAxisr
    0xdeadbeef,                               // McSidStreamidSecurityConfigAxisr
    0xdeadbeef,                               // McSidStreamidOverrideConfigAxisw
    0xdeadbeef,                               // McSidStreamidSecurityConfigAxisw
    0xdeadbeef,                               // McSidStreamidOverrideConfigEqosr
    0xdeadbeef,                               // McSidStreamidSecurityConfigEqosr
    0xdeadbeef,                               // McSidStreamidOverrideConfigEqosw
    0xdeadbeef,                               // McSidStreamidSecurityConfigEqosw
    0xdeadbeef,                               // McSidStreamidOverrideConfigUfshcr
    0xdeadbeef,                               // McSidStreamidSecurityConfigUfshcr
    0xdeadbeef,                               // McSidStreamidOverrideConfigUfshcw
    0xdeadbeef,                               // McSidStreamidSecurityConfigUfshcw
    0xdeadbeef,                               // McSidStreamidOverrideConfigNvdisplayr
    0xdeadbeef,                               // McSidStreamidSecurityConfigNvdisplayr
    0xdeadbeef,                               // McSidStreamidOverrideConfigBpmpr
    0xdeadbeef,                               // McSidStreamidSecurityConfigBpmpr
    0xdeadbeef,                               // McSidStreamidOverrideConfigBpmpw
    0xdeadbeef,                               // McSidStreamidSecurityConfigBpmpw
    0xdeadbeef,                               // McSidStreamidOverrideConfigBpmpdmar
    0xdeadbeef,                               // McSidStreamidSecurityConfigBpmpdmar
    0xdeadbeef,                               // McSidStreamidOverrideConfigBpmpdmaw
    0xdeadbeef,                               // McSidStreamidSecurityConfigBpmpdmaw
    0xdeadbeef,                               // McSidStreamidOverrideConfigAonr
    0xdeadbeef,                               // McSidStreamidSecurityConfigAonr
    0xdeadbeef,                               // McSidStreamidOverrideConfigAonw
    0xdeadbeef,                               // McSidStreamidSecurityConfigAonw
    0xdeadbeef,                               // McSidStreamidOverrideConfigAondmar
    0xdeadbeef,                               // McSidStreamidSecurityConfigAondmar
    0xdeadbeef,                               // McSidStreamidOverrideConfigAondmaw
    0xdeadbeef,                               // McSidStreamidSecurityConfigAondmaw
    0xdeadbeef,                               // McSidStreamidOverrideConfigScer
    0xdeadbeef,                               // McSidStreamidSecurityConfigScer
    0xdeadbeef,                               // McSidStreamidOverrideConfigScew
    0xdeadbeef,                               // McSidStreamidSecurityConfigScew
    0xdeadbeef,                               // McSidStreamidOverrideConfigScedmar
    0xdeadbeef,                               // McSidStreamidSecurityConfigScedmar
    0xdeadbeef,                               // McSidStreamidOverrideConfigScedmaw
    0xdeadbeef,                               // McSidStreamidSecurityConfigScedmaw
    0xdeadbeef,                               // McSidStreamidOverrideConfigApedmar
    0xdeadbeef,                               // McSidStreamidSecurityConfigApedmar
    0xdeadbeef,                               // McSidStreamidOverrideConfigApedmaw
    0xdeadbeef,                               // McSidStreamidSecurityConfigApedmaw
    0xdeadbeef,                               // McSidStreamidOverrideConfigNvdisplayr1
    0xdeadbeef,                               // McSidStreamidSecurityConfigNvdisplayr1
    0xdeadbeef,                               // McSidStreamidOverrideConfigVicsrd1
    0xdeadbeef,                               // McSidStreamidSecurityConfigVicsrd1
    0xdeadbeef,                               // McSidStreamidOverrideConfigNvdecsrd1
    0xdeadbeef                                // McSidStreamidSecurityConfigNvdecsrd1
#endif // WB_CODE_TEST

};

// End of generated code by warmboot_code_gen
