//
// Copyright (c) 2018 NVIDIA Corporation.
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are met:
//
// Redistributions of source code must retain the above copyright notice,
// this list of conditions and the following disclaimer.
//
// Redistributions in binary form must reproduce the above copyright notice,
// this list of conditions and the following disclaimer in the documentation
// and/or other materials provided with the distribution.
//
// Neither the name of the NVIDIA Corporation nor the names of its contributors
// may be used to endorse or promote products derived from this software
// without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
// ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
// LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
// CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
// SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
// INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
// CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
// POSSIBILITY OF SUCH DAMAGE.
//
//
// DO NOT EDIT - this file automatically generated by ref2head
//

#ifndef _NV_REF_DEV_VIC_PRI_H_
#define _NV_REF_DEV_VIC_PRI_H_

// dev_vic_pri.ref (PVIC)
#define NV_PVIC                        0x00003fff:0x00000000 /* RW--D */
#define NV_PVIC_THI_INCR_SYNCPT                                 0x00000000      /* RW-4R */
#define NV_PVIC_THI_INCR_SYNCPT_INDX                            9:0             /* RWIVF */
#define NV_PVIC_THI_INCR_SYNCPT_INDX_INIT                       0x00000000      /* RWI-V */
#define NV_PVIC_THI_INCR_SYNCPT_COND                            17:10           /* RWIVF */
#define NV_PVIC_THI_INCR_SYNCPT_COND_IMMEDIATE                  0x00000000      /* RWI-V */
#define NV_PVIC_THI_INCR_SYNCPT_COND_OP_DONE                    0x00000001      /* RW--V */
#define NV_PVIC_THI_INCR_SYNCPT_COND_RD_DONE                    0x00000002      /* RW--V */
#define NV_PVIC_THI_INCR_SYNCPT_COND_REG_WR_SAFE                0x00000003      /* RW--V */
#define NV_PVIC_THI_INCR_SYNCPT_COND_ENGINE_IDLE                0x00000004      /* RW--V */
#define NV_PVIC_THI_INCR_SYNCPT_CTRL                            0x00000004      /* RW-4R */
#define NV_PVIC_THI_INCR_SYNCPT_CTRL_SOFT_RESET                 0:0             /* RWIVF */
#define NV_PVIC_THI_INCR_SYNCPT_CTRL_SOFT_RESET_INIT            0x00000000      /* RWI-V */
#define NV_PVIC_THI_INCR_SYNCPT_CTRL_NO_STALL                   8:8             /* RWIVF */
#define NV_PVIC_THI_INCR_SYNCPT_CTRL_NO_STALL_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_THI_INCR_SYNCPT_CTRL_SOFT_RESET_0               16:16           /* RWIVF */
#define NV_PVIC_THI_INCR_SYNCPT_CTRL_SOFT_RESET_0_INIT          0x00000000      /* RWI-V */
#define NV_PVIC_THI_INCR_SYNCPT_CTRL_SOFT_RESET_1               18:18           /* RWIVF */
#define NV_PVIC_THI_INCR_SYNCPT_CTRL_SOFT_RESET_1_INIT          0x00000000      /* RWI-V */
#define NV_PVIC_THI_INCR_SYNCPT_CTRL_SOFT_RESET_2               20:20           /* RWIVF */
#define NV_PVIC_THI_INCR_SYNCPT_CTRL_SOFT_RESET_2_INIT          0x00000000      /* RWI-V */
#define NV_PVIC_THI_INCR_SYNCPT_CTRL_SOFT_RESET_3               22:22           /* RWIVF */
#define NV_PVIC_THI_INCR_SYNCPT_CTRL_SOFT_RESET_3_INIT          0x00000000      /* RWI-V */
#define NV_PVIC_THI_INCR_SYNCPT_CTRL_SOFT_RESET_4               24:24           /* RWIVF */
#define NV_PVIC_THI_INCR_SYNCPT_CTRL_SOFT_RESET_4_INIT          0x00000000      /* RWI-V */
#define NV_PVIC_THI_INCR_SYNCPT_CTRL_NO_STALL_0                 17:17           /* RWIVF */
#define NV_PVIC_THI_INCR_SYNCPT_CTRL_NO_STALL_0_INIT            0x00000000      /* RWI-V */
#define NV_PVIC_THI_INCR_SYNCPT_CTRL_NO_STALL_1                 19:19           /* RWIVF */
#define NV_PVIC_THI_INCR_SYNCPT_CTRL_NO_STALL_1_INIT            0x00000000      /* RWI-V */
#define NV_PVIC_THI_INCR_SYNCPT_CTRL_NO_STALL_2                 21:21           /* RWIVF */
#define NV_PVIC_THI_INCR_SYNCPT_CTRL_NO_STALL_2_INIT            0x00000000      /* RWI-V */
#define NV_PVIC_THI_INCR_SYNCPT_CTRL_NO_STALL_3                 23:23           /* RWIVF */
#define NV_PVIC_THI_INCR_SYNCPT_CTRL_NO_STALL_3_INIT            0x00000000      /* RWI-V */
#define NV_PVIC_THI_INCR_SYNCPT_CTRL_NO_STALL_4                 25:25           /* RWIVF */
#define NV_PVIC_THI_INCR_SYNCPT_CTRL_NO_STALL_4_INIT            0x00000000      /* RWI-V */
#define NV_PVIC_THI_INCR_SYNCPT_ERR                             0x00000008      /* RW-4R */
#define NV_PVIC_THI_INCR_SYNCPT_ERR_COND_STS_IMM                0:0             /* RWIVF */
#define NV_PVIC_THI_INCR_SYNCPT_ERR_COND_STS_IMM_INIT           0x00000000      /* R-I-V */
#define NV_PVIC_THI_INCR_SYNCPT_ERR_COND_STS_IMM_CLEAR          0x00000001      /* -W--V */
#define NV_PVIC_THI_INCR_SYNCPT_ERR_COND_STS_OPDONE             1:1             /* RWIVF */
#define NV_PVIC_THI_INCR_SYNCPT_ERR_COND_STS_OPDONE_INIT        0x00000000      /* R-I-V */
#define NV_PVIC_THI_INCR_SYNCPT_ERR_COND_STS_OPDONE_CLEAR       0x00000001      /* -W--V */
#define NV_PVIC_THI_INCR_SYNCPT_ERR_COND_STS_RD_DONE            2:2             /* RWIVF */
#define NV_PVIC_THI_INCR_SYNCPT_ERR_COND_STS_RD_DONE_INIT       0x00000000      /* R-I-V */
#define NV_PVIC_THI_INCR_SYNCPT_ERR_COND_STS_RD_DONE_CLEAR      0x00000001      /* -W--V */
#define NV_PVIC_THI_INCR_SYNCPT_ERR_COND_STS_REG_WR_SAFE        3:3             /* RWIVF */
#define NV_PVIC_THI_INCR_SYNCPT_ERR_COND_STS_REG_WR_SAFE_INIT   0x00000000      /* R-I-V */
#define NV_PVIC_THI_INCR_SYNCPT_ERR_COND_STS_REG_WR_SAFE_CLEAR  0x00000001      /* -W--V */
#define NV_PVIC_THI_INCR_SYNCPT_ERR_COND_STS_ENGINE_IDLE        4:4             /* RWIVF */
#define NV_PVIC_THI_INCR_SYNCPT_ERR_COND_STS_ENGINE_IDLE_INIT   0x00000000      /* R-I-V */
#define NV_PVIC_THI_INCR_SYNCPT_ERR_COND_STS_ENGINE_IDLE_CLEAR  0x00000001      /* -W--V */
#define NV_PVIC_THI_CTXSW_INCR_SYNCPT                           0x0000000c      /* RW-4R */
#define NV_PVIC_THI_CTXSW_INCR_SYNCPT_INDX                      9:0             /* RWIVF */
#define NV_PVIC_THI_CTXSW_INCR_SYNCPT_INDX_INIT                 0x00000000      /* RWI-V */
#define NV_PVIC_THI_CTXSW                                       0x00000020      /* RW-4R */
#define NV_PVIC_THI_CTXSW_CURR_CLASS                            9:0             /* RWIVF */
#define NV_PVIC_THI_CTXSW_CURR_CLASS_INIT                       0x00000000      /* RWI-V */
#define NV_PVIC_THI_CTXSW_AUTO_ACK                              10:10           /* R-IVF */
#define NV_PVIC_THI_CTXSW_AUTO_ACK_INIT                         0x00000001      /* RWI-V */
#define NV_PVIC_THI_CTXSW_CURR_CHANNEL                          20:11           /* RWIVF */
#define NV_PVIC_THI_CTXSW_CURR_CHANNEL_INIT                     0x0000003f      /* R-I-V */
#define NV_PVIC_THI_CTXSW_NEXT                                  0x00000024      /* RW-4R */
#define NV_PVIC_THI_CTXSW_NEXT_NEXT_CLASS                       9:0             /* RWIVF */
#define NV_PVIC_THI_CTXSW_NEXT_NEXT_CLASS_INIT                  0x00000000      /* RWI-V */
#define NV_PVIC_THI_CTXSW_NEXT_NEXT_CHANNEL                     19:10           /* RWIVF */
#define NV_PVIC_THI_CTXSW_NEXT_CHANNEL_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_THI_CONT_SYNCPT_EOF                             0x00000028      /* RW-4R */
#define NV_PVIC_THI_CONT_SYNCPT_EOF_INDEX                       9:0             /* RWIVF */
#define NV_PVIC_THI_CONT_SYNCPT_EOF_INDEX_INIT                  0x00000000      /* RWI-V */
#define NV_PVIC_THI_CONT_SYNCPT_EOF_COND                        10:10           /* RWIVF */
#define NV_PVIC_THI_CONT_SYNCPT_EOF_COND_INIT                   0x00000000      /* RWI-V */
#define NV_PVIC_THI_CONT_SYNCPT_L1                              0x0000002c      /* RW-4R */
#define NV_PVIC_THI_CONT_SYNCPT_L1_INDEX                        9:0             /* RWIVF */
#define NV_PVIC_THI_CONT_SYNCPT_L1_INDEX_INIT                   0x00000000      /* RWI-V */
#define NV_PVIC_THI_CONT_SYNCPT_L1_COND                         10:10           /* RWIVF */
#define NV_PVIC_THI_CONT_SYNCPT_L1_COND_INIT                    0x00000000      /* RWI-V */
#define NV_PVIC_THI_STREAMID0                                   0x00000030      /* RW-4R */
#define NV_PVIC_THI_STREAMID0_ID                                6:0             /* RWIVF */
#define NV_PVIC_THI_STREAMID1                                   0x00000034      /* RW-4R */
#define NV_PVIC_THI_STREAMID1_ID                                6:0             /* RWIVF */
#define NV_PVIC_THI_THI_SEC                                     0x00000038      /* RW-4R */
#define NV_PVIC_THI_THI_SEC_TZ_LOCK                             0:0             /* RWIVF */
#define NV_PVIC_THI_THI_SEC_TZ_LOCK_TRUE                        0x00000001      /* RW--V */
#define NV_PVIC_THI_THI_SEC_TZ_LOCK_FALSE                       0x00000000      /* RWI-V */
#define NV_PVIC_THI_THI_SEC_TZ_AUTH                             4:4             /* RWIVF */
#define NV_PVIC_THI_THI_SEC_TZ_AUTH_TRUE                        0x00000001      /* RW--V */
#define NV_PVIC_THI_THI_SEC_TZ_AUTH_FALSE                       0x00000000      /* RWI-V */
#define NV_PVIC_THI_THI_SEC_CH_LOCK                             8:8             /* RWIVF */
#define NV_PVIC_THI_THI_SEC_CH_LOCK_TRUE                        0x00000001      /* RW--V */
#define NV_PVIC_THI_THI_SEC_CH_LOCK_FALSE                       0x00000000      /* RWI-V */
#define NV_PVIC_THI_METHOD0                                     0x00000040      /* RW-4R */
#define NV_PVIC_THI_METHOD0_OFFSET                              11:0            /* RWIVF */
#define NV_PVIC_THI_METHOD0_OFFSET_INIT                         0x00000000      /* RWI-V */
#define NV_PVIC_THI_METHOD1                                     0x00000044      /* RW-4R */
#define NV_PVIC_THI_METHOD1_DATA                                31:0            /* RWIVF */
#define NV_PVIC_THI_METHOD1_DATA_INIT                           0x00000000      /* RWI-V */
#define NV_PVIC_THI_CONTEXT_SWITCH                              0x00000060      /* RW-4R */
#define NV_PVIC_THI_CONTEXT_SWITCH_PTR                          27:0            /* RWIVF */
#define NV_PVIC_THI_CONTEXT_SWITCH_PTR_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_THI_CONTEXT_SWITCH_TARGET                       31:30           /* RWIVF */
#define NV_PVIC_THI_CONTEXT_SWITCH_TARGET_INIT                  0x00000000      /* RWI-V */
#define NV_PVIC_THI_CONTEXT_SWITCH_TARGET_LOCAL_FB              0x00000000      /* RW--V */
#define NV_PVIC_THI_CONTEXT_SWITCH_TARGET_SYSMEM_COH            0x00000001      /* RW--V */
#define NV_PVIC_THI_CONTEXT_SWITCH_TARGET_SYSMEM_NONCOH         0x00000002      /* RW--V */
#define NV_PVIC_THI_INT_STATUS                                  0x00000078      /* RW-4R */
#define NV_PVIC_THI_INT_STATUS_FALCON_INT                       0:0             /* RWIVF */
#define NV_PVIC_THI_INT_STATUS_FALCON_INT_INIT                  0x00000000      /* R-I-V */
#define NV_PVIC_THI_INT_STATUS_FALCON_INT_CLEAR                 0x00000001      /* -W--V */
#define NV_PVIC_THI_INT_MASK                                    0x0000007c      /* RW-4R */
#define NV_PVIC_THI_INT_MASK_FALCON_INT                         0:0             /* RWIVF */
#define NV_PVIC_THI_INT_MASK_FALCON_INT_INIT                    0x00000001      /* RWI-V */
#define NV_PVIC_THI_CONFIG0                                     0x00000080      /* RW-4R */
#define NV_PVIC_THI_CONFIG0_IDLE_SYNCPT_INC_ENG                 4:4             /* RWIVF */
#define NV_PVIC_THI_CONFIG0_IDLE_SYNCPT_INC_ENG_TRUE            0x00000001      /* RW--V */
#define NV_PVIC_THI_CONFIG0_IDLE_SYNCPT_INC_ENG_FALSE           0x00000000      /* RWI-V */
#define NV_PVIC_THI_CONFIG0_RETURN_SYNCPT_ON_ERR                0:0             /* RWIVF */
#define NV_PVIC_THI_CONFIG0_RETURN_SYNCPT_ON_ERR_INIT           0x00000000      /* RWI-V */
#define NV_PVIC_THI_DBG_MISC                                    0x00000084      /* RW-4R */
#define NV_PVIC_THI_DBG_MISC_THI_IDLE_EN                        3:3             /* RW-VF */
#define NV_PVIC_THI_DBG_MISC_THI_IDLE_EN_SET                    0x00000001      /* RW--V */
#define NV_PVIC_THI_DBG_MISC_THI_IDLE_EN_CLEAR                  0x00000000      /* RWI-V */
#define NV_PVIC_THI_DBG_MISC_THI_SYNCPT_PENDING_STATUS          2:2             /* R--VF */
#define NV_PVIC_THI_DBG_MISC_THI_SYNCPT_PENDING_STATUS_SET      0x00000001      /* R---V */
#define NV_PVIC_THI_DBG_MISC_THI_SYNCPT_PENDING_STATUS_CLEAR    0x00000000      /* R---V */
#define NV_PVIC_THI_DBG_MISC_THI_IDLE_STATUS                    1:1             /* R--VF */
#define NV_PVIC_THI_DBG_MISC_THI_IDLE_STATUS_SET                0x00000001      /* R---V */
#define NV_PVIC_THI_DBG_MISC_THI_IDLE_STATUS_CLEAR              0x00000000      /* R---V */
#define NV_PVIC_THI_DBG_MISC_CLIENT_IDLE_STATUS                 0:0             /* R--VF */
#define NV_PVIC_THI_DBG_MISC_CLIENT_IDLE_STATUS_SET             0x00000001      /* R---V */
#define NV_PVIC_THI_DBG_MISC_CLIENT_IDLE_STATUS_CLEAR           0x00000000      /* R---V */
#define NV_PVIC_THI_SLCG_OVERRIDE_HIGH_A                        0x00000088      /* RW-4R */
#define NV_PVIC_THI_SLCG_OVERRIDE_HIGH_A_REG                    7:0             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_HIGH_A_REG_INIT               0x000000ff      /* RWI-V */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A                         0x0000008c      /* RW-4R */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_REG                     31:0            /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_REG_INIT                0x00000000      /* RWI-V */
#define NV_PVIC_THI_CLK_OVERRIDE                                0x00000e00      /* RW-4R */
#define NV_PVIC_THI_CLK_OVERRIDE_CYA                            31:0            /* RWIVF */
#define NV_PVIC_THI_CLK_OVERRIDE_CYA_INIT                       0x00000000      /* RWI-V */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_FC                     0:0             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_SL                     1:1             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_SC                     2:2             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_DI                     3:3             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_XS                     4:4             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_YS                     5:5             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_CC                     6:6             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_BL                     7:7             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_TN                     8:8             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_CD                     9:9             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_DISI1                10:10             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_YS_BYPASS            11:11             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_XS_BYPASS            12:12             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_PM                   13:13             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_DEGAMMA              14:14             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_GR                   15:15             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_BDP                  16:16             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_BDP_BASIC_EQ         17:17             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_BDP_NON_BASIC_EQ     18:18             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_BL_CFG               19:19             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_BL_RDMA              20:20             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_IT_CD                21:21             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_TN_CFG               22:22             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_CD_CFG               23:23             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_IT_TN                24:24             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_FCE                  25:25             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_DBG_CRC              26:26             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_DBG_NON_CRC          27:27             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_CC_CFG               28:28             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_YUPS                 29:29             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_XUPS                 30:30             /* RWIVF */
#define NV_PVIC_THI_SLCG_OVERRIDE_LOW_A_BLCG_SLCG_OVERRIDE   31:31             /* RWIVF */
#define NV_PVIC_FALCON_IRQSSET                                  0x00001000      /* -W-4R */
#define NV_PVIC_FALCON_IRQSSET_GPTMR                            0:0             /* -WXVF */
#define NV_PVIC_FALCON_IRQSSET_GPTMR_SET                        0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSSET_WDTMR                            1:1             /* -WXVF */
#define NV_PVIC_FALCON_IRQSSET_WDTMR_SET                        0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSSET_MTHD                             2:2             /* -WXVF */
#define NV_PVIC_FALCON_IRQSSET_MTHD_SET                         0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSSET_CTXSW                            3:3             /* -WXVF */
#define NV_PVIC_FALCON_IRQSSET_CTXSW_SET                        0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSSET_HALT                             4:4             /* -WXVF */
#define NV_PVIC_FALCON_IRQSSET_HALT_SET                         0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSSET_EXTERR                           5:5             /* -WXVF */
#define NV_PVIC_FALCON_IRQSSET_EXTERR_SET                       0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSSET_SWGEN0                           6:6             /* -WXVF */
#define NV_PVIC_FALCON_IRQSSET_SWGEN0_SET                       0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSSET_SWGEN1                           7:7             /* -WXVF */
#define NV_PVIC_FALCON_IRQSSET_SWGEN1_SET                       0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSSET_EXT                              15:8            /* -WXVF */
#define NV_PVIC_FALCON_IRQSSET_EXT_EXTIRQ1                      8:8             /* -WXVF */
#define NV_PVIC_FALCON_IRQSSET_EXT_EXTIRQ1_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSSET_EXT_EXTIRQ2                      9:9             /* -WXVF */
#define NV_PVIC_FALCON_IRQSSET_EXT_EXTIRQ2_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSSET_EXT_EXTIRQ3                      10:10           /* -WXVF */
#define NV_PVIC_FALCON_IRQSSET_EXT_EXTIRQ3_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSSET_EXT_EXTIRQ4                      11:11           /* -WXVF */
#define NV_PVIC_FALCON_IRQSSET_EXT_EXTIRQ4_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSSET_EXT_EXTIRQ5                      12:12           /* -WXVF */
#define NV_PVIC_FALCON_IRQSSET_EXT_EXTIRQ5_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSSET_EXT_EXTIRQ6                      13:13           /* -WXVF */
#define NV_PVIC_FALCON_IRQSSET_EXT_EXTIRQ6_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSSET_EXT_EXTIRQ7                      14:14           /* -WXVF */
#define NV_PVIC_FALCON_IRQSSET_EXT_EXTIRQ7_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSSET_EXT_EXTIRQ8                      15:15           /* -WXVF */
#define NV_PVIC_FALCON_IRQSSET_EXT_EXTIRQ8_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSSET_DMA                              16:16           /* -WXVF */
#define NV_PVIC_FALCON_IRQSSET_DMA_SET                          0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSCLR                                  0x00001004      /* -W-4R */
#define NV_PVIC_FALCON_IRQSCLR_GPTMR                            0:0             /* -WXVF */
#define NV_PVIC_FALCON_IRQSCLR_GPTMR_SET                        0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSCLR_WDTMR                            1:1             /* -WXVF */
#define NV_PVIC_FALCON_IRQSCLR_WDTMR_SET                        0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSCLR_MTHD                             2:2             /* -WXVF */
#define NV_PVIC_FALCON_IRQSCLR_MTHD_SET                         0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSCLR_CTXSW                            3:3             /* -WXVF */
#define NV_PVIC_FALCON_IRQSCLR_CTXSW_SET                        0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSCLR_HALT                             4:4             /* -WXVF */
#define NV_PVIC_FALCON_IRQSCLR_HALT_SET                         0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSCLR_EXTERR                           5:5             /* -WXVF */
#define NV_PVIC_FALCON_IRQSCLR_EXTERR_SET                       0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSCLR_SWGEN0                           6:6             /* -WXVF */
#define NV_PVIC_FALCON_IRQSCLR_SWGEN0_SET                       0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSCLR_SWGEN1                           7:7             /* -WXVF */
#define NV_PVIC_FALCON_IRQSCLR_SWGEN1_SET                       0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSCLR_EXT                              15:8            /* -WXVF */
#define NV_PVIC_FALCON_IRQSCLR_EXT_EXTIRQ1                      8:8             /* -WXVF */
#define NV_PVIC_FALCON_IRQSCLR_EXT_EXTIRQ1_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSCLR_EXT_EXTIRQ2                      9:9             /* -WXVF */
#define NV_PVIC_FALCON_IRQSCLR_EXT_EXTIRQ2_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSCLR_EXT_EXTIRQ3                      10:10           /* -WXVF */
#define NV_PVIC_FALCON_IRQSCLR_EXT_EXTIRQ3_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSCLR_EXT_EXTIRQ4                      11:11           /* -WXVF */
#define NV_PVIC_FALCON_IRQSCLR_EXT_EXTIRQ4_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSCLR_EXT_EXTIRQ5                      12:12           /* -WXVF */
#define NV_PVIC_FALCON_IRQSCLR_EXT_EXTIRQ5_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSCLR_EXT_EXTIRQ6                      13:13           /* -WXVF */
#define NV_PVIC_FALCON_IRQSCLR_EXT_EXTIRQ6_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSCLR_EXT_EXTIRQ7                      14:14           /* -WXVF */
#define NV_PVIC_FALCON_IRQSCLR_EXT_EXTIRQ7_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSCLR_EXT_EXTIRQ8                      15:15           /* -WXVF */
#define NV_PVIC_FALCON_IRQSCLR_EXT_EXTIRQ8_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSCLR_DMA                              16:16           /* -WXVF */
#define NV_PVIC_FALCON_IRQSCLR_DMA_SET                          0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQSTAT                                  0x00001008      /* R--4R */
#define NV_PVIC_FALCON_IRQSTAT_GPTMR                            0:0             /* R-XVF */
#define NV_PVIC_FALCON_IRQSTAT_GPTMR_FALSE                      0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_GPTMR_TRUE                       0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_WDTMR                            1:1             /* R-XVF */
#define NV_PVIC_FALCON_IRQSTAT_WDTMR_FALSE                      0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_WDTMR_TRUE                       0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_MTHD                             2:2             /* R-XVF */
#define NV_PVIC_FALCON_IRQSTAT_MTHD_FALSE                       0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_MTHD_TRUE                        0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_CTXSW                            3:3             /* R-XVF */
#define NV_PVIC_FALCON_IRQSTAT_CTXSW_FALSE                      0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_CTXSW_TRUE                       0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_HALT                             4:4             /* R-XVF */
#define NV_PVIC_FALCON_IRQSTAT_HALT_FALSE                       0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_HALT_TRUE                        0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_EXTERR                           5:5             /* R-XVF */
#define NV_PVIC_FALCON_IRQSTAT_EXTERR_FALSE                     0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_EXTERR_TRUE                      0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_SWGEN0                           6:6             /* R-XVF */
#define NV_PVIC_FALCON_IRQSTAT_SWGEN0_FALSE                     0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_SWGEN0_TRUE                      0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_SWGEN1                           7:7             /* R-XVF */
#define NV_PVIC_FALCON_IRQSTAT_SWGEN1_FALSE                     0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_SWGEN1_TRUE                      0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_EXT                              15:8            /* R-XVF */
#define NV_PVIC_FALCON_IRQSTAT_EXT_EXTIRQ1                      8:8             /* R-XVF */
#define NV_PVIC_FALCON_IRQSTAT_EXT_EXTIRQ1_TRUE                 0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_EXT_EXTIRQ1_FALSE                0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_EXT_EXTIRQ2                      9:9             /* R-XVF */
#define NV_PVIC_FALCON_IRQSTAT_EXT_EXTIRQ2_TRUE                 0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_EXT_EXTIRQ2_FALSE                0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_EXT_EXTIRQ3                      10:10           /* R-XVF */
#define NV_PVIC_FALCON_IRQSTAT_EXT_EXTIRQ3_TRUE                 0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_EXT_EXTIRQ3_FALSE                0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_EXT_EXTIRQ4                      11:11           /* R-XVF */
#define NV_PVIC_FALCON_IRQSTAT_EXT_EXTIRQ4_TRUE                 0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_EXT_EXTIRQ4_FALSE                0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_EXT_EXTIRQ5                      12:12           /* R-XVF */
#define NV_PVIC_FALCON_IRQSTAT_EXT_EXTIRQ5_TRUE                 0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_EXT_EXTIRQ5_FALSE                0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_EXT_EXTIRQ6                      13:13           /* R-XVF */
#define NV_PVIC_FALCON_IRQSTAT_EXT_EXTIRQ6_TRUE                 0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_EXT_EXTIRQ6_FALSE                0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_EXT_EXTIRQ7                      14:14           /* R-XVF */
#define NV_PVIC_FALCON_IRQSTAT_EXT_EXTIRQ7_TRUE                 0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_EXT_EXTIRQ7_FALSE                0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_EXT_EXTIRQ8                      15:15           /* R-XVF */
#define NV_PVIC_FALCON_IRQSTAT_EXT_EXTIRQ8_TRUE                 0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_EXT_EXTIRQ8_FALSE                0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_DMA                              16:16           /* R-XVF */
#define NV_PVIC_FALCON_IRQSTAT_DMA_TRUE                         0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQSTAT_DMA_FALSE                        0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQMODE                                  0x0000100c      /* RW-4R */
#define NV_PVIC_FALCON_IRQMODE_LVL_GPTMR                        0:0             /* RWIVF */
#define NV_PVIC_FALCON_IRQMODE_LVL_GPTMR_INIT                   0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IRQMODE_LVL_GPTMR_FALSE                  0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_GPTMR_TRUE                   0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_WDTMR                        1:1             /* RWIVF */
#define NV_PVIC_FALCON_IRQMODE_LVL_WDTMR_INIT                   0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IRQMODE_LVL_WDTMR_FALSE                  0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_WDTMR_TRUE                   0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_MTHD                         2:2             /* RWIVF */
#define NV_PVIC_FALCON_IRQMODE_LVL_MTHD_INIT                    0x00000001      /* RWI-V */
#define NV_PVIC_FALCON_IRQMODE_LVL_MTHD_FALSE                   0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_MTHD_TRUE                    0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_CTXSW                        3:3             /* RWIVF */
#define NV_PVIC_FALCON_IRQMODE_LVL_CTXSW_INIT                   0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IRQMODE_LVL_CTXSW_FALSE                  0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_CTXSW_TRUE                   0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_HALT                         4:4             /* RWIVF */
#define NV_PVIC_FALCON_IRQMODE_LVL_HALT_INIT                    0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IRQMODE_LVL_HALT_FALSE                   0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_HALT_TRUE                    0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_EXTERR                       5:5             /* RWIVF */
#define NV_PVIC_FALCON_IRQMODE_LVL_EXTERR_INIT                  0x00000001      /* RWI-V */
#define NV_PVIC_FALCON_IRQMODE_LVL_EXTERR_FALSE                 0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_EXTERR_TRUE                  0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_SWGEN0                       6:6             /* RWIVF */
#define NV_PVIC_FALCON_IRQMODE_LVL_SWGEN0_INIT                  0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IRQMODE_LVL_SWGEN0_FALSE                 0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_SWGEN0_TRUE                  0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_SWGEN1                       7:7             /* RWIVF */
#define NV_PVIC_FALCON_IRQMODE_LVL_SWGEN1_INIT                  0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IRQMODE_LVL_SWGEN1_FALSE                 0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_SWGEN1_TRUE                  0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_EXT                          15:8            /* RWIVF */
#define NV_PVIC_FALCON_IRQMODE_LVL_EXT_INIT                     0x000000fc      /* RWI-V */
#define NV_PVIC_FALCON_IRQMODE_LVL_EXT_EXTIRQ1                  8:8             /* RW-VF */
#define NV_PVIC_FALCON_IRQMODE_LVL_EXT_EXTIRQ1_TRUE             0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_EXT_EXTIRQ1_FALSE            0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_EXT_EXTIRQ2                  9:9             /* RW-VF */
#define NV_PVIC_FALCON_IRQMODE_LVL_EXT_EXTIRQ2_TRUE             0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_EXT_EXTIRQ2_FALSE            0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_EXT_EXTIRQ3                  10:10           /* RW-VF */
#define NV_PVIC_FALCON_IRQMODE_LVL_EXT_EXTIRQ3_TRUE             0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_EXT_EXTIRQ3_FALSE            0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_EXT_EXTIRQ4                  11:11           /* RW-VF */
#define NV_PVIC_FALCON_IRQMODE_LVL_EXT_EXTIRQ4_TRUE             0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_EXT_EXTIRQ4_FALSE            0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_EXT_EXTIRQ5                  12:12           /* RW-VF */
#define NV_PVIC_FALCON_IRQMODE_LVL_EXT_EXTIRQ5_TRUE             0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_EXT_EXTIRQ5_FALSE            0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_EXT_EXTIRQ6                  13:13           /* RW-VF */
#define NV_PVIC_FALCON_IRQMODE_LVL_EXT_EXTIRQ6_TRUE             0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_EXT_EXTIRQ6_FALSE            0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_EXT_EXTIRQ7                  14:14           /* RW-VF */
#define NV_PVIC_FALCON_IRQMODE_LVL_EXT_EXTIRQ7_TRUE             0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_EXT_EXTIRQ7_FALSE            0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_EXT_EXTIRQ8                  15:15           /* RW-VF */
#define NV_PVIC_FALCON_IRQMODE_LVL_EXT_EXTIRQ8_TRUE             0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_EXT_EXTIRQ8_FALSE            0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_DMA                          16:16           /* RWIVF */
#define NV_PVIC_FALCON_IRQMODE_LVL_DMA_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IRQMODE_LVL_DMA_TRUE                     0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQMODE_LVL_DMA_FALSE                    0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQMSET                                  0x00001010      /* -W-4R */
#define NV_PVIC_FALCON_IRQMSET_GPTMR                            0:0             /* -WXVF */
#define NV_PVIC_FALCON_IRQMSET_GPTMR_SET                        0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMSET_WDTMR                            1:1             /* -WXVF */
#define NV_PVIC_FALCON_IRQMSET_WDTMR_SET                        0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMSET_MTHD                             2:2             /* -WXVF */
#define NV_PVIC_FALCON_IRQMSET_MTHD_SET                         0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMSET_CTXSW                            3:3             /* -WXVF */
#define NV_PVIC_FALCON_IRQMSET_CTXSW_SET                        0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMSET_HALT                             4:4             /* -WXVF */
#define NV_PVIC_FALCON_IRQMSET_HALT_SET                         0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMSET_EXTERR                           5:5             /* -WXVF */
#define NV_PVIC_FALCON_IRQMSET_EXTERR_SET                       0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMSET_SWGEN0                           6:6             /* -WXVF */
#define NV_PVIC_FALCON_IRQMSET_SWGEN0_SET                       0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMSET_SWGEN1                           7:7             /* -WXVF */
#define NV_PVIC_FALCON_IRQMSET_SWGEN1_SET                       0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMSET_EXT                              15:8            /* -WXVF */
#define NV_PVIC_FALCON_IRQMSET_EXT_EXTIRQ1                      8:8             /* -WXVF */
#define NV_PVIC_FALCON_IRQMSET_EXT_EXTIRQ1_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMSET_EXT_EXTIRQ2                      9:9             /* -WXVF */
#define NV_PVIC_FALCON_IRQMSET_EXT_EXTIRQ2_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMSET_EXT_EXTIRQ3                      10:10           /* -WXVF */
#define NV_PVIC_FALCON_IRQMSET_EXT_EXTIRQ3_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMSET_EXT_EXTIRQ4                      11:11           /* -WXVF */
#define NV_PVIC_FALCON_IRQMSET_EXT_EXTIRQ4_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMSET_EXT_EXTIRQ5                      12:12           /* -WXVF */
#define NV_PVIC_FALCON_IRQMSET_EXT_EXTIRQ5_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMSET_EXT_EXTIRQ6                      13:13           /* -WXVF */
#define NV_PVIC_FALCON_IRQMSET_EXT_EXTIRQ6_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMSET_EXT_EXTIRQ7                      14:14           /* -WXVF */
#define NV_PVIC_FALCON_IRQMSET_EXT_EXTIRQ7_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMSET_EXT_EXTIRQ8                      15:15           /* -WXVF */
#define NV_PVIC_FALCON_IRQMSET_EXT_EXTIRQ8_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMSET_DMA                              16:16           /* -WXVF */
#define NV_PVIC_FALCON_IRQMSET_DMA_SET                          0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMCLR                                  0x00001014      /* -W-4R */
#define NV_PVIC_FALCON_IRQMCLR_GPTMR                            0:0             /* -WXVF */
#define NV_PVIC_FALCON_IRQMCLR_GPTMR_SET                        0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMCLR_WDTMR                            1:1             /* -WXVF */
#define NV_PVIC_FALCON_IRQMCLR_WDTMR_SET                        0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMCLR_MTHD                             2:2             /* -WXVF */
#define NV_PVIC_FALCON_IRQMCLR_MTHD_SET                         0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMCLR_CTXSW                            3:3             /* -WXVF */
#define NV_PVIC_FALCON_IRQMCLR_CTXSW_SET                        0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMCLR_HALT                             4:4             /* -WXVF */
#define NV_PVIC_FALCON_IRQMCLR_HALT_SET                         0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMCLR_EXTERR                           5:5             /* -WXVF */
#define NV_PVIC_FALCON_IRQMCLR_EXTERR_SET                       0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMCLR_SWGEN0                           6:6             /* -WXVF */
#define NV_PVIC_FALCON_IRQMCLR_SWGEN0_SET                       0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMCLR_SWGEN1                           7:7             /* -WXVF */
#define NV_PVIC_FALCON_IRQMCLR_SWGEN1_SET                       0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMCLR_EXT                              15:8            /* -WXVF */
#define NV_PVIC_FALCON_IRQMCLR_EXT_EXTIRQ1                      8:8             /* -WXVF */
#define NV_PVIC_FALCON_IRQMCLR_EXT_EXTIRQ1_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMCLR_EXT_EXTIRQ2                      9:9             /* -WXVF */
#define NV_PVIC_FALCON_IRQMCLR_EXT_EXTIRQ2_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMCLR_EXT_EXTIRQ3                      10:10           /* -WXVF */
#define NV_PVIC_FALCON_IRQMCLR_EXT_EXTIRQ3_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMCLR_EXT_EXTIRQ4                      11:11           /* -WXVF */
#define NV_PVIC_FALCON_IRQMCLR_EXT_EXTIRQ4_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMCLR_EXT_EXTIRQ5                      12:12           /* -WXVF */
#define NV_PVIC_FALCON_IRQMCLR_EXT_EXTIRQ5_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMCLR_EXT_EXTIRQ6                      13:13           /* -WXVF */
#define NV_PVIC_FALCON_IRQMCLR_EXT_EXTIRQ6_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMCLR_EXT_EXTIRQ7                      14:14           /* -WXVF */
#define NV_PVIC_FALCON_IRQMCLR_EXT_EXTIRQ7_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMCLR_EXT_EXTIRQ8                      15:15           /* -WXVF */
#define NV_PVIC_FALCON_IRQMCLR_EXT_EXTIRQ8_SET                  0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMCLR_DMA                              16:16           /* -WXVF */
#define NV_PVIC_FALCON_IRQMCLR_DMA_SET                          0x00000001      /* -W--V */
#define NV_PVIC_FALCON_IRQMASK                                  0x00001018      /* R--4R */
#define NV_PVIC_FALCON_IRQMASK_GPTMR                            0:0             /* R-XVF */
#define NV_PVIC_FALCON_IRQMASK_GPTMR_DISABLE                    0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_GPTMR_ENABLE                     0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_WDTMR                            1:1             /* R-XVF */
#define NV_PVIC_FALCON_IRQMASK_WDTMR_DISABLE                    0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_WDTMR_ENABLE                     0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_MTHD                             2:2             /* R-XVF */
#define NV_PVIC_FALCON_IRQMASK_MTHD_DISABLE                     0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_MTHD_ENABLE                      0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_CTXSW                            3:3             /* R-XVF */
#define NV_PVIC_FALCON_IRQMASK_CTXSW_DISABLE                    0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_CTXSW_ENABLE                     0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_HALT                             4:4             /* R-XVF */
#define NV_PVIC_FALCON_IRQMASK_HALT_DISABLE                     0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_HALT_ENABLE                      0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_EXTERR                           5:5             /* R-XVF */
#define NV_PVIC_FALCON_IRQMASK_EXTERR_DISABLE                   0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_EXTERR_ENABLE                    0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_SWGEN0                           6:6             /* R-XVF */
#define NV_PVIC_FALCON_IRQMASK_SWGEN0_DISABLE                   0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_SWGEN0_ENABLE                    0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_SWGEN1                           7:7             /* R-XVF */
#define NV_PVIC_FALCON_IRQMASK_SWGEN1_DISABLE                   0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_SWGEN1_ENABLE                    0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_EXT                              15:8            /* R-XVF */
#define NV_PVIC_FALCON_IRQMASK_EXT_EXTIRQ1                      8:8             /* R-XVF */
#define NV_PVIC_FALCON_IRQMASK_EXT_EXTIRQ1_ENABLE               0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_EXT_EXTIRQ1_DISABLE              0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_EXT_EXTIRQ2                      9:9             /* R-XVF */
#define NV_PVIC_FALCON_IRQMASK_EXT_EXTIRQ2_ENABLE               0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_EXT_EXTIRQ2_DISABLE              0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_EXT_EXTIRQ3                      10:10           /* R-XVF */
#define NV_PVIC_FALCON_IRQMASK_EXT_EXTIRQ3_ENABLE               0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_EXT_EXTIRQ3_DISABLE              0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_EXT_EXTIRQ4                      11:11           /* R-XVF */
#define NV_PVIC_FALCON_IRQMASK_EXT_EXTIRQ4_ENABLE               0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_EXT_EXTIRQ4_DISABLE              0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_EXT_EXTIRQ5                      12:12           /* R-XVF */
#define NV_PVIC_FALCON_IRQMASK_EXT_EXTIRQ5_ENABLE               0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_EXT_EXTIRQ5_DISABLE              0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_EXT_EXTIRQ6                      13:13           /* R-XVF */
#define NV_PVIC_FALCON_IRQMASK_EXT_EXTIRQ6_ENABLE               0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_EXT_EXTIRQ6_DISABLE              0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_EXT_EXTIRQ7                      14:14           /* R-XVF */
#define NV_PVIC_FALCON_IRQMASK_EXT_EXTIRQ7_ENABLE               0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_EXT_EXTIRQ7_DISABLE              0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_EXT_EXTIRQ8                      15:15           /* R-XVF */
#define NV_PVIC_FALCON_IRQMASK_EXT_EXTIRQ8_ENABLE               0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_EXT_EXTIRQ8_DISABLE              0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_DMA                              16:16           /* R-XVF */
#define NV_PVIC_FALCON_IRQMASK_DMA_ENABLE                       0x00000001      /* R---V */
#define NV_PVIC_FALCON_IRQMASK_DMA_DISABLE                      0x00000000      /* R---V */
#define NV_PVIC_FALCON_IRQDEST                                  0x0000101c      /* RW-4R */
#define NV_PVIC_FALCON_IRQDEST_HOST_GPTMR                       0:0             /* RWIVF */
#define NV_PVIC_FALCON_IRQDEST_HOST_GPTMR_INIT                  0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IRQDEST_HOST_GPTMR_FALCON                0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_GPTMR_HOST                  0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_WDTMR                       1:1             /* RWIVF */
#define NV_PVIC_FALCON_IRQDEST_HOST_WDTMR_INIT                  0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IRQDEST_HOST_WDTMR_FALCON                0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_WDTMR_HOST                  0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_MTHD                        2:2             /* RWIVF */
#define NV_PVIC_FALCON_IRQDEST_HOST_MTHD_INIT                   0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IRQDEST_HOST_MTHD_FALCON                 0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_MTHD_HOST                   0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_CTXSW                       3:3             /* RWIVF */
#define NV_PVIC_FALCON_IRQDEST_HOST_CTXSW_INIT                  0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IRQDEST_HOST_CTXSW_FALCON                0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_CTXSW_HOST                  0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_HALT                        4:4             /* RWIVF */
#define NV_PVIC_FALCON_IRQDEST_HOST_HALT_INIT                   0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IRQDEST_HOST_HALT_FALCON                 0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_HALT_HOST                   0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_EXTERR                      5:5             /* RWIVF */
#define NV_PVIC_FALCON_IRQDEST_HOST_EXTERR_INIT                 0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IRQDEST_HOST_EXTERR_FALCON               0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_EXTERR_HOST                 0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_SWGEN0                      6:6             /* RWIVF */
#define NV_PVIC_FALCON_IRQDEST_HOST_SWGEN0_INIT                 0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IRQDEST_HOST_SWGEN0_FALCON               0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_SWGEN0_HOST                 0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_SWGEN1                      7:7             /* RWIVF */
#define NV_PVIC_FALCON_IRQDEST_HOST_SWGEN1_INIT                 0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IRQDEST_HOST_SWGEN1_FALCON               0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_SWGEN1_HOST                 0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_EXT                         15:8            /* RWXVF */
#define NV_PVIC_FALCON_IRQDEST_HOST_EXT_EXTIRQ1                 8:8             /* RWXVF */
#define NV_PVIC_FALCON_IRQDEST_HOST_EXT_EXTIRQ1_HOST            0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_EXT_EXTIRQ1_FALCON          0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_EXT_EXTIRQ2                 9:9             /* RWXVF */
#define NV_PVIC_FALCON_IRQDEST_HOST_EXT_EXTIRQ2_HOST            0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_EXT_EXTIRQ2_FALCON          0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_EXT_EXTIRQ3                 10:10           /* RWXVF */
#define NV_PVIC_FALCON_IRQDEST_HOST_EXT_EXTIRQ3_HOST            0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_EXT_EXTIRQ3_FALCON          0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_EXT_EXTIRQ4                 11:11           /* RWXVF */
#define NV_PVIC_FALCON_IRQDEST_HOST_EXT_EXTIRQ4_HOST            0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_EXT_EXTIRQ4_FALCON          0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_EXT_EXTIRQ5                 12:12           /* RWXVF */
#define NV_PVIC_FALCON_IRQDEST_HOST_EXT_EXTIRQ5_HOST            0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_EXT_EXTIRQ5_FALCON          0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_EXT_EXTIRQ6                 13:13           /* RWXVF */
#define NV_PVIC_FALCON_IRQDEST_HOST_EXT_EXTIRQ6_HOST            0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_EXT_EXTIRQ6_FALCON          0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_EXT_EXTIRQ7                 14:14           /* RWXVF */
#define NV_PVIC_FALCON_IRQDEST_HOST_EXT_EXTIRQ7_HOST            0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_EXT_EXTIRQ7_FALCON          0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_EXT_EXTIRQ8                 15:15           /* RWXVF */
#define NV_PVIC_FALCON_IRQDEST_HOST_EXT_EXTIRQ8_HOST            0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_HOST_EXT_EXTIRQ8_FALCON          0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_GPTMR                     16:16           /* RWIVF */
#define NV_PVIC_FALCON_IRQDEST_TARGET_GPTMR_INIT                0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_GPTMR_FALCON_IRQ0         0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_GPTMR_FALCON_IRQ1         0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_GPTMR_HOST_NORMAL         0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_GPTMR_HOST_NONSTALL       0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_WDTMR                     17:17           /* RWIVF */
#define NV_PVIC_FALCON_IRQDEST_TARGET_WDTMR_INIT                0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_WDTMR_FALCON_IRQ0         0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_WDTMR_FALCON_IRQ1         0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_WDTMR_HOST_NORMAL         0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_WDTMR_HOST_NONSTALL       0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_MTHD                      18:18           /* RWIVF */
#define NV_PVIC_FALCON_IRQDEST_TARGET_MTHD_INIT                 0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_MTHD_FALCON_IRQ0          0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_MTHD_FALCON_IRQ1          0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_MTHD_HOST_NORMAL          0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_MTHD_HOST_NONSTALL        0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_CTXSW                     19:19           /* RWIVF */
#define NV_PVIC_FALCON_IRQDEST_TARGET_CTXSW_INIT                0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_CTXSW_FALCON_IRQ0         0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_CTXSW_FALCON_IRQ1         0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_CTXSW_HOST_NORMAL         0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_CTXSW_HOST_NONSTALL       0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_HALT                      20:20           /* RWIVF */
#define NV_PVIC_FALCON_IRQDEST_TARGET_HALT_INIT                 0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_HALT_FALCON_IRQ0          0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_HALT_FALCON_IRQ1          0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_HALT_HOST_NORMAL          0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_HALT_HOST_NONSTALL        0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_EXTERR                    21:21           /* RWIVF */
#define NV_PVIC_FALCON_IRQDEST_TARGET_EXTERR_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_EXTERR_FALCON_IRQ0        0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_EXTERR_FALCON_IRQ1        0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_EXTERR_HOST_NORMAL        0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_EXTERR_HOST_NONSTALL      0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_SWGEN0                    22:22           /* RWIVF */
#define NV_PVIC_FALCON_IRQDEST_TARGET_SWGEN0_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_SWGEN0_FALCON_IRQ0        0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_SWGEN0_FALCON_IRQ1        0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_SWGEN0_HOST_NORMAL        0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_SWGEN0_HOST_NONSTALL      0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_SWGEN1                    23:23           /* RWIVF */
#define NV_PVIC_FALCON_IRQDEST_TARGET_SWGEN1_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_SWGEN1_FALCON_IRQ0        0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_SWGEN1_FALCON_IRQ1        0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_SWGEN1_HOST_NORMAL        0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_SWGEN1_HOST_NONSTALL      0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST_TARGET_EXT                       31:24           /* RWXVF */
#define NV_PVIC_FALCON_IRQDEST2                                 0x0000103c      /* RW-4R */
#define NV_PVIC_FALCON_IRQDEST2_HOST_DMA                        0:0             /* RWIVF */
#define NV_PVIC_FALCON_IRQDEST2_HOST_DMA_INIT                   0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IRQDEST2_HOST_DMA_FALCON                 0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST2_HOST_DMA_HOST                   0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST2_TARGET_DMA                      16:16           /* RWIVF */
#define NV_PVIC_FALCON_IRQDEST2_TARGET_DMA_INIT                 0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IRQDEST2_TARGET_DMA_FALCON_IRQ0          0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST2_TARGET_DMA_FALCON_IRQ1          0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST2_TARGET_DMA_HOST_NORMAL          0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IRQDEST2_TARGET_DMA_HOST_NONSTALL        0x00000001      /* RW--V */
#define NV_PVIC_FALCON_GPTMRINT                                 0x00001020      /* RW-4R */
#define NV_PVIC_FALCON_GPTMRINT_VAL                             31:0            /* RWIVF */
#define NV_PVIC_FALCON_GPTMRINT_VAL_INIT                        0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_GPTMRVAL                                 0x00001024      /* RW-4R */
#define NV_PVIC_FALCON_GPTMRVAL_VAL                             31:0            /* RWIVF */
#define NV_PVIC_FALCON_GPTMRVAL_VAL_INIT                        0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_GPTMRCTL                                 0x00001028      /* RW-4R */
#define NV_PVIC_FALCON_GPTMRCTL_GPTMREN                         0:0             /* RWIVF */
#define NV_PVIC_FALCON_GPTMRCTL_GPTMREN_INIT                    0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_GPTMRCTL_GPTMREN_DISABLE                 0x00000000      /* RW--V */
#define NV_PVIC_FALCON_GPTMRCTL_GPTMREN_ENABLE                  0x00000001      /* RW--V */
#define NV_PVIC_FALCON_PTIMER0                                  0x0000102c      /* R--4R */
#define NV_PVIC_FALCON_PTIMER0_VAL                              31:0            /* R--VF */
#define NV_PVIC_FALCON_PTIMER1                                  0x00001030      /* R--4R */
#define NV_PVIC_FALCON_PTIMER1_VAL                              31:0            /* R--VF */
#define NV_PVIC_FALCON_WDTMRVAL                                 0x00001034      /* RW-4R */
#define NV_PVIC_FALCON_WDTMRVAL_VAL                             31:0            /* RW-VF */
#define NV_PVIC_FALCON_WDTMRVAL_VAL_INIT                        0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_WDTMRCTL                                 0x00001038      /* RW-4R */
#define NV_PVIC_FALCON_WDTMRCTL_WDTMREN                         0:0             /* RWIVF */
#define NV_PVIC_FALCON_WDTMRCTL_WDTMREN_INIT                    0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_WDTMRCTL_WDTMREN_DISABLE                 0x00000000      /* RW--V */
#define NV_PVIC_FALCON_WDTMRCTL_WDTMREN_ENABLE                  0x00000001      /* RW--V */
#define NV_PVIC_FALCON_MTHDDATA                                 0x00001064      /* R--4R */
#define NV_PVIC_FALCON_MTHDDATA_DATA                            31:0            /* R-XVF */
#define NV_PVIC_FALCON_MTHDID                                   0x00001068      /* RW-4R */
#define NV_PVIC_FALCON_MTHDID_ID                                11:0            /* RWXVF */
#define NV_PVIC_FALCON_MTHDID_SUBCH                             14:12           /* RWXVF */
#define NV_PVIC_FALCON_MTHDID_PRIV                              15:15           /* RWXVF */
#define NV_PVIC_FALCON_MTHDID_PRIV_DISABLE                      0x00000000      /* RW--V */
#define NV_PVIC_FALCON_MTHDID_PRIV_ENABLE                       0x00000001      /* RW--V */
#define NV_PVIC_FALCON_MTHDID_WPEND                             16:16           /* R-XVF */
#define NV_PVIC_FALCON_MTHDID_WPEND_DONE                        0x00000000      /* R---V */
#define NV_PVIC_FALCON_MTHDID_WPEND_PENDING                     0x00000001      /* R---V */
#define NV_PVIC_FALCON_MTHDWDAT                                 0x0000106c      /* RW-4R */
#define NV_PVIC_FALCON_MTHDWDAT_DATA                            31:0            /* RWXVF */
#define NV_PVIC_FALCON_MTHDCOUNT                                0x00001070      /* R--4R */
#define NV_PVIC_FALCON_MTHDCOUNT_COUNT                          15:0            /* R-IVF */
#define NV_PVIC_FALCON_MTHDCOUNT_COUNT_INIT                     0x00000000      /* R-I-V */
#define NV_PVIC_FALCON_MTHDPOP                                  0x00001074      /* -W-4R */
#define NV_PVIC_FALCON_MTHDPOP_POP                              0:0             /* -WXVF */
#define NV_PVIC_FALCON_MTHDPOP_POP_TRUE                         0x00000001      /* -W--V */
#define NV_PVIC_FALCON_MTHDPOP_POP_FALSE                        0x00000000      /* -W--V */
#define NV_PVIC_FALCON_MTHDRAMSZ                                0x00001078      /* RW-4R */
#define NV_PVIC_FALCON_MTHDRAMSZ_RAMSZ                          15:0            /* RWIVF */
#define NV_PVIC_FALCON_MTHDRAMSZ_RAMSZ_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_CURCTX                                   0x00001050      /* RW-4R */
#define NV_PVIC_FALCON_CURCTX_CTXVLD                            30:30           /* RWIVF */
#define NV_PVIC_FALCON_CURCTX_CTXVLD_INIT                       0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_CURCTX_CTXVLD_FALSE                      0x00000000      /* RW--V */
#define NV_PVIC_FALCON_CURCTX_CTXVLD_TRUE                       0x00000001      /* RW--V */
#define NV_PVIC_FALCON_CURCTX_CTXTGT                            29:28           /* RWIVF */
#define NV_PVIC_FALCON_CURCTX_CTXTGT_INIT                       0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_CURCTX_CTXTGT_LOCAL_FB                   0x00000000      /* RW--V */
#define NV_PVIC_FALCON_CURCTX_CTXTGT_COHERENT_SYSMEM            0x00000002      /* RW--V */
#define NV_PVIC_FALCON_CURCTX_CTXTGT_NONCOHERENT_SYSMEM         0x00000003      /* RW--V */
#define NV_PVIC_FALCON_CURCTX_CTXPTR                            27:0            /* RWIVF */
#define NV_PVIC_FALCON_CURCTX_CTXPTR_INIT                       0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_NXTCTX                                   0x00001054      /* RW-4R */
#define NV_PVIC_FALCON_NXTCTX_CTXVLD                            30:30           /* RWIVF */
#define NV_PVIC_FALCON_NXTCTX_CTXVLD_INIT                       0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_NXTCTX_CTXVLD_FALSE                      0x00000000      /* RW--V */
#define NV_PVIC_FALCON_NXTCTX_CTXVLD_TRUE                       0x00000001      /* RW--V */
#define NV_PVIC_FALCON_NXTCTX_CTXTGT                            29:28           /* RWIVF */
#define NV_PVIC_FALCON_NXTCTX_CTXTGT_INIT                       0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_NXTCTX_CTXTGT_LOCAL_FB                   0x00000000      /* RW--V */
#define NV_PVIC_FALCON_NXTCTX_CTXTGT_COHERENT_SYSMEM            0x00000002      /* RW--V */
#define NV_PVIC_FALCON_NXTCTX_CTXTGT_NONCOHERENT_SYSMEM         0x00000003      /* RW--V */
#define NV_PVIC_FALCON_NXTCTX_CTXPTR                            27:0            /* RWIVF */
#define NV_PVIC_FALCON_NXTCTX_CTXPTR_INIT                       0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_CTXACK                                   0x00001058      /* -W-4R */
#define NV_PVIC_FALCON_CTXACK_SAVE_ACK                          0:0             /* -WXVF */
#define NV_PVIC_FALCON_CTXACK_SAVE_ACK_SET                      0x00000001      /* -W--V */
#define NV_PVIC_FALCON_CTXACK_SAVE_ACK_CLEAR                    0x00000000      /* -W--V */
#define NV_PVIC_FALCON_CTXACK_REST_ACK                          1:1             /* -WXVF */
#define NV_PVIC_FALCON_CTXACK_REST_ACK_SET                      0x00000001      /* -W--V */
#define NV_PVIC_FALCON_CTXACK_REST_ACK_CLEAR                    0x00000000      /* -W--V */
#define NV_PVIC_FALCON_MAILBOX0                                 0x00001040      /* RW-4R */
#define NV_PVIC_FALCON_MAILBOX0_DATA                            31:0            /* RWIVF */
#define NV_PVIC_FALCON_MAILBOX0_DATA_INIT                       0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_MAILBOX1                                 0x00001044      /* RW-4R */
#define NV_PVIC_FALCON_MAILBOX1_DATA                            31:0            /* RWIVF */
#define NV_PVIC_FALCON_MAILBOX1_DATA_INIT                       0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_ITFEN                                    0x00001048      /* RW-4R */
#define NV_PVIC_FALCON_ITFEN_CTXEN                              0:0             /* RWIVF */
#define NV_PVIC_FALCON_ITFEN_CTXEN_INIT                         0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_ITFEN_CTXEN_DISABLE                      0x00000000      /* RW--V */
#define NV_PVIC_FALCON_ITFEN_CTXEN_ENABLE                       0x00000001      /* RW--V */
#define NV_PVIC_FALCON_ITFEN_MTHDEN                             1:1             /* RWIVF */
#define NV_PVIC_FALCON_ITFEN_MTHDEN_INIT                        0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_ITFEN_MTHDEN_DISABLE                     0x00000000      /* RW--V */
#define NV_PVIC_FALCON_ITFEN_MTHDEN_ENABLE                      0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IDLESTATE                                0x0000104c      /* R--4R */
#define NV_PVIC_FALCON_IDLESTATE_FALCON_BUSY                    0:0             /* R--VF */
#define NV_PVIC_FALCON_IDLESTATE_FALCON_BUSY_FALSE              0x00000000      /* R---V */
#define NV_PVIC_FALCON_IDLESTATE_FALCON_BUSY_TRUE               0x00000001      /* R---V */
#define NV_PVIC_FALCON_IDLESTATE_EXT_BUSY                       15:1            /* R--VF */
#define NV_PVIC_FALCON_FHSTATE                                  0x0000105c      /* R--4R */
#define NV_PVIC_FALCON_FHSTATE_FALCON_HALTED                    0:0             /* R--VF */
#define NV_PVIC_FALCON_FHSTATE_FALCON_HALTED_FALSE              0x00000000      /* R---V */
#define NV_PVIC_FALCON_FHSTATE_FALCON_HALTED_TRUE               0x00000001      /* R---V */
#define NV_PVIC_FALCON_FHSTATE_EXT_HALTED                       15:1            /* R--VF */
#define NV_PVIC_FALCON_FHSTATE_ENGINE_FAULTED                   16:16           /* R--VF */
#define NV_PVIC_FALCON_FHSTATE_ENGINE_FAULTED_FALSE             0x00000000      /* R---V */
#define NV_PVIC_FALCON_FHSTATE_ENGINE_FAULTED_TRUE              0x00000001      /* R---V */
#define NV_PVIC_FALCON_FHSTATE_STALL_REQ                        17:17           /* R--VF */
#define NV_PVIC_FALCON_FHSTATE_STALL_REQ_FALSE                  0x00000000      /* R---V */
#define NV_PVIC_FALCON_FHSTATE_STALL_REQ_TRUE                   0x00000001      /* R---V */
#define NV_PVIC_FALCON_PRIVSTATE                                0x00001060      /* RW-4R */
#define NV_PVIC_FALCON_PRIVSTATE_PRIV                           0:0             /* RWIVF */
#define NV_PVIC_FALCON_PRIVSTATE_PRIV_INIT                      0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_PRIVSTATE_PRIV_DISABLE                   0x00000000      /* RW--V */
#define NV_PVIC_FALCON_PRIVSTATE_PRIV_ENABLE                    0x00000001      /* RW--V */
#define NV_PVIC_FALCON_SFTRESET                                 0x0000107c      /* RW-4R */
#define NV_PVIC_FALCON_SFTRESET_EXT                             0:0             /* RW-VF */
#define NV_PVIC_FALCON_SFTRESET_EXT_TRUE                        0x00000001      /* RW--V */
#define NV_PVIC_FALCON_SFTRESET_EXT_FALSE                       0x00000000      /* RW--V */
#define NV_PVIC_FALCON_OS                                       0x00001080      /* RW-4R */
#define NV_PVIC_FALCON_OS_VERSION                               31:0            /* RWIVF */
#define NV_PVIC_FALCON_OS_VERSION_INIT                          0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_RM                                       0x00001084      /* RW-4R */
#define NV_PVIC_FALCON_RM_CONFIG                                31:0            /* RWIVF */
#define NV_PVIC_FALCON_RM_CONFIG_INIT                           0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_SOFT_PM                                  0x00001088      /* RW-4R */
#define NV_PVIC_FALCON_SOFT_PM_TRIGGER_START                    17:17           /* RWIVF */
#define NV_PVIC_FALCON_SOFT_PM_TRIGGER_START_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_SOFT_PM_TRIGGER_END                      16:16           /* RWIVF */
#define NV_PVIC_FALCON_SOFT_PM_TRIGGER_END_INIT                 0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_SOFT_PM_PROBE                            5:0             /* RWIVF */
#define NV_PVIC_FALCON_SOFT_PM_PROBE_INIT                       0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_SOFT_MODE                                0x0000108c      /* RW-4R */
#define NV_PVIC_FALCON_SOFT_MODE_PROBE                          5:0             /* RWIVF */
#define NV_PVIC_FALCON_SOFT_MODE_PROBE_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_DEBUG1                                   0x00001090      /* RW-4R */
#define NV_PVIC_FALCON_DEBUG1_MTHD_DRAIN_TIME                   15:0            /* RWIVF */
#define NV_PVIC_FALCON_DEBUG1_MTHD_DRAIN_TIME_INIT              0x00000040      /* RWI-V */
#define NV_PVIC_FALCON_DEBUG1_CTXSW_MODE                        16:16           /* RWIVF */
#define NV_PVIC_FALCON_DEBUG1_CTXSW_MODE_INIT                   0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_DEBUG1_TRACE_FORMAT                      17:17           /* RWIVF */
#define NV_PVIC_FALCON_DEBUG1_TRACE_FORMAT_INIT                 0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_DEBUG1_TRACE_FORMAT_UNCOMPRESSED         0x00000000      /* RW--V */
#define NV_PVIC_FALCON_DEBUG1_TRACE_FORMAT_COMPRESSED           0x00000001      /* RW--V */
#define NV_PVIC_FALCON_DEBUGINFO                                0x00001094      /* RW-4R */
#define NV_PVIC_FALCON_DEBUGINFO_DATA                           31:0            /* RWXVF */
#define NV_PVIC_FALCON_IBRKPT1                                  0x00001098      /* RW-4R */
#define NV_PVIC_FALCON_IBRKPT1_PC                               23:0            /* RWIVF */
#define NV_PVIC_FALCON_IBRKPT1_PC_INIT                          0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IBRKPT1_SUPPRESS                         29:29           /* RWIVF */
#define NV_PVIC_FALCON_IBRKPT1_SUPPRESS_INIT                    0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IBRKPT1_SUPPRESS_DISABLE                 0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IBRKPT1_SUPPRESS_ENABLE                  0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IBRKPT1_SKIP                             30:30           /* RWIVF */
#define NV_PVIC_FALCON_IBRKPT1_SKIP_INIT                        0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IBRKPT1_SKIP_DISABLE                     0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IBRKPT1_SKIP_ENABLE                      0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IBRKPT1_EN                               31:31           /* RWIVF */
#define NV_PVIC_FALCON_IBRKPT1_EN_INIT                          0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IBRKPT1_EN_DISABLE                       0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IBRKPT1_EN_ENABLE                        0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IBRKPT2                                  0x0000109c      /* RW-4R */
#define NV_PVIC_FALCON_IBRKPT2_PC                               23:0            /* RWIVF */
#define NV_PVIC_FALCON_IBRKPT2_PC_INIT                          0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IBRKPT2_SUPPRESS                         29:29           /* RWIVF */
#define NV_PVIC_FALCON_IBRKPT2_SUPPRESS_INIT                    0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IBRKPT2_SUPPRESS_DISABLE                 0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IBRKPT2_SUPPRESS_ENABLE                  0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IBRKPT2_SKIP                             30:30           /* RWIVF */
#define NV_PVIC_FALCON_IBRKPT2_SKIP_INIT                        0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IBRKPT2_SKIP_DISABLE                     0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IBRKPT2_SKIP_ENABLE                      0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IBRKPT2_EN                               31:31           /* RWIVF */
#define NV_PVIC_FALCON_IBRKPT2_EN_INIT                          0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IBRKPT2_EN_DISABLE                       0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IBRKPT2_EN_ENABLE                        0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IBRKPT3                                  0x000010b0      /* RW-4R */
#define NV_PVIC_FALCON_IBRKPT3_PC                               23:0            /* RWIVF */
#define NV_PVIC_FALCON_IBRKPT3_PC_INIT                          0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IBRKPT3_SUPPRESS                         29:29           /* RWIVF */
#define NV_PVIC_FALCON_IBRKPT3_SUPPRESS_INIT                    0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IBRKPT3_SUPPRESS_DISABLE                 0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IBRKPT3_SUPPRESS_ENABLE                  0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IBRKPT3_SKIP                             30:30           /* RWIVF */
#define NV_PVIC_FALCON_IBRKPT3_SKIP_INIT                        0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IBRKPT3_SKIP_DISABLE                     0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IBRKPT3_SKIP_ENABLE                      0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IBRKPT3_EN                               31:31           /* RWIVF */
#define NV_PVIC_FALCON_IBRKPT3_EN_INIT                          0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IBRKPT3_EN_DISABLE                       0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IBRKPT3_EN_ENABLE                        0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IBRKPT4                                  0x000010b4      /* RW-4R */
#define NV_PVIC_FALCON_IBRKPT4_PC                               23:0            /* RWIVF */
#define NV_PVIC_FALCON_IBRKPT4_PC_INIT                          0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IBRKPT4_SUPPRESS                         29:29           /* RWIVF */
#define NV_PVIC_FALCON_IBRKPT4_SUPPRESS_INIT                    0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IBRKPT4_SUPPRESS_DISABLE                 0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IBRKPT4_SUPPRESS_ENABLE                  0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IBRKPT4_SKIP                             30:30           /* RWIVF */
#define NV_PVIC_FALCON_IBRKPT4_SKIP_INIT                        0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IBRKPT4_SKIP_DISABLE                     0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IBRKPT4_SKIP_ENABLE                      0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IBRKPT4_EN                               31:31           /* RWIVF */
#define NV_PVIC_FALCON_IBRKPT4_EN_INIT                          0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IBRKPT4_EN_DISABLE                       0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IBRKPT4_EN_ENABLE                        0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IBRKPT5                                  0x000010b8      /* RW-4R */
#define NV_PVIC_FALCON_IBRKPT5_PC                               23:0            /* RWIVF */
#define NV_PVIC_FALCON_IBRKPT5_PC_INIT                          0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IBRKPT5_SUPPRESS                         29:29           /* RWIVF */
#define NV_PVIC_FALCON_IBRKPT5_SUPPRESS_INIT                    0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IBRKPT5_SUPPRESS_DISABLE                 0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IBRKPT5_SUPPRESS_ENABLE                  0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IBRKPT5_SKIP                             30:30           /* RWIVF */
#define NV_PVIC_FALCON_IBRKPT5_SKIP_INIT                        0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IBRKPT5_SKIP_DISABLE                     0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IBRKPT5_SKIP_ENABLE                      0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IBRKPT5_EN                               31:31           /* RWIVF */
#define NV_PVIC_FALCON_IBRKPT5_EN_INIT                          0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IBRKPT5_EN_DISABLE                       0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IBRKPT5_EN_ENABLE                        0x00000001      /* RW--V */
#define NV_PVIC_FALCON_CGCTL                                    0x000010a0      /* RW-4R */
#define NV_PVIC_FALCON_CGCTL_CG_OVERRIDE                        0:0             /* RWIVF */
#define NV_PVIC_FALCON_CGCTL_CG_OVERRIDE_INIT                   0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_ENGCTL                                   0x000010a4      /* RW-4R */
#define NV_PVIC_FALCON_ENGCTL_INV_CONTEXT                       0:0             /* RWXVF */
#define NV_PVIC_FALCON_ENGCTL_INV_CONTEXT_TRUE                  0x00000001      /* RW--V */
#define NV_PVIC_FALCON_ENGCTL_INV_CONTEXT_FALSE                 0x00000000      /* RW--V */
#define NV_PVIC_FALCON_ENGCTL_SET_STALLREQ                      1:1             /* RWXVF */
#define NV_PVIC_FALCON_ENGCTL_SET_STALLREQ_TRUE                 0x00000001      /* RW--V */
#define NV_PVIC_FALCON_ENGCTL_SET_STALLREQ_FALSE                0x00000000      /* RW--V */
#define NV_PVIC_FALCON_ENGCTL_CLR_STALLREQ                      2:2             /* RWXVF */
#define NV_PVIC_FALCON_ENGCTL_CLR_STALLREQ_TRUE                 0x00000001      /* RW--V */
#define NV_PVIC_FALCON_ENGCTL_CLR_STALLREQ_FALSE                0x00000000      /* RW--V */
#define NV_PVIC_FALCON_ENGCTL_SWITCH_CONTEXT                    3:3             /* RWXVF */
#define NV_PVIC_FALCON_ENGCTL_SWITCH_CONTEXT_TRUE               0x00000001      /* RW--V */
#define NV_PVIC_FALCON_ENGCTL_SWITCH_CONTEXT_FALSE              0x00000000      /* RW--V */
#define NV_PVIC_FALCON_ENGCTL_STALLREQ                          8:8             /* R-XVF */
#define NV_PVIC_FALCON_ENGCTL_STALLREQ_TRUE                     0x00000001      /* R---V */
#define NV_PVIC_FALCON_ENGCTL_STALLREQ_FALSE                    0x00000000      /* R---V */
#define NV_PVIC_FALCON_ENGCTL_STALLACK                          9:9             /* R-XVF */
#define NV_PVIC_FALCON_ENGCTL_STALLACK_TRUE                     0x00000001      /* R---V */
#define NV_PVIC_FALCON_ENGCTL_STALLACK_FALSE                    0x00000000      /* R---V */
#define NV_PVIC_FALCON_PMM                                      0x000010a8      /* RW-4R */
#define NV_PVIC_FALCON_PMM_FALCON_STALL_SEL                     4:0             /* RWIVF */
#define NV_PVIC_FALCON_PMM_FALCON_STALL_SEL_ANY                 0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_PMM_FALCON_STALL_SEL_CODE                0x00000001      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_STALL_SEL_DMAQ                0x00000002      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_STALL_SEL_DMFENCE             0x00000003      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_STALL_SEL_DMWAIT              0x00000004      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_STALL_SEL_IMWAIT              0x00000005      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_STALL_SEL_IPND                0x00000006      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_STALL_SEL_LDSTQ               0x00000007      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_STALL_SEL_SB                  0x00000008      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_STALL_SEL_ANY_SC              0x00000009      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_STALL_SEL_CODE_SC             0x0000000a      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_STALL_SEL_DMAQ_SC             0x0000000b      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_STALL_SEL_DMFENCE_SC          0x0000000c      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_STALL_SEL_DMWAIT_SC           0x0000000d      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_STALL_SEL_IMWAIT_SC           0x0000000e      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_STALL_SEL_IPND_SC             0x0000000f      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_STALL_SEL_LDSTQ_SC            0x00000010      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_STALL_SEL_SB_SC               0x00000011      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_IDLE_SEL                      7:5             /* RWIVF */
#define NV_PVIC_FALCON_PMM_FALCON_IDLE_SEL_WAITING              0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_PMM_FALCON_IDLE_SEL_ENG_IDLE             0x00000001      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_IDLE_SEL_MTHD_FULL            0x00000002      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_IDLE_SEL_WAITING_SC           0x00000003      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_IDLE_SEL_ENG_IDLE_SC          0x00000004      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_IDLE_SEL_MTHD_FULL_SC         0x00000005      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_SOFTPM0_SEL                   11:8            /* RWIVF */
#define NV_PVIC_FALCON_PMM_FALCON_SOFTPM0_SEL_0                 0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_PMM_FALCON_SOFTPM0_SEL_1                 0x00000001      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_SOFTPM0_SEL_2                 0x00000002      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_SOFTPM0_SEL_3                 0x00000003      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_SOFTPM0_SEL_4                 0x00000004      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_SOFTPM0_SEL_5                 0x00000005      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_SOFTPM0_SEL_0_SC              0x00000006      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_SOFTPM0_SEL_1_SC              0x00000007      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_SOFTPM0_SEL_2_SC              0x00000008      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_SOFTPM0_SEL_3_SC              0x00000009      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_SOFTPM0_SEL_4_SC              0x0000000a      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_SOFTPM0_SEL_5_SC              0x0000000b      /* RW--V */
#define NV_PVIC_FALCON_PMM_FALCON_SOFTPM1_SEL                   15:12           /* RWIVF */
#define NV_PVIC_FALCON_PMM_FALCON_SOFTPM1_SEL_0                 0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_PMM_TFBIF_DSTAT_SEL                      19:17           /* RWIVF */
#define NV_PVIC_FALCON_PMM_TFBIF_DSTAT_SEL_1KTRANSFER           0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_PMM_TFBIF_DSTAT_SEL_RREQ                 0x00000001      /* RW--V */
#define NV_PVIC_FALCON_PMM_TFBIF_DSTAT_SEL_WREQ                 0x00000002      /* RW--V */
#define NV_PVIC_FALCON_PMM_TFBIF_DSTAT_SEL_TWREQ                0x00000003      /* RW--V */
#define NV_PVIC_FALCON_PMM_TFBIF_DSTAT_SEL_1KTRANSFER_SC        0x00000004      /* RW--V */
#define NV_PVIC_FALCON_PMM_TFBIF_DSTAT_SEL_RREQ_SC              0x00000005      /* RW--V */
#define NV_PVIC_FALCON_PMM_TFBIF_DSTAT_SEL_WREQ_SC              0x00000006      /* RW--V */
#define NV_PVIC_FALCON_PMM_TFBIF_DSTAT_SEL_TWREQ_SC             0x00000007      /* RW--V */
#define NV_PVIC_FALCON_PMM_TFBIF_STALL0_SEL                     23:20           /* RWIVF */
#define NV_PVIC_FALCON_PMM_TFBIF_STALL0_SEL_RDATQ_FULL          0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_PMM_TFBIF_STALL0_SEL_RACKQ_FULL          0x00000001      /* RW--V */
#define NV_PVIC_FALCON_PMM_TFBIF_STALL0_SEL_WREQQ_FULL          0x00000002      /* RW--V */
#define NV_PVIC_FALCON_PMM_TFBIF_STALL0_SEL_WDATQ_FULL          0x00000003      /* RW--V */
#define NV_PVIC_FALCON_PMM_TFBIF_STALL0_SEL_WACKQ_FULL          0x00000004      /* RW--V */
#define NV_PVIC_FALCON_PMM_TFBIF_STALL0_SEL_MREQQ_FULL          0x00000005      /* RW--V */
#define NV_PVIC_FALCON_PMM_TFBIF_STALL0_SEL_RREQ_PEND           0x00000006      /* RW--V */
#define NV_PVIC_FALCON_PMM_TFBIF_STALL0_SEL_WREQ_PEND           0x00000007      /* RW--V */
#define NV_PVIC_FALCON_PMM_TFBIF_STALL0_SEL_RDATQ_FULL_SC       0x00000008      /* RW--V */
#define NV_PVIC_FALCON_PMM_TFBIF_STALL0_SEL_RACKQ_FULL_SC       0x00000009      /* RW--V */
#define NV_PVIC_FALCON_PMM_TFBIF_STALL0_SEL_WREQQ_FULL_SC       0x0000000a      /* RW--V */
#define NV_PVIC_FALCON_PMM_TFBIF_STALL0_SEL_WDATQ_FULL_SC       0x0000000b      /* RW--V */
#define NV_PVIC_FALCON_PMM_TFBIF_STALL0_SEL_WACKQ_FULL_SC       0x0000000c      /* RW--V */
#define NV_PVIC_FALCON_PMM_TFBIF_STALL0_SEL_MREQQ_FULL_SC       0x0000000d      /* RW--V */
#define NV_PVIC_FALCON_PMM_TFBIF_STALL0_SEL_RREQ_PEND_SC        0x0000000e      /* RW--V */
#define NV_PVIC_FALCON_PMM_TFBIF_STALL0_SEL_WREQ_PEND_SC        0x0000000f      /* RW--V */
#define NV_PVIC_FALCON_PMM_TFBIF_STALL1_SEL                     27:24           /* RWIVF */
#define NV_PVIC_FALCON_PMM_TFBIF_STALL1_SEL_RDATQ_FULL          0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_PMM_TFBIF_STALL2_SEL                     31:28           /* RWIVF */
#define NV_PVIC_FALCON_PMM_TFBIF_STALL2_SEL_RDATQ_FULL          0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_ADDR                                     0x000010ac      /* RW-4R */
#define NV_PVIC_FALCON_ADDR_LSB                                 5:0             /* RWIVF */
#define NV_PVIC_FALCON_ADDR_LSB_INIT                            0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_ADDR_MSB                                 11:6            /* RWIVF */
#define NV_PVIC_FALCON_ADDR_MSB_INIT                            0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_ADDR_EXT                                 11:0            /* RW-VF */
#define NV_PVIC_FALCON_EXCI                                     0x000010d0      /* R--4R */
#define NV_PVIC_FALCON_EXCI_EXPC                                19:0            /* R-XVF */
#define NV_PVIC_FALCON_EXCI_EXCAUSE                             23:20           /* R-XVF */
#define NV_PVIC_FALCON_EXCI_EXCAUSE_TRAP0                       0x00000000      /* R---V */
#define NV_PVIC_FALCON_EXCI_EXCAUSE_TRAP1                       0x00000001      /* R---V */
#define NV_PVIC_FALCON_EXCI_EXCAUSE_TRAP2                       0x00000002      /* R---V */
#define NV_PVIC_FALCON_EXCI_EXCAUSE_TRAP3                       0x00000003      /* R---V */
#define NV_PVIC_FALCON_EXCI_EXCAUSE_ILL_INS                     0x00000008      /* R---V */
#define NV_PVIC_FALCON_EXCI_EXCAUSE_INV_INS                     0x00000009      /* R---V */
#define NV_PVIC_FALCON_EXCI_EXCAUSE_MISS_INS                    0x0000000a      /* R---V */
#define NV_PVIC_FALCON_EXCI_EXCAUSE_DHIT_INS                    0x0000000b      /* R---V */
#define NV_PVIC_FALCON_EXCI_EXCAUSE_BRKPT_INS                   0x0000000f      /* R---V */
#define NV_PVIC_FALCON_SVEC_SPR                                 0x000010d4      /* R--4R */
#define NV_PVIC_FALCON_SVEC_SPR_SIGPASS                         18:18           /* R-XVF */
#define NV_PVIC_FALCON_SVEC_SPR_SIGPASS_TRUE                    0x00000001      /* R---V */
#define NV_PVIC_FALCON_SVEC_SPR_SIGPASS_FALSE                   0x00000000      /* R---V */
#define NV_PVIC_FALCON_RSTAT0                                   0x000010d8      /* R--4R */
#define NV_PVIC_FALCON_RSTAT0_MEM_STALL                         0:0             /* R-XVF */
#define NV_PVIC_FALCON_RSTAT0_DMA_STALL                         1:1             /* R-XVF */
#define NV_PVIC_FALCON_RSTAT0_FENCE_STALL                       2:2             /* R-XVF */
#define NV_PVIC_FALCON_RSTAT0_DIV_STALL                         3:3             /* R-XVF */
#define NV_PVIC_FALCON_RSTAT0_SB_FULL_STALL                     8:8             /* R-XVF */
#define NV_PVIC_FALCON_RSTAT0_SB_HIT_STALL                      9:9             /* R-XVF */
#define NV_PVIC_FALCON_RSTAT0_FLOW_STALL                        10:10           /* R-XVF */
#define NV_PVIC_FALCON_RSTAT0_SP_STALL                          11:11           /* R-XVF */
#define NV_PVIC_FALCON_RSTAT0_BL_STALL                          12:12           /* R-XVF */
#define NV_PVIC_FALCON_RSTAT0_NO_INSTR_STALL                    16:16           /* R-XVF */
#define NV_PVIC_FALCON_RSTAT0_HALTSTOP_FLUSH                    20:20           /* R-XVF */
#define NV_PVIC_FALCON_RSTAT0_AFILL_FLUSH                       21:21           /* R-XVF */
#define NV_PVIC_FALCON_RSTAT0_EXC_FLUSH                         22:22           /* R-XVF */
#define NV_PVIC_FALCON_RSTAT0_IRQ_FLUSH                         25:23           /* R-XVF */
#define NV_PVIC_FALCON_RSTAT0_VALID                             28:28           /* R-XVF */
#define NV_PVIC_FALCON_RSTAT0_WAITING                           29:29           /* R-XVF */
#define NV_PVIC_FALCON_RSTAT0_HALTED                            30:30           /* R-XVF */
#define NV_PVIC_FALCON_RSTAT3                                   0x000010dc      /* R--4R */
#define NV_PVIC_FALCON_RSTAT3_MTHD_IDLE                         0:0             /* R-XVF */
#define NV_PVIC_FALCON_RSTAT3_CTXSW_IDLE                        1:1             /* R-XVF */
#define NV_PVIC_FALCON_RSTAT3_DMA_IDLE                          2:2             /* R-XVF */
#define NV_PVIC_FALCON_RSTAT3_SCP_IDLE                          3:3             /* R-XVF */
#define NV_PVIC_FALCON_RSTAT3_LDST_IDLE                         4:4             /* R-XVF */
#define NV_PVIC_FALCON_RSTAT3_SBWB_EMPTY                        5:5             /* R-XVF */
#define NV_PVIC_FALCON_RSTAT3_CSWIE                             8:6             /* R-XVF */
#define NV_PVIC_FALCON_RSTAT3_CSWE                              10:10           /* R-XVF */
#define NV_PVIC_FALCON_RSTAT3_CTXSW_STATE                       14:12           /* R-XVF */
#define NV_PVIC_FALCON_RSTAT3_CTXSW_PEND                        15:15           /* R-XVF */
#define NV_PVIC_FALCON_RSTAT3_DMA_FBREQ_IDLE                    17:17           /* R-XVF */
#define NV_PVIC_FALCON_RSTAT3_DMA_ACKQ_EMPTY                    18:18           /* R-XVF */
#define NV_PVIC_FALCON_RSTAT3_DMA_RDQ_EMPTY                     19:19           /* R-XVF */
#define NV_PVIC_FALCON_RSTAT3_DMA_WR_BUSY                       20:20           /* R-XVF */
#define NV_PVIC_FALCON_RSTAT3_DMA_RD_BUSY                       21:21           /* R-XVF */
#define NV_PVIC_FALCON_RSTAT3_LDST_XT_BUSY                      22:22           /* R-XVF */
#define NV_PVIC_FALCON_RSTAT3_LDST_XT_BLOCK                     23:23           /* R-XVF */
#define NV_PVIC_FALCON_CPUCTL                                   0x00001100      /* RW-4R */
#define NV_PVIC_FALCON_CPUCTL_IINVAL                            0:0             /* -WXVF */
#define NV_PVIC_FALCON_CPUCTL_IINVAL_TRUE                       0x00000001      /* -W--V */
#define NV_PVIC_FALCON_CPUCTL_IINVAL_FALSE                      0x00000000      /* -W--V */
#define NV_PVIC_FALCON_CPUCTL_STARTCPU                          1:1             /* -WXVF */
#define NV_PVIC_FALCON_CPUCTL_STARTCPU_TRUE                     0x00000001      /* -W--V */
#define NV_PVIC_FALCON_CPUCTL_STARTCPU_FALSE                    0x00000000      /* -W--V */
#define NV_PVIC_FALCON_CPUCTL_SRESET                            2:2             /* -WXVF */
#define NV_PVIC_FALCON_CPUCTL_SRESET_TRUE                       0x00000001      /* -W--V */
#define NV_PVIC_FALCON_CPUCTL_SRESET_FALSE                      0x00000000      /* -W--V */
#define NV_PVIC_FALCON_CPUCTL_HRESET                            3:3             /* -WXVF */
#define NV_PVIC_FALCON_CPUCTL_HRESET_TRUE                       0x00000001      /* -W--V */
#define NV_PVIC_FALCON_CPUCTL_HRESET_FALSE                      0x00000000      /* -W--V */
#define NV_PVIC_FALCON_CPUCTL_HALTED                            4:4             /* R-XVF */
#define NV_PVIC_FALCON_CPUCTL_HALTED_TRUE                       0x00000001      /* R---V */
#define NV_PVIC_FALCON_CPUCTL_HALTED_FALSE                      0x00000000      /* R---V */
#define NV_PVIC_FALCON_CPUCTL_STOPPED                           5:5             /* R-XVF */
#define NV_PVIC_FALCON_CPUCTL_STOPPED_TRUE                      0x00000001      /* R---V */
#define NV_PVIC_FALCON_CPUCTL_STOPPED_FALSE                     0x00000000      /* R---V */
#define NV_PVIC_FALCON_CPUCTL_ALIAS_EN                          6:6             /* RWIVF */
#define NV_PVIC_FALCON_CPUCTL_ALIAS_EN_TRUE                     0x00000001      /* RW--V */
#define NV_PVIC_FALCON_CPUCTL_ALIAS_EN_FALSE                    0x00000000      /* RW--V */
#define NV_PVIC_FALCON_CPUCTL_ALIAS_EN_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_CPUCTL_ALIAS                             0x00001130      /* RW-4R */
#define NV_PVIC_FALCON_CPUCTL_ALIAS_STARTCPU                    1:1             /* -WXVF */
#define NV_PVIC_FALCON_CPUCTL_ALIAS_STARTCPU_TRUE               0x00000001      /* -W--V */
#define NV_PVIC_FALCON_CPUCTL_ALIAS_STARTCPU_FALSE              0x00000000      /* -W--V */
#define NV_PVIC_FALCON_CG2                                      0x00001134      /* RWI4R */
#define NV_PVIC_FALCON_CG2_SLCG                                 17:1            /* RWIVF */
#define NV_PVIC_FALCON_CG2_SLCG_ENABLED                         0x00000000      /* RW--V */
#define NV_PVIC_FALCON_CG2_SLCG_DISABLED                        0x0001ffff      /* RWI-V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_DMA                      1:1             /* RWIVF */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_DMA_ENABLED              0x00000000      /* RW--V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_DMA_DISABLED             0x00000001      /* RWI-V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_GC6_SR_FSM               2:2             /* RWIVF */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_GC6_SR_FSM_ENABLED       0x00000000      /* RW--V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_GC6_SR_FSM_DISABLED      0x00000001      /* RWI-V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_PIPE                     3:3             /* RWIVF */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_PIPE_ENABLED             0x00000000      /* RW--V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_PIPE_DISABLED            0x00000001      /* RWI-V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_DIV                      4:4             /* RWIVF */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_DIV_ENABLED              0x00000000      /* RW--V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_DIV_DISABLED             0x00000001      /* RWI-V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_ICD                      5:5             /* RWIVF */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_ICD_ENABLED              0x00000000      /* RW--V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_ICD_DISABLED             0x00000001      /* RWI-V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_CFG                      6:6             /* RWIVF */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_CFG_ENABLED              0x00000000      /* RW--V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_CFG_DISABLED             0x00000001      /* RWI-V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_CTXSW                    7:7             /* RWIVF */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_CTXSW_ENABLED            0x00000000      /* RW--V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_CTXSW_DISABLED           0x00000001      /* RWI-V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_PMB                      8:8             /* RWIVF */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_PMB_ENABLED              0x00000000      /* RW--V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_PMB_DISABLED             0x00000001      /* RWI-V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_RF                       9:9             /* RWIVF */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_RF_ENABLED               0x00000000      /* RW--V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_RF_DISABLED              0x00000001      /* RWI-V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_MUL                      10:10           /* RWIVF */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_MUL_ENABLED              0x00000000      /* RW--V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_MUL_DISABLED             0x00000001      /* RWI-V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_LDST                     11:11           /* RWIVF */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_LDST_ENABLED             0x00000000      /* RW--V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_LDST_DISABLED            0x00000001      /* RWI-V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_TSYNC                    12:12           /* RWIVF */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_TSYNC_ENABLED            0x00000000      /* RW--V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_TSYNC_DISABLED           0x00000001      /* RWI-V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_GPTMR                    13:13           /* RWIVF */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_GPTMR_ENABLED            0x00000000      /* RW--V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_GPTMR_DISABLED           0x00000001      /* RWI-V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_WDTMR                    14:14           /* RWIVF */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_WDTMR_ENABLED            0x00000000      /* RW--V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_WDTMR_DISABLED           0x00000001      /* RWI-V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_IRQSTAT                  15:15           /* RWIVF */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_IRQSTAT_ENABLED          0x00000000      /* RW--V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_IRQSTAT_DISABLED         0x00000001      /* RWI-V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_TOP                      16:16           /* RWIVF */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_TOP_ENABLED              0x00000000      /* RW--V */
#define NV_PVIC_FALCON_CG2_SLCG_FALCON_TOP_DISABLED             0x00000001      /* RWI-V */
#define NV_PVIC_FALCON_CG2_SLCG_FBIF                            17:17           /* RWIVF */
#define NV_PVIC_FALCON_CG2_SLCG_FBIF_ENABLED                    0x00000000      /* RW--V */
#define NV_PVIC_FALCON_CG2_SLCG_FBIF_DISABLED                   0x00000001      /* RWI-V */
#define NV_PVIC_FALCON_STACKCFG                                 0x00001138      /* RW-4R */
#define NV_PVIC_FALCON_STACKCFG_BOTTOM                          15:0            /* RWXVF */
#define NV_PVIC_FALCON_STACKCFG_BOTTOM_INIT                     0x00000000      /* RW--V */
#define NV_PVIC_FALCON_STACKCFG_SPEXC                           31:31           /* RWIVF */
#define NV_PVIC_FALCON_STACKCFG_SPEXC_INIT                      0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_STACKCFG_SPEXC_DISABLE                   0x00000000      /* RW--V */
#define NV_PVIC_FALCON_STACKCFG_SPEXC_ENABLE                    0x00000001      /* RW--V */
#define NV_PVIC_FALCON_BOOTVEC                                  0x00001104      /* RW-4R */
#define NV_PVIC_FALCON_BOOTVEC_VEC                              31:0            /* RWIVF */
#define NV_PVIC_FALCON_BOOTVEC_VEC_INIT                         0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_HWCFG                                    0x00001108      /* R--4R */
#define NV_PVIC_FALCON_HWCFG_IMEM_SIZE                          8:0             /* R--VF */
#define NV_PVIC_FALCON_HWCFG_DMEM_SIZE                          17:9            /* R--VF */
#define NV_PVIC_FALCON_HWCFG_METHODFIFO_DEPTH                   26:18           /* R--VF */
#define NV_PVIC_FALCON_HWCFG_DMAQUEUE_DEPTH                     31:27           /* R--VF */
#define NV_PVIC_FALCON_HWCFG1                                   0x0000112c      /* R--4R */
#define NV_PVIC_FALCON_HWCFG1_CORE_REV                          3:0             /* R-IVF */
#define NV_PVIC_FALCON_HWCFG1_CORE_REV_INIT                     0x00000006      /* R-I-V */
#define NV_PVIC_FALCON_HWCFG1_CORE_REV_1_0                      0x00000001      /* R---V */
#define NV_PVIC_FALCON_HWCFG1_CORE_REV_2_0                      0x00000002      /* R---V */
#define NV_PVIC_FALCON_HWCFG1_CORE_REV_3_0                      0x00000003      /* R---V */
#define NV_PVIC_FALCON_HWCFG1_CORE_REV_4_0                      0x00000004      /* R---V */
#define NV_PVIC_FALCON_HWCFG1_CORE_REV_5_0                      0x00000005      /* R---V */
#define NV_PVIC_FALCON_HWCFG1_CORE_REV_6_0                      0x00000006      /* R---V */
#define NV_PVIC_FALCON_HWCFG1_CORE_REV_7_0                      0x00000007      /* R---V */
#define NV_PVIC_FALCON_HWCFG1_SECURITY_MODEL                    5:4             /* R-IVF */
#define NV_PVIC_FALCON_HWCFG1_SECURITY_MODEL_INIT               0x00000000      /* R-I-V */
#define NV_PVIC_FALCON_HWCFG1_SECURITY_MODEL_NONE               0x00000000      /* R---V */
#define NV_PVIC_FALCON_HWCFG1_SECURITY_MODEL_LIGHT              0x00000002      /* R---V */
#define NV_PVIC_FALCON_HWCFG1_SECURITY_MODEL_HEAVY              0x00000003      /* R---V */
#define NV_PVIC_FALCON_HWCFG1_CORE_REV_SUBVERSION               7:6             /* R-IVF */
#define NV_PVIC_FALCON_HWCFG1_CORE_REV_SUBVERSION_INIT          0x00000000      /* R-I-V */
#define NV_PVIC_FALCON_HWCFG1_CORE_REV_SUBVERSION_0             0x00000000      /* R---V */
#define NV_PVIC_FALCON_HWCFG1_CORE_REV_SUBVERSION_1             0x00000001      /* R---V */
#define NV_PVIC_FALCON_HWCFG1_CORE_REV_SUBVERSION_2             0x00000002      /* R---V */
#define NV_PVIC_FALCON_HWCFG1_CORE_REV_SUBVERSION_3             0x00000003      /* R---V */
#define NV_PVIC_FALCON_HWCFG1_IMEM_PORTS                        11:8            /* R-IVF */
#define NV_PVIC_FALCON_HWCFG1_IMEM_PORTS_INIT                   0x00000001      /* R-I-V */
#define NV_PVIC_FALCON_HWCFG1_DMEM_PORTS                        15:12           /* R-IVF */
#define NV_PVIC_FALCON_HWCFG1_DMEM_PORTS_INIT                   0x00000001      /* R-I-V */
#define NV_PVIC_FALCON_HWCFG1_TAG_WIDTH                         20:16           /* R-IVF */
#define NV_PVIC_FALCON_HWCFG1_TAG_WIDTH_INIT                    0x00000008      /* R-I-V */
#define NV_PVIC_FALCON_HWCFG1_DBG_PRIV_BUS                      27:27           /* R-IVF */
#define NV_PVIC_FALCON_HWCFG1_DBG_PRIV_BUS_INIT                 0x00000001      /* R-I-V */
#define NV_PVIC_FALCON_HWCFG1_DBG_PRIV_BUS_ENABLE               0x00000001      /* R---V */
#define NV_PVIC_FALCON_HWCFG1_DBG_PRIV_BUS_DISABLE              0x00000000      /* R---V */
#define NV_PVIC_FALCON_HWCFG1_CSB_SIZE_16M                      28:28           /* R-IVF */
#define NV_PVIC_FALCON_HWCFG1_CSB_SIZE_16M_INIT                 0x00000001      /* R-I-V */
#define NV_PVIC_FALCON_HWCFG1_CSB_SIZE_16M_TRUE                 0x00000001      /* R---V */
#define NV_PVIC_FALCON_HWCFG1_CSB_SIZE_16M_FALSE                0x00000000      /* R---V */
#define NV_PVIC_FALCON_HWCFG1_PRIV_DIRECT                       29:29           /* R-IVF */
#define NV_PVIC_FALCON_HWCFG1_PRIV_DIRECT_INIT                  0x00000000      /* R-I-V */
#define NV_PVIC_FALCON_HWCFG1_PRIV_DIRECT_TRUE                  0x00000001      /* R---V */
#define NV_PVIC_FALCON_HWCFG1_PRIV_DIRECT_FALSE                 0x00000000      /* R---V */
#define NV_PVIC_FALCON_HWCFG1_DMEM_APERTURES                    30:30           /* R-IVF */
#define NV_PVIC_FALCON_HWCFG1_DMEM_APERTURES_INIT               0x00000000      /* R-I-V */
#define NV_PVIC_FALCON_HWCFG1_DMEM_APERTURES_ENABLE             0x00000001      /* R---V */
#define NV_PVIC_FALCON_HWCFG1_DMEM_APERTURES_DISABLE            0x00000000      /* R---V */
#define NV_PVIC_FALCON_HWCFG1_IMEM_AUTOFILL                     31:31           /* R-IVF */
#define NV_PVIC_FALCON_HWCFG1_IMEM_AUTOFILL_INIT                0x00000000      /* R-I-V */
#define NV_PVIC_FALCON_HWCFG1_IMEM_AUTOFILL_ENABLE              0x00000001      /* R---V */
#define NV_PVIC_FALCON_HWCFG1_IMEM_AUTOFILL_DISABLE             0x00000000      /* R---V */
#define NV_PVIC_FALCON_DMACTL                                   0x0000110c      /* RW-4R */
#define NV_PVIC_FALCON_DMACTL_REQUIRE_CTX                       0:0             /* RWIVF */
#define NV_PVIC_FALCON_DMACTL_REQUIRE_CTX_INIT                  0x00000001      /* RWI-V */
#define NV_PVIC_FALCON_DMACTL_REQUIRE_CTX_TRUE                  0x00000001      /* RW--V */
#define NV_PVIC_FALCON_DMACTL_REQUIRE_CTX_FALSE                 0x00000000      /* RW--V */
#define NV_PVIC_FALCON_DMACTL_DMEM_SCRUBBING                    1:1             /* R--VF */
#define NV_PVIC_FALCON_DMACTL_DMEM_SCRUBBING_PENDING            0x00000001      /* R---V */
#define NV_PVIC_FALCON_DMACTL_DMEM_SCRUBBING_DONE               0x00000000      /* R---V */
#define NV_PVIC_FALCON_DMACTL_IMEM_SCRUBBING                    2:2             /* R--VF */
#define NV_PVIC_FALCON_DMACTL_IMEM_SCRUBBING_PENDING            0x00000001      /* R---V */
#define NV_PVIC_FALCON_DMACTL_IMEM_SCRUBBING_DONE               0x00000000      /* R---V */
#define NV_PVIC_FALCON_DMACTL_DMAQ_NUM                          6:3             /* R--VF */
#define NV_PVIC_FALCON_DMATRFBASE                               0x00001110      /* RW-4R */
#define NV_PVIC_FALCON_DMATRFBASE_BASE                          31:0            /* RWIVF */
#define NV_PVIC_FALCON_DMATRFBASE_BASE_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_DMATRFMOFFS                              0x00001114      /* RW-4R */
#define NV_PVIC_FALCON_DMATRFMOFFS_OFFS                         15:0            /* RWIVF */
#define NV_PVIC_FALCON_DMATRFMOFFS_OFFS_INIT                    0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_DMATRFCMD                                0x00001118      /* RW-4R */
#define NV_PVIC_FALCON_DMATRFCMD_FULL                           0:0             /* R-XVF */
#define NV_PVIC_FALCON_DMATRFCMD_FULL_TRUE                      0x00000001      /* R---V */
#define NV_PVIC_FALCON_DMATRFCMD_FULL_FALSE                     0x00000000      /* R---V */
#define NV_PVIC_FALCON_DMATRFCMD_IDLE                           1:1             /* R-XVF */
#define NV_PVIC_FALCON_DMATRFCMD_IDLE_TRUE                      0x00000001      /* R---V */
#define NV_PVIC_FALCON_DMATRFCMD_IDLE_FALSE                     0x00000000      /* R---V */
#define NV_PVIC_FALCON_DMATRFCMD_IMEM                           4:4             /* RWXVF */
#define NV_PVIC_FALCON_DMATRFCMD_IMEM_TRUE                      0x00000001      /* RW--V */
#define NV_PVIC_FALCON_DMATRFCMD_IMEM_FALSE                     0x00000000      /* RW--V */
#define NV_PVIC_FALCON_DMATRFCMD_WRITE                          5:5             /* RWXVF */
#define NV_PVIC_FALCON_DMATRFCMD_WRITE_TRUE                     0x00000001      /* RW--V */
#define NV_PVIC_FALCON_DMATRFCMD_WRITE_FALSE                    0x00000000      /* RW--V */
#define NV_PVIC_FALCON_DMATRFCMD_SIZE                           10:8            /* RWXVF */
#define NV_PVIC_FALCON_DMATRFCMD_SIZE_4B                        0x00000000      /* RW--V */
#define NV_PVIC_FALCON_DMATRFCMD_SIZE_8B                        0x00000001      /* RW--V */
#define NV_PVIC_FALCON_DMATRFCMD_SIZE_16B                       0x00000002      /* RW--V */
#define NV_PVIC_FALCON_DMATRFCMD_SIZE_32B                       0x00000003      /* RW--V */
#define NV_PVIC_FALCON_DMATRFCMD_SIZE_64B                       0x00000004      /* RW--V */
#define NV_PVIC_FALCON_DMATRFCMD_SIZE_128B                      0x00000005      /* RW--V */
#define NV_PVIC_FALCON_DMATRFCMD_SIZE_256B                      0x00000006      /* RW--V */
#define NV_PVIC_FALCON_DMATRFCMD_CTXDMA                         14:12           /* RWXVF */
#define NV_PVIC_FALCON_DMATRFFBOFFS                             0x0000111c      /* RW-4R */
#define NV_PVIC_FALCON_DMATRFFBOFFS_OFFS                        31:0            /* RWIVF */
#define NV_PVIC_FALCON_DMATRFFBOFFS_OFFS_INIT                   0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_DMAPOLL_FB                               0x00001120      /* RW-4R */
#define NV_PVIC_FALCON_DMAPOLL_FB_RCOUNT                        31:24           /* R--VF */
#define NV_PVIC_FALCON_DMAPOLL_FB_WCOUNT                        23:16           /* R--VF */
#define NV_PVIC_FALCON_DMAPOLL_FB_CFG_W_FENCE                   5:5             /* RWIVF */
#define NV_PVIC_FALCON_DMAPOLL_FB_CFG_W_FENCE_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_DMAPOLL_FB_CFG_W_FENCE_TRUE              0x00000001      /* RW--V */
#define NV_PVIC_FALCON_DMAPOLL_FB_CFG_W_FENCE_FALSE             0x00000000      /* RW--V */
#define NV_PVIC_FALCON_DMAPOLL_FB_CFG_R_FENCE                   4:4             /* RWIVF */
#define NV_PVIC_FALCON_DMAPOLL_FB_CFG_R_FENCE_INIT              0x00000001      /* RWI-V */
#define NV_PVIC_FALCON_DMAPOLL_FB_CFG_R_FENCE_TRUE              0x00000001      /* RW--V */
#define NV_PVIC_FALCON_DMAPOLL_FB_CFG_R_FENCE_FALSE             0x00000000      /* RW--V */
#define NV_PVIC_FALCON_DMAPOLL_FB_DMA_ACTIVE                    1:1             /* R--VF */
#define NV_PVIC_FALCON_DMAPOLL_FB_DMA_ACTIVE_TRUE               0x00000001      /* R---V */
#define NV_PVIC_FALCON_DMAPOLL_FB_DMA_ACTIVE_FALSE              0x00000000      /* R---V */
#define NV_PVIC_FALCON_DMAPOLL_FB_FENCE_ACTIVE                  0:0             /* R--VF */
#define NV_PVIC_FALCON_DMAPOLL_FB_FENCE_ACTIVE_TRUE             0x00000001      /* R---V */
#define NV_PVIC_FALCON_DMAPOLL_FB_FENCE_ACTIVE_FALSE            0x00000000      /* R---V */
#define NV_PVIC_FALCON_DMAPOLL_CP                               0x00001124      /* RW-4R */
#define NV_PVIC_FALCON_DMAPOLL_CP_RCOUNT                        31:24           /* R--VF */
#define NV_PVIC_FALCON_DMAPOLL_CP_WCOUNT                        23:16           /* R--VF */
#define NV_PVIC_FALCON_DMAPOLL_CP_CFG_W_FENCE                   5:5             /* RWIVF */
#define NV_PVIC_FALCON_DMAPOLL_CP_CFG_W_FENCE_INIT              0x00000001      /* RWI-V */
#define NV_PVIC_FALCON_DMAPOLL_CP_CFG_W_FENCE_TRUE              0x00000001      /* RW--V */
#define NV_PVIC_FALCON_DMAPOLL_CP_CFG_W_FENCE_FALSE             0x00000000      /* RW--V */
#define NV_PVIC_FALCON_DMAPOLL_CP_CFG_R_FENCE                   4:4             /* RWIVF */
#define NV_PVIC_FALCON_DMAPOLL_CP_CFG_R_FENCE_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_DMAPOLL_CP_CFG_R_FENCE_TRUE              0x00000001      /* RW--V */
#define NV_PVIC_FALCON_DMAPOLL_CP_CFG_R_FENCE_FALSE             0x00000000      /* RW--V */
#define NV_PVIC_FALCON_DMAPOLL_CP_DMA_ACTIVE                    1:1             /* R--VF */
#define NV_PVIC_FALCON_DMAPOLL_CP_DMA_ACTIVE_TRUE               0x00000001      /* R---V */
#define NV_PVIC_FALCON_DMAPOLL_CP_DMA_ACTIVE_FALSE              0x00000000      /* R---V */
#define NV_PVIC_FALCON_DMAPOLL_CP_FENCE_ACTIVE                  0:0             /* R--VF */
#define NV_PVIC_FALCON_DMAPOLL_CP_FENCE_ACTIVE_TRUE             0x00000001      /* R---V */
#define NV_PVIC_FALCON_DMAPOLL_CP_FENCE_ACTIVE_FALSE            0x00000000      /* R---V */
#define NV_PVIC_FALCON_DMAINFO_FINISHED_FBRD_LOW                0x000012c0      /* R--4R */
#define NV_PVIC_FALCON_DMAINFO_FINISHED_FBRD_LOW_VAL            31:0            /* R--VF */
#define NV_PVIC_FALCON_DMAINFO_FINISHED_FBRD_HIGH               0x000012c4      /* R--4R */
#define NV_PVIC_FALCON_DMAINFO_FINISHED_FBRD_HIGH_VAL           30:0            /* R--VF */
#define NV_PVIC_FALCON_DMAINFO_FINISHED_FBRD_HIGH_OBIT          31:31           /* R--VF */
#define NV_PVIC_FALCON_DMAINFO_FINISHED_FBWR_LOW                0x000012c8      /* R--4R */
#define NV_PVIC_FALCON_DMAINFO_FINISHED_FBWR_LOW_VAL            31:0            /* R--VF */
#define NV_PVIC_FALCON_DMAINFO_FINISHED_FBWR_HIGH               0x000012cc      /* R--4R */
#define NV_PVIC_FALCON_DMAINFO_FINISHED_FBWR_HIGH_VAL           30:0            /* R--VF */
#define NV_PVIC_FALCON_DMAINFO_FINISHED_FBWR_HIGH_OBIT          31:31           /* R--VF */
#define NV_PVIC_FALCON_DMAINFO_CURRENT_FBRD_LOW                 0x000012d0      /* R--4R */
#define NV_PVIC_FALCON_DMAINFO_CURRENT_FBRD_LOW_VAL             31:0            /* R--VF */
#define NV_PVIC_FALCON_DMAINFO_CURRENT_FBRD_HIGH                0x000012d4      /* R--4R */
#define NV_PVIC_FALCON_DMAINFO_CURRENT_FBRD_HIGH_VAL            30:0            /* R--VF */
#define NV_PVIC_FALCON_DMAINFO_CURRENT_FBRD_HIGH_OBIT           31:31           /* R--VF */
#define NV_PVIC_FALCON_DMAINFO_CURRENT_FBWR_LOW                 0x000012d8      /* R--4R */
#define NV_PVIC_FALCON_DMAINFO_CURRENT_FBWR_LOW_VAL             31:0            /* R--VF */
#define NV_PVIC_FALCON_DMAINFO_CURRENT_FBWR_HIGH                0x000012dc      /* R--4R */
#define NV_PVIC_FALCON_DMAINFO_CURRENT_FBWR_HIGH_VAL            30:0            /* R--VF */
#define NV_PVIC_FALCON_DMAINFO_CURRENT_FBWR_HIGH_OBIT           31:31           /* R--VF */
#define NV_PVIC_FALCON_DMAINFO_CTL                              0x000012e0      /* -W-4R */
#define NV_PVIC_FALCON_DMAINFO_CTL_CLR_FBRD                     0:0             /* -W-VF */
#define NV_PVIC_FALCON_DMAINFO_CTL_CLR_FBRD_TRUE                0x00000001      /* -W--V */
#define NV_PVIC_FALCON_DMAINFO_CTL_CLR_FBRD_FALSE               0x00000000      /* -W--V */
#define NV_PVIC_FALCON_DMAINFO_CTL_CLR_FBWR                     1:1             /* -W-VF */
#define NV_PVIC_FALCON_DMAINFO_CTL_CLR_FBWR_TRUE                0x00000001      /* -W--V */
#define NV_PVIC_FALCON_DMAINFO_CTL_CLR_FBWR_FALSE               0x00000000      /* -W--V */
#define NV_PVIC_FALCON_IMCTL                                    0x00001140      /* RW-4R */
#define NV_PVIC_FALCON_IMCTL_ADDR_BLK                           23:0            /* RW-VF */
#define NV_PVIC_FALCON_IMCTL_CMD                                26:24           /* RW-VF */
#define NV_PVIC_FALCON_IMCTL_CMD_NOP                            0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IMCTL_CMD_IMINV                          0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IMCTL_CMD_IMBLK                          0x00000002      /* RW--V */
#define NV_PVIC_FALCON_IMCTL_CMD_IMTAG                          0x00000003      /* RW--V */
#define NV_PVIC_FALCON_IMCTL_CMD_IMTAG_SETVLD                   0x00000004      /* RW--V */
#define NV_PVIC_FALCON_IMCTL_DEBUG                              0x0000115c      /* RW-4R */
#define NV_PVIC_FALCON_IMCTL_DEBUG_ADDR_BLK                     23:0            /* RW-VF */
#define NV_PVIC_FALCON_IMCTL_DEBUG_CMD                          26:24           /* RW-VF */
#define NV_PVIC_FALCON_IMCTL_DEBUG_CMD_NOP                      0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IMCTL_DEBUG_CMD_IMBLK                    0x00000002      /* RW--V */
#define NV_PVIC_FALCON_IMCTL_DEBUG_CMD_IMTAG                    0x00000003      /* RW--V */
#define NV_PVIC_FALCON_IMSTAT                                   0x00001144      /* RW-4R */
#define NV_PVIC_FALCON_IMSTAT_VAL                               31:0            /* RW-VF */
#define NV_PVIC_FALCON_TRACEIDX                                 0x00001148      /* RW-4R */
#define NV_PVIC_FALCON_TRACEIDX_CNT                             31:24           /* R-IVF */
#define NV_PVIC_FALCON_TRACEIDX_CNT_INIT                        0x00000000      /* R-I-V */
#define NV_PVIC_FALCON_TRACEIDX_MAXIDX                          23:16           /* R--VF */
#define NV_PVIC_FALCON_TRACEIDX_IDX                             7:0             /* RWIVF */
#define NV_PVIC_FALCON_TRACEIDX_IDX_INIT                        0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_TRACEPC                                  0x0000114c      /* R--4R */
#define NV_PVIC_FALCON_TRACEPC_PC                               23:0            /* R--VF */
#define NV_PVIC_FALCON_TRACEINFO                                0x0000117c      /* R--4R */
#define NV_PVIC_FALCON_TRACEINFO_COUNT                          15:0            /* R--VF */
#define NV_PVIC_FALCON_ICD_CMD                                  0x00001200      /* RW-4R */
#define NV_PVIC_FALCON_ICD_CMD_OPC                              3:0             /* RW-VF */
#define NV_PVIC_FALCON_ICD_CMD_OPC_STOP                         0x00000000      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_OPC_RUN                          0x00000001      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_OPC_JRUN                         0x00000002      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_OPC_RUNB                         0x00000003      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_OPC_JRUNB                        0x00000004      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_OPC_STEP                         0x00000005      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_OPC_JSTEP                        0x00000006      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_OPC_EMASK                        0x00000007      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_OPC_RREG                         0x00000008      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_OPC_WREG                         0x00000009      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_OPC_RDM                          0x0000000a      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_OPC_WDM                          0x0000000b      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_OPC_RCM                          0x0000000c      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_OPC_WCM                          0x0000000d      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_OPC_RSTAT                        0x0000000e      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_OPC_SBU                          0x0000000f      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_SZ                               7:6             /* RW-VF */
#define NV_PVIC_FALCON_ICD_CMD_SZ_B                             0x00000000      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_SZ_HW                            0x00000001      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_SZ_W                             0x00000002      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX                              12:8            /* RW-VF */
#define NV_PVIC_FALCON_ICD_CMD_IDX_REG0                         0x00000000      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_REG1                         0x00000001      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_REG2                         0x00000002      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_REG3                         0x00000003      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_REG4                         0x00000004      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_REG5                         0x00000005      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_REG6                         0x00000006      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_REG7                         0x00000007      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_REG8                         0x00000008      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_REG9                         0x00000009      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_REG10                        0x0000000a      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_REG11                        0x0000000b      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_REG12                        0x0000000c      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_REG13                        0x0000000d      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_REG14                        0x0000000e      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_REG15                        0x0000000f      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_IV0                          0x00000010      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_IV1                          0x00000011      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_EV                           0x00000013      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_SP                           0x00000014      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_PC                           0x00000015      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_IMB                          0x00000016      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_DMB                          0x00000017      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_CSW                          0x00000018      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_CCR                          0x00000019      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_SEC                          0x0000001a      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_CTX                          0x0000001b      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_EXCI                         0x0000001c      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_SEC1                         0x0000001e      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_IMB1                         0x0000001e      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_DMB1                         0x0000001f      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_RSTAT0                       0x00000000      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_RSTAT1                       0x00000001      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_RSTAT2                       0x00000002      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_RSTAT3                       0x00000003      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_RSTAT4                       0x00000004      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_RSTAT5                       0x00000005      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_WB0                          0x00000000      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_WB1                          0x00000001      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_WB2                          0x00000002      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_IDX_WB3                          0x00000003      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_ERROR                            14:14           /* R--VF */
#define NV_PVIC_FALCON_ICD_CMD_ERROR_TRUE                       0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_CMD_ERROR_FALSE                      0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_CMD_RDVLD                            15:15           /* R--VF */
#define NV_PVIC_FALCON_ICD_CMD_RDVLD_TRUE                       0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_CMD_RDVLD_FALSE                      0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_CMD_PARM                             31:16           /* RW-VF */
#define NV_PVIC_FALCON_ICD_CMD_EMASK                            31:16           /* RW-VF */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_TRAP0                      16:16           /* RW-VF */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_TRAP0_TRUE                 0x00000001      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_TRAP0_FALSE                0x00000000      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_TRAP1                      17:17           /* RW-VF */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_TRAP1_TRUE                 0x00000001      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_TRAP1_FALSE                0x00000000      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_TRAP2                      18:18           /* RW-VF */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_TRAP2_TRUE                 0x00000001      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_TRAP2_FALSE                0x00000000      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_TRAP3                      19:19           /* RW-VF */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_TRAP3_TRUE                 0x00000001      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_TRAP3_FALSE                0x00000000      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_EXC_UNIMP                  20:20           /* RW-VF */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_EXC_UNIMP_TRUE             0x00000001      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_EXC_UNIMP_FALSE            0x00000000      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_EXC_IMISS                  21:21           /* RW-VF */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_EXC_IMISS_TRUE             0x00000001      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_EXC_IMISS_FALSE            0x00000000      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_EXC_IMHIT                  22:22           /* RW-VF */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_EXC_IMHIT_TRUE             0x00000001      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_EXC_IMHIT_FALSE            0x00000000      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_EXC_IBREAK                 23:23           /* RW-VF */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_EXC_IBREAK_TRUE            0x00000001      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_EXC_IBREAK_FALSE           0x00000000      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_IV0                        24:24           /* RW-VF */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_IV0_TRUE                   0x00000001      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_IV0_FALSE                  0x00000000      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_IV1                        25:25           /* RW-VF */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_IV1_TRUE                   0x00000001      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_IV1_FALSE                  0x00000000      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_IV2                        26:26           /* RW-VF */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_IV2_TRUE                   0x00000001      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_IV2_FALSE                  0x00000000      /* RW--V */
#define NV_PVIC_FALCON_ICD_CMD_EMASK_EXT                        31:27           /* RW-VF */
#define NV_PVIC_FALCON_ICD_ADDR                                 0x00001204      /* RW-4R */
#define NV_PVIC_FALCON_ICD_ADDR_ADDR                            31:0            /* RW-VF */
#define NV_PVIC_FALCON_ICD_WDATA                                0x00001208      /* RW-4R */
#define NV_PVIC_FALCON_ICD_WDATA_DATA                           31:0            /* RW-VF */
#define NV_PVIC_FALCON_ICD_RDATA                                0x0000120c      /* R--4R */
#define NV_PVIC_FALCON_ICD_RDATA_DATA                           31:0            /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_MEM_STALL               0:0             /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_MEM_STALL_TRUE          0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_MEM_STALL_FALSE         0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_DMA_STALL               1:1             /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_DMA_STALL_TRUE          0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_DMA_STALL_FALSE         0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_FENCE_STALL             2:2             /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_FENCE_STALL_TRUE        0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_FENCE_STALL_FALSE       0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_DIV_STALL               3:3             /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_DIV_STALL_TRUE          0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_DIV_STALL_FALSE         0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_DMA_STALL_DMAQ          4:4             /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_DMA_STALL_DMAQ_TRUE     0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_DMA_STALL_DMAQ_FALSE    0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_DMA_STALL_DMWAITING     5:5             /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_DMA_STALL_DMWAITING_TRUE 0x00000001     /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_DMA_STALL_DMWAITING_FALSE 0x00000000    /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_DMA_STALL_IMWAITING     6:6             /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_DMA_STALL_IMWAITING_TRUE 0x00000001     /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_DMA_STALL_IMWAITING_FALSE 0x00000000    /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_ANY_STALL               7:7             /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_ANY_STALL_TRUE          0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_ANY_STALL_FALSE         0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_SBFULL_STALL            8:8             /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_SBFULL_STALL_TRUE       0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_SBFULL_STALL_FALSE      0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_SBHIT_STALL             9:9             /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_SBHIT_STALL_TRUE        0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_SBHIT_STALL_FALSE       0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_FLOW_STALL              10:10           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_FLOW_STALL_TRUE         0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_FLOW_STALL_FALSE        0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_SP_STALL                11:11           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_SP_STALL_TRUE           0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_SP_STALL_FALSE          0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_BL_STALL                12:12           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_BL_STALL_TRUE           0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_BL_STALL_FALSE          0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_IPND_STALL              13:13           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_IPND_STALL_TRUE         0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_IPND_STALL_FALSE        0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_LDSTQ_STALL             14:14           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_LDSTQ_STALL_TRUE        0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_LDSTQ_STALL_FALSE       0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_NOINSTR_STALL           16:16           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_NOINSTR_STALL_TRUE      0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_NOINSTR_STALL_FALSE     0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_HALTSTOP_FLUSH          20:20           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_HALTSTOP_FLUSH_TRUE     0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_HALTSTOP_FLUSH_FALSE    0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_AFILL_FLUSH             21:21           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_AFILL_FLUSH_TRUE        0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_AFILL_FLUSH_FALSE       0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_EXC_FLUSH               22:22           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_EXC_FLUSH_TRUE          0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_EXC_FLUSH_FASLE         0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_IRQ_FLUSH               25:23           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_VALIDRD                 28:28           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_VALIDRD_TRUE            0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_VALIDRD_FALSE           0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_WAITING                 29:29           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_WAITING_TRUE            0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_WAITING_FALSE           0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_HALTED                  30:30           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_HALTED_TRUE             0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_HALTED_FALSE            0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_MTHD_FULL               31:31           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_MTHD_FULL_TRUE          0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT0_MTHD_FULL_FALSE         0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT1_WB_ALLOC                3:0             /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT1_WB_VALID                7:4             /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT1_WB0_SZ                  9:8             /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT1_WB0_SZ_IS_BYTE          0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT1_WB0_SZ_IS_HALFWORD      0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT1_WB0_SZ_IS_WORD          0x00000002      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT1_WB1_SZ                  11:10           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT1_WB1_SZ_IS_BYTE          0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT1_WB1_SZ_IS_HALFWORD      0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT1_WB1_SZ_IS_WORD          0x00000002      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT1_WB2_SZ                  13:12           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT1_WB2_SZ_IS_BYTE          0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT1_WB2_SZ_IS_HALFWORD      0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT1_WB2_SZ_IS_WORD          0x00000002      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT1_WB3_SZ                  15:14           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT1_WB3_SZ_IS_BYTE          0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT1_WB3_SZ_IS_HALFWORD      0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT1_WB3_SZ_IS_WORD          0x00000002      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT1_WB0_IDX                 19:16           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT1_WB1_IDX                 23:20           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT1_WB2_IDX                 27:24           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT1_WB3_IDX                 31:28           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT2_DMAQ_NUM                3:0             /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT2_DMA_ENABLE              4:4             /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT2_LDSTQ_NUM               7:5             /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT2_EM_BUSY                 19:16           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT2_EM_ACKED                23:20           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT2_EM_ISWR                 27:24           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT2_EM_DVLD                 31:28           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_MTHD_IDLE               0:0             /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_MTHD_IDLE_TRUE          0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_MTHD_IDLE_FALSE         0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_CTXSW_IDLE              1:1             /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_CTXSW_IDLE_TRUE         0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_CTXSW_IDLE_FALSE        0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_DMA_IDLE                2:2             /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_DMA_IDLE_TRUE           0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_DMA_IDLE_FALSE          0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_SCP_IDLE                3:3             /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_SCP_IDLE_TRUE           0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_SCP_IDLE_FALSE          0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_LDST_IDLE               4:4             /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_LDST_IDLE_TRUE          0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_LDST_IDLE_FALSE         0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_SBWB_EMPTY              5:5             /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_SBWB_EMPTY_TRUE         0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_SBWB_EMPTY_FALSE        0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_CSWIE                   8:6             /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_CSWE                    10:10           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_CTXSW_STATE             14:12           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_CTXSW_STATE_IDLE        0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_CTXSW_STATE_SM_CHECK    0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_CTXSW_STATE_SM_SAVE     0x00000002      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_CTXSW_STATE_SM_SAVE_WAIT 0x00000003     /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_CTXSW_STATE_SM_BLK_BIND 0x00000004      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_CTXSW_STATE_SM_RESET    0x00000005      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_CTXSW_STATE_SM_RESETWAIT 0x00000006     /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_CTXSW_STATE_SM_ACK      0x00000007      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_CTXSW_PEND              15:15           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_CTXSW_PEND_TRUE         0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_CTXSW_PEND_FALSE        0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_DMA_FBREQ_IDLE          17:17           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_DMA_FBREQ_IDLE_TRUE     0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_DMA_FBREQ_IDLE_FALSE    0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_DMA_ACKQ_EMPTY          18:18           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_DMA_ACKQ_EMPTY_TRUE     0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_DMA_ACKQ_EMPTY_FALSE    0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_DMA_RDQ_EMPTY           19:19           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_DMA_RDQ_EMPTY_TRUE      0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_DMA_RDQ_EMPTY_FALSE     0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_DMA_WR_BUSY             20:20           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_DMA_WR_BUSY_TRUE        0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_DMA_WR_BUSY_FALSE       0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_DMA_RD_BUSY             21:21           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_DMA_RD_BUSY_TRUE        0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_DMA_RD_BUSY_FALSE       0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_LDST_XT_BUSY            22:22           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_LDST_XT_BUSY_TRUE       0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_LDST_XT_BUSY_FALSE      0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_LDST_XT_BLOCK           23:23           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_LDST_XT_BLOCK_TRUE      0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_LDST_XT_BLOCK_FALSE     0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_ENG_IDLE                24:24           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_ENG_IDLE_TRUE           0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT3_ENG_IDLE_FALSE          0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_STATE               1:0             /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_STATE_NORMAL        0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_STATE_WAIT_ISSUE_CLEAR 0x00000001   /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_STATE_WAIT_EXLDQ_CLEAR 0x00000002   /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_STATE_FULL_DBG_MODE 0x00000003      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_MODE                3:2             /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_MODE_SUPPRESSICD    0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_MODE_ENTERICD_IBRK  0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_MODE_ENTERICD_STEP  0x00000002      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK               31:16           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_TRAP0         16:16           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_TRAP0_TRUE    0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_TRAP0_FALSE   0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_TRAP1         17:17           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_TRAP1_TRUE    0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_TRAP1_FALSE   0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_TRAP2         18:18           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_TRAP2_TRUE    0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_TRAP2_FALSE   0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_TRAP3         19:19           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_TRAP3_TRUE    0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_TRAP3_FALSE   0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_EXC_UNIMP     20:20           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_EXC_UNIMP_TRUE 0x00000001     /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_EXC_UNIMP_FALSE 0x00000000    /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_EXC_IMISS     21:21           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_EXC_IMISS_TRUE 0x00000001     /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_EXC_IMISS_FALSE 0x00000000    /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_EXC_IMHIT     22:22           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_EXC_IMHIT_TRUE 0x00000001     /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_EXC_IMHIT_FALSE 0x00000000    /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_EXC_IBREAK    23:23           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_EXC_IBREAK_TRUE 0x00000001    /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_EXC_IBREAK_FALSE 0x00000000   /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_IV0           24:24           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_IV0_TRUE      0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_IV0_FALSE     0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_IV1           25:25           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_IV1_TRUE      0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_IV1_FALSE     0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_IV2           26:26           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_IV2_TRUE      0x00000001      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_IV2_FALSE     0x00000000      /* R---V */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT4_ICD_EMASK_EXT           31:27           /* R--VF */
#define NV_PVIC_FALCON_ICD_RDATA_RSTAT5_LRU_STATE               7:0             /* R--VF */
#define NV_PVIC_FALCON_IMEMC(i)                                 (0x00001180+(i)*16) /* RW-4A */
#define NV_PVIC_FALCON_IMEMC__SIZE_1                            4               /*       */
#define NV_PVIC_FALCON_IMEMC_OFFS                               7:2             /* RWIVF */
#define NV_PVIC_FALCON_IMEMC_OFFS_INIT                          0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IMEMC_BLK                                15:8            /* RWIVF */
#define NV_PVIC_FALCON_IMEMC_BLK_INIT                           0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IMEMC_AINCW                              24:24           /* RWIVF */
#define NV_PVIC_FALCON_IMEMC_AINCW_INIT                         0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IMEMC_AINCW_TRUE                         0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IMEMC_AINCW_FALSE                        0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IMEMC_AINCR                              25:25           /* RWIVF */
#define NV_PVIC_FALCON_IMEMC_AINCR_INIT                         0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IMEMC_AINCR_TRUE                         0x00000001      /* RW--V */
#define NV_PVIC_FALCON_IMEMC_AINCR_FALSE                        0x00000000      /* RW--V */
#define NV_PVIC_FALCON_IMEMC_SECURE                             28:28           /* RWIVF */
#define NV_PVIC_FALCON_IMEMC_SECURE_INIT                        0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_IMEMC_SEC_ATOMIC                         29:29           /* R-IVF */
#define NV_PVIC_FALCON_IMEMC_SEC_ATOMIC_TRUE                    0x00000001      /* R---V */
#define NV_PVIC_FALCON_IMEMC_SEC_ATOMIC_FALSE                   0x00000000      /* R-I-V */
#define NV_PVIC_FALCON_IMEMC_SEC_WR_VIO                         30:30           /* R-IVF */
#define NV_PVIC_FALCON_IMEMC_SEC_WR_VIO_TRUE                    0x00000001      /* R---V */
#define NV_PVIC_FALCON_IMEMC_SEC_WR_VIO_FALSE                   0x00000000      /* R-I-V */
#define NV_PVIC_FALCON_IMEMC_SEC_LOCK                           31:31           /* R-IVF */
#define NV_PVIC_FALCON_IMEMC_SEC_LOCK_TRUE                      0x00000001      /* R---V */
#define NV_PVIC_FALCON_IMEMC_SEC_LOCK_FALSE                     0x00000000      /* R-I-V */
#define NV_PVIC_FALCON_IMEMD(i)                                 (0x00001184+(i)*16) /* RW-4A */
#define NV_PVIC_FALCON_IMEMD__SIZE_1                            4               /*       */
#define NV_PVIC_FALCON_IMEMD_DATA                               31:0            /* RW-VF */
#define NV_PVIC_FALCON_IMEMT(i)                                 (0x00001188+(i)*16) /* RW-4A */
#define NV_PVIC_FALCON_IMEMT__SIZE_1                            4               /*       */
#define NV_PVIC_FALCON_IMEMT_TAG                                15:0            /* RW-VF */
#define NV_PVIC_FALCON_DMEMC(i)                                 (0x000011c0+(i)*8) /* RW-4A */
#define NV_PVIC_FALCON_DMEMC__SIZE_1                            8               /*       */
#define NV_PVIC_FALCON_DMEMC_OFFS                               7:2             /* RWIVF */
#define NV_PVIC_FALCON_DMEMC_OFFS_INIT                          0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_DMEMC_BLK                                15:8            /* RWIVF */
#define NV_PVIC_FALCON_DMEMC_BLK_INIT                           0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_DMEMC_AINCW                              24:24           /* RWIVF */
#define NV_PVIC_FALCON_DMEMC_AINCW_INIT                         0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_DMEMC_AINCW_TRUE                         0x00000001      /* RW--V */
#define NV_PVIC_FALCON_DMEMC_AINCW_FALSE                        0x00000000      /* RW--V */
#define NV_PVIC_FALCON_DMEMC_AINCR                              25:25           /* RWIVF */
#define NV_PVIC_FALCON_DMEMC_AINCR_INIT                         0x00000000      /* RWI-V */
#define NV_PVIC_FALCON_DMEMC_AINCR_TRUE                         0x00000001      /* RW--V */
#define NV_PVIC_FALCON_DMEMC_AINCR_FALSE                        0x00000000      /* RW--V */
#define NV_PVIC_FALCON_DMEMD(i)                                 (0x000011c4+(i)*8) /* RW-4A */
#define NV_PVIC_FALCON_DMEMD__SIZE_1                            8               /*       */
#define NV_PVIC_FALCON_DMEMD_DATA                               31:0            /* RW-VF */
#define NV_PVIC_FC_COMPOSE                                      0x00001400      /* -W-4R */
#define NV_PVIC_FC_PREPROCESS                                   0x00001404      /* RW-4R */
#define NV_PVIC_FC_PREPROCESS_STREAM                            3:0             /* RWIVF */
#define NV_PVIC_FC_PREPROCESS_STREAM_INIT                       0x00000000      /* RWI-V */
#define NV_PVIC_FC_PREPROCESS_DENOISE                           4:4             /* RWIVF */
#define NV_PVIC_FC_PREPROCESS_DENOISE_INIT                      0x00000000      /* RWI-V */
#define NV_PVIC_FC_PREPROCESS_DENOISE_DISABLE                   0x00000000      /* RW--V */
#define NV_PVIC_FC_PREPROCESS_DENOISE_ENABLE                    0x00000001      /* RW--V */
#define NV_PVIC_FC_PREPROCESS_CDETECT                           5:5             /* RWIVF */
#define NV_PVIC_FC_PREPROCESS_CDETECT_INIT                      0x00000000      /* RWI-V */
#define NV_PVIC_FC_PREPROCESS_CDETECT_DISABLE                   0x00000000      /* RW--V */
#define NV_PVIC_FC_PREPROCESS_CDETECT_ENABLE                    0x00000001      /* RW--V */
#define NV_PVIC_FC_PREPROCESS_IS_EVEN                           6:6             /* RWIVF */
#define NV_PVIC_FC_PREPROCESS_IS_EVEN_INIT                      0x00000000      /* RWI-V */
#define NV_PVIC_FC_PREPROCESS_IS_EVEN_FALSE                     0x00000000      /* RW--V */
#define NV_PVIC_FC_PREPROCESS_IS_EVEN_TRUE                      0x00000001      /* RW--V */
#define NV_PVIC_FC_PREPROCESS_CALC_MOTION                       7:7             /* RWIVF */
#define NV_PVIC_FC_PREPROCESS_CALC_MOTION_INIT                  0x00000000      /* RWI-V */
#define NV_PVIC_FC_PREPROCESS_CALC_MOTION_DISABLE               0x00000000      /* RW--V */
#define NV_PVIC_FC_PREPROCESS_CALC_MOTION_ENABLE                0x00000001      /* RW--V */
#define NV_PVIC_FC_PREPROCESS_FMT                               14:8            /* RWIVF */
#define NV_PVIC_FC_PREPROCESS_FMT_INIT                          0x00000000      /* RWI-V */
#define NV_PVIC_FC_PREPROCESS_COMBINE_MOTION                    15:15           /* RWIVF */
#define NV_PVIC_FC_PREPROCESS_COMBINE_MOTION_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_FC_PREPROCESS_COMBINE_MOTION_DISABLE            0x00000000      /* RW--V */
#define NV_PVIC_FC_PREPROCESS_COMBINE_MOTION_ENABLE             0x00000001      /* RW--V */
#define NV_PVIC_FC_PREPROCESS_PROGRESSIVE_NR                    16:16           /* RWIVF */
#define NV_PVIC_FC_PREPROCESS_PROGRESSIVE_NR_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_FC_PREPROCESS_PROGRESSIVE_NR_DISABLE            0x00000000      /* RW--V */
#define NV_PVIC_FC_PREPROCESS_PROGRESSIVE_NR_ENABLE             0x00000001      /* RW--V */
#define NV_PVIC_FC_PREPROCESS_PROG_FIELDS                       17:17           /* RWIVF */
#define NV_PVIC_FC_PREPROCESS_PROG_FIELDS_INIT                  0x00000000      /* RWI-V */
#define NV_PVIC_FC_PREPROCESS_PROG_FIELDS_DISABLE               0x00000000      /* RW--V */
#define NV_PVIC_FC_PREPROCESS_PROG_FIELDS_ENABLE                0x00000001      /* RW--V */
#define NV_PVIC_FC_PREPROCESS_BLK_KIND                          21:18           /* RWIVF */
#define NV_PVIC_FC_PREPROCESS_BLK_KIND_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_FC_PREPROCESS_BLK_HEIGHT                        25:22           /* RWIVF */
#define NV_PVIC_FC_PREPROCESS_BLK_HEIGHT_INIT                   0x00000000      /* RWI-V */
#define NV_PVIC_FC_PREPROCESS_CACHE_WIDTH                       28:26           /* RWIVF */
#define NV_PVIC_FC_PREPROCESS_CACHE_WIDTH_INIT                  0x00000000      /* RWI-V */
#define NV_PVIC_FC_PREPROCESS_CHROMA_EVEN                       31:31           /* RWIVF */
#define NV_PVIC_FC_PREPROCESS_CHROMA_EVEN_INIT                  0x00000000      /* RWI-V */
#define NV_PVIC_FC_PREPROCESS_SIZE                              0x00001408      /* RW-4R */
#define NV_PVIC_FC_PREPROCESS_SIZE_WIDTH                        13:0            /* RWIVF */
#define NV_PVIC_FC_PREPROCESS_SIZE_WIDTH_INIT                   0x00000000      /* RWI-V */
#define NV_PVIC_FC_PREPROCESS_SIZE_HEIGHT                       29:16           /* RWIVF */
#define NV_PVIC_FC_PREPROCESS_SIZE_HEIGHT_INIT                  0x00000000      /* RWI-V */
#define NV_PVIC_FC_PREPROCESS_SIZE_P                            0x0000140c      /* RW-4R */
#define NV_PVIC_FC_PREPROCESS_SIZE_P_LUMA_WIDTH                 13:0            /* RWIVF */
#define NV_PVIC_FC_PREPROCESS_SIZE_P_LUMA_WIDTH_INIT            0x00000000      /* RWI-V */
#define NV_PVIC_FC_PREPROCESS_SIZE_P_CHROMA_WIDTH               29:16           /* RWIVF */
#define NV_PVIC_FC_PREPROCESS_SIZE_P_CHROMA_WIDTH_INIT          0x00000000      /* RWI-V */
#define NV_PVIC_FC_INTR_TRIGGER                                 0x0000141c      /* -W-4R */
#define NV_PVIC_FC_INTR_TRIGGER_FCE_PANIC                       0:0             /* -WIVF */
#define NV_PVIC_FC_INTR_TRIGGER_FCE_PANIC_INIT                  0x00000000      /* -WI-V */
#define NV_PVIC_FC_INTR_TRIGGER_FCE_PANIC_TRIGGER               0x00000001      /* -W--V */
#define NV_PVIC_FC_INTR_TRIGGER_FCE_DIV_ERR                     1:1             /* -WIVF */
#define NV_PVIC_FC_INTR_TRIGGER_FCE_DIV_ERR_INIT                0x00000000      /* -WI-V */
#define NV_PVIC_FC_INTR_TRIGGER_FCE_DIV_ERR_TRIGGER             0x00000001      /* -W--V */
#define NV_PVIC_FC_INTR_TRIGGER_SC_BANK_CONFLICT_ERR            2:2             /* -WIVF */
#define NV_PVIC_FC_INTR_TRIGGER_SC_BANK_CONFLICT_ERR_INIT       0x00000000      /* -WI-V */
#define NV_PVIC_FC_INTR_TRIGGER_SC_BANK_CONFLICT_ERR_TRIGGER    0x00000001      /* -W--V */
#define NV_PVIC_FC_INTR_TRIGGER_SC_RESET_ERR                    3:3             /* -WIVF */
#define NV_PVIC_FC_INTR_TRIGGER_SC_RESET_ERR_INIT               0x00000000      /* -WI-V */
#define NV_PVIC_FC_INTR_TRIGGER_SC_RESET_ERR_TRIGGER            0x00000001      /* -W--V */
#define NV_PVIC_FC_INTR_TRIGGER_YS_SKIPD_ERR                    4:4             /* -WIVF */
#define NV_PVIC_FC_INTR_TRIGGER_YS_SKIPD_ERR_INIT               0x00000000      /* -WI-V */
#define NV_PVIC_FC_INTR_TRIGGER_YS_SKIPD_ERR_TRIGGER            0x00000001      /* -W--V */
#define NV_PVIC_FC_INTR_TRIGGER_XS_SKIPD_ERR                    5:5             /* -WIVF */
#define NV_PVIC_FC_INTR_TRIGGER_XS_SKIPD_ERR_INIT               0x00000000      /* -WI-V */
#define NV_PVIC_FC_INTR_TRIGGER_XS_SKIPD_ERR_TRIGGER            0x00000001      /* -W--V */
#define NV_PVIC_FC_INTR_TRIGGER_PM                              6:6             /* -WIVF */
#define NV_PVIC_FC_INTR_TRIGGER_PM_INIT                         0x00000000      /* -WI-V */
#define NV_PVIC_FC_INTR_TRIGGER_PM_TRIGGER                      0x00000001      /* -W--V */
#define NV_PVIC_FC_INTR_TRIGGER_PM_EVENT                        7:7             /* -WIVF */
#define NV_PVIC_FC_INTR_TRIGGER_PM_EVENT_INIT                   0x00000000      /* -WI-V */
#define NV_PVIC_FC_INTR_TRIGGER_PM_EVENT_TRIGGER                0x00000001      /* -W--V */
#define NV_PVIC_FC_INTR_EN                                      0x00001420      /* RW-4R */
#define NV_PVIC_FC_INTR_EN_FCE_PANIC                            0:0             /* RWIUF */
#define NV_PVIC_FC_INTR_EN_FCE_PANIC_INIT                       0x00000000      /* RWI-V */
#define NV_PVIC_FC_INTR_EN_FCE_PANIC_DISABLE                    0x00000000      /* RW--V */
#define NV_PVIC_FC_INTR_EN_FCE_PANIC_ENABLE                     0x00000001      /* RW--V */
#define NV_PVIC_FC_INTR_EN_FCE_DIV_ERR                          1:1             /* RWIUF */
#define NV_PVIC_FC_INTR_EN_FCE_DIV_ERR_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_FC_INTR_EN_FCE_DIV_ERR_DISABLE                  0x00000000      /* RW--V */
#define NV_PVIC_FC_INTR_EN_FCE_DIV_ERR_ENABLE                   0x00000001      /* RW--V */
#define NV_PVIC_FC_INTR_EN_SC_BANK_CONFLICT_ERR                 2:2             /* RWIUF */
#define NV_PVIC_FC_INTR_EN_SC_BANK_CONFLICT_ERR_INIT            0x00000000      /* RWI-V */
#define NV_PVIC_FC_INTR_EN_SC_BANK_CONFLICT_ERR_DISABLE         0x00000000      /* RW--V */
#define NV_PVIC_FC_INTR_EN_SC_BANK_CONFLICT_ERR_ENABLE          0x00000001      /* RW--V */
#define NV_PVIC_FC_INTR_EN_SC_RESET_ERR                         3:3             /* RWIUF */
#define NV_PVIC_FC_INTR_EN_SC_RESET_ERR_INIT                    0x00000000      /* RWI-V */
#define NV_PVIC_FC_INTR_EN_SC_RESET_ERR_DISABLE                 0x00000000      /* RW--V */
#define NV_PVIC_FC_INTR_EN_SC_RESET_ERR_ENABLE                  0x00000001      /* RW--V */
#define NV_PVIC_FC_INTR_EN_YS_SKIPD_ERR                         4:4             /* RWIUF */
#define NV_PVIC_FC_INTR_EN_YS_SKIPD_ERR_INIT                    0x00000000      /* RWI-V */
#define NV_PVIC_FC_INTR_EN_YS_SKIPD_ERR_DISABLE                 0x00000000      /* RW--V */
#define NV_PVIC_FC_INTR_EN_YS_SKIPD_ERR_ENABLE                  0x00000001      /* RW--V */
#define NV_PVIC_FC_INTR_EN_XS_SKIPD_ERR                         5:5             /* RWIUF */
#define NV_PVIC_FC_INTR_EN_XS_SKIPD_ERR_INIT                    0x00000000      /* RWI-V */
#define NV_PVIC_FC_INTR_EN_XS_SKIPD_ERR_DISABLE                 0x00000000      /* RW--V */
#define NV_PVIC_FC_INTR_EN_XS_SKIPD_ERR_ENABLE                  0x00000001      /* RW--V */
#define NV_PVIC_FC_INTR_EN_PM                                   6:6             /* RWIUF */
#define NV_PVIC_FC_INTR_EN_PM_INIT                              0x00000000      /* RWI-V */
#define NV_PVIC_FC_INTR_EN_PM_DISABLE                           0x00000000      /* RW--V */
#define NV_PVIC_FC_INTR_EN_PM_ENABLE                            0x00000001      /* RW--V */
#define NV_PVIC_FC_INTR_EN_PM_EVENT                             7:7             /* RWIUF */
#define NV_PVIC_FC_INTR_EN_PM_EVENT_INIT                        0x00000000      /* RWI-V */
#define NV_PVIC_FC_INTR_EN_PM_EVENT_DISABLE                     0x00000000      /* RW--V */
#define NV_PVIC_FC_INTR_EN_PM_EVENT_ENABLE                      0x00000001      /* RW--V */
#define NV_PVIC_FC_INTR_STATUS                                  0x00001424      /* RW-4R */
#define NV_PVIC_FC_INTR_STATUS_FCE_PANIC                        0:0             /* RWIUF */
#define NV_PVIC_FC_INTR_STATUS_FCE_PANIC_INIT                   0x00000000      /* RWI-V */
#define NV_PVIC_FC_INTR_STATUS_FCE_PANIC_CLEAR                  0x00000001      /* RW--V */
#define NV_PVIC_FC_INTR_STATUS_FCE_DIV_ERR                      1:1             /* RWIUF */
#define NV_PVIC_FC_INTR_STATUS_FCE_DIV_ERR_INIT                 0x00000000      /* RWI-V */
#define NV_PVIC_FC_INTR_STATUS_FCE_DIV_ERR_CLEAR                0x00000001      /* RW--V */
#define NV_PVIC_FC_INTR_STATUS_SC_BANK_CONFLICT_ERR             2:2             /* RWIUF */
#define NV_PVIC_FC_INTR_STATUS_SC_BANK_CONFLICT_ERR_INIT        0x00000000      /* RWI-V */
#define NV_PVIC_FC_INTR_STATUS_SC_BANK_CONFLICT_ERR_CLEAR       0x00000001      /* RW--V */
#define NV_PVIC_FC_INTR_STATUS_SC_RESET_ERR                     3:3             /* RWIUF */
#define NV_PVIC_FC_INTR_STATUS_SC_RESET_ERR_INIT                0x00000000      /* RWI-V */
#define NV_PVIC_FC_INTR_STATUS_SC_RESET_ERR_CLEAR               0x00000001      /* RW--V */
#define NV_PVIC_FC_INTR_STATUS_YS_SKIPD_ERR                     4:4             /* RWIUF */
#define NV_PVIC_FC_INTR_STATUS_YS_SKIPD_ERR_INIT                0x00000000      /* RWI-V */
#define NV_PVIC_FC_INTR_STATUS_YS_SKIPD_ERR_CLEAR               0x00000001      /* RW--V */
#define NV_PVIC_FC_INTR_STATUS_XS_SKIPD_ERR                     5:5             /* RWIUF */
#define NV_PVIC_FC_INTR_STATUS_XS_SKIPD_ERR_INIT                0x00000000      /* RWI-V */
#define NV_PVIC_FC_INTR_STATUS_XS_SKIPD_ERR_CLEAR               0x00000001      /* RW--V */
#define NV_PVIC_FC_INTR_STATUS_PM                               6:6             /* RWIUF */
#define NV_PVIC_FC_INTR_STATUS_PM_INIT                          0x00000000      /* RWI-V */
#define NV_PVIC_FC_INTR_STATUS_PM_CLEAR                         0x00000001      /* RW--V */
#define NV_PVIC_FC_INTR_STATUS_PM_EVENT                         7:7             /* RWIUF */
#define NV_PVIC_FC_INTR_STATUS_PM_EVENT_INIT                    0x00000000      /* RWI-V */
#define NV_PVIC_FC_INTR_STATUS_PM_EVENT_CLEAR                   0x00000001      /* RW--V */
#define NV_PVIC_FC_DEBUG0                                       0x00001428      /* R--4R */
#define NV_PVIC_FC_DEBUG0_PVLDS                                 28:0            /* R-XUF */
#define NV_PVIC_FC_DEBUG1                                       0x00001428      /* R--4R */
#define NV_PVIC_FC_DEBUG1_PRDYS                                 28:0            /* R-XUF */
#define NV_PVIC_FC_DEBUG2                                       0x00001428      /* R--4R */
#define NV_PVIC_FC_DEBUG2_IDLES                                 31:0            /* R-XUF */
#define NV_PVIC_FC_DEBUG3                                       0x00001428      /* R--4R */
#define NV_PVIC_FC_DEBUG3_SM_PP_ST                              2:0             /* R-XUF */
#define NV_PVIC_FC_DEBUG3_SM_FR_ST                              7:4             /* R-XUF */
#define NV_PVIC_FC_DEBUG3_SM_FW_ST                              14:12           /* R-XUF */
#define NV_PVIC_FC_DEBUG3_SM_BL_ST                              18:16           /* R-XUF */
#define NV_PVIC_FC_DEBUG3_SM_CALC_ST                            21:20           /* R-XUF */
#define NV_PVIC_FC_DEBUG3_SM_ARB_ST                             24:24           /* R-XUF */
#define NV_PVIC_FC_ERR                                          0x00001428      /* RW-4R */
#define NV_PVIC_FC_ERR_XSIZE_OVERFLOW                           0:0             /* RWIUF */
#define NV_PVIC_FC_ERR_XSIZE_OVERFLOW_INIT                      0x00000000      /* RWI-V */
#define NV_PVIC_FC_ERR_XSIZE_OVERFLOW_CLEAR                     0x00000001      /* RW--V */
#define NV_PVIC_FC_ERR_YSIZE_OVERFLOW                           1:1             /* RWIUF */
#define NV_PVIC_FC_ERR_YSIZE_OVERFLOW_INIT                      0x00000000      /* RWI-V */
#define NV_PVIC_FC_ERR_YSIZE_OVERFLOW_CLEAR                     0x00000001      /* RW--V */
#define NV_PVIC_FC_SPARE                                        0x00001428      /* RW-4R */
#define NV_PVIC_FC_SPARE_CYA                                    31:0            /* RWIUF */
#define NV_PVIC_FC_SPARE_CYA_INIT                               0x00000000      /* RWI-V */
#define NV_PVIC_FC_DEBUG2_2                                     0x00001428      /* R--4R */
#define NV_PVIC_FC_DEBUG2_2_IDLES                               1:0             /* R-XUF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_INDEX                        0x0000142c      /* RW-4R */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_INDEX_SLOT                   3:0             /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_INDEX_SLOT_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0                         0x0000142c      /* RW-4R */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_SLOT                    0:0             /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_SLOT_DISABLE            0x00000000      /* RWI-V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_SLOT_ENABLE             0x00000001      /* RW--V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_DENOISE                 1:1             /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_DENOISE_DISABLE         0x00000000      /* RWI-V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_DENOISE_ENABLE          0x00000001      /* RW--V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_ADV_DENOISE             2:2             /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_ADV_DENOISE_DISABLE     0x00000000      /* RWI-V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_ADV_DENOISE_ENABLE      0x00000001      /* RW--V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_CADENCE_DETECT          3:3             /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_CADENCE_DETECT_DISABLE  0x00000000      /* RWI-V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_CADENCE_DETECT_ENABLE   0x00000001      /* RW--V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_MOTION_MAP              4:4             /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_MOTION_MAP_DISABLE      0x00000000      /* RWI-V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_MOTION_MAP_ENABLE       0x00000001      /* RW--V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_COMBINE_MOTION          5:5             /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_COMBINE_MOTION_DISABLE  0x00000000      /* RWI-V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_COMBINE_MOTION_ENABLE   0x00000001      /* RW--V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_FIELD_ENABLES           15:8            /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_FIELD_CURRENT           8:8             /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_FIELD_CURRENT_DISABLE   0x00000000      /* RW--V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_FIELD_CURRENT_ENABLE    0x00000001      /* RWI-V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_FIELD_PREV              9:9             /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_FIELD_PREV_DISABLE      0x00000000      /* RWI-V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_FIELD_PREV_ENABLE       0x00000001      /* RW--V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_FIELD_NEXT              10:10           /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_FIELD_NEXT_DISABLE      0x00000000      /* RWI-V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_FIELD_NEXT_ENABLE       0x00000001      /* RW--V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_FIELD_NEXT_NR           11:11           /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_FIELD_NEXT_NR_DISABLE   0x00000000      /* RWI-V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_FIELD_NEXT_NR_ENABLE    0x00000001      /* RW--V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_FIELD_CUR_MOTION        12:12           /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_FIELD_CUR_MOTION_DISABLE 0x00000000     /* RWI-V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_FIELD_CUR_MOTION_ENABLE 0x00000001      /* RW--V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_FIELD_PREV_MOTION       13:13           /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_FIELD_PREV_MOTION_DISABLE 0x00000000    /* RWI-V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_FIELD_PREV_MOTION_ENABLE 0x00000001     /* RW--V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_FIELD_PREVPREV_MOTION   14:14           /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_FIELD_PREVPREV_MOTION_DISABLE 0x00000000 /* RWI-V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_FIELD_PREVPREV_MOTION_ENABLE 0x00000001 /* RW--V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_FIELD_COMBINE_MOTION    15:15           /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_FIELD_COMBINE_MOTION_DISABLE 0x00000000 /* RWI-V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG0_FIELD_COMBINE_MOTION_ENABLE 0x00000001  /* RW--V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG1                         0x0000142c      /* RW-4R */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG1_DI_MODE                 3:0             /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG1_FRAME_FORMAT            7:4             /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG1_LIGHT_LEVEL             11:8            /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG1_MOTION_ACCUM_WEIGHT     14:12           /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG1_NOISE_IIR               26:16           /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG1_IS_EVEN                 28:28           /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG1_CHROMA_EVEN             29:29           /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG2                         0x0000142c      /* RW-4R */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG2_PIXEL_FORMAT            6:0             /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG2_BLK_KIND                11:8            /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG2_BLK_HEIGHT              15:12           /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG2_CACHE_WIDTH             18:16           /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG2_OUTPUT_FLIP_X           20:20           /* R-IVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG2_OUTPUT_FLIP_Y           21:21           /* R-IVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG2_FLT_LEN_X               23:22           /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CFG2_FLT_LEN_Y               25:24           /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_SFC_SIZE                     0x0000142c      /* RW-4R */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_SFC_SIZE_WIDTH               13:0            /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_SFC_SIZE_HEIGHT              29:16           /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_LUMA_SIZE                    0x0000142c      /* RW-4R */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_LUMA_SIZE_WIDTH              13:0            /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_LUMA_SIZE_HEIGHT             29:16           /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CHROMA_SIZE                  0x0000142c      /* RW-4R */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CHROMA_SIZE_WIDTH            13:0            /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CHROMA_SIZE_HEIGHT           29:16           /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_SRC_RECT_LEFT                0x0000142c      /* RW-4R */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_SRC_RECT_LEFT_VAL            29:0            /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_SRC_RECT_RIGHT               0x0000142c      /* RW-4R */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_SRC_RECT_RIGHT_VAL           29:0            /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_SRC_RECT_TOP                 0x0000142c      /* RW-4R */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_SRC_RECT_TOP_VAL             29:0            /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_SRC_RECT_BOTTOM              0x0000142c      /* RW-4R */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_SRC_RECT_BOTTOM_VAL          29:0            /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_DST_RECT_LR                  0x0000142c      /* RW-4R */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_DST_RECT_LR_LEFT             13:0            /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_DST_RECT_LR_RIGHT            29:16           /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_DST_RECT_TB                  0x0000142c      /* RW-4R */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_DST_RECT_TB_TOP              13:0            /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_DST_RECT_TB_BOTTOM           29:16           /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_TGT_RECT_LR                       0x0000142c      /* RW-4R */
#define NV_PVIC_FC_CFG_STRUCT_TGT_RECT_LR_LEFT                  13:0            /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_TGT_RECT_LR_RIGHT                 29:16           /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_TGT_RECT_TB                       0x0000142c      /* RW-4R */
#define NV_PVIC_FC_CFG_STRUCT_TGT_RECT_TB_TOP                   13:0            /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_TGT_RECT_TB_BOTTOM                29:16           /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CDE_CONTROL                  0x0000142c      /* RW-4R */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CDE_CONTROL_DECOMP_EN        0:0             /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CDE_CONTROL_DECOMP_EN_INIT   0x00000000      /* RWI-V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CDE_CONTROL_DECOMP_KIND      7:4             /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CDE_CONTROL_DECOMP_KIND_INIT 0x00000000      /* RWI-V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CDE_CONTROL_DECOMP_KIND_2CRA 0x00000000      /* RW--V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CDE_CONTROL_DECOMP_KIND_BRA  0x00000001      /* RW--V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CDE_CTB_ENTRIES              0x0000142c      /* RW-4R */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CDE_CTB_ENTRIES_VAL          7:0             /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CDE_CTB_ENTRIES_VAL_INIT     0x00000000      /* RWI-V */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CDE_ZBC                      0x0000142c      /* RW-4R */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CDE_ZBC_VAL                  31:0            /* RWIVF */
#define NV_PVIC_FC_CFG_STRUCT_SLOT_CDE_ZBC_INIT                 0x00000000      /* RWI-V */
#define NV_PVIC_FC_CFG_CDE_STATUS                               0x0000142c      /* RW-4R */
#define NV_PVIC_FC_CFG_CDE_STATUS_EOF                           0:0             /* RWIVF */
#define NV_PVIC_FC_CFG_CDE_STATUS_EOF_INIT                      0x00000000      /* RWI-V */
#define NV_PVIC_FC_CFG_SLOT_SIZE_CTRL                           0x0000142c      /* RW-4R */
#define NV_PVIC_FC_CFG_SLOT_SIZE_CTRL_X                         3:0             /* RWIVF */
#define NV_PVIC_FC_CFG_SLOT_SIZE_CTRL_X_INIT                    0x00000000      /* RWI-V */
#define NV_PVIC_FC_CFG_SLOT_SIZE_CTRL_Y                         7:4             /* RWIVF */
#define NV_PVIC_FC_CFG_SLOT_SIZE_CTRL_Y_INIT                    0x00000000      /* RWI-V */
#define NV_PVIC_FC_CFG_SLOT_SIZE_CTRL_OVR_X_EN                  8:8             /* RWIVF */
#define NV_PVIC_FC_CFG_SLOT_SIZE_CTRL_OVR_X_EN_INIT             0x00000000      /* RWI-V */
#define NV_PVIC_FC_CFG_SLOT_SIZE_CTRL_OVR_Y_EN                  9:9             /* RWIVF */
#define NV_PVIC_FC_CFG_SLOT_SIZE_CTRL_OVR_Y_EN_INIT             0x00000000      /* RWI-V */
#define NV_PVIC_FC_CFG_DEGAMMA_INTP                             0x0000142c      /* RW-4R */
#define NV_PVIC_FC_CFG_DEGAMMA_INTP_EN                          15:0            /* RWIVF */
#define NV_PVIC_FC_CFG_DEGAMMA_INTP_EN_INIT                     0x0000ffff      /* RWI-V */
#define NV_PVIC_FC_CFG_CDE_DELAY_EVICT                          0x0000142c      /* RW-4R */
#define NV_PVIC_FC_CFG_CDE_DELAY_EVICT_EN                       15:0            /* RWIVF */
#define NV_PVIC_FC_CFG_CDE_DELAY_EVICT_EN_INIT                  0x00000000      /* RWI-V */
#define NV_PVIC_FC_CFG_CDE_DELAY_EVICT_OVR                      16:16           /* RWIVF */
#define NV_PVIC_FC_CFG_CDE_DELAY_EVICT_OVR_INIT                 0x00000000      /* RWI-V */
#define NV_PVIC_FC_CFG_YS_ALPHA_CLAMP                           0x0000142c      /* RW-4R */
#define NV_PVIC_FC_CFG_YS_ALPHA_CLAMP_EN                        15:0            /* RWIVF */
#define NV_PVIC_FC_CFG_YS_ALPHA_CLAMP_EN_INIT                   0x0000ffff      /* RWI-V */
#define NV_PVIC_FC_SLOT_MAP(i)                                  (0x00001430+(i)*0) /* RW-4A */
#define NV_PVIC_FC_SLOT_MAP__SIZE_1                             2               /*       */
#define NV_PVIC_FC_SLOT_MAP_SLOTS                               31:0            /* RWIVF */
#define NV_PVIC_FC_SLOT_MAP_SLOTS_INIT                          0xffffffff      /* RWI-V */
#define NV_PVIC_FC_CONFIG                                       0x00001434      /* RW-4R */
#define NV_PVIC_FC_CONFIG_HINT_CALC_MODE                        15:0            /* RWIVF */
#define NV_PVIC_FC_CONFIG_HINT_CALC_MODE_FULL                   0x0000ffff      /* RWI-V */
#define NV_PVIC_FC_CONFIG_HINT_CALC_MODE_MIN                    0x00000000      /* RW--V */
#define NV_PVIC_FC_CONFIG_SCPERF_INTERLACE_FIELDS_FIX           16:16           /* RWIVF */
#define NV_PVIC_FC_CONFIG_SCPERF_INTERLACE_FIELDS_FIX_ENABLE    0x00000001      /* RWI-V */
#define NV_PVIC_FC_CONFIG_SCPERF_INTERLACE_FIELDS_FIX_DISABLE   0x00000000      /* RW--V */
#define NV_PVIC_FC_FCE_CTRL                                     0x00001440      /* -W-4R */
#define NV_PVIC_FC_FCE_CTRL_START                               0:0             /* -W-VF */
#define NV_PVIC_FC_FCE_CTRL_START_TRIGGER                       0x00000001      /* -W--V */
#define NV_PVIC_FC_FCE_CTRL_HALT                                1:1             /* -W-VF */
#define NV_PVIC_FC_FCE_CTRL_HALT_TRIGGER                        0x00000001      /* -W--V */
#define NV_PVIC_FC_FCE_CTRL_CLEAR_ERROR                         8:8             /* -W-VF */
#define NV_PVIC_FC_FCE_STATUS                                   0x00001444      /* R--4R */
#define NV_PVIC_FC_FCE_STATUS_STARTED                           0:0             /* R-IVF */
#define NV_PVIC_FC_FCE_STATUS_STARTED_INIT                      0x00000000      /* R-I-V */
#define NV_PVIC_FC_FCE_STATUS_STARTED_YES                       0x00000001      /* R---V */
#define NV_PVIC_FC_FCE_STATUS_STARTED_NO                        0x00000000      /* R---V */
#define NV_PVIC_FC_FCE_STATUS_HALTED                            1:1             /* R-IVF */
#define NV_PVIC_FC_FCE_STATUS_HALTED_INIT                       0x00000001      /* R-I-V */
#define NV_PVIC_FC_FCE_STATUS_HALTED_YES                        0x00000001      /* R---V */
#define NV_PVIC_FC_FCE_STATUS_HALTED_NO                         0x00000000      /* R---V */
#define NV_PVIC_FC_FCE_STATUS_ERROR_CODE                        8:8             /* R-IVF */
#define NV_PVIC_FC_FCE_STATUS_ERROR_CODE_INIT                   0x00000000      /* R-I-V */
#define NV_PVIC_FC_FCE_UCODE_ADDR                               0x00001448      /* RW-4R */
#define NV_PVIC_FC_FCE_UCODE_ADDR_VAL                           10:2            /* RWXVF */
#define NV_PVIC_FC_FCE_UCODE_ADDR_VAL_INIT                      0x00000000      /* RWI-V */
#define NV_PVIC_FC_FCE_UCODE_INST                               0x0000144c      /* RW-4R */
#define NV_PVIC_FC_FCE_UCODE_INST_VAL                           22:0            /* RWXVF */
#define NV_PVIC_FC_FCE_REG_ADDR                                 0x00001450      /* RW-4R */
#define NV_PVIC_FC_FCE_REG_ADDR_VAL                             3:0             /* RWIVF */
#define NV_PVIC_FC_FCE_REG_ADDR_VAL_INIT                        0x0000000f      /* RWI-V */
#define NV_PVIC_FC_FCE_REG_ADDR_VAL_R0                          0x00000000      /* RW--V */
#define NV_PVIC_FC_FCE_REG_ADDR_VAL_R1                          0x00000001      /* RW--V */
#define NV_PVIC_FC_FCE_REG_ADDR_VAL_R2                          0x00000002      /* RW--V */
#define NV_PVIC_FC_FCE_REG_ADDR_VAL_R3                          0x00000003      /* RW--V */
#define NV_PVIC_FC_FCE_REG_ADDR_VAL_R4                          0x00000004      /* RW--V */
#define NV_PVIC_FC_FCE_REG_ADDR_VAL_R5                          0x00000005      /* RW--V */
#define NV_PVIC_FC_FCE_REG_ADDR_VAL_R6                          0x00000006      /* RW--V */
#define NV_PVIC_FC_FCE_REG_ADDR_VAL_R7                          0x00000007      /* RW--V */
#define NV_PVIC_FC_FCE_REG_ADDR_VAL_CC                          0x0000000a      /* RW--V */
#define NV_PVIC_FC_FCE_REG_ADDR_VAL_ID                          0x0000000b      /* RW--V */
#define NV_PVIC_FC_FCE_REG_ADDR_VAL_PC                          0x00000008      /* RW--V */
#define NV_PVIC_FC_FCE_REG_ADDR_VAL_INST                        0x00000009      /* R---V */
#define NV_PVIC_FC_FCE_REG_ADDR_VAL_NONE                        0x0000000f      /* RW--V */
#define NV_PVIC_FC_FCE_REG_DATA_LO                              0x00001454      /* RW-4R */
#define NV_PVIC_FC_FCE_REG_DATA_LO_VAL                          31:0            /* RWIVF */
#define NV_PVIC_FC_FCE_REG_DATA_LO_VAL_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_FC_FCE_REG_DATA_HI                              0x00001458      /* RW-4R */
#define NV_PVIC_FC_FCE_REG_DATA_HI_VAL                          15:0            /* RWIVF */
#define NV_PVIC_FC_FCE_REG_DATA_HI_VAL_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_SL_DEBUG                                        0x00001480      /* R--4R */
#define NV_PVIC_SL_DEBUG_DATA                                   10:0            /* R-XUF */
#define NV_PVIC_SL_CFG_STRUCT_SLOT_INDEX                        0x00001484      /* RW-4R */
#define NV_PVIC_SL_CFG_STRUCT_SLOT_INDEX_SLOT                   3:0             /* RWIVF */
#define NV_PVIC_SL_CFG_STRUCT_SLOT_INDEX_SLOT_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_SL_CFG_STRUCT_SLOT_DST_RECT_LR                  0x00001488      /* RW-4R */
#define NV_PVIC_SL_CFG_STRUCT_SLOT_DST_RECT_LR_LEFT             13:0            /* RWIVF */
#define NV_PVIC_SL_CFG_STRUCT_SLOT_DST_RECT_LR_LEFT_INIT        0x00000000      /* RWI-V */
#define NV_PVIC_SL_CFG_STRUCT_SLOT_DST_RECT_LR_RIGHT            29:16           /* RWIVF */
#define NV_PVIC_SL_CFG_STRUCT_SLOT_DST_RECT_LR_RIGHT_INIT       0x00000000      /* RWI-V */
#define NV_PVIC_SL_CFG_STRUCT_SLOT_DST_RECT_TB                  0x0000148c      /* RW-4R */
#define NV_PVIC_SL_CFG_STRUCT_SLOT_DST_RECT_TB_TOP              13:0            /* RWIVF */
#define NV_PVIC_SL_CFG_STRUCT_SLOT_DST_RECT_TB_TOP_INIT         0x00000000      /* RWI-V */
#define NV_PVIC_SL_CFG_STRUCT_SLOT_DST_RECT_TB_BOTTOM           29:16           /* RWIVF */
#define NV_PVIC_SL_CFG_STRUCT_SLOT_DST_RECT_TB_BOTTOM_INIT      0x00000000      /* RWI-V */
#define NV_PVIC_SL_CFG_STRUCT_TGT_RECT_LR                       0x00001490      /* RW-4R */
#define NV_PVIC_SL_CFG_STRUCT_TGT_RECT_LR_LEFT                  13:0            /* RWIVF */
#define NV_PVIC_SL_CFG_STRUCT_TGT_RECT_LR_LEFT_INIT             0x00000000      /* RWI-V */
#define NV_PVIC_SL_CFG_STRUCT_TGT_RECT_LR_RIGHT                 29:16           /* RWIVF */
#define NV_PVIC_SL_CFG_STRUCT_TGT_RECT_LR_RIGHT_INIT            0x00000000      /* RWI-V */
#define NV_PVIC_SL_CFG_STRUCT_TGT_RECT_TB                       0x00001494      /* RW-4R */
#define NV_PVIC_SL_CFG_STRUCT_TGT_RECT_TB_TOP                   13:0            /* RWIVF */
#define NV_PVIC_SL_CFG_STRUCT_TGT_RECT_TB_TOP_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_SL_CFG_STRUCT_TGT_RECT_TB_BOTTOM                29:16           /* RWIVF */
#define NV_PVIC_SL_CFG_STRUCT_TGT_RECT_TB_BOTTOM_INIT           0x00000000      /* RWI-V */
#define NV_PVIC_SL_CFG_STRUCT_SLOT_CFG0                         0x00001498      /* RW-4R */
#define NV_PVIC_SL_CFG_STRUCT_SLOT_CFG0_SLOT                    0:0             /* RWIVF */
#define NV_PVIC_SL_CFG_STRUCT_SLOT_CFG0_SLOT_DISABLE            0x00000000      /* RWI-V */
#define NV_PVIC_SL_CFG_STRUCT_SLOT_CFG0_SLOT_ENABLE             0x00000001      /* RW--V */
#define NV_PVIC_SL_CFG_STRUCT_SLOT_CFG1                         0x0000149c      /* R--4R */
#define NV_PVIC_SL_CFG_STRUCT_SLOT_CFG1_CRCMASK                 7:0             /* R--VF */
#define NV_PVIC_SC_PRAMBASE                                     0x00001500      /* RW-4R */
#define NV_PVIC_SC_PRAMBASE_ADR                                 31:0            /* RWIVF */
#define NV_PVIC_SC_PRAMBASE_ADR_INIT                            0x00000000      /* RWI-V */
#define NV_PVIC_SC_PRAMSIZE                                     0x00001504      /* RW-4R */
#define NV_PVIC_SC_PRAMSIZE_SIZE                                31:0            /* RWIVF */
#define NV_PVIC_SC_PRAMSIZE_SIZE_INIT                           0x00000000      /* RWI-V */
#define NV_PVIC_SC_PALBASE                                      0x00001508      /* RW-4R */
#define NV_PVIC_SC_PALBASE_ADR                                  31:0            /* RWIVF */
#define NV_PVIC_SC_PALBASE_ADR_INIT                             0x00000000      /* RWI-V */
#define NV_PVIC_SC_SFC0_BASE_LUMA(i)                            (0x0000150c+(i)*4) /* RW-4A */
#define NV_PVIC_SC_SFC0_BASE_LUMA__SIZE_1                       16              /*       */
#define NV_PVIC_SC_SFC0_BASE_LUMA_ADR                           31:0            /* RW-VF */
#define NV_PVIC_SC_SFC0_BASE_CHROMA_U(i)                        (0x0000150c+(i)*4) /* RW-4A */
#define NV_PVIC_SC_SFC0_BASE_CHROMA_U__SIZE_1                   16              /*       */
#define NV_PVIC_SC_SFC0_BASE_CHROMA_U_ADR                       31:0            /* RW-VF */
#define NV_PVIC_SC_SFC0_BASE_CHROMA_V(i)                        (0x0000150c+(i)*4) /* RW-4A */
#define NV_PVIC_SC_SFC0_BASE_CHROMA_V__SIZE_1                   16              /*       */
#define NV_PVIC_SC_SFC0_BASE_CHROMA_V_ADR                       31:0            /* RW-VF */
#define NV_PVIC_SC_SFC1_BASE_LUMA(i)                            (0x0000150c+(i)*4) /* RW-4A */
#define NV_PVIC_SC_SFC1_BASE_LUMA__SIZE_1                       16              /*       */
#define NV_PVIC_SC_SFC1_BASE_LUMA_ADR                           31:0            /* RW-VF */
#define NV_PVIC_SC_SFC1_BASE_CHROMA_U(i)                        (0x0000150c+(i)*4) /* RW-4A */
#define NV_PVIC_SC_SFC1_BASE_CHROMA_U__SIZE_1                   16              /*       */
#define NV_PVIC_SC_SFC1_BASE_CHROMA_U_ADR                       31:0            /* RW-VF */
#define NV_PVIC_SC_SFC1_BASE_CHROMA_V(i)                        (0x0000150c+(i)*4) /* RW-4A */
#define NV_PVIC_SC_SFC1_BASE_CHROMA_V__SIZE_1                   16              /*       */
#define NV_PVIC_SC_SFC1_BASE_CHROMA_V_ADR                       31:0            /* RW-VF */
#define NV_PVIC_SC_SFC2_BASE_LUMA(i)                            (0x0000150c+(i)*4) /* RW-4A */
#define NV_PVIC_SC_SFC2_BASE_LUMA__SIZE_1                       16              /*       */
#define NV_PVIC_SC_SFC2_BASE_LUMA_ADR                           31:0            /* RW-VF */
#define NV_PVIC_SC_SFC2_BASE_CHROMA_U(i)                        (0x0000150c+(i)*4) /* RW-4A */
#define NV_PVIC_SC_SFC2_BASE_CHROMA_U__SIZE_1                   16              /*       */
#define NV_PVIC_SC_SFC2_BASE_CHROMA_U_ADR                       31:0            /* RW-VF */
#define NV_PVIC_SC_SFC2_BASE_CHROMA_V(i)                        (0x0000150c+(i)*4) /* RW-4A */
#define NV_PVIC_SC_SFC2_BASE_CHROMA_V__SIZE_1                   16              /*       */
#define NV_PVIC_SC_SFC2_BASE_CHROMA_V_ADR                       31:0            /* RW-VF */
#define NV_PVIC_SC_SFC3_BASE_LUMA(i)                            (0x0000150c+(i)*4) /* RW-4A */
#define NV_PVIC_SC_SFC3_BASE_LUMA__SIZE_1                       16              /*       */
#define NV_PVIC_SC_SFC3_BASE_LUMA_ADR                           31:0            /* RW-VF */
#define NV_PVIC_SC_SFC3_BASE_CHROMA_U(i)                        (0x0000150c+(i)*4) /* RW-4A */
#define NV_PVIC_SC_SFC3_BASE_CHROMA_U__SIZE_1                   16              /*       */
#define NV_PVIC_SC_SFC3_BASE_CHROMA_U_ADR                       31:0            /* RW-VF */
#define NV_PVIC_SC_SFC3_BASE_CHROMA_V(i)                        (0x0000150c+(i)*4) /* RW-4A */
#define NV_PVIC_SC_SFC3_BASE_CHROMA_V__SIZE_1                   16              /*       */
#define NV_PVIC_SC_SFC3_BASE_CHROMA_V_ADR                       31:0            /* RW-VF */
#define NV_PVIC_SC_SFC4_BASE_LUMA(i)                            (0x0000150c+(i)*4) /* RW-4A */
#define NV_PVIC_SC_SFC4_BASE_LUMA__SIZE_1                       16              /*       */
#define NV_PVIC_SC_SFC4_BASE_LUMA_ADR                           31:0            /* RW-VF */
#define NV_PVIC_SC_SFC4_BASE_CHROMA_U(i)                        (0x0000150c+(i)*4) /* RW-4A */
#define NV_PVIC_SC_SFC4_BASE_CHROMA_U__SIZE_1                   16              /*       */
#define NV_PVIC_SC_SFC4_BASE_CHROMA_U_ADR                       31:0            /* RW-VF */
#define NV_PVIC_SC_SFC4_BASE_CHROMA_V(i)                        (0x0000150c+(i)*4) /* RW-4A */
#define NV_PVIC_SC_SFC4_BASE_CHROMA_V__SIZE_1                   16              /*       */
#define NV_PVIC_SC_SFC4_BASE_CHROMA_V_ADR                       31:0            /* RW-VF */
#define NV_PVIC_SC_SFC5_BASE_LUMA(i)                            (0x0000150c+(i)*4) /* RW-4A */
#define NV_PVIC_SC_SFC5_BASE_LUMA__SIZE_1                       16              /*       */
#define NV_PVIC_SC_SFC5_BASE_LUMA_ADR                           31:0            /* RW-VF */
#define NV_PVIC_SC_SFC5_BASE_CHROMA_U(i)                        (0x0000150c+(i)*4) /* RW-4A */
#define NV_PVIC_SC_SFC5_BASE_CHROMA_U__SIZE_1                   16              /*       */
#define NV_PVIC_SC_SFC5_BASE_CHROMA_U_ADR                       31:0            /* RW-VF */
#define NV_PVIC_SC_SFC5_BASE_CHROMA_V(i)                        (0x0000150c+(i)*4) /* RW-4A */
#define NV_PVIC_SC_SFC5_BASE_CHROMA_V__SIZE_1                   16              /*       */
#define NV_PVIC_SC_SFC5_BASE_CHROMA_V_ADR                       31:0            /* RW-VF */
#define NV_PVIC_SC_SFC6_BASE_LUMA(i)                            (0x0000150c+(i)*4) /* RW-4A */
#define NV_PVIC_SC_SFC6_BASE_LUMA__SIZE_1                       16              /*       */
#define NV_PVIC_SC_SFC6_BASE_LUMA_ADR                           31:0            /* RW-VF */
#define NV_PVIC_SC_SFC6_BASE_CHROMA_U(i)                        (0x0000150c+(i)*4) /* RW-4A */
#define NV_PVIC_SC_SFC6_BASE_CHROMA_U__SIZE_1                   16              /*       */
#define NV_PVIC_SC_SFC6_BASE_CHROMA_U_ADR                       31:0            /* RW-VF */
#define NV_PVIC_SC_SFC6_BASE_CHROMA_V(i)                        (0x0000150c+(i)*4) /* RW-4A */
#define NV_PVIC_SC_SFC6_BASE_CHROMA_V__SIZE_1                   16              /*       */
#define NV_PVIC_SC_SFC6_BASE_CHROMA_V_ADR                       31:0            /* RW-VF */
#define NV_PVIC_SC_SFC7_BASE_LUMA(i)                            (0x0000150c+(i)*4) /* RW-4A */
#define NV_PVIC_SC_SFC7_BASE_LUMA__SIZE_1                       16              /*       */
#define NV_PVIC_SC_SFC7_BASE_LUMA_ADR                           31:0            /* RW-VF */
#define NV_PVIC_SC_SFC7_BASE_CHROMA_U(i)                        (0x0000150c+(i)*4) /* RW-4A */
#define NV_PVIC_SC_SFC7_BASE_CHROMA_U__SIZE_1                   16              /*       */
#define NV_PVIC_SC_SFC7_BASE_CHROMA_U_ADR                       31:0            /* RW-VF */
#define NV_PVIC_SC_SFC7_BASE_CHROMA_V(i)                        (0x0000150c+(i)*4) /* RW-4A */
#define NV_PVIC_SC_SFC7_BASE_CHROMA_V__SIZE_1                   16              /*       */
#define NV_PVIC_SC_SFC7_BASE_CHROMA_V_ADR                       31:0            /* RW-VF */
#define NV_PVIC_SC_SFCCTXDMAIDX(i)                              (0x0000150c+(i)*4) /* R--4A */
#define NV_PVIC_SC_SFCCTXDMAIDX__SIZE_1                         16              /*       */
#define NV_PVIC_SC_SFCCTXDMAIDX_SFC0_IDX                        3:0             /* R-IVF */
#define NV_PVIC_SC_SFCCTXDMAIDX_SFC0_IDX_INIT                   0x00000000      /* R-I-V */
#define NV_PVIC_SC_SFCCTXDMAIDX_SFC1_IDX                        7:4             /* R-IVF */
#define NV_PVIC_SC_SFCCTXDMAIDX_SFC1_IDX_INIT                   0x00000000      /* R-I-V */
#define NV_PVIC_SC_SFCCTXDMAIDX_SFC2_IDX                        11:8            /* R-IVF */
#define NV_PVIC_SC_SFCCTXDMAIDX_SFC2_IDX_INIT                   0x00000000      /* R-I-V */
#define NV_PVIC_SC_SFCCTXDMAIDX_SFC3_IDX                        15:12           /* R-IVF */
#define NV_PVIC_SC_SFCCTXDMAIDX_SFC3_IDX_INIT                   0x00000000      /* R-I-V */
#define NV_PVIC_SC_SFCCTXDMAIDX_SFC4_IDX                        19:16           /* R-IVF */
#define NV_PVIC_SC_SFCCTXDMAIDX_SFC4_IDX_INIT                   0x00000000      /* R-I-V */
#define NV_PVIC_SC_SFCCTXDMAIDX_SFC5_IDX                        23:20           /* R-IVF */
#define NV_PVIC_SC_SFCCTXDMAIDX_SFC5_IDX_INIT                   0x00000000      /* R-I-V */
#define NV_PVIC_SC_SFCCTXDMAIDX_SFC6_IDX                        27:24           /* R-IVF */
#define NV_PVIC_SC_SFCCTXDMAIDX_SFC6_IDX_INIT                   0x00000000      /* R-I-V */
#define NV_PVIC_SC_SFCCTXDMAIDX_SFC7_IDX                        31:28           /* R-IVF */
#define NV_PVIC_SC_SFCCTXDMAIDX_SFC7_IDX_INIT                   0x00000000      /* R-I-V */
#define NV_PVIC_SC_CTXDMAIDX                                    0x0000154c      /* R--4R */
#define NV_PVIC_SC_CTXDMAIDX_CFG_IDX                            7:4             /* R-IUF */
#define NV_PVIC_SC_CTXDMAIDX_CFG_IDX_INIT                       0x00000000      /* R-I-V */
#define NV_PVIC_SC_CTXDMAIDX_PALETTE_IDX                        11:8            /* R-IUF */
#define NV_PVIC_SC_CTXDMAIDX_PALETTE_IDX_INIT                   0x00000000      /* R-I-V */
#define NV_PVIC_SC_OUTSTDNUM                                    0x00001550      /* RW-4R */
#define NV_PVIC_SC_OUTSTDNUM_SPARE_REG                          31:8            /* RWIUF */
#define NV_PVIC_SC_OUTSTDNUM_SPARE_REG_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_SC_OUTSTDNUM_VAL                                7:0             /* RWIUF */
#define NV_PVIC_SC_OUTSTDNUM_VAL_INIT                           0x000000c0      /* RWI-V */
#define NV_PVIC_SC_THROTTLE_CTL                                 0x00001554      /* RW-4R */
#define NV_PVIC_SC_THROTTLE_CTL_LOCK_ENTRIES_THRESH             7:0             /* RWIUF */
#define NV_PVIC_SC_THROTTLE_CTL_LOCK_ENTRIES_THRESH_INIT        0x000000c0      /* RWI-V */
#define NV_PVIC_SC_THROTTLE_CTL_RATE_THROTTLE_EN                8:8             /* RWIVF */
#define NV_PVIC_SC_THROTTLE_CTL_RATE_THROTTLE_EN_INIT           0x00000000      /* RWI-V */
#define NV_PVIC_SC_THROTTLE_CTL_RATE_THROTTLE_STALLS_TOL        19:9            /* RWIUF */
#define NV_PVIC_SC_THROTTLE_CTL_RATE_THROTTLE_STALLS_TOL_VAL    0x00000050      /* RWI-V */
#define NV_PVIC_SC_THROTTLE_CTL_LATENCY_THROTTLE_EN             20:20           /* RWIVF */
#define NV_PVIC_SC_THROTTLE_CTL_LATENCY_THROTTLE_EN_INIT        0x00000000      /* RWI-V */
#define NV_PVIC_SC_THROTTLE_CTL_LATENCY_THROTTLE_LATENCY        31:21           /* RWIUF */
#define NV_PVIC_SC_THROTTLE_CTL_LATENCY_THROTTLE_LATENCY_VAL    0x00000226      /* RWI-V */
#define NV_PVIC_SC_DEBUG0                                       0x00001558      /* R--4R */
#define NV_PVIC_SC_DEBUG0_RD_ADDR0                              6:0             /* R-XUF */
#define NV_PVIC_SC_DEBUG0_RD_ADDR1                              13:7            /* R-XUF */
#define NV_PVIC_SC_DEBUG0_RD_ADDR2                              20:14           /* R-XUF */
#define NV_PVIC_SC_DEBUG0_RD_ADDR3                              27:21           /* R-IUF */
#define NV_PVIC_SC_DEBUG1                                       0x00001558      /* R--4R */
#define NV_PVIC_SC_DEBUG1_RD_ADDR4                              6:0             /* R-XUF */
#define NV_PVIC_SC_DEBUG1_RD_ADDR5                              13:7            /* R-XUF */
#define NV_PVIC_SC_DEBUG1_RD_ADDR6                              20:14           /* R-XUF */
#define NV_PVIC_SC_DEBUG1_RD_ADDR7                              27:21           /* R-IUF */
#define NV_PVIC_SC_DEBUG2                                       0x00001558      /* R--4R */
#define NV_PVIC_SC_DEBUG2_ERR_STATUS_RESET                      31:31           /* R-IUF */
#define NV_PVIC_SC_DEBUG2_ERR_STATUS_RESET_INIT                 0x00000000      /* R-I-V */
#define NV_PVIC_SC_DEBUG2_ERR_STATUS_PALADM                     30:30           /* R-IUF */
#define NV_PVIC_SC_DEBUG2_ERR_STATUS_PALADM_INIT                0x00000000      /* R-I-V */
#define NV_PVIC_SC_DEBUG2_ERR_STATUS_PRC                        29:29           /* R-IUF */
#define NV_PVIC_SC_DEBUG2_ERR_STATUS_PRC_INIT                   0x00000000      /* R-I-V */
#define NV_PVIC_SC_DEBUG2_ERR_STATUS_QBAR                       28:28           /* R-IUF */
#define NV_PVIC_SC_DEBUG2_ERR_STATUS_QBAR_INIT                  0x00000000      /* R-I-V */
#define NV_PVIC_SC_DEBUG2_ERR_STATUS_XYCNT                      27:27           /* R-IUF */
#define NV_PVIC_SC_DEBUG2_ERR_STATUS_XYCNT_INIT                 0x00000000      /* R-I-V */
#define NV_PVIC_SC_DEBUG2_PVLDS                                 26:18           /* R-IUF */
#define NV_PVIC_SC_DEBUG2_PVLDS_INIT                            0x00000010      /* R-I-V */
#define NV_PVIC_SC_DEBUG2_PRC_VLD                               17:3            /* R-IUF */
#define NV_PVIC_SC_DEBUG2_PRC_VLD_INIT                          0x00000000      /* R-I-V */
#define NV_PVIC_SC_DEBUG2_SC_SC2DI_VLD                          2:2             /* R-IUF */
#define NV_PVIC_SC_DEBUG2_SC_SC2DI_VLD_INIT                     0x00000000      /* R-I-V */
#define NV_PVIC_SC_DEBUG2_SC_SC2TN_VLD                          1:1             /* R-IUF */
#define NV_PVIC_SC_DEBUG2_SC_SC2TN_VLD_INIT                     0x00000000      /* R-I-V */
#define NV_PVIC_SC_DEBUG2_SC_SC2CD_VLD                          0:0             /* R-IUF */
#define NV_PVIC_SC_DEBUG2_SC_SC2CD_VLD_INIT                     0x00000000      /* R-I-V */
#define NV_PVIC_SC_DEBUG3                                       0x00001558      /* R--4R */
#define NV_PVIC_SC_DEBUG3_RD_CLS7                               31:31           /* R-IUF */
#define NV_PVIC_SC_DEBUG3_RD_CLS7_INIT                          0x00000000      /* R-I-V */
#define NV_PVIC_SC_DEBUG3_RD_CLS6                               30:30           /* R-IUF */
#define NV_PVIC_SC_DEBUG3_RD_CLS6_INIT                          0x00000000      /* R-I-V */
#define NV_PVIC_SC_DEBUG3_RD_CLS5                               29:29           /* R-IUF */
#define NV_PVIC_SC_DEBUG3_RD_CLS5_INIT                          0x00000000      /* R-I-V */
#define NV_PVIC_SC_DEBUG3_RD_CLS4                               28:28           /* R-IUF */
#define NV_PVIC_SC_DEBUG3_RD_CLS4_INIT                          0x00000000      /* R-I-V */
#define NV_PVIC_SC_DEBUG3_RD_CLS3                               27:27           /* R-IUF */
#define NV_PVIC_SC_DEBUG3_RD_CLS3_INIT                          0x00000000      /* R-I-V */
#define NV_PVIC_SC_DEBUG3_RD_CLS2                               26:26           /* R-IUF */
#define NV_PVIC_SC_DEBUG3_RD_CLS2_INIT                          0x00000000      /* R-I-V */
#define NV_PVIC_SC_DEBUG3_RD_CLS1                               25:25           /* R-IUF */
#define NV_PVIC_SC_DEBUG3_RD_CLS1_INIT                          0x00000000      /* R-I-V */
#define NV_PVIC_SC_DEBUG3_RD_CLS0                               24:24           /* R-IUF */
#define NV_PVIC_SC_DEBUG3_RD_CLS0_INIT                          0x00000000      /* R-I-V */
#define NV_PVIC_SC_DEBUG3_STATES                                22:12           /* R-IUF */
#define NV_PVIC_SC_DEBUG3_STATES_INIT                           0x00000000      /* R-I-V */
#define NV_PVIC_SC_DEBUG3_IDLES                                 11:0            /* R-IUF */
#define NV_PVIC_SC_DEBUG3_IDLES_INIT                            0x00000fff      /* R-I-V */
#define NV_PVIC_SC_DEBUG4                                       0x00001558      /* R--4R */
#define NV_PVIC_SC_DEBUG4_PRDYS                                 16:9            /* R-IUF */
#define NV_PVIC_SC_DEBUG4_PRDYS_INIT                            0x00000099      /* R-I-V */
#define NV_PVIC_SC_DEBUG4_PRC_RDY                               8:3             /* R-IUF */
#define NV_PVIC_SC_DEBUG4_PRC_RDY_INIT                          0x00000006      /* R-I-V */
#define NV_PVIC_SC_DEBUG4_SC_SC2DI_PRDY                         2:2             /* R-IUF */
#define NV_PVIC_SC_DEBUG4_SC_SC2DI_PRDY_INIT                    0x00000001      /* R-I-V */
#define NV_PVIC_SC_DEBUG4_SC_SC2TN_PRDY                         1:1             /* R-IUF */
#define NV_PVIC_SC_DEBUG4_SC_SC2TN_PRDY_INIT                    0x00000001      /* R-I-V */
#define NV_PVIC_SC_DEBUG4_SC_SC2CD_PRDY                         0:0             /* R-IUF */
#define NV_PVIC_SC_DEBUG4_SC_SC2CD_PRDY_INIT                    0x00000001      /* R-I-V */
#define NV_PVIC_SC_SPECIAL_REG                                  0x00001558      /* RW-4R */
#define NV_PVIC_SC_SPECIAL_REG_HINT_CHK_EN                      0:0             /* RWIUF */
#define NV_PVIC_SC_SPECIAL_REG_HINT_CHK_EN_INIT                 0x00000000      /* RWI-V */
#define NV_PVIC_SC_SPECIAL_REG_CDE_TRAVERSAL_CHK_EN             1:1             /* RWIUF */
#define NV_PVIC_SC_SPECIAL_REG_CDE_TRAVERSAL_CHK_EN_INIT        0x00000000      /* RWI-V */
#define NV_PVIC_SC_SPECIAL_REG_CDE_TRAVERSAL_STS                2:2             /* RWIUF */
#define NV_PVIC_SC_SPECIAL_REG_CDE_TRAVERSAL_STS_INIT           0x00000000      /* RWI-V */
#define NV_PVIC_SC_SPECIAL_REG_CDE_LONGJUMP_CHK_EN              3:3             /* RWIUF */
#define NV_PVIC_SC_SPECIAL_REG_CDE_LONGJUMP_CHK_EN_INIT         0x00000000      /* RWI-V */
#define NV_PVIC_SC_SPECIAL_REG_CDE_LONGJUMP_STS                 4:4             /* RWIUF */
#define NV_PVIC_SC_SPECIAL_REG_CDE_LONGJUMP_STS_INIT            0x00000000      /* RWI-V */
#define NV_PVIC_SC_SPECIAL_REG_IDLE_DLYCNT_EN                   5:5             /* RWIUF */
#define NV_PVIC_SC_SPECIAL_REG_IDLE_DLYCNT_EN_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_SC_SPECIAL_REG_IDLE_DLY_CNTR                    9:6             /* RWIUF */
#define NV_PVIC_SC_SPECIAL_REG_IDLE_DLY_CNTR_INIT               0x00000007      /* RWI-V */
#define NV_PVIC_SC_FILTERSTRUCT_BASE                            0x0000155c      /* RW-4R */
#define NV_PVIC_SC_FILTERSTRUCT_BASE_ADR                        31:0            /* RWIVF */
#define NV_PVIC_SC_FILTERSTRUCT_BASE_ADR_INIT                   0x00000000      /* RWI-V */
#define NV_PVIC_SC_DBG_SC_CL                                    0x00001560      /* RW-4R */
#define NV_PVIC_SC_DBG_SC_CL_EN                                 31:0            /* RWIVF */
#define NV_PVIC_SC_DBG_SC_CL_EN_INIT                            0xffffffff      /* RWI-V */
#define NV_PVIC_SC_DBG_VICPMCTL                                 0x0000156c      /* RW-4R */
#define NV_PVIC_SC_DBG_VICPMCTL_SLOTMASK                        15:0            /* RWXVF */
#define NV_PVIC_SC_DBG_VICPMCTL_SLOTMASK_INIT                   0x0000001f      /* RWI-V */
#define NV_PVIC_SC_DBG_VICPMCTL_HINTMASK                        23:16           /* RWXVF */
#define NV_PVIC_SC_DBG_VICPMCTL_HINTMASK_INIT                   0x0000001f      /* RWI-V */
#define NV_PVIC_IT_TN_MODE                                      0x00001580      /* RW-4R */
#define NV_PVIC_IT_TN_MODE_LSTRIDE                              3:0             /* RWIUF */
#define NV_PVIC_IT_TN_MODE_LSTRIDE_INIT                         0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_MODE_DEBLUR_CONST                         7:4             /* RWIUF */
#define NV_PVIC_IT_TN_MODE_DEBLUR_CONST_INIT                    0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_MODE_EVEN_LUMA                            8:8             /* RWIUF */
#define NV_PVIC_IT_TN_MODE_EVEN_LUMA_INIT                       0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_MODE_SKIP_CHROMA                          9:9             /* RWIUF */
#define NV_PVIC_IT_TN_MODE_SKIP_CHROMA_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_MODE_SEND_BL                              10:10           /* RWIUF */
#define NV_PVIC_IT_TN_MODE_SEND_BL_INIT                         0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_MODE_SEND_CD                              11:11           /* RWIUF */
#define NV_PVIC_IT_TN_MODE_SEND_CD_INIT                         0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_MODE_FLT_MEDIAN                           12:12           /* RWIUF */
#define NV_PVIC_IT_TN_MODE_FLT_MEDIAN_INIT                      0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_MODE_TEMP_DENOISE                         13:13           /* RWIUF */
#define NV_PVIC_IT_TN_MODE_TEMP_DENOISE_INIT                    0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_MODE_MOTION_MAP                           14:14           /* RWIUF */
#define NV_PVIC_IT_TN_MODE_MOTION_MAP_INIT                      0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_MODE_IS_EVEN                              15:15           /* RWIUF */
#define NV_PVIC_IT_TN_MODE_IS_EVEN_INIT                         0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_MODE_IIR                                  26:16           /* RWIUF */
#define NV_PVIC_IT_TN_MODE_IIR_INIT                             0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_MODE_IIR_MIN                              0x00000000      /* RW--V */
#define NV_PVIC_IT_TN_MODE_IIR_MAX                              0x00000400      /* RW--V */
#define NV_PVIC_IT_TN_MODE_RESERVED0                            27:27           /* RWIUF */
#define NV_PVIC_IT_TN_MODE_RESERVED0_INIT                       0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_MODE_SIMPLE                               28:28           /* RWIUF */
#define NV_PVIC_IT_TN_MODE_SIMPLE_INIT                          0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_MODE_LIMIT_ALPHA                          29:29           /* RWIUF */
#define NV_PVIC_IT_TN_MODE_LIMIT_ALPHA_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_MODE_HD_RAMP                              30:30           /* RWIUF */
#define NV_PVIC_IT_TN_MODE_HD_RAMP_INIT                         0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_MODE_COMBINE_MOTION                       31:31           /* RWIUF */
#define NV_PVIC_IT_TN_MODE_COMBINE_MOTION_INIT                  0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_CONST                                     0x00001584      /* RW-4R */
#define NV_PVIC_IT_TN_CONST_RAMP_M                              15:0            /* RWIUF */
#define NV_PVIC_IT_TN_CONST_RAMP_M_INIT                         0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_CONST_RAMP_B                              29:16           /* RWIUF */
#define NV_PVIC_IT_TN_CONST_RAMP_B_INIT                         0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_CONST_ABS_DIFF                            31:30           /* RWIUF */
#define NV_PVIC_IT_TN_CONST_ABS_DIFF_INIT                       0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_CMODE                                     0x00001588      /* RW-4R */
#define NV_PVIC_IT_TN_CMODE_LSTRIDE                             3:0             /* RWIUF */
#define NV_PVIC_IT_TN_CMODE_LSTRIDE_INIT                        0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_CMODE_DEBLUR_CONST                        7:4             /* RWIUF */
#define NV_PVIC_IT_TN_CMODE_DEBLUR_CONST_INIT                   0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_CMODE_RESERVED0                           9:8             /* RWIUF */
#define NV_PVIC_IT_TN_CMODE_RESERVED0_INIT                      0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_CMODE_SEND_BL                             10:10           /* RWIUF */
#define NV_PVIC_IT_TN_CMODE_SEND_BL_INIT                        0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_CMODE_TEN_BIT                             11:11           /* RWIUF */
#define NV_PVIC_IT_TN_CMODE_TEN_BIT_INIT                        0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_CMODE_FLT_MEDIAN                          12:12           /* RWIUF */
#define NV_PVIC_IT_TN_CMODE_FLT_MEDIAN_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_CMODE_TEMP_DENOISE                        13:13           /* RWIUF */
#define NV_PVIC_IT_TN_CMODE_TEMP_DENOISE_INIT                   0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_CMODE_CHROMA_YV12                         14:14           /* RWIUF */
#define NV_PVIC_IT_TN_CMODE_CHROMA_YV12_INIT                    0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_CMODE_IS_EVEN                             15:15           /* RWIUF */
#define NV_PVIC_IT_TN_CMODE_IS_EVEN_INIT                        0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_CMODE_IIR                                 26:16           /* RWIUF */
#define NV_PVIC_IT_TN_CMODE_IIR_INIT                            0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_CMODE_RESERVED1                           27:27           /* RWIUF */
#define NV_PVIC_IT_TN_CMODE_RESERVED1_INIT                      0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_CMODE_SIMPLE                              28:28           /* RWIUF */
#define NV_PVIC_IT_TN_CMODE_SIMPLE_INIT                         0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_CMODE_LIMIT_ALPHA                         29:29           /* RWIUF */
#define NV_PVIC_IT_TN_CMODE_LIMIT_ALPHA_INIT                    0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_CMODE_HD_RAMP                             30:30           /* RWIUF */
#define NV_PVIC_IT_TN_CMODE_HD_RAMP_INIT                        0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_CMODE_RESERVED3                           31:31           /* RWIUF */
#define NV_PVIC_IT_TN_CMODE_RESERVED3_INIT                      0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_CCONST                                    0x0000158c      /* RW-4R */
#define NV_PVIC_IT_TN_CCONST_RAMP_M                             15:0            /* RWIUF */
#define NV_PVIC_IT_TN_CCONST_RAMP_M_INIT                        0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_CCONST_RAMP_B                             29:16           /* RWIUF */
#define NV_PVIC_IT_TN_CCONST_RAMP_B_INIT                        0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_CCONST_ABS_DIFF                           31:30           /* RWIUF */
#define NV_PVIC_IT_TN_CCONST_ABS_DIFF_INIT                      0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_BLOCKS                                    0x00001590      /* RW-4R */
#define NV_PVIC_IT_TN_BLOCKS_ROWS_LUMA                          9:0             /* RWIUF */
#define NV_PVIC_IT_TN_BLOCKS_ROWS_LUMA_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_BLOCKS_ROWS_LUMA_RESERVED                 15:10           /* RWIUF */
#define NV_PVIC_IT_TN_BLOCKS_ROWS_LUMA_RESERVED_INIT            0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_BLOCKS_ROWS_CHROMA                        25:16           /* RWIUF */
#define NV_PVIC_IT_TN_BLOCKS_ROWS_CHROMA_INIT                   0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_BLOCKS_ROWS_CHROMA_RESERVED               31:26           /* RWIUF */
#define NV_PVIC_IT_TN_BLOCKS_ROWS_CHROMA_RESERVED_INIT          0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_TNR2_CFG                                  0x00001594      /* RW-4R */
#define NV_PVIC_IT_TN_TNR2_CFG_TNR2_ENABLE                      0:0             /* RWIUF */
#define NV_PVIC_IT_TN_TNR2_CFG_TNR2_ENABLE_FALSE                0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_TNR2_CFG_TNR2_ENABLE_TRUE                 0x00000001      /* RW--V */
#define NV_PVIC_IT_TN_TNR2_CFG_ST_ENABLE                        1:1             /* C---F */
#define NV_PVIC_IT_TN_TNR2_CFG_ST_ENABLE_FALSE                  0x00000000      /* C---V */
#define NV_PVIC_IT_TN_TNR2_CFG_ALPHA_SMOOTH_ENABLE              2:2             /* RWIUF */
#define NV_PVIC_IT_TN_TNR2_CFG_ALPHA_SMOOTH_ENABLE_FALSE        0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_TNR2_CFG_ALPHA_SMOOTH_ENABLE_TRUE         0x00000001      /* RW--V */
#define NV_PVIC_IT_TN_TNR2_CFG_CHROMA_CLIP_ENABLE               3:3             /* RWIUF */
#define NV_PVIC_IT_TN_TNR2_CFG_CHROMA_CLIP_ENABLE_FALSE         0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_TNR2_CFG_CHROMA_CLIP_ENABLE_TRUE          0x00000001      /* RW--V */
#define NV_PVIC_IT_TN_TNR2_CFG_SAD_COEFF                        18:16           /* RWIUF */
#define NV_PVIC_IT_TN_TNR2_CFG_SAD_COEFF_INIT                   0x00000000      /* RWI-V */
#define NV_PVIC_IT_TN_TNR2_CFG_SAD_COEFF_2                      0x00000000      /* RW--V */
#define NV_PVIC_IT_TN_TNR2_CFG_SAD_COEFF_2p75                   0x00000001      /* RW--V */
#define NV_PVIC_IT_TN_TNR2_CFG_SAD_COEFF_3p5                    0x00000002      /* RW--V */
#define NV_PVIC_IT_TN_TNR2_CFG_SAD_COEFF_4                      0x00000003      /* RW--V */
#define NV_PVIC_IT_TN_TNR2_CFG_SAD_COEFF_4p5                    0x00000004      /* RW--V */
#define NV_PVIC_IT_TN_TNR2_CFG_SAD_COEFF_6                      0x00000005      /* RW--V */
#define NV_PVIC_IT_TN_TNR2_CFG_ALPHA_MAX                        20:19           /* RWIUF */
#define NV_PVIC_IT_TN_TNR2_CFG_ALPHA_MAX_INIT                   0x00000003      /* RWI-V */
#define NV_PVIC_IT_TN_TNR2_CFG_ALPHA_MAX_640                    0x00000000      /* RW--V */
#define NV_PVIC_IT_TN_TNR2_CFG_ALPHA_MAX_768                    0x00000001      /* RW--V */
#define NV_PVIC_IT_TN_TNR2_CFG_ALPHA_MAX_896                    0x00000002      /* RW--V */
#define NV_PVIC_IT_TN_TNR2_CFG_ALPHA_MAX_1024                   0x00000003      /* RW--V */
#define NV_PVIC_IT_TN_DEBUG                                     0x00001598      /* R--4R */
#define NV_PVIC_IT_TN_DEBUG_INPUT_STATE                         2:0             /* R-XUF */
#define NV_PVIC_IT_TN_DEBUG_TN_PIPE_STATE                       3:3             /* R-XUF */
#define NV_PVIC_IT_TN_DEBUG_TN_ROW_CNT                          18:4            /* R-XUF */
#define NV_PVIC_IT_TN_DEBUG_TN_MOTION_IDLE                      19:19           /* R-XUF */
#define NV_PVIC_IT_TN_DEBUG_TN_DEBLUR_IDLE                      20:20           /* R-XUF */
#define NV_PVIC_IT_TN_DEBUG_TN_OUTPUT_IDLE                      21:21           /* R-XUF */
#define NV_PVIC_IT_TN_DEBUG_TN_INBUF0_IDLE                      22:22           /* R-XUF */
#define NV_PVIC_IT_TN_DEBUG_TN_INBUF1_IDLE                      23:23           /* R-XUF */
#define NV_PVIC_IT_TN_DEBUG_CD_ARTI_ROW_CNT_MSB                 25:24           /* R-XUF */
#define NV_PVIC_IT_TN_DEBUG_CD_DIFF_ROW_CNT_MSB                 27:26           /* R-XUF */
#define NV_PVIC_IT_CD_MODE                                      0x00001780      /* RW-4R */
#define NV_PVIC_IT_CD_MODE_SHIFT                                3:0             /* RWIUF */
#define NV_PVIC_IT_CD_MODE_SHIFT_INIT                           0x00000000      /* RWI-V */
#define NV_PVIC_IT_CD_MODE_SHIFTA                               7:4             /* RWIUF */
#define NV_PVIC_IT_CD_MODE_SHIFTA_INIT                          0x00000000      /* RWI-V */
#define NV_PVIC_IT_CD_MODE_SOURCE                               8:8             /* RWIUF */
#define NV_PVIC_IT_CD_MODE_SOURCE_INIT                          0x00000000      /* RWI-V */
#define NV_PVIC_IT_CD_MODE_EVEN                                 9:9             /* RWIUF */
#define NV_PVIC_IT_CD_MODE_EVEN_INIT                            0x00000000      /* RWI-V */
#define NV_PVIC_IT_CD_MODE_STRIDE                               11:10           /* RWIUF */
#define NV_PVIC_IT_CD_MODE_STRIDE_INIT                          0x00000000      /* RWI-V */
#define NV_PVIC_IT_CD_MODE_MASKS                                15:12           /* RWIUF */
#define NV_PVIC_IT_CD_MODE_MASKS_INIT                           0x00000000      /* RWI-V */
#define NV_PVIC_IT_CD_MODE_RESERVED                             31:16           /* RWIUF */
#define NV_PVIC_IT_CD_MODE_RESERVED_INIT                        0x00000000      /* RWI-V */
#define NV_PVIC_IT_CD_BLOCKS                                    0x00001784      /* RW-4R */
#define NV_PVIC_IT_CD_BLOCKS_ROWS                               9:0             /* RWIUF */
#define NV_PVIC_IT_CD_BLOCKS_ROWS_INIT                          0x00000000      /* RWI-V */
#define NV_PVIC_IT_CD_BLOCKS_ROWS_RESERVED                      15:10           /* RWIUF */
#define NV_PVIC_IT_CD_BLOCKS_ROWS_RESERVED_INIT                 0x00000000      /* RWI-V */
#define NV_PVIC_IT_CD_BLOCKS_COLUMNS                            25:16           /* RWIUF */
#define NV_PVIC_IT_CD_BLOCKS_COLUMNS_INIT                       0x00000000      /* RWI-V */
#define NV_PVIC_IT_CD_BLOCKS_COLUMNS_RESERVED                   31:26           /* RWIUF */
#define NV_PVIC_IT_CD_BLOCKS_COLUMNS_RESERVED_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_IT_CD_DIFF                                      0x00001788      /* RW-4R */
#define NV_PVIC_IT_CD_DIFF_COUNT                                31:0            /* RWIUF */
#define NV_PVIC_IT_CD_DIFF_COUNT_INIT                           0x00000000      /* RWI-V */
#define NV_PVIC_IT_CD_WEAVART                                   0x0000178c      /* RW-4R */
#define NV_PVIC_IT_CD_WEAVART_COUNT                             31:0            /* RWIUF */
#define NV_PVIC_IT_CD_WEAVART_COUNT_INIT                        0x00000000      /* RWI-V */
#define NV_PVIC_IT_CD_LR                                        0x00001790      /* RW-4R */
#define NV_PVIC_IT_CD_LR_LEFT                                   15:0            /* RWIUF */
#define NV_PVIC_IT_CD_LR_LEFT_INIT                              0x00000000      /* RWI-V */
#define NV_PVIC_IT_CD_LR_RIGHT                                  31:16           /* RWIUF */
#define NV_PVIC_IT_CD_LR_RIGHT_INIT                             0x00000000      /* RWI-V */
#define NV_PVIC_IT_CD_TB                                        0x00001794      /* RW-4R */
#define NV_PVIC_IT_CD_TB_TOP                                    15:0            /* RWIUF */
#define NV_PVIC_IT_CD_TB_TOP_INIT                               0x00000000      /* RWI-V */
#define NV_PVIC_IT_CD_TB_BOTTOM                                 31:16           /* RWIUF */
#define NV_PVIC_IT_CD_TB_BOTTOM_INIT                            0x00000000      /* RWI-V */
#define NV_PVIC_IT_CD_DEBUG                                     0x00001798      /* R--4R */
#define NV_PVIC_IT_CD_DEBUG_INPUT_CNT                           2:0             /* R-XUF */
#define NV_PVIC_IT_CD_DEBUG_ARTI_INPUT_CNT                      4:3             /* R-XUF */
#define NV_PVIC_IT_CD_DEBUG_DIFF_ROW_CNT                        17:5            /* R-XUF */
#define NV_PVIC_IT_CD_DEBUG_ARTI_ROW_CNT                        30:18           /* R-XUF */
#define NV_PVIC_XS_DEBUG                                        0x00001680      /* R--4R */
#define NV_PVIC_XS_DEBUG_FSTATE                                 1:0             /* R-XUF */
#define NV_PVIC_XS_DEBUG_WAIT_FOR_PIXEL                         2:2             /* R-XUF */
#define NV_PVIC_XS_DEBUG_OUTPUT_STALL                           3:3             /* R-XUF */
#define NV_PVIC_XS_DEBUG_COEM_VLD                               4:4             /* R-XUF */
#define NV_PVIC_XS_DEBUG_BQ_VLD                                 5:5             /* R-XUF */
#define NV_PVIC_XS_DEBUG_SKPQ_VLD                               6:6             /* R-XUF */
#define NV_PVIC_XS_DEBUG_ERR_SKIP_D                             11:7            /* R-XUF */
#define NV_PVIC_XS_DEBUG_IDLE                                   12:12           /* R-XUF */
#define NV_PVIC_XS_DEBUG_DOUT_VLD                               13:13           /* R-XUF */
#define NV_PVIC_XS_DEBUG_DOUT_RDY                               14:14           /* R-XUF */
#define NV_PVIC_XS_DEBUG_COEF_IN_VLD                            15:15           /* R-XUF */
#define NV_PVIC_XS_DEBUG_COEF_IN_RDY                            16:16           /* R-XUF */
#define NV_PVIC_XS_DEBUG_SKP_IN_VLD                             17:17           /* R-XUF */
#define NV_PVIC_XS_DEBUG_SKP_IN_RDY                             18:18           /* R-XUF */
#define NV_PVIC_XS_DEBUG_NXT_BLK                                19:19           /* R-XUF */
#define NV_PVIC_XS_DEBUG_REUSE_CHROMA                           20:20           /* R-XUF */
#define NV_PVIC_XS_SPREG                                        0x00001680      /* RW-4R */
#define NV_PVIC_XS_SPREG_DATA                                   31:0            /* RWIUF */
#define NV_PVIC_XS_SPREG_DATA_INIT                              0x00000000      /* RWI-V */
#define NV_PVIC_XUPS_DEBUG                                      0x00001600      /* R--4R */
#define NV_PVIC_XUPS_DEBUG_FSTATE                               1:0             /* R-XUF */
#define NV_PVIC_XUPS_DEBUG_WAIT_FOR_PIXEL                       2:2             /* R-XUF */
#define NV_PVIC_XUPS_DEBUG_OUTPUT_STALL                         3:3             /* R-XUF */
#define NV_PVIC_XUPS_DEBUG_COEM_VLD                             4:4             /* R-XUF */
#define NV_PVIC_XUPS_DEBUG_BQ_VLD                               5:5             /* R-XUF */
#define NV_PVIC_XUPS_DEBUG_SKPQ_VLD                             6:6             /* R-XUF */
#define NV_PVIC_XUPS_DEBUG_ERR_SKIP_D                           11:7            /* R-XUF */
#define NV_PVIC_XUPS_DEBUG_IDLE                                 12:12           /* R-XUF */
#define NV_PVIC_XUPS_DEBUG_DOUT_VLD                             13:13           /* R-XUF */
#define NV_PVIC_XUPS_DEBUG_DOUT_RDY                             14:14           /* R-XUF */
#define NV_PVIC_XUPS_DEBUG_NXT_BLK                              19:19           /* R-XUF */
#define NV_PVIC_XUPS_SPREG                                      0x00001600      /* RW-4R */
#define NV_PVIC_XUPS_SPREG_DATA                                 31:0            /* RWIUF */
#define NV_PVIC_XUPS_SPREG_DATA_INIT                            0x00000000      /* RWI-V */
#define NV_PVIC_YS_DEBUG                                        0x00001700      /* R--4R */
#define NV_PVIC_YS_DEBUG_FSTATE                                 1:0             /* R-XUF */
#define NV_PVIC_YS_DEBUG_WAIT_FOR_PIXEL                         2:2             /* R-XUF */
#define NV_PVIC_YS_DEBUG_OUTPUT_STALL                           3:3             /* R-XUF */
#define NV_PVIC_YS_DEBUG_COEM_VLD                               4:4             /* R-XUF */
#define NV_PVIC_YS_DEBUG_BQ_VLD                                 5:5             /* R-XUF */
#define NV_PVIC_YS_DEBUG_SKPQ_VLD                               6:6             /* R-XUF */
#define NV_PVIC_YS_DEBUG_ERR_SKIP_D                             11:7            /* R-XUF */
#define NV_PVIC_YS_DEBUG_IDLE                                   12:12           /* R-XUF */
#define NV_PVIC_YS_DEBUG_DOUT_VLD                               13:13           /* R-XUF */
#define NV_PVIC_YS_DEBUG_DOUT_RDY                               14:14           /* R-XUF */
#define NV_PVIC_YS_DEBUG_COEF_IN_VLD                            15:15           /* R-XUF */
#define NV_PVIC_YS_DEBUG_COEF_IN_RDY                            16:16           /* R-XUF */
#define NV_PVIC_YS_DEBUG_SKP_IN_VLD                             17:17           /* R-XUF */
#define NV_PVIC_YS_DEBUG_SKP_IN_RDY                             18:18           /* R-XUF */
#define NV_PVIC_YS_DEBUG_NXT_BLK                                19:19           /* R-XUF */
#define NV_PVIC_YS_DEBUG_REUSE_CHROMA                           20:20           /* R-XUF */
#define NV_PVIC_YS_SPARE                                        0x00001730      /* RW-4R */
#define NV_PVIC_YS_SPARE_REG_DATA                               31:0            /* RWIUF */
#define NV_PVIC_YS_SPARE_REG_DATA_INIT                          0x00000000      /* RWI-V */
#define NV_PVIC_YUPS_DEBUG                                      0x00001640      /* R--4R */
#define NV_PVIC_YUPS_DEBUG_FSTATE                               1:0             /* R-XUF */
#define NV_PVIC_YUPS_DEBUG_WAIT_FOR_PIXEL                       2:2             /* R-XUF */
#define NV_PVIC_YUPS_DEBUG_OUTPUT_STALL                         3:3             /* R-XUF */
#define NV_PVIC_YUPS_DEBUG_COEM_VLD                             4:4             /* R-XUF */
#define NV_PVIC_YUPS_DEBUG_BQ_VLD                               5:5             /* R-XUF */
#define NV_PVIC_YUPS_DEBUG_SKPQ_VLD                             6:6             /* R-XUF */
#define NV_PVIC_YUPS_DEBUG_ERR_SKIP_D                           11:7            /* R-XUF */
#define NV_PVIC_YUPS_DEBUG_IDLE                                 12:12           /* R-XUF */
#define NV_PVIC_YUPS_DEBUG_DOUT_VLD                             13:13           /* R-XUF */
#define NV_PVIC_YUPS_DEBUG_DOUT_RDY                             14:14           /* R-XUF */
#define NV_PVIC_YUPS_DEBUG_COEF_IN_VLD                          15:15           /* R-XUF */
#define NV_PVIC_YUPS_DEBUG_COEF_IN_RDY                          16:16           /* R-XUF */
#define NV_PVIC_YUPS_DEBUG_SKP_IN_VLD                           17:17           /* R-XUF */
#define NV_PVIC_YUPS_DEBUG_SKP_IN_RDY                           18:18           /* R-XUF */
#define NV_PVIC_YUPS_DEBUG_NXT_BLK                              19:19           /* R-XUF */
#define NV_PVIC_YUPS_DEBUG_REUSE_CHROMA                         20:20           /* R-XUF */
#define NV_PVIC_YUPS_SPARE                                      0x00001670      /* RW-4R */
#define NV_PVIC_YUPS_SPARE_REG_DATA                             31:0            /* RWIUF */
#define NV_PVIC_YUPS_SPARE_REG_DATA_INIT                        0x00000000      /* RWI-V */
#define NV_PVIC_CC_BASE_ADDR                                    0x00001800      /* RW-4R */
#define NV_PVIC_CC_BASE_ADDR_VAL                                31:0            /* RWXVF */
#define NV_PVIC_CC_BASE_ADDR_VAL_INIT                           0x00000000      /* RWI-V */
#define NV_PVIC_CC_CTRL                                         0x00001804      /* -W-4R */
#define NV_PVIC_CC_CTRL_HC_START                                0:0             /* -WIVF */
#define NV_PVIC_CC_CTRL_HC_START_INIT                           0x00000000      /* -WI-V */
#define NV_PVIC_CC_CTXDMAIDX                                    0x00001808      /* RW-4R */
#define NV_PVIC_CC_CTXDMAIDX_HIST_IDX                           2:0             /* RWIUF */
#define NV_PVIC_CC_CTXDMAIDX_HIST_IDX_INIT                      0x00000000      /* RWI-V */
#define NV_PVIC_CC_VICPMCTL                                     0x0000180c      /* RW-4R */
#define NV_PVIC_CC_VICPMCTL_SLOTMASK                            15:0            /* RWIVF */
#define NV_PVIC_CC_VICPMCTL_SLOTMASK_INIT                       0x0000001f      /* RWI-V */
#define NV_PVIC_CC_VICPMCTL_HINTMASK                            20:16           /* RWIVF */
#define NV_PVIC_CC_VICPMCTL_HINTMASK_INIT                       0x0000001f      /* RWI-V */
#define NV_PVIC_CC_VICPMCTL_FRAME_COUNT                         31:21           /* RW-VF */
#define NV_PVIC_CC_SPARE                                        0x00001810      /* RW-4R */
#define NV_PVIC_CC_SPARE_REG_DATA                               31:0            /* RWIUF */
#define NV_PVIC_CC_SPARE_REG_DATA_INIT                          0x00000000      /* RWI-V */
#define NV_PVIC_CC_DEBUG                                        0x00001814      /* R--4R */
#define NV_PVIC_CC_DEBUG_SCINTF_IDLE                            0:0             /* R-XUF */
#define NV_PVIC_CC_DEBUG_CTL_IDLE                               1:1             /* R-XUF */
#define NV_PVIC_CC_DEBUG_DR_EMPTY                               2:2             /* R-XUF */
#define NV_PVIC_CC_DEBUG_CR_EMPTY                               3:3             /* R-XUF */
#define NV_PVIC_CC_DEBUG_PDXP0_IDLE                             4:4             /* R-XUF */
#define NV_PVIC_CC_DEBUG_PDXP1_IDLE                             5:5             /* R-XUF */
#define NV_PVIC_CC_DEBUG_PXGEN_IDLE                             6:6             /* R-XUF */
#define NV_PVIC_CC_DEBUG_HC_IDLE                                7:7             /* R-XUF */
#define NV_PVIC_CC_DEBUG_PXGEN_IPSTATE                          11:8            /* R-XUF */
#define NV_PVIC_CC_DEBUG_PXGEN_GPSTATE                          16:12           /* R-XUF */
#define NV_PVIC_CC_DEBUG_PXGEN_FIFOS_IDLE                       17:17           /* R-XUF */
#define NV_PVIC_CC_DEBUG_PXGEN2PDXP_PRDY                        18:18           /* R-XUF */
#define NV_PVIC_CC_DEBUG_CC2DEGAMMA_PRDY                        19:19           /* R-XUF */
#define NV_PVIC_CC_DEBUG_CC2DEGAMMA_PVLD                        20:20           /* R-XUF */
#define NV_PVIC_CC_DEBUG_PDXP2_IDLE                             21:21           /* R-XUF */
#define NV_PVIC_CC_DEBUG_PDXP3_IDLE                             22:22           /* R-XUF */
#define NV_PVIC_CC_DEBUG_PDXP4_IDLE                             23:23           /* R-XUF */
#define NV_PVIC_CC_DEBUG_PDXP5_IDLE                             24:24           /* R-XUF */
#define NV_PVIC_CC_DEBUG_PDXP6_IDLE                             25:25           /* R-XUF */
#define NV_PVIC_CC_DEBUG_PDXP7_IDLE                             26:26           /* R-XUF */
#define NV_PVIC_CC_CFGADR                                       0x00001818      /* RW-4R */
#define NV_PVIC_CC_CFGADR_IDX                                   12:0            /* RWIVF */
#define NV_PVIC_CC_CFGADR_IDX_INIT                              0x00000000      /* RWI-V */
#define NV_PVIC_BL_TARGET_BASADR                                0x00001880      /* RW-4R */
#define NV_PVIC_BL_TARGET_BASADR_VAL                            31:0            /* RWIUF */
#define NV_PVIC_BL_TARGET_BASADR_VAL_INIT                       0x00000000      /* RWI-V */
#define NV_PVIC_BL_TARGET_BASADR_CHROMA_U                       0x00001880      /* RW-4R */
#define NV_PVIC_BL_TARGET_BASADR_CHROMA_U_VAL                   31:0            /* RWIUF */
#define NV_PVIC_BL_TARGET_BASADR_CHROMA_U_VAL_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_BL_TARGET_BASADR_CHROMA_V                       0x00001880      /* RW-4R */
#define NV_PVIC_BL_TARGET_BASADR_CHROMA_V_VAL                   31:0            /* RWIUF */
#define NV_PVIC_BL_TARGET_BASADR_CHROMA_V_VAL_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_BL_NOISE_BASADR_LUMA                            0x00001884      /* RW-4R */
#define NV_PVIC_BL_NOISE_BASADR_LUMA_VAL                        31:0            /* RWIUF */
#define NV_PVIC_BL_NOISE_BASADR_LUMA_VAL_INIT                   0x00000000      /* RWI-V */
#define NV_PVIC_BL_NOISE_BASADR_CHROMA_U                        0x00001884      /* RW-4R */
#define NV_PVIC_BL_NOISE_BASADR_CHROMA_U_VAL                    31:0            /* RWIUF */
#define NV_PVIC_BL_NOISE_BASADR_CHROMA_U_VAL_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_BL_NOISE_BASADR_CHROMA_V                        0x00001884      /* RW-4R */
#define NV_PVIC_BL_NOISE_BASADR_CHROMA_V_VAL                    31:0            /* RWIUF */
#define NV_PVIC_BL_NOISE_BASADR_CHROMA_V_VAL_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_BL_MOTION_BASADR_LUMA                           0x00001888      /* RW-4R */
#define NV_PVIC_BL_MOTION_BASADR_LUMA_VAL                       31:0            /* RWIUF */
#define NV_PVIC_BL_MOTION_BASADR_LUMA_VAL_INIT                  0x00000000      /* RWI-V */
#define NV_PVIC_BL_MOTION_BASADR_CHROMA_U                       0x00001888      /* RW-4R */
#define NV_PVIC_BL_MOTION_BASADR_CHROMA_U_VAL                   31:0            /* RWIUF */
#define NV_PVIC_BL_MOTION_BASADR_CHROMA_U_VAL_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_BL_MOTION_BASADR_CHROMA_V                       0x00001888      /* RW-4R */
#define NV_PVIC_BL_MOTION_BASADR_CHROMA_V_VAL                   31:0            /* RWIUF */
#define NV_PVIC_BL_MOTION_BASADR_CHROMA_V_VAL_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_BL_COMBINED_MOTION_BASE_LUMA                    0x0000188c      /* RW-4R */
#define NV_PVIC_BL_COMBINED_MOTION_BASE_LUMA_VAL                31:0            /* RWIUF */
#define NV_PVIC_BL_COMBINED_MOTION_BASE_LUMA_VAL_INIT           0x00000000      /* RWI-V */
#define NV_PVIC_BL_COMBINED_MOTION_BASE_CHROMA_U                0x0000188c      /* RW-4R */
#define NV_PVIC_BL_COMBINED_MOTION_BASE_CHROMA_U_VAL            31:0            /* RWIUF */
#define NV_PVIC_BL_COMBINED_MOTION_BASE_CHROMA_U_VAL_INIT       0x00000000      /* RWI-V */
#define NV_PVIC_BL_COMBINED_MOTION_BASE_CHROMA_V                0x0000188c      /* RW-4R */
#define NV_PVIC_BL_COMBINED_MOTION_BASE_CHROMA_V_VAL            31:0            /* RWIUF */
#define NV_PVIC_BL_COMBINED_MOTION_BASE_CHROMA_V_VAL_INIT       0x00000000      /* RWI-V */
#define NV_PVIC_BL_MOTION_NOISE_SIZE                            0x00001890      /* RW-4R */
#define NV_PVIC_BL_MOTION_NOISE_SIZE_WIDTH                      13:0            /* RWIUF */
#define NV_PVIC_BL_MOTION_NOISE_SIZE_WIDTH_INIT                 0x00000000      /* RWI-V */
#define NV_PVIC_BL_MOTION_NOISE_SIZE_HEIGHT                     29:16           /* RWIUF */
#define NV_PVIC_BL_MOTION_NOISE_SIZE_HEIGHT_INIT                0x00000000      /* RWI-V */
#define NV_PVIC_BL_MOTION_NOISE_SIZE_P                          0x00001894      /* RW-4R */
#define NV_PVIC_BL_MOTION_NOISE_SIZE_P_LUMA_WIDTH               13:0            /* RWIUF */
#define NV_PVIC_BL_MOTION_NOISE_SIZE_P_LUMA_WIDTH_INIT          0x00000000      /* RWI-V */
#define NV_PVIC_BL_MOTION_NOISE_SIZE_P_CHROMA_WIDTH             29:16           /* RWIUF */
#define NV_PVIC_BL_MOTION_NOISE_SIZE_P_CHROMA_WIDTH_INIT        0x00000000      /* RWI-V */
#define NV_PVIC_BL_MOTION_NOISE_FORMAT                          0x00001898      /* RW-4R */
#define NV_PVIC_BL_MOTION_NOISE_FORMAT_PREVPREV_MOTION          3:3             /* RWIUF */
#define NV_PVIC_BL_MOTION_NOISE_FORMAT_PREVPREV_MOTION_INIT     0x00000000      /* RWI-V */
#define NV_PVIC_BL_MOTION_NOISE_FORMAT_CALC_MOTION              7:7             /* RWIUF */
#define NV_PVIC_BL_MOTION_NOISE_FORMAT_CALC_MOTION_INIT         0x00000000      /* RWI-V */
#define NV_PVIC_BL_MOTION_NOISE_FORMAT_FMT                      14:8            /* RWIUF */
#define NV_PVIC_BL_MOTION_NOISE_FORMAT_FMT_INIT                 0x00000000      /* RWI-V */
#define NV_PVIC_BL_MOTION_NOISE_FORMAT_PROGRESSIVE_NR           16:16           /* RWIUF */
#define NV_PVIC_BL_MOTION_NOISE_FORMAT_PROGRESSIVE_NR_INIT      0x00000000      /* RWI-V */
#define NV_PVIC_BL_MOTION_NOISE_FORMAT_PROG_FIELDS              17:17           /* RWIUF */
#define NV_PVIC_BL_MOTION_NOISE_FORMAT_PROG_FIELDS_INIT         0x00000000      /* RWI-V */
#define NV_PVIC_BL_MOTION_NOISE_FORMAT_BLK_KIND                 21:18           /* RWIUF */
#define NV_PVIC_BL_MOTION_NOISE_FORMAT_BLK_KIND_INIT            0x00000000      /* RWI-V */
#define NV_PVIC_BL_MOTION_NOISE_FORMAT_BLK_HEIGHT               25:22           /* RWIUF */
#define NV_PVIC_BL_MOTION_NOISE_FORMAT_BLK_HEIGHT_INIT          0x00000000      /* RWI-V */
#define NV_PVIC_BL_MOTION_NOISE_FORMAT_WEIGHT                   28:26           /* RWIUF */
#define NV_PVIC_BL_MOTION_NOISE_FORMAT_WEIGHT_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_BL_MOTION_NOISE_FORMAT_CHROMA_MOTION            29:29           /* RWIUF */
#define NV_PVIC_BL_MOTION_NOISE_FORMAT_CHROMA_MOTION_INIT       0x00000000      /* RWI-V */
#define NV_PVIC_BL_CTXDMAIDX                                    0x0000189c      /* RW-4R */
#define NV_PVIC_BL_CTXDMAIDX_TARGET_IDX                         3:0             /* RWIUF */
#define NV_PVIC_BL_CTXDMAIDX_TARGET_IDX_INIT                    0x00000000      /* RWI-V */
#define NV_PVIC_BL_CTXDMAIDX_NOISE_IDX                          7:4             /* RWIUF */
#define NV_PVIC_BL_CTXDMAIDX_NOISE_IDX_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_BL_CTXDMAIDX_MOTION_IDX                         11:8            /* RWIUF */
#define NV_PVIC_BL_CTXDMAIDX_MOTION_IDX_INIT                    0x00000000      /* RWI-V */
#define NV_PVIC_BL_CTXDMAIDX_COMBMOTION_IDX                     15:12           /* RWIUF */
#define NV_PVIC_BL_CTXDMAIDX_COMBMOTION_IDX_INIT                0x00000000      /* RWI-V */
#define NV_PVIC_BL_CONFIG                                       0x000018a0      /* RW-4R */
#define NV_PVIC_BL_CONFIG_SUBPARTITION_MODE                     0:0             /* RWIUF */
#define NV_PVIC_BL_CONFIG_SUBPARTITION_MODE_DISABLE             0x00000000      /* RW--V */
#define NV_PVIC_BL_CONFIG_SUBPARTITION_MODE_ENABLE              0x00000001      /* RWI-V */
#define NV_PVIC_BL_CONFIG_BLEND_COLOR_MODES_CYA                 1:1             /* RWIUF */
#define NV_PVIC_BL_CONFIG_BLEND_COLOR_MODES_CYA_COMPOSITE       0x00000000      /* RWI-V */
#define NV_PVIC_BL_CONFIG_BLEND_COLOR_MODES_CYA_ALL             0x00000001      /* RW--V */
#define NV_PVIC_BL_CONFIG_PROCESS_CFG_STRUCT                    2:2             /* -W-UF */
#define NV_PVIC_BL_CONFIG_PROCESS_CFG_STRUCT_TRIGGER            0x00000001      /* -W--V */
#define NV_PVIC_BL_CONFIG_SLOTMASK                              23:8            /* RWIVF */
#define NV_PVIC_BL_CONFIG_SLOTMASK_INIT                         0x0000ffff      /* RWI-V */
#define NV_PVIC_BL_CONFIG_SLCG_CYA                              24:24           /* RWIVF */
#define NV_PVIC_BL_CONFIG_SLCG_CYA_INIT                         0x00000000      /* RWI-V */
#define NV_PVIC_BL_CONFIG_SPARE_BITS                            31:25           /* RWIVF */
#define NV_PVIC_BL_CONFIG_SPARE_BITS_INIT                       0x00000000      /* RWI-V */
#define NV_PVIC_BL_DEBUG                                        0x000018ac      /* R--4R */
#define NV_PVIC_BL_DEBUG_IDLE                                   0:0             /* R-XUF */
#define NV_PVIC_BL_DEBUG_CTRL_STATE                             4:1             /* R-XUF */
#define NV_PVIC_BL_DEBUG_DMA_MAIN_STATE                         7:5             /* R-XUF */
#define NV_PVIC_BL_DEBUG_DMA_SUB_STATE                          9:8             /* R-XUF */
#define NV_PVIC_BL_DEBUG_DMA_FMT                                16:10           /* R-XUF */
#define NV_PVIC_BL_DEBUG_DMA_MODE                               31:17           /* R-XUF */
#define NV_PVIC_BL_DEBUG2                                       0x000018ac      /* RW-4R */
#define NV_PVIC_BL_DEBUG2_OVERFLOW_R                            0:0             /* RWIUF */
#define NV_PVIC_BL_DEBUG2_OVERFLOW_R_INIT                       0x00000000      /* RWI-V */
#define NV_PVIC_BL_DEBUG2_OVERFLOW_R_CLEAR                      0x00000001      /* RW--V */
#define NV_PVIC_BL_DEBUG2_OVERFLOW_G                            1:1             /* RWIUF */
#define NV_PVIC_BL_DEBUG2_OVERFLOW_G_INIT                       0x00000000      /* RWI-V */
#define NV_PVIC_BL_DEBUG2_OVERFLOW_G_CLEAR                      0x00000001      /* RW--V */
#define NV_PVIC_BL_DEBUG2_OVERFLOW_B                            2:2             /* RWIUF */
#define NV_PVIC_BL_DEBUG2_OVERFLOW_B_INIT                       0x00000000      /* RWI-V */
#define NV_PVIC_BL_DEBUG2_OVERFLOW_B_CLEAR                      0x00000001      /* RW--V */
#define NV_PVIC_BL_DEBUG2_OVERFLOW_A                            3:3             /* RWIUF */
#define NV_PVIC_BL_DEBUG2_OVERFLOW_A_INIT                       0x00000000      /* RWI-V */
#define NV_PVIC_BL_DEBUG2_OVERFLOW_A_CLEAR                      0x00000001      /* RW--V */
#define NV_PVIC_BL_CFG_STRUCT_CFG0                              0x000018b0      /* RW-4R */
#define NV_PVIC_BL_CFG_STRUCT_CFG0_PIXEL_FORMAT                 6:0             /* RWIVF */
#define NV_PVIC_BL_CFG_STRUCT_CFG0_BLK_KIND                     11:8            /* RWIVF */
#define NV_PVIC_BL_CFG_STRUCT_CFG0_BLK_HEIGHT                   15:12           /* RWIVF */
#define NV_PVIC_BL_CFG_STRUCT_SFC_SIZE                          0x000018b0      /* RW-4R */
#define NV_PVIC_BL_CFG_STRUCT_SFC_SIZE_WIDTH                    13:0            /* RWIVF */
#define NV_PVIC_BL_CFG_STRUCT_SFC_SIZE_HEIGHT                   29:16           /* RWIVF */
#define NV_PVIC_BL_CFG_STRUCT_LUMA_SIZE                         0x000018b0      /* RW-4R */
#define NV_PVIC_BL_CFG_STRUCT_LUMA_SIZE_WIDTH                   13:0            /* RWIVF */
#define NV_PVIC_BL_CFG_STRUCT_LUMA_SIZE_HEIGHT                  29:16           /* RWIVF */
#define NV_PVIC_BL_CFG_STRUCT_CHROMA_SIZE                       0x000018b0      /* RW-4R */
#define NV_PVIC_BL_CFG_STRUCT_CHROMA_SIZE_WIDTH                 13:0            /* RWIVF */
#define NV_PVIC_BL_CFG_STRUCT_CHROMA_SIZE_HEIGHT                29:16           /* RWIVF */
#define NV_PVIC_BL_CFG_STRUCT_TGT_RECT_LR                       0x000018b0      /* RW-4R */
#define NV_PVIC_BL_CFG_STRUCT_TGT_RECT_LR_LEFT                  13:0            /* RWIVF */
#define NV_PVIC_BL_CFG_STRUCT_TGT_RECT_LR_RIGHT                 29:16           /* RWIVF */
#define NV_PVIC_BL_CFG_STRUCT_TGT_RECT_TB                       0x000018b0      /* RW-4R */
#define NV_PVIC_BL_CFG_STRUCT_TGT_RECT_TB_TOP                   13:0            /* RWIVF */
#define NV_PVIC_BL_CFG_STRUCT_TGT_RECT_TB_BOTTOM                29:16           /* RWIVF */
#define NV_PVIC_MISC_DBG_CRC_INTF                               0x00001900      /* RW-4R */
#define NV_PVIC_MISC_DBG_CRC_INTF_PARTA_SEL                     3:0             /* RWIUF */
#define NV_PVIC_MISC_DBG_CRC_INTF_PARTA_SEL_DI2YUPS             0x00000000      /* RW--V */
#define NV_PVIC_MISC_DBG_CRC_INTF_PARTA_SEL_SC2DI               0x00000001      /* RWI-V */
#define NV_PVIC_MISC_DBG_CRC_INTF_PARTA_SEL_SC2TN               0x00000002      /* RW--V */
#define NV_PVIC_MISC_DBG_CRC_INTF_PARTB_SEL                     7:4             /* RWIUF */
#define NV_PVIC_MISC_DBG_CRC_INTF_PARTB_SEL_CC2DEGAMMA          0x00000000      /* RWI-V */
#define NV_PVIC_MISC_DBG_CRC_INTF_PARTB_SEL_DEGAMMA2YS          0x00000001      /* RW--V */
#define NV_PVIC_MISC_DBG_CRC_INTF_PARTB_SEL_TN2BL               0x00000002      /* RW--V */
#define NV_PVIC_MISC_DBG_CRC_INTF_PARTB_SEL_TN2CD               0x00000003      /* RW--V */
#define NV_PVIC_MISC_DBG_CRC_INTF_PARTB_SEL_XUPS2CC             0x00000004      /* RW--V */
#define NV_PVIC_MISC_DBG_CRC_INTF_PARTB_SEL_YUPS2XUPS           0x00000005      /* RW--V */
#define NV_PVIC_MISC_DBG_CRC_INTF_PARTC_SEL                     11:8            /* RWIUF */
#define NV_PVIC_MISC_DBG_CRC_INTF_PARTC_SEL_GR2BL               0x00000000      /* RWI-V */
#define NV_PVIC_MISC_DBG_CRC_INTF_PARTC_SEL_XS2GR               0x00000001      /* RW--V */
#define NV_PVIC_MISC_DBG_CRC_INTF_PARTC_SEL_YS2XS               0x00000002      /* RW--V */
#define NV_PVIC_MISC_DBG_CRC_INTF_PARTD_SEL                     15:12           /* RWIUF */
#define NV_PVIC_MISC_DBG_CRC_INTF_PARTD_SEL_BL2FBIF_WR          0x00000000      /* RW--V */
#define NV_PVIC_MISC_DBG_CRC_INTF_PARTD_SEL_BL2FBIF_WR_DATA     0x00000001      /* RWI-V */
#define NV_PVIC_MISC_DBG_CRC_PARTA(i)                           (0x00001900+(i)*0) /* R--4A */
#define NV_PVIC_MISC_DBG_CRC_PARTA__SIZE_1                      4               /*       */
#define NV_PVIC_MISC_DBG_CRC_PARTA_VAL                          31:0            /* R-XUF */
#define NV_PVIC_MISC_DBG_CRC_PARTB(i)                           (0x00001900+(i)*0) /* R--4A */
#define NV_PVIC_MISC_DBG_CRC_PARTB__SIZE_1                      4               /*       */
#define NV_PVIC_MISC_DBG_CRC_PARTB_VAL                          31:0            /* R-XUF */
#define NV_PVIC_MISC_DBG_CRC_PARTC(i)                           (0x00001900+(i)*0) /* R--4A */
#define NV_PVIC_MISC_DBG_CRC_PARTC__SIZE_1                      4               /*       */
#define NV_PVIC_MISC_DBG_CRC_PARTC_VAL                          31:0            /* R-XUF */
#define NV_PVIC_MISC_DBG_CRC_PARTD(i)                           (0x00001900+(i)*0) /* R--4A */
#define NV_PVIC_MISC_DBG_CRC_PARTD__SIZE_1                      4               /*       */
#define NV_PVIC_MISC_DBG_CRC_PARTD_VAL                          31:0            /* R-XUF */
#define NV_PVIC_MISC_DBG_FC_STALL                               0x00001904      /* RW-4R */
#define NV_PVIC_MISC_DBG_FC_STALL_MODE                          1:0             /* RWIVF */
#define NV_PVIC_MISC_DBG_FC_STALL_MODE_DIS                      0x00000000      /* RWI-V */
#define NV_PVIC_MISC_DBG_FC_STALL_MODE_STALL_ALL_TILES          0x00000001      /* RW--V */
#define NV_PVIC_MISC_DBG_FC_STALL_MODE_STALL_CUR_TILE           0x00000002      /* RW--V */
#define NV_PVIC_MISC_DBG_FC_STALL_INTR                          2:2             /* R-IVF */
#define NV_PVIC_MISC_DBG_FC_STALL_CLR_INTR                      3:3             /* -W-VF */
#define NV_PVIC_MISC_DBG_FC_STALL_CLR_INTR_CLR                  0x00000001      /* -W--V */
#define NV_PVIC_MISC_DBG_FC_STALL_TILE_CNT                      31:12           /* RWIVF */
#define NV_PVIC_MISC_DBG_FC_STALL_TILE_CNT_VAL                  0x00000000      /* RWI-V */
#define NV_PVIC_MISC_DBG_FC2SC_FORMAT                           0x00001904      /* R--4R */
#define NV_PVIC_MISC_DBG_FC2SC_FORMAT_VAL                       31:0            /* R-XUF */
#define NV_PVIC_MISC_DBG_FC2SC_SIZE0                            0x00001904      /* R--4R */
#define NV_PVIC_MISC_DBG_FC2SC_SIZE0_VAL                        31:0            /* R-XUF */
#define NV_PVIC_MISC_DBG_FC2SC_SIZE1                            0x00001904      /* R--4R */
#define NV_PVIC_MISC_DBG_FC2SC_SIZE1_VAL                        31:0            /* R-XUF */
#define NV_PVIC_MISC_DBG_FC2SC_SIZE2                            0x00001904      /* R--4R */
#define NV_PVIC_MISC_DBG_FC2SC_SIZE2_VAL                        31:0            /* R-XUF */
#define NV_PVIC_MISC_DBG_FC2SC_SIZE3                            0x00001904      /* R--4R */
#define NV_PVIC_MISC_DBG_FC2SC_SIZE3_VAL                        31:0            /* R-XUF */
#define NV_PVIC_MISC_DBG_FC2SC_SIZE4                            0x00001904      /* R--4R */
#define NV_PVIC_MISC_DBG_FC2SC_SIZE4_VAL                        31:0            /* R-XUF */
#define NV_PVIC_MISC_DBG_FC2DI_CFG                              0x00001904      /* R--4R */
#define NV_PVIC_MISC_DBG_FC2DI_CFG_VAL                          31:0            /* R-XUF */
#define NV_PVIC_MISC_DBG_FC2YS_CFG                              0x00001904      /* R--4R */
#define NV_PVIC_MISC_DBG_FC2YS_CFG_VAL                          31:0            /* R-XUF */
#define NV_PVIC_MISC_DBG_FC2XS_CFG                              0x00001904      /* R--4R */
#define NV_PVIC_MISC_DBG_FC2XS_CFG_VAL                          31:0            /* R-XUF */
#define NV_PVIC_MISC_DBG_FC2CC_CFG                              0x00001904      /* R--4R */
#define NV_PVIC_MISC_DBG_FC2CC_CFG_VAL                          31:0            /* R-XUF */
#define NV_PVIC_MISC_DBG_FC2BL_CFG                              0x00001904      /* R--4R */
#define NV_PVIC_MISC_DBG_FC2BL_CFG_VAL                          31:0            /* R-XUF */
#define NV_PVIC_MISC_DBG_FC_CNT                                 0x00001904      /* R--4R */
#define NV_PVIC_MISC_DBG_FC_CNT_TILE_CNT                        19:0            /* R-XUF */
#define NV_PVIC_MISC_DBG_FC_CNT_BLOCK_CNT                       31:20           /* R-XUF */
#define NV_PVIC_MISC_DBG_FC_CNT2                                0x00001904      /* R--4R */
#define NV_PVIC_MISC_DBG_FC_CNT2_SLOTID                         3:0             /* R-XUF */
#define NV_PVIC_MISC_DBG_SC2DI_CNT                              0x00001904      /* R--4R */
#define NV_PVIC_MISC_DBG_SC2DI_CNT_PXELCNT                      15:0            /* R-XUF */
#define NV_PVIC_MISC_DBG_SC2DI_CNT_BLK_CNT                      31:16           /* R-XUF */
#define NV_PVIC_MISC_DBG_BL_FBIF_CNT                            0x00001904      /* R--4R */
#define NV_PVIC_MISC_DBG_BL_FBIF_CNT_BL2FBIF_WR                 15:0            /* R-XUF */
#define NV_PVIC_MISC_DBG_BL_FBIF_CNT_BL2FBIF_RD                 31:16           /* R-XUF */
#define NV_PVIC_MISC_DBG_DATA2BL_CNT                            0x00001904      /* R--4R */
#define NV_PVIC_MISC_DBG_DATA2BL_CNT_CC2BL                      15:0            /* R-XUF */
#define NV_PVIC_MISC_DBG_DATA2BL_CNT_TN2BL                      31:16           /* R-XUF */
#define NV_PVIC_MISC_DBG_DI2YUPS_CNT                            0x00001904      /* R--4R */
#define NV_PVIC_MISC_DBG_DI2YUPS_CNT_PXELCNT                    15:0            /* R-XUF */
#define NV_PVIC_MISC_DBG_DI2YUPS_CNT_BLK_CNT                    31:16           /* R-XUF */
#define NV_PVIC_MISC_DBG_YS2CC_CNT                              0x00001904      /* R--4R */
#define NV_PVIC_MISC_DBG_YS2CC_CNT_YS2XS                        15:0            /* R-XUF */
#define NV_PVIC_MISC_DBG_YS2CC_CNT_XS2CC                        31:16           /* R-XUF */
#define NV_PVIC_MISC_DBG_XUPS2CC_CNT                            0x00001904      /* R--4R */
#define NV_PVIC_MISC_DBG_XUPS2CC_CNT_PXELCNT                    15:0            /* R-XUF */
#define NV_PVIC_MISC_DBG_XUPS2CC_CNT_BLK_CNT                    31:16           /* R-XUF */
#define NV_PVIC_MISC_DBG_XS2GR_CNT                              0x00001904      /* R--4R */
#define NV_PVIC_MISC_DBG_XS2GR_CNT_PXELCNT                      15:0            /* R-XUF */
#define NV_PVIC_MISC_DBG_XS2GR_CNT_BLK_CNT                      31:16           /* R-XUF */
#define NV_PVIC_MISC_DBG_CC2DEGAMMA_CNT                         0x00001904      /* R--4R */
#define NV_PVIC_MISC_DBG_CC2DEGAMMA_CNT_PIX_PKT_CNT             15:0            /* R-XUF */
#define NV_PVIC_MISC_DBG_CC2DEGAMMA_CNT_BLOCK_CNT               31:16           /* R-XUF */
#define NV_PVIC_MISC_DBG_YUPS2XUPS_CNT                          0x00001904      /* R--4R */
#define NV_PVIC_MISC_DBG_YUPS2XUPS_CNT_PIX_PKT_CNT              15:0            /* R-XUF */
#define NV_PVIC_MISC_DBG_YUPS2XUPS_CNT_BLOCK_CNT                31:16           /* R-XUF */
#define NV_PVIC_MISC_DBG_YS2XS_CNT                              0x00001904      /* R--4R */
#define NV_PVIC_MISC_DBG_YS2XS_CNT_PIX_PKT_CNT                  15:0            /* R-XUF */
#define NV_PVIC_MISC_DBG_YS2XS_CNT_BLOCK_CNT                    31:16           /* R-XUF */
#define NV_PVIC_MISC_DBG_FC2YUPS_CFG                            0x00001904      /* R--4R */
#define NV_PVIC_MISC_DBG_FC2YUPS_CFG_VAL                        31:0            /* R-XUF */
#define NV_PVIC_MISC_DBG_FC2XUPS_CFG                            0x00001904      /* R--4R */
#define NV_PVIC_MISC_DBG_FC2XUPS_CFG_VAL                        31:0            /* R-XUF */
#define NV_PVIC_MISC_PRI_VIC_CG                                 0x00001908      /* RW-4R */
#define NV_PVIC_MISC_PRI_VIC_CG_IDLE_CG_DLY_CNT                 5:0             /* RWIVF */
#define NV_PVIC_MISC_PRI_VIC_CG_IDLE_CG_DLY_CNT_HWINIT          0x00000000      /* RWI-V */
#define NV_PVIC_MISC_PRI_VIC_CG_IDLE_CG_EN                      6:6             /* RWIVF */
#define NV_PVIC_MISC_PRI_VIC_CG_IDLE_CG_EN_ENABLED              0x00000001      /* RW--V */
#define NV_PVIC_MISC_PRI_VIC_CG_IDLE_CG_EN_DISABLED             0x00000000      /* RWI-V */
#define NV_PVIC_MISC_PRI_VIC_CG_STATE_CG_EN                     7:7             /*       */
#define NV_PVIC_MISC_PRI_VIC_CG_STATE_CG_EN_ENABLED             0x00000001      /*       */
#define NV_PVIC_MISC_PRI_VIC_CG_STATE_CG_EN_DISABLED            0x00000000      /*       */
#define NV_PVIC_MISC_PRI_VIC_CG_STALL_CG_DLY_CNT                13:8            /*       */
#define NV_PVIC_MISC_PRI_VIC_CG_STALL_CG_DLY_CNT_HWINIT         0x00000000      /*       */
#define NV_PVIC_MISC_PRI_VIC_CG_STALL_CG_EN                     14:14           /* RWIVF */
#define NV_PVIC_MISC_PRI_VIC_CG_STALL_CG_EN_ENABLED             0x00000001      /* RW--V */
#define NV_PVIC_MISC_PRI_VIC_CG_STALL_CG_EN_DISABLED            0x00000000      /* RWI-V */
#define NV_PVIC_MISC_PRI_VIC_CG_QUIESCENT_CG_EN                 15:15           /*       */
#define NV_PVIC_MISC_PRI_VIC_CG_QUIESCENT_CG_EN_ENABLED         0x00000001      /*       */
#define NV_PVIC_MISC_PRI_VIC_CG_QUIESCENT_CG_EN_DISABLED        0x00000000      /*       */
#define NV_PVIC_MISC_PRI_VIC_CG_WAKEUP_DLY_CNT                  19:16           /* RWIVF */
#define NV_PVIC_MISC_PRI_VIC_CG_WAKEUP_DLY_CNT_HWINIT           0x00000000      /* RWI-V */
#define NV_PVIC_MISC_PRI_VIC_CG_THROT_CLK_CNT                   23:20           /*       */
#define NV_PVIC_MISC_PRI_VIC_CG_THROT_CLK_CNT_FULLSPEED         0x0000000f      /*       */
#define NV_PVIC_MISC_PRI_VIC_CG_DI_DT_SKEW_VAL                  27:24           /*       */
#define NV_PVIC_MISC_PRI_VIC_CG_DI_DT_SKEW_VAL_HWINIT           0x00000000      /*       */
#define NV_PVIC_MISC_PRI_VIC_CG_THROT_CLK_EN                    28:28           /*       */
#define NV_PVIC_MISC_PRI_VIC_CG_THROT_CLK_EN_ENABLED            0x00000001      /*       */
#define NV_PVIC_MISC_PRI_VIC_CG_THROT_CLK_EN_DISABLED           0x00000000      /*       */
#define NV_PVIC_MISC_PRI_VIC_CG_THROT_CLK_SW_OVER               29:29           /*       */
#define NV_PVIC_MISC_PRI_VIC_CG_THROT_CLK_SW_OVER_EN            0x00000001      /*       */
#define NV_PVIC_MISC_PRI_VIC_CG_THROT_CLK_SW_OVER_DIS           0x00000000      /*       */
#define NV_PVIC_MISC_PRI_VIC_CG_PAUSE_CG_EN                     30:30           /*       */
#define NV_PVIC_MISC_PRI_VIC_CG_PAUSE_CG_EN_ENABLED             0x00000001      /*       */
#define NV_PVIC_MISC_PRI_VIC_CG_PAUSE_CG_EN_DISABLED            0x00000000      /*       */
#define NV_PVIC_MISC_PRI_VIC_CG_HALT_CG_EN                      31:31           /*       */
#define NV_PVIC_MISC_PRI_VIC_CG_HALT_CG_EN_ENABLED              0x00000001      /*       */
#define NV_PVIC_MISC_PRI_VIC_CG_HALT_CG_EN_DISABLED             0x00000000      /*       */
#define NV_PVIC_MISC_PRI_VIC_CG1                                0x0000190c      /* RW-4R */
#define NV_PVIC_MISC_PRI_VIC_CG1_MONITOR_CG_EN                  0:0             /* RWIVF */
#define NV_PVIC_MISC_PRI_VIC_CG1_MONITOR_CG_EN_ENABLED          0x00000001      /* RW--V */
#define NV_PVIC_MISC_PRI_VIC_CG1_MONITOR_CG_EN_DISABLED         0x00000000      /* RWI-V */
#define NV_PVIC_MISC_INTR_EN                                    0x00001918      /* RW-4R */
#define NV_PVIC_MISC_INTR_EN_IDLE                               0:0             /* RWIUF */
#define NV_PVIC_MISC_INTR_EN_IDLE_DISABLE                       0x00000000      /* RWI-V */
#define NV_PVIC_MISC_INTR_EN_IDLE_ENABLE                        0x00000001      /* RW--V */
#define NV_PVIC_MISC_INTR_STATUS                                0x0000191c      /* R--4R */
#define NV_PVIC_MISC_INTR_STATUS_IDLE                           0:0             /* R-XUF */
#define NV_PVIC_MISC_CAP0                                       0x00001920      /* R--4R */
#define NV_PVIC_MISC_CAP0_HISTOGRAM_CORRECTION                  0:0             /* R-XUF */
#define NV_PVIC_MISC_CAP0_HISTOGRAM_CORRECTION_VAL              0x00000000      /* C-I-V */
#define NV_PVIC_MISC_CAP0_GAMUT_REMAP                           1:1             /* R-XUF */
#define NV_PVIC_MISC_CAP0_GAMUT_REMAP_VAL                       0x00000000      /* C-I-V */
#define NV_PVIC_MISC_CAP0_COLOR_ENHANCE                         2:2             /* R-XUF */
#define NV_PVIC_MISC_CAP0_COLOR_ENHANCE_VAL                     0x00000000      /* C-I-V */
#define NV_PVIC_MISC_CAP0_SLOT_COUNT                            8:4             /* R-XUF */
#define NV_PVIC_MISC_CAP0_SLOT_COUNT_VAL                        0x00000010      /* C-I-V */
#define NV_PVIC_MISC_CAP0_CLEAR_RECT_COUNT                      12:9            /* R-XUF */
#define NV_PVIC_MISC_CAP0_CLEAR_RECT_COUNT_VAL                  0x00000008      /* C-I-V */
#define NV_PVIC_MISC_CAP0_TNR2                                  13:13           /* R-XUF */
#define NV_PVIC_MISC_CAP0_TNR2_VAL                              0x00000001      /* C-I-V */
#define NV_PVIC_MISC_CAP0_DECOMPRESSION                         14:14           /* R-XUF */
#define NV_PVIC_MISC_CAP0_DECOMPRESSION_VAL                     0x00000001      /* C-I-V */
#define NV_PVIC_MISC_CAP0_COMPRESSION                           15:15           /* R-XUF */
#define NV_PVIC_MISC_CAP0_COMPRESSION_VAL                       0x00000000      /* C-I-V */
#define NV_PVIC_MISC_CAP0_OUTPUT_TRANSFORMS                     16:16           /* R-XUF */
#define NV_PVIC_MISC_CAP0_OUTPUT_TRANSFORMS_VAL                 0x00000001      /* C-I-V */
#define NV_PVIC_MISC_CAP0_INPUT_TRANSFORMS                      17:17           /* R-XUF */
#define NV_PVIC_MISC_CAP0_INPUT_TRANSFORMS_VAL                  0x00000000      /* C-I-V */
#define NV_PVIC_MISC_CAP0_MAX_SURFACE_DIMENSION                 23:20           /* R-XUF */
#define NV_PVIC_MISC_CAP0_MAX_SURFACE_DIMENSION_1K              0x00000000      /* C---V */
#define NV_PVIC_MISC_CAP0_MAX_SURFACE_DIMENSION_2K              0x00000001      /* C---V */
#define NV_PVIC_MISC_CAP0_MAX_SURFACE_DIMENSION_4K              0x00000002      /* C---V */
#define NV_PVIC_MISC_CAP0_MAX_SURFACE_DIMENSION_8K              0x00000003      /* C---V */
#define NV_PVIC_MISC_CAP0_MAX_SURFACE_DIMENSION_16K             0x00000004      /* C---V */
#define NV_PVIC_MISC_CAP0_MAX_SURFACE_DIMENSION_32K             0x00000005      /* C---V */
#define NV_PVIC_MISC_CAP0_MAX_SURFACE_DIMENSION_VAL             0x00000004      /* C-I-V */
#define NV_PVIC_MISC_CAP0_SRGB_SUPPORT                          24:24           /* R-XUF */
#define NV_PVIC_MISC_CAP0_SRGB_SUPPORT_VAL                      0x00000001      /* C-I-V */
#define NV_PVIC_MISC_CAP0_REC709_SUPPORT                        25:25           /* R-XUF */
#define NV_PVIC_MISC_CAP0_REC709_SUPPORT_VAL                    0x00000001      /* C-I-V */
#define NV_PVIC_MISC_CAP0_REC2020_SUPPORT                       26:26           /* R-XUF */
#define NV_PVIC_MISC_CAP0_REC2020_SUPPORT_VAL                   0x00000001      /* C-I-V */
#define NV_PVIC_MISC_DBG_CYA                                    0x00001924      /* RW-4R */
#define NV_PVIC_MISC_DBG_CYA_ENABLE                             15:0            /* RWIUF */
#define NV_PVIC_MISC_DBG_CYA_ENABLE_INIT                        0x00000000      /* RWI-V */
#define NV_PVIC_MISC_DBG_CYA_DISABLE                            31:16           /* RWIUF */
#define NV_PVIC_MISC_DBG_CYA_DISABLE_INIT                       0x0000ffff      /* RWI-V */
#define NV_PVIC_MISC_CLASS                                      0x00001928      /* R--4R */
#define NV_PVIC_MISC_CLASS_ID                                   15:0            /* R-XUF */
#define NV_PVIC_MISC_CLASS_ID_VALUE                             0x0000b1b6      /* C-I-V */
#define NV_PVIC_PM_TRIG0_SEL(i)                                 (0x00001980+(i)*4) /* RW-4A */
#define NV_PVIC_PM_TRIG0_SEL__SIZE_1                            1               /*       */
#define NV_PVIC_PM_TRIG0_SEL_SEL0                               7:0             /* RWXUF */
#define NV_PVIC_PM_TRIG0_SEL_SEL1                               15:8            /* RWXUF */
#define NV_PVIC_PM_TRIG0_SEL_SEL2                               23:16           /* RWXUF */
#define NV_PVIC_PM_TRIG0_SEL_SEL3                               31:24           /* RWXUF */
#define NV_PVIC_PM_TRIG0_OP(i)                                  (0x00001984+(i)*4) /* RW-4A */
#define NV_PVIC_PM_TRIG0_OP__SIZE_1                             1               /*       */
#define NV_PVIC_PM_TRIG0_OP_FUNC                                15:0            /* RWXUF */
#define NV_PVIC_PM_TRIG0_OP_DSEL0                               16:16           /* RWXUF */
#define NV_PVIC_PM_TRIG0_OP_DSEL1                               17:17           /* RWXUF */
#define NV_PVIC_PM_TRIG0_OP_DSEL0_TO_SEL2                       18:18           /* RWXUF */
#define NV_PVIC_PM_TRIG0_OP_DSEL1_TO_SEL3                       19:19           /* RWXUF */
#define NV_PVIC_PM_TRIG1_SEL(i)                                 (0x00001988+(i)*4) /* RW-4A */
#define NV_PVIC_PM_TRIG1_SEL__SIZE_1                            1               /*       */
#define NV_PVIC_PM_TRIG1_SEL_SEL0                               7:0             /* RWXUF */
#define NV_PVIC_PM_TRIG1_SEL_SEL1                               15:8            /* RWXUF */
#define NV_PVIC_PM_TRIG1_SEL_SEL2                               23:16           /* RWXUF */
#define NV_PVIC_PM_TRIG1_SEL_SEL3                               31:24           /* RWXUF */
#define NV_PVIC_PM_TRIG1_OP(i)                                  (0x0000198c+(i)*4) /* RW-4A */
#define NV_PVIC_PM_TRIG1_OP__SIZE_1                             1               /*       */
#define NV_PVIC_PM_TRIG1_OP_FUNC                                15:0            /* RWXUF */
#define NV_PVIC_PM_TRIG1_OP_DSEL0                               16:16           /* RWXUF */
#define NV_PVIC_PM_TRIG1_OP_DSEL1                               17:17           /* RWXUF */
#define NV_PVIC_PM_TRIG1_OP_DSEL0_TO_SEL2                       18:18           /* RWXUF */
#define NV_PVIC_PM_TRIG1_OP_DSEL1_TO_SEL3                       19:19           /* RWXUF */
#define NV_PVIC_PM_EVENT_SEL(i)                                 (0x00001990+(i)*4) /* RW-4A */
#define NV_PVIC_PM_EVENT_SEL__SIZE_1                            1               /*       */
#define NV_PVIC_PM_EVENT_SEL_SEL0                               7:0             /* RWXUF */
#define NV_PVIC_PM_EVENT_SEL_SEL1                               15:8            /* RWXUF */
#define NV_PVIC_PM_EVENT_SEL_SEL2                               23:16           /* RWXUF */
#define NV_PVIC_PM_EVENT_SEL_SEL3                               31:24           /* RWXUF */
#define NV_PVIC_PM_EVENT_OP(i)                                  (0x00001994+(i)*4) /* RW-4A */
#define NV_PVIC_PM_EVENT_OP__SIZE_1                             1               /*       */
#define NV_PVIC_PM_EVENT_OP_FUNC                                15:0            /* RWXUF */
#define NV_PVIC_PM_EVENT_OP_DSEL0                               16:16           /* RWXUF */
#define NV_PVIC_PM_EVENT_OP_DSEL1                               17:17           /* RWXUF */
#define NV_PVIC_PM_EVENT_OP_SSEL3                               18:18           /* RWXUF */
#define NV_PVIC_PM_EVENT_OP_DSEL0_TO_SEL2                       19:19           /* RWXUF */
#define NV_PVIC_PM_EVENT_OP_DSEL1_TO_SEL3                       20:20           /* RWXUF */
#define NV_PVIC_PM_SAMPLE_SEL(i)                                (0x00001998+(i)*4) /* RW-4A */
#define NV_PVIC_PM_SAMPLE_SEL__SIZE_1                           1               /*       */
#define NV_PVIC_PM_SAMPLE_SEL_SEL0                              7:0             /* RWXUF */
#define NV_PVIC_PM_SAMPLE_SEL_SEL1                              15:8            /* RWXUF */
#define NV_PVIC_PM_SAMPLE_SEL_SEL2                              23:16           /* RWXUF */
#define NV_PVIC_PM_SAMPLE_SEL_SEL3                              31:24           /* RWXUF */
#define NV_PVIC_PM_SAMPLE_OP(i)                                 (0x0000199c+(i)*4) /* RW-4A */
#define NV_PVIC_PM_SAMPLE_OP__SIZE_1                            1               /*       */
#define NV_PVIC_PM_SAMPLE_OP_FUNC                               15:0            /* RWXUF */
#define NV_PVIC_PM_SAMPLE_OP_DSEL0                              16:16           /* RWXUF */
#define NV_PVIC_PM_SAMPLE_OP_DSEL1                              17:17           /* RWXUF */
#define NV_PVIC_PM_SAMPLE_OP_SSEL3                              18:18           /* RWXUF */
#define NV_PVIC_PM_SAMPLE_OP_DSEL0_TO_SEL2                      19:19           /* RWXUF */
#define NV_PVIC_PM_SAMPLE_OP_DSEL1_TO_SEL3                      20:20           /* RWXUF */
#define NV_PVIC_PM_SETFLAG_OP(i)                                (0x000019a0+(i)*4) /* RW-4A */
#define NV_PVIC_PM_SETFLAG_OP__SIZE_1                           1               /*       */
#define NV_PVIC_PM_SETFLAG_OP_FUNC                              15:0            /* RWXUF */
#define NV_PVIC_PM_SETFLAG_OP_DSEL0                             16:16           /* RWXUF */
#define NV_PVIC_PM_SETFLAG_OP_DSEL1                             17:17           /* RWXUF */
#define NV_PVIC_PM_SETFLAG_OP_DSEL0_TO_SEL2                     18:18           /* RWXUF */
#define NV_PVIC_PM_SETFLAG_OP_DSEL1_TO_SEL3                     19:19           /* RWXUF */
#define NV_PVIC_PM_CLRFLAG_OP(i)                                (0x000019a4+(i)*4) /* RW-4A */
#define NV_PVIC_PM_CLRFLAG_OP__SIZE_1                           1               /*       */
#define NV_PVIC_PM_CLRFLAG_OP_FUNC                              15:0            /* RWXUF */
#define NV_PVIC_PM_CLRFLAG_OP_DSEL0                             16:16           /* RWXUF */
#define NV_PVIC_PM_CLRFLAG_OP_DSEL1                             17:17           /* RWXUF */
#define NV_PVIC_PM_CLRFLAG_OP_DSEL0_TO_SEL2                     18:18           /* RWXUF */
#define NV_PVIC_PM_CLRFLAG_OP_DSEL1_TO_SEL3                     19:19           /* RWXUF */
#define NV_PVIC_PM_SELECTMUX(i)                                 (0x000019a8+(i)*4) /* R-X4A */
#define NV_PVIC_PM_SELECTMUX__SIZE_1                            1               /*       */
#define NV_PVIC_PM_SELECTMUX_TRIG0_SEL                          3:0             /* R-XUF */
#define NV_PVIC_PM_SELECTMUX_TRIG1_SEL                          7:4             /* R-XUF */
#define NV_PVIC_PM_SELECTMUX_EVENT_SEL                          11:8            /* R-XUF */
#define NV_PVIC_PM_SELECTMUX_SAMPLE_SEL                         15:12           /* R-XUF */
#define NV_PVIC_PM_ENGINE_SEL(i)                                (0x000019ac+(i)*4) /* RWX4A */
#define NV_PVIC_PM_ENGINE_SEL__SIZE_1                           1               /*       */
#define NV_PVIC_PM_ENGINE_SEL_START                             7:0             /* RWXUF */
#define NV_PVIC_PM_ENGINE_SEL_START1                            15:8            /* RWXUF */
#define NV_PVIC_PM_ENGINE_SEL_START2                            23:16           /* RWXUF */
#define NV_PVIC_PM_ENGINE_SEL_START3                            31:24           /* RWXUF */
#define NV_PVIC_PM_PM_WATCHBUSDEBUG(i)                          (0x000019b0+(i)*4) /* -WX4A */
#define NV_PVIC_PM_PM_WATCHBUSDEBUG__SIZE_1                     1               /*       */
#define NV_PVIC_PM_PM_WATCHBUSDEBUG_CONTROLBYPRI                1:0             /* -WXUF */
#define NV_PVIC_PM_PM_WATCHBUSDEBUG_SELFCLEAR                   3:2             /* -WXUF */
#define NV_PVIC_PM_PM_WATCHBUSDEBUG_START_FUNC                  7:4             /* -WXUF */
#define NV_PVIC_PM_PM_WATCHBUSDEBUG_STOP_FUNC                   11:8            /* -WXUF */
#define NV_PVIC_PM_PM_WATCHBUSDEBUG_WATCHBUS_SELECT             12:12           /* -WXUF */
#define NV_PVIC_PM_PM_WATCHBUSDEBUG_WATCHBUS_REG_SELECT         13:13           /* -WXUF */
#define NV_PVIC_PM_ELAPSED_0(i)                                 (0x000019b4+(i)*4) /* R--4A */
#define NV_PVIC_PM_ELAPSED_0__SIZE_1                            1               /*       */
#define NV_PVIC_PM_ELAPSED_0_VAL                                31:0            /* R-XUF */
#define NV_PVIC_PM_CYCLECNT_0(i)                                (0x000019b8+(i)*4) /* R--4A */
#define NV_PVIC_PM_CYCLECNT_0__SIZE_1                           1               /*       */
#define NV_PVIC_PM_CYCLECNT_0_VAL                               31:0            /* R-XUF */
#define NV_PVIC_PM_EVENTCNT_0(i)                                (0x000019bc+(i)*4) /* R--4A */
#define NV_PVIC_PM_EVENTCNT_0__SIZE_1                           1               /*       */
#define NV_PVIC_PM_EVENTCNT_0_VAL                               31:0            /* R-XUF */
#define NV_PVIC_PM_THRESHCNT_0(i)                               (0x000019c0+(i)*4) /* R--4A */
#define NV_PVIC_PM_THRESHCNT_0__SIZE_1                          1               /*       */
#define NV_PVIC_PM_THRESHCNT_0_VAL                              31:0            /* R-XUF */
#define NV_PVIC_PM_TRIGGERCNT(i)                                (0x000019c4+(i)*4) /* RW-4A */
#define NV_PVIC_PM_TRIGGERCNT__SIZE_1                           1               /*       */
#define NV_PVIC_PM_TRIGGERCNT_VAL                               31:0            /* RWXUF */
#define NV_PVIC_PM_SAMPLECNT(i)                                 (0x000019c8+(i)*4) /* RW-4A */
#define NV_PVIC_PM_SAMPLECNT__SIZE_1                            1               /*       */
#define NV_PVIC_PM_SAMPLECNT_VAL                                31:0            /* RWXUF */
#define NV_PVIC_PM_THRESHOLD_0(i)                               (0x000019cc+(i)*4) /* RW-4A */
#define NV_PVIC_PM_THRESHOLD_0__SIZE_1                          1               /*       */
#define NV_PVIC_PM_THRESHOLD_0_VAL                              31:0            /* RWXUF */
#define NV_PVIC_PM_GLOBAL_CNTRL                                 0x000019d0      /* RW-4R */
#define NV_PVIC_PM_GLOBAL_CNTRL_HOLD_MODEC                      0:0             /* RWIVF */
#define NV_PVIC_PM_GLOBAL_CNTRL_HOLD_MODEC_TRUE                 0x00000001      /* RW--V */
#define NV_PVIC_PM_GLOBAL_CNTRL_HOLD_MODEC_FALSE                0x00000000      /* RWI-V */
#define NV_PVIC_PM_GLOBAL_CNTRL_HOLD_TIMEBASES                  4:4             /* RWIVF */
#define NV_PVIC_PM_GLOBAL_CNTRL_HOLD_TIMEBASES_TRUE             0x00000001      /* RW--V */
#define NV_PVIC_PM_GLOBAL_CNTRL_HOLD_TIMEBASES_FALSE            0x00000000      /* RWI-V */
#define NV_PVIC_PM_GLOBAL_CNTRL_ENGINE_GFX                      8:8             /* R-XVF */
#define NV_PVIC_PM_GLOBAL_CNTRL_ENGINE_GFX_INIT                 0x00000000      /* R-X-V */
#define NV_PVIC_PM_GLOBAL_CNTRL_ENGINE_GFX_INACTIVE             0x00000000      /* R-X-V */
#define NV_PVIC_PM_GLOBAL_CNTRL_ENGINE_GFX_ACTIVE               0x00000001      /* R-X-V */
#define NV_PVIC_PM_GLOBAL_CNTRL_START_OF_TEST                   14:14           /* RWXVF */
#define NV_PVIC_PM_GLOBAL_CNTRL_START_OF_TEST_INIT              0x00000000      /* RWX-V */
#define NV_PVIC_PM_GLOBAL_CNTRL_START_OF_TEST_RESET             0x00000000      /* RWX-V */
#define NV_PVIC_PM_GLOBAL_CNTRL_START_OF_TEST_SET               0x00000001      /* RWX-V */
#define NV_PVIC_PM_GLOBAL_CNTRL_END_OF_TEST                     15:15           /* RWXVF */
#define NV_PVIC_PM_GLOBAL_CNTRL_END_OF_TEST_INIT                0x00000000      /* RWX-V */
#define NV_PVIC_PM_GLOBAL_CNTRL_END_OF_TEST_RESET               0x00000000      /* RWX-V */
#define NV_PVIC_PM_GLOBAL_CNTRL_END_OF_TEST_SET                 0x00000001      /* RWX-V */
#define NV_PVIC_PM_GLOBAL_CNTRL_ENGINE_VIC                      18:18           /* R-XVF */
#define NV_PVIC_PM_GLOBAL_CNTRL_ENGINE_VIC_INIT                 0x00000000      /* R-X-V */
#define NV_PVIC_PM_GLOBAL_CNTRL_ENGINE_VIC_INACTIVE             0x00000000      /* R-X-V */
#define NV_PVIC_PM_GLOBAL_CNTRL_ENGINE_VIC_ACTIVE               0x00000001      /* R-X-V */
#define NV_PVIC_PM_WATCH0(i)                                    (0x000019d4+(i)*4) /* R--4A */
#define NV_PVIC_PM_WATCH0__SIZE_1                               1               /*       */
#define NV_PVIC_PM_WATCH1(i)                                    (0x000019d8+(i)*4) /* R--4A */
#define NV_PVIC_PM_WATCH1__SIZE_1                               1               /*       */
#define NV_PVIC_PM_WATCH2(i)                                    (0x000019dc+(i)*4) /* R--4A */
#define NV_PVIC_PM_WATCH2__SIZE_1                               1               /*       */
#define NV_PVIC_PM_WATCH3(i)                                    (0x000019e0+(i)*4) /* R--4A */
#define NV_PVIC_PM_WATCH3__SIZE_1                               1               /*       */
#define NV_PVIC_PM_WATCH7(i)                                    (0x000019e4+(i)*4) /* R--4A */
#define NV_PVIC_PM_WATCH7__SIZE_1                               1               /*       */
#define NV_PVIC_PM_CONTROL(i)                                   (0x000019e8+(i)*4) /* RW-4A */
#define NV_PVIC_PM_CONTROL__SIZE_1                              1               /*       */
#define NV_PVIC_PM_CONTROL_MODE                                 1:0             /* RWIUF */
#define NV_PVIC_PM_CONTROL_MODE_A                               0x00000000      /* RWI-V */
#define NV_PVIC_PM_CONTROL_MODE_B                               0x00000001      /* RW--V */
#define NV_PVIC_PM_CONTROL_MODE_C                               0x00000002      /* RW--V */
#define NV_PVIC_PM_CONTROL_CYC_RDMODE                           3:2             /* RWIUF */
#define NV_PVIC_PM_CONTROL_CYC_RDMODE_CYC                       0x00000000      /* RWI-V */
#define NV_PVIC_PM_CONTROL_CYC_RDMODE_PREP                      0x00000001      /* RW--V */
#define NV_PVIC_PM_CONTROL_CYC_RDMODE_COMP                      0x00000002      /* RW--V */
#define NV_PVIC_PM_CONTROL_ADDTOCTR                             6:4             /* RWIUF */
#define NV_PVIC_PM_CONTROL_ADDTOCTR_INCR                        0x00000000      /* RWI-V */
#define NV_PVIC_PM_CONTROL_ADDTOCTR_EVENT4                      0x00000001      /* RW--V */
#define NV_PVIC_PM_CONTROL_ADDTOCTR_EVENT6                      0x00000002      /* RW--V */
#define NV_PVIC_PM_CONTROL_ADDTOCTR_TRIG4                       0x00000003      /* RW--V */
#define NV_PVIC_PM_CONTROL_ADDTOCTR_TRIG6                       0x00000004      /* RW--V */
#define NV_PVIC_PM_CONTROL_SHADOW_COUNT_MODE                    7:7             /* RWIUF */
#define NV_PVIC_PM_CONTROL_SHADOW_COUNT_MODE_EN                 0x00000001      /* RW--V */
#define NV_PVIC_PM_CONTROL_SHADOW_COUNT_MODE_DIS                0x00000000      /* RWI-V */
#define NV_PVIC_PM_CONTROL_CLEAR_EVENT_ONCE                     8:8             /* RWIUF */
#define NV_PVIC_PM_CONTROL_CLEAR_EVENT_ONCE_DISABLE             0x00000000      /* RWI-V */
#define NV_PVIC_PM_CONTROL_CLEAR_EVENT_ONCE_ENABLE              0x00000001      /* RW--V */
#define NV_PVIC_PM_CONTROL_EVENT_SYNC_MODE                      11:11           /* RWIUF */
#define NV_PVIC_PM_CONTROL_EVENT_SYNC_MODE_LEVEL                0x00000000      /* RWI-V */
#define NV_PVIC_PM_CONTROL_EVENT_SYNC_MODE_PULSE                0x00000001      /* RW--V */
#define NV_PVIC_PM_CONTROL_FLAG_SYNC_MODE                       13:13           /* RWIUF */
#define NV_PVIC_PM_CONTROL_FLAG_SYNC_MODE_LEVEL                 0x00000000      /* RWI-V */
#define NV_PVIC_PM_CONTROL_FLAG_SYNC_MODE_PULSE                 0x00000001      /* RW--V */
#define NV_PVIC_PM_CONTROL_DRIVE_OUT                            16:16           /* RWIUF */
#define NV_PVIC_PM_CONTROL_DRIVE_OUT_NORMAL                     0x00000000      /* RWI-V */
#define NV_PVIC_PM_CONTROL_DRIVE_OUT_OBSERVE                    0x00000001      /* RW--V */
#define NV_PVIC_PM_CONTROL_TIMEBASE_CYCLES                      23:21           /* RWIUF */
#define NV_PVIC_PM_CONTROL_TIMEBASE_CYCLES_DISABLED             0x00000000      /* RWI-V */
#define NV_PVIC_PM_CONTROL_TIMEBASE_CYCLES_1K                   0x00000001      /* RW--V */
#define NV_PVIC_PM_CONTROL_TIMEBASE_CYCLES_2K                   0x00000002      /* RW--V */
#define NV_PVIC_PM_CONTROL_TIMEBASE_CYCLES_4K                   0x00000003      /* RW--V */
#define NV_PVIC_PM_CONTROL_TIMEBASE_CYCLES_8K                   0x00000004      /* RW--V */
#define NV_PVIC_PM_CONTROL_TIMEBASE_CYCLES_16K                  0x00000005      /* RW--V */
#define NV_PVIC_PM_CONTROL_TIMEBASE_CYCLES_32K                  0x00000006      /* RW--V */
#define NV_PVIC_PM_CONTROL_TIMEBASE_CYCLES_64K                  0x00000007      /* RW--V */
#define NV_PVIC_PM_CONTROL_SHADOW_STATE                         25:24           /* R-IUF */
#define NV_PVIC_PM_CONTROL_SHADOW_STATE_INVALID                 0x00000000      /* R-I-V */
#define NV_PVIC_PM_CONTROL_SHADOW_STATE_VALID                   0x00000001      /* R---V */
#define NV_PVIC_PM_CONTROL_SHADOW_STATE_OVERFLOW                0x00000003      /* R---V */
#define NV_PVIC_PM_CONTROL_STATE                                29:28           /* R-IUF */
#define NV_PVIC_PM_CONTROL_STATE_IDLE                           0x00000000      /* R-I-V */
#define NV_PVIC_PM_CONTROL_STATE_WAIT_TRIG0                     0x00000001      /* R---V */
#define NV_PVIC_PM_CONTROL_STATE_WAIT_TRIG1                     0x00000002      /* R---V */
#define NV_PVIC_PM_CONTROL_STATE_CAPTURE                        0x00000003      /* R---V */
#define NV_PVIC_PM_CONTROL_DRIVE_SCAN_TRIGGER                   30:30           /* RWIUF */
#define NV_PVIC_PM_CONTROL_DRIVE_SCAN_TRIGGER_NORMAL            0x00000000      /* RWI-V */
#define NV_PVIC_PM_CONTROL_DRIVE_SCAN_TRIGGER_DEBUG             0x00000001      /* RW--V */
#define NV_PVIC_PM_CONTROL_STOP_CNTR                            31:31           /* RWIUF */
#define NV_PVIC_PM_CONTROL_STOP_CNTR_ASSERT                     0x00000001      /* RW--V */
#define NV_PVIC_PM_CONTROL_STOP_CNTR_DEASSERT                   0x00000000      /* RWI-V */
#define NV_PVIC_PM_RELEASE(i)                                   (0x000019ec+(i)*4) /* -WX4A */
#define NV_PVIC_PM_RELEASE__SIZE_1                              1               /*       */
#define NV_PVIC_PM_RELEASE_SHADOWS                              0:0             /* -WXUF */
#define NV_PVIC_PM_RELEASE_SHADOWS_NOP                          0x00000000      /* -W--V */
#define NV_PVIC_PM_RELEASE_SHADOWS_DOIT                         0x00000001      /* -W--V */
#define NV_PVIC_TFBIF_CTL                                       0x00002000      /* RW-4R */
#define NV_PVIC_TFBIF_CTL_CLR_BWCOUNT                           0:0             /* RW-VF */
#define NV_PVIC_TFBIF_CTL_CLR_BWCOUNT_SET                       0x00000001      /* RW--V */
#define NV_PVIC_TFBIF_CTL_CLR_BWCOUNT_CLEAR                     0x00000000      /* RW--V */
#define NV_PVIC_TFBIF_CTL_ENABLE                                1:1             /* RW-VF */
#define NV_PVIC_TFBIF_CTL_ENABLE_INIT                           0x00000001      /* RWI-V */
#define NV_PVIC_TFBIF_CTL_ENABLE_TRUE                           0x00000001      /* RW--V */
#define NV_PVIC_TFBIF_CTL_ENABLE_FALSE                          0x00000000      /* RW--V */
#define NV_PVIC_TFBIF_CTL_CLR_IDLEWDERR                         2:2             /* RW-VF */
#define NV_PVIC_TFBIF_CTL_CLR_IDLEWDERR_SET                     0x00000001      /* RW--V */
#define NV_PVIC_TFBIF_CTL_CLR_IDLEWDERR_CLEAR                   0x00000000      /* RW--V */
#define NV_PVIC_TFBIF_CTL_RESET                                 3:3             /* RW-VF */
#define NV_PVIC_TFBIF_CTL_RESET_SET                             0x00000001      /* RW--V */
#define NV_PVIC_TFBIF_CTL_RESET_CLEAR                           0x00000000      /* RW--V */
#define NV_PVIC_TFBIF_CTL_IDLE                                  4:4             /* R--VF */
#define NV_PVIC_TFBIF_CTL_IDLE_TRUE                             0x00000001      /* R---V */
#define NV_PVIC_TFBIF_CTL_IDLE_FALSE                            0x00000000      /* R---V */
#define NV_PVIC_TFBIF_CTL_IDLEWDERR                             5:5             /* R--VF */
#define NV_PVIC_TFBIF_CTL_IDLEWDERR_TRUE                        0x00000001      /* R---V */
#define NV_PVIC_TFBIF_CTL_IDLEWDERR_FALSE                       0x00000000      /* R---V */
#define NV_PVIC_TFBIF_CTL_SRTOUT                                6:6             /* R--VF */
#define NV_PVIC_TFBIF_CTL_SRTOUT_TRUE                           0x00000001      /* R---V */
#define NV_PVIC_TFBIF_CTL_SRTOUT_FALSE                          0x00000000      /* R---V */
#define NV_PVIC_TFBIF_CTL_CLR_SRTOUT                            7:7             /* RW-VF */
#define NV_PVIC_TFBIF_CTL_CLR_SRTOUT_SET                        0x00000001      /* RW--V */
#define NV_PVIC_TFBIF_CTL_CLR_SRTOUT_CLEAR                      0x00000000      /* RW--V */
#define NV_PVIC_TFBIF_CTL_SRTOVAL                               11:8            /* RW-VF */
#define NV_PVIC_TFBIF_CTL_SRTOVAL_INIT                          0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_CTL_VPR                                   12:12           /* R--VF */
#define NV_PVIC_TFBIF_CTL_VPR_TRUE                              0x00000001      /* R---V */
#define NV_PVIC_TFBIF_CTL_VPR_FALSE                             0x00000000      /* R---V */
#define NV_PVIC_TFBIF_WRR_RDP                                   0x00002038      /* RW-4R */
#define NV_PVIC_TFBIF_WRR_RDP_EXT_WEIGHT                        15:0            /* RW-VF */
#define NV_PVIC_TFBIF_WRR_RDP_EXT_WEIGHT_INIT                   0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_WRR_RDP_INT_WEIGHT                        31:16           /* RW-VF */
#define NV_PVIC_TFBIF_WRR_RDP_INT_WEIGHT_INIT                   0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_TRANSCFG                                  0x00002044      /* RW-4R */
#define NV_PVIC_TFBIF_TRANSCFG_ATT0_SWID                        1:0             /* RWIVF */
#define NV_PVIC_TFBIF_TRANSCFG_ATT0_SWID_INIT                   0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_TRANSCFG_ATT1_SWID                        5:4             /* RWIVF */
#define NV_PVIC_TFBIF_TRANSCFG_ATT1_SWID_INIT                   0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_TRANSCFG_ATT2_SWID                        9:8             /* RWIVF */
#define NV_PVIC_TFBIF_TRANSCFG_ATT2_SWID_INIT                   0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_TRANSCFG_ATT3_SWID                        13:12           /* RWIVF */
#define NV_PVIC_TFBIF_TRANSCFG_ATT3_SWID_INIT                   0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_TRANSCFG_ATT4_SWID                        17:16           /* RWIVF */
#define NV_PVIC_TFBIF_TRANSCFG_ATT4_SWID_INIT                   0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_TRANSCFG_ATT5_SWID                        21:20           /* RWIVF */
#define NV_PVIC_TFBIF_TRANSCFG_ATT5_SWID_INIT                   0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_TRANSCFG_ATT6_SWID                        25:24           /* RWIVF */
#define NV_PVIC_TFBIF_TRANSCFG_ATT6_SWID_INIT                   0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_TRANSCFG_ATT7_SWID                        29:28           /* RWIVF */
#define NV_PVIC_TFBIF_TRANSCFG_ATT7_SWID_INIT                   0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_TRANSCFG_HW_SWID                          0x00000000      /* RW--V */
#define NV_PVIC_TFBIF_TRANSCFG_FALC_SWID                        0x00000002      /* RW--V */
#define NV_PVIC_TFBIF_TRANSCFG_PHY_SWID                         0x00000001      /* RW--V */
#define NV_PVIC_TFBIF_TRANSCFG_PHY_STREAMID                     0x0000007f      /* ----V */
#define NV_PVIC_TFBIF_REGIONCFG                                 0x00002048      /* RW-4R */
#define NV_PVIC_TFBIF_REGIONCFG_T0_VPR                          3:3             /* RWIVF */
#define NV_PVIC_TFBIF_REGIONCFG_T0_VPR_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_REGIONCFG_T1_VPR                          7:7             /* RWIVF */
#define NV_PVIC_TFBIF_REGIONCFG_T1_VPR_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_REGIONCFG_T2_VPR                          11:11           /* RWIVF */
#define NV_PVIC_TFBIF_REGIONCFG_T2_VPR_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_REGIONCFG_T3_VPR                          15:15           /* RWIVF */
#define NV_PVIC_TFBIF_REGIONCFG_T3_VPR_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_REGIONCFG_T4_VPR                          19:19           /* RWIVF */
#define NV_PVIC_TFBIF_REGIONCFG_T4_VPR_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_REGIONCFG_T5_VPR                          23:23           /* RWIVF */
#define NV_PVIC_TFBIF_REGIONCFG_T5_VPR_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_REGIONCFG_T6_VPR                          27:27           /* RWIVF */
#define NV_PVIC_TFBIF_REGIONCFG_T6_VPR_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_REGIONCFG_T7_VPR                          31:31           /* RWIVF */
#define NV_PVIC_TFBIF_REGIONCFG_T7_VPR_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_REGIONCFG1                                0x00002058      /* RW-4R */
#define NV_PVIC_TFBIF_REGIONCFG1_T0_APERT_ID                    4:0             /* RWIVF */
#define NV_PVIC_TFBIF_REGIONCFG1_T0_APERT_ID_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_REGIONCFG1_T1_APERT_ID                    12:8            /* RWIVF */
#define NV_PVIC_TFBIF_REGIONCFG1_T1_APERT_ID_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_REGIONCFG1_T2_APERT_ID                    20:16           /* RWIVF */
#define NV_PVIC_TFBIF_REGIONCFG1_T2_APERT_ID_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_REGIONCFG1_T3_APERT_ID                    28:24           /* RWIVF */
#define NV_PVIC_TFBIF_REGIONCFG1_T3_APERT_ID_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_REGIONCFG2                                0x0000205c      /* RW-4R */
#define NV_PVIC_TFBIF_REGIONCFG2_T4_APERT_ID                    4:0             /* RWIVF */
#define NV_PVIC_TFBIF_REGIONCFG2_T4_APERT_ID_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_REGIONCFG2_T5_APERT_ID                    12:8            /* RWIVF */
#define NV_PVIC_TFBIF_REGIONCFG2_T5_APERT_ID_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_REGIONCFG2_T6_APERT_ID                    20:16           /* RWIVF */
#define NV_PVIC_TFBIF_REGIONCFG2_T6_APERT_ID_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_REGIONCFG2_T7_APERT_ID                    28:24           /* RWIVF */
#define NV_PVIC_TFBIF_REGIONCFG2_T7_APERT_ID_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_MASK                        0x0000204c      /* RW-4R */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_MASK_STARVED_MC             0:0             /* RWIVF */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_MASK_STARVED_MC_INIT        0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_MASK_STARVED_MC_TRUE        0x00000001      /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_MASK_STARVED_MC_FALSE       0x00000000      /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_MASK_STALLED_MC             1:1             /* RWIVF */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_MASK_STALLED_MC_INIT        0x00000001      /* RWI-V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_MASK_STALLED_MC_TRUE        0x00000001      /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_MASK_STALLED_MC_FALSE       0x00000000      /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_MASK_DELAYED_MC             2:2             /* RWIVF */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_MASK_DELAYED_MC_INIT        0x00000001      /* RWI-V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_MASK_DELAYED_MC_TRUE        0x00000001      /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_MASK_DELAYED_MC_FALSE       0x00000000      /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_MASK_ACTIVE                 3:3             /* RWIVF */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_MASK_ACTIVE_INIT            0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_MASK_ACTIVE_TRUE            0x00000001      /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_MASK_ACTIVE_FALSE           0x00000000      /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS                       0x00002050      /* RW-4R */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_STARVED_MC_POLARITY   0:0             /* RWIVF */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_STARVED_MC_POLARITY_INIT 0x00000001   /* RWI-V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_STARVED_MC_POLARITY_POSITIVE 0x00000000 /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_STARVED_MC_POLARITY_NEGATIVE 0x00000001 /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_STARVED_MC_OPERATION  1:1             /* RWIVF */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_STARVED_MC_OPERATION_INIT 0x00000001  /* RWI-V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_STARVED_MC_OPERATION_OR 0x00000000    /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_STARVED_MC_OPERATION_AND 0x00000001   /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_STALLED_MC_POLARITY   2:2             /* RWIVF */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_STALLED_MC_POLARITY_INIT 0x00000000   /* RWI-V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_STALLED_MC_POLARITY_POSITIVE 0x00000000 /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_STALLED_MC_POLARITY_NEGATIVE 0x00000001 /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_STALLED_MC_OPERATION  3:3             /* RWIVF */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_STALLED_MC_OPERATION_INIT 0x00000000  /* RWI-V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_STALLED_MC_OPERATION_OR 0x00000000    /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_STALLED_MC_OPERATION_AND 0x00000001   /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_DELAYED_MC_POLARITY   4:4             /* RWIVF */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_DELAYED_MC_POLARITY_INIT 0x00000000   /* RWI-V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_DELAYED_MC_POLARITY_POSITIVE 0x00000000 /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_DELAYED_MC_POLARITY_NEGATIVE 0x00000001 /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_DELAYED_MC_OPERATION  5:5             /* RWIVF */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_DELAYED_MC_OPERATION_INIT 0x00000000  /* RWI-V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_DELAYED_MC_OPERATION_OR 0x00000000    /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_DELAYED_MC_OPERATION_AND 0x00000001   /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_ACTIVE_POLARITY       6:6             /* RWIVF */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_ACTIVE_POLARITY_INIT  0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_ACTIVE_POLARITY_POSITIVE 0x00000000   /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_ACTIVE_POLARITY_NEGATIVE 0x00000001   /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_ACTIVE_OPERATION      7:7             /* RWIVF */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_ACTIVE_OPERATION_INIT 0x00000001      /* RWI-V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_ACTIVE_OPERATION_OR   0x00000000      /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_BORPS_ACTIVE_OPERATION_AND  0x00000001      /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_WEIGHT                      0x00002054      /* RW-4R */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_WEIGHT_VAL                  31:0            /* RWIVF */
#define NV_PVIC_TFBIF_ACTMON_ACTIVE_WEIGHT_VAL_INIT             0x00000001      /* RWI-V */
#define NV_PVIC_TFBIF_ACTMON_MCB_MASK                           0x00002060      /* RW-4R */
#define NV_PVIC_TFBIF_ACTMON_MCB_MASK_STARVED_MC                0:0             /* RWIVF */
#define NV_PVIC_TFBIF_ACTMON_MCB_MASK_STARVED_MC_INIT           0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_ACTMON_MCB_MASK_STARVED_MC_TRUE           0x00000001      /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_MCB_MASK_STARVED_MC_FALSE          0x00000000      /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_MCB_MASK_STALLED_MC                1:1             /* RWIVF */
#define NV_PVIC_TFBIF_ACTMON_MCB_MASK_STALLED_MC_INIT           0x00000001      /* RWI-V */
#define NV_PVIC_TFBIF_ACTMON_MCB_MASK_STALLED_MC_TRUE           0x00000001      /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_MCB_MASK_STALLED_MC_FALSE          0x00000000      /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_MCB_MASK_DELAYED_MC                2:2             /* RWIVF */
#define NV_PVIC_TFBIF_ACTMON_MCB_MASK_DELAYED_MC_INIT           0x00000001      /* RWI-V */
#define NV_PVIC_TFBIF_ACTMON_MCB_MASK_DELAYED_MC_TRUE           0x00000001      /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_MCB_MASK_DELAYED_MC_FALSE          0x00000000      /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_MCB_MASK_ACTIVE                    3:3             /* RWIVF */
#define NV_PVIC_TFBIF_ACTMON_MCB_MASK_ACTIVE_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_ACTMON_MCB_MASK_ACTIVE_TRUE               0x00000001      /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_MCB_MASK_ACTIVE_FALSE              0x00000000      /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS                          0x00002064      /* RW-4R */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_STARVED_MC_POLARITY      0:0             /* RWIVF */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_STARVED_MC_POLARITY_INIT 0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_STARVED_MC_POLARITY_POSITIVE 0x00000000  /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_STARVED_MC_POLARITY_NEGATIVE 0x00000001  /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_STARVED_MC_OPERATION     1:1             /* RWIVF */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_STARVED_MC_OPERATION_INIT 0x00000001     /* RWI-V */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_STARVED_MC_OPERATION_OR  0x00000000      /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_STARVED_MC_OPERATION_AND 0x00000001      /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_STALLED_MC_POLARITY      2:2             /* RWIVF */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_STALLED_MC_POLARITY_INIT 0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_STALLED_MC_POLARITY_POSITIVE 0x00000000  /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_STALLED_MC_POLARITY_NEGATIVE 0x00000001  /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_STALLED_MC_OPERATION     3:3             /* RWIVF */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_STALLED_MC_OPERATION_INIT 0x00000000     /* RWI-V */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_STALLED_MC_OPERATION_OR  0x00000000      /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_STALLED_MC_OPERATION_AND 0x00000001      /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_DELAYED_MC_POLARITY      4:4             /* RWIVF */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_DELAYED_MC_POLARITY_INIT 0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_DELAYED_MC_POLARITY_POSITIVE 0x00000000  /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_DELAYED_MC_POLARITY_NEGATIVE 0x00000001  /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_DELAYED_MC_OPERATION     5:5             /* RWIVF */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_DELAYED_MC_OPERATION_INIT 0x00000000     /* RWI-V */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_DELAYED_MC_OPERATION_OR  0x00000000      /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_DELAYED_MC_OPERATION_AND 0x00000001      /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_ACTIVE_POLARITY          6:6             /* RWIVF */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_ACTIVE_POLARITY_INIT     0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_ACTIVE_POLARITY_POSITIVE 0x00000000      /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_ACTIVE_POLARITY_NEGATIVE 0x00000001      /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_ACTIVE_OPERATION         7:7             /* RWIVF */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_ACTIVE_OPERATION_INIT    0x00000001      /* RWI-V */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_ACTIVE_OPERATION_OR      0x00000000      /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_MCB_BORPS_ACTIVE_OPERATION_AND     0x00000001      /* RW--V */
#define NV_PVIC_TFBIF_ACTMON_MCB_WEIGHT                         0x00002068      /* RW-4R */
#define NV_PVIC_TFBIF_ACTMON_MCB_WEIGHT_VAL                     31:0            /* RWIVF */
#define NV_PVIC_TFBIF_ACTMON_MCB_WEIGHT_VAL_INIT                0x00000001      /* RWI-V */
#define NV_PVIC_TFBIF_THI_TRANSPROP                             0x00002070      /* R--4R */
#define NV_PVIC_TFBIF_THI_TRANSPROP_STREAMID0                   6:0             /* R--VF */
#define NV_PVIC_TFBIF_THI_TRANSPROP_STREAMID1                   14:8            /* R--VF */
#define NV_PVIC_TFBIF_THI_TRANSPROP_TZ_AUTH                     16:16           /* R--VF */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL                            0x00002004      /* RW-4R */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_RCLK_OVERRIDE              0:0             /* RW-VF */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_RCLK_OVERRIDE_INIT         0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_RCLK_OVERRIDE_DISABLE      0x00000000      /* RW--V */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_RCLK_OVERRIDE_ENABLE       0x00000001      /* RW--V */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_WCLK_OVERRIDE              1:1             /* RW-VF */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_WCLK_OVERRIDE_INIT         0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_WCLK_OVERRIDE_DISABLE      0x00000000      /* RW--V */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_WCLK_OVERRIDE_ENABLE       0x00000001      /* RW--V */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_WRCL_MCLE2X                2:2             /* RW-VF */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_WRCL_MCLE2X_INIT           0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_WRCL_MCLE2X_DISABLE        0x00000000      /* RW--V */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_WRCL_MCLE2X_ENABLE         0x00000001      /* RW--V */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_RDMC_RDFAST                3:3             /* RW-VF */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_RDMC_RDFAST_INIT           0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_RDMC_RDFAST_DISABLE        0x00000000      /* RW--V */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_RDMC_RDFAST_ENABLE         0x00000001      /* RW--V */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_WRMC_CLLE2X                4:4             /* RW-VF */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_WRMC_CLLE2X_INIT           0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_WRMC_CLLE2X_DISABLE        0x00000000      /* RW--V */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_WRMC_CLLE2X_ENABLE         0x00000001      /* RW--V */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_RDCL_RDFAST                5:5             /* RW-VF */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_RDCL_RDFAST_INIT           0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_RDCL_RDFAST_DISABLE        0x00000000      /* RW--V */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_RDCL_RDFAST_ENABLE         0x00000001      /* RW--V */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_CCLK_OVERRIDE              6:6             /* RW-VF */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_CCLK_OVERRIDE_INIT         0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_CCLK_OVERRIDE_DISABLE      0x00000000      /* RW--V */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_CCLK_OVERRIDE_ENABLE       0x00000001      /* RW--V */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_RCLK_OVR_MODE              7:7             /* RW-VF */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_RCLK_OVR_MODE_INIT         0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_RCLK_OVR_MODE_DISABLE      0x00000000      /* RW--V */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_RCLK_OVR_MODE_ENABLE       0x00000001      /* RW--V */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_WCLK_OVR_MODE              8:8             /* RW-VF */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_WCLK_OVR_MODE_INIT         0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_WCLK_OVR_MODE_DISABLE      0x00000000      /* RW--V */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL_WCLK_OVR_MODE_ENABLE       0x00000001      /* RW--V */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL1                           0x00002034      /* RW-4R */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL1_SRD2MC_REORDER_DEPTH_LIMIT 15:0           /* RW-VF */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL1_SRD2MC_REORDER_DEPTH_LIMIT_INIT 0x000001c2 /* RWI-V */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL1_SWR2MC_REORDER_DEPTH_LIMIT 31:16          /* RW-VF */
#define NV_PVIC_TFBIF_MCCIF_FIFOCTRL1_SWR2MC_REORDER_DEPTH_LIMIT_INIT 0x00000080 /* RWI-V */
#define NV_PVIC_TFBIF_THROTTLE                                  0x00002008      /* RW-4R */
#define NV_PVIC_TFBIF_THROTTLE_BUCKET_SIZE                      11:0            /* RWIVF */
#define NV_PVIC_TFBIF_THROTTLE_BUCKET_SIZE_INIT                 0x00000064      /* RWI-V */
#define NV_PVIC_TFBIF_THROTTLE_LEAK_COUNT                       27:16           /* RWIVF */
#define NV_PVIC_TFBIF_THROTTLE_LEAK_COUNT_DISABLE               0x00000000      /* RWI-V */
#define NV_PVIC_TFBIF_THROTTLE_LEAK_SIZE                        31:30           /* RWIVF */
#define NV_PVIC_TFBIF_THROTTLE_LEAK_SIZE_16B                    0x00000000      /* RW--V */
#define NV_PVIC_TFBIF_THROTTLE_LEAK_SIZE_32B                    0x00000001      /* RW--V */
#define NV_PVIC_TFBIF_THROTTLE_LEAK_SIZE_64B                    0x00000002      /* RWI-V */
#define NV_PVIC_TFBIF_THROTTLE_LEAK_SIZE_128B                   0x00000003      /* RW--V */
#define NV_PVIC_TFBIF_DBG_STAT0                                 0x0000200c      /* R--4R */
#define NV_PVIC_TFBIF_DBG_STAT0_1K_TRANSFER                     0:0             /* R--VF */
#define NV_PVIC_TFBIF_DBG_STAT0_RREQ_ISSUED                     1:1             /* R--VF */
#define NV_PVIC_TFBIF_DBG_STAT0_WREQ_ISSUED                     2:2             /* R--VF */
#define NV_PVIC_TFBIF_DBG_STAT0_TAGQ_ISSUED                     3:3             /* R--VF */
#define NV_PVIC_TFBIF_DBG_STAT0_STALL_RDATQ                     4:4             /* R--VF */
#define NV_PVIC_TFBIF_DBG_STAT0_STALL_RACKQ                     5:5             /* R--VF */
#define NV_PVIC_TFBIF_DBG_STAT0_STALL_WREQQ                     6:6             /* R--VF */
#define NV_PVIC_TFBIF_DBG_STAT0_STALL_WDATQ                     7:7             /* R--VF */
#define NV_PVIC_TFBIF_DBG_STAT0_STALL_WACKQ                     8:8             /* R--VF */
#define NV_PVIC_TFBIF_DBG_STAT0_STALL_RREQ_PENDING              9:9             /* R--VF */
#define NV_PVIC_TFBIF_DBG_STAT0_STALL_WREQ_PENDING              10:10           /* R--VF */
#define NV_PVIC_TFBIF_DBG_STAT0_STALL_MREQ                      11:11           /* R--VF */
#define NV_PVIC_TFBIF_DBG_STAT0_ENGINE_IDLE                     12:12           /* R--VF */
#define NV_PVIC_TFBIF_DBG_STAT0_RMCCIF_IDLE                     13:13           /* R--VF */
#define NV_PVIC_TFBIF_DBG_STAT0_WMCCIF_IDLE                     14:14           /* R--VF */
#define NV_PVIC_TFBIF_DBG_STAT0_CSB_IDLE                        15:15           /* R--VF */
#define NV_PVIC_TFBIF_DBG_STAT0_RU_IDLE                         16:16           /* R--VF */
#define NV_PVIC_TFBIF_DBG_STAT0_WU_IDLE                         17:17           /* R--VF */
#define NV_PVIC_TFBIF_DBG_STAT0_UNWEIGHT_ACTMON_ACTIVE          19:19           /* R--VF */
#define NV_PVIC_TFBIF_DBG_STAT0_UNWEIGHT_ACTMON_MCB             20:20           /* R--VF */
#define NV_PVIC_TFBIF_DBG_STAT1                                 0x00002010      /* R--4R */
#define NV_PVIC_TFBIF_DBG_STAT1_DATA                            31:0            /* R--UF */
#define NV_PVIC_TFBIF_DBG_RDCOUNT_LO                            0x00002014      /* R--4R */
#define NV_PVIC_TFBIF_DBG_RDCOUNT_LO_DATA                       31:0            /* R--UF */
#define NV_PVIC_TFBIF_DBG_RDCOUNT_HI                            0x00002018      /* R--4R */
#define NV_PVIC_TFBIF_DBG_RDCOUNT_HI_DATA                       31:0            /* R--UF */
#define NV_PVIC_TFBIF_DBG_WRCOUNT_LO                            0x0000201c      /* R--4R */
#define NV_PVIC_TFBIF_DBG_WRCOUNT_LO_DATA                       31:0            /* R--UF */
#define NV_PVIC_TFBIF_DBG_WRCOUNT_HI                            0x00002020      /* R--4R */
#define NV_PVIC_TFBIF_DBG_WRCOUNT_HI_DATA                       31:0            /* R--UF */
#define NV_PVIC_TFBIF_DBG_R32COUNT                              0x00002024      /* R--4R */
#define NV_PVIC_TFBIF_DBG_R32COUNT_DATA                         31:0            /* R--UF */
#define NV_PVIC_TFBIF_DBG_R64COUNT                              0x00002028      /* R--4R */
#define NV_PVIC_TFBIF_DBG_R64COUNT_DATA                         31:0            /* R--UF */
#define NV_PVIC_TFBIF_DBG_R128COUNT                             0x0000202c      /* R--4R */
#define NV_PVIC_TFBIF_DBG_R128COUNT_DATA                        31:0            /* R--UF */
#define NV_PVIC_CDE_CDE_CONTROL_0                               0x00002104      /* RW-4R */
#define NV_PVIC_CDE_CDE_CONTROL_0_ENABLESURFACE                 0:0             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_0_ENABLESURFACE_INIT            0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_0_ENABLESURFACE_DISABLE         0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_0_ENABLESURFACE_ENABLE          0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_0_KIND                          7:4             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_0_KIND_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_0_KIND_CRA                      0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_0_KIND_BRA                      0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_0_KIND_YUV_8B_1C                0x00000002      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_0_KIND_YUV_8B_2C                0x00000003      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_0_KIND_YUV_10B_1C               0x00000004      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_0_KIND_YUV_10B_2C               0x00000005      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_0_KIND_YUV_12B_1C               0x00000006      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_0_KIND_YUV_12B_2C               0x00000007      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_0_VDIRECTION                    8:8             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_0_VDIRECTION_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_0_VDIRECTION_INCREMENT          0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_0_VDIRECTION_DECREMENT          0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_0_HDIRECTION                    9:9             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_0_HDIRECTION_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_0_HDIRECTION_INCREMENT          0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_0_HDIRECTION_DECREMENT          0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_0_SCANCOLUMN                    10:10           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_0_SCANCOLUMN_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_0_SCANCOLUMN_ROW                0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_0_SCANCOLUMN_COLUMN             0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_0_TRAVERSALPATTERN              11:11           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_0_TRAVERSALPATTERN_INIT         0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_0_TRAVERSALPATTERN_FIXED        0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_0_TRAVERSALPATTERN_RANDOM       0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_0                          0x00002108      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_0_BASEADDRESS              31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_0                        0x00002110      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_0_BASEADDRESSHI          7:0             /* RW-VF */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_0                             0x00002128      /* RW-4R */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_0_PIXELCOLOR                  31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_0                          0x0000212c      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_0_LEFT                     14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_0                         0x00002130      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_0_RIGHT                   14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_0                           0x00002134      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_0_TOP                       14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_0                        0x00002138      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_0_BOTTOM                 14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_0                             0x00002140      /* RW-4R */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_0_MAXENTRYCOUNT               31:0            /* RWIVF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_0_MAXENTRYCOUNT_INIT          0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_0                            0x00002144      /* R--4R */
#define NV_PVIC_CDE_CDE_MCRSPERROR_0_MCRSPERROR                 1:0             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_0_MCRSPERROR_OKAY            0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_0_MCRSPERROR_EXOKAY          0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_0_MCRSPERROR_SLVERR          0x00000002      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_0_MCRSPERROR_DECERR          0x00000003      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_0_ERRORREQ                   2:2             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_0_ERRORREQ_CTBREQ            0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_0_ERRORREQ_COMPREQ           0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_CONTROL_1                               0x0000214c      /* RW-4R */
#define NV_PVIC_CDE_CDE_CONTROL_1_ENABLESURFACE                 0:0             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_1_ENABLESURFACE_INIT            0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_1_ENABLESURFACE_DISABLE         0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_1_ENABLESURFACE_ENABLE          0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_1_KIND                          7:4             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_1_KIND_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_1_KIND_CRA                      0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_1_KIND_BRA                      0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_1_KIND_YUV_8B_1C                0x00000002      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_1_KIND_YUV_8B_2C                0x00000003      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_1_KIND_YUV_10B_1C               0x00000004      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_1_KIND_YUV_10B_2C               0x00000005      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_1_KIND_YUV_12B_1C               0x00000006      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_1_KIND_YUV_12B_2C               0x00000007      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_1_VDIRECTION                    8:8             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_1_VDIRECTION_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_1_VDIRECTION_INCREMENT          0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_1_VDIRECTION_DECREMENT          0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_1_HDIRECTION                    9:9             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_1_HDIRECTION_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_1_HDIRECTION_INCREMENT          0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_1_HDIRECTION_DECREMENT          0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_1_SCANCOLUMN                    10:10           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_1_SCANCOLUMN_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_1_SCANCOLUMN_ROW                0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_1_SCANCOLUMN_COLUMN             0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_1_TRAVERSALPATTERN              11:11           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_1_TRAVERSALPATTERN_INIT         0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_1_TRAVERSALPATTERN_FIXED        0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_1_TRAVERSALPATTERN_RANDOM       0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_1                          0x00002150      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_1_BASEADDRESS              31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_1                        0x00002158      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_1_BASEADDRESSHI          7:0             /* RW-VF */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_1                             0x00002170      /* RW-4R */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_1_PIXELCOLOR                  31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_1                          0x00002174      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_1_LEFT                     14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_1                         0x00002178      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_1_RIGHT                   14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_1                           0x0000217c      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_1_TOP                       14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_1                        0x00002180      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_1_BOTTOM                 14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_1                             0x00002188      /* RW-4R */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_1_MAXENTRYCOUNT               31:0            /* RWIVF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_1_MAXENTRYCOUNT_INIT          0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_1                            0x0000218c      /* R--4R */
#define NV_PVIC_CDE_CDE_MCRSPERROR_1_MCRSPERROR                 1:0             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_1_MCRSPERROR_OKAY            0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_1_MCRSPERROR_EXOKAY          0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_1_MCRSPERROR_SLVERR          0x00000002      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_1_MCRSPERROR_DECERR          0x00000003      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_1_ERRORREQ                   2:2             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_1_ERRORREQ_CTBREQ            0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_1_ERRORREQ_COMPREQ           0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_CONTROL_2                               0x00002194      /* RW-4R */
#define NV_PVIC_CDE_CDE_CONTROL_2_ENABLESURFACE                 0:0             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_2_ENABLESURFACE_INIT            0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_2_ENABLESURFACE_DISABLE         0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_2_ENABLESURFACE_ENABLE          0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_2_KIND                          7:4             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_2_KIND_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_2_KIND_CRA                      0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_2_KIND_BRA                      0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_2_KIND_YUV_8B_1C                0x00000002      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_2_KIND_YUV_8B_2C                0x00000003      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_2_KIND_YUV_10B_1C               0x00000004      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_2_KIND_YUV_10B_2C               0x00000005      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_2_KIND_YUV_12B_1C               0x00000006      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_2_KIND_YUV_12B_2C               0x00000007      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_2_VDIRECTION                    8:8             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_2_VDIRECTION_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_2_VDIRECTION_INCREMENT          0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_2_VDIRECTION_DECREMENT          0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_2_HDIRECTION                    9:9             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_2_HDIRECTION_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_2_HDIRECTION_INCREMENT          0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_2_HDIRECTION_DECREMENT          0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_2_SCANCOLUMN                    10:10           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_2_SCANCOLUMN_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_2_SCANCOLUMN_ROW                0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_2_SCANCOLUMN_COLUMN             0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_2_TRAVERSALPATTERN              11:11           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_2_TRAVERSALPATTERN_INIT         0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_2_TRAVERSALPATTERN_FIXED        0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_2_TRAVERSALPATTERN_RANDOM       0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_2                          0x00002198      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_2_BASEADDRESS              31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_2                        0x000021a0      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_2_BASEADDRESSHI          7:0             /* RW-VF */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_2                             0x000021b8      /* RW-4R */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_2_PIXELCOLOR                  31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_2                          0x000021bc      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_2_LEFT                     14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_2                         0x000021c0      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_2_RIGHT                   14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_2                           0x000021c4      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_2_TOP                       14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_2                        0x000021c8      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_2_BOTTOM                 14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_2                             0x000021d0      /* RW-4R */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_2_MAXENTRYCOUNT               31:0            /* RWIVF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_2_MAXENTRYCOUNT_INIT          0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_2                            0x000021d4      /* R--4R */
#define NV_PVIC_CDE_CDE_MCRSPERROR_2_MCRSPERROR                 1:0             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_2_MCRSPERROR_OKAY            0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_2_MCRSPERROR_EXOKAY          0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_2_MCRSPERROR_SLVERR          0x00000002      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_2_MCRSPERROR_DECERR          0x00000003      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_2_ERRORREQ                   2:2             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_2_ERRORREQ_CTBREQ            0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_2_ERRORREQ_COMPREQ           0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_CONTROL_3                               0x000021dc      /* RW-4R */
#define NV_PVIC_CDE_CDE_CONTROL_3_ENABLESURFACE                 0:0             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_3_ENABLESURFACE_INIT            0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_3_ENABLESURFACE_DISABLE         0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_3_ENABLESURFACE_ENABLE          0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_3_KIND                          7:4             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_3_KIND_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_3_KIND_CRA                      0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_3_KIND_BRA                      0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_3_KIND_YUV_8B_1C                0x00000002      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_3_KIND_YUV_8B_2C                0x00000003      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_3_KIND_YUV_10B_1C               0x00000004      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_3_KIND_YUV_10B_2C               0x00000005      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_3_KIND_YUV_12B_1C               0x00000006      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_3_KIND_YUV_12B_2C               0x00000007      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_3_VDIRECTION                    8:8             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_3_VDIRECTION_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_3_VDIRECTION_INCREMENT          0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_3_VDIRECTION_DECREMENT          0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_3_HDIRECTION                    9:9             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_3_HDIRECTION_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_3_HDIRECTION_INCREMENT          0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_3_HDIRECTION_DECREMENT          0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_3_SCANCOLUMN                    10:10           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_3_SCANCOLUMN_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_3_SCANCOLUMN_ROW                0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_3_SCANCOLUMN_COLUMN             0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_3_TRAVERSALPATTERN              11:11           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_3_TRAVERSALPATTERN_INIT         0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_3_TRAVERSALPATTERN_FIXED        0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_3_TRAVERSALPATTERN_RANDOM       0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_3                          0x000021e0      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_3_BASEADDRESS              31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_3                        0x000021e8      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_3_BASEADDRESSHI          7:0             /* RW-VF */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_3                             0x00002200      /* RW-4R */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_3_PIXELCOLOR                  31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_3                          0x00002204      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_3_LEFT                     14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_3                         0x00002208      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_3_RIGHT                   14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_3                           0x0000220c      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_3_TOP                       14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_3                        0x00002210      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_3_BOTTOM                 14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_3                             0x00002218      /* RW-4R */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_3_MAXENTRYCOUNT               31:0            /* RWIVF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_3_MAXENTRYCOUNT_INIT          0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_3                            0x0000221c      /* R--4R */
#define NV_PVIC_CDE_CDE_MCRSPERROR_3_MCRSPERROR                 1:0             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_3_MCRSPERROR_OKAY            0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_3_MCRSPERROR_EXOKAY          0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_3_MCRSPERROR_SLVERR          0x00000002      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_3_MCRSPERROR_DECERR          0x00000003      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_3_ERRORREQ                   2:2             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_3_ERRORREQ_CTBREQ            0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_3_ERRORREQ_COMPREQ           0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_CONTROL_4                               0x00002224      /* RW-4R */
#define NV_PVIC_CDE_CDE_CONTROL_4_ENABLESURFACE                 0:0             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_4_ENABLESURFACE_INIT            0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_4_ENABLESURFACE_DISABLE         0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_4_ENABLESURFACE_ENABLE          0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_4_KIND                          7:4             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_4_KIND_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_4_KIND_CRA                      0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_4_KIND_BRA                      0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_4_KIND_YUV_8B_1C                0x00000002      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_4_KIND_YUV_8B_2C                0x00000003      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_4_KIND_YUV_10B_1C               0x00000004      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_4_KIND_YUV_10B_2C               0x00000005      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_4_KIND_YUV_12B_1C               0x00000006      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_4_KIND_YUV_12B_2C               0x00000007      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_4_VDIRECTION                    8:8             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_4_VDIRECTION_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_4_VDIRECTION_INCREMENT          0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_4_VDIRECTION_DECREMENT          0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_4_HDIRECTION                    9:9             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_4_HDIRECTION_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_4_HDIRECTION_INCREMENT          0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_4_HDIRECTION_DECREMENT          0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_4_SCANCOLUMN                    10:10           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_4_SCANCOLUMN_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_4_SCANCOLUMN_ROW                0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_4_SCANCOLUMN_COLUMN             0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_4_TRAVERSALPATTERN              11:11           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_4_TRAVERSALPATTERN_INIT         0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_4_TRAVERSALPATTERN_FIXED        0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_4_TRAVERSALPATTERN_RANDOM       0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_4                          0x00002228      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_4_BASEADDRESS              31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_4                        0x00002230      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_4_BASEADDRESSHI          7:0             /* RW-VF */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_4                             0x00002248      /* RW-4R */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_4_PIXELCOLOR                  31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_4                          0x0000224c      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_4_LEFT                     14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_4                         0x00002250      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_4_RIGHT                   14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_4                           0x00002254      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_4_TOP                       14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_4                        0x00002258      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_4_BOTTOM                 14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_4                             0x00002260      /* RW-4R */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_4_MAXENTRYCOUNT               31:0            /* RWIVF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_4_MAXENTRYCOUNT_INIT          0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_4                            0x00002264      /* R--4R */
#define NV_PVIC_CDE_CDE_MCRSPERROR_4_MCRSPERROR                 1:0             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_4_MCRSPERROR_OKAY            0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_4_MCRSPERROR_EXOKAY          0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_4_MCRSPERROR_SLVERR          0x00000002      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_4_MCRSPERROR_DECERR          0x00000003      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_4_ERRORREQ                   2:2             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_4_ERRORREQ_CTBREQ            0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_4_ERRORREQ_COMPREQ           0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_CONTROL_5                               0x0000226c      /* RW-4R */
#define NV_PVIC_CDE_CDE_CONTROL_5_ENABLESURFACE                 0:0             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_5_ENABLESURFACE_INIT            0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_5_ENABLESURFACE_DISABLE         0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_5_ENABLESURFACE_ENABLE          0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_5_KIND                          7:4             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_5_KIND_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_5_KIND_CRA                      0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_5_KIND_BRA                      0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_5_KIND_YUV_8B_1C                0x00000002      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_5_KIND_YUV_8B_2C                0x00000003      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_5_KIND_YUV_10B_1C               0x00000004      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_5_KIND_YUV_10B_2C               0x00000005      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_5_KIND_YUV_12B_1C               0x00000006      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_5_KIND_YUV_12B_2C               0x00000007      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_5_VDIRECTION                    8:8             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_5_VDIRECTION_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_5_VDIRECTION_INCREMENT          0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_5_VDIRECTION_DECREMENT          0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_5_HDIRECTION                    9:9             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_5_HDIRECTION_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_5_HDIRECTION_INCREMENT          0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_5_HDIRECTION_DECREMENT          0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_5_SCANCOLUMN                    10:10           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_5_SCANCOLUMN_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_5_SCANCOLUMN_ROW                0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_5_SCANCOLUMN_COLUMN             0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_5_TRAVERSALPATTERN              11:11           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_5_TRAVERSALPATTERN_INIT         0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_5_TRAVERSALPATTERN_FIXED        0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_5_TRAVERSALPATTERN_RANDOM       0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_5                          0x00002270      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_5_BASEADDRESS              31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_5                        0x00002278      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_5_BASEADDRESSHI          7:0             /* RW-VF */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_5                             0x00002290      /* RW-4R */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_5_PIXELCOLOR                  31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_5                          0x00002294      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_5_LEFT                     14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_5                         0x00002298      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_5_RIGHT                   14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_5                           0x0000229c      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_5_TOP                       14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_5                        0x000022a0      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_5_BOTTOM                 14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_5                             0x000022a8      /* RW-4R */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_5_MAXENTRYCOUNT               31:0            /* RWIVF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_5_MAXENTRYCOUNT_INIT          0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_5                            0x000022ac      /* R--4R */
#define NV_PVIC_CDE_CDE_MCRSPERROR_5_MCRSPERROR                 1:0             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_5_MCRSPERROR_OKAY            0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_5_MCRSPERROR_EXOKAY          0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_5_MCRSPERROR_SLVERR          0x00000002      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_5_MCRSPERROR_DECERR          0x00000003      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_5_ERRORREQ                   2:2             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_5_ERRORREQ_CTBREQ            0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_5_ERRORREQ_COMPREQ           0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_CONTROL_6                               0x000022b4      /* RW-4R */
#define NV_PVIC_CDE_CDE_CONTROL_6_ENABLESURFACE                 0:0             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_6_ENABLESURFACE_INIT            0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_6_ENABLESURFACE_DISABLE         0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_6_ENABLESURFACE_ENABLE          0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_6_KIND                          7:4             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_6_KIND_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_6_KIND_CRA                      0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_6_KIND_BRA                      0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_6_KIND_YUV_8B_1C                0x00000002      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_6_KIND_YUV_8B_2C                0x00000003      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_6_KIND_YUV_10B_1C               0x00000004      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_6_KIND_YUV_10B_2C               0x00000005      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_6_KIND_YUV_12B_1C               0x00000006      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_6_KIND_YUV_12B_2C               0x00000007      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_6_VDIRECTION                    8:8             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_6_VDIRECTION_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_6_VDIRECTION_INCREMENT          0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_6_VDIRECTION_DECREMENT          0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_6_HDIRECTION                    9:9             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_6_HDIRECTION_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_6_HDIRECTION_INCREMENT          0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_6_HDIRECTION_DECREMENT          0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_6_SCANCOLUMN                    10:10           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_6_SCANCOLUMN_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_6_SCANCOLUMN_ROW                0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_6_SCANCOLUMN_COLUMN             0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_6_TRAVERSALPATTERN              11:11           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_6_TRAVERSALPATTERN_INIT         0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_6_TRAVERSALPATTERN_FIXED        0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_6_TRAVERSALPATTERN_RANDOM       0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_6                          0x000022b8      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_6_BASEADDRESS              31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_6                        0x000022c0      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_6_BASEADDRESSHI          7:0             /* RW-VF */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_6                             0x000022d8      /* RW-4R */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_6_PIXELCOLOR                  31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_6                          0x000022dc      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_6_LEFT                     14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_6                         0x000022e0      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_6_RIGHT                   14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_6                           0x000022e4      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_6_TOP                       14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_6                        0x000022e8      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_6_BOTTOM                 14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_6                             0x000022f0      /* RW-4R */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_6_MAXENTRYCOUNT               31:0            /* RWIVF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_6_MAXENTRYCOUNT_INIT          0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_6                            0x000022f4      /* R--4R */
#define NV_PVIC_CDE_CDE_MCRSPERROR_6_MCRSPERROR                 1:0             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_6_MCRSPERROR_OKAY            0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_6_MCRSPERROR_EXOKAY          0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_6_MCRSPERROR_SLVERR          0x00000002      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_6_MCRSPERROR_DECERR          0x00000003      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_6_ERRORREQ                   2:2             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_6_ERRORREQ_CTBREQ            0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_6_ERRORREQ_COMPREQ           0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_CONTROL_7                               0x000022fc      /* RW-4R */
#define NV_PVIC_CDE_CDE_CONTROL_7_ENABLESURFACE                 0:0             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_7_ENABLESURFACE_INIT            0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_7_ENABLESURFACE_DISABLE         0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_7_ENABLESURFACE_ENABLE          0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_7_KIND                          7:4             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_7_KIND_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_7_KIND_CRA                      0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_7_KIND_BRA                      0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_7_KIND_YUV_8B_1C                0x00000002      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_7_KIND_YUV_8B_2C                0x00000003      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_7_KIND_YUV_10B_1C               0x00000004      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_7_KIND_YUV_10B_2C               0x00000005      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_7_KIND_YUV_12B_1C               0x00000006      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_7_KIND_YUV_12B_2C               0x00000007      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_7_VDIRECTION                    8:8             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_7_VDIRECTION_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_7_VDIRECTION_INCREMENT          0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_7_VDIRECTION_DECREMENT          0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_7_HDIRECTION                    9:9             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_7_HDIRECTION_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_7_HDIRECTION_INCREMENT          0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_7_HDIRECTION_DECREMENT          0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_7_SCANCOLUMN                    10:10           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_7_SCANCOLUMN_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_7_SCANCOLUMN_ROW                0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_7_SCANCOLUMN_COLUMN             0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_7_TRAVERSALPATTERN              11:11           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_7_TRAVERSALPATTERN_INIT         0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_7_TRAVERSALPATTERN_FIXED        0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_7_TRAVERSALPATTERN_RANDOM       0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_7                          0x00002300      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_7_BASEADDRESS              31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_7                        0x00002308      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_7_BASEADDRESSHI          7:0             /* RW-VF */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_7                             0x00002320      /* RW-4R */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_7_PIXELCOLOR                  31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_7                          0x00002324      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_7_LEFT                     14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_7                         0x00002328      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_7_RIGHT                   14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_7                           0x0000232c      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_7_TOP                       14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_7                        0x00002330      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_7_BOTTOM                 14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_7                             0x00002338      /* RW-4R */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_7_MAXENTRYCOUNT               31:0            /* RWIVF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_7_MAXENTRYCOUNT_INIT          0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_7                            0x0000233c      /* R--4R */
#define NV_PVIC_CDE_CDE_MCRSPERROR_7_MCRSPERROR                 1:0             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_7_MCRSPERROR_OKAY            0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_7_MCRSPERROR_EXOKAY          0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_7_MCRSPERROR_SLVERR          0x00000002      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_7_MCRSPERROR_DECERR          0x00000003      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_7_ERRORREQ                   2:2             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_7_ERRORREQ_CTBREQ            0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_7_ERRORREQ_COMPREQ           0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_CONTROL_8                               0x00002344      /* RW-4R */
#define NV_PVIC_CDE_CDE_CONTROL_8_ENABLESURFACE                 0:0             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_8_ENABLESURFACE_INIT            0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_8_ENABLESURFACE_DISABLE         0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_8_ENABLESURFACE_ENABLE          0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_8_KIND                          7:4             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_8_KIND_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_8_KIND_CRA                      0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_8_KIND_BRA                      0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_8_KIND_YUV_8B_1C                0x00000002      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_8_KIND_YUV_8B_2C                0x00000003      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_8_KIND_YUV_10B_1C               0x00000004      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_8_KIND_YUV_10B_2C               0x00000005      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_8_KIND_YUV_12B_1C               0x00000006      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_8_KIND_YUV_12B_2C               0x00000007      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_8_VDIRECTION                    8:8             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_8_VDIRECTION_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_8_VDIRECTION_INCREMENT          0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_8_VDIRECTION_DECREMENT          0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_8_HDIRECTION                    9:9             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_8_HDIRECTION_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_8_HDIRECTION_INCREMENT          0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_8_HDIRECTION_DECREMENT          0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_8_SCANCOLUMN                    10:10           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_8_SCANCOLUMN_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_8_SCANCOLUMN_ROW                0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_8_SCANCOLUMN_COLUMN             0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_8_TRAVERSALPATTERN              11:11           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_8_TRAVERSALPATTERN_INIT         0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_8_TRAVERSALPATTERN_FIXED        0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_8_TRAVERSALPATTERN_RANDOM       0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_8                          0x00002348      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_8_BASEADDRESS              31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_8                        0x00002350      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_8_BASEADDRESSHI          7:0             /* RW-VF */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_8                             0x00002368      /* RW-4R */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_8_PIXELCOLOR                  31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_8                          0x0000236c      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_8_LEFT                     14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_8                         0x00002370      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_8_RIGHT                   14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_8                           0x00002374      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_8_TOP                       14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_8                        0x00002378      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_8_BOTTOM                 14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_8                             0x00002380      /* RW-4R */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_8_MAXENTRYCOUNT               31:0            /* RWIVF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_8_MAXENTRYCOUNT_INIT          0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_8                            0x00002384      /* R--4R */
#define NV_PVIC_CDE_CDE_MCRSPERROR_8_MCRSPERROR                 1:0             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_8_MCRSPERROR_OKAY            0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_8_MCRSPERROR_EXOKAY          0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_8_MCRSPERROR_SLVERR          0x00000002      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_8_MCRSPERROR_DECERR          0x00000003      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_8_ERRORREQ                   2:2             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_8_ERRORREQ_CTBREQ            0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_8_ERRORREQ_COMPREQ           0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_CONTROL_9                               0x0000238c      /* RW-4R */
#define NV_PVIC_CDE_CDE_CONTROL_9_ENABLESURFACE                 0:0             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_9_ENABLESURFACE_INIT            0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_9_ENABLESURFACE_DISABLE         0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_9_ENABLESURFACE_ENABLE          0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_9_KIND                          7:4             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_9_KIND_INIT                     0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_9_KIND_CRA                      0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_9_KIND_BRA                      0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_9_KIND_YUV_8B_1C                0x00000002      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_9_KIND_YUV_8B_2C                0x00000003      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_9_KIND_YUV_10B_1C               0x00000004      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_9_KIND_YUV_10B_2C               0x00000005      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_9_KIND_YUV_12B_1C               0x00000006      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_9_KIND_YUV_12B_2C               0x00000007      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_9_VDIRECTION                    8:8             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_9_VDIRECTION_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_9_VDIRECTION_INCREMENT          0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_9_VDIRECTION_DECREMENT          0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_9_HDIRECTION                    9:9             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_9_HDIRECTION_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_9_HDIRECTION_INCREMENT          0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_9_HDIRECTION_DECREMENT          0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_9_SCANCOLUMN                    10:10           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_9_SCANCOLUMN_INIT               0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_9_SCANCOLUMN_ROW                0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_9_SCANCOLUMN_COLUMN             0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_9_TRAVERSALPATTERN              11:11           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_9_TRAVERSALPATTERN_INIT         0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_9_TRAVERSALPATTERN_FIXED        0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_9_TRAVERSALPATTERN_RANDOM       0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_9                          0x00002390      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_9_BASEADDRESS              31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_9                        0x00002398      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_9_BASEADDRESSHI          7:0             /* RW-VF */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_9                             0x000023b0      /* RW-4R */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_9_PIXELCOLOR                  31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_9                          0x000023b4      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_9_LEFT                     14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_9                         0x000023b8      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_9_RIGHT                   14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_9                           0x000023bc      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_9_TOP                       14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_9                        0x000023c0      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_9_BOTTOM                 14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_9                             0x000023c8      /* RW-4R */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_9_MAXENTRYCOUNT               31:0            /* RWIVF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_9_MAXENTRYCOUNT_INIT          0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_9                            0x000023cc      /* R--4R */
#define NV_PVIC_CDE_CDE_MCRSPERROR_9_MCRSPERROR                 1:0             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_9_MCRSPERROR_OKAY            0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_9_MCRSPERROR_EXOKAY          0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_9_MCRSPERROR_SLVERR          0x00000002      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_9_MCRSPERROR_DECERR          0x00000003      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_9_ERRORREQ                   2:2             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_9_ERRORREQ_CTBREQ            0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_9_ERRORREQ_COMPREQ           0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_CONTROL_10                              0x000023d4      /* RW-4R */
#define NV_PVIC_CDE_CDE_CONTROL_10_ENABLESURFACE                0:0             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_10_ENABLESURFACE_INIT           0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_10_ENABLESURFACE_DISABLE        0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_10_ENABLESURFACE_ENABLE         0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_10_KIND                         7:4             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_10_KIND_INIT                    0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_10_KIND_CRA                     0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_10_KIND_BRA                     0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_10_KIND_YUV_8B_1C               0x00000002      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_10_KIND_YUV_8B_2C               0x00000003      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_10_KIND_YUV_10B_1C              0x00000004      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_10_KIND_YUV_10B_2C              0x00000005      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_10_KIND_YUV_12B_1C              0x00000006      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_10_KIND_YUV_12B_2C              0x00000007      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_10_VDIRECTION                   8:8             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_10_VDIRECTION_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_10_VDIRECTION_INCREMENT         0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_10_VDIRECTION_DECREMENT         0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_10_HDIRECTION                   9:9             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_10_HDIRECTION_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_10_HDIRECTION_INCREMENT         0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_10_HDIRECTION_DECREMENT         0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_10_SCANCOLUMN                   10:10           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_10_SCANCOLUMN_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_10_SCANCOLUMN_ROW               0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_10_SCANCOLUMN_COLUMN            0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_10_TRAVERSALPATTERN             11:11           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_10_TRAVERSALPATTERN_INIT        0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_10_TRAVERSALPATTERN_FIXED       0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_10_TRAVERSALPATTERN_RANDOM      0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_10                         0x000023d8      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_10_BASEADDRESS             31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_10                       0x000023e0      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_10_BASEADDRESSHI         7:0             /* RW-VF */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_10                            0x000023f8      /* RW-4R */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_10_PIXELCOLOR                 31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_10                         0x000023fc      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_10_LEFT                    14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_10                        0x00002400      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_10_RIGHT                  14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_10                          0x00002404      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_10_TOP                      14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_10                       0x00002408      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_10_BOTTOM                14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_10                            0x00002410      /* RW-4R */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_10_MAXENTRYCOUNT              31:0            /* RWIVF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_10_MAXENTRYCOUNT_INIT         0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_10                           0x00002414      /* R--4R */
#define NV_PVIC_CDE_CDE_MCRSPERROR_10_MCRSPERROR                1:0             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_10_MCRSPERROR_OKAY           0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_10_MCRSPERROR_EXOKAY         0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_10_MCRSPERROR_SLVERR         0x00000002      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_10_MCRSPERROR_DECERR         0x00000003      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_10_ERRORREQ                  2:2             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_10_ERRORREQ_CTBREQ           0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_10_ERRORREQ_COMPREQ          0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_CONTROL_11                              0x0000241c      /* RW-4R */
#define NV_PVIC_CDE_CDE_CONTROL_11_ENABLESURFACE                0:0             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_11_ENABLESURFACE_INIT           0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_11_ENABLESURFACE_DISABLE        0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_11_ENABLESURFACE_ENABLE         0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_11_KIND                         7:4             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_11_KIND_INIT                    0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_11_KIND_CRA                     0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_11_KIND_BRA                     0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_11_KIND_YUV_8B_1C               0x00000002      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_11_KIND_YUV_8B_2C               0x00000003      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_11_KIND_YUV_10B_1C              0x00000004      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_11_KIND_YUV_10B_2C              0x00000005      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_11_KIND_YUV_12B_1C              0x00000006      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_11_KIND_YUV_12B_2C              0x00000007      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_11_VDIRECTION                   8:8             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_11_VDIRECTION_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_11_VDIRECTION_INCREMENT         0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_11_VDIRECTION_DECREMENT         0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_11_HDIRECTION                   9:9             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_11_HDIRECTION_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_11_HDIRECTION_INCREMENT         0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_11_HDIRECTION_DECREMENT         0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_11_SCANCOLUMN                   10:10           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_11_SCANCOLUMN_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_11_SCANCOLUMN_ROW               0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_11_SCANCOLUMN_COLUMN            0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_11_TRAVERSALPATTERN             11:11           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_11_TRAVERSALPATTERN_INIT        0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_11_TRAVERSALPATTERN_FIXED       0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_11_TRAVERSALPATTERN_RANDOM      0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_11                         0x00002420      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_11_BASEADDRESS             31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_11                       0x00002428      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_11_BASEADDRESSHI         7:0             /* RW-VF */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_11                            0x00002440      /* RW-4R */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_11_PIXELCOLOR                 31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_11                         0x00002444      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_11_LEFT                    14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_11                        0x00002448      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_11_RIGHT                  14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_11                          0x0000244c      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_11_TOP                      14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_11                       0x00002450      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_11_BOTTOM                14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_11                            0x00002458      /* RW-4R */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_11_MAXENTRYCOUNT              31:0            /* RWIVF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_11_MAXENTRYCOUNT_INIT         0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_11                           0x0000245c      /* R--4R */
#define NV_PVIC_CDE_CDE_MCRSPERROR_11_MCRSPERROR                1:0             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_11_MCRSPERROR_OKAY           0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_11_MCRSPERROR_EXOKAY         0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_11_MCRSPERROR_SLVERR         0x00000002      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_11_MCRSPERROR_DECERR         0x00000003      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_11_ERRORREQ                  2:2             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_11_ERRORREQ_CTBREQ           0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_11_ERRORREQ_COMPREQ          0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_CONTROL_12                              0x00002464      /* RW-4R */
#define NV_PVIC_CDE_CDE_CONTROL_12_ENABLESURFACE                0:0             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_12_ENABLESURFACE_INIT           0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_12_ENABLESURFACE_DISABLE        0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_12_ENABLESURFACE_ENABLE         0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_12_KIND                         7:4             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_12_KIND_INIT                    0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_12_KIND_CRA                     0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_12_KIND_BRA                     0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_12_KIND_YUV_8B_1C               0x00000002      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_12_KIND_YUV_8B_2C               0x00000003      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_12_KIND_YUV_10B_1C              0x00000004      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_12_KIND_YUV_10B_2C              0x00000005      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_12_KIND_YUV_12B_1C              0x00000006      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_12_KIND_YUV_12B_2C              0x00000007      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_12_VDIRECTION                   8:8             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_12_VDIRECTION_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_12_VDIRECTION_INCREMENT         0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_12_VDIRECTION_DECREMENT         0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_12_HDIRECTION                   9:9             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_12_HDIRECTION_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_12_HDIRECTION_INCREMENT         0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_12_HDIRECTION_DECREMENT         0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_12_SCANCOLUMN                   10:10           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_12_SCANCOLUMN_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_12_SCANCOLUMN_ROW               0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_12_SCANCOLUMN_COLUMN            0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_12_TRAVERSALPATTERN             11:11           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_12_TRAVERSALPATTERN_INIT        0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_12_TRAVERSALPATTERN_FIXED       0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_12_TRAVERSALPATTERN_RANDOM      0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_12                         0x00002468      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_12_BASEADDRESS             31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_12                       0x00002470      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_12_BASEADDRESSHI         7:0             /* RW-VF */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_12                            0x00002488      /* RW-4R */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_12_PIXELCOLOR                 31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_12                         0x0000248c      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_12_LEFT                    14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_12                        0x00002490      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_12_RIGHT                  14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_12                          0x00002494      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_12_TOP                      14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_12                       0x00002498      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_12_BOTTOM                14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_12                            0x000024a0      /* RW-4R */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_12_MAXENTRYCOUNT              31:0            /* RWIVF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_12_MAXENTRYCOUNT_INIT         0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_12                           0x000024a4      /* R--4R */
#define NV_PVIC_CDE_CDE_MCRSPERROR_12_MCRSPERROR                1:0             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_12_MCRSPERROR_OKAY           0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_12_MCRSPERROR_EXOKAY         0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_12_MCRSPERROR_SLVERR         0x00000002      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_12_MCRSPERROR_DECERR         0x00000003      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_12_ERRORREQ                  2:2             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_12_ERRORREQ_CTBREQ           0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_12_ERRORREQ_COMPREQ          0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_CONTROL_13                              0x000024ac      /* RW-4R */
#define NV_PVIC_CDE_CDE_CONTROL_13_ENABLESURFACE                0:0             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_13_ENABLESURFACE_INIT           0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_13_ENABLESURFACE_DISABLE        0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_13_ENABLESURFACE_ENABLE         0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_13_KIND                         7:4             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_13_KIND_INIT                    0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_13_KIND_CRA                     0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_13_KIND_BRA                     0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_13_KIND_YUV_8B_1C               0x00000002      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_13_KIND_YUV_8B_2C               0x00000003      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_13_KIND_YUV_10B_1C              0x00000004      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_13_KIND_YUV_10B_2C              0x00000005      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_13_KIND_YUV_12B_1C              0x00000006      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_13_KIND_YUV_12B_2C              0x00000007      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_13_VDIRECTION                   8:8             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_13_VDIRECTION_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_13_VDIRECTION_INCREMENT         0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_13_VDIRECTION_DECREMENT         0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_13_HDIRECTION                   9:9             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_13_HDIRECTION_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_13_HDIRECTION_INCREMENT         0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_13_HDIRECTION_DECREMENT         0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_13_SCANCOLUMN                   10:10           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_13_SCANCOLUMN_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_13_SCANCOLUMN_ROW               0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_13_SCANCOLUMN_COLUMN            0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_13_TRAVERSALPATTERN             11:11           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_13_TRAVERSALPATTERN_INIT        0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_13_TRAVERSALPATTERN_FIXED       0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_13_TRAVERSALPATTERN_RANDOM      0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_13                         0x000024b0      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_13_BASEADDRESS             31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_13                       0x000024b8      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_13_BASEADDRESSHI         7:0             /* RW-VF */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_13                            0x000024d0      /* RW-4R */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_13_PIXELCOLOR                 31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_13                         0x000024d4      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_13_LEFT                    14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_13                        0x000024d8      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_13_RIGHT                  14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_13                          0x000024dc      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_13_TOP                      14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_13                       0x000024e0      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_13_BOTTOM                14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_13                            0x000024e8      /* RW-4R */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_13_MAXENTRYCOUNT              31:0            /* RWIVF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_13_MAXENTRYCOUNT_INIT         0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_13                           0x000024ec      /* R--4R */
#define NV_PVIC_CDE_CDE_MCRSPERROR_13_MCRSPERROR                1:0             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_13_MCRSPERROR_OKAY           0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_13_MCRSPERROR_EXOKAY         0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_13_MCRSPERROR_SLVERR         0x00000002      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_13_MCRSPERROR_DECERR         0x00000003      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_13_ERRORREQ                  2:2             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_13_ERRORREQ_CTBREQ           0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_13_ERRORREQ_COMPREQ          0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_CONTROL_14                              0x000024f4      /* RW-4R */
#define NV_PVIC_CDE_CDE_CONTROL_14_ENABLESURFACE                0:0             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_14_ENABLESURFACE_INIT           0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_14_ENABLESURFACE_DISABLE        0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_14_ENABLESURFACE_ENABLE         0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_14_KIND                         7:4             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_14_KIND_INIT                    0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_14_KIND_CRA                     0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_14_KIND_BRA                     0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_14_KIND_YUV_8B_1C               0x00000002      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_14_KIND_YUV_8B_2C               0x00000003      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_14_KIND_YUV_10B_1C              0x00000004      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_14_KIND_YUV_10B_2C              0x00000005      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_14_KIND_YUV_12B_1C              0x00000006      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_14_KIND_YUV_12B_2C              0x00000007      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_14_VDIRECTION                   8:8             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_14_VDIRECTION_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_14_VDIRECTION_INCREMENT         0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_14_VDIRECTION_DECREMENT         0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_14_HDIRECTION                   9:9             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_14_HDIRECTION_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_14_HDIRECTION_INCREMENT         0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_14_HDIRECTION_DECREMENT         0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_14_SCANCOLUMN                   10:10           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_14_SCANCOLUMN_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_14_SCANCOLUMN_ROW               0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_14_SCANCOLUMN_COLUMN            0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_14_TRAVERSALPATTERN             11:11           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_14_TRAVERSALPATTERN_INIT        0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_14_TRAVERSALPATTERN_FIXED       0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_14_TRAVERSALPATTERN_RANDOM      0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_14                         0x000024f8      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_14_BASEADDRESS             31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_14                       0x00002500      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_14_BASEADDRESSHI         7:0             /* RW-VF */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_14                            0x00002518      /* RW-4R */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_14_PIXELCOLOR                 31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_14                         0x0000251c      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_14_LEFT                    14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_14                        0x00002520      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_14_RIGHT                  14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_14                          0x00002524      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_14_TOP                      14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_14                       0x00002528      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_14_BOTTOM                14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_14                            0x00002530      /* RW-4R */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_14_MAXENTRYCOUNT              31:0            /* RWIVF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_14_MAXENTRYCOUNT_INIT         0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_14                           0x00002534      /* R--4R */
#define NV_PVIC_CDE_CDE_MCRSPERROR_14_MCRSPERROR                1:0             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_14_MCRSPERROR_OKAY           0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_14_MCRSPERROR_EXOKAY         0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_14_MCRSPERROR_SLVERR         0x00000002      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_14_MCRSPERROR_DECERR         0x00000003      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_14_ERRORREQ                  2:2             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_14_ERRORREQ_CTBREQ           0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_14_ERRORREQ_COMPREQ          0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_CONTROL_15                              0x0000253c      /* RW-4R */
#define NV_PVIC_CDE_CDE_CONTROL_15_ENABLESURFACE                0:0             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_15_ENABLESURFACE_INIT           0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_15_ENABLESURFACE_DISABLE        0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_15_ENABLESURFACE_ENABLE         0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_15_KIND                         7:4             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_15_KIND_INIT                    0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_15_KIND_CRA                     0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_15_KIND_BRA                     0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_15_KIND_YUV_8B_1C               0x00000002      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_15_KIND_YUV_8B_2C               0x00000003      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_15_KIND_YUV_10B_1C              0x00000004      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_15_KIND_YUV_10B_2C              0x00000005      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_15_KIND_YUV_12B_1C              0x00000006      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_15_KIND_YUV_12B_2C              0x00000007      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_15_VDIRECTION                   8:8             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_15_VDIRECTION_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_15_VDIRECTION_INCREMENT         0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_15_VDIRECTION_DECREMENT         0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_15_HDIRECTION                   9:9             /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_15_HDIRECTION_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_15_HDIRECTION_INCREMENT         0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_15_HDIRECTION_DECREMENT         0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_15_SCANCOLUMN                   10:10           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_15_SCANCOLUMN_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_15_SCANCOLUMN_ROW               0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_15_SCANCOLUMN_COLUMN            0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_15_TRAVERSALPATTERN             11:11           /* RWIVF */
#define NV_PVIC_CDE_CDE_CONTROL_15_TRAVERSALPATTERN_INIT        0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CONTROL_15_TRAVERSALPATTERN_FIXED       0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CONTROL_15_TRAVERSALPATTERN_RANDOM      0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_15                         0x00002540      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASE_15_BASEADDRESS             31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_15                       0x00002548      /* RW-4R */
#define NV_PVIC_CDE_CDE_COMPTAG_BASEHI_15_BASEADDRESSHI         7:0             /* RW-VF */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_15                            0x00002560      /* RW-4R */
#define NV_PVIC_CDE_CDE_ZBC_COLOR_15_PIXELCOLOR                 31:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_15                         0x00002564      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_LEFT_15_LEFT                    14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_15                        0x00002568      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_RIGHT_15_RIGHT                  14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_15                          0x0000256c      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_TOP_15_TOP                      14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_15                       0x00002570      /* RW-4R */
#define NV_PVIC_CDE_CDE_SURFACE_BOTTOM_15_BOTTOM                14:0            /* RW-VF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_15                            0x00002578      /* RW-4R */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_15_MAXENTRYCOUNT              31:0            /* RWIVF */
#define NV_PVIC_CDE_CDE_CTB_ENTRY_15_MAXENTRYCOUNT_INIT         0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_15                           0x0000257c      /* R--4R */
#define NV_PVIC_CDE_CDE_MCRSPERROR_15_MCRSPERROR                1:0             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_15_MCRSPERROR_OKAY           0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_15_MCRSPERROR_EXOKAY         0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_15_MCRSPERROR_SLVERR         0x00000002      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_15_MCRSPERROR_DECERR         0x00000003      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_15_ERRORREQ                  2:2             /* R--VF */
#define NV_PVIC_CDE_CDE_MCRSPERROR_15_ERRORREQ_CTBREQ           0x00000000      /* R---V */
#define NV_PVIC_CDE_CDE_MCRSPERROR_15_ERRORREQ_COMPREQ          0x00000001      /* R---V */
#define NV_PVIC_CDE_CDE_CG_SW_OVR                               0x00002580      /* RW-4R */
#define NV_PVIC_CDE_CDE_CG_SW_OVR_OVERRIDE                      0:0             /* RWIVF */
#define NV_PVIC_CDE_CDE_CG_SW_OVR_OVERRIDE_INIT                 0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_CG_SW_OVR_OVERRIDE_OFF                  0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_CG_SW_OVR_OVERRIDE_ON                   0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_PM_CONTROL                              0x00002584      /* RW-4R */
#define NV_PVIC_CDE_CDE_PM_CONTROL_SIGNAL_SEL                   3:0             /* RWIVF */
#define NV_PVIC_CDE_CDE_PM_CONTROL_SIGNAL_SEL_INIT              0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_PM_CONTROL_SIGNAL_SEL_CTB_LOOKUP_HIT    0x00000000      /* RW--V */
#define NV_PVIC_CDE_CDE_PM_CONTROL_SIGNAL_SEL_CTB_LOOKUP_MISS   0x00000001      /* RW--V */
#define NV_PVIC_CDE_CDE_PM_CONTROL_SIGNAL_SEL_one2one           0x00000002      /* RW--V */
#define NV_PVIC_CDE_CDE_PM_CONTROL_SIGNAL_SEL_two2one           0x00000003      /* RW--V */
#define NV_PVIC_CDE_CDE_PM_CONTROL_SIGNAL_SEL_four2one          0x00000004      /* RW--V */
#define NV_PVIC_CDE_CDE_PM_CONTROL_SIGNAL_SEL_eight2one         0x00000005      /* RW--V */
#define NV_PVIC_CDE_CDE_PM_CONTROL_SIGNAL_SEL_ZBC               0x00000006      /* RW--V */
#define NV_PVIC_CDE_CDE_PM_CONTROL_SIGNAL_SEL_CSR_FETCH_64B     0x00000007      /* RW--V */
#define NV_PVIC_CDE_CDE_PM_CONTROL_SIGNAL_SEL_CSR_FETCH_32B_BP  0x00000008      /* RW--V */
#define NV_PVIC_CDE_CDE_PM_CONTROL_SIGNAL_SEL_CTB_FETCH_64B     0x00000009      /* RW--V */
#define NV_PVIC_CDE_CDE_PM_CONTROL_SIGNAL_SEL_PIXEL_FETCH_64B   0x0000000a      /* RW--V */
#define NV_PVIC_CDE_CDE_PM_CONTROL_SIGNAL_SEL_PIXEL_FETCH_32B   0x0000000b      /* RW--V */
#define NV_PVIC_CDE_CDE_PM_CONTROL_SIGNAL_SEL_CTB_READS_SAMPLED 0x0000000c      /* RW--V */
#define NV_PVIC_CDE_CDE_PM_CONTROL_SIGNAL_SEL_CTB_READ_RSP_LATENCY 0x0000000d   /* RW--V */
#define NV_PVIC_CDE_CDE_PM_CONTROL_SIGNAL_SEL_PIXEL_READS_SAMPLED 0x0000000e    /* RW--V */
#define NV_PVIC_CDE_CDE_PM_CONTROL_SIGNAL_SEL_PIXEL_READ_RSP_LATENCY 0x0000000f /* RW--V */
#define NV_PVIC_CDE_CDE_PM_CONTROL_SURFACE_SEL                  15:8            /* RWIVF */
#define NV_PVIC_CDE_CDE_PM_CONTROL_SURFACE_SEL_INIT             0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_PM_CONTROL_SURFACE_SEL_ALL_SLOTS        0x000000ff      /* RW--V */
#define NV_PVIC_CDE_CDE_PM_SIGNALS                              0x00002588      /* R--4R */
#define NV_PVIC_CDE_CDE_PM_SIGNALS_VALUE                        31:0            /* R--VF */
#define NV_PVIC_CDE_CDE_DEBUG_CONTROL                           0x0000258c      /* RW-4R */
#define NV_PVIC_CDE_CDE_DEBUG_CONTROL_SEL                       3:0             /* RWIVF */
#define NV_PVIC_CDE_CDE_DEBUG_CONTROL_SEL_INIT                  0x00000000      /* RWI-V */
#define NV_PVIC_CDE_CDE_DEBUG_VAL                               0x00002590      /* R--4R */
#define NV_PVIC_CDE_CDE_DEBUG_VAL_VALUE                         31:0            /* R--VF */
#define NV_PVIC_CDE_CDE_SPARE                                   0x00002594      /* RW-4R */
#define NV_PVIC_CDE_CDE_SPARE_VALUE                             31:0            /* RWIVF */
#define NV_PVIC_CDE_CDE_SPARE_VALUE_INIT                        0x00000000      /* RWI-V */


#endif //
