//
// Copyright (c) 2018 NVIDIA Corporation.
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are met:
//
// Redistributions of source code must retain the above copyright notice,
// this list of conditions and the following disclaimer.
//
// Redistributions in binary form must reproduce the above copyright notice,
// this list of conditions and the following disclaimer in the documentation
// and/or other materials provided with the distribution.
//
// Neither the name of the NVIDIA Corporation nor the names of its contributors
// may be used to endorse or promote products derived from this software
// without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
// ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
// LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
// CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
// SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
// INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
// CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
// POSSIBILITY OF SUCH DAMAGE.
//

//
// DO NOT EDIT - generated by simspec!
//

#ifndef ___ARBPMP_ERROR_COLLATOR_H_INC_
#define ___ARBPMP_ERROR_COLLATOR_H_INC_
#define NV_MOBILE_ARBPMP_ERROR_COLLATOR_H_UNIT_OF_OFFSET 1B


// Register BPMP_ERROR_COLLATOR_FEATURE_0
#define BPMP_ERROR_COLLATOR_FEATURE_0                   _MK_ADDR_CONST(0x0)
#define BPMP_ERROR_COLLATOR_FEATURE_0_SECURE                    0x0
#define BPMP_ERROR_COLLATOR_FEATURE_0_DUAL                      0x0
#define BPMP_ERROR_COLLATOR_FEATURE_0_SCR                       EC_SCR_0
#define BPMP_ERROR_COLLATOR_FEATURE_0_WORD_COUNT                        0x1
#define BPMP_ERROR_COLLATOR_FEATURE_0_RESET_VAL                         _MK_MASK_CONST(0x400003)
#define BPMP_ERROR_COLLATOR_FEATURE_0_RESET_MASK                        _MK_MASK_CONST(0xffff003f)
#define BPMP_ERROR_COLLATOR_FEATURE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_FEATURE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_FEATURE_0_READ_MASK                         _MK_MASK_CONST(0xffff003f)
#define BPMP_ERROR_COLLATOR_FEATURE_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_FEATURE_0_NUM_ERR_SHIFT                     _MK_SHIFT_CONST(16)
#define BPMP_ERROR_COLLATOR_FEATURE_0_NUM_ERR_FIELD                     _MK_FIELD_CONST(0xffff, BPMP_ERROR_COLLATOR_FEATURE_0_NUM_ERR_SHIFT)
#define BPMP_ERROR_COLLATOR_FEATURE_0_NUM_ERR_RANGE                     31:16
#define BPMP_ERROR_COLLATOR_FEATURE_0_NUM_ERR_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_FEATURE_0_NUM_ERR_DEFAULT                   _MK_MASK_CONST(0x40)
#define BPMP_ERROR_COLLATOR_FEATURE_0_NUM_ERR_DEFAULT_MASK                      _MK_MASK_CONST(0xffff)
#define BPMP_ERROR_COLLATOR_FEATURE_0_NUM_ERR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_FEATURE_0_NUM_ERR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_FEATURE_0_NUM_ERR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_FEATURE_0_NUM_ERR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_FEATURE_0_NUM_ERR_SLICES_SHIFT                      _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_FEATURE_0_NUM_ERR_SLICES_FIELD                      _MK_FIELD_CONST(0x3f, BPMP_ERROR_COLLATOR_FEATURE_0_NUM_ERR_SLICES_SHIFT)
#define BPMP_ERROR_COLLATOR_FEATURE_0_NUM_ERR_SLICES_RANGE                      5:0
#define BPMP_ERROR_COLLATOR_FEATURE_0_NUM_ERR_SLICES_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_FEATURE_0_NUM_ERR_SLICES_DEFAULT                    _MK_MASK_CONST(0x3)
#define BPMP_ERROR_COLLATOR_FEATURE_0_NUM_ERR_SLICES_DEFAULT_MASK                       _MK_MASK_CONST(0x3f)
#define BPMP_ERROR_COLLATOR_FEATURE_0_NUM_ERR_SLICES_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_FEATURE_0_NUM_ERR_SLICES_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_FEATURE_0_NUM_ERR_SLICES_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_FEATURE_0_NUM_ERR_SLICES_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register BPMP_ERROR_COLLATOR_SWRESET_0
#define BPMP_ERROR_COLLATOR_SWRESET_0                   _MK_ADDR_CONST(0x4)
#define BPMP_ERROR_COLLATOR_SWRESET_0_SECURE                    0x0
#define BPMP_ERROR_COLLATOR_SWRESET_0_DUAL                      0x0
#define BPMP_ERROR_COLLATOR_SWRESET_0_SCR                       EC_SCR_0
#define BPMP_ERROR_COLLATOR_SWRESET_0_WORD_COUNT                        0x1
#define BPMP_ERROR_COLLATOR_SWRESET_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_SWRESET_0_RESET_MASK                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_SWRESET_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_SWRESET_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_SWRESET_0_READ_MASK                         _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_SWRESET_0_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_SWRESET_0_SWRST_SHIFT                       _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_SWRESET_0_SWRST_FIELD                       _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_SWRESET_0_SWRST_SHIFT)
#define BPMP_ERROR_COLLATOR_SWRESET_0_SWRST_RANGE                       0:0
#define BPMP_ERROR_COLLATOR_SWRESET_0_SWRST_WOFFSET                     0x0
#define BPMP_ERROR_COLLATOR_SWRESET_0_SWRST_DEFAULT                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_SWRESET_0_SWRST_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_SWRESET_0_SWRST_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_SWRESET_0_SWRST_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_SWRESET_0_SWRST_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_SWRESET_0_SWRST_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register BPMP_ERROR_COLLATOR_MISSIONERR_TYPE_0
#define BPMP_ERROR_COLLATOR_MISSIONERR_TYPE_0                   _MK_ADDR_CONST(0x8)
#define BPMP_ERROR_COLLATOR_MISSIONERR_TYPE_0_SECURE                    0x0
#define BPMP_ERROR_COLLATOR_MISSIONERR_TYPE_0_DUAL                      0x0
#define BPMP_ERROR_COLLATOR_MISSIONERR_TYPE_0_SCR                       EC_SCR_0
#define BPMP_ERROR_COLLATOR_MISSIONERR_TYPE_0_WORD_COUNT                        0x1
#define BPMP_ERROR_COLLATOR_MISSIONERR_TYPE_0_RESET_VAL                         _MK_MASK_CONST(0x5)
#define BPMP_ERROR_COLLATOR_MISSIONERR_TYPE_0_RESET_MASK                        _MK_MASK_CONST(0x3f)
#define BPMP_ERROR_COLLATOR_MISSIONERR_TYPE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_MISSIONERR_TYPE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_MISSIONERR_TYPE_0_READ_MASK                         _MK_MASK_CONST(0x3f)
#define BPMP_ERROR_COLLATOR_MISSIONERR_TYPE_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_MISSIONERR_TYPE_0_CODE_SHIFT                        _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_MISSIONERR_TYPE_0_CODE_FIELD                        _MK_FIELD_CONST(0x3f, BPMP_ERROR_COLLATOR_MISSIONERR_TYPE_0_CODE_SHIFT)
#define BPMP_ERROR_COLLATOR_MISSIONERR_TYPE_0_CODE_RANGE                        5:0
#define BPMP_ERROR_COLLATOR_MISSIONERR_TYPE_0_CODE_WOFFSET                      0x0
#define BPMP_ERROR_COLLATOR_MISSIONERR_TYPE_0_CODE_DEFAULT                      _MK_MASK_CONST(0x5)
#define BPMP_ERROR_COLLATOR_MISSIONERR_TYPE_0_CODE_DEFAULT_MASK                 _MK_MASK_CONST(0x3f)
#define BPMP_ERROR_COLLATOR_MISSIONERR_TYPE_0_CODE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_MISSIONERR_TYPE_0_CODE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_MISSIONERR_TYPE_0_CODE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_MISSIONERR_TYPE_0_CODE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register BPMP_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0
#define BPMP_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0                     _MK_ADDR_CONST(0xc)
#define BPMP_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_SECURE                      0x0
#define BPMP_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_DUAL                        0x0
#define BPMP_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_SCR                         EC_SCR_0
#define BPMP_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_WORD_COUNT                  0x1
#define BPMP_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_RESET_MASK                  _MK_MASK_CONST(0x1ff)
#define BPMP_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_READ_MASK                   _MK_MASK_CONST(0x1ff)
#define BPMP_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_SHIFT                 _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_FIELD                 _MK_FIELD_CONST(0x1ff, BPMP_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_SHIFT)
#define BPMP_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_RANGE                 8:0
#define BPMP_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_WOFFSET                       0x0
#define BPMP_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_DEFAULT_MASK                  _MK_MASK_CONST(0x1ff)
#define BPMP_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register BPMP_ERROR_COLLATOR_MISSIONERR_USERVALUE_0
#define BPMP_ERROR_COLLATOR_MISSIONERR_USERVALUE_0                      _MK_ADDR_CONST(0x10)
#define BPMP_ERROR_COLLATOR_MISSIONERR_USERVALUE_0_SECURE                       0x0
#define BPMP_ERROR_COLLATOR_MISSIONERR_USERVALUE_0_DUAL                         0x0
#define BPMP_ERROR_COLLATOR_MISSIONERR_USERVALUE_0_SCR                  EC_SCR_0
#define BPMP_ERROR_COLLATOR_MISSIONERR_USERVALUE_0_WORD_COUNT                   0x1
#define BPMP_ERROR_COLLATOR_MISSIONERR_USERVALUE_0_RESET_VAL                    _MK_MASK_CONST(0xdead0000)
#define BPMP_ERROR_COLLATOR_MISSIONERR_USERVALUE_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_MISSIONERR_USERVALUE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_MISSIONERR_USERVALUE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_MISSIONERR_USERVALUE_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_MISSIONERR_USERVALUE_0_WRITE_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_MISSIONERR_USERVALUE_0_VALUE_SHIFT                  _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_MISSIONERR_USERVALUE_0_VALUE_FIELD                  _MK_FIELD_CONST(0xffffffff, BPMP_ERROR_COLLATOR_MISSIONERR_USERVALUE_0_VALUE_SHIFT)
#define BPMP_ERROR_COLLATOR_MISSIONERR_USERVALUE_0_VALUE_RANGE                  31:0
#define BPMP_ERROR_COLLATOR_MISSIONERR_USERVALUE_0_VALUE_WOFFSET                        0x0
#define BPMP_ERROR_COLLATOR_MISSIONERR_USERVALUE_0_VALUE_DEFAULT                        _MK_MASK_CONST(0xdead0000)
#define BPMP_ERROR_COLLATOR_MISSIONERR_USERVALUE_0_VALUE_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_MISSIONERR_USERVALUE_0_VALUE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_MISSIONERR_USERVALUE_0_VALUE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_MISSIONERR_USERVALUE_0_VALUE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_MISSIONERR_USERVALUE_0_VALUE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_MISSIONERR_USERVALUE_0_VALUE_INIT_ENUM                      -559087616


// Register BPMP_ERROR_COLLATOR_MISSIONERR_INDEX_0
#define BPMP_ERROR_COLLATOR_MISSIONERR_INDEX_0                  _MK_ADDR_CONST(0x14)
#define BPMP_ERROR_COLLATOR_MISSIONERR_INDEX_0_SECURE                   0x0
#define BPMP_ERROR_COLLATOR_MISSIONERR_INDEX_0_DUAL                     0x0
#define BPMP_ERROR_COLLATOR_MISSIONERR_INDEX_0_SCR                      EC_SCR_0
#define BPMP_ERROR_COLLATOR_MISSIONERR_INDEX_0_WORD_COUNT                       0x1
#define BPMP_ERROR_COLLATOR_MISSIONERR_INDEX_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_MISSIONERR_INDEX_0_RESET_MASK                       _MK_MASK_CONST(0x7f)
#define BPMP_ERROR_COLLATOR_MISSIONERR_INDEX_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_MISSIONERR_INDEX_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_MISSIONERR_INDEX_0_READ_MASK                        _MK_MASK_CONST(0x7f)
#define BPMP_ERROR_COLLATOR_MISSIONERR_INDEX_0_WRITE_MASK                       _MK_MASK_CONST(0x7f)
#define BPMP_ERROR_COLLATOR_MISSIONERR_INDEX_0_IDX_SHIFT                        _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_MISSIONERR_INDEX_0_IDX_FIELD                        _MK_FIELD_CONST(0x7f, BPMP_ERROR_COLLATOR_MISSIONERR_INDEX_0_IDX_SHIFT)
#define BPMP_ERROR_COLLATOR_MISSIONERR_INDEX_0_IDX_RANGE                        6:0
#define BPMP_ERROR_COLLATOR_MISSIONERR_INDEX_0_IDX_WOFFSET                      0x0
#define BPMP_ERROR_COLLATOR_MISSIONERR_INDEX_0_IDX_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_MISSIONERR_INDEX_0_IDX_DEFAULT_MASK                 _MK_MASK_CONST(0x7f)
#define BPMP_ERROR_COLLATOR_MISSIONERR_INDEX_0_IDX_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_MISSIONERR_INDEX_0_IDX_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_MISSIONERR_INDEX_0_IDX_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_MISSIONERR_INDEX_0_IDX_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register BPMP_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0
#define BPMP_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0                     _MK_ADDR_CONST(0x18)
#define BPMP_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_SECURE                      0x0
#define BPMP_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_DUAL                        0x0
#define BPMP_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_SCR                         EC_SCR_0
#define BPMP_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_WORD_COUNT                  0x1
#define BPMP_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_RESET_VAL                   _MK_MASK_CONST(0xff)
#define BPMP_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_RESET_MASK                  _MK_MASK_CONST(0xff)
#define BPMP_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_READ_MASK                   _MK_MASK_CONST(0xff)
#define BPMP_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_WRITE_MASK                  _MK_MASK_CONST(0xff)
#define BPMP_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_SHIFT                 _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_FIELD                 _MK_FIELD_CONST(0xff, BPMP_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_SHIFT)
#define BPMP_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_RANGE                 7:0
#define BPMP_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_WOFFSET                       0x0
#define BPMP_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_DEFAULT                       _MK_MASK_CONST(0xff)
#define BPMP_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define BPMP_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register BPMP_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0
#define BPMP_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0                  _MK_ADDR_CONST(0x1c)
#define BPMP_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_SECURE                   0x0
#define BPMP_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_DUAL                     0x0
#define BPMP_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_SCR                      EC_SCR_0
#define BPMP_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_WORD_COUNT                       0x1
#define BPMP_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_RESET_MASK                       _MK_MASK_CONST(0xff)
#define BPMP_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_READ_MASK                        _MK_MASK_CONST(0xff)
#define BPMP_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_WRITE_MASK                       _MK_MASK_CONST(0xff)
#define BPMP_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_SHIFT                      _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_FIELD                      _MK_FIELD_CONST(0xff, BPMP_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_SHIFT)
#define BPMP_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_RANGE                      7:0
#define BPMP_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define BPMP_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_LOCK                       _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_UNLOCK                     _MK_ENUM_CONST(225)


// Reserved address 0x20

// Reserved address 0x24

// Reserved address 0x28

// Reserved address 0x2c

// Register BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0                       _MK_ADDR_CONST(0x30)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_SECURE                        0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_DUAL                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_SCR                   EC_SCR_0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_WORD_COUNT                    0x1
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_RESET_VAL                     _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_SHIFT                   _MK_SHIFT_CONST(31)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_RANGE                   31:31
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR31_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_SHIFT                   _MK_SHIFT_CONST(30)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_RANGE                   30:30
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR30_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_SHIFT                   _MK_SHIFT_CONST(29)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_RANGE                   29:29
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR29_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_SHIFT                   _MK_SHIFT_CONST(28)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_RANGE                   28:28
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR28_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_SHIFT                   _MK_SHIFT_CONST(27)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_RANGE                   27:27
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR27_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_SHIFT                   _MK_SHIFT_CONST(26)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_RANGE                   26:26
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR26_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_SHIFT                   _MK_SHIFT_CONST(25)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_RANGE                   25:25
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR25_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_SHIFT                   _MK_SHIFT_CONST(24)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_RANGE                   24:24
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR24_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_SHIFT                   _MK_SHIFT_CONST(23)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_RANGE                   23:23
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR23_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_SHIFT                   _MK_SHIFT_CONST(22)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_RANGE                   22:22
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR22_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_SHIFT                   _MK_SHIFT_CONST(21)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_RANGE                   21:21
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR21_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_SHIFT                   _MK_SHIFT_CONST(20)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_RANGE                   20:20
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR20_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_SHIFT                   _MK_SHIFT_CONST(19)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_RANGE                   19:19
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR19_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_SHIFT                   _MK_SHIFT_CONST(18)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_RANGE                   18:18
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR18_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_SHIFT                   _MK_SHIFT_CONST(17)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_RANGE                   17:17
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR17_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_SHIFT                   _MK_SHIFT_CONST(16)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_RANGE                   16:16
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR16_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_SHIFT                   _MK_SHIFT_CONST(15)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_RANGE                   15:15
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR15_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_SHIFT                   _MK_SHIFT_CONST(14)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_RANGE                   14:14
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR14_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SHIFT                   _MK_SHIFT_CONST(13)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_RANGE                   13:13
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR13_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SHIFT                   _MK_SHIFT_CONST(12)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_RANGE                   12:12
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR12_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SHIFT                   _MK_SHIFT_CONST(11)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_RANGE                   11:11
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR11_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SHIFT                   _MK_SHIFT_CONST(10)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_RANGE                   10:10
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR10_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SHIFT                    _MK_SHIFT_CONST(9)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_RANGE                    9:9
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR9_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SHIFT                    _MK_SHIFT_CONST(8)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_RANGE                    8:8
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR8_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SHIFT                    _MK_SHIFT_CONST(7)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_RANGE                    7:7
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR7_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SHIFT                    _MK_SHIFT_CONST(6)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_RANGE                    6:6
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR6_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SHIFT                    _MK_SHIFT_CONST(5)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_RANGE                    5:5
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR5_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SHIFT                    _MK_SHIFT_CONST(4)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_RANGE                    4:4
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR4_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SHIFT                    _MK_SHIFT_CONST(3)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_RANGE                    3:3
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SHIFT                    _MK_SHIFT_CONST(2)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_RANGE                    2:2
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SHIFT                    _MK_SHIFT_CONST(1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_RANGE                    1:1
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SHIFT                    _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_RANGE                    0:0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_ENABLE                   _MK_ENUM_CONST(1)


// Register BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0                        _MK_ADDR_CONST(0x34)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_SECURE                         0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_DUAL                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_SCR                    EC_SCR_0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_WORD_COUNT                     0x1
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_READ_MASK                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_SHIFT                    _MK_SHIFT_CONST(31)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_RANGE                    31:31
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR31_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_SHIFT                    _MK_SHIFT_CONST(30)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_RANGE                    30:30
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR30_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_SHIFT                    _MK_SHIFT_CONST(29)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_RANGE                    29:29
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR29_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_SHIFT                    _MK_SHIFT_CONST(28)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_RANGE                    28:28
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR28_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_SHIFT                    _MK_SHIFT_CONST(27)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_RANGE                    27:27
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR27_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_SHIFT                    _MK_SHIFT_CONST(26)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_RANGE                    26:26
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR26_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_SHIFT                    _MK_SHIFT_CONST(25)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_RANGE                    25:25
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR25_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_SHIFT                    _MK_SHIFT_CONST(24)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_RANGE                    24:24
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR24_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_SHIFT                    _MK_SHIFT_CONST(23)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_RANGE                    23:23
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR23_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_SHIFT                    _MK_SHIFT_CONST(22)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_RANGE                    22:22
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR22_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_SHIFT                    _MK_SHIFT_CONST(21)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_RANGE                    21:21
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR21_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_SHIFT                    _MK_SHIFT_CONST(20)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_RANGE                    20:20
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR20_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_SHIFT                    _MK_SHIFT_CONST(19)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_RANGE                    19:19
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR19_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_SHIFT                    _MK_SHIFT_CONST(18)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_RANGE                    18:18
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR18_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_SHIFT                    _MK_SHIFT_CONST(17)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_RANGE                    17:17
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR17_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_SHIFT                    _MK_SHIFT_CONST(16)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_RANGE                    16:16
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR16_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_SHIFT                    _MK_SHIFT_CONST(15)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_RANGE                    15:15
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR15_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_SHIFT                    _MK_SHIFT_CONST(14)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_RANGE                    14:14
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR14_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SHIFT                    _MK_SHIFT_CONST(13)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_RANGE                    13:13
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR13_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SHIFT                    _MK_SHIFT_CONST(12)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_RANGE                    12:12
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR12_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SHIFT                    _MK_SHIFT_CONST(11)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_RANGE                    11:11
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR11_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SHIFT                    _MK_SHIFT_CONST(10)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_RANGE                    10:10
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR10_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SHIFT                     _MK_SHIFT_CONST(9)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_RANGE                     9:9
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR9_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SHIFT                     _MK_SHIFT_CONST(8)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_RANGE                     8:8
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR8_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SHIFT                     _MK_SHIFT_CONST(7)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_RANGE                     7:7
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR7_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SHIFT                     _MK_SHIFT_CONST(6)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_RANGE                     6:6
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR6_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SHIFT                     _MK_SHIFT_CONST(5)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_RANGE                     5:5
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR5_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SHIFT                     _MK_SHIFT_CONST(4)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_RANGE                     4:4
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR4_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SHIFT                     _MK_SHIFT_CONST(3)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_RANGE                     3:3
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SHIFT                     _MK_SHIFT_CONST(2)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_RANGE                     2:2
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SHIFT                     _MK_SHIFT_CONST(1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_RANGE                     1:1
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SHIFT                     _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_RANGE                     0:0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_FORCE                     _MK_ENUM_CONST(1)


// Register BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0                       _MK_ADDR_CONST(0x38)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_SECURE                        0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_DUAL                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_SCR                   EC_SCR_0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_WORD_COUNT                    0x1
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_SHIFT                   _MK_SHIFT_CONST(31)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_RANGE                   31:31
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR31_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_SHIFT                   _MK_SHIFT_CONST(30)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_RANGE                   30:30
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR30_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_SHIFT                   _MK_SHIFT_CONST(29)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_RANGE                   29:29
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR29_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_SHIFT                   _MK_SHIFT_CONST(28)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_RANGE                   28:28
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR28_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_SHIFT                   _MK_SHIFT_CONST(27)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_RANGE                   27:27
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR27_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_SHIFT                   _MK_SHIFT_CONST(26)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_RANGE                   26:26
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR26_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_SHIFT                   _MK_SHIFT_CONST(25)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_RANGE                   25:25
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR25_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_SHIFT                   _MK_SHIFT_CONST(24)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_RANGE                   24:24
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR24_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_SHIFT                   _MK_SHIFT_CONST(23)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_RANGE                   23:23
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR23_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_SHIFT                   _MK_SHIFT_CONST(22)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_RANGE                   22:22
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR22_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_SHIFT                   _MK_SHIFT_CONST(21)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_RANGE                   21:21
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR21_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_SHIFT                   _MK_SHIFT_CONST(20)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_RANGE                   20:20
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR20_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_SHIFT                   _MK_SHIFT_CONST(19)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_RANGE                   19:19
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR19_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_SHIFT                   _MK_SHIFT_CONST(18)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_RANGE                   18:18
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR18_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_SHIFT                   _MK_SHIFT_CONST(17)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_RANGE                   17:17
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR17_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_SHIFT                   _MK_SHIFT_CONST(16)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_RANGE                   16:16
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR16_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_SHIFT                   _MK_SHIFT_CONST(15)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_RANGE                   15:15
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR15_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_SHIFT                   _MK_SHIFT_CONST(14)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_RANGE                   14:14
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR14_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SHIFT                   _MK_SHIFT_CONST(13)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_RANGE                   13:13
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR13_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SHIFT                   _MK_SHIFT_CONST(12)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_RANGE                   12:12
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR12_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SHIFT                   _MK_SHIFT_CONST(11)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_RANGE                   11:11
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR11_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SHIFT                   _MK_SHIFT_CONST(10)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_RANGE                   10:10
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR10_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SHIFT                    _MK_SHIFT_CONST(9)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_RANGE                    9:9
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR9_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SHIFT                    _MK_SHIFT_CONST(8)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_RANGE                    8:8
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR8_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SHIFT                    _MK_SHIFT_CONST(7)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_RANGE                    7:7
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR7_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SHIFT                    _MK_SHIFT_CONST(6)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_RANGE                    6:6
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR6_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SHIFT                    _MK_SHIFT_CONST(5)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_RANGE                    5:5
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR5_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SHIFT                    _MK_SHIFT_CONST(4)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_RANGE                    4:4
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR4_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SHIFT                    _MK_SHIFT_CONST(3)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_RANGE                    3:3
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SHIFT                    _MK_SHIFT_CONST(2)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_RANGE                    2:2
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SHIFT                    _MK_SHIFT_CONST(1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_RANGE                    1:1
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SHIFT                    _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_RANGE                    0:0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0                       _MK_ADDR_CONST(0x3c)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_SECURE                        0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_DUAL                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_SCR                   EC_SCR_0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_WORD_COUNT                    0x1
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_RESET_MASK                    _MK_MASK_CONST(0xf801)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_READ_MASK                     _MK_MASK_CONST(0xf801)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_WRITE_MASK                    _MK_MASK_CONST(0xf801)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_SHIFT                   _MK_SHIFT_CONST(15)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_RANGE                   15:15
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR15_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_SHIFT                   _MK_SHIFT_CONST(14)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_RANGE                   14:14
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR14_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_SHIFT                   _MK_SHIFT_CONST(13)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_RANGE                   13:13
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR13_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SHIFT                   _MK_SHIFT_CONST(12)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_RANGE                   12:12
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR12_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_SHIFT                   _MK_SHIFT_CONST(11)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_RANGE                   11:11
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR11_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SHIFT                    _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_RANGE                    0:0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_ENABLE                   _MK_ENUM_CONST(1)


// Register BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0                        _MK_ADDR_CONST(0x40)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_SECURE                         0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_DUAL                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_SCR                    EC_SCR_0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_WORD_COUNT                     0x1
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_RESET_VAL                      _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_SHIFT                    _MK_SHIFT_CONST(31)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_RANGE                    31:31
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR31_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_SHIFT                    _MK_SHIFT_CONST(30)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_RANGE                    30:30
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR30_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_SHIFT                    _MK_SHIFT_CONST(29)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_RANGE                    29:29
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR29_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_SHIFT                    _MK_SHIFT_CONST(28)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_RANGE                    28:28
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR28_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_SHIFT                    _MK_SHIFT_CONST(27)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_RANGE                    27:27
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR27_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_SHIFT                    _MK_SHIFT_CONST(26)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_RANGE                    26:26
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR26_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_SHIFT                    _MK_SHIFT_CONST(25)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_RANGE                    25:25
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR25_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_SHIFT                    _MK_SHIFT_CONST(24)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_RANGE                    24:24
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR24_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_SHIFT                    _MK_SHIFT_CONST(23)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_RANGE                    23:23
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR23_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_SHIFT                    _MK_SHIFT_CONST(22)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_RANGE                    22:22
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR22_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_SHIFT                    _MK_SHIFT_CONST(21)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_RANGE                    21:21
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR21_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_SHIFT                    _MK_SHIFT_CONST(20)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_RANGE                    20:20
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR20_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_SHIFT                    _MK_SHIFT_CONST(19)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_RANGE                    19:19
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR19_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_SHIFT                    _MK_SHIFT_CONST(18)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_RANGE                    18:18
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR18_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_SHIFT                    _MK_SHIFT_CONST(17)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_RANGE                    17:17
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR17_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_SHIFT                    _MK_SHIFT_CONST(16)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_RANGE                    16:16
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR16_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_SHIFT                    _MK_SHIFT_CONST(15)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_RANGE                    15:15
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR15_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_SHIFT                    _MK_SHIFT_CONST(14)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_RANGE                    14:14
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR14_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SHIFT                    _MK_SHIFT_CONST(13)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_RANGE                    13:13
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR13_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SHIFT                    _MK_SHIFT_CONST(12)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_RANGE                    12:12
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR12_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SHIFT                    _MK_SHIFT_CONST(11)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_RANGE                    11:11
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR11_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SHIFT                    _MK_SHIFT_CONST(10)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_RANGE                    10:10
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR10_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SHIFT                     _MK_SHIFT_CONST(9)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_RANGE                     9:9
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_DEFAULT                   _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_DISABLE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR9_ENABLE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SHIFT                     _MK_SHIFT_CONST(8)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_RANGE                     8:8
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_DEFAULT                   _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_DISABLE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR8_ENABLE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SHIFT                     _MK_SHIFT_CONST(7)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_RANGE                     7:7
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_DEFAULT                   _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_DISABLE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR7_ENABLE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SHIFT                     _MK_SHIFT_CONST(6)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_RANGE                     6:6
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_DEFAULT                   _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_DISABLE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR6_ENABLE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SHIFT                     _MK_SHIFT_CONST(5)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_RANGE                     5:5
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DEFAULT                   _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_DISABLE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR5_ENABLE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SHIFT                     _MK_SHIFT_CONST(4)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_RANGE                     4:4
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DEFAULT                   _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_DISABLE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR4_ENABLE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SHIFT                     _MK_SHIFT_CONST(3)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_RANGE                     3:3
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DEFAULT                   _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DISABLE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_ENABLE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SHIFT                     _MK_SHIFT_CONST(2)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_RANGE                     2:2
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DEFAULT                   _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DISABLE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_ENABLE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SHIFT                     _MK_SHIFT_CONST(1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_RANGE                     1:1
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DEFAULT                   _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DISABLE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_ENABLE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SHIFT                     _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_RANGE                     0:0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DEFAULT                   _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DISABLE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_ENABLE                    _MK_ENUM_CONST(1)


// Register BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0                 _MK_ADDR_CONST(0x44)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_SECURE                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_DUAL                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_SCR                     EC_SCR_0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_WORD_COUNT                      0x1
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_READ_MASK                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR31_SHIFT                     _MK_SHIFT_CONST(31)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR31_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR31_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR31_RANGE                     31:31
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR31_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR31_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR31_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR31_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR31_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR31_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR31_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR31_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR31_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR30_SHIFT                     _MK_SHIFT_CONST(30)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR30_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR30_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR30_RANGE                     30:30
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR30_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR30_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR30_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR30_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR30_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR30_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR30_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR30_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR30_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR29_SHIFT                     _MK_SHIFT_CONST(29)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR29_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR29_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR29_RANGE                     29:29
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR29_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR29_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR29_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR29_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR29_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR29_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR29_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR29_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR29_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR28_SHIFT                     _MK_SHIFT_CONST(28)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR28_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR28_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR28_RANGE                     28:28
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR28_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR28_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR28_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR28_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR28_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR28_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR28_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR28_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR28_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR27_SHIFT                     _MK_SHIFT_CONST(27)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR27_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR27_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR27_RANGE                     27:27
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR27_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR27_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR27_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR27_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR27_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR27_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR27_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR27_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR27_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR26_SHIFT                     _MK_SHIFT_CONST(26)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR26_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR26_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR26_RANGE                     26:26
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR26_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR26_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR26_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR26_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR26_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR26_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR26_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR26_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR26_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR25_SHIFT                     _MK_SHIFT_CONST(25)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR25_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR25_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR25_RANGE                     25:25
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR25_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR25_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR25_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR25_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR25_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR25_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR25_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR25_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR25_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR24_SHIFT                     _MK_SHIFT_CONST(24)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR24_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR24_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR24_RANGE                     24:24
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR24_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR24_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR24_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR24_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR24_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR24_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR24_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR24_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR24_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR23_SHIFT                     _MK_SHIFT_CONST(23)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR23_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR23_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR23_RANGE                     23:23
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR23_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR23_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR23_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR23_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR23_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR23_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR23_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR23_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR23_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR22_SHIFT                     _MK_SHIFT_CONST(22)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR22_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR22_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR22_RANGE                     22:22
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR22_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR22_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR22_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR22_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR22_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR22_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR22_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR22_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR22_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR21_SHIFT                     _MK_SHIFT_CONST(21)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR21_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR21_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR21_RANGE                     21:21
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR21_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR21_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR21_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR21_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR21_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR21_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR21_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR21_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR21_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR20_SHIFT                     _MK_SHIFT_CONST(20)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR20_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR20_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR20_RANGE                     20:20
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR20_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR20_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR20_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR20_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR20_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR20_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR20_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR20_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR20_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR19_SHIFT                     _MK_SHIFT_CONST(19)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR19_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR19_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR19_RANGE                     19:19
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR19_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR19_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR19_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR19_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR19_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR19_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR19_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR19_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR19_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR18_SHIFT                     _MK_SHIFT_CONST(18)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR18_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR18_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR18_RANGE                     18:18
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR18_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR18_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR18_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR18_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR18_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR18_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR18_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR18_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR18_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR17_SHIFT                     _MK_SHIFT_CONST(17)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR17_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR17_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR17_RANGE                     17:17
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR17_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR17_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR17_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR17_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR17_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR17_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR17_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR17_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR17_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR16_SHIFT                     _MK_SHIFT_CONST(16)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR16_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR16_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR16_RANGE                     16:16
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR16_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR16_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR16_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR16_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR16_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR16_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR16_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR16_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR16_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR15_SHIFT                     _MK_SHIFT_CONST(15)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR15_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR15_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR15_RANGE                     15:15
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR15_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR15_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR15_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR15_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR15_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR15_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR15_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR15_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR15_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR14_SHIFT                     _MK_SHIFT_CONST(14)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR14_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR14_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR14_RANGE                     14:14
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR14_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR14_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR14_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR14_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR14_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR14_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR14_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR14_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR14_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SHIFT                     _MK_SHIFT_CONST(13)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR13_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR13_RANGE                     13:13
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR13_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR13_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR13_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR13_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR13_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR13_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR13_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR13_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SHIFT                     _MK_SHIFT_CONST(12)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR12_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR12_RANGE                     12:12
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR12_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR12_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR12_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR12_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR12_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR12_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR12_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR12_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SHIFT                     _MK_SHIFT_CONST(11)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR11_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR11_RANGE                     11:11
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR11_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR11_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR11_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR11_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR11_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR11_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR11_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR11_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SHIFT                     _MK_SHIFT_CONST(10)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR10_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR10_RANGE                     10:10
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR10_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR10_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR10_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR10_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR10_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR10_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR10_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR10_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SHIFT                      _MK_SHIFT_CONST(9)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR9_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR9_RANGE                      9:9
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR9_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR9_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR9_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR9_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR9_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR9_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR9_NOFORCE                    _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR9_FORCE                      _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SHIFT                      _MK_SHIFT_CONST(8)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR8_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR8_RANGE                      8:8
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR8_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR8_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR8_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR8_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR8_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR8_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR8_NOFORCE                    _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR8_FORCE                      _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SHIFT                      _MK_SHIFT_CONST(7)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR7_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR7_RANGE                      7:7
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR7_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR7_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR7_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR7_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR7_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR7_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR7_NOFORCE                    _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR7_FORCE                      _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SHIFT                      _MK_SHIFT_CONST(6)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR6_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR6_RANGE                      6:6
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR6_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR6_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR6_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR6_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR6_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR6_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR6_NOFORCE                    _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR6_FORCE                      _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SHIFT                      _MK_SHIFT_CONST(5)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR5_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR5_RANGE                      5:5
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR5_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR5_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR5_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR5_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR5_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR5_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR5_NOFORCE                    _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR5_FORCE                      _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SHIFT                      _MK_SHIFT_CONST(4)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR4_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR4_RANGE                      4:4
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR4_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR4_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR4_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR4_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR4_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR4_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR4_NOFORCE                    _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR4_FORCE                      _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SHIFT                      _MK_SHIFT_CONST(3)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_RANGE                      3:3
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_NOFORCE                    _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_FORCE                      _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SHIFT                      _MK_SHIFT_CONST(2)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_RANGE                      2:2
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_NOFORCE                    _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_FORCE                      _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SHIFT                      _MK_SHIFT_CONST(1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_RANGE                      1:1
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_NOFORCE                    _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_FORCE                      _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SHIFT                      _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_RANGE                      0:0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_NOFORCE                    _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_FORCE                      _MK_ENUM_CONST(1)


// Register BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0                        _MK_ADDR_CONST(0x48)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_SECURE                         0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_DUAL                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_SCR                    EC_SCR_0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_WORD_COUNT                     0x1
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR31_SHIFT                    _MK_SHIFT_CONST(31)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR31_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR31_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR31_RANGE                    31:31
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR31_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR31_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR31_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR31_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR31_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR31_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR31_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR30_SHIFT                    _MK_SHIFT_CONST(30)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR30_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR30_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR30_RANGE                    30:30
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR30_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR30_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR30_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR30_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR30_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR30_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR30_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR29_SHIFT                    _MK_SHIFT_CONST(29)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR29_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR29_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR29_RANGE                    29:29
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR29_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR29_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR29_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR29_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR29_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR29_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR29_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR28_SHIFT                    _MK_SHIFT_CONST(28)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR28_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR28_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR28_RANGE                    28:28
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR28_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR28_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR28_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR28_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR28_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR28_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR28_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR27_SHIFT                    _MK_SHIFT_CONST(27)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR27_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR27_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR27_RANGE                    27:27
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR27_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR27_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR27_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR27_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR27_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR27_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR27_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR26_SHIFT                    _MK_SHIFT_CONST(26)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR26_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR26_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR26_RANGE                    26:26
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR26_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR26_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR26_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR26_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR26_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR26_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR26_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR25_SHIFT                    _MK_SHIFT_CONST(25)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR25_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR25_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR25_RANGE                    25:25
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR25_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR25_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR25_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR25_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR25_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR25_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR25_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR24_SHIFT                    _MK_SHIFT_CONST(24)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR24_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR24_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR24_RANGE                    24:24
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR24_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR24_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR24_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR24_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR24_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR24_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR24_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR23_SHIFT                    _MK_SHIFT_CONST(23)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR23_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR23_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR23_RANGE                    23:23
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR23_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR23_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR23_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR23_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR23_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR23_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR23_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR22_SHIFT                    _MK_SHIFT_CONST(22)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR22_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR22_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR22_RANGE                    22:22
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR22_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR22_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR22_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR22_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR22_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR22_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR22_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR21_SHIFT                    _MK_SHIFT_CONST(21)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR21_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR21_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR21_RANGE                    21:21
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR21_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR21_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR21_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR21_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR21_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR21_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR21_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR20_SHIFT                    _MK_SHIFT_CONST(20)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR20_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR20_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR20_RANGE                    20:20
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR20_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR20_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR20_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR20_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR20_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR20_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR20_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR19_SHIFT                    _MK_SHIFT_CONST(19)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR19_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR19_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR19_RANGE                    19:19
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR19_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR19_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR19_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR19_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR19_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR19_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR19_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR18_SHIFT                    _MK_SHIFT_CONST(18)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR18_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR18_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR18_RANGE                    18:18
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR18_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR18_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR18_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR18_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR18_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR18_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR18_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR17_SHIFT                    _MK_SHIFT_CONST(17)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR17_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR17_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR17_RANGE                    17:17
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR17_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR17_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR17_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR17_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR17_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR17_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR17_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR16_SHIFT                    _MK_SHIFT_CONST(16)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR16_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR16_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR16_RANGE                    16:16
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR16_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR16_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR16_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR16_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR16_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR16_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR16_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR15_SHIFT                    _MK_SHIFT_CONST(15)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR15_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR15_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR15_RANGE                    15:15
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR15_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR15_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR15_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR15_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR15_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR15_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR15_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR14_SHIFT                    _MK_SHIFT_CONST(14)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR14_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR14_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR14_RANGE                    14:14
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR14_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR14_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR14_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR14_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR14_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR14_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR14_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SHIFT                    _MK_SHIFT_CONST(13)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR13_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR13_RANGE                    13:13
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR13_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR13_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR13_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR13_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR13_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR13_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SHIFT                    _MK_SHIFT_CONST(12)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR12_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR12_RANGE                    12:12
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR12_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR12_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR12_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR12_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR12_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR12_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SHIFT                    _MK_SHIFT_CONST(11)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR11_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR11_RANGE                    11:11
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR11_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR11_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR11_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR11_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR11_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR11_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SHIFT                    _MK_SHIFT_CONST(10)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR10_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR10_RANGE                    10:10
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR10_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR10_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR10_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR10_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR10_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR10_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SHIFT                     _MK_SHIFT_CONST(9)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR9_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR9_RANGE                     9:9
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR9_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR9_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR9_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR9_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR9_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR9_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SHIFT                     _MK_SHIFT_CONST(8)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR8_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR8_RANGE                     8:8
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR8_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR8_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR8_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR8_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR8_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR8_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SHIFT                     _MK_SHIFT_CONST(7)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR7_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR7_RANGE                     7:7
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR7_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR7_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR7_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR7_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR7_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR7_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SHIFT                     _MK_SHIFT_CONST(6)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR6_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR6_RANGE                     6:6
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR6_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR6_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR6_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR6_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR6_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR6_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SHIFT                     _MK_SHIFT_CONST(5)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR5_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR5_RANGE                     5:5
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR5_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR5_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR5_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR5_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR5_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR5_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SHIFT                     _MK_SHIFT_CONST(4)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR4_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR4_RANGE                     4:4
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR4_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR4_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR4_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR4_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR4_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR4_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SHIFT                     _MK_SHIFT_CONST(3)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_RANGE                     3:3
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SHIFT                     _MK_SHIFT_CONST(2)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_RANGE                     2:2
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SHIFT                     _MK_SHIFT_CONST(1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_RANGE                     1:1
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SHIFT                     _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_RANGE                     0:0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Reserved address 0x4c

// Register BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0                  _MK_ADDR_CONST(0x50)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_SECURE                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_DUAL                     0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_SCR                      EC_SCR_0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_WORD_COUNT                       0x1
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_READ_MASK                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR31_SHIFT                      _MK_SHIFT_CONST(31)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR31_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR31_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR31_RANGE                      31:31
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR31_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR31_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR31_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR31_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR31_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR31_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR31_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR31_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR31_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR30_SHIFT                      _MK_SHIFT_CONST(30)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR30_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR30_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR30_RANGE                      30:30
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR30_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR30_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR30_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR30_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR30_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR30_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR30_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR30_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR30_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR29_SHIFT                      _MK_SHIFT_CONST(29)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR29_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR29_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR29_RANGE                      29:29
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR29_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR29_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR29_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR29_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR29_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR29_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR29_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR29_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR29_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR28_SHIFT                      _MK_SHIFT_CONST(28)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR28_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR28_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR28_RANGE                      28:28
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR28_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR28_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR28_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR28_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR28_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR28_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR28_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR28_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR28_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR27_SHIFT                      _MK_SHIFT_CONST(27)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR27_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR27_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR27_RANGE                      27:27
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR27_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR27_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR27_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR27_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR27_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR27_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR27_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR27_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR27_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR26_SHIFT                      _MK_SHIFT_CONST(26)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR26_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR26_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR26_RANGE                      26:26
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR26_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR26_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR26_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR26_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR26_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR26_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR26_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR26_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR26_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR25_SHIFT                      _MK_SHIFT_CONST(25)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR25_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR25_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR25_RANGE                      25:25
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR25_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR25_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR25_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR25_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR25_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR25_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR25_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR25_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR25_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR24_SHIFT                      _MK_SHIFT_CONST(24)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR24_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR24_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR24_RANGE                      24:24
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR24_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR24_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR24_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR24_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR24_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR24_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR24_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR24_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR24_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR23_SHIFT                      _MK_SHIFT_CONST(23)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR23_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR23_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR23_RANGE                      23:23
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR23_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR23_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR23_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR23_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR23_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR23_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR23_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR23_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR23_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR22_SHIFT                      _MK_SHIFT_CONST(22)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR22_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR22_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR22_RANGE                      22:22
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR22_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR22_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR22_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR22_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR22_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR22_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR22_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR22_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR22_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR21_SHIFT                      _MK_SHIFT_CONST(21)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR21_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR21_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR21_RANGE                      21:21
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR21_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR21_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR21_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR21_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR21_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR21_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR21_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR21_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR21_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR20_SHIFT                      _MK_SHIFT_CONST(20)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR20_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR20_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR20_RANGE                      20:20
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR20_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR20_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR20_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR20_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR20_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR20_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR20_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR20_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR20_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR19_SHIFT                      _MK_SHIFT_CONST(19)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR19_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR19_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR19_RANGE                      19:19
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR19_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR19_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR19_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR19_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR19_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR19_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR19_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR19_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR19_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR18_SHIFT                      _MK_SHIFT_CONST(18)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR18_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR18_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR18_RANGE                      18:18
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR18_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR18_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR18_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR18_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR18_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR18_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR18_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR18_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR18_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR17_SHIFT                      _MK_SHIFT_CONST(17)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR17_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR17_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR17_RANGE                      17:17
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR17_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR17_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR17_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR17_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR17_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR17_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR17_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR17_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR17_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR16_SHIFT                      _MK_SHIFT_CONST(16)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR16_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR16_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR16_RANGE                      16:16
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR16_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR16_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR16_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR16_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR16_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR16_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR16_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR16_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR16_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR15_SHIFT                      _MK_SHIFT_CONST(15)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR15_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR15_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR15_RANGE                      15:15
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR15_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR15_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR15_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR15_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR15_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR15_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR15_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR15_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR15_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR14_SHIFT                      _MK_SHIFT_CONST(14)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR14_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR14_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR14_RANGE                      14:14
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR14_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR14_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR14_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR14_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR14_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR14_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR14_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR14_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR14_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SHIFT                      _MK_SHIFT_CONST(13)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR13_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR13_RANGE                      13:13
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR13_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR13_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR13_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR13_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR13_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR13_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR13_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR13_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SHIFT                      _MK_SHIFT_CONST(12)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR12_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR12_RANGE                      12:12
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR12_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR12_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR12_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR12_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR12_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR12_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR12_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR12_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SHIFT                      _MK_SHIFT_CONST(11)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR11_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR11_RANGE                      11:11
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR11_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR11_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR11_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR11_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR11_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR11_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR11_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR11_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SHIFT                      _MK_SHIFT_CONST(10)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR10_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR10_RANGE                      10:10
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR10_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR10_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR10_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR10_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR10_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR10_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR10_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR10_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SHIFT                       _MK_SHIFT_CONST(9)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR9_FIELD                       _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR9_RANGE                       9:9
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR9_WOFFSET                     0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR9_DEFAULT                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR9_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR9_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR9_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR9_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR9_NORELOAD                    _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR9_RELOAD                      _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SHIFT                       _MK_SHIFT_CONST(8)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR8_FIELD                       _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR8_RANGE                       8:8
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR8_WOFFSET                     0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR8_DEFAULT                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR8_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR8_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR8_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR8_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR8_NORELOAD                    _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR8_RELOAD                      _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SHIFT                       _MK_SHIFT_CONST(7)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR7_FIELD                       _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR7_RANGE                       7:7
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR7_WOFFSET                     0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR7_DEFAULT                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR7_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR7_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR7_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR7_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR7_NORELOAD                    _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR7_RELOAD                      _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SHIFT                       _MK_SHIFT_CONST(6)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR6_FIELD                       _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR6_RANGE                       6:6
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR6_WOFFSET                     0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR6_DEFAULT                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR6_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR6_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR6_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR6_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR6_NORELOAD                    _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR6_RELOAD                      _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SHIFT                       _MK_SHIFT_CONST(5)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR5_FIELD                       _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR5_RANGE                       5:5
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR5_WOFFSET                     0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR5_DEFAULT                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR5_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR5_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR5_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR5_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR5_NORELOAD                    _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR5_RELOAD                      _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SHIFT                       _MK_SHIFT_CONST(4)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR4_FIELD                       _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR4_RANGE                       4:4
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR4_WOFFSET                     0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR4_DEFAULT                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR4_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR4_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR4_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR4_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR4_NORELOAD                    _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR4_RELOAD                      _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SHIFT                       _MK_SHIFT_CONST(3)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_FIELD                       _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_RANGE                       3:3
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_WOFFSET                     0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_DEFAULT                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_NORELOAD                    _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_RELOAD                      _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SHIFT                       _MK_SHIFT_CONST(2)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_FIELD                       _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_RANGE                       2:2
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_WOFFSET                     0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_DEFAULT                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_NORELOAD                    _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_RELOAD                      _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SHIFT                       _MK_SHIFT_CONST(1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_FIELD                       _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_RANGE                       1:1
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_WOFFSET                     0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_DEFAULT                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_NORELOAD                    _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_RELOAD                      _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SHIFT                       _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_FIELD                       _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_RANGE                       0:0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_WOFFSET                     0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_DEFAULT                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_NORELOAD                    _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_RELOAD                      _MK_ENUM_CONST(1)


// Reserved address 0x54

// Reserved address 0x58

// Reserved address 0x5c

// Register BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0                       _MK_ADDR_CONST(0x60)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_SECURE                        0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_DUAL                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_SCR                   EC_SCR_0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_WORD_COUNT                    0x1
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_RESET_VAL                     _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR63_SHIFT                   _MK_SHIFT_CONST(31)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR63_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR63_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR63_RANGE                   31:31
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR63_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR63_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR63_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR63_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR63_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR63_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR63_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR63_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR63_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR62_SHIFT                   _MK_SHIFT_CONST(30)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR62_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR62_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR62_RANGE                   30:30
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR62_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR62_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR62_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR62_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR62_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR62_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR62_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR62_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR62_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR61_SHIFT                   _MK_SHIFT_CONST(29)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR61_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR61_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR61_RANGE                   29:29
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR61_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR61_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR61_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR61_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR61_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR61_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR61_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR61_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR61_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR60_SHIFT                   _MK_SHIFT_CONST(28)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR60_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR60_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR60_RANGE                   28:28
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR60_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR60_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR60_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR60_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR60_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR60_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR60_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR60_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR60_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR59_SHIFT                   _MK_SHIFT_CONST(27)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR59_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR59_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR59_RANGE                   27:27
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR59_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR59_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR59_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR59_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR59_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR59_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR59_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR59_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR59_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR58_SHIFT                   _MK_SHIFT_CONST(26)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR58_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR58_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR58_RANGE                   26:26
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR58_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR58_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR58_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR58_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR58_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR58_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR58_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR58_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR58_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR57_SHIFT                   _MK_SHIFT_CONST(25)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR57_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR57_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR57_RANGE                   25:25
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR57_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR57_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR57_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR57_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR57_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR57_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR57_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR57_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR57_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR56_SHIFT                   _MK_SHIFT_CONST(24)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR56_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR56_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR56_RANGE                   24:24
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR56_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR56_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR56_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR56_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR56_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR56_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR56_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR56_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR56_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR55_SHIFT                   _MK_SHIFT_CONST(23)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR55_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR55_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR55_RANGE                   23:23
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR55_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR55_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR55_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR55_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR55_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR55_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR55_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR55_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR55_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR54_SHIFT                   _MK_SHIFT_CONST(22)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR54_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR54_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR54_RANGE                   22:22
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR54_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR54_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR54_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR54_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR54_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR54_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR54_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR54_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR54_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR53_SHIFT                   _MK_SHIFT_CONST(21)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR53_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR53_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR53_RANGE                   21:21
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR53_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR53_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR53_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR53_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR53_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR53_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR53_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR53_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR53_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR52_SHIFT                   _MK_SHIFT_CONST(20)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR52_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR52_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR52_RANGE                   20:20
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR52_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR52_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR52_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR52_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR52_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR52_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR52_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR52_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR52_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR51_SHIFT                   _MK_SHIFT_CONST(19)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR51_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR51_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR51_RANGE                   19:19
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR51_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR51_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR51_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR51_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR51_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR51_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR51_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR51_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR51_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR50_SHIFT                   _MK_SHIFT_CONST(18)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR50_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR50_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR50_RANGE                   18:18
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR50_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR50_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR50_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR50_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR50_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR50_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR50_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR50_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR50_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR49_SHIFT                   _MK_SHIFT_CONST(17)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR49_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR49_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR49_RANGE                   17:17
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR49_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR49_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR49_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR49_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR49_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR49_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR49_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR49_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR49_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR48_SHIFT                   _MK_SHIFT_CONST(16)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR48_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR48_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR48_RANGE                   16:16
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR48_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR48_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR48_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR48_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR48_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR48_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR48_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR48_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR48_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR47_SHIFT                   _MK_SHIFT_CONST(15)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR47_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR47_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR47_RANGE                   15:15
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR47_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR47_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR47_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR47_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR47_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR47_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR47_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR47_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR47_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR46_SHIFT                   _MK_SHIFT_CONST(14)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR46_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR46_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR46_RANGE                   14:14
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR46_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR46_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR46_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR46_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR46_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR46_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR46_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR46_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR46_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR45_SHIFT                   _MK_SHIFT_CONST(13)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR45_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR45_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR45_RANGE                   13:13
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR45_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR45_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR45_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR45_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR45_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR45_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR45_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR45_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR45_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR44_SHIFT                   _MK_SHIFT_CONST(12)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR44_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR44_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR44_RANGE                   12:12
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR44_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR44_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR44_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR44_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR44_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR44_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR44_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR44_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR44_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR43_SHIFT                   _MK_SHIFT_CONST(11)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR43_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR43_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR43_RANGE                   11:11
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR43_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR43_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR43_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR43_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR43_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR43_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR43_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR43_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR43_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_SHIFT                   _MK_SHIFT_CONST(10)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_RANGE                   10:10
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR42_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_SHIFT                   _MK_SHIFT_CONST(9)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_RANGE                   9:9
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR41_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_SHIFT                   _MK_SHIFT_CONST(8)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_RANGE                   8:8
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR40_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_SHIFT                   _MK_SHIFT_CONST(7)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_RANGE                   7:7
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR39_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_SHIFT                   _MK_SHIFT_CONST(6)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_RANGE                   6:6
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR38_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_SHIFT                   _MK_SHIFT_CONST(5)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_RANGE                   5:5
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR37_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_SHIFT                   _MK_SHIFT_CONST(4)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_RANGE                   4:4
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR36_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_SHIFT                   _MK_SHIFT_CONST(3)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_RANGE                   3:3
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR35_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_SHIFT                   _MK_SHIFT_CONST(2)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_RANGE                   2:2
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR34_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_SHIFT                   _MK_SHIFT_CONST(1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_RANGE                   1:1
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR33_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_SHIFT                   _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_RANGE                   0:0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0_ERR32_ENABLE                  _MK_ENUM_CONST(1)


// Register BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0                        _MK_ADDR_CONST(0x64)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_SECURE                         0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_DUAL                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_SCR                    EC_SCR_0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_WORD_COUNT                     0x1
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_READ_MASK                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR63_SHIFT                    _MK_SHIFT_CONST(31)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR63_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR63_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR63_RANGE                    31:31
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR63_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR63_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR63_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR63_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR63_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR63_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR63_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR63_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR63_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR62_SHIFT                    _MK_SHIFT_CONST(30)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR62_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR62_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR62_RANGE                    30:30
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR62_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR62_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR62_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR62_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR62_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR62_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR62_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR62_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR62_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR61_SHIFT                    _MK_SHIFT_CONST(29)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR61_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR61_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR61_RANGE                    29:29
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR61_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR61_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR61_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR61_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR61_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR61_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR61_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR61_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR61_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR60_SHIFT                    _MK_SHIFT_CONST(28)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR60_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR60_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR60_RANGE                    28:28
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR60_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR60_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR60_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR60_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR60_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR60_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR60_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR60_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR60_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR59_SHIFT                    _MK_SHIFT_CONST(27)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR59_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR59_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR59_RANGE                    27:27
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR59_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR59_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR59_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR59_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR59_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR59_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR59_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR59_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR59_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR58_SHIFT                    _MK_SHIFT_CONST(26)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR58_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR58_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR58_RANGE                    26:26
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR58_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR58_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR58_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR58_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR58_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR58_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR58_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR58_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR58_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR57_SHIFT                    _MK_SHIFT_CONST(25)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR57_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR57_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR57_RANGE                    25:25
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR57_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR57_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR57_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR57_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR57_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR57_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR57_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR57_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR57_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR56_SHIFT                    _MK_SHIFT_CONST(24)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR56_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR56_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR56_RANGE                    24:24
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR56_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR56_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR56_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR56_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR56_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR56_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR56_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR56_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR56_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR55_SHIFT                    _MK_SHIFT_CONST(23)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR55_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR55_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR55_RANGE                    23:23
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR55_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR55_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR55_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR55_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR55_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR55_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR55_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR55_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR55_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR54_SHIFT                    _MK_SHIFT_CONST(22)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR54_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR54_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR54_RANGE                    22:22
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR54_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR54_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR54_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR54_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR54_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR54_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR54_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR54_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR54_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR53_SHIFT                    _MK_SHIFT_CONST(21)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR53_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR53_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR53_RANGE                    21:21
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR53_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR53_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR53_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR53_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR53_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR53_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR53_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR53_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR53_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR52_SHIFT                    _MK_SHIFT_CONST(20)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR52_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR52_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR52_RANGE                    20:20
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR52_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR52_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR52_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR52_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR52_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR52_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR52_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR52_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR52_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR51_SHIFT                    _MK_SHIFT_CONST(19)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR51_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR51_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR51_RANGE                    19:19
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR51_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR51_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR51_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR51_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR51_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR51_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR51_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR51_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR51_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR50_SHIFT                    _MK_SHIFT_CONST(18)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR50_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR50_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR50_RANGE                    18:18
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR50_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR50_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR50_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR50_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR50_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR50_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR50_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR50_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR50_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR49_SHIFT                    _MK_SHIFT_CONST(17)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR49_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR49_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR49_RANGE                    17:17
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR49_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR49_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR49_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR49_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR49_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR49_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR49_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR49_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR49_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR48_SHIFT                    _MK_SHIFT_CONST(16)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR48_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR48_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR48_RANGE                    16:16
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR48_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR48_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR48_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR48_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR48_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR48_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR48_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR48_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR48_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR47_SHIFT                    _MK_SHIFT_CONST(15)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR47_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR47_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR47_RANGE                    15:15
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR47_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR47_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR47_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR47_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR47_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR47_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR47_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR47_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR47_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR46_SHIFT                    _MK_SHIFT_CONST(14)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR46_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR46_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR46_RANGE                    14:14
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR46_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR46_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR46_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR46_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR46_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR46_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR46_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR46_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR46_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR45_SHIFT                    _MK_SHIFT_CONST(13)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR45_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR45_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR45_RANGE                    13:13
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR45_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR45_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR45_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR45_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR45_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR45_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR45_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR45_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR45_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR44_SHIFT                    _MK_SHIFT_CONST(12)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR44_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR44_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR44_RANGE                    12:12
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR44_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR44_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR44_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR44_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR44_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR44_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR44_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR44_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR44_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR43_SHIFT                    _MK_SHIFT_CONST(11)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR43_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR43_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR43_RANGE                    11:11
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR43_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR43_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR43_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR43_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR43_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR43_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR43_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR43_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR43_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_SHIFT                    _MK_SHIFT_CONST(10)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_RANGE                    10:10
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR42_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_SHIFT                    _MK_SHIFT_CONST(9)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_RANGE                    9:9
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR41_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_SHIFT                    _MK_SHIFT_CONST(8)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_RANGE                    8:8
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR40_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_SHIFT                    _MK_SHIFT_CONST(7)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_RANGE                    7:7
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR39_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_SHIFT                    _MK_SHIFT_CONST(6)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_RANGE                    6:6
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR38_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_SHIFT                    _MK_SHIFT_CONST(5)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_RANGE                    5:5
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR37_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_SHIFT                    _MK_SHIFT_CONST(4)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_RANGE                    4:4
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR36_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_SHIFT                    _MK_SHIFT_CONST(3)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_RANGE                    3:3
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR35_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_SHIFT                    _MK_SHIFT_CONST(2)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_RANGE                    2:2
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR34_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_SHIFT                    _MK_SHIFT_CONST(1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_RANGE                    1:1
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR33_FORCE                    _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_SHIFT                    _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_RANGE                    0:0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0_ERR32_FORCE                    _MK_ENUM_CONST(1)


// Register BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0                       _MK_ADDR_CONST(0x68)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_SECURE                        0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_DUAL                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_SCR                   EC_SCR_0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_WORD_COUNT                    0x1
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR63_SHIFT                   _MK_SHIFT_CONST(31)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR63_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR63_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR63_RANGE                   31:31
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR63_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR63_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR63_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR63_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR63_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR63_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR63_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR62_SHIFT                   _MK_SHIFT_CONST(30)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR62_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR62_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR62_RANGE                   30:30
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR62_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR62_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR62_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR62_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR62_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR62_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR62_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR61_SHIFT                   _MK_SHIFT_CONST(29)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR61_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR61_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR61_RANGE                   29:29
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR61_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR61_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR61_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR61_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR61_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR61_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR61_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR60_SHIFT                   _MK_SHIFT_CONST(28)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR60_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR60_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR60_RANGE                   28:28
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR60_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR60_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR60_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR60_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR60_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR60_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR60_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR59_SHIFT                   _MK_SHIFT_CONST(27)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR59_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR59_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR59_RANGE                   27:27
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR59_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR59_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR59_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR59_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR59_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR59_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR59_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR58_SHIFT                   _MK_SHIFT_CONST(26)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR58_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR58_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR58_RANGE                   26:26
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR58_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR58_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR58_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR58_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR58_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR58_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR58_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR57_SHIFT                   _MK_SHIFT_CONST(25)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR57_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR57_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR57_RANGE                   25:25
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR57_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR57_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR57_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR57_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR57_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR57_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR57_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR56_SHIFT                   _MK_SHIFT_CONST(24)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR56_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR56_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR56_RANGE                   24:24
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR56_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR56_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR56_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR56_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR56_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR56_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR56_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR55_SHIFT                   _MK_SHIFT_CONST(23)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR55_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR55_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR55_RANGE                   23:23
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR55_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR55_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR55_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR55_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR55_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR55_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR55_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR54_SHIFT                   _MK_SHIFT_CONST(22)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR54_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR54_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR54_RANGE                   22:22
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR54_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR54_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR54_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR54_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR54_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR54_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR54_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR53_SHIFT                   _MK_SHIFT_CONST(21)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR53_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR53_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR53_RANGE                   21:21
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR53_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR53_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR53_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR53_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR53_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR53_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR53_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR52_SHIFT                   _MK_SHIFT_CONST(20)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR52_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR52_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR52_RANGE                   20:20
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR52_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR52_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR52_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR52_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR52_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR52_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR52_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR51_SHIFT                   _MK_SHIFT_CONST(19)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR51_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR51_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR51_RANGE                   19:19
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR51_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR51_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR51_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR51_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR51_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR51_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR51_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR50_SHIFT                   _MK_SHIFT_CONST(18)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR50_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR50_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR50_RANGE                   18:18
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR50_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR50_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR50_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR50_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR50_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR50_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR50_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR49_SHIFT                   _MK_SHIFT_CONST(17)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR49_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR49_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR49_RANGE                   17:17
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR49_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR49_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR49_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR49_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR49_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR49_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR49_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR48_SHIFT                   _MK_SHIFT_CONST(16)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR48_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR48_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR48_RANGE                   16:16
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR48_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR48_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR48_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR48_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR48_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR48_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR48_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR47_SHIFT                   _MK_SHIFT_CONST(15)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR47_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR47_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR47_RANGE                   15:15
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR47_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR47_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR47_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR47_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR47_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR47_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR47_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR46_SHIFT                   _MK_SHIFT_CONST(14)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR46_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR46_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR46_RANGE                   14:14
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR46_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR46_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR46_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR46_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR46_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR46_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR46_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR45_SHIFT                   _MK_SHIFT_CONST(13)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR45_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR45_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR45_RANGE                   13:13
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR45_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR45_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR45_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR45_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR45_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR45_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR45_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR44_SHIFT                   _MK_SHIFT_CONST(12)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR44_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR44_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR44_RANGE                   12:12
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR44_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR44_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR44_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR44_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR44_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR44_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR44_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR43_SHIFT                   _MK_SHIFT_CONST(11)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR43_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR43_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR43_RANGE                   11:11
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR43_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR43_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR43_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR43_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR43_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR43_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR43_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_SHIFT                   _MK_SHIFT_CONST(10)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_RANGE                   10:10
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR42_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_SHIFT                   _MK_SHIFT_CONST(9)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_RANGE                   9:9
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR41_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_SHIFT                   _MK_SHIFT_CONST(8)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_RANGE                   8:8
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR40_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_SHIFT                   _MK_SHIFT_CONST(7)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_RANGE                   7:7
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR39_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_SHIFT                   _MK_SHIFT_CONST(6)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_RANGE                   6:6
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR38_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_SHIFT                   _MK_SHIFT_CONST(5)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_RANGE                   5:5
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR37_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_SHIFT                   _MK_SHIFT_CONST(4)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_RANGE                   4:4
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR36_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_SHIFT                   _MK_SHIFT_CONST(3)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_RANGE                   3:3
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR35_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_SHIFT                   _MK_SHIFT_CONST(2)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_RANGE                   2:2
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR34_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_SHIFT                   _MK_SHIFT_CONST(1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_RANGE                   1:1
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR33_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_SHIFT                   _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_RANGE                   0:0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0_ERR32_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0                       _MK_ADDR_CONST(0x6c)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_SECURE                        0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_DUAL                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_SCR                   EC_SCR_0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_WORD_COUNT                    0x1
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_RESET_MASK                    _MK_MASK_CONST(0xe0000000)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_READ_MASK                     _MK_MASK_CONST(0xe0000000)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_WRITE_MASK                    _MK_MASK_CONST(0xe0000000)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR63_SHIFT                   _MK_SHIFT_CONST(31)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR63_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR63_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR63_RANGE                   31:31
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR63_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR63_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR63_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR63_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR63_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR63_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR63_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR63_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR63_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR62_SHIFT                   _MK_SHIFT_CONST(30)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR62_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR62_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR62_RANGE                   30:30
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR62_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR62_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR62_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR62_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR62_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR62_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR62_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR62_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR62_ENABLE                  _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR61_SHIFT                   _MK_SHIFT_CONST(29)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR61_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR61_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR61_RANGE                   29:29
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR61_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR61_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR61_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR61_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR61_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR61_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR61_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR61_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0_ERR61_ENABLE                  _MK_ENUM_CONST(1)


// Register BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0                        _MK_ADDR_CONST(0x70)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_SECURE                         0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_DUAL                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_SCR                    EC_SCR_0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_WORD_COUNT                     0x1
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_RESET_VAL                      _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR63_SHIFT                    _MK_SHIFT_CONST(31)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR63_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR63_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR63_RANGE                    31:31
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR63_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR63_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR63_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR63_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR63_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR63_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR63_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR63_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR63_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR62_SHIFT                    _MK_SHIFT_CONST(30)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR62_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR62_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR62_RANGE                    30:30
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR62_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR62_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR62_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR62_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR62_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR62_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR62_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR62_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR62_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR61_SHIFT                    _MK_SHIFT_CONST(29)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR61_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR61_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR61_RANGE                    29:29
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR61_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR61_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR61_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR61_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR61_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR61_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR61_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR61_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR61_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR60_SHIFT                    _MK_SHIFT_CONST(28)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR60_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR60_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR60_RANGE                    28:28
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR60_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR60_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR60_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR60_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR60_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR60_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR60_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR60_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR60_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR59_SHIFT                    _MK_SHIFT_CONST(27)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR59_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR59_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR59_RANGE                    27:27
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR59_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR59_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR59_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR59_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR59_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR59_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR59_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR59_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR59_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR58_SHIFT                    _MK_SHIFT_CONST(26)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR58_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR58_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR58_RANGE                    26:26
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR58_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR58_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR58_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR58_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR58_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR58_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR58_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR58_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR58_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR57_SHIFT                    _MK_SHIFT_CONST(25)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR57_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR57_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR57_RANGE                    25:25
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR57_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR57_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR57_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR57_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR57_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR57_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR57_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR57_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR57_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR56_SHIFT                    _MK_SHIFT_CONST(24)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR56_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR56_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR56_RANGE                    24:24
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR56_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR56_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR56_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR56_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR56_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR56_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR56_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR56_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR56_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR55_SHIFT                    _MK_SHIFT_CONST(23)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR55_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR55_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR55_RANGE                    23:23
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR55_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR55_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR55_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR55_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR55_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR55_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR55_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR55_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR55_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR54_SHIFT                    _MK_SHIFT_CONST(22)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR54_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR54_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR54_RANGE                    22:22
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR54_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR54_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR54_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR54_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR54_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR54_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR54_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR54_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR54_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR53_SHIFT                    _MK_SHIFT_CONST(21)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR53_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR53_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR53_RANGE                    21:21
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR53_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR53_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR53_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR53_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR53_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR53_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR53_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR53_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR53_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR52_SHIFT                    _MK_SHIFT_CONST(20)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR52_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR52_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR52_RANGE                    20:20
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR52_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR52_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR52_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR52_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR52_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR52_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR52_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR52_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR52_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR51_SHIFT                    _MK_SHIFT_CONST(19)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR51_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR51_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR51_RANGE                    19:19
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR51_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR51_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR51_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR51_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR51_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR51_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR51_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR51_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR51_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR50_SHIFT                    _MK_SHIFT_CONST(18)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR50_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR50_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR50_RANGE                    18:18
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR50_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR50_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR50_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR50_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR50_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR50_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR50_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR50_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR50_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR49_SHIFT                    _MK_SHIFT_CONST(17)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR49_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR49_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR49_RANGE                    17:17
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR49_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR49_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR49_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR49_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR49_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR49_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR49_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR49_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR49_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR48_SHIFT                    _MK_SHIFT_CONST(16)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR48_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR48_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR48_RANGE                    16:16
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR48_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR48_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR48_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR48_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR48_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR48_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR48_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR48_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR48_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR47_SHIFT                    _MK_SHIFT_CONST(15)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR47_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR47_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR47_RANGE                    15:15
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR47_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR47_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR47_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR47_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR47_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR47_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR47_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR47_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR47_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR46_SHIFT                    _MK_SHIFT_CONST(14)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR46_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR46_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR46_RANGE                    14:14
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR46_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR46_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR46_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR46_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR46_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR46_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR46_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR46_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR46_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR45_SHIFT                    _MK_SHIFT_CONST(13)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR45_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR45_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR45_RANGE                    13:13
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR45_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR45_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR45_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR45_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR45_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR45_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR45_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR45_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR45_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR44_SHIFT                    _MK_SHIFT_CONST(12)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR44_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR44_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR44_RANGE                    12:12
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR44_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR44_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR44_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR44_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR44_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR44_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR44_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR44_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR44_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR43_SHIFT                    _MK_SHIFT_CONST(11)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR43_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR43_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR43_RANGE                    11:11
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR43_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR43_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR43_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR43_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR43_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR43_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR43_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR43_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR43_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_SHIFT                    _MK_SHIFT_CONST(10)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_RANGE                    10:10
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR42_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_SHIFT                    _MK_SHIFT_CONST(9)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_RANGE                    9:9
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR41_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_SHIFT                    _MK_SHIFT_CONST(8)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_RANGE                    8:8
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR40_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_SHIFT                    _MK_SHIFT_CONST(7)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_RANGE                    7:7
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR39_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_SHIFT                    _MK_SHIFT_CONST(6)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_RANGE                    6:6
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR38_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_SHIFT                    _MK_SHIFT_CONST(5)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_RANGE                    5:5
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR37_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_SHIFT                    _MK_SHIFT_CONST(4)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_RANGE                    4:4
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR36_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_SHIFT                    _MK_SHIFT_CONST(3)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_RANGE                    3:3
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR35_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_SHIFT                    _MK_SHIFT_CONST(2)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_RANGE                    2:2
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR34_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_SHIFT                    _MK_SHIFT_CONST(1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_RANGE                    1:1
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR33_ENABLE                   _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_SHIFT                    _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_RANGE                    0:0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0_ERR32_ENABLE                   _MK_ENUM_CONST(1)


// Register BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0                 _MK_ADDR_CONST(0x74)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_SECURE                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_DUAL                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_SCR                     EC_SCR_0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_WORD_COUNT                      0x1
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_READ_MASK                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR63_SHIFT                     _MK_SHIFT_CONST(31)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR63_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR63_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR63_RANGE                     31:31
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR63_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR63_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR63_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR63_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR63_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR63_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR63_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR63_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR63_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR62_SHIFT                     _MK_SHIFT_CONST(30)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR62_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR62_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR62_RANGE                     30:30
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR62_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR62_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR62_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR62_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR62_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR62_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR62_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR62_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR62_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR61_SHIFT                     _MK_SHIFT_CONST(29)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR61_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR61_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR61_RANGE                     29:29
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR61_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR61_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR61_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR61_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR61_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR61_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR61_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR61_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR61_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR60_SHIFT                     _MK_SHIFT_CONST(28)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR60_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR60_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR60_RANGE                     28:28
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR60_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR60_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR60_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR60_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR60_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR60_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR60_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR60_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR60_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR59_SHIFT                     _MK_SHIFT_CONST(27)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR59_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR59_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR59_RANGE                     27:27
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR59_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR59_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR59_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR59_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR59_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR59_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR59_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR59_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR59_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR58_SHIFT                     _MK_SHIFT_CONST(26)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR58_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR58_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR58_RANGE                     26:26
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR58_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR58_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR58_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR58_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR58_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR58_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR58_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR58_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR58_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR57_SHIFT                     _MK_SHIFT_CONST(25)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR57_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR57_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR57_RANGE                     25:25
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR57_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR57_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR57_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR57_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR57_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR57_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR57_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR57_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR57_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR56_SHIFT                     _MK_SHIFT_CONST(24)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR56_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR56_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR56_RANGE                     24:24
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR56_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR56_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR56_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR56_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR56_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR56_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR56_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR56_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR56_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR55_SHIFT                     _MK_SHIFT_CONST(23)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR55_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR55_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR55_RANGE                     23:23
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR55_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR55_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR55_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR55_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR55_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR55_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR55_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR55_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR55_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR54_SHIFT                     _MK_SHIFT_CONST(22)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR54_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR54_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR54_RANGE                     22:22
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR54_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR54_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR54_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR54_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR54_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR54_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR54_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR54_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR54_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR53_SHIFT                     _MK_SHIFT_CONST(21)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR53_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR53_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR53_RANGE                     21:21
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR53_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR53_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR53_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR53_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR53_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR53_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR53_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR53_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR53_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR52_SHIFT                     _MK_SHIFT_CONST(20)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR52_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR52_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR52_RANGE                     20:20
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR52_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR52_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR52_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR52_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR52_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR52_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR52_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR52_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR52_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR51_SHIFT                     _MK_SHIFT_CONST(19)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR51_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR51_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR51_RANGE                     19:19
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR51_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR51_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR51_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR51_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR51_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR51_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR51_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR51_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR51_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR50_SHIFT                     _MK_SHIFT_CONST(18)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR50_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR50_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR50_RANGE                     18:18
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR50_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR50_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR50_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR50_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR50_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR50_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR50_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR50_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR50_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR49_SHIFT                     _MK_SHIFT_CONST(17)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR49_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR49_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR49_RANGE                     17:17
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR49_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR49_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR49_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR49_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR49_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR49_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR49_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR49_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR49_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR48_SHIFT                     _MK_SHIFT_CONST(16)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR48_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR48_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR48_RANGE                     16:16
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR48_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR48_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR48_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR48_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR48_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR48_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR48_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR48_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR48_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR47_SHIFT                     _MK_SHIFT_CONST(15)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR47_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR47_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR47_RANGE                     15:15
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR47_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR47_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR47_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR47_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR47_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR47_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR47_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR47_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR47_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR46_SHIFT                     _MK_SHIFT_CONST(14)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR46_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR46_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR46_RANGE                     14:14
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR46_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR46_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR46_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR46_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR46_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR46_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR46_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR46_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR46_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR45_SHIFT                     _MK_SHIFT_CONST(13)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR45_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR45_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR45_RANGE                     13:13
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR45_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR45_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR45_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR45_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR45_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR45_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR45_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR45_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR45_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR44_SHIFT                     _MK_SHIFT_CONST(12)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR44_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR44_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR44_RANGE                     12:12
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR44_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR44_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR44_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR44_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR44_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR44_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR44_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR44_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR44_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR43_SHIFT                     _MK_SHIFT_CONST(11)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR43_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR43_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR43_RANGE                     11:11
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR43_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR43_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR43_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR43_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR43_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR43_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR43_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR43_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR43_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR42_SHIFT                     _MK_SHIFT_CONST(10)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR42_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR42_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR42_RANGE                     10:10
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR42_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR42_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR42_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR42_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR42_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR42_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR42_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR42_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR42_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR41_SHIFT                     _MK_SHIFT_CONST(9)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR41_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR41_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR41_RANGE                     9:9
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR41_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR41_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR41_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR41_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR41_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR41_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR41_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR41_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR41_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR40_SHIFT                     _MK_SHIFT_CONST(8)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR40_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR40_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR40_RANGE                     8:8
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR40_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR40_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR40_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR40_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR40_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR40_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR40_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR40_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR40_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR39_SHIFT                     _MK_SHIFT_CONST(7)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR39_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR39_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR39_RANGE                     7:7
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR39_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR39_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR39_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR39_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR39_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR39_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR39_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR39_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR39_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR38_SHIFT                     _MK_SHIFT_CONST(6)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR38_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR38_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR38_RANGE                     6:6
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR38_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR38_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR38_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR38_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR38_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR38_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR38_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR38_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR38_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR37_SHIFT                     _MK_SHIFT_CONST(5)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR37_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR37_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR37_RANGE                     5:5
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR37_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR37_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR37_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR37_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR37_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR37_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR37_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR37_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR37_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR36_SHIFT                     _MK_SHIFT_CONST(4)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR36_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR36_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR36_RANGE                     4:4
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR36_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR36_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR36_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR36_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR36_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR36_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR36_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR36_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR36_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR35_SHIFT                     _MK_SHIFT_CONST(3)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR35_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR35_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR35_RANGE                     3:3
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR35_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR35_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR35_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR35_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR35_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR35_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR35_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR35_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR35_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR34_SHIFT                     _MK_SHIFT_CONST(2)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR34_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR34_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR34_RANGE                     2:2
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR34_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR34_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR34_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR34_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR34_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR34_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR34_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR34_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR34_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR33_SHIFT                     _MK_SHIFT_CONST(1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR33_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR33_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR33_RANGE                     1:1
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR33_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR33_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR33_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR33_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR33_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR33_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR33_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR33_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR33_FORCE                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR32_SHIFT                     _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR32_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR32_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR32_RANGE                     0:0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR32_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR32_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR32_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR32_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR32_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR32_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR32_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR32_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0_ERR32_FORCE                     _MK_ENUM_CONST(1)


// Register BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0                        _MK_ADDR_CONST(0x78)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_SECURE                         0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_DUAL                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_SCR                    EC_SCR_0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_WORD_COUNT                     0x1
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR63_SHIFT                    _MK_SHIFT_CONST(31)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR63_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR63_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR63_RANGE                    31:31
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR63_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR63_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR63_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR63_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR63_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR63_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR63_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR62_SHIFT                    _MK_SHIFT_CONST(30)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR62_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR62_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR62_RANGE                    30:30
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR62_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR62_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR62_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR62_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR62_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR62_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR62_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR61_SHIFT                    _MK_SHIFT_CONST(29)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR61_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR61_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR61_RANGE                    29:29
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR61_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR61_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR61_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR61_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR61_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR61_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR61_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR60_SHIFT                    _MK_SHIFT_CONST(28)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR60_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR60_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR60_RANGE                    28:28
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR60_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR60_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR60_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR60_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR60_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR60_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR60_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR59_SHIFT                    _MK_SHIFT_CONST(27)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR59_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR59_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR59_RANGE                    27:27
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR59_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR59_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR59_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR59_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR59_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR59_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR59_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR58_SHIFT                    _MK_SHIFT_CONST(26)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR58_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR58_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR58_RANGE                    26:26
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR58_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR58_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR58_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR58_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR58_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR58_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR58_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR57_SHIFT                    _MK_SHIFT_CONST(25)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR57_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR57_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR57_RANGE                    25:25
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR57_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR57_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR57_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR57_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR57_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR57_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR57_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR56_SHIFT                    _MK_SHIFT_CONST(24)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR56_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR56_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR56_RANGE                    24:24
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR56_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR56_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR56_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR56_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR56_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR56_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR56_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR55_SHIFT                    _MK_SHIFT_CONST(23)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR55_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR55_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR55_RANGE                    23:23
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR55_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR55_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR55_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR55_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR55_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR55_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR55_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR54_SHIFT                    _MK_SHIFT_CONST(22)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR54_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR54_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR54_RANGE                    22:22
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR54_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR54_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR54_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR54_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR54_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR54_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR54_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR53_SHIFT                    _MK_SHIFT_CONST(21)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR53_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR53_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR53_RANGE                    21:21
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR53_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR53_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR53_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR53_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR53_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR53_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR53_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR52_SHIFT                    _MK_SHIFT_CONST(20)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR52_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR52_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR52_RANGE                    20:20
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR52_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR52_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR52_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR52_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR52_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR52_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR52_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR51_SHIFT                    _MK_SHIFT_CONST(19)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR51_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR51_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR51_RANGE                    19:19
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR51_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR51_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR51_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR51_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR51_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR51_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR51_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR50_SHIFT                    _MK_SHIFT_CONST(18)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR50_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR50_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR50_RANGE                    18:18
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR50_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR50_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR50_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR50_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR50_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR50_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR50_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR49_SHIFT                    _MK_SHIFT_CONST(17)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR49_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR49_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR49_RANGE                    17:17
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR49_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR49_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR49_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR49_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR49_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR49_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR49_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR48_SHIFT                    _MK_SHIFT_CONST(16)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR48_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR48_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR48_RANGE                    16:16
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR48_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR48_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR48_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR48_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR48_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR48_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR48_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR47_SHIFT                    _MK_SHIFT_CONST(15)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR47_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR47_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR47_RANGE                    15:15
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR47_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR47_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR47_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR47_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR47_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR47_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR47_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR46_SHIFT                    _MK_SHIFT_CONST(14)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR46_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR46_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR46_RANGE                    14:14
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR46_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR46_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR46_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR46_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR46_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR46_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR46_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR45_SHIFT                    _MK_SHIFT_CONST(13)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR45_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR45_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR45_RANGE                    13:13
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR45_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR45_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR45_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR45_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR45_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR45_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR45_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR44_SHIFT                    _MK_SHIFT_CONST(12)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR44_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR44_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR44_RANGE                    12:12
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR44_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR44_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR44_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR44_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR44_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR44_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR44_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR43_SHIFT                    _MK_SHIFT_CONST(11)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR43_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR43_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR43_RANGE                    11:11
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR43_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR43_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR43_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR43_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR43_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR43_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR43_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR42_SHIFT                    _MK_SHIFT_CONST(10)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR42_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR42_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR42_RANGE                    10:10
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR42_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR42_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR42_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR42_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR42_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR42_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR42_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR41_SHIFT                    _MK_SHIFT_CONST(9)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR41_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR41_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR41_RANGE                    9:9
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR41_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR41_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR41_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR41_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR41_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR41_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR41_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR40_SHIFT                    _MK_SHIFT_CONST(8)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR40_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR40_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR40_RANGE                    8:8
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR40_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR40_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR40_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR40_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR40_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR40_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR40_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR39_SHIFT                    _MK_SHIFT_CONST(7)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR39_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR39_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR39_RANGE                    7:7
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR39_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR39_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR39_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR39_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR39_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR39_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR39_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR38_SHIFT                    _MK_SHIFT_CONST(6)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR38_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR38_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR38_RANGE                    6:6
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR38_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR38_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR38_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR38_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR38_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR38_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR38_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR37_SHIFT                    _MK_SHIFT_CONST(5)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR37_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR37_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR37_RANGE                    5:5
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR37_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR37_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR37_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR37_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR37_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR37_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR37_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR36_SHIFT                    _MK_SHIFT_CONST(4)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR36_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR36_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR36_RANGE                    4:4
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR36_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR36_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR36_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR36_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR36_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR36_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR36_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR35_SHIFT                    _MK_SHIFT_CONST(3)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR35_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR35_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR35_RANGE                    3:3
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR35_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR35_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR35_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR35_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR35_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR35_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR35_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR34_SHIFT                    _MK_SHIFT_CONST(2)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR34_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR34_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR34_RANGE                    2:2
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR34_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR34_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR34_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR34_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR34_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR34_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR34_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR33_SHIFT                    _MK_SHIFT_CONST(1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR33_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR33_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR33_RANGE                    1:1
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR33_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR33_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR33_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR33_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR33_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR33_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR33_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR32_SHIFT                    _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR32_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR32_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR32_RANGE                    0:0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR32_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR32_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR32_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR32_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR32_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR32_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0_ERR32_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Reserved address 0x7c

// Register BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0                  _MK_ADDR_CONST(0x80)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_SECURE                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_DUAL                     0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_SCR                      EC_SCR_0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_WORD_COUNT                       0x1
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_READ_MASK                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR63_SHIFT                      _MK_SHIFT_CONST(31)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR63_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR63_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR63_RANGE                      31:31
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR63_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR63_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR63_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR63_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR63_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR63_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR63_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR63_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR63_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR62_SHIFT                      _MK_SHIFT_CONST(30)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR62_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR62_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR62_RANGE                      30:30
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR62_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR62_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR62_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR62_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR62_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR62_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR62_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR62_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR62_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR61_SHIFT                      _MK_SHIFT_CONST(29)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR61_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR61_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR61_RANGE                      29:29
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR61_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR61_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR61_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR61_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR61_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR61_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR61_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR61_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR61_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR60_SHIFT                      _MK_SHIFT_CONST(28)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR60_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR60_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR60_RANGE                      28:28
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR60_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR60_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR60_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR60_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR60_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR60_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR60_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR60_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR60_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR59_SHIFT                      _MK_SHIFT_CONST(27)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR59_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR59_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR59_RANGE                      27:27
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR59_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR59_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR59_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR59_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR59_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR59_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR59_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR59_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR59_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR58_SHIFT                      _MK_SHIFT_CONST(26)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR58_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR58_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR58_RANGE                      26:26
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR58_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR58_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR58_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR58_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR58_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR58_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR58_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR58_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR58_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR57_SHIFT                      _MK_SHIFT_CONST(25)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR57_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR57_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR57_RANGE                      25:25
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR57_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR57_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR57_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR57_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR57_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR57_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR57_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR57_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR57_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR56_SHIFT                      _MK_SHIFT_CONST(24)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR56_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR56_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR56_RANGE                      24:24
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR56_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR56_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR56_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR56_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR56_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR56_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR56_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR56_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR56_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR55_SHIFT                      _MK_SHIFT_CONST(23)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR55_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR55_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR55_RANGE                      23:23
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR55_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR55_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR55_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR55_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR55_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR55_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR55_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR55_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR55_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR54_SHIFT                      _MK_SHIFT_CONST(22)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR54_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR54_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR54_RANGE                      22:22
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR54_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR54_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR54_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR54_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR54_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR54_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR54_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR54_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR54_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR53_SHIFT                      _MK_SHIFT_CONST(21)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR53_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR53_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR53_RANGE                      21:21
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR53_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR53_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR53_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR53_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR53_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR53_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR53_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR53_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR53_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR52_SHIFT                      _MK_SHIFT_CONST(20)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR52_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR52_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR52_RANGE                      20:20
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR52_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR52_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR52_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR52_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR52_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR52_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR52_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR52_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR52_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR51_SHIFT                      _MK_SHIFT_CONST(19)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR51_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR51_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR51_RANGE                      19:19
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR51_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR51_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR51_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR51_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR51_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR51_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR51_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR51_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR51_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR50_SHIFT                      _MK_SHIFT_CONST(18)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR50_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR50_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR50_RANGE                      18:18
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR50_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR50_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR50_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR50_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR50_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR50_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR50_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR50_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR50_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR49_SHIFT                      _MK_SHIFT_CONST(17)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR49_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR49_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR49_RANGE                      17:17
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR49_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR49_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR49_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR49_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR49_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR49_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR49_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR49_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR49_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR48_SHIFT                      _MK_SHIFT_CONST(16)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR48_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR48_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR48_RANGE                      16:16
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR48_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR48_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR48_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR48_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR48_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR48_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR48_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR48_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR48_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR47_SHIFT                      _MK_SHIFT_CONST(15)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR47_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR47_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR47_RANGE                      15:15
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR47_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR47_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR47_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR47_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR47_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR47_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR47_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR47_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR47_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR46_SHIFT                      _MK_SHIFT_CONST(14)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR46_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR46_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR46_RANGE                      14:14
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR46_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR46_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR46_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR46_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR46_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR46_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR46_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR46_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR46_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR45_SHIFT                      _MK_SHIFT_CONST(13)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR45_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR45_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR45_RANGE                      13:13
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR45_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR45_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR45_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR45_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR45_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR45_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR45_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR45_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR45_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR44_SHIFT                      _MK_SHIFT_CONST(12)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR44_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR44_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR44_RANGE                      12:12
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR44_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR44_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR44_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR44_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR44_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR44_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR44_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR44_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR44_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR43_SHIFT                      _MK_SHIFT_CONST(11)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR43_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR43_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR43_RANGE                      11:11
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR43_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR43_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR43_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR43_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR43_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR43_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR43_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR43_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR43_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR42_SHIFT                      _MK_SHIFT_CONST(10)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR42_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR42_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR42_RANGE                      10:10
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR42_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR42_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR42_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR42_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR42_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR42_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR42_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR42_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR42_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR41_SHIFT                      _MK_SHIFT_CONST(9)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR41_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR41_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR41_RANGE                      9:9
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR41_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR41_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR41_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR41_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR41_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR41_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR41_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR41_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR41_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR40_SHIFT                      _MK_SHIFT_CONST(8)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR40_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR40_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR40_RANGE                      8:8
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR40_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR40_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR40_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR40_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR40_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR40_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR40_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR40_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR40_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR39_SHIFT                      _MK_SHIFT_CONST(7)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR39_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR39_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR39_RANGE                      7:7
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR39_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR39_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR39_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR39_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR39_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR39_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR39_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR39_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR39_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR38_SHIFT                      _MK_SHIFT_CONST(6)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR38_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR38_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR38_RANGE                      6:6
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR38_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR38_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR38_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR38_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR38_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR38_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR38_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR38_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR38_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR37_SHIFT                      _MK_SHIFT_CONST(5)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR37_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR37_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR37_RANGE                      5:5
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR37_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR37_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR37_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR37_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR37_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR37_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR37_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR37_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR37_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR36_SHIFT                      _MK_SHIFT_CONST(4)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR36_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR36_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR36_RANGE                      4:4
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR36_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR36_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR36_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR36_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR36_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR36_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR36_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR36_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR36_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR35_SHIFT                      _MK_SHIFT_CONST(3)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR35_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR35_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR35_RANGE                      3:3
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR35_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR35_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR35_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR35_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR35_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR35_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR35_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR35_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR35_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR34_SHIFT                      _MK_SHIFT_CONST(2)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR34_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR34_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR34_RANGE                      2:2
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR34_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR34_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR34_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR34_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR34_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR34_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR34_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR34_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR34_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR33_SHIFT                      _MK_SHIFT_CONST(1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR33_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR33_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR33_RANGE                      1:1
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR33_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR33_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR33_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR33_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR33_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR33_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR33_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR33_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR33_RELOAD                     _MK_ENUM_CONST(1)

#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR32_SHIFT                      _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR32_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR32_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR32_RANGE                      0:0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR32_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR32_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR32_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR32_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR32_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR32_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR32_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR32_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0_ERR32_RELOAD                     _MK_ENUM_CONST(1)


// Reserved address 0x84

// Reserved address 0x88

// Reserved address 0x8c

// Register BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_ENABLE_0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_ENABLE_0                       _MK_ADDR_CONST(0x90)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_ENABLE_0_SECURE                        0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_ENABLE_0_DUAL                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_ENABLE_0_SCR                   EC_SCR_0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_ENABLE_0_WORD_COUNT                    0x1
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_ENABLE_0_RESET_VAL                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_ENABLE_0_RESET_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_ENABLE_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_ENABLE_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_ENABLE_0_READ_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_ENABLE_0_WRITE_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_ENABLE_0_ERR64_SHIFT                   _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_ENABLE_0_ERR64_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_ENABLE_0_ERR64_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_ENABLE_0_ERR64_RANGE                   0:0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_ENABLE_0_ERR64_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_ENABLE_0_ERR64_DEFAULT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_ENABLE_0_ERR64_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_ENABLE_0_ERR64_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_ENABLE_0_ERR64_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_ENABLE_0_ERR64_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_ENABLE_0_ERR64_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_ENABLE_0_ERR64_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_ENABLE_0_ERR64_ENABLE                  _MK_ENUM_CONST(1)


// Register BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_FORCE_0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_FORCE_0                        _MK_ADDR_CONST(0x94)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_FORCE_0_SECURE                         0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_FORCE_0_DUAL                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_FORCE_0_SCR                    EC_SCR_0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_FORCE_0_WORD_COUNT                     0x1
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_FORCE_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_FORCE_0_RESET_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_FORCE_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_FORCE_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_FORCE_0_READ_MASK                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_FORCE_0_WRITE_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_FORCE_0_ERR64_SHIFT                    _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_FORCE_0_ERR64_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_FORCE_0_ERR64_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_FORCE_0_ERR64_RANGE                    0:0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_FORCE_0_ERR64_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_FORCE_0_ERR64_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_FORCE_0_ERR64_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_FORCE_0_ERR64_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_FORCE_0_ERR64_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_FORCE_0_ERR64_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_FORCE_0_ERR64_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_FORCE_0_ERR64_NOFORCE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_FORCE_0_ERR64_FORCE                    _MK_ENUM_CONST(1)


// Register BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_STATUS_0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_STATUS_0                       _MK_ADDR_CONST(0x98)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_STATUS_0_SECURE                        0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_STATUS_0_DUAL                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_STATUS_0_SCR                   EC_SCR_0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_STATUS_0_WORD_COUNT                    0x1
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_STATUS_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_STATUS_0_RESET_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_STATUS_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_STATUS_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_STATUS_0_READ_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_STATUS_0_WRITE_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_STATUS_0_ERR64_SHIFT                   _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_STATUS_0_ERR64_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_STATUS_0_ERR64_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_STATUS_0_ERR64_RANGE                   0:0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_STATUS_0_ERR64_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_STATUS_0_ERR64_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_STATUS_0_ERR64_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_STATUS_0_ERR64_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_STATUS_0_ERR64_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_STATUS_0_ERR64_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_STATUS_0_ERR64_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_INJECT_0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_INJECT_0                       _MK_ADDR_CONST(0x9c)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_INJECT_0_SECURE                        0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_INJECT_0_DUAL                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_INJECT_0_SCR                   EC_SCR_0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_INJECT_0_WORD_COUNT                    0x1
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_INJECT_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_INJECT_0_RESET_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_INJECT_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_INJECT_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_INJECT_0_READ_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_INJECT_0_WRITE_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_INJECT_0_ERR64_SHIFT                   _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_INJECT_0_ERR64_FIELD                   _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_INJECT_0_ERR64_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_INJECT_0_ERR64_RANGE                   0:0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_INJECT_0_ERR64_WOFFSET                 0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_INJECT_0_ERR64_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_INJECT_0_ERR64_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_INJECT_0_ERR64_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_INJECT_0_ERR64_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_INJECT_0_ERR64_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_INJECT_0_ERR64_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_INJECT_0_ERR64_DISABLE                 _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_INJECT_0_ERR64_ENABLE                  _MK_ENUM_CONST(1)


// Register BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_ENABLE_0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_ENABLE_0                        _MK_ADDR_CONST(0xa0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_ENABLE_0_SECURE                         0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_ENABLE_0_DUAL                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_ENABLE_0_SCR                    EC_SCR_0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_ENABLE_0_WORD_COUNT                     0x1
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_ENABLE_0_RESET_VAL                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_ENABLE_0_RESET_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_ENABLE_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_ENABLE_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_ENABLE_0_READ_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_ENABLE_0_WRITE_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_ENABLE_0_ERR64_SHIFT                    _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_ENABLE_0_ERR64_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_ENABLE_0_ERR64_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_ENABLE_0_ERR64_RANGE                    0:0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_ENABLE_0_ERR64_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_ENABLE_0_ERR64_DEFAULT                  _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_ENABLE_0_ERR64_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_ENABLE_0_ERR64_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_ENABLE_0_ERR64_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_ENABLE_0_ERR64_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_ENABLE_0_ERR64_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_ENABLE_0_ERR64_DISABLE                  _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_ENABLE_0_ERR64_ENABLE                   _MK_ENUM_CONST(1)


// Register BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_FORCE_0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_FORCE_0                 _MK_ADDR_CONST(0xa4)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_FORCE_0_SECURE                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_FORCE_0_DUAL                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_FORCE_0_SCR                     EC_SCR_0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_FORCE_0_WORD_COUNT                      0x1
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_FORCE_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_FORCE_0_RESET_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_FORCE_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_FORCE_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_FORCE_0_READ_MASK                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_FORCE_0_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_FORCE_0_ERR64_SHIFT                     _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_FORCE_0_ERR64_FIELD                     _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_FORCE_0_ERR64_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_FORCE_0_ERR64_RANGE                     0:0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_FORCE_0_ERR64_WOFFSET                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_FORCE_0_ERR64_DEFAULT                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_FORCE_0_ERR64_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_FORCE_0_ERR64_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_FORCE_0_ERR64_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_FORCE_0_ERR64_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_FORCE_0_ERR64_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_FORCE_0_ERR64_NOFORCE                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_FORCE_0_ERR64_FORCE                     _MK_ENUM_CONST(1)


// Register BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_STATUS_0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_STATUS_0                        _MK_ADDR_CONST(0xa8)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_STATUS_0_SECURE                         0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_STATUS_0_DUAL                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_STATUS_0_SCR                    EC_SCR_0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_STATUS_0_WORD_COUNT                     0x1
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_STATUS_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_STATUS_0_RESET_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_STATUS_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_STATUS_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_STATUS_0_READ_MASK                      _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_STATUS_0_WRITE_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_STATUS_0_ERR64_SHIFT                    _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_STATUS_0_ERR64_FIELD                    _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_STATUS_0_ERR64_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_STATUS_0_ERR64_RANGE                    0:0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_STATUS_0_ERR64_WOFFSET                  0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_STATUS_0_ERR64_DEFAULT                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_STATUS_0_ERR64_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_STATUS_0_ERR64_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_STATUS_0_ERR64_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_STATUS_0_ERR64_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_STATUS_0_ERR64_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Reserved address 0xac

// Register BPMP_ERROR_COLLATOR_ERRSLICE2_COUNTER_RELOAD_0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_COUNTER_RELOAD_0                  _MK_ADDR_CONST(0xb0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_COUNTER_RELOAD_0_SECURE                   0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_COUNTER_RELOAD_0_DUAL                     0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_COUNTER_RELOAD_0_SCR                      EC_SCR_0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_COUNTER_RELOAD_0_WORD_COUNT                       0x1
#define BPMP_ERROR_COLLATOR_ERRSLICE2_COUNTER_RELOAD_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_COUNTER_RELOAD_0_RESET_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_COUNTER_RELOAD_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_COUNTER_RELOAD_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_COUNTER_RELOAD_0_READ_MASK                        _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_COUNTER_RELOAD_0_WRITE_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_COUNTER_RELOAD_0_ERR64_SHIFT                      _MK_SHIFT_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_COUNTER_RELOAD_0_ERR64_FIELD                      _MK_FIELD_CONST(0x1, BPMP_ERROR_COLLATOR_ERRSLICE2_COUNTER_RELOAD_0_ERR64_SHIFT)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_COUNTER_RELOAD_0_ERR64_RANGE                      0:0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_COUNTER_RELOAD_0_ERR64_WOFFSET                    0x0
#define BPMP_ERROR_COLLATOR_ERRSLICE2_COUNTER_RELOAD_0_ERR64_DEFAULT                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_COUNTER_RELOAD_0_ERR64_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_COUNTER_RELOAD_0_ERR64_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_COUNTER_RELOAD_0_ERR64_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_COUNTER_RELOAD_0_ERR64_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_COUNTER_RELOAD_0_ERR64_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_COUNTER_RELOAD_0_ERR64_NORELOAD                   _MK_ENUM_CONST(0)
#define BPMP_ERROR_COLLATOR_ERRSLICE2_COUNTER_RELOAD_0_ERR64_RELOAD                     _MK_ENUM_CONST(1)


// Reserved address 0xb4

// Reserved address 0xb8

// Reserved address 0xbc

//
// REGISTER LIST
//
#define LIST_ARBPMP_ERROR_COLLATOR_REGS(_op_) \
_op_(BPMP_ERROR_COLLATOR_FEATURE_0) \
_op_(BPMP_ERROR_COLLATOR_SWRESET_0) \
_op_(BPMP_ERROR_COLLATOR_MISSIONERR_TYPE_0) \
_op_(BPMP_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0) \
_op_(BPMP_ERROR_COLLATOR_MISSIONERR_USERVALUE_0) \
_op_(BPMP_ERROR_COLLATOR_MISSIONERR_INDEX_0) \
_op_(BPMP_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0) \
_op_(BPMP_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0) \
_op_(BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0) \
_op_(BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0) \
_op_(BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0) \
_op_(BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0) \
_op_(BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0) \
_op_(BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0) \
_op_(BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0) \
_op_(BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0) \
_op_(BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0) \
_op_(BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_FORCE_0) \
_op_(BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_STATUS_0) \
_op_(BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_INJECT_0) \
_op_(BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_ENABLE_0) \
_op_(BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_FORCE_0) \
_op_(BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0) \
_op_(BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0) \
_op_(BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_ENABLE_0) \
_op_(BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_FORCE_0) \
_op_(BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_STATUS_0) \
_op_(BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_INJECT_0) \
_op_(BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_ENABLE_0) \
_op_(BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_FORCE_0) \
_op_(BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_STATUS_0) \
_op_(BPMP_ERROR_COLLATOR_ERRSLICE2_COUNTER_RELOAD_0)


//
// ADDRESS SPACES
//

#define BASE_ADDRESS_BPMP_ERROR_COLLATOR        0x00000000

//
// ARBPMP_ERROR_COLLATOR REGISTER BANKS
//

#define BPMP_ERROR_COLLATOR0_FIRST_REG 0x0000 // BPMP_ERROR_COLLATOR_FEATURE_0
#define BPMP_ERROR_COLLATOR0_LAST_REG 0x001c // BPMP_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0
#define BPMP_ERROR_COLLATOR1_FIRST_REG 0x0030 // BPMP_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0
#define BPMP_ERROR_COLLATOR1_LAST_REG 0x0048 // BPMP_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0
#define BPMP_ERROR_COLLATOR2_FIRST_REG 0x0050 // BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0
#define BPMP_ERROR_COLLATOR2_LAST_REG 0x0050 // BPMP_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0
#define BPMP_ERROR_COLLATOR3_FIRST_REG 0x0060 // BPMP_ERROR_COLLATOR_ERRSLICE1_MISSIONERR_ENABLE_0
#define BPMP_ERROR_COLLATOR3_LAST_REG 0x0078 // BPMP_ERROR_COLLATOR_ERRSLICE1_LATENTERR_STATUS_0
#define BPMP_ERROR_COLLATOR4_FIRST_REG 0x0080 // BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0
#define BPMP_ERROR_COLLATOR4_LAST_REG 0x0080 // BPMP_ERROR_COLLATOR_ERRSLICE1_COUNTER_RELOAD_0
#define BPMP_ERROR_COLLATOR5_FIRST_REG 0x0090 // BPMP_ERROR_COLLATOR_ERRSLICE2_MISSIONERR_ENABLE_0
#define BPMP_ERROR_COLLATOR5_LAST_REG 0x00a8 // BPMP_ERROR_COLLATOR_ERRSLICE2_LATENTERR_STATUS_0
#define BPMP_ERROR_COLLATOR6_FIRST_REG 0x00b0 // BPMP_ERROR_COLLATOR_ERRSLICE2_COUNTER_RELOAD_0
#define BPMP_ERROR_COLLATOR6_LAST_REG 0x00b0 // BPMP_ERROR_COLLATOR_ERRSLICE2_COUNTER_RELOAD_0

// To satisfy various compilers and platforms,
// we let users control the types and syntax of certain constants, using macros.
#ifndef _MK_SHIFT_CONST
  #define _MK_SHIFT_CONST(_constant_) _constant_
#endif
#ifndef _MK_MASK_CONST
  #define _MK_MASK_CONST(_constant_) _constant_
#endif
#ifndef _MK_ENUM_CONST
  #define _MK_ENUM_CONST(_constant_) (_constant_ ## UL)
#endif
#ifndef _MK_ADDR_CONST
  #define _MK_ADDR_CONST(_constant_) _constant_
#endif
#ifndef _MK_FIELD_CONST
  #define _MK_FIELD_CONST(_mask_, _shift_) (_MK_MASK_CONST(_mask_) << _MK_SHIFT_CONST(_shift_))
#endif

#endif // ifndef ___ARBPMP_ERROR_COLLATOR_H_INC_
