//
// Copyright (c) 2018 NVIDIA Corporation.
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are met:
//
// Redistributions of source code must retain the above copyright notice,
// this list of conditions and the following disclaimer.
//
// Redistributions in binary form must reproduce the above copyright notice,
// this list of conditions and the following disclaimer in the documentation
// and/or other materials provided with the distribution.
//
// Neither the name of the NVIDIA Corporation nor the names of its contributors
// may be used to endorse or promote products derived from this software
// without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
// ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
// LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
// CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
// SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
// INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
// CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
// POSSIBILITY OF SUCH DAMAGE.
//

//
// DO NOT EDIT - generated by simspec!
//

#ifndef ___ARSCE_HSM_H_INC_
#define ___ARSCE_HSM_H_INC_
#define NV_MOBILE_ARSCE_HSM_H_UNIT_OF_OFFSET 1B


// Register SCE_HSM_CONFIG_0
#define SCE_HSM_CONFIG_0                        _MK_ADDR_CONST(0x0)
#define SCE_HSM_CONFIG_0_SECURE                         0x0
#define SCE_HSM_CONFIG_0_DUAL                   0x0
#define SCE_HSM_CONFIG_0_SCR                    0
#define SCE_HSM_CONFIG_0_WORD_COUNT                     0x1
#define SCE_HSM_CONFIG_0_RESET_VAL                      _MK_MASK_CONST(0x2)
#define SCE_HSM_CONFIG_0_RESET_MASK                     _MK_MASK_CONST(0x1f)
#define SCE_HSM_CONFIG_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_CONFIG_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_CONFIG_0_READ_MASK                      _MK_MASK_CONST(0x1f)
#define SCE_HSM_CONFIG_0_WRITE_MASK                     _MK_MASK_CONST(0x1f)
#define SCE_HSM_CONFIG_0_SLCG_OVR_ON_SHIFT                      _MK_SHIFT_CONST(4)
#define SCE_HSM_CONFIG_0_SLCG_OVR_ON_FIELD                      _MK_FIELD_CONST(0x1, SCE_HSM_CONFIG_0_SLCG_OVR_ON_SHIFT)
#define SCE_HSM_CONFIG_0_SLCG_OVR_ON_RANGE                      4:4
#define SCE_HSM_CONFIG_0_SLCG_OVR_ON_WOFFSET                    0x0
#define SCE_HSM_CONFIG_0_SLCG_OVR_ON_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_CONFIG_0_SLCG_OVR_ON_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SCE_HSM_CONFIG_0_SLCG_OVR_ON_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_CONFIG_0_SLCG_OVR_ON_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_CONFIG_0_SLCG_OVR_ON_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define SCE_HSM_CONFIG_0_SLCG_OVR_ON_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define SCE_HSM_CONFIG_0_FORCE_ERR_DIS_SHIFT                    _MK_SHIFT_CONST(3)
#define SCE_HSM_CONFIG_0_FORCE_ERR_DIS_FIELD                    _MK_FIELD_CONST(0x1, SCE_HSM_CONFIG_0_FORCE_ERR_DIS_SHIFT)
#define SCE_HSM_CONFIG_0_FORCE_ERR_DIS_RANGE                    3:3
#define SCE_HSM_CONFIG_0_FORCE_ERR_DIS_WOFFSET                  0x0
#define SCE_HSM_CONFIG_0_FORCE_ERR_DIS_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_CONFIG_0_FORCE_ERR_DIS_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SCE_HSM_CONFIG_0_FORCE_ERR_DIS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_CONFIG_0_FORCE_ERR_DIS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_CONFIG_0_FORCE_ERR_DIS_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define SCE_HSM_CONFIG_0_FORCE_ERR_DIS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define SCE_HSM_CONFIG_0_GPIO_AUTOLOCK_EN_SHIFT                 _MK_SHIFT_CONST(2)
#define SCE_HSM_CONFIG_0_GPIO_AUTOLOCK_EN_FIELD                 _MK_FIELD_CONST(0x1, SCE_HSM_CONFIG_0_GPIO_AUTOLOCK_EN_SHIFT)
#define SCE_HSM_CONFIG_0_GPIO_AUTOLOCK_EN_RANGE                 2:2
#define SCE_HSM_CONFIG_0_GPIO_AUTOLOCK_EN_WOFFSET                       0x0
#define SCE_HSM_CONFIG_0_GPIO_AUTOLOCK_EN_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_CONFIG_0_GPIO_AUTOLOCK_EN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SCE_HSM_CONFIG_0_GPIO_AUTOLOCK_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_CONFIG_0_GPIO_AUTOLOCK_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_CONFIG_0_GPIO_AUTOLOCK_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define SCE_HSM_CONFIG_0_GPIO_AUTOLOCK_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define SCE_HSM_CONFIG_0_DESCRAMBLE_WERR_EN_SHIFT                       _MK_SHIFT_CONST(1)
#define SCE_HSM_CONFIG_0_DESCRAMBLE_WERR_EN_FIELD                       _MK_FIELD_CONST(0x1, SCE_HSM_CONFIG_0_DESCRAMBLE_WERR_EN_SHIFT)
#define SCE_HSM_CONFIG_0_DESCRAMBLE_WERR_EN_RANGE                       1:1
#define SCE_HSM_CONFIG_0_DESCRAMBLE_WERR_EN_WOFFSET                     0x0
#define SCE_HSM_CONFIG_0_DESCRAMBLE_WERR_EN_DEFAULT                     _MK_MASK_CONST(0x1)
#define SCE_HSM_CONFIG_0_DESCRAMBLE_WERR_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SCE_HSM_CONFIG_0_DESCRAMBLE_WERR_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_CONFIG_0_DESCRAMBLE_WERR_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_CONFIG_0_DESCRAMBLE_WERR_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define SCE_HSM_CONFIG_0_DESCRAMBLE_WERR_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define SCE_HSM_CONFIG_0_LOCK_SHIFT                     _MK_SHIFT_CONST(0)
#define SCE_HSM_CONFIG_0_LOCK_FIELD                     _MK_FIELD_CONST(0x1, SCE_HSM_CONFIG_0_LOCK_SHIFT)
#define SCE_HSM_CONFIG_0_LOCK_RANGE                     0:0
#define SCE_HSM_CONFIG_0_LOCK_WOFFSET                   0x0
#define SCE_HSM_CONFIG_0_LOCK_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_CONFIG_0_LOCK_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SCE_HSM_CONFIG_0_LOCK_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_CONFIG_0_LOCK_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_CONFIG_0_LOCK_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define SCE_HSM_CONFIG_0_LOCK_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register SCE_HSM_ERR_STATUS_0
#define SCE_HSM_ERR_STATUS_0                    _MK_ADDR_CONST(0x4)
#define SCE_HSM_ERR_STATUS_0_SECURE                     0x0
#define SCE_HSM_ERR_STATUS_0_DUAL                       0x0
#define SCE_HSM_ERR_STATUS_0_SCR                        0
#define SCE_HSM_ERR_STATUS_0_WORD_COUNT                         0x1
#define SCE_HSM_ERR_STATUS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_0_RESET_MASK                         _MK_MASK_CONST(0x3)
#define SCE_HSM_ERR_STATUS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_0_READ_MASK                  _MK_MASK_CONST(0x3)
#define SCE_HSM_ERR_STATUS_0_WRITE_MASK                         _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_0_GPIO_WERR_SHIFT                    _MK_SHIFT_CONST(1)
#define SCE_HSM_ERR_STATUS_0_GPIO_WERR_FIELD                    _MK_FIELD_CONST(0x1, SCE_HSM_ERR_STATUS_0_GPIO_WERR_SHIFT)
#define SCE_HSM_ERR_STATUS_0_GPIO_WERR_RANGE                    1:1
#define SCE_HSM_ERR_STATUS_0_GPIO_WERR_WOFFSET                  0x0
#define SCE_HSM_ERR_STATUS_0_GPIO_WERR_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_0_GPIO_WERR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SCE_HSM_ERR_STATUS_0_GPIO_WERR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_0_GPIO_WERR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_0_GPIO_WERR_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_0_GPIO_WERR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define SCE_HSM_ERR_STATUS_0_RSTREQ_WERR_SHIFT                  _MK_SHIFT_CONST(0)
#define SCE_HSM_ERR_STATUS_0_RSTREQ_WERR_FIELD                  _MK_FIELD_CONST(0x1, SCE_HSM_ERR_STATUS_0_RSTREQ_WERR_SHIFT)
#define SCE_HSM_ERR_STATUS_0_RSTREQ_WERR_RANGE                  0:0
#define SCE_HSM_ERR_STATUS_0_RSTREQ_WERR_WOFFSET                        0x0
#define SCE_HSM_ERR_STATUS_0_RSTREQ_WERR_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_0_RSTREQ_WERR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SCE_HSM_ERR_STATUS_0_RSTREQ_WERR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_0_RSTREQ_WERR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_0_RSTREQ_WERR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_0_RSTREQ_WERR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register SCE_HSM_ERR_STATUS_CLR_0
#define SCE_HSM_ERR_STATUS_CLR_0                        _MK_ADDR_CONST(0x8)
#define SCE_HSM_ERR_STATUS_CLR_0_SECURE                         0x0
#define SCE_HSM_ERR_STATUS_CLR_0_DUAL                   0x0
#define SCE_HSM_ERR_STATUS_CLR_0_SCR                    0
#define SCE_HSM_ERR_STATUS_CLR_0_WORD_COUNT                     0x1
#define SCE_HSM_ERR_STATUS_CLR_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_CLR_0_RESET_MASK                     _MK_MASK_CONST(0x3)
#define SCE_HSM_ERR_STATUS_CLR_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_CLR_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_CLR_0_READ_MASK                      _MK_MASK_CONST(0x3)
#define SCE_HSM_ERR_STATUS_CLR_0_WRITE_MASK                     _MK_MASK_CONST(0x3)
#define SCE_HSM_ERR_STATUS_CLR_0_GPIO_WERR_CLR_SHIFT                    _MK_SHIFT_CONST(1)
#define SCE_HSM_ERR_STATUS_CLR_0_GPIO_WERR_CLR_FIELD                    _MK_FIELD_CONST(0x1, SCE_HSM_ERR_STATUS_CLR_0_GPIO_WERR_CLR_SHIFT)
#define SCE_HSM_ERR_STATUS_CLR_0_GPIO_WERR_CLR_RANGE                    1:1
#define SCE_HSM_ERR_STATUS_CLR_0_GPIO_WERR_CLR_WOFFSET                  0x0
#define SCE_HSM_ERR_STATUS_CLR_0_GPIO_WERR_CLR_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_CLR_0_GPIO_WERR_CLR_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SCE_HSM_ERR_STATUS_CLR_0_GPIO_WERR_CLR_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_CLR_0_GPIO_WERR_CLR_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_CLR_0_GPIO_WERR_CLR_PARITY_PROTECTION                        _MK_MASK_CONST(0x1)
#define SCE_HSM_ERR_STATUS_CLR_0_GPIO_WERR_CLR_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define SCE_HSM_ERR_STATUS_CLR_0_RSTREQ_WERR_CLR_SHIFT                  _MK_SHIFT_CONST(0)
#define SCE_HSM_ERR_STATUS_CLR_0_RSTREQ_WERR_CLR_FIELD                  _MK_FIELD_CONST(0x1, SCE_HSM_ERR_STATUS_CLR_0_RSTREQ_WERR_CLR_SHIFT)
#define SCE_HSM_ERR_STATUS_CLR_0_RSTREQ_WERR_CLR_RANGE                  0:0
#define SCE_HSM_ERR_STATUS_CLR_0_RSTREQ_WERR_CLR_WOFFSET                        0x0
#define SCE_HSM_ERR_STATUS_CLR_0_RSTREQ_WERR_CLR_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_CLR_0_RSTREQ_WERR_CLR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SCE_HSM_ERR_STATUS_CLR_0_RSTREQ_WERR_CLR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_CLR_0_RSTREQ_WERR_CLR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_CLR_0_RSTREQ_WERR_CLR_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define SCE_HSM_ERR_STATUS_CLR_0_RSTREQ_WERR_CLR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register SCE_HSM_ERR_STATUS_SET_0
#define SCE_HSM_ERR_STATUS_SET_0                        _MK_ADDR_CONST(0xc)
#define SCE_HSM_ERR_STATUS_SET_0_SECURE                         0x0
#define SCE_HSM_ERR_STATUS_SET_0_DUAL                   0x0
#define SCE_HSM_ERR_STATUS_SET_0_SCR                    0
#define SCE_HSM_ERR_STATUS_SET_0_WORD_COUNT                     0x1
#define SCE_HSM_ERR_STATUS_SET_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_SET_0_RESET_MASK                     _MK_MASK_CONST(0x3)
#define SCE_HSM_ERR_STATUS_SET_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_SET_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_SET_0_READ_MASK                      _MK_MASK_CONST(0x3)
#define SCE_HSM_ERR_STATUS_SET_0_WRITE_MASK                     _MK_MASK_CONST(0x3)
#define SCE_HSM_ERR_STATUS_SET_0_GPIO_WERR_SET_SHIFT                    _MK_SHIFT_CONST(1)
#define SCE_HSM_ERR_STATUS_SET_0_GPIO_WERR_SET_FIELD                    _MK_FIELD_CONST(0x1, SCE_HSM_ERR_STATUS_SET_0_GPIO_WERR_SET_SHIFT)
#define SCE_HSM_ERR_STATUS_SET_0_GPIO_WERR_SET_RANGE                    1:1
#define SCE_HSM_ERR_STATUS_SET_0_GPIO_WERR_SET_WOFFSET                  0x0
#define SCE_HSM_ERR_STATUS_SET_0_GPIO_WERR_SET_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_SET_0_GPIO_WERR_SET_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SCE_HSM_ERR_STATUS_SET_0_GPIO_WERR_SET_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_SET_0_GPIO_WERR_SET_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_SET_0_GPIO_WERR_SET_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_SET_0_GPIO_WERR_SET_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define SCE_HSM_ERR_STATUS_SET_0_RSTREQ_WERR_SET_SHIFT                  _MK_SHIFT_CONST(0)
#define SCE_HSM_ERR_STATUS_SET_0_RSTREQ_WERR_SET_FIELD                  _MK_FIELD_CONST(0x1, SCE_HSM_ERR_STATUS_SET_0_RSTREQ_WERR_SET_SHIFT)
#define SCE_HSM_ERR_STATUS_SET_0_RSTREQ_WERR_SET_RANGE                  0:0
#define SCE_HSM_ERR_STATUS_SET_0_RSTREQ_WERR_SET_WOFFSET                        0x0
#define SCE_HSM_ERR_STATUS_SET_0_RSTREQ_WERR_SET_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_SET_0_RSTREQ_WERR_SET_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SCE_HSM_ERR_STATUS_SET_0_RSTREQ_WERR_SET_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_SET_0_RSTREQ_WERR_SET_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_SET_0_RSTREQ_WERR_SET_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCE_HSM_ERR_STATUS_SET_0_RSTREQ_WERR_SET_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register SCE_HSM_GPIO_STATUS_0
#define SCE_HSM_GPIO_STATUS_0                   _MK_ADDR_CONST(0x10)
#define SCE_HSM_GPIO_STATUS_0_SECURE                    0x0
#define SCE_HSM_GPIO_STATUS_0_DUAL                      0x0
#define SCE_HSM_GPIO_STATUS_0_SCR                       0
#define SCE_HSM_GPIO_STATUS_0_WORD_COUNT                        0x1
#define SCE_HSM_GPIO_STATUS_0_RESET_VAL                         _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_STATUS_0_RESET_MASK                        _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_STATUS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_STATUS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_STATUS_0_READ_MASK                         _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_STATUS_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_STATUS_0_GPIO_SHIFT                        _MK_SHIFT_CONST(0)
#define SCE_HSM_GPIO_STATUS_0_GPIO_FIELD                        _MK_FIELD_CONST(0x1, SCE_HSM_GPIO_STATUS_0_GPIO_SHIFT)
#define SCE_HSM_GPIO_STATUS_0_GPIO_RANGE                        0:0
#define SCE_HSM_GPIO_STATUS_0_GPIO_WOFFSET                      0x0
#define SCE_HSM_GPIO_STATUS_0_GPIO_DEFAULT                      _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_STATUS_0_GPIO_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_STATUS_0_GPIO_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_STATUS_0_GPIO_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_STATUS_0_GPIO_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_STATUS_0_GPIO_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_STATUS_0_GPIO__PROD                        _MK_ENUM_CONST(0)


// Register SCE_HSM_GPIO_CLR_0
#define SCE_HSM_GPIO_CLR_0                      _MK_ADDR_CONST(0x14)
#define SCE_HSM_GPIO_CLR_0_SECURE                       0x0
#define SCE_HSM_GPIO_CLR_0_DUAL                         0x0
#define SCE_HSM_GPIO_CLR_0_SCR                  0
#define SCE_HSM_GPIO_CLR_0_WORD_COUNT                   0x1
#define SCE_HSM_GPIO_CLR_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_CLR_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_CLR_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_CLR_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_CLR_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_CLR_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_CLR_0_DESCRAMBLE_SHIFT                     _MK_SHIFT_CONST(0)
#define SCE_HSM_GPIO_CLR_0_DESCRAMBLE_FIELD                     _MK_FIELD_CONST(0xffffffff, SCE_HSM_GPIO_CLR_0_DESCRAMBLE_SHIFT)
#define SCE_HSM_GPIO_CLR_0_DESCRAMBLE_RANGE                     31:0
#define SCE_HSM_GPIO_CLR_0_DESCRAMBLE_WOFFSET                   0x0
#define SCE_HSM_GPIO_CLR_0_DESCRAMBLE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_CLR_0_DESCRAMBLE_DEFAULT_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_CLR_0_DESCRAMBLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_CLR_0_DESCRAMBLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_CLR_0_DESCRAMBLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_CLR_0_DESCRAMBLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register SCE_HSM_GPIO_SET_0
#define SCE_HSM_GPIO_SET_0                      _MK_ADDR_CONST(0x18)
#define SCE_HSM_GPIO_SET_0_SECURE                       0x0
#define SCE_HSM_GPIO_SET_0_DUAL                         0x0
#define SCE_HSM_GPIO_SET_0_SCR                  0
#define SCE_HSM_GPIO_SET_0_WORD_COUNT                   0x1
#define SCE_HSM_GPIO_SET_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_SET_0_RESET_MASK                   _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_SET_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_SET_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_SET_0_READ_MASK                    _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_SET_0_WRITE_MASK                   _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_SET_0_GPIO_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_GPIO_SET_0_GPIO_FIELD                   _MK_FIELD_CONST(0x1, SCE_HSM_GPIO_SET_0_GPIO_SHIFT)
#define SCE_HSM_GPIO_SET_0_GPIO_RANGE                   0:0
#define SCE_HSM_GPIO_SET_0_GPIO_WOFFSET                 0x0
#define SCE_HSM_GPIO_SET_0_GPIO_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_SET_0_GPIO_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_SET_0_GPIO_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_SET_0_GPIO_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_SET_0_GPIO_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_SET_0_GPIO_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_GPIO_CLR_PULSE_WIDTH_0
#define SCE_HSM_GPIO_CLR_PULSE_WIDTH_0                  _MK_ADDR_CONST(0x1c)
#define SCE_HSM_GPIO_CLR_PULSE_WIDTH_0_SECURE                   0x0
#define SCE_HSM_GPIO_CLR_PULSE_WIDTH_0_DUAL                     0x0
#define SCE_HSM_GPIO_CLR_PULSE_WIDTH_0_SCR                      0
#define SCE_HSM_GPIO_CLR_PULSE_WIDTH_0_WORD_COUNT                       0x1
#define SCE_HSM_GPIO_CLR_PULSE_WIDTH_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_CLR_PULSE_WIDTH_0_RESET_MASK                       _MK_MASK_CONST(0xffff)
#define SCE_HSM_GPIO_CLR_PULSE_WIDTH_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_CLR_PULSE_WIDTH_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_CLR_PULSE_WIDTH_0_READ_MASK                        _MK_MASK_CONST(0xffff)
#define SCE_HSM_GPIO_CLR_PULSE_WIDTH_0_WRITE_MASK                       _MK_MASK_CONST(0xffff)
#define SCE_HSM_GPIO_CLR_PULSE_WIDTH_0_PULSE_WIDTH_SHIFT                        _MK_SHIFT_CONST(0)
#define SCE_HSM_GPIO_CLR_PULSE_WIDTH_0_PULSE_WIDTH_FIELD                        _MK_FIELD_CONST(0xffff, SCE_HSM_GPIO_CLR_PULSE_WIDTH_0_PULSE_WIDTH_SHIFT)
#define SCE_HSM_GPIO_CLR_PULSE_WIDTH_0_PULSE_WIDTH_RANGE                        15:0
#define SCE_HSM_GPIO_CLR_PULSE_WIDTH_0_PULSE_WIDTH_WOFFSET                      0x0
#define SCE_HSM_GPIO_CLR_PULSE_WIDTH_0_PULSE_WIDTH_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_CLR_PULSE_WIDTH_0_PULSE_WIDTH_DEFAULT_MASK                 _MK_MASK_CONST(0xffff)
#define SCE_HSM_GPIO_CLR_PULSE_WIDTH_0_PULSE_WIDTH_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_CLR_PULSE_WIDTH_0_PULSE_WIDTH_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_CLR_PULSE_WIDTH_0_PULSE_WIDTH_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_CLR_PULSE_WIDTH_0_PULSE_WIDTH_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register SCE_HSM_RSTREQ_0
#define SCE_HSM_RSTREQ_0                        _MK_ADDR_CONST(0x20)
#define SCE_HSM_RSTREQ_0_SECURE                         0x0
#define SCE_HSM_RSTREQ_0_DUAL                   0x0
#define SCE_HSM_RSTREQ_0_SCR                    0
#define SCE_HSM_RSTREQ_0_WORD_COUNT                     0x1
#define SCE_HSM_RSTREQ_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_RSTREQ_0_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RSTREQ_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_RSTREQ_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RSTREQ_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RSTREQ_0_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RSTREQ_0_DESCRAMBLE_SHIFT                       _MK_SHIFT_CONST(0)
#define SCE_HSM_RSTREQ_0_DESCRAMBLE_FIELD                       _MK_FIELD_CONST(0xffffffff, SCE_HSM_RSTREQ_0_DESCRAMBLE_SHIFT)
#define SCE_HSM_RSTREQ_0_DESCRAMBLE_RANGE                       31:0
#define SCE_HSM_RSTREQ_0_DESCRAMBLE_WOFFSET                     0x0
#define SCE_HSM_RSTREQ_0_DESCRAMBLE_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_RSTREQ_0_DESCRAMBLE_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RSTREQ_0_DESCRAMBLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_RSTREQ_0_DESCRAMBLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_RSTREQ_0_DESCRAMBLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCE_HSM_RSTREQ_0_DESCRAMBLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register SCE_HSM_SCRAMBLE_0
#define SCE_HSM_SCRAMBLE_0                      _MK_ADDR_CONST(0x24)
#define SCE_HSM_SCRAMBLE_0_SECURE                       0x0
#define SCE_HSM_SCRAMBLE_0_DUAL                         0x0
#define SCE_HSM_SCRAMBLE_0_SCR                  0
#define SCE_HSM_SCRAMBLE_0_WORD_COUNT                   0x1
#define SCE_HSM_SCRAMBLE_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_SCRAMBLE_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_SCRAMBLE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_SCRAMBLE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_SCRAMBLE_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_SCRAMBLE_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_SCRAMBLE_0_SCRAMBLE_SHIFT                       _MK_SHIFT_CONST(0)
#define SCE_HSM_SCRAMBLE_0_SCRAMBLE_FIELD                       _MK_FIELD_CONST(0xffffffff, SCE_HSM_SCRAMBLE_0_SCRAMBLE_SHIFT)
#define SCE_HSM_SCRAMBLE_0_SCRAMBLE_RANGE                       31:0
#define SCE_HSM_SCRAMBLE_0_SCRAMBLE_WOFFSET                     0x0
#define SCE_HSM_SCRAMBLE_0_SCRAMBLE_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_SCRAMBLE_0_SCRAMBLE_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_SCRAMBLE_0_SCRAMBLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_SCRAMBLE_0_SCRAMBLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_SCRAMBLE_0_SCRAMBLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define SCE_HSM_SCRAMBLE_0_SCRAMBLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register SCE_HSM_GPIO_OPERATION_0
#define SCE_HSM_GPIO_OPERATION_0                        _MK_ADDR_CONST(0x28)
#define SCE_HSM_GPIO_OPERATION_0_SECURE                         0x0
#define SCE_HSM_GPIO_OPERATION_0_DUAL                   0x0
#define SCE_HSM_GPIO_OPERATION_0_SCR                    0
#define SCE_HSM_GPIO_OPERATION_0_WORD_COUNT                     0x1
#define SCE_HSM_GPIO_OPERATION_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_OPERATION_0_RESET_MASK                     _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_OPERATION_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_OPERATION_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_OPERATION_0_READ_MASK                      _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_OPERATION_0_WRITE_MASK                     _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_OPERATION_0_MODE_SHIFT                     _MK_SHIFT_CONST(0)
#define SCE_HSM_GPIO_OPERATION_0_MODE_FIELD                     _MK_FIELD_CONST(0x1, SCE_HSM_GPIO_OPERATION_0_MODE_SHIFT)
#define SCE_HSM_GPIO_OPERATION_0_MODE_RANGE                     0:0
#define SCE_HSM_GPIO_OPERATION_0_MODE_WOFFSET                   0x0
#define SCE_HSM_GPIO_OPERATION_0_MODE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_OPERATION_0_MODE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_OPERATION_0_MODE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_OPERATION_0_MODE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_OPERATION_0_MODE_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_OPERATION_0_MODE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_OPERATION_0_MODE_STATIC                    _MK_ENUM_CONST(0)
#define SCE_HSM_GPIO_OPERATION_0_MODE_TOGGLE                    _MK_ENUM_CONST(1)


// Register SCE_HSM_GPIO_TOGGLE_0
#define SCE_HSM_GPIO_TOGGLE_0                   _MK_ADDR_CONST(0x2c)
#define SCE_HSM_GPIO_TOGGLE_0_SECURE                    0x0
#define SCE_HSM_GPIO_TOGGLE_0_DUAL                      0x0
#define SCE_HSM_GPIO_TOGGLE_0_SCR                       0
#define SCE_HSM_GPIO_TOGGLE_0_WORD_COUNT                        0x1
#define SCE_HSM_GPIO_TOGGLE_0_RESET_VAL                         _MK_MASK_CONST(0x4000)
#define SCE_HSM_GPIO_TOGGLE_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_TOGGLE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_TOGGLE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_TOGGLE_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_TOGGLE_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_TOGGLE_0_TIMER_VALUE_SHIFT                 _MK_SHIFT_CONST(0)
#define SCE_HSM_GPIO_TOGGLE_0_TIMER_VALUE_FIELD                 _MK_FIELD_CONST(0xffffffff, SCE_HSM_GPIO_TOGGLE_0_TIMER_VALUE_SHIFT)
#define SCE_HSM_GPIO_TOGGLE_0_TIMER_VALUE_RANGE                 31:0
#define SCE_HSM_GPIO_TOGGLE_0_TIMER_VALUE_WOFFSET                       0x0
#define SCE_HSM_GPIO_TOGGLE_0_TIMER_VALUE_DEFAULT                       _MK_MASK_CONST(0x4000)
#define SCE_HSM_GPIO_TOGGLE_0_TIMER_VALUE_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_TOGGLE_0_TIMER_VALUE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_TOGGLE_0_TIMER_VALUE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_TOGGLE_0_TIMER_VALUE_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_TOGGLE_0_TIMER_VALUE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register SCE_HSM_HSM_GPIO_OUT_STATUS_0
#define SCE_HSM_HSM_GPIO_OUT_STATUS_0                   _MK_ADDR_CONST(0x30)
#define SCE_HSM_HSM_GPIO_OUT_STATUS_0_SECURE                    0x0
#define SCE_HSM_HSM_GPIO_OUT_STATUS_0_DUAL                      0x0
#define SCE_HSM_HSM_GPIO_OUT_STATUS_0_SCR                       0
#define SCE_HSM_HSM_GPIO_OUT_STATUS_0_WORD_COUNT                        0x1
#define SCE_HSM_HSM_GPIO_OUT_STATUS_0_RESET_VAL                         _MK_MASK_CONST(0x1)
#define SCE_HSM_HSM_GPIO_OUT_STATUS_0_RESET_MASK                        _MK_MASK_CONST(0x1)
#define SCE_HSM_HSM_GPIO_OUT_STATUS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_HSM_GPIO_OUT_STATUS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_HSM_GPIO_OUT_STATUS_0_READ_MASK                         _MK_MASK_CONST(0x1)
#define SCE_HSM_HSM_GPIO_OUT_STATUS_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_HSM_GPIO_OUT_STATUS_0_GPIO_OUT_SHIFT                    _MK_SHIFT_CONST(0)
#define SCE_HSM_HSM_GPIO_OUT_STATUS_0_GPIO_OUT_FIELD                    _MK_FIELD_CONST(0x1, SCE_HSM_HSM_GPIO_OUT_STATUS_0_GPIO_OUT_SHIFT)
#define SCE_HSM_HSM_GPIO_OUT_STATUS_0_GPIO_OUT_RANGE                    0:0
#define SCE_HSM_HSM_GPIO_OUT_STATUS_0_GPIO_OUT_WOFFSET                  0x0
#define SCE_HSM_HSM_GPIO_OUT_STATUS_0_GPIO_OUT_DEFAULT                  _MK_MASK_CONST(0x1)
#define SCE_HSM_HSM_GPIO_OUT_STATUS_0_GPIO_OUT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SCE_HSM_HSM_GPIO_OUT_STATUS_0_GPIO_OUT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_HSM_GPIO_OUT_STATUS_0_GPIO_OUT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HSM_GPIO_OUT_STATUS_0_GPIO_OUT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_HSM_GPIO_OUT_STATUS_0_GPIO_OUT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register SCE_HSM_HP_INT_STATUS_0
#define SCE_HSM_HP_INT_STATUS_0                 _MK_ADDR_CONST(0x100)
#define SCE_HSM_HP_INT_STATUS_0_SECURE                  0x0
#define SCE_HSM_HP_INT_STATUS_0_DUAL                    0x0
#define SCE_HSM_HP_INT_STATUS_0_SCR                     0
#define SCE_HSM_HP_INT_STATUS_0_WORD_COUNT                      0x1
#define SCE_HSM_HP_INT_STATUS_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_0_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_0_STATUS_SHIFT                    _MK_SHIFT_CONST(0)
#define SCE_HSM_HP_INT_STATUS_0_STATUS_FIELD                    _MK_FIELD_CONST(0xffffffff, SCE_HSM_HP_INT_STATUS_0_STATUS_SHIFT)
#define SCE_HSM_HP_INT_STATUS_0_STATUS_RANGE                    31:0
#define SCE_HSM_HP_INT_STATUS_0_STATUS_WOFFSET                  0x0
#define SCE_HSM_HP_INT_STATUS_0_STATUS_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_0_STATUS_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_0_STATUS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_0_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_0_STATUS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_0_STATUS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register SCE_HSM_HP_INT_STATUS
#define SCE_HSM_HP_INT_STATUS                   _MK_ADDR_CONST(0x100)
#define SCE_HSM_HP_INT_STATUS_SECURE                    0x0
#define SCE_HSM_HP_INT_STATUS_DUAL                      0x0
#define SCE_HSM_HP_INT_STATUS_SCR                       0
#define SCE_HSM_HP_INT_STATUS_WORD_COUNT                        0x1
#define SCE_HSM_HP_INT_STATUS_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_STATUS_SHIFT                      _MK_SHIFT_CONST(0)
#define SCE_HSM_HP_INT_STATUS_STATUS_FIELD                      _MK_FIELD_CONST(0xffffffff, SCE_HSM_HP_INT_STATUS_STATUS_SHIFT)
#define SCE_HSM_HP_INT_STATUS_STATUS_RANGE                      31:0
#define SCE_HSM_HP_INT_STATUS_STATUS_WOFFSET                    0x0
#define SCE_HSM_HP_INT_STATUS_STATUS_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_STATUS_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_STATUS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_STATUS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_STATUS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_STATUS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register SCE_HSM_HP_INT_STATUS_1
#define SCE_HSM_HP_INT_STATUS_1                 _MK_ADDR_CONST(0x104)
#define SCE_HSM_HP_INT_STATUS_1_SECURE                  0x0
#define SCE_HSM_HP_INT_STATUS_1_DUAL                    0x0
#define SCE_HSM_HP_INT_STATUS_1_SCR                     0
#define SCE_HSM_HP_INT_STATUS_1_WORD_COUNT                      0x1
#define SCE_HSM_HP_INT_STATUS_1_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_1_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_1_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_1_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_1_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_1_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_1_STATUS_SHIFT                    _MK_SHIFT_CONST(0)
#define SCE_HSM_HP_INT_STATUS_1_STATUS_FIELD                    _MK_FIELD_CONST(0xffffffff, SCE_HSM_HP_INT_STATUS_1_STATUS_SHIFT)
#define SCE_HSM_HP_INT_STATUS_1_STATUS_RANGE                    31:0
#define SCE_HSM_HP_INT_STATUS_1_STATUS_WOFFSET                  0x0
#define SCE_HSM_HP_INT_STATUS_1_STATUS_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_1_STATUS_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_1_STATUS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_1_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_1_STATUS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_1_STATUS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register SCE_HSM_HP_INT_STATUS_2
#define SCE_HSM_HP_INT_STATUS_2                 _MK_ADDR_CONST(0x108)
#define SCE_HSM_HP_INT_STATUS_2_SECURE                  0x0
#define SCE_HSM_HP_INT_STATUS_2_DUAL                    0x0
#define SCE_HSM_HP_INT_STATUS_2_SCR                     0
#define SCE_HSM_HP_INT_STATUS_2_WORD_COUNT                      0x1
#define SCE_HSM_HP_INT_STATUS_2_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_2_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_2_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_2_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_2_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_2_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_2_STATUS_SHIFT                    _MK_SHIFT_CONST(0)
#define SCE_HSM_HP_INT_STATUS_2_STATUS_FIELD                    _MK_FIELD_CONST(0xffffffff, SCE_HSM_HP_INT_STATUS_2_STATUS_SHIFT)
#define SCE_HSM_HP_INT_STATUS_2_STATUS_RANGE                    31:0
#define SCE_HSM_HP_INT_STATUS_2_STATUS_WOFFSET                  0x0
#define SCE_HSM_HP_INT_STATUS_2_STATUS_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_2_STATUS_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_2_STATUS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_2_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_2_STATUS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_2_STATUS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register SCE_HSM_HP_INT_STATUS_3
#define SCE_HSM_HP_INT_STATUS_3                 _MK_ADDR_CONST(0x10c)
#define SCE_HSM_HP_INT_STATUS_3_SECURE                  0x0
#define SCE_HSM_HP_INT_STATUS_3_DUAL                    0x0
#define SCE_HSM_HP_INT_STATUS_3_SCR                     0
#define SCE_HSM_HP_INT_STATUS_3_WORD_COUNT                      0x1
#define SCE_HSM_HP_INT_STATUS_3_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_3_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_3_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_3_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_3_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_3_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_3_STATUS_SHIFT                    _MK_SHIFT_CONST(0)
#define SCE_HSM_HP_INT_STATUS_3_STATUS_FIELD                    _MK_FIELD_CONST(0xffffffff, SCE_HSM_HP_INT_STATUS_3_STATUS_SHIFT)
#define SCE_HSM_HP_INT_STATUS_3_STATUS_RANGE                    31:0
#define SCE_HSM_HP_INT_STATUS_3_STATUS_WOFFSET                  0x0
#define SCE_HSM_HP_INT_STATUS_3_STATUS_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_3_STATUS_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_3_STATUS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_3_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_3_STATUS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_3_STATUS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register SCE_HSM_HP_INT_STATUS_4
#define SCE_HSM_HP_INT_STATUS_4                 _MK_ADDR_CONST(0x110)
#define SCE_HSM_HP_INT_STATUS_4_SECURE                  0x0
#define SCE_HSM_HP_INT_STATUS_4_DUAL                    0x0
#define SCE_HSM_HP_INT_STATUS_4_SCR                     0
#define SCE_HSM_HP_INT_STATUS_4_WORD_COUNT                      0x1
#define SCE_HSM_HP_INT_STATUS_4_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_4_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_4_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_4_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_4_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_4_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_4_STATUS_SHIFT                    _MK_SHIFT_CONST(0)
#define SCE_HSM_HP_INT_STATUS_4_STATUS_FIELD                    _MK_FIELD_CONST(0xffffffff, SCE_HSM_HP_INT_STATUS_4_STATUS_SHIFT)
#define SCE_HSM_HP_INT_STATUS_4_STATUS_RANGE                    31:0
#define SCE_HSM_HP_INT_STATUS_4_STATUS_WOFFSET                  0x0
#define SCE_HSM_HP_INT_STATUS_4_STATUS_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_4_STATUS_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_4_STATUS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_4_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_4_STATUS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_4_STATUS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register SCE_HSM_HP_INT_STATUS_5
#define SCE_HSM_HP_INT_STATUS_5                 _MK_ADDR_CONST(0x114)
#define SCE_HSM_HP_INT_STATUS_5_SECURE                  0x0
#define SCE_HSM_HP_INT_STATUS_5_DUAL                    0x0
#define SCE_HSM_HP_INT_STATUS_5_SCR                     0
#define SCE_HSM_HP_INT_STATUS_5_WORD_COUNT                      0x1
#define SCE_HSM_HP_INT_STATUS_5_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_5_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_5_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_5_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_5_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_5_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_5_STATUS_SHIFT                    _MK_SHIFT_CONST(0)
#define SCE_HSM_HP_INT_STATUS_5_STATUS_FIELD                    _MK_FIELD_CONST(0xffffffff, SCE_HSM_HP_INT_STATUS_5_STATUS_SHIFT)
#define SCE_HSM_HP_INT_STATUS_5_STATUS_RANGE                    31:0
#define SCE_HSM_HP_INT_STATUS_5_STATUS_WOFFSET                  0x0
#define SCE_HSM_HP_INT_STATUS_5_STATUS_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_5_STATUS_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_5_STATUS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_5_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_5_STATUS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_5_STATUS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register SCE_HSM_HP_INT_STATUS_6
#define SCE_HSM_HP_INT_STATUS_6                 _MK_ADDR_CONST(0x118)
#define SCE_HSM_HP_INT_STATUS_6_SECURE                  0x0
#define SCE_HSM_HP_INT_STATUS_6_DUAL                    0x0
#define SCE_HSM_HP_INT_STATUS_6_SCR                     0
#define SCE_HSM_HP_INT_STATUS_6_WORD_COUNT                      0x1
#define SCE_HSM_HP_INT_STATUS_6_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_6_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_6_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_6_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_6_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_6_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_6_STATUS_SHIFT                    _MK_SHIFT_CONST(0)
#define SCE_HSM_HP_INT_STATUS_6_STATUS_FIELD                    _MK_FIELD_CONST(0xffffffff, SCE_HSM_HP_INT_STATUS_6_STATUS_SHIFT)
#define SCE_HSM_HP_INT_STATUS_6_STATUS_RANGE                    31:0
#define SCE_HSM_HP_INT_STATUS_6_STATUS_WOFFSET                  0x0
#define SCE_HSM_HP_INT_STATUS_6_STATUS_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_6_STATUS_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_6_STATUS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_6_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_6_STATUS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_6_STATUS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register SCE_HSM_HP_INT_STATUS_7
#define SCE_HSM_HP_INT_STATUS_7                 _MK_ADDR_CONST(0x11c)
#define SCE_HSM_HP_INT_STATUS_7_SECURE                  0x0
#define SCE_HSM_HP_INT_STATUS_7_DUAL                    0x0
#define SCE_HSM_HP_INT_STATUS_7_SCR                     0
#define SCE_HSM_HP_INT_STATUS_7_WORD_COUNT                      0x1
#define SCE_HSM_HP_INT_STATUS_7_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_7_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_7_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_7_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_7_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_7_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_7_STATUS_SHIFT                    _MK_SHIFT_CONST(0)
#define SCE_HSM_HP_INT_STATUS_7_STATUS_FIELD                    _MK_FIELD_CONST(0xffffffff, SCE_HSM_HP_INT_STATUS_7_STATUS_SHIFT)
#define SCE_HSM_HP_INT_STATUS_7_STATUS_RANGE                    31:0
#define SCE_HSM_HP_INT_STATUS_7_STATUS_WOFFSET                  0x0
#define SCE_HSM_HP_INT_STATUS_7_STATUS_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_7_STATUS_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_7_STATUS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_7_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_7_STATUS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_7_STATUS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register SCE_HSM_HP_INT_STATUS_8
#define SCE_HSM_HP_INT_STATUS_8                 _MK_ADDR_CONST(0x120)
#define SCE_HSM_HP_INT_STATUS_8_SECURE                  0x0
#define SCE_HSM_HP_INT_STATUS_8_DUAL                    0x0
#define SCE_HSM_HP_INT_STATUS_8_SCR                     0
#define SCE_HSM_HP_INT_STATUS_8_WORD_COUNT                      0x1
#define SCE_HSM_HP_INT_STATUS_8_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_8_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_8_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_8_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_8_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_8_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_8_STATUS_SHIFT                    _MK_SHIFT_CONST(0)
#define SCE_HSM_HP_INT_STATUS_8_STATUS_FIELD                    _MK_FIELD_CONST(0xffffffff, SCE_HSM_HP_INT_STATUS_8_STATUS_SHIFT)
#define SCE_HSM_HP_INT_STATUS_8_STATUS_RANGE                    31:0
#define SCE_HSM_HP_INT_STATUS_8_STATUS_WOFFSET                  0x0
#define SCE_HSM_HP_INT_STATUS_8_STATUS_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_8_STATUS_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_8_STATUS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_8_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_8_STATUS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_8_STATUS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register SCE_HSM_HP_INT_STATUS_9
#define SCE_HSM_HP_INT_STATUS_9                 _MK_ADDR_CONST(0x124)
#define SCE_HSM_HP_INT_STATUS_9_SECURE                  0x0
#define SCE_HSM_HP_INT_STATUS_9_DUAL                    0x0
#define SCE_HSM_HP_INT_STATUS_9_SCR                     0
#define SCE_HSM_HP_INT_STATUS_9_WORD_COUNT                      0x1
#define SCE_HSM_HP_INT_STATUS_9_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_9_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_9_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_9_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_9_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_9_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_9_STATUS_SHIFT                    _MK_SHIFT_CONST(0)
#define SCE_HSM_HP_INT_STATUS_9_STATUS_FIELD                    _MK_FIELD_CONST(0xffffffff, SCE_HSM_HP_INT_STATUS_9_STATUS_SHIFT)
#define SCE_HSM_HP_INT_STATUS_9_STATUS_RANGE                    31:0
#define SCE_HSM_HP_INT_STATUS_9_STATUS_WOFFSET                  0x0
#define SCE_HSM_HP_INT_STATUS_9_STATUS_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_9_STATUS_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_9_STATUS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_9_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_9_STATUS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_9_STATUS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register SCE_HSM_HP_INT_STATUS_10
#define SCE_HSM_HP_INT_STATUS_10                        _MK_ADDR_CONST(0x128)
#define SCE_HSM_HP_INT_STATUS_10_SECURE                         0x0
#define SCE_HSM_HP_INT_STATUS_10_DUAL                   0x0
#define SCE_HSM_HP_INT_STATUS_10_SCR                    0
#define SCE_HSM_HP_INT_STATUS_10_WORD_COUNT                     0x1
#define SCE_HSM_HP_INT_STATUS_10_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_10_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_10_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_10_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_10_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_10_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_10_STATUS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_HP_INT_STATUS_10_STATUS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_HP_INT_STATUS_10_STATUS_SHIFT)
#define SCE_HSM_HP_INT_STATUS_10_STATUS_RANGE                   31:0
#define SCE_HSM_HP_INT_STATUS_10_STATUS_WOFFSET                 0x0
#define SCE_HSM_HP_INT_STATUS_10_STATUS_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_10_STATUS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_10_STATUS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_10_STATUS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_10_STATUS_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_10_STATUS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_HP_INT_STATUS_11
#define SCE_HSM_HP_INT_STATUS_11                        _MK_ADDR_CONST(0x12c)
#define SCE_HSM_HP_INT_STATUS_11_SECURE                         0x0
#define SCE_HSM_HP_INT_STATUS_11_DUAL                   0x0
#define SCE_HSM_HP_INT_STATUS_11_SCR                    0
#define SCE_HSM_HP_INT_STATUS_11_WORD_COUNT                     0x1
#define SCE_HSM_HP_INT_STATUS_11_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_11_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_11_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_11_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_11_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_11_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_11_STATUS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_HP_INT_STATUS_11_STATUS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_HP_INT_STATUS_11_STATUS_SHIFT)
#define SCE_HSM_HP_INT_STATUS_11_STATUS_RANGE                   31:0
#define SCE_HSM_HP_INT_STATUS_11_STATUS_WOFFSET                 0x0
#define SCE_HSM_HP_INT_STATUS_11_STATUS_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_11_STATUS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_11_STATUS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_11_STATUS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_11_STATUS_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_11_STATUS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_HP_INT_STATUS_12
#define SCE_HSM_HP_INT_STATUS_12                        _MK_ADDR_CONST(0x130)
#define SCE_HSM_HP_INT_STATUS_12_SECURE                         0x0
#define SCE_HSM_HP_INT_STATUS_12_DUAL                   0x0
#define SCE_HSM_HP_INT_STATUS_12_SCR                    0
#define SCE_HSM_HP_INT_STATUS_12_WORD_COUNT                     0x1
#define SCE_HSM_HP_INT_STATUS_12_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_12_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_12_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_12_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_12_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_12_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_12_STATUS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_HP_INT_STATUS_12_STATUS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_HP_INT_STATUS_12_STATUS_SHIFT)
#define SCE_HSM_HP_INT_STATUS_12_STATUS_RANGE                   31:0
#define SCE_HSM_HP_INT_STATUS_12_STATUS_WOFFSET                 0x0
#define SCE_HSM_HP_INT_STATUS_12_STATUS_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_12_STATUS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_12_STATUS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_12_STATUS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_12_STATUS_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_12_STATUS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_HP_INT_STATUS_13
#define SCE_HSM_HP_INT_STATUS_13                        _MK_ADDR_CONST(0x134)
#define SCE_HSM_HP_INT_STATUS_13_SECURE                         0x0
#define SCE_HSM_HP_INT_STATUS_13_DUAL                   0x0
#define SCE_HSM_HP_INT_STATUS_13_SCR                    0
#define SCE_HSM_HP_INT_STATUS_13_WORD_COUNT                     0x1
#define SCE_HSM_HP_INT_STATUS_13_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_13_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_13_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_13_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_13_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_13_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_13_STATUS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_HP_INT_STATUS_13_STATUS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_HP_INT_STATUS_13_STATUS_SHIFT)
#define SCE_HSM_HP_INT_STATUS_13_STATUS_RANGE                   31:0
#define SCE_HSM_HP_INT_STATUS_13_STATUS_WOFFSET                 0x0
#define SCE_HSM_HP_INT_STATUS_13_STATUS_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_13_STATUS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_13_STATUS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_13_STATUS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_13_STATUS_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_13_STATUS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_HP_INT_STATUS_14
#define SCE_HSM_HP_INT_STATUS_14                        _MK_ADDR_CONST(0x138)
#define SCE_HSM_HP_INT_STATUS_14_SECURE                         0x0
#define SCE_HSM_HP_INT_STATUS_14_DUAL                   0x0
#define SCE_HSM_HP_INT_STATUS_14_SCR                    0
#define SCE_HSM_HP_INT_STATUS_14_WORD_COUNT                     0x1
#define SCE_HSM_HP_INT_STATUS_14_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_14_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_14_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_14_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_14_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_14_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_14_STATUS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_HP_INT_STATUS_14_STATUS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_HP_INT_STATUS_14_STATUS_SHIFT)
#define SCE_HSM_HP_INT_STATUS_14_STATUS_RANGE                   31:0
#define SCE_HSM_HP_INT_STATUS_14_STATUS_WOFFSET                 0x0
#define SCE_HSM_HP_INT_STATUS_14_STATUS_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_14_STATUS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_14_STATUS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_14_STATUS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_14_STATUS_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_14_STATUS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_HP_INT_STATUS_15
#define SCE_HSM_HP_INT_STATUS_15                        _MK_ADDR_CONST(0x13c)
#define SCE_HSM_HP_INT_STATUS_15_SECURE                         0x0
#define SCE_HSM_HP_INT_STATUS_15_DUAL                   0x0
#define SCE_HSM_HP_INT_STATUS_15_SCR                    0
#define SCE_HSM_HP_INT_STATUS_15_WORD_COUNT                     0x1
#define SCE_HSM_HP_INT_STATUS_15_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_15_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_15_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_15_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_15_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_15_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_15_STATUS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_HP_INT_STATUS_15_STATUS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_HP_INT_STATUS_15_STATUS_SHIFT)
#define SCE_HSM_HP_INT_STATUS_15_STATUS_RANGE                   31:0
#define SCE_HSM_HP_INT_STATUS_15_STATUS_WOFFSET                 0x0
#define SCE_HSM_HP_INT_STATUS_15_STATUS_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_15_STATUS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_HP_INT_STATUS_15_STATUS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_15_STATUS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_15_STATUS_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_HP_INT_STATUS_15_STATUS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_LP_INT_STATUS_0
#define SCE_HSM_LP_INT_STATUS_0                 _MK_ADDR_CONST(0x140)
#define SCE_HSM_LP_INT_STATUS_0_SECURE                  0x0
#define SCE_HSM_LP_INT_STATUS_0_DUAL                    0x0
#define SCE_HSM_LP_INT_STATUS_0_SCR                     0
#define SCE_HSM_LP_INT_STATUS_0_WORD_COUNT                      0x1
#define SCE_HSM_LP_INT_STATUS_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_0_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_0_STATUS_SHIFT                    _MK_SHIFT_CONST(0)
#define SCE_HSM_LP_INT_STATUS_0_STATUS_FIELD                    _MK_FIELD_CONST(0xffffffff, SCE_HSM_LP_INT_STATUS_0_STATUS_SHIFT)
#define SCE_HSM_LP_INT_STATUS_0_STATUS_RANGE                    31:0
#define SCE_HSM_LP_INT_STATUS_0_STATUS_WOFFSET                  0x0
#define SCE_HSM_LP_INT_STATUS_0_STATUS_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_0_STATUS_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_0_STATUS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_0_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_0_STATUS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_0_STATUS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register SCE_HSM_LP_INT_STATUS
#define SCE_HSM_LP_INT_STATUS                   _MK_ADDR_CONST(0x140)
#define SCE_HSM_LP_INT_STATUS_SECURE                    0x0
#define SCE_HSM_LP_INT_STATUS_DUAL                      0x0
#define SCE_HSM_LP_INT_STATUS_SCR                       0
#define SCE_HSM_LP_INT_STATUS_WORD_COUNT                        0x1
#define SCE_HSM_LP_INT_STATUS_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_STATUS_SHIFT                      _MK_SHIFT_CONST(0)
#define SCE_HSM_LP_INT_STATUS_STATUS_FIELD                      _MK_FIELD_CONST(0xffffffff, SCE_HSM_LP_INT_STATUS_STATUS_SHIFT)
#define SCE_HSM_LP_INT_STATUS_STATUS_RANGE                      31:0
#define SCE_HSM_LP_INT_STATUS_STATUS_WOFFSET                    0x0
#define SCE_HSM_LP_INT_STATUS_STATUS_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_STATUS_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_STATUS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_STATUS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_STATUS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_STATUS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register SCE_HSM_LP_INT_STATUS_1
#define SCE_HSM_LP_INT_STATUS_1                 _MK_ADDR_CONST(0x144)
#define SCE_HSM_LP_INT_STATUS_1_SECURE                  0x0
#define SCE_HSM_LP_INT_STATUS_1_DUAL                    0x0
#define SCE_HSM_LP_INT_STATUS_1_SCR                     0
#define SCE_HSM_LP_INT_STATUS_1_WORD_COUNT                      0x1
#define SCE_HSM_LP_INT_STATUS_1_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_1_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_1_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_1_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_1_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_1_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_1_STATUS_SHIFT                    _MK_SHIFT_CONST(0)
#define SCE_HSM_LP_INT_STATUS_1_STATUS_FIELD                    _MK_FIELD_CONST(0xffffffff, SCE_HSM_LP_INT_STATUS_1_STATUS_SHIFT)
#define SCE_HSM_LP_INT_STATUS_1_STATUS_RANGE                    31:0
#define SCE_HSM_LP_INT_STATUS_1_STATUS_WOFFSET                  0x0
#define SCE_HSM_LP_INT_STATUS_1_STATUS_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_1_STATUS_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_1_STATUS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_1_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_1_STATUS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_1_STATUS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register SCE_HSM_LP_INT_STATUS_2
#define SCE_HSM_LP_INT_STATUS_2                 _MK_ADDR_CONST(0x148)
#define SCE_HSM_LP_INT_STATUS_2_SECURE                  0x0
#define SCE_HSM_LP_INT_STATUS_2_DUAL                    0x0
#define SCE_HSM_LP_INT_STATUS_2_SCR                     0
#define SCE_HSM_LP_INT_STATUS_2_WORD_COUNT                      0x1
#define SCE_HSM_LP_INT_STATUS_2_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_2_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_2_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_2_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_2_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_2_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_2_STATUS_SHIFT                    _MK_SHIFT_CONST(0)
#define SCE_HSM_LP_INT_STATUS_2_STATUS_FIELD                    _MK_FIELD_CONST(0xffffffff, SCE_HSM_LP_INT_STATUS_2_STATUS_SHIFT)
#define SCE_HSM_LP_INT_STATUS_2_STATUS_RANGE                    31:0
#define SCE_HSM_LP_INT_STATUS_2_STATUS_WOFFSET                  0x0
#define SCE_HSM_LP_INT_STATUS_2_STATUS_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_2_STATUS_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_2_STATUS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_2_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_2_STATUS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_2_STATUS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register SCE_HSM_LP_INT_STATUS_3
#define SCE_HSM_LP_INT_STATUS_3                 _MK_ADDR_CONST(0x14c)
#define SCE_HSM_LP_INT_STATUS_3_SECURE                  0x0
#define SCE_HSM_LP_INT_STATUS_3_DUAL                    0x0
#define SCE_HSM_LP_INT_STATUS_3_SCR                     0
#define SCE_HSM_LP_INT_STATUS_3_WORD_COUNT                      0x1
#define SCE_HSM_LP_INT_STATUS_3_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_3_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_3_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_3_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_3_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_3_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_3_STATUS_SHIFT                    _MK_SHIFT_CONST(0)
#define SCE_HSM_LP_INT_STATUS_3_STATUS_FIELD                    _MK_FIELD_CONST(0xffffffff, SCE_HSM_LP_INT_STATUS_3_STATUS_SHIFT)
#define SCE_HSM_LP_INT_STATUS_3_STATUS_RANGE                    31:0
#define SCE_HSM_LP_INT_STATUS_3_STATUS_WOFFSET                  0x0
#define SCE_HSM_LP_INT_STATUS_3_STATUS_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_3_STATUS_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_3_STATUS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_3_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_3_STATUS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_3_STATUS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register SCE_HSM_LP_INT_STATUS_4
#define SCE_HSM_LP_INT_STATUS_4                 _MK_ADDR_CONST(0x150)
#define SCE_HSM_LP_INT_STATUS_4_SECURE                  0x0
#define SCE_HSM_LP_INT_STATUS_4_DUAL                    0x0
#define SCE_HSM_LP_INT_STATUS_4_SCR                     0
#define SCE_HSM_LP_INT_STATUS_4_WORD_COUNT                      0x1
#define SCE_HSM_LP_INT_STATUS_4_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_4_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_4_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_4_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_4_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_4_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_4_STATUS_SHIFT                    _MK_SHIFT_CONST(0)
#define SCE_HSM_LP_INT_STATUS_4_STATUS_FIELD                    _MK_FIELD_CONST(0xffffffff, SCE_HSM_LP_INT_STATUS_4_STATUS_SHIFT)
#define SCE_HSM_LP_INT_STATUS_4_STATUS_RANGE                    31:0
#define SCE_HSM_LP_INT_STATUS_4_STATUS_WOFFSET                  0x0
#define SCE_HSM_LP_INT_STATUS_4_STATUS_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_4_STATUS_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_4_STATUS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_4_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_4_STATUS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_4_STATUS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register SCE_HSM_LP_INT_STATUS_5
#define SCE_HSM_LP_INT_STATUS_5                 _MK_ADDR_CONST(0x154)
#define SCE_HSM_LP_INT_STATUS_5_SECURE                  0x0
#define SCE_HSM_LP_INT_STATUS_5_DUAL                    0x0
#define SCE_HSM_LP_INT_STATUS_5_SCR                     0
#define SCE_HSM_LP_INT_STATUS_5_WORD_COUNT                      0x1
#define SCE_HSM_LP_INT_STATUS_5_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_5_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_5_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_5_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_5_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_5_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_5_STATUS_SHIFT                    _MK_SHIFT_CONST(0)
#define SCE_HSM_LP_INT_STATUS_5_STATUS_FIELD                    _MK_FIELD_CONST(0xffffffff, SCE_HSM_LP_INT_STATUS_5_STATUS_SHIFT)
#define SCE_HSM_LP_INT_STATUS_5_STATUS_RANGE                    31:0
#define SCE_HSM_LP_INT_STATUS_5_STATUS_WOFFSET                  0x0
#define SCE_HSM_LP_INT_STATUS_5_STATUS_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_5_STATUS_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_5_STATUS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_5_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_5_STATUS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_5_STATUS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register SCE_HSM_LP_INT_STATUS_6
#define SCE_HSM_LP_INT_STATUS_6                 _MK_ADDR_CONST(0x158)
#define SCE_HSM_LP_INT_STATUS_6_SECURE                  0x0
#define SCE_HSM_LP_INT_STATUS_6_DUAL                    0x0
#define SCE_HSM_LP_INT_STATUS_6_SCR                     0
#define SCE_HSM_LP_INT_STATUS_6_WORD_COUNT                      0x1
#define SCE_HSM_LP_INT_STATUS_6_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_6_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_6_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_6_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_6_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_6_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_6_STATUS_SHIFT                    _MK_SHIFT_CONST(0)
#define SCE_HSM_LP_INT_STATUS_6_STATUS_FIELD                    _MK_FIELD_CONST(0xffffffff, SCE_HSM_LP_INT_STATUS_6_STATUS_SHIFT)
#define SCE_HSM_LP_INT_STATUS_6_STATUS_RANGE                    31:0
#define SCE_HSM_LP_INT_STATUS_6_STATUS_WOFFSET                  0x0
#define SCE_HSM_LP_INT_STATUS_6_STATUS_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_6_STATUS_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_6_STATUS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_6_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_6_STATUS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_6_STATUS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register SCE_HSM_LP_INT_STATUS_7
#define SCE_HSM_LP_INT_STATUS_7                 _MK_ADDR_CONST(0x15c)
#define SCE_HSM_LP_INT_STATUS_7_SECURE                  0x0
#define SCE_HSM_LP_INT_STATUS_7_DUAL                    0x0
#define SCE_HSM_LP_INT_STATUS_7_SCR                     0
#define SCE_HSM_LP_INT_STATUS_7_WORD_COUNT                      0x1
#define SCE_HSM_LP_INT_STATUS_7_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_7_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_7_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_7_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_7_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_7_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_7_STATUS_SHIFT                    _MK_SHIFT_CONST(0)
#define SCE_HSM_LP_INT_STATUS_7_STATUS_FIELD                    _MK_FIELD_CONST(0xffffffff, SCE_HSM_LP_INT_STATUS_7_STATUS_SHIFT)
#define SCE_HSM_LP_INT_STATUS_7_STATUS_RANGE                    31:0
#define SCE_HSM_LP_INT_STATUS_7_STATUS_WOFFSET                  0x0
#define SCE_HSM_LP_INT_STATUS_7_STATUS_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_7_STATUS_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_7_STATUS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_7_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_7_STATUS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_7_STATUS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register SCE_HSM_LP_INT_STATUS_8
#define SCE_HSM_LP_INT_STATUS_8                 _MK_ADDR_CONST(0x160)
#define SCE_HSM_LP_INT_STATUS_8_SECURE                  0x0
#define SCE_HSM_LP_INT_STATUS_8_DUAL                    0x0
#define SCE_HSM_LP_INT_STATUS_8_SCR                     0
#define SCE_HSM_LP_INT_STATUS_8_WORD_COUNT                      0x1
#define SCE_HSM_LP_INT_STATUS_8_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_8_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_8_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_8_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_8_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_8_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_8_STATUS_SHIFT                    _MK_SHIFT_CONST(0)
#define SCE_HSM_LP_INT_STATUS_8_STATUS_FIELD                    _MK_FIELD_CONST(0xffffffff, SCE_HSM_LP_INT_STATUS_8_STATUS_SHIFT)
#define SCE_HSM_LP_INT_STATUS_8_STATUS_RANGE                    31:0
#define SCE_HSM_LP_INT_STATUS_8_STATUS_WOFFSET                  0x0
#define SCE_HSM_LP_INT_STATUS_8_STATUS_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_8_STATUS_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_8_STATUS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_8_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_8_STATUS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_8_STATUS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register SCE_HSM_LP_INT_STATUS_9
#define SCE_HSM_LP_INT_STATUS_9                 _MK_ADDR_CONST(0x164)
#define SCE_HSM_LP_INT_STATUS_9_SECURE                  0x0
#define SCE_HSM_LP_INT_STATUS_9_DUAL                    0x0
#define SCE_HSM_LP_INT_STATUS_9_SCR                     0
#define SCE_HSM_LP_INT_STATUS_9_WORD_COUNT                      0x1
#define SCE_HSM_LP_INT_STATUS_9_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_9_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_9_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_9_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_9_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_9_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_9_STATUS_SHIFT                    _MK_SHIFT_CONST(0)
#define SCE_HSM_LP_INT_STATUS_9_STATUS_FIELD                    _MK_FIELD_CONST(0xffffffff, SCE_HSM_LP_INT_STATUS_9_STATUS_SHIFT)
#define SCE_HSM_LP_INT_STATUS_9_STATUS_RANGE                    31:0
#define SCE_HSM_LP_INT_STATUS_9_STATUS_WOFFSET                  0x0
#define SCE_HSM_LP_INT_STATUS_9_STATUS_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_9_STATUS_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_9_STATUS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_9_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_9_STATUS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_9_STATUS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register SCE_HSM_LP_INT_STATUS_10
#define SCE_HSM_LP_INT_STATUS_10                        _MK_ADDR_CONST(0x168)
#define SCE_HSM_LP_INT_STATUS_10_SECURE                         0x0
#define SCE_HSM_LP_INT_STATUS_10_DUAL                   0x0
#define SCE_HSM_LP_INT_STATUS_10_SCR                    0
#define SCE_HSM_LP_INT_STATUS_10_WORD_COUNT                     0x1
#define SCE_HSM_LP_INT_STATUS_10_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_10_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_10_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_10_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_10_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_10_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_10_STATUS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_LP_INT_STATUS_10_STATUS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_LP_INT_STATUS_10_STATUS_SHIFT)
#define SCE_HSM_LP_INT_STATUS_10_STATUS_RANGE                   31:0
#define SCE_HSM_LP_INT_STATUS_10_STATUS_WOFFSET                 0x0
#define SCE_HSM_LP_INT_STATUS_10_STATUS_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_10_STATUS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_10_STATUS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_10_STATUS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_10_STATUS_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_10_STATUS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_LP_INT_STATUS_11
#define SCE_HSM_LP_INT_STATUS_11                        _MK_ADDR_CONST(0x16c)
#define SCE_HSM_LP_INT_STATUS_11_SECURE                         0x0
#define SCE_HSM_LP_INT_STATUS_11_DUAL                   0x0
#define SCE_HSM_LP_INT_STATUS_11_SCR                    0
#define SCE_HSM_LP_INT_STATUS_11_WORD_COUNT                     0x1
#define SCE_HSM_LP_INT_STATUS_11_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_11_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_11_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_11_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_11_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_11_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_11_STATUS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_LP_INT_STATUS_11_STATUS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_LP_INT_STATUS_11_STATUS_SHIFT)
#define SCE_HSM_LP_INT_STATUS_11_STATUS_RANGE                   31:0
#define SCE_HSM_LP_INT_STATUS_11_STATUS_WOFFSET                 0x0
#define SCE_HSM_LP_INT_STATUS_11_STATUS_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_11_STATUS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_11_STATUS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_11_STATUS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_11_STATUS_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_11_STATUS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_LP_INT_STATUS_12
#define SCE_HSM_LP_INT_STATUS_12                        _MK_ADDR_CONST(0x170)
#define SCE_HSM_LP_INT_STATUS_12_SECURE                         0x0
#define SCE_HSM_LP_INT_STATUS_12_DUAL                   0x0
#define SCE_HSM_LP_INT_STATUS_12_SCR                    0
#define SCE_HSM_LP_INT_STATUS_12_WORD_COUNT                     0x1
#define SCE_HSM_LP_INT_STATUS_12_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_12_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_12_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_12_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_12_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_12_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_12_STATUS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_LP_INT_STATUS_12_STATUS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_LP_INT_STATUS_12_STATUS_SHIFT)
#define SCE_HSM_LP_INT_STATUS_12_STATUS_RANGE                   31:0
#define SCE_HSM_LP_INT_STATUS_12_STATUS_WOFFSET                 0x0
#define SCE_HSM_LP_INT_STATUS_12_STATUS_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_12_STATUS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_12_STATUS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_12_STATUS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_12_STATUS_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_12_STATUS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_LP_INT_STATUS_13
#define SCE_HSM_LP_INT_STATUS_13                        _MK_ADDR_CONST(0x174)
#define SCE_HSM_LP_INT_STATUS_13_SECURE                         0x0
#define SCE_HSM_LP_INT_STATUS_13_DUAL                   0x0
#define SCE_HSM_LP_INT_STATUS_13_SCR                    0
#define SCE_HSM_LP_INT_STATUS_13_WORD_COUNT                     0x1
#define SCE_HSM_LP_INT_STATUS_13_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_13_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_13_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_13_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_13_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_13_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_13_STATUS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_LP_INT_STATUS_13_STATUS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_LP_INT_STATUS_13_STATUS_SHIFT)
#define SCE_HSM_LP_INT_STATUS_13_STATUS_RANGE                   31:0
#define SCE_HSM_LP_INT_STATUS_13_STATUS_WOFFSET                 0x0
#define SCE_HSM_LP_INT_STATUS_13_STATUS_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_13_STATUS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_13_STATUS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_13_STATUS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_13_STATUS_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_13_STATUS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_LP_INT_STATUS_14
#define SCE_HSM_LP_INT_STATUS_14                        _MK_ADDR_CONST(0x178)
#define SCE_HSM_LP_INT_STATUS_14_SECURE                         0x0
#define SCE_HSM_LP_INT_STATUS_14_DUAL                   0x0
#define SCE_HSM_LP_INT_STATUS_14_SCR                    0
#define SCE_HSM_LP_INT_STATUS_14_WORD_COUNT                     0x1
#define SCE_HSM_LP_INT_STATUS_14_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_14_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_14_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_14_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_14_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_14_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_14_STATUS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_LP_INT_STATUS_14_STATUS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_LP_INT_STATUS_14_STATUS_SHIFT)
#define SCE_HSM_LP_INT_STATUS_14_STATUS_RANGE                   31:0
#define SCE_HSM_LP_INT_STATUS_14_STATUS_WOFFSET                 0x0
#define SCE_HSM_LP_INT_STATUS_14_STATUS_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_14_STATUS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_14_STATUS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_14_STATUS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_14_STATUS_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_14_STATUS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_LP_INT_STATUS_15
#define SCE_HSM_LP_INT_STATUS_15                        _MK_ADDR_CONST(0x17c)
#define SCE_HSM_LP_INT_STATUS_15_SECURE                         0x0
#define SCE_HSM_LP_INT_STATUS_15_DUAL                   0x0
#define SCE_HSM_LP_INT_STATUS_15_SCR                    0
#define SCE_HSM_LP_INT_STATUS_15_WORD_COUNT                     0x1
#define SCE_HSM_LP_INT_STATUS_15_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_15_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_15_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_15_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_15_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_15_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_15_STATUS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_LP_INT_STATUS_15_STATUS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_LP_INT_STATUS_15_STATUS_SHIFT)
#define SCE_HSM_LP_INT_STATUS_15_STATUS_RANGE                   31:0
#define SCE_HSM_LP_INT_STATUS_15_STATUS_WOFFSET                 0x0
#define SCE_HSM_LP_INT_STATUS_15_STATUS_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_15_STATUS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_LP_INT_STATUS_15_STATUS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_15_STATUS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_15_STATUS_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_LP_INT_STATUS_15_STATUS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_RAW_INT_STATUS_0
#define SCE_HSM_RAW_INT_STATUS_0                        _MK_ADDR_CONST(0x180)
#define SCE_HSM_RAW_INT_STATUS_0_SECURE                         0x0
#define SCE_HSM_RAW_INT_STATUS_0_DUAL                   0x0
#define SCE_HSM_RAW_INT_STATUS_0_SCR                    0
#define SCE_HSM_RAW_INT_STATUS_0_WORD_COUNT                     0x1
#define SCE_HSM_RAW_INT_STATUS_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_0_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_0_STATUS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_RAW_INT_STATUS_0_STATUS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_RAW_INT_STATUS_0_STATUS_SHIFT)
#define SCE_HSM_RAW_INT_STATUS_0_STATUS_RANGE                   31:0
#define SCE_HSM_RAW_INT_STATUS_0_STATUS_WOFFSET                 0x0
#define SCE_HSM_RAW_INT_STATUS_0_STATUS_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_0_STATUS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_0_STATUS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_0_STATUS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_0_STATUS_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_0_STATUS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_RAW_INT_STATUS
#define SCE_HSM_RAW_INT_STATUS                  _MK_ADDR_CONST(0x180)
#define SCE_HSM_RAW_INT_STATUS_SECURE                   0x0
#define SCE_HSM_RAW_INT_STATUS_DUAL                     0x0
#define SCE_HSM_RAW_INT_STATUS_SCR                      0
#define SCE_HSM_RAW_INT_STATUS_WORD_COUNT                       0x1
#define SCE_HSM_RAW_INT_STATUS_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_STATUS_SHIFT                     _MK_SHIFT_CONST(0)
#define SCE_HSM_RAW_INT_STATUS_STATUS_FIELD                     _MK_FIELD_CONST(0xffffffff, SCE_HSM_RAW_INT_STATUS_STATUS_SHIFT)
#define SCE_HSM_RAW_INT_STATUS_STATUS_RANGE                     31:0
#define SCE_HSM_RAW_INT_STATUS_STATUS_WOFFSET                   0x0
#define SCE_HSM_RAW_INT_STATUS_STATUS_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_STATUS_DEFAULT_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_STATUS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_STATUS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_STATUS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_STATUS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register SCE_HSM_RAW_INT_STATUS_1
#define SCE_HSM_RAW_INT_STATUS_1                        _MK_ADDR_CONST(0x184)
#define SCE_HSM_RAW_INT_STATUS_1_SECURE                         0x0
#define SCE_HSM_RAW_INT_STATUS_1_DUAL                   0x0
#define SCE_HSM_RAW_INT_STATUS_1_SCR                    0
#define SCE_HSM_RAW_INT_STATUS_1_WORD_COUNT                     0x1
#define SCE_HSM_RAW_INT_STATUS_1_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_1_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_1_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_1_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_1_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_1_STATUS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_RAW_INT_STATUS_1_STATUS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_RAW_INT_STATUS_1_STATUS_SHIFT)
#define SCE_HSM_RAW_INT_STATUS_1_STATUS_RANGE                   31:0
#define SCE_HSM_RAW_INT_STATUS_1_STATUS_WOFFSET                 0x0
#define SCE_HSM_RAW_INT_STATUS_1_STATUS_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_1_STATUS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_1_STATUS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_1_STATUS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_1_STATUS_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_1_STATUS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_RAW_INT_STATUS_2
#define SCE_HSM_RAW_INT_STATUS_2                        _MK_ADDR_CONST(0x188)
#define SCE_HSM_RAW_INT_STATUS_2_SECURE                         0x0
#define SCE_HSM_RAW_INT_STATUS_2_DUAL                   0x0
#define SCE_HSM_RAW_INT_STATUS_2_SCR                    0
#define SCE_HSM_RAW_INT_STATUS_2_WORD_COUNT                     0x1
#define SCE_HSM_RAW_INT_STATUS_2_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_2_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_2_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_2_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_2_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_2_STATUS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_RAW_INT_STATUS_2_STATUS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_RAW_INT_STATUS_2_STATUS_SHIFT)
#define SCE_HSM_RAW_INT_STATUS_2_STATUS_RANGE                   31:0
#define SCE_HSM_RAW_INT_STATUS_2_STATUS_WOFFSET                 0x0
#define SCE_HSM_RAW_INT_STATUS_2_STATUS_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_2_STATUS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_2_STATUS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_2_STATUS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_2_STATUS_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_2_STATUS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_RAW_INT_STATUS_3
#define SCE_HSM_RAW_INT_STATUS_3                        _MK_ADDR_CONST(0x18c)
#define SCE_HSM_RAW_INT_STATUS_3_SECURE                         0x0
#define SCE_HSM_RAW_INT_STATUS_3_DUAL                   0x0
#define SCE_HSM_RAW_INT_STATUS_3_SCR                    0
#define SCE_HSM_RAW_INT_STATUS_3_WORD_COUNT                     0x1
#define SCE_HSM_RAW_INT_STATUS_3_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_3_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_3_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_3_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_3_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_3_STATUS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_RAW_INT_STATUS_3_STATUS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_RAW_INT_STATUS_3_STATUS_SHIFT)
#define SCE_HSM_RAW_INT_STATUS_3_STATUS_RANGE                   31:0
#define SCE_HSM_RAW_INT_STATUS_3_STATUS_WOFFSET                 0x0
#define SCE_HSM_RAW_INT_STATUS_3_STATUS_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_3_STATUS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_3_STATUS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_3_STATUS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_3_STATUS_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_3_STATUS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_RAW_INT_STATUS_4
#define SCE_HSM_RAW_INT_STATUS_4                        _MK_ADDR_CONST(0x190)
#define SCE_HSM_RAW_INT_STATUS_4_SECURE                         0x0
#define SCE_HSM_RAW_INT_STATUS_4_DUAL                   0x0
#define SCE_HSM_RAW_INT_STATUS_4_SCR                    0
#define SCE_HSM_RAW_INT_STATUS_4_WORD_COUNT                     0x1
#define SCE_HSM_RAW_INT_STATUS_4_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_4_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_4_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_4_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_4_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_4_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_4_STATUS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_RAW_INT_STATUS_4_STATUS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_RAW_INT_STATUS_4_STATUS_SHIFT)
#define SCE_HSM_RAW_INT_STATUS_4_STATUS_RANGE                   31:0
#define SCE_HSM_RAW_INT_STATUS_4_STATUS_WOFFSET                 0x0
#define SCE_HSM_RAW_INT_STATUS_4_STATUS_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_4_STATUS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_4_STATUS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_4_STATUS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_4_STATUS_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_4_STATUS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_RAW_INT_STATUS_5
#define SCE_HSM_RAW_INT_STATUS_5                        _MK_ADDR_CONST(0x194)
#define SCE_HSM_RAW_INT_STATUS_5_SECURE                         0x0
#define SCE_HSM_RAW_INT_STATUS_5_DUAL                   0x0
#define SCE_HSM_RAW_INT_STATUS_5_SCR                    0
#define SCE_HSM_RAW_INT_STATUS_5_WORD_COUNT                     0x1
#define SCE_HSM_RAW_INT_STATUS_5_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_5_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_5_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_5_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_5_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_5_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_5_STATUS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_RAW_INT_STATUS_5_STATUS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_RAW_INT_STATUS_5_STATUS_SHIFT)
#define SCE_HSM_RAW_INT_STATUS_5_STATUS_RANGE                   31:0
#define SCE_HSM_RAW_INT_STATUS_5_STATUS_WOFFSET                 0x0
#define SCE_HSM_RAW_INT_STATUS_5_STATUS_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_5_STATUS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_5_STATUS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_5_STATUS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_5_STATUS_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_5_STATUS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_RAW_INT_STATUS_6
#define SCE_HSM_RAW_INT_STATUS_6                        _MK_ADDR_CONST(0x198)
#define SCE_HSM_RAW_INT_STATUS_6_SECURE                         0x0
#define SCE_HSM_RAW_INT_STATUS_6_DUAL                   0x0
#define SCE_HSM_RAW_INT_STATUS_6_SCR                    0
#define SCE_HSM_RAW_INT_STATUS_6_WORD_COUNT                     0x1
#define SCE_HSM_RAW_INT_STATUS_6_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_6_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_6_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_6_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_6_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_6_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_6_STATUS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_RAW_INT_STATUS_6_STATUS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_RAW_INT_STATUS_6_STATUS_SHIFT)
#define SCE_HSM_RAW_INT_STATUS_6_STATUS_RANGE                   31:0
#define SCE_HSM_RAW_INT_STATUS_6_STATUS_WOFFSET                 0x0
#define SCE_HSM_RAW_INT_STATUS_6_STATUS_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_6_STATUS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_6_STATUS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_6_STATUS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_6_STATUS_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_6_STATUS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_RAW_INT_STATUS_7
#define SCE_HSM_RAW_INT_STATUS_7                        _MK_ADDR_CONST(0x19c)
#define SCE_HSM_RAW_INT_STATUS_7_SECURE                         0x0
#define SCE_HSM_RAW_INT_STATUS_7_DUAL                   0x0
#define SCE_HSM_RAW_INT_STATUS_7_SCR                    0
#define SCE_HSM_RAW_INT_STATUS_7_WORD_COUNT                     0x1
#define SCE_HSM_RAW_INT_STATUS_7_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_7_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_7_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_7_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_7_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_7_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_7_STATUS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_RAW_INT_STATUS_7_STATUS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_RAW_INT_STATUS_7_STATUS_SHIFT)
#define SCE_HSM_RAW_INT_STATUS_7_STATUS_RANGE                   31:0
#define SCE_HSM_RAW_INT_STATUS_7_STATUS_WOFFSET                 0x0
#define SCE_HSM_RAW_INT_STATUS_7_STATUS_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_7_STATUS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_7_STATUS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_7_STATUS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_7_STATUS_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_7_STATUS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_RAW_INT_STATUS_8
#define SCE_HSM_RAW_INT_STATUS_8                        _MK_ADDR_CONST(0x1a0)
#define SCE_HSM_RAW_INT_STATUS_8_SECURE                         0x0
#define SCE_HSM_RAW_INT_STATUS_8_DUAL                   0x0
#define SCE_HSM_RAW_INT_STATUS_8_SCR                    0
#define SCE_HSM_RAW_INT_STATUS_8_WORD_COUNT                     0x1
#define SCE_HSM_RAW_INT_STATUS_8_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_8_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_8_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_8_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_8_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_8_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_8_STATUS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_RAW_INT_STATUS_8_STATUS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_RAW_INT_STATUS_8_STATUS_SHIFT)
#define SCE_HSM_RAW_INT_STATUS_8_STATUS_RANGE                   31:0
#define SCE_HSM_RAW_INT_STATUS_8_STATUS_WOFFSET                 0x0
#define SCE_HSM_RAW_INT_STATUS_8_STATUS_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_8_STATUS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_8_STATUS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_8_STATUS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_8_STATUS_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_8_STATUS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_RAW_INT_STATUS_9
#define SCE_HSM_RAW_INT_STATUS_9                        _MK_ADDR_CONST(0x1a4)
#define SCE_HSM_RAW_INT_STATUS_9_SECURE                         0x0
#define SCE_HSM_RAW_INT_STATUS_9_DUAL                   0x0
#define SCE_HSM_RAW_INT_STATUS_9_SCR                    0
#define SCE_HSM_RAW_INT_STATUS_9_WORD_COUNT                     0x1
#define SCE_HSM_RAW_INT_STATUS_9_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_9_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_9_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_9_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_9_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_9_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_9_STATUS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_RAW_INT_STATUS_9_STATUS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_RAW_INT_STATUS_9_STATUS_SHIFT)
#define SCE_HSM_RAW_INT_STATUS_9_STATUS_RANGE                   31:0
#define SCE_HSM_RAW_INT_STATUS_9_STATUS_WOFFSET                 0x0
#define SCE_HSM_RAW_INT_STATUS_9_STATUS_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_9_STATUS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_9_STATUS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_9_STATUS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_9_STATUS_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_9_STATUS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_RAW_INT_STATUS_10
#define SCE_HSM_RAW_INT_STATUS_10                       _MK_ADDR_CONST(0x1a8)
#define SCE_HSM_RAW_INT_STATUS_10_SECURE                        0x0
#define SCE_HSM_RAW_INT_STATUS_10_DUAL                  0x0
#define SCE_HSM_RAW_INT_STATUS_10_SCR                   0
#define SCE_HSM_RAW_INT_STATUS_10_WORD_COUNT                    0x1
#define SCE_HSM_RAW_INT_STATUS_10_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_10_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_10_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_10_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_10_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_10_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_10_STATUS_SHIFT                  _MK_SHIFT_CONST(0)
#define SCE_HSM_RAW_INT_STATUS_10_STATUS_FIELD                  _MK_FIELD_CONST(0xffffffff, SCE_HSM_RAW_INT_STATUS_10_STATUS_SHIFT)
#define SCE_HSM_RAW_INT_STATUS_10_STATUS_RANGE                  31:0
#define SCE_HSM_RAW_INT_STATUS_10_STATUS_WOFFSET                        0x0
#define SCE_HSM_RAW_INT_STATUS_10_STATUS_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_10_STATUS_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_10_STATUS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_10_STATUS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_10_STATUS_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_10_STATUS_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register SCE_HSM_RAW_INT_STATUS_11
#define SCE_HSM_RAW_INT_STATUS_11                       _MK_ADDR_CONST(0x1ac)
#define SCE_HSM_RAW_INT_STATUS_11_SECURE                        0x0
#define SCE_HSM_RAW_INT_STATUS_11_DUAL                  0x0
#define SCE_HSM_RAW_INT_STATUS_11_SCR                   0
#define SCE_HSM_RAW_INT_STATUS_11_WORD_COUNT                    0x1
#define SCE_HSM_RAW_INT_STATUS_11_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_11_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_11_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_11_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_11_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_11_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_11_STATUS_SHIFT                  _MK_SHIFT_CONST(0)
#define SCE_HSM_RAW_INT_STATUS_11_STATUS_FIELD                  _MK_FIELD_CONST(0xffffffff, SCE_HSM_RAW_INT_STATUS_11_STATUS_SHIFT)
#define SCE_HSM_RAW_INT_STATUS_11_STATUS_RANGE                  31:0
#define SCE_HSM_RAW_INT_STATUS_11_STATUS_WOFFSET                        0x0
#define SCE_HSM_RAW_INT_STATUS_11_STATUS_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_11_STATUS_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_11_STATUS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_11_STATUS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_11_STATUS_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_11_STATUS_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register SCE_HSM_RAW_INT_STATUS_12
#define SCE_HSM_RAW_INT_STATUS_12                       _MK_ADDR_CONST(0x1b0)
#define SCE_HSM_RAW_INT_STATUS_12_SECURE                        0x0
#define SCE_HSM_RAW_INT_STATUS_12_DUAL                  0x0
#define SCE_HSM_RAW_INT_STATUS_12_SCR                   0
#define SCE_HSM_RAW_INT_STATUS_12_WORD_COUNT                    0x1
#define SCE_HSM_RAW_INT_STATUS_12_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_12_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_12_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_12_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_12_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_12_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_12_STATUS_SHIFT                  _MK_SHIFT_CONST(0)
#define SCE_HSM_RAW_INT_STATUS_12_STATUS_FIELD                  _MK_FIELD_CONST(0xffffffff, SCE_HSM_RAW_INT_STATUS_12_STATUS_SHIFT)
#define SCE_HSM_RAW_INT_STATUS_12_STATUS_RANGE                  31:0
#define SCE_HSM_RAW_INT_STATUS_12_STATUS_WOFFSET                        0x0
#define SCE_HSM_RAW_INT_STATUS_12_STATUS_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_12_STATUS_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_12_STATUS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_12_STATUS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_12_STATUS_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_12_STATUS_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register SCE_HSM_RAW_INT_STATUS_13
#define SCE_HSM_RAW_INT_STATUS_13                       _MK_ADDR_CONST(0x1b4)
#define SCE_HSM_RAW_INT_STATUS_13_SECURE                        0x0
#define SCE_HSM_RAW_INT_STATUS_13_DUAL                  0x0
#define SCE_HSM_RAW_INT_STATUS_13_SCR                   0
#define SCE_HSM_RAW_INT_STATUS_13_WORD_COUNT                    0x1
#define SCE_HSM_RAW_INT_STATUS_13_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_13_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_13_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_13_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_13_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_13_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_13_STATUS_SHIFT                  _MK_SHIFT_CONST(0)
#define SCE_HSM_RAW_INT_STATUS_13_STATUS_FIELD                  _MK_FIELD_CONST(0xffffffff, SCE_HSM_RAW_INT_STATUS_13_STATUS_SHIFT)
#define SCE_HSM_RAW_INT_STATUS_13_STATUS_RANGE                  31:0
#define SCE_HSM_RAW_INT_STATUS_13_STATUS_WOFFSET                        0x0
#define SCE_HSM_RAW_INT_STATUS_13_STATUS_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_13_STATUS_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_13_STATUS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_13_STATUS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_13_STATUS_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_13_STATUS_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register SCE_HSM_RAW_INT_STATUS_14
#define SCE_HSM_RAW_INT_STATUS_14                       _MK_ADDR_CONST(0x1b8)
#define SCE_HSM_RAW_INT_STATUS_14_SECURE                        0x0
#define SCE_HSM_RAW_INT_STATUS_14_DUAL                  0x0
#define SCE_HSM_RAW_INT_STATUS_14_SCR                   0
#define SCE_HSM_RAW_INT_STATUS_14_WORD_COUNT                    0x1
#define SCE_HSM_RAW_INT_STATUS_14_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_14_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_14_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_14_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_14_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_14_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_14_STATUS_SHIFT                  _MK_SHIFT_CONST(0)
#define SCE_HSM_RAW_INT_STATUS_14_STATUS_FIELD                  _MK_FIELD_CONST(0xffffffff, SCE_HSM_RAW_INT_STATUS_14_STATUS_SHIFT)
#define SCE_HSM_RAW_INT_STATUS_14_STATUS_RANGE                  31:0
#define SCE_HSM_RAW_INT_STATUS_14_STATUS_WOFFSET                        0x0
#define SCE_HSM_RAW_INT_STATUS_14_STATUS_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_14_STATUS_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_14_STATUS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_14_STATUS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_14_STATUS_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_14_STATUS_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register SCE_HSM_RAW_INT_STATUS_15
#define SCE_HSM_RAW_INT_STATUS_15                       _MK_ADDR_CONST(0x1bc)
#define SCE_HSM_RAW_INT_STATUS_15_SECURE                        0x0
#define SCE_HSM_RAW_INT_STATUS_15_DUAL                  0x0
#define SCE_HSM_RAW_INT_STATUS_15_SCR                   0
#define SCE_HSM_RAW_INT_STATUS_15_WORD_COUNT                    0x1
#define SCE_HSM_RAW_INT_STATUS_15_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_15_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_15_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_15_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_15_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_15_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_15_STATUS_SHIFT                  _MK_SHIFT_CONST(0)
#define SCE_HSM_RAW_INT_STATUS_15_STATUS_FIELD                  _MK_FIELD_CONST(0xffffffff, SCE_HSM_RAW_INT_STATUS_15_STATUS_SHIFT)
#define SCE_HSM_RAW_INT_STATUS_15_STATUS_RANGE                  31:0
#define SCE_HSM_RAW_INT_STATUS_15_STATUS_WOFFSET                        0x0
#define SCE_HSM_RAW_INT_STATUS_15_STATUS_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_15_STATUS_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_RAW_INT_STATUS_15_STATUS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_15_STATUS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_15_STATUS_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCE_HSM_RAW_INT_STATUS_15_STATUS_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register SCE_HSM_GPIO_EN_0
#define SCE_HSM_GPIO_EN_0                       _MK_ADDR_CONST(0x1c0)
#define SCE_HSM_GPIO_EN_0_SECURE                        0x0
#define SCE_HSM_GPIO_EN_0_DUAL                  0x0
#define SCE_HSM_GPIO_EN_0_SCR                   0
#define SCE_HSM_GPIO_EN_0_WORD_COUNT                    0x1
#define SCE_HSM_GPIO_EN_0_RESET_VAL                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_0_GPIO_EN_SHIFT                 _MK_SHIFT_CONST(0)
#define SCE_HSM_GPIO_EN_0_GPIO_EN_FIELD                 _MK_FIELD_CONST(0xffffffff, SCE_HSM_GPIO_EN_0_GPIO_EN_SHIFT)
#define SCE_HSM_GPIO_EN_0_GPIO_EN_RANGE                 31:0
#define SCE_HSM_GPIO_EN_0_GPIO_EN_WOFFSET                       0x0
#define SCE_HSM_GPIO_EN_0_GPIO_EN_DEFAULT                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_0_GPIO_EN_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_0_GPIO_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_0_GPIO_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_0_GPIO_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_0_GPIO_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_0_GPIO_EN_INIT_ENUM                     -1


// Register SCE_HSM_GPIO_EN
#define SCE_HSM_GPIO_EN                 _MK_ADDR_CONST(0x1c0)
#define SCE_HSM_GPIO_EN_SECURE                  0x0
#define SCE_HSM_GPIO_EN_DUAL                    0x0
#define SCE_HSM_GPIO_EN_SCR                     0
#define SCE_HSM_GPIO_EN_WORD_COUNT                      0x1
#define SCE_HSM_GPIO_EN_RESET_VAL                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_GPIO_EN_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_GPIO_EN_GPIO_EN_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_GPIO_EN_GPIO_EN_SHIFT)
#define SCE_HSM_GPIO_EN_GPIO_EN_RANGE                   31:0
#define SCE_HSM_GPIO_EN_GPIO_EN_WOFFSET                 0x0
#define SCE_HSM_GPIO_EN_GPIO_EN_DEFAULT                 _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_GPIO_EN_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_GPIO_EN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_GPIO_EN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_GPIO_EN_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_GPIO_EN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_GPIO_EN_INIT_ENUM                       -1


// Register SCE_HSM_GPIO_EN_1
#define SCE_HSM_GPIO_EN_1                       _MK_ADDR_CONST(0x1c4)
#define SCE_HSM_GPIO_EN_1_SECURE                        0x0
#define SCE_HSM_GPIO_EN_1_DUAL                  0x0
#define SCE_HSM_GPIO_EN_1_SCR                   0
#define SCE_HSM_GPIO_EN_1_WORD_COUNT                    0x1
#define SCE_HSM_GPIO_EN_1_RESET_VAL                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_1_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_1_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_1_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_1_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_1_GPIO_EN_SHIFT                 _MK_SHIFT_CONST(0)
#define SCE_HSM_GPIO_EN_1_GPIO_EN_FIELD                 _MK_FIELD_CONST(0xffffffff, SCE_HSM_GPIO_EN_1_GPIO_EN_SHIFT)
#define SCE_HSM_GPIO_EN_1_GPIO_EN_RANGE                 31:0
#define SCE_HSM_GPIO_EN_1_GPIO_EN_WOFFSET                       0x0
#define SCE_HSM_GPIO_EN_1_GPIO_EN_DEFAULT                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_1_GPIO_EN_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_1_GPIO_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_1_GPIO_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_1_GPIO_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_1_GPIO_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_1_GPIO_EN_INIT_ENUM                     -1


// Register SCE_HSM_GPIO_EN_2
#define SCE_HSM_GPIO_EN_2                       _MK_ADDR_CONST(0x1c8)
#define SCE_HSM_GPIO_EN_2_SECURE                        0x0
#define SCE_HSM_GPIO_EN_2_DUAL                  0x0
#define SCE_HSM_GPIO_EN_2_SCR                   0
#define SCE_HSM_GPIO_EN_2_WORD_COUNT                    0x1
#define SCE_HSM_GPIO_EN_2_RESET_VAL                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_2_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_2_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_2_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_2_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_2_GPIO_EN_SHIFT                 _MK_SHIFT_CONST(0)
#define SCE_HSM_GPIO_EN_2_GPIO_EN_FIELD                 _MK_FIELD_CONST(0xffffffff, SCE_HSM_GPIO_EN_2_GPIO_EN_SHIFT)
#define SCE_HSM_GPIO_EN_2_GPIO_EN_RANGE                 31:0
#define SCE_HSM_GPIO_EN_2_GPIO_EN_WOFFSET                       0x0
#define SCE_HSM_GPIO_EN_2_GPIO_EN_DEFAULT                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_2_GPIO_EN_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_2_GPIO_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_2_GPIO_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_2_GPIO_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_2_GPIO_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_2_GPIO_EN_INIT_ENUM                     -1


// Register SCE_HSM_GPIO_EN_3
#define SCE_HSM_GPIO_EN_3                       _MK_ADDR_CONST(0x1cc)
#define SCE_HSM_GPIO_EN_3_SECURE                        0x0
#define SCE_HSM_GPIO_EN_3_DUAL                  0x0
#define SCE_HSM_GPIO_EN_3_SCR                   0
#define SCE_HSM_GPIO_EN_3_WORD_COUNT                    0x1
#define SCE_HSM_GPIO_EN_3_RESET_VAL                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_3_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_3_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_3_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_3_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_3_GPIO_EN_SHIFT                 _MK_SHIFT_CONST(0)
#define SCE_HSM_GPIO_EN_3_GPIO_EN_FIELD                 _MK_FIELD_CONST(0xffffffff, SCE_HSM_GPIO_EN_3_GPIO_EN_SHIFT)
#define SCE_HSM_GPIO_EN_3_GPIO_EN_RANGE                 31:0
#define SCE_HSM_GPIO_EN_3_GPIO_EN_WOFFSET                       0x0
#define SCE_HSM_GPIO_EN_3_GPIO_EN_DEFAULT                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_3_GPIO_EN_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_3_GPIO_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_3_GPIO_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_3_GPIO_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_3_GPIO_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_3_GPIO_EN_INIT_ENUM                     -1


// Register SCE_HSM_GPIO_EN_4
#define SCE_HSM_GPIO_EN_4                       _MK_ADDR_CONST(0x1d0)
#define SCE_HSM_GPIO_EN_4_SECURE                        0x0
#define SCE_HSM_GPIO_EN_4_DUAL                  0x0
#define SCE_HSM_GPIO_EN_4_SCR                   0
#define SCE_HSM_GPIO_EN_4_WORD_COUNT                    0x1
#define SCE_HSM_GPIO_EN_4_RESET_VAL                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_4_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_4_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_4_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_4_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_4_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_4_GPIO_EN_SHIFT                 _MK_SHIFT_CONST(0)
#define SCE_HSM_GPIO_EN_4_GPIO_EN_FIELD                 _MK_FIELD_CONST(0xffffffff, SCE_HSM_GPIO_EN_4_GPIO_EN_SHIFT)
#define SCE_HSM_GPIO_EN_4_GPIO_EN_RANGE                 31:0
#define SCE_HSM_GPIO_EN_4_GPIO_EN_WOFFSET                       0x0
#define SCE_HSM_GPIO_EN_4_GPIO_EN_DEFAULT                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_4_GPIO_EN_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_4_GPIO_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_4_GPIO_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_4_GPIO_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_4_GPIO_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_4_GPIO_EN_INIT_ENUM                     -1


// Register SCE_HSM_GPIO_EN_5
#define SCE_HSM_GPIO_EN_5                       _MK_ADDR_CONST(0x1d4)
#define SCE_HSM_GPIO_EN_5_SECURE                        0x0
#define SCE_HSM_GPIO_EN_5_DUAL                  0x0
#define SCE_HSM_GPIO_EN_5_SCR                   0
#define SCE_HSM_GPIO_EN_5_WORD_COUNT                    0x1
#define SCE_HSM_GPIO_EN_5_RESET_VAL                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_5_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_5_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_5_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_5_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_5_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_5_GPIO_EN_SHIFT                 _MK_SHIFT_CONST(0)
#define SCE_HSM_GPIO_EN_5_GPIO_EN_FIELD                 _MK_FIELD_CONST(0xffffffff, SCE_HSM_GPIO_EN_5_GPIO_EN_SHIFT)
#define SCE_HSM_GPIO_EN_5_GPIO_EN_RANGE                 31:0
#define SCE_HSM_GPIO_EN_5_GPIO_EN_WOFFSET                       0x0
#define SCE_HSM_GPIO_EN_5_GPIO_EN_DEFAULT                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_5_GPIO_EN_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_5_GPIO_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_5_GPIO_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_5_GPIO_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_5_GPIO_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_5_GPIO_EN_INIT_ENUM                     -1


// Register SCE_HSM_GPIO_EN_6
#define SCE_HSM_GPIO_EN_6                       _MK_ADDR_CONST(0x1d8)
#define SCE_HSM_GPIO_EN_6_SECURE                        0x0
#define SCE_HSM_GPIO_EN_6_DUAL                  0x0
#define SCE_HSM_GPIO_EN_6_SCR                   0
#define SCE_HSM_GPIO_EN_6_WORD_COUNT                    0x1
#define SCE_HSM_GPIO_EN_6_RESET_VAL                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_6_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_6_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_6_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_6_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_6_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_6_GPIO_EN_SHIFT                 _MK_SHIFT_CONST(0)
#define SCE_HSM_GPIO_EN_6_GPIO_EN_FIELD                 _MK_FIELD_CONST(0xffffffff, SCE_HSM_GPIO_EN_6_GPIO_EN_SHIFT)
#define SCE_HSM_GPIO_EN_6_GPIO_EN_RANGE                 31:0
#define SCE_HSM_GPIO_EN_6_GPIO_EN_WOFFSET                       0x0
#define SCE_HSM_GPIO_EN_6_GPIO_EN_DEFAULT                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_6_GPIO_EN_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_6_GPIO_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_6_GPIO_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_6_GPIO_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_6_GPIO_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_6_GPIO_EN_INIT_ENUM                     -1


// Register SCE_HSM_GPIO_EN_7
#define SCE_HSM_GPIO_EN_7                       _MK_ADDR_CONST(0x1dc)
#define SCE_HSM_GPIO_EN_7_SECURE                        0x0
#define SCE_HSM_GPIO_EN_7_DUAL                  0x0
#define SCE_HSM_GPIO_EN_7_SCR                   0
#define SCE_HSM_GPIO_EN_7_WORD_COUNT                    0x1
#define SCE_HSM_GPIO_EN_7_RESET_VAL                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_7_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_7_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_7_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_7_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_7_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_7_GPIO_EN_SHIFT                 _MK_SHIFT_CONST(0)
#define SCE_HSM_GPIO_EN_7_GPIO_EN_FIELD                 _MK_FIELD_CONST(0xffffffff, SCE_HSM_GPIO_EN_7_GPIO_EN_SHIFT)
#define SCE_HSM_GPIO_EN_7_GPIO_EN_RANGE                 31:0
#define SCE_HSM_GPIO_EN_7_GPIO_EN_WOFFSET                       0x0
#define SCE_HSM_GPIO_EN_7_GPIO_EN_DEFAULT                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_7_GPIO_EN_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_7_GPIO_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_7_GPIO_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_7_GPIO_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_7_GPIO_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_7_GPIO_EN_INIT_ENUM                     -1


// Register SCE_HSM_GPIO_EN_8
#define SCE_HSM_GPIO_EN_8                       _MK_ADDR_CONST(0x1e0)
#define SCE_HSM_GPIO_EN_8_SECURE                        0x0
#define SCE_HSM_GPIO_EN_8_DUAL                  0x0
#define SCE_HSM_GPIO_EN_8_SCR                   0
#define SCE_HSM_GPIO_EN_8_WORD_COUNT                    0x1
#define SCE_HSM_GPIO_EN_8_RESET_VAL                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_8_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_8_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_8_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_8_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_8_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_8_GPIO_EN_SHIFT                 _MK_SHIFT_CONST(0)
#define SCE_HSM_GPIO_EN_8_GPIO_EN_FIELD                 _MK_FIELD_CONST(0xffffffff, SCE_HSM_GPIO_EN_8_GPIO_EN_SHIFT)
#define SCE_HSM_GPIO_EN_8_GPIO_EN_RANGE                 31:0
#define SCE_HSM_GPIO_EN_8_GPIO_EN_WOFFSET                       0x0
#define SCE_HSM_GPIO_EN_8_GPIO_EN_DEFAULT                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_8_GPIO_EN_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_8_GPIO_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_8_GPIO_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_8_GPIO_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_8_GPIO_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_8_GPIO_EN_INIT_ENUM                     -1


// Register SCE_HSM_GPIO_EN_9
#define SCE_HSM_GPIO_EN_9                       _MK_ADDR_CONST(0x1e4)
#define SCE_HSM_GPIO_EN_9_SECURE                        0x0
#define SCE_HSM_GPIO_EN_9_DUAL                  0x0
#define SCE_HSM_GPIO_EN_9_SCR                   0
#define SCE_HSM_GPIO_EN_9_WORD_COUNT                    0x1
#define SCE_HSM_GPIO_EN_9_RESET_VAL                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_9_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_9_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_9_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_9_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_9_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_9_GPIO_EN_SHIFT                 _MK_SHIFT_CONST(0)
#define SCE_HSM_GPIO_EN_9_GPIO_EN_FIELD                 _MK_FIELD_CONST(0xffffffff, SCE_HSM_GPIO_EN_9_GPIO_EN_SHIFT)
#define SCE_HSM_GPIO_EN_9_GPIO_EN_RANGE                 31:0
#define SCE_HSM_GPIO_EN_9_GPIO_EN_WOFFSET                       0x0
#define SCE_HSM_GPIO_EN_9_GPIO_EN_DEFAULT                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_9_GPIO_EN_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_9_GPIO_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_9_GPIO_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_9_GPIO_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_9_GPIO_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_9_GPIO_EN_INIT_ENUM                     -1


// Register SCE_HSM_GPIO_EN_10
#define SCE_HSM_GPIO_EN_10                      _MK_ADDR_CONST(0x1e8)
#define SCE_HSM_GPIO_EN_10_SECURE                       0x0
#define SCE_HSM_GPIO_EN_10_DUAL                         0x0
#define SCE_HSM_GPIO_EN_10_SCR                  0
#define SCE_HSM_GPIO_EN_10_WORD_COUNT                   0x1
#define SCE_HSM_GPIO_EN_10_RESET_VAL                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_10_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_10_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_10_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_10_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_10_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_10_GPIO_EN_SHIFT                        _MK_SHIFT_CONST(0)
#define SCE_HSM_GPIO_EN_10_GPIO_EN_FIELD                        _MK_FIELD_CONST(0xffffffff, SCE_HSM_GPIO_EN_10_GPIO_EN_SHIFT)
#define SCE_HSM_GPIO_EN_10_GPIO_EN_RANGE                        31:0
#define SCE_HSM_GPIO_EN_10_GPIO_EN_WOFFSET                      0x0
#define SCE_HSM_GPIO_EN_10_GPIO_EN_DEFAULT                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_10_GPIO_EN_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_10_GPIO_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_10_GPIO_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_10_GPIO_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_10_GPIO_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_10_GPIO_EN_INIT_ENUM                    -1


// Register SCE_HSM_GPIO_EN_11
#define SCE_HSM_GPIO_EN_11                      _MK_ADDR_CONST(0x1ec)
#define SCE_HSM_GPIO_EN_11_SECURE                       0x0
#define SCE_HSM_GPIO_EN_11_DUAL                         0x0
#define SCE_HSM_GPIO_EN_11_SCR                  0
#define SCE_HSM_GPIO_EN_11_WORD_COUNT                   0x1
#define SCE_HSM_GPIO_EN_11_RESET_VAL                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_11_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_11_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_11_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_11_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_11_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_11_GPIO_EN_SHIFT                        _MK_SHIFT_CONST(0)
#define SCE_HSM_GPIO_EN_11_GPIO_EN_FIELD                        _MK_FIELD_CONST(0xffffffff, SCE_HSM_GPIO_EN_11_GPIO_EN_SHIFT)
#define SCE_HSM_GPIO_EN_11_GPIO_EN_RANGE                        31:0
#define SCE_HSM_GPIO_EN_11_GPIO_EN_WOFFSET                      0x0
#define SCE_HSM_GPIO_EN_11_GPIO_EN_DEFAULT                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_11_GPIO_EN_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_11_GPIO_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_11_GPIO_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_11_GPIO_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_11_GPIO_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_11_GPIO_EN_INIT_ENUM                    -1


// Register SCE_HSM_GPIO_EN_12
#define SCE_HSM_GPIO_EN_12                      _MK_ADDR_CONST(0x1f0)
#define SCE_HSM_GPIO_EN_12_SECURE                       0x0
#define SCE_HSM_GPIO_EN_12_DUAL                         0x0
#define SCE_HSM_GPIO_EN_12_SCR                  0
#define SCE_HSM_GPIO_EN_12_WORD_COUNT                   0x1
#define SCE_HSM_GPIO_EN_12_RESET_VAL                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_12_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_12_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_12_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_12_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_12_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_12_GPIO_EN_SHIFT                        _MK_SHIFT_CONST(0)
#define SCE_HSM_GPIO_EN_12_GPIO_EN_FIELD                        _MK_FIELD_CONST(0xffffffff, SCE_HSM_GPIO_EN_12_GPIO_EN_SHIFT)
#define SCE_HSM_GPIO_EN_12_GPIO_EN_RANGE                        31:0
#define SCE_HSM_GPIO_EN_12_GPIO_EN_WOFFSET                      0x0
#define SCE_HSM_GPIO_EN_12_GPIO_EN_DEFAULT                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_12_GPIO_EN_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_12_GPIO_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_12_GPIO_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_12_GPIO_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_12_GPIO_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_12_GPIO_EN_INIT_ENUM                    -1


// Register SCE_HSM_GPIO_EN_13
#define SCE_HSM_GPIO_EN_13                      _MK_ADDR_CONST(0x1f4)
#define SCE_HSM_GPIO_EN_13_SECURE                       0x0
#define SCE_HSM_GPIO_EN_13_DUAL                         0x0
#define SCE_HSM_GPIO_EN_13_SCR                  0
#define SCE_HSM_GPIO_EN_13_WORD_COUNT                   0x1
#define SCE_HSM_GPIO_EN_13_RESET_VAL                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_13_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_13_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_13_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_13_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_13_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_13_GPIO_EN_SHIFT                        _MK_SHIFT_CONST(0)
#define SCE_HSM_GPIO_EN_13_GPIO_EN_FIELD                        _MK_FIELD_CONST(0xffffffff, SCE_HSM_GPIO_EN_13_GPIO_EN_SHIFT)
#define SCE_HSM_GPIO_EN_13_GPIO_EN_RANGE                        31:0
#define SCE_HSM_GPIO_EN_13_GPIO_EN_WOFFSET                      0x0
#define SCE_HSM_GPIO_EN_13_GPIO_EN_DEFAULT                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_13_GPIO_EN_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_13_GPIO_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_13_GPIO_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_13_GPIO_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_13_GPIO_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_13_GPIO_EN_INIT_ENUM                    -1


// Register SCE_HSM_GPIO_EN_14
#define SCE_HSM_GPIO_EN_14                      _MK_ADDR_CONST(0x1f8)
#define SCE_HSM_GPIO_EN_14_SECURE                       0x0
#define SCE_HSM_GPIO_EN_14_DUAL                         0x0
#define SCE_HSM_GPIO_EN_14_SCR                  0
#define SCE_HSM_GPIO_EN_14_WORD_COUNT                   0x1
#define SCE_HSM_GPIO_EN_14_RESET_VAL                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_14_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_14_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_14_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_14_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_14_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_14_GPIO_EN_SHIFT                        _MK_SHIFT_CONST(0)
#define SCE_HSM_GPIO_EN_14_GPIO_EN_FIELD                        _MK_FIELD_CONST(0xffffffff, SCE_HSM_GPIO_EN_14_GPIO_EN_SHIFT)
#define SCE_HSM_GPIO_EN_14_GPIO_EN_RANGE                        31:0
#define SCE_HSM_GPIO_EN_14_GPIO_EN_WOFFSET                      0x0
#define SCE_HSM_GPIO_EN_14_GPIO_EN_DEFAULT                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_14_GPIO_EN_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_14_GPIO_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_14_GPIO_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_14_GPIO_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_14_GPIO_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_14_GPIO_EN_INIT_ENUM                    -1


// Register SCE_HSM_GPIO_EN_15
#define SCE_HSM_GPIO_EN_15                      _MK_ADDR_CONST(0x1fc)
#define SCE_HSM_GPIO_EN_15_SECURE                       0x0
#define SCE_HSM_GPIO_EN_15_DUAL                         0x0
#define SCE_HSM_GPIO_EN_15_SCR                  0
#define SCE_HSM_GPIO_EN_15_WORD_COUNT                   0x1
#define SCE_HSM_GPIO_EN_15_RESET_VAL                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_15_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_15_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_15_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_15_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_15_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_15_GPIO_EN_SHIFT                        _MK_SHIFT_CONST(0)
#define SCE_HSM_GPIO_EN_15_GPIO_EN_FIELD                        _MK_FIELD_CONST(0xffffffff, SCE_HSM_GPIO_EN_15_GPIO_EN_SHIFT)
#define SCE_HSM_GPIO_EN_15_GPIO_EN_RANGE                        31:0
#define SCE_HSM_GPIO_EN_15_GPIO_EN_WOFFSET                      0x0
#define SCE_HSM_GPIO_EN_15_GPIO_EN_DEFAULT                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_15_GPIO_EN_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_GPIO_EN_15_GPIO_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_15_GPIO_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_GPIO_EN_15_GPIO_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_15_GPIO_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SCE_HSM_GPIO_EN_15_GPIO_EN_INIT_ENUM                    -1


// Register SCE_HSM_INT_EN_0
#define SCE_HSM_INT_EN_0                        _MK_ADDR_CONST(0x200)
#define SCE_HSM_INT_EN_0_SECURE                         0x0
#define SCE_HSM_INT_EN_0_DUAL                   0x0
#define SCE_HSM_INT_EN_0_SCR                    0
#define SCE_HSM_INT_EN_0_WORD_COUNT                     0x1
#define SCE_HSM_INT_EN_0_RESET_VAL                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_0_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_0_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_0_INT_EN_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_INT_EN_0_INT_EN_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_INT_EN_0_INT_EN_SHIFT)
#define SCE_HSM_INT_EN_0_INT_EN_RANGE                   31:0
#define SCE_HSM_INT_EN_0_INT_EN_WOFFSET                 0x0
#define SCE_HSM_INT_EN_0_INT_EN_DEFAULT                 _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_0_INT_EN_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_0_INT_EN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_0_INT_EN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_0_INT_EN_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_0_INT_EN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_0_INT_EN_INIT_ENUM                       -1


// Register SCE_HSM_INT_EN
#define SCE_HSM_INT_EN                  _MK_ADDR_CONST(0x200)
#define SCE_HSM_INT_EN_SECURE                   0x0
#define SCE_HSM_INT_EN_DUAL                     0x0
#define SCE_HSM_INT_EN_SCR                      0
#define SCE_HSM_INT_EN_WORD_COUNT                       0x1
#define SCE_HSM_INT_EN_RESET_VAL                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_INT_EN_SHIFT                     _MK_SHIFT_CONST(0)
#define SCE_HSM_INT_EN_INT_EN_FIELD                     _MK_FIELD_CONST(0xffffffff, SCE_HSM_INT_EN_INT_EN_SHIFT)
#define SCE_HSM_INT_EN_INT_EN_RANGE                     31:0
#define SCE_HSM_INT_EN_INT_EN_WOFFSET                   0x0
#define SCE_HSM_INT_EN_INT_EN_DEFAULT                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_INT_EN_DEFAULT_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_INT_EN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_INT_EN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_INT_EN_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_INT_EN_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_INT_EN_INIT_ENUM                 -1


// Register SCE_HSM_INT_EN_1
#define SCE_HSM_INT_EN_1                        _MK_ADDR_CONST(0x204)
#define SCE_HSM_INT_EN_1_SECURE                         0x0
#define SCE_HSM_INT_EN_1_DUAL                   0x0
#define SCE_HSM_INT_EN_1_SCR                    0
#define SCE_HSM_INT_EN_1_WORD_COUNT                     0x1
#define SCE_HSM_INT_EN_1_RESET_VAL                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_1_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_1_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_1_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_1_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_1_INT_EN_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_INT_EN_1_INT_EN_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_INT_EN_1_INT_EN_SHIFT)
#define SCE_HSM_INT_EN_1_INT_EN_RANGE                   31:0
#define SCE_HSM_INT_EN_1_INT_EN_WOFFSET                 0x0
#define SCE_HSM_INT_EN_1_INT_EN_DEFAULT                 _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_1_INT_EN_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_1_INT_EN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_1_INT_EN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_1_INT_EN_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_1_INT_EN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_1_INT_EN_INIT_ENUM                       -1


// Register SCE_HSM_INT_EN_2
#define SCE_HSM_INT_EN_2                        _MK_ADDR_CONST(0x208)
#define SCE_HSM_INT_EN_2_SECURE                         0x0
#define SCE_HSM_INT_EN_2_DUAL                   0x0
#define SCE_HSM_INT_EN_2_SCR                    0
#define SCE_HSM_INT_EN_2_WORD_COUNT                     0x1
#define SCE_HSM_INT_EN_2_RESET_VAL                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_2_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_2_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_2_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_2_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_2_INT_EN_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_INT_EN_2_INT_EN_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_INT_EN_2_INT_EN_SHIFT)
#define SCE_HSM_INT_EN_2_INT_EN_RANGE                   31:0
#define SCE_HSM_INT_EN_2_INT_EN_WOFFSET                 0x0
#define SCE_HSM_INT_EN_2_INT_EN_DEFAULT                 _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_2_INT_EN_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_2_INT_EN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_2_INT_EN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_2_INT_EN_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_2_INT_EN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_2_INT_EN_INIT_ENUM                       -1


// Register SCE_HSM_INT_EN_3
#define SCE_HSM_INT_EN_3                        _MK_ADDR_CONST(0x20c)
#define SCE_HSM_INT_EN_3_SECURE                         0x0
#define SCE_HSM_INT_EN_3_DUAL                   0x0
#define SCE_HSM_INT_EN_3_SCR                    0
#define SCE_HSM_INT_EN_3_WORD_COUNT                     0x1
#define SCE_HSM_INT_EN_3_RESET_VAL                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_3_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_3_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_3_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_3_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_3_INT_EN_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_INT_EN_3_INT_EN_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_INT_EN_3_INT_EN_SHIFT)
#define SCE_HSM_INT_EN_3_INT_EN_RANGE                   31:0
#define SCE_HSM_INT_EN_3_INT_EN_WOFFSET                 0x0
#define SCE_HSM_INT_EN_3_INT_EN_DEFAULT                 _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_3_INT_EN_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_3_INT_EN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_3_INT_EN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_3_INT_EN_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_3_INT_EN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_3_INT_EN_INIT_ENUM                       -1


// Register SCE_HSM_INT_EN_4
#define SCE_HSM_INT_EN_4                        _MK_ADDR_CONST(0x210)
#define SCE_HSM_INT_EN_4_SECURE                         0x0
#define SCE_HSM_INT_EN_4_DUAL                   0x0
#define SCE_HSM_INT_EN_4_SCR                    0
#define SCE_HSM_INT_EN_4_WORD_COUNT                     0x1
#define SCE_HSM_INT_EN_4_RESET_VAL                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_4_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_4_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_4_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_4_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_4_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_4_INT_EN_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_INT_EN_4_INT_EN_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_INT_EN_4_INT_EN_SHIFT)
#define SCE_HSM_INT_EN_4_INT_EN_RANGE                   31:0
#define SCE_HSM_INT_EN_4_INT_EN_WOFFSET                 0x0
#define SCE_HSM_INT_EN_4_INT_EN_DEFAULT                 _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_4_INT_EN_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_4_INT_EN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_4_INT_EN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_4_INT_EN_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_4_INT_EN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_4_INT_EN_INIT_ENUM                       -1


// Register SCE_HSM_INT_EN_5
#define SCE_HSM_INT_EN_5                        _MK_ADDR_CONST(0x214)
#define SCE_HSM_INT_EN_5_SECURE                         0x0
#define SCE_HSM_INT_EN_5_DUAL                   0x0
#define SCE_HSM_INT_EN_5_SCR                    0
#define SCE_HSM_INT_EN_5_WORD_COUNT                     0x1
#define SCE_HSM_INT_EN_5_RESET_VAL                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_5_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_5_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_5_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_5_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_5_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_5_INT_EN_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_INT_EN_5_INT_EN_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_INT_EN_5_INT_EN_SHIFT)
#define SCE_HSM_INT_EN_5_INT_EN_RANGE                   31:0
#define SCE_HSM_INT_EN_5_INT_EN_WOFFSET                 0x0
#define SCE_HSM_INT_EN_5_INT_EN_DEFAULT                 _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_5_INT_EN_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_5_INT_EN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_5_INT_EN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_5_INT_EN_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_5_INT_EN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_5_INT_EN_INIT_ENUM                       -1


// Register SCE_HSM_INT_EN_6
#define SCE_HSM_INT_EN_6                        _MK_ADDR_CONST(0x218)
#define SCE_HSM_INT_EN_6_SECURE                         0x0
#define SCE_HSM_INT_EN_6_DUAL                   0x0
#define SCE_HSM_INT_EN_6_SCR                    0
#define SCE_HSM_INT_EN_6_WORD_COUNT                     0x1
#define SCE_HSM_INT_EN_6_RESET_VAL                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_6_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_6_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_6_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_6_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_6_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_6_INT_EN_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_INT_EN_6_INT_EN_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_INT_EN_6_INT_EN_SHIFT)
#define SCE_HSM_INT_EN_6_INT_EN_RANGE                   31:0
#define SCE_HSM_INT_EN_6_INT_EN_WOFFSET                 0x0
#define SCE_HSM_INT_EN_6_INT_EN_DEFAULT                 _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_6_INT_EN_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_6_INT_EN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_6_INT_EN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_6_INT_EN_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_6_INT_EN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_6_INT_EN_INIT_ENUM                       -1


// Register SCE_HSM_INT_EN_7
#define SCE_HSM_INT_EN_7                        _MK_ADDR_CONST(0x21c)
#define SCE_HSM_INT_EN_7_SECURE                         0x0
#define SCE_HSM_INT_EN_7_DUAL                   0x0
#define SCE_HSM_INT_EN_7_SCR                    0
#define SCE_HSM_INT_EN_7_WORD_COUNT                     0x1
#define SCE_HSM_INT_EN_7_RESET_VAL                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_7_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_7_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_7_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_7_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_7_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_7_INT_EN_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_INT_EN_7_INT_EN_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_INT_EN_7_INT_EN_SHIFT)
#define SCE_HSM_INT_EN_7_INT_EN_RANGE                   31:0
#define SCE_HSM_INT_EN_7_INT_EN_WOFFSET                 0x0
#define SCE_HSM_INT_EN_7_INT_EN_DEFAULT                 _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_7_INT_EN_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_7_INT_EN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_7_INT_EN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_7_INT_EN_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_7_INT_EN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_7_INT_EN_INIT_ENUM                       -1


// Register SCE_HSM_INT_EN_8
#define SCE_HSM_INT_EN_8                        _MK_ADDR_CONST(0x220)
#define SCE_HSM_INT_EN_8_SECURE                         0x0
#define SCE_HSM_INT_EN_8_DUAL                   0x0
#define SCE_HSM_INT_EN_8_SCR                    0
#define SCE_HSM_INT_EN_8_WORD_COUNT                     0x1
#define SCE_HSM_INT_EN_8_RESET_VAL                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_8_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_8_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_8_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_8_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_8_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_8_INT_EN_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_INT_EN_8_INT_EN_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_INT_EN_8_INT_EN_SHIFT)
#define SCE_HSM_INT_EN_8_INT_EN_RANGE                   31:0
#define SCE_HSM_INT_EN_8_INT_EN_WOFFSET                 0x0
#define SCE_HSM_INT_EN_8_INT_EN_DEFAULT                 _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_8_INT_EN_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_8_INT_EN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_8_INT_EN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_8_INT_EN_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_8_INT_EN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_8_INT_EN_INIT_ENUM                       -1


// Register SCE_HSM_INT_EN_9
#define SCE_HSM_INT_EN_9                        _MK_ADDR_CONST(0x224)
#define SCE_HSM_INT_EN_9_SECURE                         0x0
#define SCE_HSM_INT_EN_9_DUAL                   0x0
#define SCE_HSM_INT_EN_9_SCR                    0
#define SCE_HSM_INT_EN_9_WORD_COUNT                     0x1
#define SCE_HSM_INT_EN_9_RESET_VAL                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_9_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_9_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_9_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_9_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_9_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_9_INT_EN_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_INT_EN_9_INT_EN_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_INT_EN_9_INT_EN_SHIFT)
#define SCE_HSM_INT_EN_9_INT_EN_RANGE                   31:0
#define SCE_HSM_INT_EN_9_INT_EN_WOFFSET                 0x0
#define SCE_HSM_INT_EN_9_INT_EN_DEFAULT                 _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_9_INT_EN_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_9_INT_EN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_9_INT_EN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_9_INT_EN_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_9_INT_EN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_9_INT_EN_INIT_ENUM                       -1


// Register SCE_HSM_INT_EN_10
#define SCE_HSM_INT_EN_10                       _MK_ADDR_CONST(0x228)
#define SCE_HSM_INT_EN_10_SECURE                        0x0
#define SCE_HSM_INT_EN_10_DUAL                  0x0
#define SCE_HSM_INT_EN_10_SCR                   0
#define SCE_HSM_INT_EN_10_WORD_COUNT                    0x1
#define SCE_HSM_INT_EN_10_RESET_VAL                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_10_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_10_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_10_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_10_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_10_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_10_INT_EN_SHIFT                  _MK_SHIFT_CONST(0)
#define SCE_HSM_INT_EN_10_INT_EN_FIELD                  _MK_FIELD_CONST(0xffffffff, SCE_HSM_INT_EN_10_INT_EN_SHIFT)
#define SCE_HSM_INT_EN_10_INT_EN_RANGE                  31:0
#define SCE_HSM_INT_EN_10_INT_EN_WOFFSET                        0x0
#define SCE_HSM_INT_EN_10_INT_EN_DEFAULT                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_10_INT_EN_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_10_INT_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_10_INT_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_10_INT_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_10_INT_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_10_INT_EN_INIT_ENUM                      -1


// Register SCE_HSM_INT_EN_11
#define SCE_HSM_INT_EN_11                       _MK_ADDR_CONST(0x22c)
#define SCE_HSM_INT_EN_11_SECURE                        0x0
#define SCE_HSM_INT_EN_11_DUAL                  0x0
#define SCE_HSM_INT_EN_11_SCR                   0
#define SCE_HSM_INT_EN_11_WORD_COUNT                    0x1
#define SCE_HSM_INT_EN_11_RESET_VAL                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_11_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_11_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_11_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_11_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_11_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_11_INT_EN_SHIFT                  _MK_SHIFT_CONST(0)
#define SCE_HSM_INT_EN_11_INT_EN_FIELD                  _MK_FIELD_CONST(0xffffffff, SCE_HSM_INT_EN_11_INT_EN_SHIFT)
#define SCE_HSM_INT_EN_11_INT_EN_RANGE                  31:0
#define SCE_HSM_INT_EN_11_INT_EN_WOFFSET                        0x0
#define SCE_HSM_INT_EN_11_INT_EN_DEFAULT                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_11_INT_EN_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_11_INT_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_11_INT_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_11_INT_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_11_INT_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_11_INT_EN_INIT_ENUM                      -1


// Register SCE_HSM_INT_EN_12
#define SCE_HSM_INT_EN_12                       _MK_ADDR_CONST(0x230)
#define SCE_HSM_INT_EN_12_SECURE                        0x0
#define SCE_HSM_INT_EN_12_DUAL                  0x0
#define SCE_HSM_INT_EN_12_SCR                   0
#define SCE_HSM_INT_EN_12_WORD_COUNT                    0x1
#define SCE_HSM_INT_EN_12_RESET_VAL                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_12_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_12_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_12_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_12_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_12_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_12_INT_EN_SHIFT                  _MK_SHIFT_CONST(0)
#define SCE_HSM_INT_EN_12_INT_EN_FIELD                  _MK_FIELD_CONST(0xffffffff, SCE_HSM_INT_EN_12_INT_EN_SHIFT)
#define SCE_HSM_INT_EN_12_INT_EN_RANGE                  31:0
#define SCE_HSM_INT_EN_12_INT_EN_WOFFSET                        0x0
#define SCE_HSM_INT_EN_12_INT_EN_DEFAULT                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_12_INT_EN_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_12_INT_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_12_INT_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_12_INT_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_12_INT_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_12_INT_EN_INIT_ENUM                      -1


// Register SCE_HSM_INT_EN_13
#define SCE_HSM_INT_EN_13                       _MK_ADDR_CONST(0x234)
#define SCE_HSM_INT_EN_13_SECURE                        0x0
#define SCE_HSM_INT_EN_13_DUAL                  0x0
#define SCE_HSM_INT_EN_13_SCR                   0
#define SCE_HSM_INT_EN_13_WORD_COUNT                    0x1
#define SCE_HSM_INT_EN_13_RESET_VAL                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_13_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_13_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_13_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_13_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_13_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_13_INT_EN_SHIFT                  _MK_SHIFT_CONST(0)
#define SCE_HSM_INT_EN_13_INT_EN_FIELD                  _MK_FIELD_CONST(0xffffffff, SCE_HSM_INT_EN_13_INT_EN_SHIFT)
#define SCE_HSM_INT_EN_13_INT_EN_RANGE                  31:0
#define SCE_HSM_INT_EN_13_INT_EN_WOFFSET                        0x0
#define SCE_HSM_INT_EN_13_INT_EN_DEFAULT                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_13_INT_EN_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_13_INT_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_13_INT_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_13_INT_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_13_INT_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_13_INT_EN_INIT_ENUM                      -1


// Register SCE_HSM_INT_EN_14
#define SCE_HSM_INT_EN_14                       _MK_ADDR_CONST(0x238)
#define SCE_HSM_INT_EN_14_SECURE                        0x0
#define SCE_HSM_INT_EN_14_DUAL                  0x0
#define SCE_HSM_INT_EN_14_SCR                   0
#define SCE_HSM_INT_EN_14_WORD_COUNT                    0x1
#define SCE_HSM_INT_EN_14_RESET_VAL                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_14_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_14_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_14_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_14_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_14_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_14_INT_EN_SHIFT                  _MK_SHIFT_CONST(0)
#define SCE_HSM_INT_EN_14_INT_EN_FIELD                  _MK_FIELD_CONST(0xffffffff, SCE_HSM_INT_EN_14_INT_EN_SHIFT)
#define SCE_HSM_INT_EN_14_INT_EN_RANGE                  31:0
#define SCE_HSM_INT_EN_14_INT_EN_WOFFSET                        0x0
#define SCE_HSM_INT_EN_14_INT_EN_DEFAULT                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_14_INT_EN_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_14_INT_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_14_INT_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_14_INT_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_14_INT_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_14_INT_EN_INIT_ENUM                      -1


// Register SCE_HSM_INT_EN_15
#define SCE_HSM_INT_EN_15                       _MK_ADDR_CONST(0x23c)
#define SCE_HSM_INT_EN_15_SECURE                        0x0
#define SCE_HSM_INT_EN_15_DUAL                  0x0
#define SCE_HSM_INT_EN_15_SCR                   0
#define SCE_HSM_INT_EN_15_WORD_COUNT                    0x1
#define SCE_HSM_INT_EN_15_RESET_VAL                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_15_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_15_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_15_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_15_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_15_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_15_INT_EN_SHIFT                  _MK_SHIFT_CONST(0)
#define SCE_HSM_INT_EN_15_INT_EN_FIELD                  _MK_FIELD_CONST(0xffffffff, SCE_HSM_INT_EN_15_INT_EN_SHIFT)
#define SCE_HSM_INT_EN_15_INT_EN_RANGE                  31:0
#define SCE_HSM_INT_EN_15_INT_EN_WOFFSET                        0x0
#define SCE_HSM_INT_EN_15_INT_EN_DEFAULT                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_15_INT_EN_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INT_EN_15_INT_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_15_INT_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_INT_EN_15_INT_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_15_INT_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SCE_HSM_INT_EN_15_INT_EN_INIT_ENUM                      -1


// Register SCE_HSM_INTR_CLASS_0
#define SCE_HSM_INTR_CLASS_0                    _MK_ADDR_CONST(0x240)
#define SCE_HSM_INTR_CLASS_0_SECURE                     0x0
#define SCE_HSM_INTR_CLASS_0_DUAL                       0x0
#define SCE_HSM_INTR_CLASS_0_SCR                        0
#define SCE_HSM_INTR_CLASS_0_WORD_COUNT                         0x1
#define SCE_HSM_INTR_CLASS_0_RESET_VAL                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_0_INTR_CLASS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_INTR_CLASS_0_INTR_CLASS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_INTR_CLASS_0_INTR_CLASS_SHIFT)
#define SCE_HSM_INTR_CLASS_0_INTR_CLASS_RANGE                   31:0
#define SCE_HSM_INTR_CLASS_0_INTR_CLASS_WOFFSET                 0x0
#define SCE_HSM_INTR_CLASS_0_INTR_CLASS_DEFAULT                 _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_0_INTR_CLASS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_0_INTR_CLASS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_0_INTR_CLASS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_0_INTR_CLASS_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_0_INTR_CLASS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_0_INTR_CLASS_INIT_ENUM                       -1


// Register SCE_HSM_INTR_CLASS
#define SCE_HSM_INTR_CLASS                      _MK_ADDR_CONST(0x240)
#define SCE_HSM_INTR_CLASS_SECURE                       0x0
#define SCE_HSM_INTR_CLASS_DUAL                         0x0
#define SCE_HSM_INTR_CLASS_SCR                  0
#define SCE_HSM_INTR_CLASS_WORD_COUNT                   0x1
#define SCE_HSM_INTR_CLASS_RESET_VAL                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_INTR_CLASS_SHIFT                     _MK_SHIFT_CONST(0)
#define SCE_HSM_INTR_CLASS_INTR_CLASS_FIELD                     _MK_FIELD_CONST(0xffffffff, SCE_HSM_INTR_CLASS_INTR_CLASS_SHIFT)
#define SCE_HSM_INTR_CLASS_INTR_CLASS_RANGE                     31:0
#define SCE_HSM_INTR_CLASS_INTR_CLASS_WOFFSET                   0x0
#define SCE_HSM_INTR_CLASS_INTR_CLASS_DEFAULT                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_INTR_CLASS_DEFAULT_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_INTR_CLASS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_INTR_CLASS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_INTR_CLASS_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_INTR_CLASS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_INTR_CLASS_INIT_ENUM                 -1


// Register SCE_HSM_INTR_CLASS_1
#define SCE_HSM_INTR_CLASS_1                    _MK_ADDR_CONST(0x244)
#define SCE_HSM_INTR_CLASS_1_SECURE                     0x0
#define SCE_HSM_INTR_CLASS_1_DUAL                       0x0
#define SCE_HSM_INTR_CLASS_1_SCR                        0
#define SCE_HSM_INTR_CLASS_1_WORD_COUNT                         0x1
#define SCE_HSM_INTR_CLASS_1_RESET_VAL                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_1_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_1_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_1_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_1_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_1_INTR_CLASS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_INTR_CLASS_1_INTR_CLASS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_INTR_CLASS_1_INTR_CLASS_SHIFT)
#define SCE_HSM_INTR_CLASS_1_INTR_CLASS_RANGE                   31:0
#define SCE_HSM_INTR_CLASS_1_INTR_CLASS_WOFFSET                 0x0
#define SCE_HSM_INTR_CLASS_1_INTR_CLASS_DEFAULT                 _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_1_INTR_CLASS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_1_INTR_CLASS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_1_INTR_CLASS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_1_INTR_CLASS_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_1_INTR_CLASS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_1_INTR_CLASS_INIT_ENUM                       -1


// Register SCE_HSM_INTR_CLASS_2
#define SCE_HSM_INTR_CLASS_2                    _MK_ADDR_CONST(0x248)
#define SCE_HSM_INTR_CLASS_2_SECURE                     0x0
#define SCE_HSM_INTR_CLASS_2_DUAL                       0x0
#define SCE_HSM_INTR_CLASS_2_SCR                        0
#define SCE_HSM_INTR_CLASS_2_WORD_COUNT                         0x1
#define SCE_HSM_INTR_CLASS_2_RESET_VAL                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_2_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_2_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_2_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_2_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_2_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_2_INTR_CLASS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_INTR_CLASS_2_INTR_CLASS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_INTR_CLASS_2_INTR_CLASS_SHIFT)
#define SCE_HSM_INTR_CLASS_2_INTR_CLASS_RANGE                   31:0
#define SCE_HSM_INTR_CLASS_2_INTR_CLASS_WOFFSET                 0x0
#define SCE_HSM_INTR_CLASS_2_INTR_CLASS_DEFAULT                 _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_2_INTR_CLASS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_2_INTR_CLASS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_2_INTR_CLASS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_2_INTR_CLASS_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_2_INTR_CLASS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_2_INTR_CLASS_INIT_ENUM                       -1


// Register SCE_HSM_INTR_CLASS_3
#define SCE_HSM_INTR_CLASS_3                    _MK_ADDR_CONST(0x24c)
#define SCE_HSM_INTR_CLASS_3_SECURE                     0x0
#define SCE_HSM_INTR_CLASS_3_DUAL                       0x0
#define SCE_HSM_INTR_CLASS_3_SCR                        0
#define SCE_HSM_INTR_CLASS_3_WORD_COUNT                         0x1
#define SCE_HSM_INTR_CLASS_3_RESET_VAL                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_3_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_3_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_3_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_3_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_3_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_3_INTR_CLASS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_INTR_CLASS_3_INTR_CLASS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_INTR_CLASS_3_INTR_CLASS_SHIFT)
#define SCE_HSM_INTR_CLASS_3_INTR_CLASS_RANGE                   31:0
#define SCE_HSM_INTR_CLASS_3_INTR_CLASS_WOFFSET                 0x0
#define SCE_HSM_INTR_CLASS_3_INTR_CLASS_DEFAULT                 _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_3_INTR_CLASS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_3_INTR_CLASS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_3_INTR_CLASS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_3_INTR_CLASS_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_3_INTR_CLASS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_3_INTR_CLASS_INIT_ENUM                       -1


// Register SCE_HSM_INTR_CLASS_4
#define SCE_HSM_INTR_CLASS_4                    _MK_ADDR_CONST(0x250)
#define SCE_HSM_INTR_CLASS_4_SECURE                     0x0
#define SCE_HSM_INTR_CLASS_4_DUAL                       0x0
#define SCE_HSM_INTR_CLASS_4_SCR                        0
#define SCE_HSM_INTR_CLASS_4_WORD_COUNT                         0x1
#define SCE_HSM_INTR_CLASS_4_RESET_VAL                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_4_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_4_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_4_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_4_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_4_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_4_INTR_CLASS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_INTR_CLASS_4_INTR_CLASS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_INTR_CLASS_4_INTR_CLASS_SHIFT)
#define SCE_HSM_INTR_CLASS_4_INTR_CLASS_RANGE                   31:0
#define SCE_HSM_INTR_CLASS_4_INTR_CLASS_WOFFSET                 0x0
#define SCE_HSM_INTR_CLASS_4_INTR_CLASS_DEFAULT                 _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_4_INTR_CLASS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_4_INTR_CLASS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_4_INTR_CLASS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_4_INTR_CLASS_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_4_INTR_CLASS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_4_INTR_CLASS_INIT_ENUM                       -1


// Register SCE_HSM_INTR_CLASS_5
#define SCE_HSM_INTR_CLASS_5                    _MK_ADDR_CONST(0x254)
#define SCE_HSM_INTR_CLASS_5_SECURE                     0x0
#define SCE_HSM_INTR_CLASS_5_DUAL                       0x0
#define SCE_HSM_INTR_CLASS_5_SCR                        0
#define SCE_HSM_INTR_CLASS_5_WORD_COUNT                         0x1
#define SCE_HSM_INTR_CLASS_5_RESET_VAL                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_5_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_5_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_5_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_5_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_5_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_5_INTR_CLASS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_INTR_CLASS_5_INTR_CLASS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_INTR_CLASS_5_INTR_CLASS_SHIFT)
#define SCE_HSM_INTR_CLASS_5_INTR_CLASS_RANGE                   31:0
#define SCE_HSM_INTR_CLASS_5_INTR_CLASS_WOFFSET                 0x0
#define SCE_HSM_INTR_CLASS_5_INTR_CLASS_DEFAULT                 _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_5_INTR_CLASS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_5_INTR_CLASS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_5_INTR_CLASS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_5_INTR_CLASS_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_5_INTR_CLASS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_5_INTR_CLASS_INIT_ENUM                       -1


// Register SCE_HSM_INTR_CLASS_6
#define SCE_HSM_INTR_CLASS_6                    _MK_ADDR_CONST(0x258)
#define SCE_HSM_INTR_CLASS_6_SECURE                     0x0
#define SCE_HSM_INTR_CLASS_6_DUAL                       0x0
#define SCE_HSM_INTR_CLASS_6_SCR                        0
#define SCE_HSM_INTR_CLASS_6_WORD_COUNT                         0x1
#define SCE_HSM_INTR_CLASS_6_RESET_VAL                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_6_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_6_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_6_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_6_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_6_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_6_INTR_CLASS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_INTR_CLASS_6_INTR_CLASS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_INTR_CLASS_6_INTR_CLASS_SHIFT)
#define SCE_HSM_INTR_CLASS_6_INTR_CLASS_RANGE                   31:0
#define SCE_HSM_INTR_CLASS_6_INTR_CLASS_WOFFSET                 0x0
#define SCE_HSM_INTR_CLASS_6_INTR_CLASS_DEFAULT                 _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_6_INTR_CLASS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_6_INTR_CLASS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_6_INTR_CLASS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_6_INTR_CLASS_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_6_INTR_CLASS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_6_INTR_CLASS_INIT_ENUM                       -1


// Register SCE_HSM_INTR_CLASS_7
#define SCE_HSM_INTR_CLASS_7                    _MK_ADDR_CONST(0x25c)
#define SCE_HSM_INTR_CLASS_7_SECURE                     0x0
#define SCE_HSM_INTR_CLASS_7_DUAL                       0x0
#define SCE_HSM_INTR_CLASS_7_SCR                        0
#define SCE_HSM_INTR_CLASS_7_WORD_COUNT                         0x1
#define SCE_HSM_INTR_CLASS_7_RESET_VAL                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_7_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_7_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_7_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_7_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_7_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_7_INTR_CLASS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_INTR_CLASS_7_INTR_CLASS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_INTR_CLASS_7_INTR_CLASS_SHIFT)
#define SCE_HSM_INTR_CLASS_7_INTR_CLASS_RANGE                   31:0
#define SCE_HSM_INTR_CLASS_7_INTR_CLASS_WOFFSET                 0x0
#define SCE_HSM_INTR_CLASS_7_INTR_CLASS_DEFAULT                 _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_7_INTR_CLASS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_7_INTR_CLASS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_7_INTR_CLASS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_7_INTR_CLASS_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_7_INTR_CLASS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_7_INTR_CLASS_INIT_ENUM                       -1


// Register SCE_HSM_INTR_CLASS_8
#define SCE_HSM_INTR_CLASS_8                    _MK_ADDR_CONST(0x260)
#define SCE_HSM_INTR_CLASS_8_SECURE                     0x0
#define SCE_HSM_INTR_CLASS_8_DUAL                       0x0
#define SCE_HSM_INTR_CLASS_8_SCR                        0
#define SCE_HSM_INTR_CLASS_8_WORD_COUNT                         0x1
#define SCE_HSM_INTR_CLASS_8_RESET_VAL                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_8_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_8_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_8_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_8_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_8_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_8_INTR_CLASS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_INTR_CLASS_8_INTR_CLASS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_INTR_CLASS_8_INTR_CLASS_SHIFT)
#define SCE_HSM_INTR_CLASS_8_INTR_CLASS_RANGE                   31:0
#define SCE_HSM_INTR_CLASS_8_INTR_CLASS_WOFFSET                 0x0
#define SCE_HSM_INTR_CLASS_8_INTR_CLASS_DEFAULT                 _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_8_INTR_CLASS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_8_INTR_CLASS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_8_INTR_CLASS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_8_INTR_CLASS_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_8_INTR_CLASS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_8_INTR_CLASS_INIT_ENUM                       -1


// Register SCE_HSM_INTR_CLASS_9
#define SCE_HSM_INTR_CLASS_9                    _MK_ADDR_CONST(0x264)
#define SCE_HSM_INTR_CLASS_9_SECURE                     0x0
#define SCE_HSM_INTR_CLASS_9_DUAL                       0x0
#define SCE_HSM_INTR_CLASS_9_SCR                        0
#define SCE_HSM_INTR_CLASS_9_WORD_COUNT                         0x1
#define SCE_HSM_INTR_CLASS_9_RESET_VAL                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_9_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_9_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_9_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_9_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_9_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_9_INTR_CLASS_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_INTR_CLASS_9_INTR_CLASS_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_INTR_CLASS_9_INTR_CLASS_SHIFT)
#define SCE_HSM_INTR_CLASS_9_INTR_CLASS_RANGE                   31:0
#define SCE_HSM_INTR_CLASS_9_INTR_CLASS_WOFFSET                 0x0
#define SCE_HSM_INTR_CLASS_9_INTR_CLASS_DEFAULT                 _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_9_INTR_CLASS_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_9_INTR_CLASS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_9_INTR_CLASS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_9_INTR_CLASS_PARITY_PROTECTION                       _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_9_INTR_CLASS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_9_INTR_CLASS_INIT_ENUM                       -1


// Register SCE_HSM_INTR_CLASS_10
#define SCE_HSM_INTR_CLASS_10                   _MK_ADDR_CONST(0x268)
#define SCE_HSM_INTR_CLASS_10_SECURE                    0x0
#define SCE_HSM_INTR_CLASS_10_DUAL                      0x0
#define SCE_HSM_INTR_CLASS_10_SCR                       0
#define SCE_HSM_INTR_CLASS_10_WORD_COUNT                        0x1
#define SCE_HSM_INTR_CLASS_10_RESET_VAL                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_10_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_10_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_10_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_10_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_10_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_10_INTR_CLASS_SHIFT                  _MK_SHIFT_CONST(0)
#define SCE_HSM_INTR_CLASS_10_INTR_CLASS_FIELD                  _MK_FIELD_CONST(0xffffffff, SCE_HSM_INTR_CLASS_10_INTR_CLASS_SHIFT)
#define SCE_HSM_INTR_CLASS_10_INTR_CLASS_RANGE                  31:0
#define SCE_HSM_INTR_CLASS_10_INTR_CLASS_WOFFSET                        0x0
#define SCE_HSM_INTR_CLASS_10_INTR_CLASS_DEFAULT                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_10_INTR_CLASS_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_10_INTR_CLASS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_10_INTR_CLASS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_10_INTR_CLASS_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_10_INTR_CLASS_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_10_INTR_CLASS_INIT_ENUM                      -1


// Register SCE_HSM_INTR_CLASS_11
#define SCE_HSM_INTR_CLASS_11                   _MK_ADDR_CONST(0x26c)
#define SCE_HSM_INTR_CLASS_11_SECURE                    0x0
#define SCE_HSM_INTR_CLASS_11_DUAL                      0x0
#define SCE_HSM_INTR_CLASS_11_SCR                       0
#define SCE_HSM_INTR_CLASS_11_WORD_COUNT                        0x1
#define SCE_HSM_INTR_CLASS_11_RESET_VAL                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_11_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_11_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_11_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_11_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_11_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_11_INTR_CLASS_SHIFT                  _MK_SHIFT_CONST(0)
#define SCE_HSM_INTR_CLASS_11_INTR_CLASS_FIELD                  _MK_FIELD_CONST(0xffffffff, SCE_HSM_INTR_CLASS_11_INTR_CLASS_SHIFT)
#define SCE_HSM_INTR_CLASS_11_INTR_CLASS_RANGE                  31:0
#define SCE_HSM_INTR_CLASS_11_INTR_CLASS_WOFFSET                        0x0
#define SCE_HSM_INTR_CLASS_11_INTR_CLASS_DEFAULT                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_11_INTR_CLASS_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_11_INTR_CLASS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_11_INTR_CLASS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_11_INTR_CLASS_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_11_INTR_CLASS_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_11_INTR_CLASS_INIT_ENUM                      -1


// Register SCE_HSM_INTR_CLASS_12
#define SCE_HSM_INTR_CLASS_12                   _MK_ADDR_CONST(0x270)
#define SCE_HSM_INTR_CLASS_12_SECURE                    0x0
#define SCE_HSM_INTR_CLASS_12_DUAL                      0x0
#define SCE_HSM_INTR_CLASS_12_SCR                       0
#define SCE_HSM_INTR_CLASS_12_WORD_COUNT                        0x1
#define SCE_HSM_INTR_CLASS_12_RESET_VAL                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_12_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_12_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_12_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_12_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_12_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_12_INTR_CLASS_SHIFT                  _MK_SHIFT_CONST(0)
#define SCE_HSM_INTR_CLASS_12_INTR_CLASS_FIELD                  _MK_FIELD_CONST(0xffffffff, SCE_HSM_INTR_CLASS_12_INTR_CLASS_SHIFT)
#define SCE_HSM_INTR_CLASS_12_INTR_CLASS_RANGE                  31:0
#define SCE_HSM_INTR_CLASS_12_INTR_CLASS_WOFFSET                        0x0
#define SCE_HSM_INTR_CLASS_12_INTR_CLASS_DEFAULT                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_12_INTR_CLASS_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_12_INTR_CLASS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_12_INTR_CLASS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_12_INTR_CLASS_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_12_INTR_CLASS_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_12_INTR_CLASS_INIT_ENUM                      -1


// Register SCE_HSM_INTR_CLASS_13
#define SCE_HSM_INTR_CLASS_13                   _MK_ADDR_CONST(0x274)
#define SCE_HSM_INTR_CLASS_13_SECURE                    0x0
#define SCE_HSM_INTR_CLASS_13_DUAL                      0x0
#define SCE_HSM_INTR_CLASS_13_SCR                       0
#define SCE_HSM_INTR_CLASS_13_WORD_COUNT                        0x1
#define SCE_HSM_INTR_CLASS_13_RESET_VAL                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_13_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_13_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_13_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_13_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_13_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_13_INTR_CLASS_SHIFT                  _MK_SHIFT_CONST(0)
#define SCE_HSM_INTR_CLASS_13_INTR_CLASS_FIELD                  _MK_FIELD_CONST(0xffffffff, SCE_HSM_INTR_CLASS_13_INTR_CLASS_SHIFT)
#define SCE_HSM_INTR_CLASS_13_INTR_CLASS_RANGE                  31:0
#define SCE_HSM_INTR_CLASS_13_INTR_CLASS_WOFFSET                        0x0
#define SCE_HSM_INTR_CLASS_13_INTR_CLASS_DEFAULT                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_13_INTR_CLASS_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_13_INTR_CLASS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_13_INTR_CLASS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_13_INTR_CLASS_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_13_INTR_CLASS_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_13_INTR_CLASS_INIT_ENUM                      -1


// Register SCE_HSM_INTR_CLASS_14
#define SCE_HSM_INTR_CLASS_14                   _MK_ADDR_CONST(0x278)
#define SCE_HSM_INTR_CLASS_14_SECURE                    0x0
#define SCE_HSM_INTR_CLASS_14_DUAL                      0x0
#define SCE_HSM_INTR_CLASS_14_SCR                       0
#define SCE_HSM_INTR_CLASS_14_WORD_COUNT                        0x1
#define SCE_HSM_INTR_CLASS_14_RESET_VAL                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_14_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_14_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_14_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_14_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_14_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_14_INTR_CLASS_SHIFT                  _MK_SHIFT_CONST(0)
#define SCE_HSM_INTR_CLASS_14_INTR_CLASS_FIELD                  _MK_FIELD_CONST(0xffffffff, SCE_HSM_INTR_CLASS_14_INTR_CLASS_SHIFT)
#define SCE_HSM_INTR_CLASS_14_INTR_CLASS_RANGE                  31:0
#define SCE_HSM_INTR_CLASS_14_INTR_CLASS_WOFFSET                        0x0
#define SCE_HSM_INTR_CLASS_14_INTR_CLASS_DEFAULT                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_14_INTR_CLASS_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_14_INTR_CLASS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_14_INTR_CLASS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_14_INTR_CLASS_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_14_INTR_CLASS_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_14_INTR_CLASS_INIT_ENUM                      -1


// Register SCE_HSM_INTR_CLASS_15
#define SCE_HSM_INTR_CLASS_15                   _MK_ADDR_CONST(0x27c)
#define SCE_HSM_INTR_CLASS_15_SECURE                    0x0
#define SCE_HSM_INTR_CLASS_15_DUAL                      0x0
#define SCE_HSM_INTR_CLASS_15_SCR                       0
#define SCE_HSM_INTR_CLASS_15_WORD_COUNT                        0x1
#define SCE_HSM_INTR_CLASS_15_RESET_VAL                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_15_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_15_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_15_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_15_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_15_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_15_INTR_CLASS_SHIFT                  _MK_SHIFT_CONST(0)
#define SCE_HSM_INTR_CLASS_15_INTR_CLASS_FIELD                  _MK_FIELD_CONST(0xffffffff, SCE_HSM_INTR_CLASS_15_INTR_CLASS_SHIFT)
#define SCE_HSM_INTR_CLASS_15_INTR_CLASS_RANGE                  31:0
#define SCE_HSM_INTR_CLASS_15_INTR_CLASS_WOFFSET                        0x0
#define SCE_HSM_INTR_CLASS_15_INTR_CLASS_DEFAULT                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_15_INTR_CLASS_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_INTR_CLASS_15_INTR_CLASS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_15_INTR_CLASS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_INTR_CLASS_15_INTR_CLASS_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_15_INTR_CLASS_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SCE_HSM_INTR_CLASS_15_INTR_CLASS_INIT_ENUM                      -1


// Register SCE_HSM_TIMER_EN_0
#define SCE_HSM_TIMER_EN_0                      _MK_ADDR_CONST(0x280)
#define SCE_HSM_TIMER_EN_0_SECURE                       0x0
#define SCE_HSM_TIMER_EN_0_DUAL                         0x0
#define SCE_HSM_TIMER_EN_0_SCR                  0
#define SCE_HSM_TIMER_EN_0_WORD_COUNT                   0x1
#define SCE_HSM_TIMER_EN_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_0_TIMER_EN_SHIFT                       _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_EN_0_TIMER_EN_FIELD                       _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_EN_0_TIMER_EN_SHIFT)
#define SCE_HSM_TIMER_EN_0_TIMER_EN_RANGE                       31:0
#define SCE_HSM_TIMER_EN_0_TIMER_EN_WOFFSET                     0x0
#define SCE_HSM_TIMER_EN_0_TIMER_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_0_TIMER_EN_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_0_TIMER_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_0_TIMER_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_0_TIMER_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define SCE_HSM_TIMER_EN_0_TIMER_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_EN
#define SCE_HSM_TIMER_EN                        _MK_ADDR_CONST(0x280)
#define SCE_HSM_TIMER_EN_SECURE                         0x0
#define SCE_HSM_TIMER_EN_DUAL                   0x0
#define SCE_HSM_TIMER_EN_SCR                    0
#define SCE_HSM_TIMER_EN_WORD_COUNT                     0x1
#define SCE_HSM_TIMER_EN_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_TIMER_EN_SHIFT                 _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_EN_TIMER_EN_FIELD                 _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_EN_TIMER_EN_SHIFT)
#define SCE_HSM_TIMER_EN_TIMER_EN_RANGE                 31:0
#define SCE_HSM_TIMER_EN_TIMER_EN_WOFFSET                       0x0
#define SCE_HSM_TIMER_EN_TIMER_EN_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_TIMER_EN_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_TIMER_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_TIMER_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_TIMER_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define SCE_HSM_TIMER_EN_TIMER_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_EN_1
#define SCE_HSM_TIMER_EN_1                      _MK_ADDR_CONST(0x284)
#define SCE_HSM_TIMER_EN_1_SECURE                       0x0
#define SCE_HSM_TIMER_EN_1_DUAL                         0x0
#define SCE_HSM_TIMER_EN_1_SCR                  0
#define SCE_HSM_TIMER_EN_1_WORD_COUNT                   0x1
#define SCE_HSM_TIMER_EN_1_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_1_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_1_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_1_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_1_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_1_TIMER_EN_SHIFT                       _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_EN_1_TIMER_EN_FIELD                       _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_EN_1_TIMER_EN_SHIFT)
#define SCE_HSM_TIMER_EN_1_TIMER_EN_RANGE                       31:0
#define SCE_HSM_TIMER_EN_1_TIMER_EN_WOFFSET                     0x0
#define SCE_HSM_TIMER_EN_1_TIMER_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_1_TIMER_EN_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_1_TIMER_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_1_TIMER_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_1_TIMER_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define SCE_HSM_TIMER_EN_1_TIMER_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_EN_2
#define SCE_HSM_TIMER_EN_2                      _MK_ADDR_CONST(0x288)
#define SCE_HSM_TIMER_EN_2_SECURE                       0x0
#define SCE_HSM_TIMER_EN_2_DUAL                         0x0
#define SCE_HSM_TIMER_EN_2_SCR                  0
#define SCE_HSM_TIMER_EN_2_WORD_COUNT                   0x1
#define SCE_HSM_TIMER_EN_2_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_2_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_2_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_2_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_2_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_2_TIMER_EN_SHIFT                       _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_EN_2_TIMER_EN_FIELD                       _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_EN_2_TIMER_EN_SHIFT)
#define SCE_HSM_TIMER_EN_2_TIMER_EN_RANGE                       31:0
#define SCE_HSM_TIMER_EN_2_TIMER_EN_WOFFSET                     0x0
#define SCE_HSM_TIMER_EN_2_TIMER_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_2_TIMER_EN_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_2_TIMER_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_2_TIMER_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_2_TIMER_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define SCE_HSM_TIMER_EN_2_TIMER_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_EN_3
#define SCE_HSM_TIMER_EN_3                      _MK_ADDR_CONST(0x28c)
#define SCE_HSM_TIMER_EN_3_SECURE                       0x0
#define SCE_HSM_TIMER_EN_3_DUAL                         0x0
#define SCE_HSM_TIMER_EN_3_SCR                  0
#define SCE_HSM_TIMER_EN_3_WORD_COUNT                   0x1
#define SCE_HSM_TIMER_EN_3_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_3_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_3_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_3_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_3_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_3_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_3_TIMER_EN_SHIFT                       _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_EN_3_TIMER_EN_FIELD                       _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_EN_3_TIMER_EN_SHIFT)
#define SCE_HSM_TIMER_EN_3_TIMER_EN_RANGE                       31:0
#define SCE_HSM_TIMER_EN_3_TIMER_EN_WOFFSET                     0x0
#define SCE_HSM_TIMER_EN_3_TIMER_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_3_TIMER_EN_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_3_TIMER_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_3_TIMER_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_3_TIMER_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define SCE_HSM_TIMER_EN_3_TIMER_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_EN_4
#define SCE_HSM_TIMER_EN_4                      _MK_ADDR_CONST(0x290)
#define SCE_HSM_TIMER_EN_4_SECURE                       0x0
#define SCE_HSM_TIMER_EN_4_DUAL                         0x0
#define SCE_HSM_TIMER_EN_4_SCR                  0
#define SCE_HSM_TIMER_EN_4_WORD_COUNT                   0x1
#define SCE_HSM_TIMER_EN_4_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_4_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_4_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_4_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_4_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_4_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_4_TIMER_EN_SHIFT                       _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_EN_4_TIMER_EN_FIELD                       _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_EN_4_TIMER_EN_SHIFT)
#define SCE_HSM_TIMER_EN_4_TIMER_EN_RANGE                       31:0
#define SCE_HSM_TIMER_EN_4_TIMER_EN_WOFFSET                     0x0
#define SCE_HSM_TIMER_EN_4_TIMER_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_4_TIMER_EN_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_4_TIMER_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_4_TIMER_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_4_TIMER_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define SCE_HSM_TIMER_EN_4_TIMER_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_EN_5
#define SCE_HSM_TIMER_EN_5                      _MK_ADDR_CONST(0x294)
#define SCE_HSM_TIMER_EN_5_SECURE                       0x0
#define SCE_HSM_TIMER_EN_5_DUAL                         0x0
#define SCE_HSM_TIMER_EN_5_SCR                  0
#define SCE_HSM_TIMER_EN_5_WORD_COUNT                   0x1
#define SCE_HSM_TIMER_EN_5_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_5_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_5_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_5_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_5_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_5_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_5_TIMER_EN_SHIFT                       _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_EN_5_TIMER_EN_FIELD                       _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_EN_5_TIMER_EN_SHIFT)
#define SCE_HSM_TIMER_EN_5_TIMER_EN_RANGE                       31:0
#define SCE_HSM_TIMER_EN_5_TIMER_EN_WOFFSET                     0x0
#define SCE_HSM_TIMER_EN_5_TIMER_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_5_TIMER_EN_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_5_TIMER_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_5_TIMER_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_5_TIMER_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define SCE_HSM_TIMER_EN_5_TIMER_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_EN_6
#define SCE_HSM_TIMER_EN_6                      _MK_ADDR_CONST(0x298)
#define SCE_HSM_TIMER_EN_6_SECURE                       0x0
#define SCE_HSM_TIMER_EN_6_DUAL                         0x0
#define SCE_HSM_TIMER_EN_6_SCR                  0
#define SCE_HSM_TIMER_EN_6_WORD_COUNT                   0x1
#define SCE_HSM_TIMER_EN_6_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_6_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_6_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_6_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_6_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_6_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_6_TIMER_EN_SHIFT                       _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_EN_6_TIMER_EN_FIELD                       _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_EN_6_TIMER_EN_SHIFT)
#define SCE_HSM_TIMER_EN_6_TIMER_EN_RANGE                       31:0
#define SCE_HSM_TIMER_EN_6_TIMER_EN_WOFFSET                     0x0
#define SCE_HSM_TIMER_EN_6_TIMER_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_6_TIMER_EN_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_6_TIMER_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_6_TIMER_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_6_TIMER_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define SCE_HSM_TIMER_EN_6_TIMER_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_EN_7
#define SCE_HSM_TIMER_EN_7                      _MK_ADDR_CONST(0x29c)
#define SCE_HSM_TIMER_EN_7_SECURE                       0x0
#define SCE_HSM_TIMER_EN_7_DUAL                         0x0
#define SCE_HSM_TIMER_EN_7_SCR                  0
#define SCE_HSM_TIMER_EN_7_WORD_COUNT                   0x1
#define SCE_HSM_TIMER_EN_7_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_7_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_7_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_7_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_7_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_7_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_7_TIMER_EN_SHIFT                       _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_EN_7_TIMER_EN_FIELD                       _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_EN_7_TIMER_EN_SHIFT)
#define SCE_HSM_TIMER_EN_7_TIMER_EN_RANGE                       31:0
#define SCE_HSM_TIMER_EN_7_TIMER_EN_WOFFSET                     0x0
#define SCE_HSM_TIMER_EN_7_TIMER_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_7_TIMER_EN_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_7_TIMER_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_7_TIMER_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_7_TIMER_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define SCE_HSM_TIMER_EN_7_TIMER_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_EN_8
#define SCE_HSM_TIMER_EN_8                      _MK_ADDR_CONST(0x2a0)
#define SCE_HSM_TIMER_EN_8_SECURE                       0x0
#define SCE_HSM_TIMER_EN_8_DUAL                         0x0
#define SCE_HSM_TIMER_EN_8_SCR                  0
#define SCE_HSM_TIMER_EN_8_WORD_COUNT                   0x1
#define SCE_HSM_TIMER_EN_8_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_8_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_8_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_8_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_8_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_8_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_8_TIMER_EN_SHIFT                       _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_EN_8_TIMER_EN_FIELD                       _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_EN_8_TIMER_EN_SHIFT)
#define SCE_HSM_TIMER_EN_8_TIMER_EN_RANGE                       31:0
#define SCE_HSM_TIMER_EN_8_TIMER_EN_WOFFSET                     0x0
#define SCE_HSM_TIMER_EN_8_TIMER_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_8_TIMER_EN_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_8_TIMER_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_8_TIMER_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_8_TIMER_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define SCE_HSM_TIMER_EN_8_TIMER_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_EN_9
#define SCE_HSM_TIMER_EN_9                      _MK_ADDR_CONST(0x2a4)
#define SCE_HSM_TIMER_EN_9_SECURE                       0x0
#define SCE_HSM_TIMER_EN_9_DUAL                         0x0
#define SCE_HSM_TIMER_EN_9_SCR                  0
#define SCE_HSM_TIMER_EN_9_WORD_COUNT                   0x1
#define SCE_HSM_TIMER_EN_9_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_9_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_9_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_9_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_9_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_9_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_9_TIMER_EN_SHIFT                       _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_EN_9_TIMER_EN_FIELD                       _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_EN_9_TIMER_EN_SHIFT)
#define SCE_HSM_TIMER_EN_9_TIMER_EN_RANGE                       31:0
#define SCE_HSM_TIMER_EN_9_TIMER_EN_WOFFSET                     0x0
#define SCE_HSM_TIMER_EN_9_TIMER_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_9_TIMER_EN_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_9_TIMER_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_9_TIMER_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_9_TIMER_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x1)
#define SCE_HSM_TIMER_EN_9_TIMER_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_EN_10
#define SCE_HSM_TIMER_EN_10                     _MK_ADDR_CONST(0x2a8)
#define SCE_HSM_TIMER_EN_10_SECURE                      0x0
#define SCE_HSM_TIMER_EN_10_DUAL                        0x0
#define SCE_HSM_TIMER_EN_10_SCR                         0
#define SCE_HSM_TIMER_EN_10_WORD_COUNT                  0x1
#define SCE_HSM_TIMER_EN_10_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_10_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_10_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_10_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_10_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_10_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_10_TIMER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_EN_10_TIMER_EN_FIELD                      _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_EN_10_TIMER_EN_SHIFT)
#define SCE_HSM_TIMER_EN_10_TIMER_EN_RANGE                      31:0
#define SCE_HSM_TIMER_EN_10_TIMER_EN_WOFFSET                    0x0
#define SCE_HSM_TIMER_EN_10_TIMER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_10_TIMER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_10_TIMER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_10_TIMER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_10_TIMER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define SCE_HSM_TIMER_EN_10_TIMER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_EN_11
#define SCE_HSM_TIMER_EN_11                     _MK_ADDR_CONST(0x2ac)
#define SCE_HSM_TIMER_EN_11_SECURE                      0x0
#define SCE_HSM_TIMER_EN_11_DUAL                        0x0
#define SCE_HSM_TIMER_EN_11_SCR                         0
#define SCE_HSM_TIMER_EN_11_WORD_COUNT                  0x1
#define SCE_HSM_TIMER_EN_11_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_11_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_11_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_11_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_11_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_11_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_11_TIMER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_EN_11_TIMER_EN_FIELD                      _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_EN_11_TIMER_EN_SHIFT)
#define SCE_HSM_TIMER_EN_11_TIMER_EN_RANGE                      31:0
#define SCE_HSM_TIMER_EN_11_TIMER_EN_WOFFSET                    0x0
#define SCE_HSM_TIMER_EN_11_TIMER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_11_TIMER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_11_TIMER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_11_TIMER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_11_TIMER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define SCE_HSM_TIMER_EN_11_TIMER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_EN_12
#define SCE_HSM_TIMER_EN_12                     _MK_ADDR_CONST(0x2b0)
#define SCE_HSM_TIMER_EN_12_SECURE                      0x0
#define SCE_HSM_TIMER_EN_12_DUAL                        0x0
#define SCE_HSM_TIMER_EN_12_SCR                         0
#define SCE_HSM_TIMER_EN_12_WORD_COUNT                  0x1
#define SCE_HSM_TIMER_EN_12_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_12_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_12_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_12_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_12_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_12_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_12_TIMER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_EN_12_TIMER_EN_FIELD                      _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_EN_12_TIMER_EN_SHIFT)
#define SCE_HSM_TIMER_EN_12_TIMER_EN_RANGE                      31:0
#define SCE_HSM_TIMER_EN_12_TIMER_EN_WOFFSET                    0x0
#define SCE_HSM_TIMER_EN_12_TIMER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_12_TIMER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_12_TIMER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_12_TIMER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_12_TIMER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define SCE_HSM_TIMER_EN_12_TIMER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_EN_13
#define SCE_HSM_TIMER_EN_13                     _MK_ADDR_CONST(0x2b4)
#define SCE_HSM_TIMER_EN_13_SECURE                      0x0
#define SCE_HSM_TIMER_EN_13_DUAL                        0x0
#define SCE_HSM_TIMER_EN_13_SCR                         0
#define SCE_HSM_TIMER_EN_13_WORD_COUNT                  0x1
#define SCE_HSM_TIMER_EN_13_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_13_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_13_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_13_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_13_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_13_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_13_TIMER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_EN_13_TIMER_EN_FIELD                      _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_EN_13_TIMER_EN_SHIFT)
#define SCE_HSM_TIMER_EN_13_TIMER_EN_RANGE                      31:0
#define SCE_HSM_TIMER_EN_13_TIMER_EN_WOFFSET                    0x0
#define SCE_HSM_TIMER_EN_13_TIMER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_13_TIMER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_13_TIMER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_13_TIMER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_13_TIMER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define SCE_HSM_TIMER_EN_13_TIMER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_EN_14
#define SCE_HSM_TIMER_EN_14                     _MK_ADDR_CONST(0x2b8)
#define SCE_HSM_TIMER_EN_14_SECURE                      0x0
#define SCE_HSM_TIMER_EN_14_DUAL                        0x0
#define SCE_HSM_TIMER_EN_14_SCR                         0
#define SCE_HSM_TIMER_EN_14_WORD_COUNT                  0x1
#define SCE_HSM_TIMER_EN_14_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_14_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_14_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_14_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_14_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_14_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_14_TIMER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_EN_14_TIMER_EN_FIELD                      _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_EN_14_TIMER_EN_SHIFT)
#define SCE_HSM_TIMER_EN_14_TIMER_EN_RANGE                      31:0
#define SCE_HSM_TIMER_EN_14_TIMER_EN_WOFFSET                    0x0
#define SCE_HSM_TIMER_EN_14_TIMER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_14_TIMER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_14_TIMER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_14_TIMER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_14_TIMER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define SCE_HSM_TIMER_EN_14_TIMER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_EN_15
#define SCE_HSM_TIMER_EN_15                     _MK_ADDR_CONST(0x2bc)
#define SCE_HSM_TIMER_EN_15_SECURE                      0x0
#define SCE_HSM_TIMER_EN_15_DUAL                        0x0
#define SCE_HSM_TIMER_EN_15_SCR                         0
#define SCE_HSM_TIMER_EN_15_WORD_COUNT                  0x1
#define SCE_HSM_TIMER_EN_15_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_15_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_15_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_15_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_15_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_15_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_15_TIMER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_EN_15_TIMER_EN_FIELD                      _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_EN_15_TIMER_EN_SHIFT)
#define SCE_HSM_TIMER_EN_15_TIMER_EN_RANGE                      31:0
#define SCE_HSM_TIMER_EN_15_TIMER_EN_WOFFSET                    0x0
#define SCE_HSM_TIMER_EN_15_TIMER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_15_TIMER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_EN_15_TIMER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_15_TIMER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_EN_15_TIMER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define SCE_HSM_TIMER_EN_15_TIMER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_SET_0
#define SCE_HSM_FORCE_SET_0                     _MK_ADDR_CONST(0x300)
#define SCE_HSM_FORCE_SET_0_SECURE                      0x0
#define SCE_HSM_FORCE_SET_0_DUAL                        0x0
#define SCE_HSM_FORCE_SET_0_SCR                         0
#define SCE_HSM_FORCE_SET_0_WORD_COUNT                  0x1
#define SCE_HSM_FORCE_SET_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_0_SET_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_SET_0_SET_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_SET_0_SET_SHIFT)
#define SCE_HSM_FORCE_SET_0_SET_RANGE                   31:0
#define SCE_HSM_FORCE_SET_0_SET_WOFFSET                 0x0
#define SCE_HSM_FORCE_SET_0_SET_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_0_SET_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_0_SET_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_0_SET_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_0_SET_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_0_SET_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_SET
#define SCE_HSM_FORCE_SET                       _MK_ADDR_CONST(0x300)
#define SCE_HSM_FORCE_SET_SECURE                        0x0
#define SCE_HSM_FORCE_SET_DUAL                  0x0
#define SCE_HSM_FORCE_SET_SCR                   0
#define SCE_HSM_FORCE_SET_WORD_COUNT                    0x1
#define SCE_HSM_FORCE_SET_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_SET_SHIFT                     _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_SET_SET_FIELD                     _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_SET_SET_SHIFT)
#define SCE_HSM_FORCE_SET_SET_RANGE                     31:0
#define SCE_HSM_FORCE_SET_SET_WOFFSET                   0x0
#define SCE_HSM_FORCE_SET_SET_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_SET_DEFAULT_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_SET_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_SET_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_SET_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_SET_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_SET_1
#define SCE_HSM_FORCE_SET_1                     _MK_ADDR_CONST(0x304)
#define SCE_HSM_FORCE_SET_1_SECURE                      0x0
#define SCE_HSM_FORCE_SET_1_DUAL                        0x0
#define SCE_HSM_FORCE_SET_1_SCR                         0
#define SCE_HSM_FORCE_SET_1_WORD_COUNT                  0x1
#define SCE_HSM_FORCE_SET_1_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_1_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_1_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_1_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_1_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_1_SET_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_SET_1_SET_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_SET_1_SET_SHIFT)
#define SCE_HSM_FORCE_SET_1_SET_RANGE                   31:0
#define SCE_HSM_FORCE_SET_1_SET_WOFFSET                 0x0
#define SCE_HSM_FORCE_SET_1_SET_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_1_SET_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_1_SET_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_1_SET_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_1_SET_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_1_SET_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_SET_2
#define SCE_HSM_FORCE_SET_2                     _MK_ADDR_CONST(0x308)
#define SCE_HSM_FORCE_SET_2_SECURE                      0x0
#define SCE_HSM_FORCE_SET_2_DUAL                        0x0
#define SCE_HSM_FORCE_SET_2_SCR                         0
#define SCE_HSM_FORCE_SET_2_WORD_COUNT                  0x1
#define SCE_HSM_FORCE_SET_2_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_2_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_2_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_2_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_2_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_2_SET_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_SET_2_SET_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_SET_2_SET_SHIFT)
#define SCE_HSM_FORCE_SET_2_SET_RANGE                   31:0
#define SCE_HSM_FORCE_SET_2_SET_WOFFSET                 0x0
#define SCE_HSM_FORCE_SET_2_SET_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_2_SET_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_2_SET_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_2_SET_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_2_SET_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_2_SET_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_SET_3
#define SCE_HSM_FORCE_SET_3                     _MK_ADDR_CONST(0x30c)
#define SCE_HSM_FORCE_SET_3_SECURE                      0x0
#define SCE_HSM_FORCE_SET_3_DUAL                        0x0
#define SCE_HSM_FORCE_SET_3_SCR                         0
#define SCE_HSM_FORCE_SET_3_WORD_COUNT                  0x1
#define SCE_HSM_FORCE_SET_3_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_3_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_3_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_3_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_3_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_3_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_3_SET_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_SET_3_SET_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_SET_3_SET_SHIFT)
#define SCE_HSM_FORCE_SET_3_SET_RANGE                   31:0
#define SCE_HSM_FORCE_SET_3_SET_WOFFSET                 0x0
#define SCE_HSM_FORCE_SET_3_SET_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_3_SET_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_3_SET_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_3_SET_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_3_SET_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_3_SET_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_SET_4
#define SCE_HSM_FORCE_SET_4                     _MK_ADDR_CONST(0x310)
#define SCE_HSM_FORCE_SET_4_SECURE                      0x0
#define SCE_HSM_FORCE_SET_4_DUAL                        0x0
#define SCE_HSM_FORCE_SET_4_SCR                         0
#define SCE_HSM_FORCE_SET_4_WORD_COUNT                  0x1
#define SCE_HSM_FORCE_SET_4_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_4_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_4_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_4_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_4_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_4_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_4_SET_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_SET_4_SET_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_SET_4_SET_SHIFT)
#define SCE_HSM_FORCE_SET_4_SET_RANGE                   31:0
#define SCE_HSM_FORCE_SET_4_SET_WOFFSET                 0x0
#define SCE_HSM_FORCE_SET_4_SET_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_4_SET_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_4_SET_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_4_SET_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_4_SET_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_4_SET_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_SET_5
#define SCE_HSM_FORCE_SET_5                     _MK_ADDR_CONST(0x314)
#define SCE_HSM_FORCE_SET_5_SECURE                      0x0
#define SCE_HSM_FORCE_SET_5_DUAL                        0x0
#define SCE_HSM_FORCE_SET_5_SCR                         0
#define SCE_HSM_FORCE_SET_5_WORD_COUNT                  0x1
#define SCE_HSM_FORCE_SET_5_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_5_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_5_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_5_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_5_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_5_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_5_SET_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_SET_5_SET_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_SET_5_SET_SHIFT)
#define SCE_HSM_FORCE_SET_5_SET_RANGE                   31:0
#define SCE_HSM_FORCE_SET_5_SET_WOFFSET                 0x0
#define SCE_HSM_FORCE_SET_5_SET_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_5_SET_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_5_SET_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_5_SET_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_5_SET_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_5_SET_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_SET_6
#define SCE_HSM_FORCE_SET_6                     _MK_ADDR_CONST(0x318)
#define SCE_HSM_FORCE_SET_6_SECURE                      0x0
#define SCE_HSM_FORCE_SET_6_DUAL                        0x0
#define SCE_HSM_FORCE_SET_6_SCR                         0
#define SCE_HSM_FORCE_SET_6_WORD_COUNT                  0x1
#define SCE_HSM_FORCE_SET_6_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_6_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_6_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_6_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_6_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_6_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_6_SET_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_SET_6_SET_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_SET_6_SET_SHIFT)
#define SCE_HSM_FORCE_SET_6_SET_RANGE                   31:0
#define SCE_HSM_FORCE_SET_6_SET_WOFFSET                 0x0
#define SCE_HSM_FORCE_SET_6_SET_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_6_SET_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_6_SET_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_6_SET_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_6_SET_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_6_SET_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_SET_7
#define SCE_HSM_FORCE_SET_7                     _MK_ADDR_CONST(0x31c)
#define SCE_HSM_FORCE_SET_7_SECURE                      0x0
#define SCE_HSM_FORCE_SET_7_DUAL                        0x0
#define SCE_HSM_FORCE_SET_7_SCR                         0
#define SCE_HSM_FORCE_SET_7_WORD_COUNT                  0x1
#define SCE_HSM_FORCE_SET_7_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_7_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_7_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_7_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_7_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_7_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_7_SET_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_SET_7_SET_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_SET_7_SET_SHIFT)
#define SCE_HSM_FORCE_SET_7_SET_RANGE                   31:0
#define SCE_HSM_FORCE_SET_7_SET_WOFFSET                 0x0
#define SCE_HSM_FORCE_SET_7_SET_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_7_SET_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_7_SET_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_7_SET_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_7_SET_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_7_SET_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_SET_8
#define SCE_HSM_FORCE_SET_8                     _MK_ADDR_CONST(0x320)
#define SCE_HSM_FORCE_SET_8_SECURE                      0x0
#define SCE_HSM_FORCE_SET_8_DUAL                        0x0
#define SCE_HSM_FORCE_SET_8_SCR                         0
#define SCE_HSM_FORCE_SET_8_WORD_COUNT                  0x1
#define SCE_HSM_FORCE_SET_8_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_8_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_8_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_8_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_8_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_8_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_8_SET_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_SET_8_SET_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_SET_8_SET_SHIFT)
#define SCE_HSM_FORCE_SET_8_SET_RANGE                   31:0
#define SCE_HSM_FORCE_SET_8_SET_WOFFSET                 0x0
#define SCE_HSM_FORCE_SET_8_SET_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_8_SET_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_8_SET_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_8_SET_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_8_SET_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_8_SET_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_SET_9
#define SCE_HSM_FORCE_SET_9                     _MK_ADDR_CONST(0x324)
#define SCE_HSM_FORCE_SET_9_SECURE                      0x0
#define SCE_HSM_FORCE_SET_9_DUAL                        0x0
#define SCE_HSM_FORCE_SET_9_SCR                         0
#define SCE_HSM_FORCE_SET_9_WORD_COUNT                  0x1
#define SCE_HSM_FORCE_SET_9_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_9_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_9_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_9_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_9_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_9_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_9_SET_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_SET_9_SET_FIELD                   _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_SET_9_SET_SHIFT)
#define SCE_HSM_FORCE_SET_9_SET_RANGE                   31:0
#define SCE_HSM_FORCE_SET_9_SET_WOFFSET                 0x0
#define SCE_HSM_FORCE_SET_9_SET_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_9_SET_DEFAULT_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_9_SET_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_9_SET_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_9_SET_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_9_SET_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_SET_10
#define SCE_HSM_FORCE_SET_10                    _MK_ADDR_CONST(0x328)
#define SCE_HSM_FORCE_SET_10_SECURE                     0x0
#define SCE_HSM_FORCE_SET_10_DUAL                       0x0
#define SCE_HSM_FORCE_SET_10_SCR                        0
#define SCE_HSM_FORCE_SET_10_WORD_COUNT                         0x1
#define SCE_HSM_FORCE_SET_10_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_10_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_10_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_10_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_10_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_10_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_10_SET_SHIFT                  _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_SET_10_SET_FIELD                  _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_SET_10_SET_SHIFT)
#define SCE_HSM_FORCE_SET_10_SET_RANGE                  31:0
#define SCE_HSM_FORCE_SET_10_SET_WOFFSET                        0x0
#define SCE_HSM_FORCE_SET_10_SET_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_10_SET_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_10_SET_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_10_SET_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_10_SET_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_10_SET_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_SET_11
#define SCE_HSM_FORCE_SET_11                    _MK_ADDR_CONST(0x32c)
#define SCE_HSM_FORCE_SET_11_SECURE                     0x0
#define SCE_HSM_FORCE_SET_11_DUAL                       0x0
#define SCE_HSM_FORCE_SET_11_SCR                        0
#define SCE_HSM_FORCE_SET_11_WORD_COUNT                         0x1
#define SCE_HSM_FORCE_SET_11_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_11_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_11_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_11_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_11_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_11_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_11_SET_SHIFT                  _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_SET_11_SET_FIELD                  _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_SET_11_SET_SHIFT)
#define SCE_HSM_FORCE_SET_11_SET_RANGE                  31:0
#define SCE_HSM_FORCE_SET_11_SET_WOFFSET                        0x0
#define SCE_HSM_FORCE_SET_11_SET_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_11_SET_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_11_SET_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_11_SET_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_11_SET_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_11_SET_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_SET_12
#define SCE_HSM_FORCE_SET_12                    _MK_ADDR_CONST(0x330)
#define SCE_HSM_FORCE_SET_12_SECURE                     0x0
#define SCE_HSM_FORCE_SET_12_DUAL                       0x0
#define SCE_HSM_FORCE_SET_12_SCR                        0
#define SCE_HSM_FORCE_SET_12_WORD_COUNT                         0x1
#define SCE_HSM_FORCE_SET_12_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_12_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_12_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_12_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_12_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_12_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_12_SET_SHIFT                  _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_SET_12_SET_FIELD                  _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_SET_12_SET_SHIFT)
#define SCE_HSM_FORCE_SET_12_SET_RANGE                  31:0
#define SCE_HSM_FORCE_SET_12_SET_WOFFSET                        0x0
#define SCE_HSM_FORCE_SET_12_SET_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_12_SET_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_12_SET_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_12_SET_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_12_SET_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_12_SET_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_SET_13
#define SCE_HSM_FORCE_SET_13                    _MK_ADDR_CONST(0x334)
#define SCE_HSM_FORCE_SET_13_SECURE                     0x0
#define SCE_HSM_FORCE_SET_13_DUAL                       0x0
#define SCE_HSM_FORCE_SET_13_SCR                        0
#define SCE_HSM_FORCE_SET_13_WORD_COUNT                         0x1
#define SCE_HSM_FORCE_SET_13_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_13_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_13_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_13_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_13_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_13_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_13_SET_SHIFT                  _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_SET_13_SET_FIELD                  _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_SET_13_SET_SHIFT)
#define SCE_HSM_FORCE_SET_13_SET_RANGE                  31:0
#define SCE_HSM_FORCE_SET_13_SET_WOFFSET                        0x0
#define SCE_HSM_FORCE_SET_13_SET_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_13_SET_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_13_SET_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_13_SET_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_13_SET_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_13_SET_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_SET_14
#define SCE_HSM_FORCE_SET_14                    _MK_ADDR_CONST(0x338)
#define SCE_HSM_FORCE_SET_14_SECURE                     0x0
#define SCE_HSM_FORCE_SET_14_DUAL                       0x0
#define SCE_HSM_FORCE_SET_14_SCR                        0
#define SCE_HSM_FORCE_SET_14_WORD_COUNT                         0x1
#define SCE_HSM_FORCE_SET_14_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_14_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_14_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_14_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_14_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_14_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_14_SET_SHIFT                  _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_SET_14_SET_FIELD                  _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_SET_14_SET_SHIFT)
#define SCE_HSM_FORCE_SET_14_SET_RANGE                  31:0
#define SCE_HSM_FORCE_SET_14_SET_WOFFSET                        0x0
#define SCE_HSM_FORCE_SET_14_SET_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_14_SET_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_14_SET_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_14_SET_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_14_SET_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_14_SET_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_SET_15
#define SCE_HSM_FORCE_SET_15                    _MK_ADDR_CONST(0x33c)
#define SCE_HSM_FORCE_SET_15_SECURE                     0x0
#define SCE_HSM_FORCE_SET_15_DUAL                       0x0
#define SCE_HSM_FORCE_SET_15_SCR                        0
#define SCE_HSM_FORCE_SET_15_WORD_COUNT                         0x1
#define SCE_HSM_FORCE_SET_15_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_15_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_15_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_15_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_15_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_15_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_15_SET_SHIFT                  _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_SET_15_SET_FIELD                  _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_SET_15_SET_SHIFT)
#define SCE_HSM_FORCE_SET_15_SET_RANGE                  31:0
#define SCE_HSM_FORCE_SET_15_SET_WOFFSET                        0x0
#define SCE_HSM_FORCE_SET_15_SET_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_15_SET_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_SET_15_SET_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_15_SET_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_15_SET_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_SET_15_SET_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_CLEAR_0
#define SCE_HSM_FORCE_CLEAR_0                   _MK_ADDR_CONST(0x340)
#define SCE_HSM_FORCE_CLEAR_0_SECURE                    0x0
#define SCE_HSM_FORCE_CLEAR_0_DUAL                      0x0
#define SCE_HSM_FORCE_CLEAR_0_SCR                       0
#define SCE_HSM_FORCE_CLEAR_0_WORD_COUNT                        0x1
#define SCE_HSM_FORCE_CLEAR_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_0_CLEAR_SHIFT                       _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_CLEAR_0_CLEAR_FIELD                       _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_CLEAR_0_CLEAR_SHIFT)
#define SCE_HSM_FORCE_CLEAR_0_CLEAR_RANGE                       31:0
#define SCE_HSM_FORCE_CLEAR_0_CLEAR_WOFFSET                     0x0
#define SCE_HSM_FORCE_CLEAR_0_CLEAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_0_CLEAR_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_0_CLEAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_0_CLEAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_0_CLEAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_0_CLEAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_CLEAR
#define SCE_HSM_FORCE_CLEAR                     _MK_ADDR_CONST(0x340)
#define SCE_HSM_FORCE_CLEAR_SECURE                      0x0
#define SCE_HSM_FORCE_CLEAR_DUAL                        0x0
#define SCE_HSM_FORCE_CLEAR_SCR                         0
#define SCE_HSM_FORCE_CLEAR_WORD_COUNT                  0x1
#define SCE_HSM_FORCE_CLEAR_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_CLEAR_SHIFT                 _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_CLEAR_CLEAR_FIELD                 _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_CLEAR_CLEAR_SHIFT)
#define SCE_HSM_FORCE_CLEAR_CLEAR_RANGE                 31:0
#define SCE_HSM_FORCE_CLEAR_CLEAR_WOFFSET                       0x0
#define SCE_HSM_FORCE_CLEAR_CLEAR_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_CLEAR_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_CLEAR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_CLEAR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_CLEAR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_CLEAR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_CLEAR_1
#define SCE_HSM_FORCE_CLEAR_1                   _MK_ADDR_CONST(0x344)
#define SCE_HSM_FORCE_CLEAR_1_SECURE                    0x0
#define SCE_HSM_FORCE_CLEAR_1_DUAL                      0x0
#define SCE_HSM_FORCE_CLEAR_1_SCR                       0
#define SCE_HSM_FORCE_CLEAR_1_WORD_COUNT                        0x1
#define SCE_HSM_FORCE_CLEAR_1_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_1_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_1_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_1_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_1_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_1_CLEAR_SHIFT                       _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_CLEAR_1_CLEAR_FIELD                       _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_CLEAR_1_CLEAR_SHIFT)
#define SCE_HSM_FORCE_CLEAR_1_CLEAR_RANGE                       31:0
#define SCE_HSM_FORCE_CLEAR_1_CLEAR_WOFFSET                     0x0
#define SCE_HSM_FORCE_CLEAR_1_CLEAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_1_CLEAR_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_1_CLEAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_1_CLEAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_1_CLEAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_1_CLEAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_CLEAR_2
#define SCE_HSM_FORCE_CLEAR_2                   _MK_ADDR_CONST(0x348)
#define SCE_HSM_FORCE_CLEAR_2_SECURE                    0x0
#define SCE_HSM_FORCE_CLEAR_2_DUAL                      0x0
#define SCE_HSM_FORCE_CLEAR_2_SCR                       0
#define SCE_HSM_FORCE_CLEAR_2_WORD_COUNT                        0x1
#define SCE_HSM_FORCE_CLEAR_2_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_2_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_2_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_2_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_2_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_2_CLEAR_SHIFT                       _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_CLEAR_2_CLEAR_FIELD                       _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_CLEAR_2_CLEAR_SHIFT)
#define SCE_HSM_FORCE_CLEAR_2_CLEAR_RANGE                       31:0
#define SCE_HSM_FORCE_CLEAR_2_CLEAR_WOFFSET                     0x0
#define SCE_HSM_FORCE_CLEAR_2_CLEAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_2_CLEAR_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_2_CLEAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_2_CLEAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_2_CLEAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_2_CLEAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_CLEAR_3
#define SCE_HSM_FORCE_CLEAR_3                   _MK_ADDR_CONST(0x34c)
#define SCE_HSM_FORCE_CLEAR_3_SECURE                    0x0
#define SCE_HSM_FORCE_CLEAR_3_DUAL                      0x0
#define SCE_HSM_FORCE_CLEAR_3_SCR                       0
#define SCE_HSM_FORCE_CLEAR_3_WORD_COUNT                        0x1
#define SCE_HSM_FORCE_CLEAR_3_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_3_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_3_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_3_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_3_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_3_CLEAR_SHIFT                       _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_CLEAR_3_CLEAR_FIELD                       _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_CLEAR_3_CLEAR_SHIFT)
#define SCE_HSM_FORCE_CLEAR_3_CLEAR_RANGE                       31:0
#define SCE_HSM_FORCE_CLEAR_3_CLEAR_WOFFSET                     0x0
#define SCE_HSM_FORCE_CLEAR_3_CLEAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_3_CLEAR_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_3_CLEAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_3_CLEAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_3_CLEAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_3_CLEAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_CLEAR_4
#define SCE_HSM_FORCE_CLEAR_4                   _MK_ADDR_CONST(0x350)
#define SCE_HSM_FORCE_CLEAR_4_SECURE                    0x0
#define SCE_HSM_FORCE_CLEAR_4_DUAL                      0x0
#define SCE_HSM_FORCE_CLEAR_4_SCR                       0
#define SCE_HSM_FORCE_CLEAR_4_WORD_COUNT                        0x1
#define SCE_HSM_FORCE_CLEAR_4_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_4_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_4_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_4_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_4_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_4_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_4_CLEAR_SHIFT                       _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_CLEAR_4_CLEAR_FIELD                       _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_CLEAR_4_CLEAR_SHIFT)
#define SCE_HSM_FORCE_CLEAR_4_CLEAR_RANGE                       31:0
#define SCE_HSM_FORCE_CLEAR_4_CLEAR_WOFFSET                     0x0
#define SCE_HSM_FORCE_CLEAR_4_CLEAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_4_CLEAR_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_4_CLEAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_4_CLEAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_4_CLEAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_4_CLEAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_CLEAR_5
#define SCE_HSM_FORCE_CLEAR_5                   _MK_ADDR_CONST(0x354)
#define SCE_HSM_FORCE_CLEAR_5_SECURE                    0x0
#define SCE_HSM_FORCE_CLEAR_5_DUAL                      0x0
#define SCE_HSM_FORCE_CLEAR_5_SCR                       0
#define SCE_HSM_FORCE_CLEAR_5_WORD_COUNT                        0x1
#define SCE_HSM_FORCE_CLEAR_5_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_5_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_5_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_5_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_5_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_5_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_5_CLEAR_SHIFT                       _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_CLEAR_5_CLEAR_FIELD                       _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_CLEAR_5_CLEAR_SHIFT)
#define SCE_HSM_FORCE_CLEAR_5_CLEAR_RANGE                       31:0
#define SCE_HSM_FORCE_CLEAR_5_CLEAR_WOFFSET                     0x0
#define SCE_HSM_FORCE_CLEAR_5_CLEAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_5_CLEAR_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_5_CLEAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_5_CLEAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_5_CLEAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_5_CLEAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_CLEAR_6
#define SCE_HSM_FORCE_CLEAR_6                   _MK_ADDR_CONST(0x358)
#define SCE_HSM_FORCE_CLEAR_6_SECURE                    0x0
#define SCE_HSM_FORCE_CLEAR_6_DUAL                      0x0
#define SCE_HSM_FORCE_CLEAR_6_SCR                       0
#define SCE_HSM_FORCE_CLEAR_6_WORD_COUNT                        0x1
#define SCE_HSM_FORCE_CLEAR_6_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_6_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_6_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_6_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_6_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_6_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_6_CLEAR_SHIFT                       _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_CLEAR_6_CLEAR_FIELD                       _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_CLEAR_6_CLEAR_SHIFT)
#define SCE_HSM_FORCE_CLEAR_6_CLEAR_RANGE                       31:0
#define SCE_HSM_FORCE_CLEAR_6_CLEAR_WOFFSET                     0x0
#define SCE_HSM_FORCE_CLEAR_6_CLEAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_6_CLEAR_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_6_CLEAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_6_CLEAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_6_CLEAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_6_CLEAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_CLEAR_7
#define SCE_HSM_FORCE_CLEAR_7                   _MK_ADDR_CONST(0x35c)
#define SCE_HSM_FORCE_CLEAR_7_SECURE                    0x0
#define SCE_HSM_FORCE_CLEAR_7_DUAL                      0x0
#define SCE_HSM_FORCE_CLEAR_7_SCR                       0
#define SCE_HSM_FORCE_CLEAR_7_WORD_COUNT                        0x1
#define SCE_HSM_FORCE_CLEAR_7_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_7_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_7_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_7_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_7_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_7_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_7_CLEAR_SHIFT                       _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_CLEAR_7_CLEAR_FIELD                       _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_CLEAR_7_CLEAR_SHIFT)
#define SCE_HSM_FORCE_CLEAR_7_CLEAR_RANGE                       31:0
#define SCE_HSM_FORCE_CLEAR_7_CLEAR_WOFFSET                     0x0
#define SCE_HSM_FORCE_CLEAR_7_CLEAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_7_CLEAR_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_7_CLEAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_7_CLEAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_7_CLEAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_7_CLEAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_CLEAR_8
#define SCE_HSM_FORCE_CLEAR_8                   _MK_ADDR_CONST(0x360)
#define SCE_HSM_FORCE_CLEAR_8_SECURE                    0x0
#define SCE_HSM_FORCE_CLEAR_8_DUAL                      0x0
#define SCE_HSM_FORCE_CLEAR_8_SCR                       0
#define SCE_HSM_FORCE_CLEAR_8_WORD_COUNT                        0x1
#define SCE_HSM_FORCE_CLEAR_8_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_8_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_8_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_8_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_8_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_8_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_8_CLEAR_SHIFT                       _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_CLEAR_8_CLEAR_FIELD                       _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_CLEAR_8_CLEAR_SHIFT)
#define SCE_HSM_FORCE_CLEAR_8_CLEAR_RANGE                       31:0
#define SCE_HSM_FORCE_CLEAR_8_CLEAR_WOFFSET                     0x0
#define SCE_HSM_FORCE_CLEAR_8_CLEAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_8_CLEAR_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_8_CLEAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_8_CLEAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_8_CLEAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_8_CLEAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_CLEAR_9
#define SCE_HSM_FORCE_CLEAR_9                   _MK_ADDR_CONST(0x364)
#define SCE_HSM_FORCE_CLEAR_9_SECURE                    0x0
#define SCE_HSM_FORCE_CLEAR_9_DUAL                      0x0
#define SCE_HSM_FORCE_CLEAR_9_SCR                       0
#define SCE_HSM_FORCE_CLEAR_9_WORD_COUNT                        0x1
#define SCE_HSM_FORCE_CLEAR_9_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_9_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_9_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_9_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_9_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_9_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_9_CLEAR_SHIFT                       _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_CLEAR_9_CLEAR_FIELD                       _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_CLEAR_9_CLEAR_SHIFT)
#define SCE_HSM_FORCE_CLEAR_9_CLEAR_RANGE                       31:0
#define SCE_HSM_FORCE_CLEAR_9_CLEAR_WOFFSET                     0x0
#define SCE_HSM_FORCE_CLEAR_9_CLEAR_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_9_CLEAR_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_9_CLEAR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_9_CLEAR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_9_CLEAR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_9_CLEAR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_CLEAR_10
#define SCE_HSM_FORCE_CLEAR_10                  _MK_ADDR_CONST(0x368)
#define SCE_HSM_FORCE_CLEAR_10_SECURE                   0x0
#define SCE_HSM_FORCE_CLEAR_10_DUAL                     0x0
#define SCE_HSM_FORCE_CLEAR_10_SCR                      0
#define SCE_HSM_FORCE_CLEAR_10_WORD_COUNT                       0x1
#define SCE_HSM_FORCE_CLEAR_10_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_10_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_10_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_10_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_10_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_10_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_10_CLEAR_SHIFT                      _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_CLEAR_10_CLEAR_FIELD                      _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_CLEAR_10_CLEAR_SHIFT)
#define SCE_HSM_FORCE_CLEAR_10_CLEAR_RANGE                      31:0
#define SCE_HSM_FORCE_CLEAR_10_CLEAR_WOFFSET                    0x0
#define SCE_HSM_FORCE_CLEAR_10_CLEAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_10_CLEAR_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_10_CLEAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_10_CLEAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_10_CLEAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_10_CLEAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_CLEAR_11
#define SCE_HSM_FORCE_CLEAR_11                  _MK_ADDR_CONST(0x36c)
#define SCE_HSM_FORCE_CLEAR_11_SECURE                   0x0
#define SCE_HSM_FORCE_CLEAR_11_DUAL                     0x0
#define SCE_HSM_FORCE_CLEAR_11_SCR                      0
#define SCE_HSM_FORCE_CLEAR_11_WORD_COUNT                       0x1
#define SCE_HSM_FORCE_CLEAR_11_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_11_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_11_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_11_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_11_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_11_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_11_CLEAR_SHIFT                      _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_CLEAR_11_CLEAR_FIELD                      _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_CLEAR_11_CLEAR_SHIFT)
#define SCE_HSM_FORCE_CLEAR_11_CLEAR_RANGE                      31:0
#define SCE_HSM_FORCE_CLEAR_11_CLEAR_WOFFSET                    0x0
#define SCE_HSM_FORCE_CLEAR_11_CLEAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_11_CLEAR_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_11_CLEAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_11_CLEAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_11_CLEAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_11_CLEAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_CLEAR_12
#define SCE_HSM_FORCE_CLEAR_12                  _MK_ADDR_CONST(0x370)
#define SCE_HSM_FORCE_CLEAR_12_SECURE                   0x0
#define SCE_HSM_FORCE_CLEAR_12_DUAL                     0x0
#define SCE_HSM_FORCE_CLEAR_12_SCR                      0
#define SCE_HSM_FORCE_CLEAR_12_WORD_COUNT                       0x1
#define SCE_HSM_FORCE_CLEAR_12_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_12_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_12_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_12_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_12_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_12_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_12_CLEAR_SHIFT                      _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_CLEAR_12_CLEAR_FIELD                      _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_CLEAR_12_CLEAR_SHIFT)
#define SCE_HSM_FORCE_CLEAR_12_CLEAR_RANGE                      31:0
#define SCE_HSM_FORCE_CLEAR_12_CLEAR_WOFFSET                    0x0
#define SCE_HSM_FORCE_CLEAR_12_CLEAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_12_CLEAR_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_12_CLEAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_12_CLEAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_12_CLEAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_12_CLEAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_CLEAR_13
#define SCE_HSM_FORCE_CLEAR_13                  _MK_ADDR_CONST(0x374)
#define SCE_HSM_FORCE_CLEAR_13_SECURE                   0x0
#define SCE_HSM_FORCE_CLEAR_13_DUAL                     0x0
#define SCE_HSM_FORCE_CLEAR_13_SCR                      0
#define SCE_HSM_FORCE_CLEAR_13_WORD_COUNT                       0x1
#define SCE_HSM_FORCE_CLEAR_13_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_13_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_13_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_13_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_13_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_13_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_13_CLEAR_SHIFT                      _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_CLEAR_13_CLEAR_FIELD                      _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_CLEAR_13_CLEAR_SHIFT)
#define SCE_HSM_FORCE_CLEAR_13_CLEAR_RANGE                      31:0
#define SCE_HSM_FORCE_CLEAR_13_CLEAR_WOFFSET                    0x0
#define SCE_HSM_FORCE_CLEAR_13_CLEAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_13_CLEAR_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_13_CLEAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_13_CLEAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_13_CLEAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_13_CLEAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_CLEAR_14
#define SCE_HSM_FORCE_CLEAR_14                  _MK_ADDR_CONST(0x378)
#define SCE_HSM_FORCE_CLEAR_14_SECURE                   0x0
#define SCE_HSM_FORCE_CLEAR_14_DUAL                     0x0
#define SCE_HSM_FORCE_CLEAR_14_SCR                      0
#define SCE_HSM_FORCE_CLEAR_14_WORD_COUNT                       0x1
#define SCE_HSM_FORCE_CLEAR_14_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_14_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_14_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_14_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_14_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_14_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_14_CLEAR_SHIFT                      _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_CLEAR_14_CLEAR_FIELD                      _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_CLEAR_14_CLEAR_SHIFT)
#define SCE_HSM_FORCE_CLEAR_14_CLEAR_RANGE                      31:0
#define SCE_HSM_FORCE_CLEAR_14_CLEAR_WOFFSET                    0x0
#define SCE_HSM_FORCE_CLEAR_14_CLEAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_14_CLEAR_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_14_CLEAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_14_CLEAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_14_CLEAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_14_CLEAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_CLEAR_15
#define SCE_HSM_FORCE_CLEAR_15                  _MK_ADDR_CONST(0x37c)
#define SCE_HSM_FORCE_CLEAR_15_SECURE                   0x0
#define SCE_HSM_FORCE_CLEAR_15_DUAL                     0x0
#define SCE_HSM_FORCE_CLEAR_15_SCR                      0
#define SCE_HSM_FORCE_CLEAR_15_WORD_COUNT                       0x1
#define SCE_HSM_FORCE_CLEAR_15_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_15_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_15_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_15_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_15_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_15_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_15_CLEAR_SHIFT                      _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_CLEAR_15_CLEAR_FIELD                      _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_CLEAR_15_CLEAR_SHIFT)
#define SCE_HSM_FORCE_CLEAR_15_CLEAR_RANGE                      31:0
#define SCE_HSM_FORCE_CLEAR_15_CLEAR_WOFFSET                    0x0
#define SCE_HSM_FORCE_CLEAR_15_CLEAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_15_CLEAR_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_CLEAR_15_CLEAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_15_CLEAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_15_CLEAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_CLEAR_15_CLEAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_STATUS_0
#define SCE_HSM_FORCE_STATUS_0                  _MK_ADDR_CONST(0x380)
#define SCE_HSM_FORCE_STATUS_0_SECURE                   0x0
#define SCE_HSM_FORCE_STATUS_0_DUAL                     0x0
#define SCE_HSM_FORCE_STATUS_0_SCR                      0
#define SCE_HSM_FORCE_STATUS_0_WORD_COUNT                       0x1
#define SCE_HSM_FORCE_STATUS_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_0_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_0_STATUS_SHIFT                     _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_STATUS_0_STATUS_FIELD                     _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_STATUS_0_STATUS_SHIFT)
#define SCE_HSM_FORCE_STATUS_0_STATUS_RANGE                     31:0
#define SCE_HSM_FORCE_STATUS_0_STATUS_WOFFSET                   0x0
#define SCE_HSM_FORCE_STATUS_0_STATUS_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_0_STATUS_DEFAULT_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_0_STATUS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_0_STATUS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_0_STATUS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_0_STATUS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_STATUS
#define SCE_HSM_FORCE_STATUS                    _MK_ADDR_CONST(0x380)
#define SCE_HSM_FORCE_STATUS_SECURE                     0x0
#define SCE_HSM_FORCE_STATUS_DUAL                       0x0
#define SCE_HSM_FORCE_STATUS_SCR                        0
#define SCE_HSM_FORCE_STATUS_WORD_COUNT                         0x1
#define SCE_HSM_FORCE_STATUS_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_WRITE_MASK                         _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_STATUS_SHIFT                       _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_STATUS_STATUS_FIELD                       _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_STATUS_STATUS_SHIFT)
#define SCE_HSM_FORCE_STATUS_STATUS_RANGE                       31:0
#define SCE_HSM_FORCE_STATUS_STATUS_WOFFSET                     0x0
#define SCE_HSM_FORCE_STATUS_STATUS_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_STATUS_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_STATUS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_STATUS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_STATUS_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_STATUS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_STATUS_1
#define SCE_HSM_FORCE_STATUS_1                  _MK_ADDR_CONST(0x384)
#define SCE_HSM_FORCE_STATUS_1_SECURE                   0x0
#define SCE_HSM_FORCE_STATUS_1_DUAL                     0x0
#define SCE_HSM_FORCE_STATUS_1_SCR                      0
#define SCE_HSM_FORCE_STATUS_1_WORD_COUNT                       0x1
#define SCE_HSM_FORCE_STATUS_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_1_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_1_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_1_STATUS_SHIFT                     _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_STATUS_1_STATUS_FIELD                     _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_STATUS_1_STATUS_SHIFT)
#define SCE_HSM_FORCE_STATUS_1_STATUS_RANGE                     31:0
#define SCE_HSM_FORCE_STATUS_1_STATUS_WOFFSET                   0x0
#define SCE_HSM_FORCE_STATUS_1_STATUS_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_1_STATUS_DEFAULT_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_1_STATUS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_1_STATUS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_1_STATUS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_1_STATUS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_STATUS_2
#define SCE_HSM_FORCE_STATUS_2                  _MK_ADDR_CONST(0x388)
#define SCE_HSM_FORCE_STATUS_2_SECURE                   0x0
#define SCE_HSM_FORCE_STATUS_2_DUAL                     0x0
#define SCE_HSM_FORCE_STATUS_2_SCR                      0
#define SCE_HSM_FORCE_STATUS_2_WORD_COUNT                       0x1
#define SCE_HSM_FORCE_STATUS_2_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_2_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_2_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_2_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_2_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_2_STATUS_SHIFT                     _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_STATUS_2_STATUS_FIELD                     _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_STATUS_2_STATUS_SHIFT)
#define SCE_HSM_FORCE_STATUS_2_STATUS_RANGE                     31:0
#define SCE_HSM_FORCE_STATUS_2_STATUS_WOFFSET                   0x0
#define SCE_HSM_FORCE_STATUS_2_STATUS_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_2_STATUS_DEFAULT_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_2_STATUS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_2_STATUS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_2_STATUS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_2_STATUS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_STATUS_3
#define SCE_HSM_FORCE_STATUS_3                  _MK_ADDR_CONST(0x38c)
#define SCE_HSM_FORCE_STATUS_3_SECURE                   0x0
#define SCE_HSM_FORCE_STATUS_3_DUAL                     0x0
#define SCE_HSM_FORCE_STATUS_3_SCR                      0
#define SCE_HSM_FORCE_STATUS_3_WORD_COUNT                       0x1
#define SCE_HSM_FORCE_STATUS_3_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_3_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_3_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_3_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_3_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_3_STATUS_SHIFT                     _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_STATUS_3_STATUS_FIELD                     _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_STATUS_3_STATUS_SHIFT)
#define SCE_HSM_FORCE_STATUS_3_STATUS_RANGE                     31:0
#define SCE_HSM_FORCE_STATUS_3_STATUS_WOFFSET                   0x0
#define SCE_HSM_FORCE_STATUS_3_STATUS_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_3_STATUS_DEFAULT_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_3_STATUS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_3_STATUS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_3_STATUS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_3_STATUS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_STATUS_4
#define SCE_HSM_FORCE_STATUS_4                  _MK_ADDR_CONST(0x390)
#define SCE_HSM_FORCE_STATUS_4_SECURE                   0x0
#define SCE_HSM_FORCE_STATUS_4_DUAL                     0x0
#define SCE_HSM_FORCE_STATUS_4_SCR                      0
#define SCE_HSM_FORCE_STATUS_4_WORD_COUNT                       0x1
#define SCE_HSM_FORCE_STATUS_4_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_4_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_4_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_4_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_4_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_4_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_4_STATUS_SHIFT                     _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_STATUS_4_STATUS_FIELD                     _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_STATUS_4_STATUS_SHIFT)
#define SCE_HSM_FORCE_STATUS_4_STATUS_RANGE                     31:0
#define SCE_HSM_FORCE_STATUS_4_STATUS_WOFFSET                   0x0
#define SCE_HSM_FORCE_STATUS_4_STATUS_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_4_STATUS_DEFAULT_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_4_STATUS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_4_STATUS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_4_STATUS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_4_STATUS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_STATUS_5
#define SCE_HSM_FORCE_STATUS_5                  _MK_ADDR_CONST(0x394)
#define SCE_HSM_FORCE_STATUS_5_SECURE                   0x0
#define SCE_HSM_FORCE_STATUS_5_DUAL                     0x0
#define SCE_HSM_FORCE_STATUS_5_SCR                      0
#define SCE_HSM_FORCE_STATUS_5_WORD_COUNT                       0x1
#define SCE_HSM_FORCE_STATUS_5_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_5_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_5_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_5_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_5_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_5_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_5_STATUS_SHIFT                     _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_STATUS_5_STATUS_FIELD                     _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_STATUS_5_STATUS_SHIFT)
#define SCE_HSM_FORCE_STATUS_5_STATUS_RANGE                     31:0
#define SCE_HSM_FORCE_STATUS_5_STATUS_WOFFSET                   0x0
#define SCE_HSM_FORCE_STATUS_5_STATUS_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_5_STATUS_DEFAULT_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_5_STATUS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_5_STATUS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_5_STATUS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_5_STATUS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_STATUS_6
#define SCE_HSM_FORCE_STATUS_6                  _MK_ADDR_CONST(0x398)
#define SCE_HSM_FORCE_STATUS_6_SECURE                   0x0
#define SCE_HSM_FORCE_STATUS_6_DUAL                     0x0
#define SCE_HSM_FORCE_STATUS_6_SCR                      0
#define SCE_HSM_FORCE_STATUS_6_WORD_COUNT                       0x1
#define SCE_HSM_FORCE_STATUS_6_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_6_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_6_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_6_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_6_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_6_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_6_STATUS_SHIFT                     _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_STATUS_6_STATUS_FIELD                     _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_STATUS_6_STATUS_SHIFT)
#define SCE_HSM_FORCE_STATUS_6_STATUS_RANGE                     31:0
#define SCE_HSM_FORCE_STATUS_6_STATUS_WOFFSET                   0x0
#define SCE_HSM_FORCE_STATUS_6_STATUS_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_6_STATUS_DEFAULT_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_6_STATUS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_6_STATUS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_6_STATUS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_6_STATUS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_STATUS_7
#define SCE_HSM_FORCE_STATUS_7                  _MK_ADDR_CONST(0x39c)
#define SCE_HSM_FORCE_STATUS_7_SECURE                   0x0
#define SCE_HSM_FORCE_STATUS_7_DUAL                     0x0
#define SCE_HSM_FORCE_STATUS_7_SCR                      0
#define SCE_HSM_FORCE_STATUS_7_WORD_COUNT                       0x1
#define SCE_HSM_FORCE_STATUS_7_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_7_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_7_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_7_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_7_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_7_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_7_STATUS_SHIFT                     _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_STATUS_7_STATUS_FIELD                     _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_STATUS_7_STATUS_SHIFT)
#define SCE_HSM_FORCE_STATUS_7_STATUS_RANGE                     31:0
#define SCE_HSM_FORCE_STATUS_7_STATUS_WOFFSET                   0x0
#define SCE_HSM_FORCE_STATUS_7_STATUS_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_7_STATUS_DEFAULT_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_7_STATUS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_7_STATUS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_7_STATUS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_7_STATUS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_STATUS_8
#define SCE_HSM_FORCE_STATUS_8                  _MK_ADDR_CONST(0x3a0)
#define SCE_HSM_FORCE_STATUS_8_SECURE                   0x0
#define SCE_HSM_FORCE_STATUS_8_DUAL                     0x0
#define SCE_HSM_FORCE_STATUS_8_SCR                      0
#define SCE_HSM_FORCE_STATUS_8_WORD_COUNT                       0x1
#define SCE_HSM_FORCE_STATUS_8_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_8_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_8_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_8_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_8_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_8_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_8_STATUS_SHIFT                     _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_STATUS_8_STATUS_FIELD                     _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_STATUS_8_STATUS_SHIFT)
#define SCE_HSM_FORCE_STATUS_8_STATUS_RANGE                     31:0
#define SCE_HSM_FORCE_STATUS_8_STATUS_WOFFSET                   0x0
#define SCE_HSM_FORCE_STATUS_8_STATUS_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_8_STATUS_DEFAULT_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_8_STATUS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_8_STATUS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_8_STATUS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_8_STATUS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_STATUS_9
#define SCE_HSM_FORCE_STATUS_9                  _MK_ADDR_CONST(0x3a4)
#define SCE_HSM_FORCE_STATUS_9_SECURE                   0x0
#define SCE_HSM_FORCE_STATUS_9_DUAL                     0x0
#define SCE_HSM_FORCE_STATUS_9_SCR                      0
#define SCE_HSM_FORCE_STATUS_9_WORD_COUNT                       0x1
#define SCE_HSM_FORCE_STATUS_9_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_9_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_9_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_9_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_9_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_9_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_9_STATUS_SHIFT                     _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_STATUS_9_STATUS_FIELD                     _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_STATUS_9_STATUS_SHIFT)
#define SCE_HSM_FORCE_STATUS_9_STATUS_RANGE                     31:0
#define SCE_HSM_FORCE_STATUS_9_STATUS_WOFFSET                   0x0
#define SCE_HSM_FORCE_STATUS_9_STATUS_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_9_STATUS_DEFAULT_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_9_STATUS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_9_STATUS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_9_STATUS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_9_STATUS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_STATUS_10
#define SCE_HSM_FORCE_STATUS_10                 _MK_ADDR_CONST(0x3a8)
#define SCE_HSM_FORCE_STATUS_10_SECURE                  0x0
#define SCE_HSM_FORCE_STATUS_10_DUAL                    0x0
#define SCE_HSM_FORCE_STATUS_10_SCR                     0
#define SCE_HSM_FORCE_STATUS_10_WORD_COUNT                      0x1
#define SCE_HSM_FORCE_STATUS_10_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_10_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_10_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_10_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_10_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_10_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_10_STATUS_SHIFT                    _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_STATUS_10_STATUS_FIELD                    _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_STATUS_10_STATUS_SHIFT)
#define SCE_HSM_FORCE_STATUS_10_STATUS_RANGE                    31:0
#define SCE_HSM_FORCE_STATUS_10_STATUS_WOFFSET                  0x0
#define SCE_HSM_FORCE_STATUS_10_STATUS_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_10_STATUS_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_10_STATUS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_10_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_10_STATUS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_10_STATUS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_STATUS_11
#define SCE_HSM_FORCE_STATUS_11                 _MK_ADDR_CONST(0x3ac)
#define SCE_HSM_FORCE_STATUS_11_SECURE                  0x0
#define SCE_HSM_FORCE_STATUS_11_DUAL                    0x0
#define SCE_HSM_FORCE_STATUS_11_SCR                     0
#define SCE_HSM_FORCE_STATUS_11_WORD_COUNT                      0x1
#define SCE_HSM_FORCE_STATUS_11_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_11_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_11_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_11_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_11_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_11_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_11_STATUS_SHIFT                    _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_STATUS_11_STATUS_FIELD                    _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_STATUS_11_STATUS_SHIFT)
#define SCE_HSM_FORCE_STATUS_11_STATUS_RANGE                    31:0
#define SCE_HSM_FORCE_STATUS_11_STATUS_WOFFSET                  0x0
#define SCE_HSM_FORCE_STATUS_11_STATUS_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_11_STATUS_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_11_STATUS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_11_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_11_STATUS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_11_STATUS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_STATUS_12
#define SCE_HSM_FORCE_STATUS_12                 _MK_ADDR_CONST(0x3b0)
#define SCE_HSM_FORCE_STATUS_12_SECURE                  0x0
#define SCE_HSM_FORCE_STATUS_12_DUAL                    0x0
#define SCE_HSM_FORCE_STATUS_12_SCR                     0
#define SCE_HSM_FORCE_STATUS_12_WORD_COUNT                      0x1
#define SCE_HSM_FORCE_STATUS_12_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_12_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_12_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_12_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_12_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_12_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_12_STATUS_SHIFT                    _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_STATUS_12_STATUS_FIELD                    _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_STATUS_12_STATUS_SHIFT)
#define SCE_HSM_FORCE_STATUS_12_STATUS_RANGE                    31:0
#define SCE_HSM_FORCE_STATUS_12_STATUS_WOFFSET                  0x0
#define SCE_HSM_FORCE_STATUS_12_STATUS_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_12_STATUS_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_12_STATUS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_12_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_12_STATUS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_12_STATUS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_STATUS_13
#define SCE_HSM_FORCE_STATUS_13                 _MK_ADDR_CONST(0x3b4)
#define SCE_HSM_FORCE_STATUS_13_SECURE                  0x0
#define SCE_HSM_FORCE_STATUS_13_DUAL                    0x0
#define SCE_HSM_FORCE_STATUS_13_SCR                     0
#define SCE_HSM_FORCE_STATUS_13_WORD_COUNT                      0x1
#define SCE_HSM_FORCE_STATUS_13_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_13_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_13_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_13_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_13_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_13_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_13_STATUS_SHIFT                    _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_STATUS_13_STATUS_FIELD                    _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_STATUS_13_STATUS_SHIFT)
#define SCE_HSM_FORCE_STATUS_13_STATUS_RANGE                    31:0
#define SCE_HSM_FORCE_STATUS_13_STATUS_WOFFSET                  0x0
#define SCE_HSM_FORCE_STATUS_13_STATUS_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_13_STATUS_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_13_STATUS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_13_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_13_STATUS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_13_STATUS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_STATUS_14
#define SCE_HSM_FORCE_STATUS_14                 _MK_ADDR_CONST(0x3b8)
#define SCE_HSM_FORCE_STATUS_14_SECURE                  0x0
#define SCE_HSM_FORCE_STATUS_14_DUAL                    0x0
#define SCE_HSM_FORCE_STATUS_14_SCR                     0
#define SCE_HSM_FORCE_STATUS_14_WORD_COUNT                      0x1
#define SCE_HSM_FORCE_STATUS_14_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_14_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_14_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_14_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_14_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_14_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_14_STATUS_SHIFT                    _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_STATUS_14_STATUS_FIELD                    _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_STATUS_14_STATUS_SHIFT)
#define SCE_HSM_FORCE_STATUS_14_STATUS_RANGE                    31:0
#define SCE_HSM_FORCE_STATUS_14_STATUS_WOFFSET                  0x0
#define SCE_HSM_FORCE_STATUS_14_STATUS_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_14_STATUS_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_14_STATUS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_14_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_14_STATUS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_14_STATUS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register SCE_HSM_FORCE_STATUS_15
#define SCE_HSM_FORCE_STATUS_15                 _MK_ADDR_CONST(0x3bc)
#define SCE_HSM_FORCE_STATUS_15_SECURE                  0x0
#define SCE_HSM_FORCE_STATUS_15_DUAL                    0x0
#define SCE_HSM_FORCE_STATUS_15_SCR                     0
#define SCE_HSM_FORCE_STATUS_15_WORD_COUNT                      0x1
#define SCE_HSM_FORCE_STATUS_15_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_15_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_15_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_15_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_15_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_15_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_15_STATUS_SHIFT                    _MK_SHIFT_CONST(0)
#define SCE_HSM_FORCE_STATUS_15_STATUS_FIELD                    _MK_FIELD_CONST(0xffffffff, SCE_HSM_FORCE_STATUS_15_STATUS_SHIFT)
#define SCE_HSM_FORCE_STATUS_15_STATUS_RANGE                    31:0
#define SCE_HSM_FORCE_STATUS_15_STATUS_WOFFSET                  0x0
#define SCE_HSM_FORCE_STATUS_15_STATUS_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_15_STATUS_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_FORCE_STATUS_15_STATUS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_15_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_15_STATUS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_FORCE_STATUS_15_STATUS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_THRESHOLD_0
#define SCE_HSM_TIMER_THRESHOLD_0                       _MK_ADDR_CONST(0x400)
#define SCE_HSM_TIMER_THRESHOLD_0_SECURE                        0x0
#define SCE_HSM_TIMER_THRESHOLD_0_DUAL                  0x0
#define SCE_HSM_TIMER_THRESHOLD_0_SCR                   0
#define SCE_HSM_TIMER_THRESHOLD_0_WORD_COUNT                    0x1
#define SCE_HSM_TIMER_THRESHOLD_0_RESET_VAL                     _MK_MASK_CONST(0xffff)
#define SCE_HSM_TIMER_THRESHOLD_0_RESET_MASK                    _MK_MASK_CONST(0xffff)
#define SCE_HSM_TIMER_THRESHOLD_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_THRESHOLD_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_THRESHOLD_0_READ_MASK                     _MK_MASK_CONST(0xffff)
#define SCE_HSM_TIMER_THRESHOLD_0_WRITE_MASK                    _MK_MASK_CONST(0xffff)
#define SCE_HSM_TIMER_THRESHOLD_0_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_THRESHOLD_0_VAL_FIELD                     _MK_FIELD_CONST(0xffff, SCE_HSM_TIMER_THRESHOLD_0_VAL_SHIFT)
#define SCE_HSM_TIMER_THRESHOLD_0_VAL_RANGE                     15:0
#define SCE_HSM_TIMER_THRESHOLD_0_VAL_WOFFSET                   0x0
#define SCE_HSM_TIMER_THRESHOLD_0_VAL_DEFAULT                   _MK_MASK_CONST(0xffff)
#define SCE_HSM_TIMER_THRESHOLD_0_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0xffff)
#define SCE_HSM_TIMER_THRESHOLD_0_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_THRESHOLD_0_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_THRESHOLD_0_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define SCE_HSM_TIMER_THRESHOLD_0_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_0
#define SCE_HSM_TIMER_0                 _MK_ADDR_CONST(0x404)
#define SCE_HSM_TIMER_0_SECURE                  0x0
#define SCE_HSM_TIMER_0_DUAL                    0x0
#define SCE_HSM_TIMER_0_SCR                     0
#define SCE_HSM_TIMER_0_WORD_COUNT                      0x1
#define SCE_HSM_TIMER_0_RESET_VAL                       _MK_MASK_CONST(0xffff)
#define SCE_HSM_TIMER_0_RESET_MASK                      _MK_MASK_CONST(0x1ffff)
#define SCE_HSM_TIMER_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_0_READ_MASK                       _MK_MASK_CONST(0x1ffff)
#define SCE_HSM_TIMER_0_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_0_COUNT_EN_SHIFT                  _MK_SHIFT_CONST(16)
#define SCE_HSM_TIMER_0_COUNT_EN_FIELD                  _MK_FIELD_CONST(0x1, SCE_HSM_TIMER_0_COUNT_EN_SHIFT)
#define SCE_HSM_TIMER_0_COUNT_EN_RANGE                  16:16
#define SCE_HSM_TIMER_0_COUNT_EN_WOFFSET                        0x0
#define SCE_HSM_TIMER_0_COUNT_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_0_COUNT_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SCE_HSM_TIMER_0_COUNT_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_0_COUNT_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_0_COUNT_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_0_COUNT_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define SCE_HSM_TIMER_0_CUR_SHIFT                       _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_0_CUR_FIELD                       _MK_FIELD_CONST(0xffff, SCE_HSM_TIMER_0_CUR_SHIFT)
#define SCE_HSM_TIMER_0_CUR_RANGE                       15:0
#define SCE_HSM_TIMER_0_CUR_WOFFSET                     0x0
#define SCE_HSM_TIMER_0_CUR_DEFAULT                     _MK_MASK_CONST(0xffff)
#define SCE_HSM_TIMER_0_CUR_DEFAULT_MASK                        _MK_MASK_CONST(0xffff)
#define SCE_HSM_TIMER_0_CUR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_0_CUR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_0_CUR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_0_CUR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_LOAD_EN_DESCRAMBLE_0
#define SCE_HSM_TIMER_LOAD_EN_DESCRAMBLE_0                      _MK_ADDR_CONST(0x408)
#define SCE_HSM_TIMER_LOAD_EN_DESCRAMBLE_0_SECURE                       0x0
#define SCE_HSM_TIMER_LOAD_EN_DESCRAMBLE_0_DUAL                         0x0
#define SCE_HSM_TIMER_LOAD_EN_DESCRAMBLE_0_SCR                  0
#define SCE_HSM_TIMER_LOAD_EN_DESCRAMBLE_0_WORD_COUNT                   0x1
#define SCE_HSM_TIMER_LOAD_EN_DESCRAMBLE_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_LOAD_EN_DESCRAMBLE_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_LOAD_EN_DESCRAMBLE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_LOAD_EN_DESCRAMBLE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_LOAD_EN_DESCRAMBLE_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_LOAD_EN_DESCRAMBLE_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_LOAD_EN_DESCRAMBLE_0_DESCRAMBLE_SHIFT                     _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_LOAD_EN_DESCRAMBLE_0_DESCRAMBLE_FIELD                     _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_LOAD_EN_DESCRAMBLE_0_DESCRAMBLE_SHIFT)
#define SCE_HSM_TIMER_LOAD_EN_DESCRAMBLE_0_DESCRAMBLE_RANGE                     31:0
#define SCE_HSM_TIMER_LOAD_EN_DESCRAMBLE_0_DESCRAMBLE_WOFFSET                   0x0
#define SCE_HSM_TIMER_LOAD_EN_DESCRAMBLE_0_DESCRAMBLE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_LOAD_EN_DESCRAMBLE_0_DESCRAMBLE_DEFAULT_MASK                      _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_LOAD_EN_DESCRAMBLE_0_DESCRAMBLE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_LOAD_EN_DESCRAMBLE_0_DESCRAMBLE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_LOAD_EN_DESCRAMBLE_0_DESCRAMBLE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_LOAD_EN_DESCRAMBLE_0_DESCRAMBLE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_INPUT_0
#define SCE_HSM_TIMER_INPUT_0                   _MK_ADDR_CONST(0x40c)
#define SCE_HSM_TIMER_INPUT_0_SECURE                    0x0
#define SCE_HSM_TIMER_INPUT_0_DUAL                      0x0
#define SCE_HSM_TIMER_INPUT_0_SCR                       0
#define SCE_HSM_TIMER_INPUT_0_WORD_COUNT                        0x1
#define SCE_HSM_TIMER_INPUT_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_0_RESET_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_INPUT_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_0_STATUS_SHIFT                      _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_INPUT_0_STATUS_FIELD                      _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_INPUT_0_STATUS_SHIFT)
#define SCE_HSM_TIMER_INPUT_0_STATUS_RANGE                      31:0
#define SCE_HSM_TIMER_INPUT_0_STATUS_WOFFSET                    0x0
#define SCE_HSM_TIMER_INPUT_0_STATUS_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_0_STATUS_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_0_STATUS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_0_STATUS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_0_STATUS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_0_STATUS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_INPUT
#define SCE_HSM_TIMER_INPUT                     _MK_ADDR_CONST(0x40c)
#define SCE_HSM_TIMER_INPUT_SECURE                      0x0
#define SCE_HSM_TIMER_INPUT_DUAL                        0x0
#define SCE_HSM_TIMER_INPUT_SCR                         0
#define SCE_HSM_TIMER_INPUT_WORD_COUNT                  0x1
#define SCE_HSM_TIMER_INPUT_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_RESET_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_INPUT_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_STATUS_SHIFT                        _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_INPUT_STATUS_FIELD                        _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_INPUT_STATUS_SHIFT)
#define SCE_HSM_TIMER_INPUT_STATUS_RANGE                        31:0
#define SCE_HSM_TIMER_INPUT_STATUS_WOFFSET                      0x0
#define SCE_HSM_TIMER_INPUT_STATUS_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_STATUS_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_STATUS_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_STATUS_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_STATUS_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_STATUS_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_INPUT_1
#define SCE_HSM_TIMER_INPUT_1                   _MK_ADDR_CONST(0x410)
#define SCE_HSM_TIMER_INPUT_1_SECURE                    0x0
#define SCE_HSM_TIMER_INPUT_1_DUAL                      0x0
#define SCE_HSM_TIMER_INPUT_1_SCR                       0
#define SCE_HSM_TIMER_INPUT_1_WORD_COUNT                        0x1
#define SCE_HSM_TIMER_INPUT_1_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_1_RESET_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_1_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_1_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_INPUT_1_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_1_STATUS_SHIFT                      _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_INPUT_1_STATUS_FIELD                      _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_INPUT_1_STATUS_SHIFT)
#define SCE_HSM_TIMER_INPUT_1_STATUS_RANGE                      31:0
#define SCE_HSM_TIMER_INPUT_1_STATUS_WOFFSET                    0x0
#define SCE_HSM_TIMER_INPUT_1_STATUS_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_1_STATUS_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_1_STATUS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_1_STATUS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_1_STATUS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_1_STATUS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_INPUT_2
#define SCE_HSM_TIMER_INPUT_2                   _MK_ADDR_CONST(0x414)
#define SCE_HSM_TIMER_INPUT_2_SECURE                    0x0
#define SCE_HSM_TIMER_INPUT_2_DUAL                      0x0
#define SCE_HSM_TIMER_INPUT_2_SCR                       0
#define SCE_HSM_TIMER_INPUT_2_WORD_COUNT                        0x1
#define SCE_HSM_TIMER_INPUT_2_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_2_RESET_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_2_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_2_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_INPUT_2_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_2_STATUS_SHIFT                      _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_INPUT_2_STATUS_FIELD                      _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_INPUT_2_STATUS_SHIFT)
#define SCE_HSM_TIMER_INPUT_2_STATUS_RANGE                      31:0
#define SCE_HSM_TIMER_INPUT_2_STATUS_WOFFSET                    0x0
#define SCE_HSM_TIMER_INPUT_2_STATUS_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_2_STATUS_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_2_STATUS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_2_STATUS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_2_STATUS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_2_STATUS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_INPUT_3
#define SCE_HSM_TIMER_INPUT_3                   _MK_ADDR_CONST(0x418)
#define SCE_HSM_TIMER_INPUT_3_SECURE                    0x0
#define SCE_HSM_TIMER_INPUT_3_DUAL                      0x0
#define SCE_HSM_TIMER_INPUT_3_SCR                       0
#define SCE_HSM_TIMER_INPUT_3_WORD_COUNT                        0x1
#define SCE_HSM_TIMER_INPUT_3_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_3_RESET_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_3_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_3_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_INPUT_3_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_3_STATUS_SHIFT                      _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_INPUT_3_STATUS_FIELD                      _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_INPUT_3_STATUS_SHIFT)
#define SCE_HSM_TIMER_INPUT_3_STATUS_RANGE                      31:0
#define SCE_HSM_TIMER_INPUT_3_STATUS_WOFFSET                    0x0
#define SCE_HSM_TIMER_INPUT_3_STATUS_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_3_STATUS_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_3_STATUS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_3_STATUS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_3_STATUS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_3_STATUS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_INPUT_4
#define SCE_HSM_TIMER_INPUT_4                   _MK_ADDR_CONST(0x41c)
#define SCE_HSM_TIMER_INPUT_4_SECURE                    0x0
#define SCE_HSM_TIMER_INPUT_4_DUAL                      0x0
#define SCE_HSM_TIMER_INPUT_4_SCR                       0
#define SCE_HSM_TIMER_INPUT_4_WORD_COUNT                        0x1
#define SCE_HSM_TIMER_INPUT_4_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_4_RESET_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_4_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_4_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_4_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_INPUT_4_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_4_STATUS_SHIFT                      _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_INPUT_4_STATUS_FIELD                      _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_INPUT_4_STATUS_SHIFT)
#define SCE_HSM_TIMER_INPUT_4_STATUS_RANGE                      31:0
#define SCE_HSM_TIMER_INPUT_4_STATUS_WOFFSET                    0x0
#define SCE_HSM_TIMER_INPUT_4_STATUS_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_4_STATUS_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_4_STATUS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_4_STATUS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_4_STATUS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_4_STATUS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_INPUT_5
#define SCE_HSM_TIMER_INPUT_5                   _MK_ADDR_CONST(0x420)
#define SCE_HSM_TIMER_INPUT_5_SECURE                    0x0
#define SCE_HSM_TIMER_INPUT_5_DUAL                      0x0
#define SCE_HSM_TIMER_INPUT_5_SCR                       0
#define SCE_HSM_TIMER_INPUT_5_WORD_COUNT                        0x1
#define SCE_HSM_TIMER_INPUT_5_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_5_RESET_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_5_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_5_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_5_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_INPUT_5_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_5_STATUS_SHIFT                      _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_INPUT_5_STATUS_FIELD                      _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_INPUT_5_STATUS_SHIFT)
#define SCE_HSM_TIMER_INPUT_5_STATUS_RANGE                      31:0
#define SCE_HSM_TIMER_INPUT_5_STATUS_WOFFSET                    0x0
#define SCE_HSM_TIMER_INPUT_5_STATUS_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_5_STATUS_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_5_STATUS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_5_STATUS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_5_STATUS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_5_STATUS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_INPUT_6
#define SCE_HSM_TIMER_INPUT_6                   _MK_ADDR_CONST(0x424)
#define SCE_HSM_TIMER_INPUT_6_SECURE                    0x0
#define SCE_HSM_TIMER_INPUT_6_DUAL                      0x0
#define SCE_HSM_TIMER_INPUT_6_SCR                       0
#define SCE_HSM_TIMER_INPUT_6_WORD_COUNT                        0x1
#define SCE_HSM_TIMER_INPUT_6_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_6_RESET_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_6_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_6_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_6_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_INPUT_6_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_6_STATUS_SHIFT                      _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_INPUT_6_STATUS_FIELD                      _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_INPUT_6_STATUS_SHIFT)
#define SCE_HSM_TIMER_INPUT_6_STATUS_RANGE                      31:0
#define SCE_HSM_TIMER_INPUT_6_STATUS_WOFFSET                    0x0
#define SCE_HSM_TIMER_INPUT_6_STATUS_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_6_STATUS_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_6_STATUS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_6_STATUS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_6_STATUS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_6_STATUS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_INPUT_7
#define SCE_HSM_TIMER_INPUT_7                   _MK_ADDR_CONST(0x428)
#define SCE_HSM_TIMER_INPUT_7_SECURE                    0x0
#define SCE_HSM_TIMER_INPUT_7_DUAL                      0x0
#define SCE_HSM_TIMER_INPUT_7_SCR                       0
#define SCE_HSM_TIMER_INPUT_7_WORD_COUNT                        0x1
#define SCE_HSM_TIMER_INPUT_7_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_7_RESET_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_7_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_7_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_7_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_INPUT_7_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_7_STATUS_SHIFT                      _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_INPUT_7_STATUS_FIELD                      _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_INPUT_7_STATUS_SHIFT)
#define SCE_HSM_TIMER_INPUT_7_STATUS_RANGE                      31:0
#define SCE_HSM_TIMER_INPUT_7_STATUS_WOFFSET                    0x0
#define SCE_HSM_TIMER_INPUT_7_STATUS_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_7_STATUS_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_7_STATUS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_7_STATUS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_7_STATUS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_7_STATUS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_INPUT_8
#define SCE_HSM_TIMER_INPUT_8                   _MK_ADDR_CONST(0x42c)
#define SCE_HSM_TIMER_INPUT_8_SECURE                    0x0
#define SCE_HSM_TIMER_INPUT_8_DUAL                      0x0
#define SCE_HSM_TIMER_INPUT_8_SCR                       0
#define SCE_HSM_TIMER_INPUT_8_WORD_COUNT                        0x1
#define SCE_HSM_TIMER_INPUT_8_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_8_RESET_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_8_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_8_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_8_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_INPUT_8_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_8_STATUS_SHIFT                      _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_INPUT_8_STATUS_FIELD                      _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_INPUT_8_STATUS_SHIFT)
#define SCE_HSM_TIMER_INPUT_8_STATUS_RANGE                      31:0
#define SCE_HSM_TIMER_INPUT_8_STATUS_WOFFSET                    0x0
#define SCE_HSM_TIMER_INPUT_8_STATUS_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_8_STATUS_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_8_STATUS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_8_STATUS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_8_STATUS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_8_STATUS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_INPUT_9
#define SCE_HSM_TIMER_INPUT_9                   _MK_ADDR_CONST(0x430)
#define SCE_HSM_TIMER_INPUT_9_SECURE                    0x0
#define SCE_HSM_TIMER_INPUT_9_DUAL                      0x0
#define SCE_HSM_TIMER_INPUT_9_SCR                       0
#define SCE_HSM_TIMER_INPUT_9_WORD_COUNT                        0x1
#define SCE_HSM_TIMER_INPUT_9_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_9_RESET_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_9_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_9_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_9_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_INPUT_9_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_9_STATUS_SHIFT                      _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_INPUT_9_STATUS_FIELD                      _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_INPUT_9_STATUS_SHIFT)
#define SCE_HSM_TIMER_INPUT_9_STATUS_RANGE                      31:0
#define SCE_HSM_TIMER_INPUT_9_STATUS_WOFFSET                    0x0
#define SCE_HSM_TIMER_INPUT_9_STATUS_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_9_STATUS_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_9_STATUS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_9_STATUS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_9_STATUS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_9_STATUS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_INPUT_10
#define SCE_HSM_TIMER_INPUT_10                  _MK_ADDR_CONST(0x434)
#define SCE_HSM_TIMER_INPUT_10_SECURE                   0x0
#define SCE_HSM_TIMER_INPUT_10_DUAL                     0x0
#define SCE_HSM_TIMER_INPUT_10_SCR                      0
#define SCE_HSM_TIMER_INPUT_10_WORD_COUNT                       0x1
#define SCE_HSM_TIMER_INPUT_10_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_10_RESET_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_10_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_10_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_10_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_INPUT_10_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_10_STATUS_SHIFT                     _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_INPUT_10_STATUS_FIELD                     _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_INPUT_10_STATUS_SHIFT)
#define SCE_HSM_TIMER_INPUT_10_STATUS_RANGE                     31:0
#define SCE_HSM_TIMER_INPUT_10_STATUS_WOFFSET                   0x0
#define SCE_HSM_TIMER_INPUT_10_STATUS_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_10_STATUS_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_10_STATUS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_10_STATUS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_10_STATUS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_10_STATUS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_INPUT_11
#define SCE_HSM_TIMER_INPUT_11                  _MK_ADDR_CONST(0x438)
#define SCE_HSM_TIMER_INPUT_11_SECURE                   0x0
#define SCE_HSM_TIMER_INPUT_11_DUAL                     0x0
#define SCE_HSM_TIMER_INPUT_11_SCR                      0
#define SCE_HSM_TIMER_INPUT_11_WORD_COUNT                       0x1
#define SCE_HSM_TIMER_INPUT_11_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_11_RESET_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_11_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_11_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_11_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_INPUT_11_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_11_STATUS_SHIFT                     _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_INPUT_11_STATUS_FIELD                     _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_INPUT_11_STATUS_SHIFT)
#define SCE_HSM_TIMER_INPUT_11_STATUS_RANGE                     31:0
#define SCE_HSM_TIMER_INPUT_11_STATUS_WOFFSET                   0x0
#define SCE_HSM_TIMER_INPUT_11_STATUS_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_11_STATUS_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_11_STATUS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_11_STATUS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_11_STATUS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_11_STATUS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_INPUT_12
#define SCE_HSM_TIMER_INPUT_12                  _MK_ADDR_CONST(0x43c)
#define SCE_HSM_TIMER_INPUT_12_SECURE                   0x0
#define SCE_HSM_TIMER_INPUT_12_DUAL                     0x0
#define SCE_HSM_TIMER_INPUT_12_SCR                      0
#define SCE_HSM_TIMER_INPUT_12_WORD_COUNT                       0x1
#define SCE_HSM_TIMER_INPUT_12_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_12_RESET_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_12_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_12_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_12_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_INPUT_12_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_12_STATUS_SHIFT                     _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_INPUT_12_STATUS_FIELD                     _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_INPUT_12_STATUS_SHIFT)
#define SCE_HSM_TIMER_INPUT_12_STATUS_RANGE                     31:0
#define SCE_HSM_TIMER_INPUT_12_STATUS_WOFFSET                   0x0
#define SCE_HSM_TIMER_INPUT_12_STATUS_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_12_STATUS_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_12_STATUS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_12_STATUS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_12_STATUS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_12_STATUS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_INPUT_13
#define SCE_HSM_TIMER_INPUT_13                  _MK_ADDR_CONST(0x440)
#define SCE_HSM_TIMER_INPUT_13_SECURE                   0x0
#define SCE_HSM_TIMER_INPUT_13_DUAL                     0x0
#define SCE_HSM_TIMER_INPUT_13_SCR                      0
#define SCE_HSM_TIMER_INPUT_13_WORD_COUNT                       0x1
#define SCE_HSM_TIMER_INPUT_13_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_13_RESET_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_13_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_13_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_13_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_INPUT_13_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_13_STATUS_SHIFT                     _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_INPUT_13_STATUS_FIELD                     _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_INPUT_13_STATUS_SHIFT)
#define SCE_HSM_TIMER_INPUT_13_STATUS_RANGE                     31:0
#define SCE_HSM_TIMER_INPUT_13_STATUS_WOFFSET                   0x0
#define SCE_HSM_TIMER_INPUT_13_STATUS_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_13_STATUS_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_13_STATUS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_13_STATUS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_13_STATUS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_13_STATUS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_INPUT_14
#define SCE_HSM_TIMER_INPUT_14                  _MK_ADDR_CONST(0x444)
#define SCE_HSM_TIMER_INPUT_14_SECURE                   0x0
#define SCE_HSM_TIMER_INPUT_14_DUAL                     0x0
#define SCE_HSM_TIMER_INPUT_14_SCR                      0
#define SCE_HSM_TIMER_INPUT_14_WORD_COUNT                       0x1
#define SCE_HSM_TIMER_INPUT_14_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_14_RESET_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_14_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_14_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_14_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_INPUT_14_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_14_STATUS_SHIFT                     _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_INPUT_14_STATUS_FIELD                     _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_INPUT_14_STATUS_SHIFT)
#define SCE_HSM_TIMER_INPUT_14_STATUS_RANGE                     31:0
#define SCE_HSM_TIMER_INPUT_14_STATUS_WOFFSET                   0x0
#define SCE_HSM_TIMER_INPUT_14_STATUS_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_14_STATUS_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_14_STATUS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_14_STATUS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_14_STATUS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_14_STATUS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register SCE_HSM_TIMER_INPUT_15
#define SCE_HSM_TIMER_INPUT_15                  _MK_ADDR_CONST(0x448)
#define SCE_HSM_TIMER_INPUT_15_SECURE                   0x0
#define SCE_HSM_TIMER_INPUT_15_DUAL                     0x0
#define SCE_HSM_TIMER_INPUT_15_SCR                      0
#define SCE_HSM_TIMER_INPUT_15_WORD_COUNT                       0x1
#define SCE_HSM_TIMER_INPUT_15_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_15_RESET_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_15_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_15_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_15_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SCE_HSM_TIMER_INPUT_15_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_15_STATUS_SHIFT                     _MK_SHIFT_CONST(0)
#define SCE_HSM_TIMER_INPUT_15_STATUS_FIELD                     _MK_FIELD_CONST(0xffffffff, SCE_HSM_TIMER_INPUT_15_STATUS_SHIFT)
#define SCE_HSM_TIMER_INPUT_15_STATUS_RANGE                     31:0
#define SCE_HSM_TIMER_INPUT_15_STATUS_WOFFSET                   0x0
#define SCE_HSM_TIMER_INPUT_15_STATUS_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_15_STATUS_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_15_STATUS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_15_STATUS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_15_STATUS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SCE_HSM_TIMER_INPUT_15_STATUS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register SCE_HSM_ERROR_COLLATOR_FEATURE_0
#define SCE_HSM_ERROR_COLLATOR_FEATURE_0                        _MK_ADDR_CONST(0x1000)
#define SCE_HSM_ERROR_COLLATOR_FEATURE_0_SECURE                         0x0
#define SCE_HSM_ERROR_COLLATOR_FEATURE_0_DUAL                   0x0
#define SCE_HSM_ERROR_COLLATOR_FEATURE_0_SCR                    0
#define SCE_HSM_ERROR_COLLATOR_FEATURE_0_WORD_COUNT                     0x1
#define SCE_HSM_ERROR_COLLATOR_FEATURE_0_RESET_VAL                      _MK_MASK_CONST(0x30001)
#define SCE_HSM_ERROR_COLLATOR_FEATURE_0_RESET_MASK                     _MK_MASK_CONST(0xffff003f)
#define SCE_HSM_ERROR_COLLATOR_FEATURE_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_FEATURE_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_FEATURE_0_READ_MASK                      _MK_MASK_CONST(0xffff003f)
#define SCE_HSM_ERROR_COLLATOR_FEATURE_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_FEATURE_0_NUM_ERR_SHIFT                  _MK_SHIFT_CONST(16)
#define SCE_HSM_ERROR_COLLATOR_FEATURE_0_NUM_ERR_FIELD                  _MK_FIELD_CONST(0xffff, SCE_HSM_ERROR_COLLATOR_FEATURE_0_NUM_ERR_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_FEATURE_0_NUM_ERR_RANGE                  31:16
#define SCE_HSM_ERROR_COLLATOR_FEATURE_0_NUM_ERR_WOFFSET                        0x0
#define SCE_HSM_ERROR_COLLATOR_FEATURE_0_NUM_ERR_DEFAULT                        _MK_MASK_CONST(0x3)
#define SCE_HSM_ERROR_COLLATOR_FEATURE_0_NUM_ERR_DEFAULT_MASK                   _MK_MASK_CONST(0xffff)
#define SCE_HSM_ERROR_COLLATOR_FEATURE_0_NUM_ERR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_FEATURE_0_NUM_ERR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_FEATURE_0_NUM_ERR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_FEATURE_0_NUM_ERR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define SCE_HSM_ERROR_COLLATOR_FEATURE_0_NUM_ERR_SLICES_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_FEATURE_0_NUM_ERR_SLICES_FIELD                   _MK_FIELD_CONST(0x3f, SCE_HSM_ERROR_COLLATOR_FEATURE_0_NUM_ERR_SLICES_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_FEATURE_0_NUM_ERR_SLICES_RANGE                   5:0
#define SCE_HSM_ERROR_COLLATOR_FEATURE_0_NUM_ERR_SLICES_WOFFSET                 0x0
#define SCE_HSM_ERROR_COLLATOR_FEATURE_0_NUM_ERR_SLICES_DEFAULT                 _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_FEATURE_0_NUM_ERR_SLICES_DEFAULT_MASK                    _MK_MASK_CONST(0x3f)
#define SCE_HSM_ERROR_COLLATOR_FEATURE_0_NUM_ERR_SLICES_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_FEATURE_0_NUM_ERR_SLICES_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_FEATURE_0_NUM_ERR_SLICES_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_FEATURE_0_NUM_ERR_SLICES_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register SCE_HSM_ERROR_COLLATOR_SWRESET_0
#define SCE_HSM_ERROR_COLLATOR_SWRESET_0                        _MK_ADDR_CONST(0x1004)
#define SCE_HSM_ERROR_COLLATOR_SWRESET_0_SECURE                         0x0
#define SCE_HSM_ERROR_COLLATOR_SWRESET_0_DUAL                   0x0
#define SCE_HSM_ERROR_COLLATOR_SWRESET_0_SCR                    0
#define SCE_HSM_ERROR_COLLATOR_SWRESET_0_WORD_COUNT                     0x1
#define SCE_HSM_ERROR_COLLATOR_SWRESET_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_SWRESET_0_RESET_MASK                     _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_SWRESET_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_SWRESET_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_SWRESET_0_READ_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_SWRESET_0_WRITE_MASK                     _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_SWRESET_0_SWRST_SHIFT                    _MK_SHIFT_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_SWRESET_0_SWRST_FIELD                    _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_SWRESET_0_SWRST_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_SWRESET_0_SWRST_RANGE                    0:0
#define SCE_HSM_ERROR_COLLATOR_SWRESET_0_SWRST_WOFFSET                  0x0
#define SCE_HSM_ERROR_COLLATOR_SWRESET_0_SWRST_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_SWRESET_0_SWRST_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_SWRESET_0_SWRST_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_SWRESET_0_SWRST_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_SWRESET_0_SWRST_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_SWRESET_0_SWRST_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register SCE_HSM_ERROR_COLLATOR_MISSIONERR_TYPE_0
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_TYPE_0                        _MK_ADDR_CONST(0x1008)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_TYPE_0_SECURE                         0x0
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_TYPE_0_DUAL                   0x0
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_TYPE_0_SCR                    0
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_TYPE_0_WORD_COUNT                     0x1
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_TYPE_0_RESET_VAL                      _MK_MASK_CONST(0x5)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_TYPE_0_RESET_MASK                     _MK_MASK_CONST(0x3f)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_TYPE_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_TYPE_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_TYPE_0_READ_MASK                      _MK_MASK_CONST(0x3f)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_TYPE_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_TYPE_0_CODE_SHIFT                     _MK_SHIFT_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_TYPE_0_CODE_FIELD                     _MK_FIELD_CONST(0x3f, SCE_HSM_ERROR_COLLATOR_MISSIONERR_TYPE_0_CODE_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_TYPE_0_CODE_RANGE                     5:0
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_TYPE_0_CODE_WOFFSET                   0x0
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_TYPE_0_CODE_DEFAULT                   _MK_MASK_CONST(0x5)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_TYPE_0_CODE_DEFAULT_MASK                      _MK_MASK_CONST(0x3f)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_TYPE_0_CODE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_TYPE_0_CODE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_TYPE_0_CODE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_TYPE_0_CODE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register SCE_HSM_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0
#define SCE_HSM_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0                  _MK_ADDR_CONST(0x100c)
#define SCE_HSM_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_SECURE                   0x0
#define SCE_HSM_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_DUAL                     0x0
#define SCE_HSM_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_SCR                      0
#define SCE_HSM_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_WORD_COUNT                       0x1
#define SCE_HSM_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_RESET_MASK                       _MK_MASK_CONST(0x1ff)
#define SCE_HSM_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_READ_MASK                        _MK_MASK_CONST(0x1ff)
#define SCE_HSM_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_SHIFT                      _MK_SHIFT_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_FIELD                      _MK_FIELD_CONST(0x1ff, SCE_HSM_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_RANGE                      8:0
#define SCE_HSM_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_WOFFSET                    0x0
#define SCE_HSM_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_DEFAULT_MASK                       _MK_MASK_CONST(0x1ff)
#define SCE_HSM_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0_VALUE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Reserved address 0x1010

// Register SCE_HSM_ERROR_COLLATOR_MISSIONERR_INDEX_0
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INDEX_0                       _MK_ADDR_CONST(0x1014)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INDEX_0_SECURE                        0x0
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INDEX_0_DUAL                  0x0
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INDEX_0_SCR                   0
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INDEX_0_WORD_COUNT                    0x1
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INDEX_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INDEX_0_RESET_MASK                    _MK_MASK_CONST(0x3)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INDEX_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INDEX_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INDEX_0_READ_MASK                     _MK_MASK_CONST(0x3)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INDEX_0_WRITE_MASK                    _MK_MASK_CONST(0x3)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INDEX_0_IDX_SHIFT                     _MK_SHIFT_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INDEX_0_IDX_FIELD                     _MK_FIELD_CONST(0x3, SCE_HSM_ERROR_COLLATOR_MISSIONERR_INDEX_0_IDX_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INDEX_0_IDX_RANGE                     1:0
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INDEX_0_IDX_WOFFSET                   0x0
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INDEX_0_IDX_DEFAULT                   _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INDEX_0_IDX_DEFAULT_MASK                      _MK_MASK_CONST(0x3)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INDEX_0_IDX_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INDEX_0_IDX_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INDEX_0_IDX_PARITY_PROTECTION                 _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INDEX_0_IDX_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register SCE_HSM_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0
#define SCE_HSM_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0                  _MK_ADDR_CONST(0x1018)
#define SCE_HSM_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_SECURE                   0x0
#define SCE_HSM_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_DUAL                     0x0
#define SCE_HSM_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_SCR                      0
#define SCE_HSM_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_WORD_COUNT                       0x1
#define SCE_HSM_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_RESET_VAL                        _MK_MASK_CONST(0xff)
#define SCE_HSM_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_RESET_MASK                       _MK_MASK_CONST(0xff)
#define SCE_HSM_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_READ_MASK                        _MK_MASK_CONST(0xff)
#define SCE_HSM_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_WRITE_MASK                       _MK_MASK_CONST(0xff)
#define SCE_HSM_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_SHIFT                      _MK_SHIFT_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_FIELD                      _MK_FIELD_CONST(0xff, SCE_HSM_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_RANGE                      7:0
#define SCE_HSM_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_WOFFSET                    0x0
#define SCE_HSM_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_DEFAULT                    _MK_MASK_CONST(0xff)
#define SCE_HSM_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_DEFAULT_MASK                       _MK_MASK_CONST(0xff)
#define SCE_HSM_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_PARITY_PROTECTION                  _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0_COUNT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register SCE_HSM_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0                       _MK_ADDR_CONST(0x101c)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_SECURE                        0x0
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_DUAL                  0x0
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_SCR                   0
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_WORD_COUNT                    0x1
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_RESET_MASK                    _MK_MASK_CONST(0xff)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_READ_MASK                     _MK_MASK_CONST(0xff)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_WRITE_MASK                    _MK_MASK_CONST(0xff)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_FIELD                   _MK_FIELD_CONST(0xff, SCE_HSM_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_RANGE                   7:0
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_WOFFSET                 0x0
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_LOCK                    _MK_ENUM_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0_VALUE_UNLOCK                  _MK_ENUM_CONST(225)


// Reserved address 0x1020

// Reserved address 0x1024

// Reserved address 0x1028

// Reserved address 0x102c

// Register SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0                    _MK_ADDR_CONST(0x1030)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_SECURE                     0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_DUAL                       0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_SCR                        0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_WORD_COUNT                         0x1
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_RESET_VAL                  _MK_MASK_CONST(0xf)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_RESET_MASK                         _MK_MASK_CONST(0xf)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_READ_MASK                  _MK_MASK_CONST(0xf)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_WRITE_MASK                         _MK_MASK_CONST(0xf)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SHIFT                 _MK_SHIFT_CONST(3)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_FIELD                 _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_RANGE                 3:3
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_WOFFSET                       0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DEFAULT                       _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_DISABLE                       _MK_ENUM_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR3_ENABLE                        _MK_ENUM_CONST(1)

#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SHIFT                 _MK_SHIFT_CONST(2)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_FIELD                 _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_RANGE                 2:2
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_WOFFSET                       0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DEFAULT                       _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_DISABLE                       _MK_ENUM_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR2_ENABLE                        _MK_ENUM_CONST(1)

#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SHIFT                 _MK_SHIFT_CONST(1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_FIELD                 _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_RANGE                 1:1
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_WOFFSET                       0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DEFAULT                       _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_DISABLE                       _MK_ENUM_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR1_ENABLE                        _MK_ENUM_CONST(1)

#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SHIFT                 _MK_SHIFT_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_FIELD                 _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_RANGE                 0:0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_WOFFSET                       0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DEFAULT                       _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_DISABLE                       _MK_ENUM_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0_ERR0_ENABLE                        _MK_ENUM_CONST(1)


// Register SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0                     _MK_ADDR_CONST(0x1034)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_SECURE                      0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_DUAL                        0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_SCR                         0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_WORD_COUNT                  0x1
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_RESET_MASK                  _MK_MASK_CONST(0xf)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_READ_MASK                   _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_WRITE_MASK                  _MK_MASK_CONST(0xf)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SHIFT                  _MK_SHIFT_CONST(3)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_FIELD                  _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_RANGE                  3:3
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_WOFFSET                        0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_NOFORCE                        _MK_ENUM_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR3_FORCE                  _MK_ENUM_CONST(1)

#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SHIFT                  _MK_SHIFT_CONST(2)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_FIELD                  _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_RANGE                  2:2
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_WOFFSET                        0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_NOFORCE                        _MK_ENUM_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR2_FORCE                  _MK_ENUM_CONST(1)

#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SHIFT                  _MK_SHIFT_CONST(1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_FIELD                  _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_RANGE                  1:1
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_WOFFSET                        0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_NOFORCE                        _MK_ENUM_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR1_FORCE                  _MK_ENUM_CONST(1)

#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SHIFT                  _MK_SHIFT_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_FIELD                  _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_RANGE                  0:0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_WOFFSET                        0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_NOFORCE                        _MK_ENUM_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0_ERR0_FORCE                  _MK_ENUM_CONST(1)


// Register SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0                    _MK_ADDR_CONST(0x1038)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_SECURE                     0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_DUAL                       0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_SCR                        0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_WORD_COUNT                         0x1
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_RESET_MASK                         _MK_MASK_CONST(0xf)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_READ_MASK                  _MK_MASK_CONST(0xf)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_WRITE_MASK                         _MK_MASK_CONST(0xf)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SHIFT                 _MK_SHIFT_CONST(3)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_FIELD                 _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_RANGE                 3:3
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_WOFFSET                       0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SHIFT                 _MK_SHIFT_CONST(2)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_FIELD                 _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_RANGE                 2:2
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_WOFFSET                       0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SHIFT                 _MK_SHIFT_CONST(1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_FIELD                 _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_RANGE                 1:1
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_WOFFSET                       0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SHIFT                 _MK_SHIFT_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_FIELD                 _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_RANGE                 0:0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_WOFFSET                       0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_PARITY_PROTECTION                     _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0_ERR0_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0                    _MK_ADDR_CONST(0x103c)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_SECURE                     0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_DUAL                       0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_SCR                        0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_WORD_COUNT                         0x1
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_RESET_MASK                         _MK_MASK_CONST(0xf)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_READ_MASK                  _MK_MASK_CONST(0xf)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_WRITE_MASK                         _MK_MASK_CONST(0xf)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SHIFT                 _MK_SHIFT_CONST(3)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_FIELD                 _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_RANGE                 3:3
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_WOFFSET                       0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_DISABLE                       _MK_ENUM_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR3_ENABLE                        _MK_ENUM_CONST(1)

#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SHIFT                 _MK_SHIFT_CONST(2)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_FIELD                 _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_RANGE                 2:2
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_WOFFSET                       0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_DISABLE                       _MK_ENUM_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR2_ENABLE                        _MK_ENUM_CONST(1)

#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SHIFT                 _MK_SHIFT_CONST(1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_FIELD                 _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_RANGE                 1:1
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_WOFFSET                       0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_DISABLE                       _MK_ENUM_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR1_ENABLE                        _MK_ENUM_CONST(1)

#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SHIFT                 _MK_SHIFT_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_FIELD                 _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_RANGE                 0:0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_WOFFSET                       0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_DISABLE                       _MK_ENUM_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0_ERR0_ENABLE                        _MK_ENUM_CONST(1)


// Register SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0                     _MK_ADDR_CONST(0x1040)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_SECURE                      0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_DUAL                        0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_SCR                         0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_WORD_COUNT                  0x1
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_RESET_VAL                   _MK_MASK_CONST(0xf)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_RESET_MASK                  _MK_MASK_CONST(0xf)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_READ_MASK                   _MK_MASK_CONST(0xf)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_WRITE_MASK                  _MK_MASK_CONST(0xf)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SHIFT                  _MK_SHIFT_CONST(3)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_FIELD                  _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_RANGE                  3:3
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_WOFFSET                        0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DEFAULT                        _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_DISABLE                        _MK_ENUM_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR3_ENABLE                 _MK_ENUM_CONST(1)

#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SHIFT                  _MK_SHIFT_CONST(2)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_FIELD                  _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_RANGE                  2:2
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_WOFFSET                        0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DEFAULT                        _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_DISABLE                        _MK_ENUM_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR2_ENABLE                 _MK_ENUM_CONST(1)

#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SHIFT                  _MK_SHIFT_CONST(1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_FIELD                  _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_RANGE                  1:1
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_WOFFSET                        0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DEFAULT                        _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_DISABLE                        _MK_ENUM_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR1_ENABLE                 _MK_ENUM_CONST(1)

#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SHIFT                  _MK_SHIFT_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_FIELD                  _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_RANGE                  0:0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_WOFFSET                        0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DEFAULT                        _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_DISABLE                        _MK_ENUM_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0_ERR0_ENABLE                 _MK_ENUM_CONST(1)


// Register SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0                      _MK_ADDR_CONST(0x1044)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_SECURE                       0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_DUAL                         0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_SCR                  0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_WORD_COUNT                   0x1
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_RESET_MASK                   _MK_MASK_CONST(0xf)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_READ_MASK                    _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_WRITE_MASK                   _MK_MASK_CONST(0xf)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SHIFT                   _MK_SHIFT_CONST(3)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_FIELD                   _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_RANGE                   3:3
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_WOFFSET                 0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_NOFORCE                 _MK_ENUM_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR3_FORCE                   _MK_ENUM_CONST(1)

#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SHIFT                   _MK_SHIFT_CONST(2)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_FIELD                   _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_RANGE                   2:2
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_WOFFSET                 0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_NOFORCE                 _MK_ENUM_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR2_FORCE                   _MK_ENUM_CONST(1)

#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SHIFT                   _MK_SHIFT_CONST(1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_FIELD                   _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_RANGE                   1:1
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_WOFFSET                 0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_NOFORCE                 _MK_ENUM_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR1_FORCE                   _MK_ENUM_CONST(1)

#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SHIFT                   _MK_SHIFT_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_FIELD                   _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_RANGE                   0:0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_WOFFSET                 0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_DEFAULT                 _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_NOFORCE                 _MK_ENUM_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0_ERR0_FORCE                   _MK_ENUM_CONST(1)


// Register SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0                     _MK_ADDR_CONST(0x1048)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_SECURE                      0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_DUAL                        0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_SCR                         0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_WORD_COUNT                  0x1
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_RESET_MASK                  _MK_MASK_CONST(0xf)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_READ_MASK                   _MK_MASK_CONST(0xf)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_WRITE_MASK                  _MK_MASK_CONST(0xf)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SHIFT                  _MK_SHIFT_CONST(3)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_FIELD                  _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_RANGE                  3:3
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_WOFFSET                        0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR3_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SHIFT                  _MK_SHIFT_CONST(2)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_FIELD                  _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_RANGE                  2:2
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_WOFFSET                        0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR2_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SHIFT                  _MK_SHIFT_CONST(1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_FIELD                  _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_RANGE                  1:1
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_WOFFSET                        0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR1_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SHIFT                  _MK_SHIFT_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_FIELD                  _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_RANGE                  0:0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_WOFFSET                        0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_DEFAULT                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_PARITY_PROTECTION                      _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0_ERR0_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Reserved address 0x104c

// Register SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0                       _MK_ADDR_CONST(0x1050)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_SECURE                        0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_DUAL                  0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_SCR                   0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_WORD_COUNT                    0x1
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_RESET_MASK                    _MK_MASK_CONST(0xf)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_READ_MASK                     _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_WRITE_MASK                    _MK_MASK_CONST(0xf)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SHIFT                    _MK_SHIFT_CONST(3)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_FIELD                    _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_RANGE                    3:3
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_WOFFSET                  0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_NORELOAD                 _MK_ENUM_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR3_RELOAD                   _MK_ENUM_CONST(1)

#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SHIFT                    _MK_SHIFT_CONST(2)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_FIELD                    _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_RANGE                    2:2
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_WOFFSET                  0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_NORELOAD                 _MK_ENUM_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR2_RELOAD                   _MK_ENUM_CONST(1)

#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SHIFT                    _MK_SHIFT_CONST(1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_FIELD                    _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_RANGE                    1:1
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_WOFFSET                  0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_NORELOAD                 _MK_ENUM_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR1_RELOAD                   _MK_ENUM_CONST(1)

#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SHIFT                    _MK_SHIFT_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_FIELD                    _MK_FIELD_CONST(0x1, SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SHIFT)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_RANGE                    0:0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_WOFFSET                  0x0
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_DEFAULT                  _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_NORELOAD                 _MK_ENUM_CONST(0)
#define SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0_ERR0_RELOAD                   _MK_ENUM_CONST(1)


// Reserved address 0x1054

// Reserved address 0x1058

// Reserved address 0x105c

//
// REGISTER LIST
//
#define LIST_ARSCE_HSM_REGS(_op_) \
_op_(SCE_HSM_CONFIG_0) \
_op_(SCE_HSM_ERR_STATUS_0) \
_op_(SCE_HSM_ERR_STATUS_CLR_0) \
_op_(SCE_HSM_ERR_STATUS_SET_0) \
_op_(SCE_HSM_GPIO_STATUS_0) \
_op_(SCE_HSM_GPIO_CLR_0) \
_op_(SCE_HSM_GPIO_SET_0) \
_op_(SCE_HSM_GPIO_CLR_PULSE_WIDTH_0) \
_op_(SCE_HSM_RSTREQ_0) \
_op_(SCE_HSM_SCRAMBLE_0) \
_op_(SCE_HSM_GPIO_OPERATION_0) \
_op_(SCE_HSM_GPIO_TOGGLE_0) \
_op_(SCE_HSM_HSM_GPIO_OUT_STATUS_0) \
_op_(SCE_HSM_HP_INT_STATUS_0) \
_op_(SCE_HSM_HP_INT_STATUS) \
_op_(SCE_HSM_HP_INT_STATUS_1) \
_op_(SCE_HSM_HP_INT_STATUS_2) \
_op_(SCE_HSM_HP_INT_STATUS_3) \
_op_(SCE_HSM_HP_INT_STATUS_4) \
_op_(SCE_HSM_HP_INT_STATUS_5) \
_op_(SCE_HSM_HP_INT_STATUS_6) \
_op_(SCE_HSM_HP_INT_STATUS_7) \
_op_(SCE_HSM_HP_INT_STATUS_8) \
_op_(SCE_HSM_HP_INT_STATUS_9) \
_op_(SCE_HSM_HP_INT_STATUS_10) \
_op_(SCE_HSM_HP_INT_STATUS_11) \
_op_(SCE_HSM_HP_INT_STATUS_12) \
_op_(SCE_HSM_HP_INT_STATUS_13) \
_op_(SCE_HSM_HP_INT_STATUS_14) \
_op_(SCE_HSM_HP_INT_STATUS_15) \
_op_(SCE_HSM_LP_INT_STATUS_0) \
_op_(SCE_HSM_LP_INT_STATUS) \
_op_(SCE_HSM_LP_INT_STATUS_1) \
_op_(SCE_HSM_LP_INT_STATUS_2) \
_op_(SCE_HSM_LP_INT_STATUS_3) \
_op_(SCE_HSM_LP_INT_STATUS_4) \
_op_(SCE_HSM_LP_INT_STATUS_5) \
_op_(SCE_HSM_LP_INT_STATUS_6) \
_op_(SCE_HSM_LP_INT_STATUS_7) \
_op_(SCE_HSM_LP_INT_STATUS_8) \
_op_(SCE_HSM_LP_INT_STATUS_9) \
_op_(SCE_HSM_LP_INT_STATUS_10) \
_op_(SCE_HSM_LP_INT_STATUS_11) \
_op_(SCE_HSM_LP_INT_STATUS_12) \
_op_(SCE_HSM_LP_INT_STATUS_13) \
_op_(SCE_HSM_LP_INT_STATUS_14) \
_op_(SCE_HSM_LP_INT_STATUS_15) \
_op_(SCE_HSM_RAW_INT_STATUS_0) \
_op_(SCE_HSM_RAW_INT_STATUS) \
_op_(SCE_HSM_RAW_INT_STATUS_1) \
_op_(SCE_HSM_RAW_INT_STATUS_2) \
_op_(SCE_HSM_RAW_INT_STATUS_3) \
_op_(SCE_HSM_RAW_INT_STATUS_4) \
_op_(SCE_HSM_RAW_INT_STATUS_5) \
_op_(SCE_HSM_RAW_INT_STATUS_6) \
_op_(SCE_HSM_RAW_INT_STATUS_7) \
_op_(SCE_HSM_RAW_INT_STATUS_8) \
_op_(SCE_HSM_RAW_INT_STATUS_9) \
_op_(SCE_HSM_RAW_INT_STATUS_10) \
_op_(SCE_HSM_RAW_INT_STATUS_11) \
_op_(SCE_HSM_RAW_INT_STATUS_12) \
_op_(SCE_HSM_RAW_INT_STATUS_13) \
_op_(SCE_HSM_RAW_INT_STATUS_14) \
_op_(SCE_HSM_RAW_INT_STATUS_15) \
_op_(SCE_HSM_GPIO_EN_0) \
_op_(SCE_HSM_GPIO_EN) \
_op_(SCE_HSM_GPIO_EN_1) \
_op_(SCE_HSM_GPIO_EN_2) \
_op_(SCE_HSM_GPIO_EN_3) \
_op_(SCE_HSM_GPIO_EN_4) \
_op_(SCE_HSM_GPIO_EN_5) \
_op_(SCE_HSM_GPIO_EN_6) \
_op_(SCE_HSM_GPIO_EN_7) \
_op_(SCE_HSM_GPIO_EN_8) \
_op_(SCE_HSM_GPIO_EN_9) \
_op_(SCE_HSM_GPIO_EN_10) \
_op_(SCE_HSM_GPIO_EN_11) \
_op_(SCE_HSM_GPIO_EN_12) \
_op_(SCE_HSM_GPIO_EN_13) \
_op_(SCE_HSM_GPIO_EN_14) \
_op_(SCE_HSM_GPIO_EN_15) \
_op_(SCE_HSM_INT_EN_0) \
_op_(SCE_HSM_INT_EN) \
_op_(SCE_HSM_INT_EN_1) \
_op_(SCE_HSM_INT_EN_2) \
_op_(SCE_HSM_INT_EN_3) \
_op_(SCE_HSM_INT_EN_4) \
_op_(SCE_HSM_INT_EN_5) \
_op_(SCE_HSM_INT_EN_6) \
_op_(SCE_HSM_INT_EN_7) \
_op_(SCE_HSM_INT_EN_8) \
_op_(SCE_HSM_INT_EN_9) \
_op_(SCE_HSM_INT_EN_10) \
_op_(SCE_HSM_INT_EN_11) \
_op_(SCE_HSM_INT_EN_12) \
_op_(SCE_HSM_INT_EN_13) \
_op_(SCE_HSM_INT_EN_14) \
_op_(SCE_HSM_INT_EN_15) \
_op_(SCE_HSM_INTR_CLASS_0) \
_op_(SCE_HSM_INTR_CLASS) \
_op_(SCE_HSM_INTR_CLASS_1) \
_op_(SCE_HSM_INTR_CLASS_2) \
_op_(SCE_HSM_INTR_CLASS_3) \
_op_(SCE_HSM_INTR_CLASS_4) \
_op_(SCE_HSM_INTR_CLASS_5) \
_op_(SCE_HSM_INTR_CLASS_6) \
_op_(SCE_HSM_INTR_CLASS_7) \
_op_(SCE_HSM_INTR_CLASS_8) \
_op_(SCE_HSM_INTR_CLASS_9) \
_op_(SCE_HSM_INTR_CLASS_10) \
_op_(SCE_HSM_INTR_CLASS_11) \
_op_(SCE_HSM_INTR_CLASS_12) \
_op_(SCE_HSM_INTR_CLASS_13) \
_op_(SCE_HSM_INTR_CLASS_14) \
_op_(SCE_HSM_INTR_CLASS_15) \
_op_(SCE_HSM_TIMER_EN_0) \
_op_(SCE_HSM_TIMER_EN) \
_op_(SCE_HSM_TIMER_EN_1) \
_op_(SCE_HSM_TIMER_EN_2) \
_op_(SCE_HSM_TIMER_EN_3) \
_op_(SCE_HSM_TIMER_EN_4) \
_op_(SCE_HSM_TIMER_EN_5) \
_op_(SCE_HSM_TIMER_EN_6) \
_op_(SCE_HSM_TIMER_EN_7) \
_op_(SCE_HSM_TIMER_EN_8) \
_op_(SCE_HSM_TIMER_EN_9) \
_op_(SCE_HSM_TIMER_EN_10) \
_op_(SCE_HSM_TIMER_EN_11) \
_op_(SCE_HSM_TIMER_EN_12) \
_op_(SCE_HSM_TIMER_EN_13) \
_op_(SCE_HSM_TIMER_EN_14) \
_op_(SCE_HSM_TIMER_EN_15) \
_op_(SCE_HSM_FORCE_SET_0) \
_op_(SCE_HSM_FORCE_SET) \
_op_(SCE_HSM_FORCE_SET_1) \
_op_(SCE_HSM_FORCE_SET_2) \
_op_(SCE_HSM_FORCE_SET_3) \
_op_(SCE_HSM_FORCE_SET_4) \
_op_(SCE_HSM_FORCE_SET_5) \
_op_(SCE_HSM_FORCE_SET_6) \
_op_(SCE_HSM_FORCE_SET_7) \
_op_(SCE_HSM_FORCE_SET_8) \
_op_(SCE_HSM_FORCE_SET_9) \
_op_(SCE_HSM_FORCE_SET_10) \
_op_(SCE_HSM_FORCE_SET_11) \
_op_(SCE_HSM_FORCE_SET_12) \
_op_(SCE_HSM_FORCE_SET_13) \
_op_(SCE_HSM_FORCE_SET_14) \
_op_(SCE_HSM_FORCE_SET_15) \
_op_(SCE_HSM_FORCE_CLEAR_0) \
_op_(SCE_HSM_FORCE_CLEAR) \
_op_(SCE_HSM_FORCE_CLEAR_1) \
_op_(SCE_HSM_FORCE_CLEAR_2) \
_op_(SCE_HSM_FORCE_CLEAR_3) \
_op_(SCE_HSM_FORCE_CLEAR_4) \
_op_(SCE_HSM_FORCE_CLEAR_5) \
_op_(SCE_HSM_FORCE_CLEAR_6) \
_op_(SCE_HSM_FORCE_CLEAR_7) \
_op_(SCE_HSM_FORCE_CLEAR_8) \
_op_(SCE_HSM_FORCE_CLEAR_9) \
_op_(SCE_HSM_FORCE_CLEAR_10) \
_op_(SCE_HSM_FORCE_CLEAR_11) \
_op_(SCE_HSM_FORCE_CLEAR_12) \
_op_(SCE_HSM_FORCE_CLEAR_13) \
_op_(SCE_HSM_FORCE_CLEAR_14) \
_op_(SCE_HSM_FORCE_CLEAR_15) \
_op_(SCE_HSM_FORCE_STATUS_0) \
_op_(SCE_HSM_FORCE_STATUS) \
_op_(SCE_HSM_FORCE_STATUS_1) \
_op_(SCE_HSM_FORCE_STATUS_2) \
_op_(SCE_HSM_FORCE_STATUS_3) \
_op_(SCE_HSM_FORCE_STATUS_4) \
_op_(SCE_HSM_FORCE_STATUS_5) \
_op_(SCE_HSM_FORCE_STATUS_6) \
_op_(SCE_HSM_FORCE_STATUS_7) \
_op_(SCE_HSM_FORCE_STATUS_8) \
_op_(SCE_HSM_FORCE_STATUS_9) \
_op_(SCE_HSM_FORCE_STATUS_10) \
_op_(SCE_HSM_FORCE_STATUS_11) \
_op_(SCE_HSM_FORCE_STATUS_12) \
_op_(SCE_HSM_FORCE_STATUS_13) \
_op_(SCE_HSM_FORCE_STATUS_14) \
_op_(SCE_HSM_FORCE_STATUS_15) \
_op_(SCE_HSM_TIMER_THRESHOLD_0) \
_op_(SCE_HSM_TIMER_0) \
_op_(SCE_HSM_TIMER_LOAD_EN_DESCRAMBLE_0) \
_op_(SCE_HSM_TIMER_INPUT_0) \
_op_(SCE_HSM_TIMER_INPUT) \
_op_(SCE_HSM_TIMER_INPUT_1) \
_op_(SCE_HSM_TIMER_INPUT_2) \
_op_(SCE_HSM_TIMER_INPUT_3) \
_op_(SCE_HSM_TIMER_INPUT_4) \
_op_(SCE_HSM_TIMER_INPUT_5) \
_op_(SCE_HSM_TIMER_INPUT_6) \
_op_(SCE_HSM_TIMER_INPUT_7) \
_op_(SCE_HSM_TIMER_INPUT_8) \
_op_(SCE_HSM_TIMER_INPUT_9) \
_op_(SCE_HSM_TIMER_INPUT_10) \
_op_(SCE_HSM_TIMER_INPUT_11) \
_op_(SCE_HSM_TIMER_INPUT_12) \
_op_(SCE_HSM_TIMER_INPUT_13) \
_op_(SCE_HSM_TIMER_INPUT_14) \
_op_(SCE_HSM_TIMER_INPUT_15) \
_op_(SCE_HSM_ERROR_COLLATOR_FEATURE_0) \
_op_(SCE_HSM_ERROR_COLLATOR_SWRESET_0) \
_op_(SCE_HSM_ERROR_COLLATOR_MISSIONERR_TYPE_0) \
_op_(SCE_HSM_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0) \
_op_(SCE_HSM_ERROR_COLLATOR_MISSIONERR_INDEX_0) \
_op_(SCE_HSM_ERROR_COLLATOR_CORRECTABLE_THRESHOLD_0) \
_op_(SCE_HSM_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0) \
_op_(SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0) \
_op_(SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_FORCE_0) \
_op_(SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_STATUS_0) \
_op_(SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_INJECT_0) \
_op_(SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_ENABLE_0) \
_op_(SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_FORCE_0) \
_op_(SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0) \
_op_(SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0)


//
// ADDRESS SPACES
//

#define BASE_ADDRESS_SCE_HSM    0x00000000
#define BASE_ADDRESS_SCE_HSM_ERROR_COLLATOR     0x00001000
#define BASE_ADDRESS_SCE_HSM_ERROR_COLLATOR     0x00001000

//
// ARSCE_HSM REGISTER BANKS
//

#define SCE_HSM0_FIRST_REG 0x0000 // SCE_HSM_CONFIG_0
#define SCE_HSM0_LAST_REG 0x0030 // SCE_HSM_HSM_GPIO_OUT_STATUS_0
#define SCE_HSM1_FIRST_REG 0x0100 // SCE_HSM_HP_INT_STATUS_0
#define SCE_HSM1_LAST_REG 0x02bc // SCE_HSM_TIMER_EN_15
#define SCE_HSM2_FIRST_REG 0x0300 // SCE_HSM_FORCE_SET_0
#define SCE_HSM2_LAST_REG 0x03bc // SCE_HSM_FORCE_STATUS_15
#define SCE_HSM3_FIRST_REG 0x0400 // SCE_HSM_TIMER_THRESHOLD_0
#define SCE_HSM3_LAST_REG 0x0448 // SCE_HSM_TIMER_INPUT_15
#define SCE_HSM_ERROR_COLLATOR0_FIRST_REG 0x1000 // SCE_HSM_ERROR_COLLATOR_FEATURE_0
#define SCE_HSM_ERROR_COLLATOR0_LAST_REG 0x100c // SCE_HSM_ERROR_COLLATOR_CURRENT_COUNTER_VALUE_0
#define SCE_HSM_ERROR_COLLATOR1_FIRST_REG 0x1014 // SCE_HSM_ERROR_COLLATOR_MISSIONERR_INDEX_0
#define SCE_HSM_ERROR_COLLATOR1_LAST_REG 0x101c // SCE_HSM_ERROR_COLLATOR_MISSIONERR_INJECT_UNLOCK_0
#define SCE_HSM_ERROR_COLLATOR2_FIRST_REG 0x1030 // SCE_HSM_ERROR_COLLATOR_ERRSLICE0_MISSIONERR_ENABLE_0
#define SCE_HSM_ERROR_COLLATOR2_LAST_REG 0x1048 // SCE_HSM_ERROR_COLLATOR_ERRSLICE0_LATENTERR_STATUS_0
#define SCE_HSM_ERROR_COLLATOR3_FIRST_REG 0x1050 // SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0
#define SCE_HSM_ERROR_COLLATOR3_LAST_REG 0x1050 // SCE_HSM_ERROR_COLLATOR_ERRSLICE0_COUNTER_RELOAD_0

// To satisfy various compilers and platforms,
// we let users control the types and syntax of certain constants, using macros.
#ifndef _MK_SHIFT_CONST
  #define _MK_SHIFT_CONST(_constant_) _constant_
#endif
#ifndef _MK_MASK_CONST
  #define _MK_MASK_CONST(_constant_) _constant_
#endif
#ifndef _MK_ENUM_CONST
  #define _MK_ENUM_CONST(_constant_) (_constant_ ## UL)
#endif
#ifndef _MK_ADDR_CONST
  #define _MK_ADDR_CONST(_constant_) _constant_
#endif
#ifndef _MK_FIELD_CONST
  #define _MK_FIELD_CONST(_mask_, _shift_) (_MK_MASK_CONST(_mask_) << _MK_SHIFT_CONST(_shift_))
#endif

#endif // ifndef ___ARSCE_HSM_H_INC_
