//
// Copyright (c) 2018 NVIDIA Corporation.
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are met:
//
// Redistributions of source code must retain the above copyright notice,
// this list of conditions and the following disclaimer.
//
// Redistributions in binary form must reproduce the above copyright notice,
// this list of conditions and the following disclaimer in the documentation
// and/or other materials provided with the distribution.
//
// Neither the name of the NVIDIA Corporation nor the names of its contributors
// may be used to endorse or promote products derived from this software
// without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
// ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
// LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
// CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
// SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
// INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
// CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
// POSSIBILITY OF SUCH DAMAGE.
//

//
// DO NOT EDIT - generated by simspec!
//

#ifndef ___ARSE0_H_INC_
#define ___ARSE0_H_INC_
#define NV_MOBILE_ARSE0_H_UNIT_OF_OFFSET 1B

#define ARSE_PORT_NUMBER        5
#define ARSE_PORT_IDX_APB       0
#define ARSE_PORT_IDX_AES0      1
#define ARSE_PORT_IDX_AES1      2
#define ARSE_PORT_IDX_PKA0      3
#define ARSE_PORT_IDX_SHA       4
#define ARSE_ENGINE_NUMBER      6
#define ARSE_HOST_ENGINE_NUMBER 4
#define ARSE_ENG_IDX_PKA1       5
#define ARSE_ENG_IDX_AES0       0
#define ARSE_ENG_IDX_AES1       1
#define ARSE_ENG_IDX_PKA0       2
#define ARSE_ENG_IDX_SHA        3
#define ARSE_ENG_IDX_RNG1       4
#define ARSE_WORDS_PER_BUFF     2

// Packet SE_BUFF_WORD0
#define SE_BUFF_WORD0_SIZE 32

#define SE_BUFF_WORD0_START_ADDR_SHIFT                  _MK_SHIFT_CONST(0)
#define SE_BUFF_WORD0_START_ADDR_FIELD                  _MK_FIELD_CONST(0xffffffff, SE_BUFF_WORD0_START_ADDR_SHIFT)
#define SE_BUFF_WORD0_START_ADDR_RANGE                  _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define SE_BUFF_WORD0_START_ADDR_ROW                    0

// Packet SE_BUFF_WORD1
#define SE_BUFF_WORD1_SIZE 32

#define SE_BUFF_WORD1_START_ADDR_MSB_SHIFT                      _MK_SHIFT_CONST(24)
#define SE_BUFF_WORD1_START_ADDR_MSB_FIELD                      _MK_FIELD_CONST(0xff, SE_BUFF_WORD1_START_ADDR_MSB_SHIFT)
#define SE_BUFF_WORD1_START_ADDR_MSB_RANGE                      _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(24)
#define SE_BUFF_WORD1_START_ADDR_MSB_ROW                        0

#define SE_BUFF_WORD1_BYTE_SIZE_SHIFT                   _MK_SHIFT_CONST(0)
#define SE_BUFF_WORD1_BYTE_SIZE_FIELD                   _MK_FIELD_CONST(0xffffff, SE_BUFF_WORD1_BYTE_SIZE_SHIFT)
#define SE_BUFF_WORD1_BYTE_SIZE_RANGE                   _MK_SHIFT_CONST(23):_MK_SHIFT_CONST(0)
#define SE_BUFF_WORD1_BYTE_SIZE_ROW                     0

#define ARSE_SECURE     0
#define ARSE_NONSECURE  1
#define ARSE_SHA1_HASH_SIZE     160
#define ARSE_SHA224_HASH_SIZE   224
#define ARSE_SHA256_HASH_SIZE   256
#define ARSE_SHA384_HASH_SIZE   384
#define ARSE_SHA512_HASH_SIZE   512
#define ARSE_SHA_HASH_SIZE      512
#define ARSE_AES_HASH_SIZE      128
#define ARSE_HASH_SIZE  512
#define ARSE_CONTEXT_SIZE_IN_BITS       91008
#define ARSE_CRYPTO_NUM_KEY_CHUNKS      16
#define ARSE_CRYPTO_KEY_INDEX_WIDTH     4

// Packet SE_ENGINE_CONFIG_PKT
#define SE_ENGINE_CONFIG_PKT_SIZE 30

#define SE_ENGINE_CONFIG_PKT_DST_SHIFT                  _MK_SHIFT_CONST(2)
#define SE_ENGINE_CONFIG_PKT_DST_FIELD                  _MK_FIELD_CONST(0x7, SE_ENGINE_CONFIG_PKT_DST_SHIFT)
#define SE_ENGINE_CONFIG_PKT_DST_RANGE                  _MK_SHIFT_CONST(4):_MK_SHIFT_CONST(2)
#define SE_ENGINE_CONFIG_PKT_DST_ROW                    0
#define SE_ENGINE_CONFIG_PKT_DST_MEMORY                 _MK_ENUM_CONST(0)
#define SE_ENGINE_CONFIG_PKT_DST_HASH_REG                       _MK_ENUM_CONST(1)
#define SE_ENGINE_CONFIG_PKT_DST_KEYTABLE                       _MK_ENUM_CONST(2)
#define SE_ENGINE_CONFIG_PKT_DST_SRK                    _MK_ENUM_CONST(3)
#define SE_ENGINE_CONFIG_PKT_DST_RSA_REG                        _MK_ENUM_CONST(4)

#define SE_ENGINE_CONFIG_PKT_DEC_ALG_SHIFT                      _MK_SHIFT_CONST(8)
#define SE_ENGINE_CONFIG_PKT_DEC_ALG_FIELD                      _MK_FIELD_CONST(0xf, SE_ENGINE_CONFIG_PKT_DEC_ALG_SHIFT)
#define SE_ENGINE_CONFIG_PKT_DEC_ALG_RANGE                      _MK_SHIFT_CONST(11):_MK_SHIFT_CONST(8)
#define SE_ENGINE_CONFIG_PKT_DEC_ALG_ROW                        0
#define SE_ENGINE_CONFIG_PKT_DEC_ALG_NOP                        _MK_ENUM_CONST(0)
#define SE_ENGINE_CONFIG_PKT_DEC_ALG_AES_DEC                    _MK_ENUM_CONST(1)

#define SE_ENGINE_CONFIG_PKT_ENC_ALG_SHIFT                      _MK_SHIFT_CONST(12)
#define SE_ENGINE_CONFIG_PKT_ENC_ALG_FIELD                      _MK_FIELD_CONST(0xf, SE_ENGINE_CONFIG_PKT_ENC_ALG_SHIFT)
#define SE_ENGINE_CONFIG_PKT_ENC_ALG_RANGE                      _MK_SHIFT_CONST(15):_MK_SHIFT_CONST(12)
#define SE_ENGINE_CONFIG_PKT_ENC_ALG_ROW                        0
#define SE_ENGINE_CONFIG_PKT_ENC_ALG_NOP                        _MK_ENUM_CONST(0)
#define SE_ENGINE_CONFIG_PKT_ENC_ALG_AES_ENC                    _MK_ENUM_CONST(1)
#define SE_ENGINE_CONFIG_PKT_ENC_ALG_RNG                        _MK_ENUM_CONST(2)
#define SE_ENGINE_CONFIG_PKT_ENC_ALG_SHA                        _MK_ENUM_CONST(3)
#define SE_ENGINE_CONFIG_PKT_ENC_ALG_RSA                        _MK_ENUM_CONST(4)
#define SE_ENGINE_CONFIG_PKT_ENC_ALG_KEYFETCH                   _MK_ENUM_CONST(5)

#define SE_ENGINE_CONFIG_PKT_DEC_MODE_SHIFT                     _MK_SHIFT_CONST(16)
#define SE_ENGINE_CONFIG_PKT_DEC_MODE_FIELD                     _MK_FIELD_CONST(0xff, SE_ENGINE_CONFIG_PKT_DEC_MODE_SHIFT)
#define SE_ENGINE_CONFIG_PKT_DEC_MODE_RANGE                     _MK_SHIFT_CONST(23):_MK_SHIFT_CONST(16)
#define SE_ENGINE_CONFIG_PKT_DEC_MODE_ROW                       0

#define SE_ENGINE_CONFIG_PKT_ENC_MODE_SHIFT                     _MK_SHIFT_CONST(24)
#define SE_ENGINE_CONFIG_PKT_ENC_MODE_FIELD                     _MK_FIELD_CONST(0xff, SE_ENGINE_CONFIG_PKT_ENC_MODE_SHIFT)
#define SE_ENGINE_CONFIG_PKT_ENC_MODE_RANGE                     _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(24)
#define SE_ENGINE_CONFIG_PKT_ENC_MODE_ROW                       0

// Packet SE_MODE_PKT
#define SE_MODE_PKT_SIZE 8

#define SE_MODE_PKT_MODE_SHIFT                  _MK_SHIFT_CONST(0)
#define SE_MODE_PKT_MODE_FIELD                  _MK_FIELD_CONST(0xff, SE_MODE_PKT_MODE_SHIFT)
#define SE_MODE_PKT_MODE_RANGE                  _MK_SHIFT_CONST(7):_MK_SHIFT_CONST(0)
#define SE_MODE_PKT_MODE_ROW                    0

#define SE_MODE_PKT_AESMODE_SHIFT                       _MK_SHIFT_CONST(0)
#define SE_MODE_PKT_AESMODE_FIELD                       _MK_FIELD_CONST(0x7, SE_MODE_PKT_AESMODE_SHIFT)
#define SE_MODE_PKT_AESMODE_RANGE                       _MK_SHIFT_CONST(2):_MK_SHIFT_CONST(0)
#define SE_MODE_PKT_AESMODE_ROW                 0
#define SE_MODE_PKT_AESMODE_KEY128                      _MK_ENUM_CONST(0)
#define SE_MODE_PKT_AESMODE_KEY192                      _MK_ENUM_CONST(1)
#define SE_MODE_PKT_AESMODE_KEY256                      _MK_ENUM_CONST(2)

#define SE_MODE_PKT_SHAMODE_SHIFT                       _MK_SHIFT_CONST(0)
#define SE_MODE_PKT_SHAMODE_FIELD                       _MK_FIELD_CONST(0xf, SE_MODE_PKT_SHAMODE_SHIFT)
#define SE_MODE_PKT_SHAMODE_RANGE                       _MK_SHIFT_CONST(3):_MK_SHIFT_CONST(0)
#define SE_MODE_PKT_SHAMODE_ROW                 0
#define SE_MODE_PKT_SHAMODE_SHA1                        _MK_ENUM_CONST(0)
#define SE_MODE_PKT_SHAMODE_SHA224                      _MK_ENUM_CONST(4)
#define SE_MODE_PKT_SHAMODE_SHA256                      _MK_ENUM_CONST(5)
#define SE_MODE_PKT_SHAMODE_SHA384                      _MK_ENUM_CONST(6)
#define SE_MODE_PKT_SHAMODE_SHA512                      _MK_ENUM_CONST(7)
#define SE_MODE_PKT_SHAMODE_SHA_CTX_INTEGRITY                   _MK_ENUM_CONST(8)

// Packet SE_CG_PKT
#define SE_CG_PKT_SIZE 32

#define SE_CG_PKT_AES0_CORE_SHIFT                       _MK_SHIFT_CONST(0)
#define SE_CG_PKT_AES0_CORE_FIELD                       _MK_FIELD_CONST(0x1, SE_CG_PKT_AES0_CORE_SHIFT)
#define SE_CG_PKT_AES0_CORE_RANGE                       _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define SE_CG_PKT_AES0_CORE_ROW                 0
#define SE_CG_PKT_AES0_CORE_CYA_FALSE                   _MK_ENUM_CONST(0)
#define SE_CG_PKT_AES0_CORE_CYA_TRUE                    _MK_ENUM_CONST(1)

#define SE_CG_PKT_AES1_CORE_SHIFT                       _MK_SHIFT_CONST(1)
#define SE_CG_PKT_AES1_CORE_FIELD                       _MK_FIELD_CONST(0x1, SE_CG_PKT_AES1_CORE_SHIFT)
#define SE_CG_PKT_AES1_CORE_RANGE                       _MK_SHIFT_CONST(1):_MK_SHIFT_CONST(1)
#define SE_CG_PKT_AES1_CORE_ROW                 0
#define SE_CG_PKT_AES1_CORE_CYA_FALSE                   _MK_ENUM_CONST(0)
#define SE_CG_PKT_AES1_CORE_CYA_TRUE                    _MK_ENUM_CONST(1)

#define SE_CG_PKT_PKA0_CORE_SHIFT                       _MK_SHIFT_CONST(2)
#define SE_CG_PKT_PKA0_CORE_FIELD                       _MK_FIELD_CONST(0x1, SE_CG_PKT_PKA0_CORE_SHIFT)
#define SE_CG_PKT_PKA0_CORE_RANGE                       _MK_SHIFT_CONST(2):_MK_SHIFT_CONST(2)
#define SE_CG_PKT_PKA0_CORE_ROW                 0
#define SE_CG_PKT_PKA0_CORE_CYA_FALSE                   _MK_ENUM_CONST(0)
#define SE_CG_PKT_PKA0_CORE_CYA_TRUE                    _MK_ENUM_CONST(1)

#define SE_CG_PKT_SHA_CORE_SHIFT                        _MK_SHIFT_CONST(3)
#define SE_CG_PKT_SHA_CORE_FIELD                        _MK_FIELD_CONST(0x1, SE_CG_PKT_SHA_CORE_SHIFT)
#define SE_CG_PKT_SHA_CORE_RANGE                        _MK_SHIFT_CONST(3):_MK_SHIFT_CONST(3)
#define SE_CG_PKT_SHA_CORE_ROW                  0
#define SE_CG_PKT_SHA_CORE_CYA_FALSE                    _MK_ENUM_CONST(0)
#define SE_CG_PKT_SHA_CORE_CYA_TRUE                     _MK_ENUM_CONST(1)

#define SE_CG_PKT_SE0_REG_SHIFT                 _MK_SHIFT_CONST(4)
#define SE_CG_PKT_SE0_REG_FIELD                 _MK_FIELD_CONST(0x1, SE_CG_PKT_SE0_REG_SHIFT)
#define SE_CG_PKT_SE0_REG_RANGE                 _MK_SHIFT_CONST(4):_MK_SHIFT_CONST(4)
#define SE_CG_PKT_SE0_REG_ROW                   0
#define SE_CG_PKT_SE0_REG_CYA_FALSE                     _MK_ENUM_CONST(0)
#define SE_CG_PKT_SE0_REG_CYA_TRUE                      _MK_ENUM_CONST(1)

#define SE_CG_PKT_SE1_REG_SHIFT                 _MK_SHIFT_CONST(5)
#define SE_CG_PKT_SE1_REG_FIELD                 _MK_FIELD_CONST(0x1, SE_CG_PKT_SE1_REG_SHIFT)
#define SE_CG_PKT_SE1_REG_RANGE                 _MK_SHIFT_CONST(5):_MK_SHIFT_CONST(5)
#define SE_CG_PKT_SE1_REG_ROW                   0
#define SE_CG_PKT_SE1_REG_CYA_FALSE                     _MK_ENUM_CONST(0)
#define SE_CG_PKT_SE1_REG_CYA_TRUE                      _MK_ENUM_CONST(1)

#define SE_CG_PKT_SE2_REG_SHIFT                 _MK_SHIFT_CONST(6)
#define SE_CG_PKT_SE2_REG_FIELD                 _MK_FIELD_CONST(0x1, SE_CG_PKT_SE2_REG_SHIFT)
#define SE_CG_PKT_SE2_REG_RANGE                 _MK_SHIFT_CONST(6):_MK_SHIFT_CONST(6)
#define SE_CG_PKT_SE2_REG_ROW                   0
#define SE_CG_PKT_SE2_REG_CYA_FALSE                     _MK_ENUM_CONST(0)
#define SE_CG_PKT_SE2_REG_CYA_TRUE                      _MK_ENUM_CONST(1)

#define SE_CG_PKT_SE3_REG_SHIFT                 _MK_SHIFT_CONST(7)
#define SE_CG_PKT_SE3_REG_FIELD                 _MK_FIELD_CONST(0x1, SE_CG_PKT_SE3_REG_SHIFT)
#define SE_CG_PKT_SE3_REG_RANGE                 _MK_SHIFT_CONST(7):_MK_SHIFT_CONST(7)
#define SE_CG_PKT_SE3_REG_ROW                   0
#define SE_CG_PKT_SE3_REG_CYA_FALSE                     _MK_ENUM_CONST(0)
#define SE_CG_PKT_SE3_REG_CYA_TRUE                      _MK_ENUM_CONST(1)

#define SE_CG_PKT_SE4_REG_SHIFT                 _MK_SHIFT_CONST(8)
#define SE_CG_PKT_SE4_REG_FIELD                 _MK_FIELD_CONST(0x1, SE_CG_PKT_SE4_REG_SHIFT)
#define SE_CG_PKT_SE4_REG_RANGE                 _MK_SHIFT_CONST(8):_MK_SHIFT_CONST(8)
#define SE_CG_PKT_SE4_REG_ROW                   0
#define SE_CG_PKT_SE4_REG_CYA_FALSE                     _MK_ENUM_CONST(0)
#define SE_CG_PKT_SE4_REG_CYA_TRUE                      _MK_ENUM_CONST(1)

#define SE_CG_PKT_SE1_AGENT_SHIFT                       _MK_SHIFT_CONST(9)
#define SE_CG_PKT_SE1_AGENT_FIELD                       _MK_FIELD_CONST(0x1, SE_CG_PKT_SE1_AGENT_SHIFT)
#define SE_CG_PKT_SE1_AGENT_RANGE                       _MK_SHIFT_CONST(9):_MK_SHIFT_CONST(9)
#define SE_CG_PKT_SE1_AGENT_ROW                 0
#define SE_CG_PKT_SE1_AGENT_CYA_FALSE                   _MK_ENUM_CONST(0)
#define SE_CG_PKT_SE1_AGENT_CYA_TRUE                    _MK_ENUM_CONST(1)

#define SE_CG_PKT_SE2_AGENT_SHIFT                       _MK_SHIFT_CONST(10)
#define SE_CG_PKT_SE2_AGENT_FIELD                       _MK_FIELD_CONST(0x1, SE_CG_PKT_SE2_AGENT_SHIFT)
#define SE_CG_PKT_SE2_AGENT_RANGE                       _MK_SHIFT_CONST(10):_MK_SHIFT_CONST(10)
#define SE_CG_PKT_SE2_AGENT_ROW                 0
#define SE_CG_PKT_SE2_AGENT_CYA_FALSE                   _MK_ENUM_CONST(0)
#define SE_CG_PKT_SE2_AGENT_CYA_TRUE                    _MK_ENUM_CONST(1)

#define SE_CG_PKT_AFBIF_SHIFT                   _MK_SHIFT_CONST(11)
#define SE_CG_PKT_AFBIF_FIELD                   _MK_FIELD_CONST(0x1, SE_CG_PKT_AFBIF_SHIFT)
#define SE_CG_PKT_AFBIF_RANGE                   _MK_SHIFT_CONST(11):_MK_SHIFT_CONST(11)
#define SE_CG_PKT_AFBIF_ROW                     0
#define SE_CG_PKT_AFBIF_CYA_FALSE                       _MK_ENUM_CONST(0)
#define SE_CG_PKT_AFBIF_CYA_TRUE                        _MK_ENUM_CONST(1)

#define SE_CG_PKT_PKA0_KSLT_SHIFT                       _MK_SHIFT_CONST(12)
#define SE_CG_PKT_PKA0_KSLT_FIELD                       _MK_FIELD_CONST(0x1, SE_CG_PKT_PKA0_KSLT_SHIFT)
#define SE_CG_PKT_PKA0_KSLT_RANGE                       _MK_SHIFT_CONST(12):_MK_SHIFT_CONST(12)
#define SE_CG_PKT_PKA0_KSLT_ROW                 0
#define SE_CG_PKT_PKA0_KSLT_CYA_FALSE                   _MK_ENUM_CONST(0)
#define SE_CG_PKT_PKA0_KSLT_CYA_TRUE                    _MK_ENUM_CONST(1)

#define SE_CG_PKT_AES_KSLT_SHIFT                        _MK_SHIFT_CONST(13)
#define SE_CG_PKT_AES_KSLT_FIELD                        _MK_FIELD_CONST(0x1, SE_CG_PKT_AES_KSLT_SHIFT)
#define SE_CG_PKT_AES_KSLT_RANGE                        _MK_SHIFT_CONST(13):_MK_SHIFT_CONST(13)
#define SE_CG_PKT_AES_KSLT_ROW                  0
#define SE_CG_PKT_AES_KSLT_CYA_FALSE                    _MK_ENUM_CONST(0)
#define SE_CG_PKT_AES_KSLT_CYA_TRUE                     _MK_ENUM_CONST(1)

#define SE_CG_PKT_ENTROPY_SHIFT                 _MK_SHIFT_CONST(14)
#define SE_CG_PKT_ENTROPY_FIELD                 _MK_FIELD_CONST(0x1, SE_CG_PKT_ENTROPY_SHIFT)
#define SE_CG_PKT_ENTROPY_RANGE                 _MK_SHIFT_CONST(14):_MK_SHIFT_CONST(14)
#define SE_CG_PKT_ENTROPY_ROW                   0
#define SE_CG_PKT_ENTROPY_CYA_FALSE                     _MK_ENUM_CONST(0)
#define SE_CG_PKT_ENTROPY_CYA_TRUE                      _MK_ENUM_CONST(1)

#define SE_CG_PKT_APBIF_SHIFT                   _MK_SHIFT_CONST(15)
#define SE_CG_PKT_APBIF_FIELD                   _MK_FIELD_CONST(0x1, SE_CG_PKT_APBIF_SHIFT)
#define SE_CG_PKT_APBIF_RANGE                   _MK_SHIFT_CONST(15):_MK_SHIFT_CONST(15)
#define SE_CG_PKT_APBIF_ROW                     0
#define SE_CG_PKT_APBIF_CYA_FALSE                       _MK_ENUM_CONST(0)
#define SE_CG_PKT_APBIF_CYA_TRUE                        _MK_ENUM_CONST(1)

#define SE_CG_PKT_ENTROPY_SYNCER_SHIFT                  _MK_SHIFT_CONST(16)
#define SE_CG_PKT_ENTROPY_SYNCER_FIELD                  _MK_FIELD_CONST(0x1, SE_CG_PKT_ENTROPY_SYNCER_SHIFT)
#define SE_CG_PKT_ENTROPY_SYNCER_RANGE                  _MK_SHIFT_CONST(16):_MK_SHIFT_CONST(16)
#define SE_CG_PKT_ENTROPY_SYNCER_ROW                    0
#define SE_CG_PKT_ENTROPY_SYNCER_CYA_FALSE                      _MK_ENUM_CONST(0)
#define SE_CG_PKT_ENTROPY_SYNCER_CYA_TRUE                       _MK_ENUM_CONST(1)

#define SE_CG_PKT_TOP_OVR_LEAF_SHIFT                    _MK_SHIFT_CONST(29)
#define SE_CG_PKT_TOP_OVR_LEAF_FIELD                    _MK_FIELD_CONST(0x1, SE_CG_PKT_TOP_OVR_LEAF_SHIFT)
#define SE_CG_PKT_TOP_OVR_LEAF_RANGE                    _MK_SHIFT_CONST(29):_MK_SHIFT_CONST(29)
#define SE_CG_PKT_TOP_OVR_LEAF_ROW                      0
#define SE_CG_PKT_TOP_OVR_LEAF_CYA_FALSE                        _MK_ENUM_CONST(0)
#define SE_CG_PKT_TOP_OVR_LEAF_CYA_TRUE                 _MK_ENUM_CONST(1)

#define SE_CG_PKT_TOP_MISC_SHIFT                        _MK_SHIFT_CONST(30)
#define SE_CG_PKT_TOP_MISC_FIELD                        _MK_FIELD_CONST(0x1, SE_CG_PKT_TOP_MISC_SHIFT)
#define SE_CG_PKT_TOP_MISC_RANGE                        _MK_SHIFT_CONST(30):_MK_SHIFT_CONST(30)
#define SE_CG_PKT_TOP_MISC_ROW                  0
#define SE_CG_PKT_TOP_MISC_CYA_FALSE                    _MK_ENUM_CONST(0)
#define SE_CG_PKT_TOP_MISC_CYA_TRUE                     _MK_ENUM_CONST(1)

#define SE_CG_PKT_SE_CLK_OVR_ON_SHIFT                   _MK_SHIFT_CONST(31)
#define SE_CG_PKT_SE_CLK_OVR_ON_FIELD                   _MK_FIELD_CONST(0x1, SE_CG_PKT_SE_CLK_OVR_ON_SHIFT)
#define SE_CG_PKT_SE_CLK_OVR_ON_RANGE                   _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(31)
#define SE_CG_PKT_SE_CLK_OVR_ON_ROW                     0
#define SE_CG_PKT_SE_CLK_OVR_ON_CYA_FALSE                       _MK_ENUM_CONST(0)
#define SE_CG_PKT_SE_CLK_OVR_ON_CYA_TRUE                        _MK_ENUM_CONST(1)

// Packet SE_UNIT_OPERATION_PKT
#define SE_UNIT_OPERATION_PKT_SIZE 17

#define SE_UNIT_OPERATION_PKT_LASTBUF_SHIFT                     _MK_SHIFT_CONST(16)
#define SE_UNIT_OPERATION_PKT_LASTBUF_FIELD                     _MK_FIELD_CONST(0x1, SE_UNIT_OPERATION_PKT_LASTBUF_SHIFT)
#define SE_UNIT_OPERATION_PKT_LASTBUF_RANGE                     _MK_SHIFT_CONST(16):_MK_SHIFT_CONST(16)
#define SE_UNIT_OPERATION_PKT_LASTBUF_ROW                       0
#define SE_UNIT_OPERATION_PKT_LASTBUF_FALSE                     _MK_ENUM_CONST(0)
#define SE_UNIT_OPERATION_PKT_LASTBUF_TRUE                      _MK_ENUM_CONST(1)

#define SE_UNIT_OPERATION_PKT_WRSTALL_SHIFT                     _MK_SHIFT_CONST(15)
#define SE_UNIT_OPERATION_PKT_WRSTALL_FIELD                     _MK_FIELD_CONST(0x1, SE_UNIT_OPERATION_PKT_WRSTALL_SHIFT)
#define SE_UNIT_OPERATION_PKT_WRSTALL_RANGE                     _MK_SHIFT_CONST(15):_MK_SHIFT_CONST(15)
#define SE_UNIT_OPERATION_PKT_WRSTALL_ROW                       0
#define SE_UNIT_OPERATION_PKT_WRSTALL_FALSE                     _MK_ENUM_CONST(0)
#define SE_UNIT_OPERATION_PKT_WRSTALL_TRUE                      _MK_ENUM_CONST(1)

#define SE_UNIT_OPERATION_PKT_OP_SHIFT                  _MK_SHIFT_CONST(0)
#define SE_UNIT_OPERATION_PKT_OP_FIELD                  _MK_FIELD_CONST(0x7, SE_UNIT_OPERATION_PKT_OP_SHIFT)
#define SE_UNIT_OPERATION_PKT_OP_RANGE                  _MK_SHIFT_CONST(2):_MK_SHIFT_CONST(0)
#define SE_UNIT_OPERATION_PKT_OP_ROW                    0
#define SE_UNIT_OPERATION_PKT_OP_START                  _MK_ENUM_CONST(1)
#define SE_UNIT_OPERATION_PKT_OP_RESTART_OUT                    _MK_ENUM_CONST(2)
#define SE_UNIT_OPERATION_PKT_OP_CTX_SAVE                       _MK_ENUM_CONST(3)
#define SE_UNIT_OPERATION_PKT_OP_RESTART_IN                     _MK_ENUM_CONST(4)
#define SE_UNIT_OPERATION_PKT_OP_RESTART_INOUT                  _MK_ENUM_CONST(5)
#define SE_UNIT_OPERATION_PKT_OP_DUMMY                  _MK_ENUM_CONST(6)
#define SE_UNIT_OPERATION_PKT_OP_SOFTRESET                      _MK_ENUM_CONST(7)
#define SE_UNIT_OPERATION_PKT_OP_ABORT                  _MK_ENUM_CONST(0)

#define ARSE_UNIT_OPERATION_ABORT       0

#define ARSE_ENTROPY_RO_INSTANCES       35
#define ARSE_ENTROPY_RO_INV_CNT 27
#define ARSE_ENTROPY_OUTPUT_WIDTH       192
#define ARSE_ENTROPY_ASYNCFIFO_DEPTH    2
#define ARSE_PERSONALIZATION_STRING_WIDTH       64
#define ARSE_CRYPTO_KEYS_PER_KEYCHUNK   8
#define ARSE_CRYPTO_IVS_PER_KEYCHUNK    4
#define ARSE_CRYPTO_WORDS_PER_KEYCHUNK  16
#define ARSE_CRYPTO_KEYTABLE_SCHEDULE_WORDS     64
#define ARSE_CRYPTO_KEYTABLE_KEYIV_WORDS        256
#define ARSE_CRYPTO_LINEAR_CTR_WIDTH    128
#define ARSE_CRYPTO_LFSR_WIDTH  128
#define ARSE_CRYPTO_SRK_WIDTH   128
#define ARSE_CRYPTO_PMCIF_WIDTH 384
#define ARSE_SRK_MAX_BLOCKS     1024

// Packet SE_CRYPTO_KEYIV_PKT
#define SE_CRYPTO_KEYIV_PKT_SIZE 8

#define SE_CRYPTO_KEYIV_PKT_WORD_SHIFT                  _MK_SHIFT_CONST(0)
#define SE_CRYPTO_KEYIV_PKT_WORD_FIELD                  _MK_FIELD_CONST(0x3, SE_CRYPTO_KEYIV_PKT_WORD_SHIFT)
#define SE_CRYPTO_KEYIV_PKT_WORD_RANGE                  _MK_SHIFT_CONST(1):_MK_SHIFT_CONST(0)
#define SE_CRYPTO_KEYIV_PKT_WORD_ROW                    0

#define SE_CRYPTO_KEYIV_PKT_KEYIV_WORD_SHIFT                    _MK_SHIFT_CONST(0)
#define SE_CRYPTO_KEYIV_PKT_KEYIV_WORD_FIELD                    _MK_FIELD_CONST(0xf, SE_CRYPTO_KEYIV_PKT_KEYIV_WORD_SHIFT)
#define SE_CRYPTO_KEYIV_PKT_KEYIV_WORD_RANGE                    _MK_SHIFT_CONST(3):_MK_SHIFT_CONST(0)
#define SE_CRYPTO_KEYIV_PKT_KEYIV_WORD_ROW                      0

#define SE_CRYPTO_KEYIV_PKT_KEYIV_SEL_SHIFT                     _MK_SHIFT_CONST(3)
#define SE_CRYPTO_KEYIV_PKT_KEYIV_SEL_FIELD                     _MK_FIELD_CONST(0x1, SE_CRYPTO_KEYIV_PKT_KEYIV_SEL_SHIFT)
#define SE_CRYPTO_KEYIV_PKT_KEYIV_SEL_RANGE                     _MK_SHIFT_CONST(3):_MK_SHIFT_CONST(3)
#define SE_CRYPTO_KEYIV_PKT_KEYIV_SEL_ROW                       0
#define SE_CRYPTO_KEYIV_PKT_KEYIV_SEL_KEY                       _MK_ENUM_CONST(0)
#define SE_CRYPTO_KEYIV_PKT_KEYIV_SEL_IV                        _MK_ENUM_CONST(1)

#define SE_CRYPTO_KEYIV_PKT_IV_SEL_SHIFT                        _MK_SHIFT_CONST(2)
#define SE_CRYPTO_KEYIV_PKT_IV_SEL_FIELD                        _MK_FIELD_CONST(0x1, SE_CRYPTO_KEYIV_PKT_IV_SEL_SHIFT)
#define SE_CRYPTO_KEYIV_PKT_IV_SEL_RANGE                        _MK_SHIFT_CONST(2):_MK_SHIFT_CONST(2)
#define SE_CRYPTO_KEYIV_PKT_IV_SEL_ROW                  0
#define SE_CRYPTO_KEYIV_PKT_IV_SEL_ORIGINAL                     _MK_ENUM_CONST(0)
#define SE_CRYPTO_KEYIV_PKT_IV_SEL_UPDATED                      _MK_ENUM_CONST(1)

#define SE_CRYPTO_KEYIV_PKT_WORD_QUAD_SHIFT                     _MK_SHIFT_CONST(2)
#define SE_CRYPTO_KEYIV_PKT_WORD_QUAD_FIELD                     _MK_FIELD_CONST(0x3, SE_CRYPTO_KEYIV_PKT_WORD_QUAD_SHIFT)
#define SE_CRYPTO_KEYIV_PKT_WORD_QUAD_RANGE                     _MK_SHIFT_CONST(3):_MK_SHIFT_CONST(2)
#define SE_CRYPTO_KEYIV_PKT_WORD_QUAD_ROW                       0
#define SE_CRYPTO_KEYIV_PKT_WORD_QUAD_KEYS_0_3                  _MK_ENUM_CONST(0)
#define SE_CRYPTO_KEYIV_PKT_WORD_QUAD_KEYS_4_7                  _MK_ENUM_CONST(1)
#define SE_CRYPTO_KEYIV_PKT_WORD_QUAD_ORIGINAL_IVS                      _MK_ENUM_CONST(2)
#define SE_CRYPTO_KEYIV_PKT_WORD_QUAD_UPDATED_IVS                       _MK_ENUM_CONST(3)

#define SE_CRYPTO_KEYIV_PKT_KEY_WORD_SHIFT                      _MK_SHIFT_CONST(0)
#define SE_CRYPTO_KEYIV_PKT_KEY_WORD_FIELD                      _MK_FIELD_CONST(0x7, SE_CRYPTO_KEYIV_PKT_KEY_WORD_SHIFT)
#define SE_CRYPTO_KEYIV_PKT_KEY_WORD_RANGE                      _MK_SHIFT_CONST(2):_MK_SHIFT_CONST(0)
#define SE_CRYPTO_KEYIV_PKT_KEY_WORD_ROW                        0

#define SE_CRYPTO_KEYIV_PKT_IV_WORD_SHIFT                       _MK_SHIFT_CONST(0)
#define SE_CRYPTO_KEYIV_PKT_IV_WORD_FIELD                       _MK_FIELD_CONST(0x3, SE_CRYPTO_KEYIV_PKT_IV_WORD_SHIFT)
#define SE_CRYPTO_KEYIV_PKT_IV_WORD_RANGE                       _MK_SHIFT_CONST(1):_MK_SHIFT_CONST(0)
#define SE_CRYPTO_KEYIV_PKT_IV_WORD_ROW                 0

#define SE_CRYPTO_KEYIV_PKT_KEY_INDEX_SHIFT                     _MK_SHIFT_CONST(4)
#define SE_CRYPTO_KEYIV_PKT_KEY_INDEX_FIELD                     _MK_FIELD_CONST(0xf, SE_CRYPTO_KEYIV_PKT_KEY_INDEX_SHIFT)
#define SE_CRYPTO_KEYIV_PKT_KEY_INDEX_RANGE                     _MK_SHIFT_CONST(7):_MK_SHIFT_CONST(4)
#define SE_CRYPTO_KEYIV_PKT_KEY_INDEX_ROW                       0

#define SE_CRYPTO_KEYIV_PKT_ADDR_SHIFT                  _MK_SHIFT_CONST(0)
#define SE_CRYPTO_KEYIV_PKT_ADDR_FIELD                  _MK_FIELD_CONST(0xff, SE_CRYPTO_KEYIV_PKT_ADDR_SHIFT)
#define SE_CRYPTO_KEYIV_PKT_ADDR_RANGE                  _MK_SHIFT_CONST(7):_MK_SHIFT_CONST(0)
#define SE_CRYPTO_KEYIV_PKT_ADDR_ROW                    0

// Packet SE_CRYPTO_SCHEDULE_PKT
#define SE_CRYPTO_SCHEDULE_PKT_SIZE 6

#define SE_CRYPTO_SCHEDULE_PKT_ADDR_SHIFT                       _MK_SHIFT_CONST(0)
#define SE_CRYPTO_SCHEDULE_PKT_ADDR_FIELD                       _MK_FIELD_CONST(0x3f, SE_CRYPTO_SCHEDULE_PKT_ADDR_SHIFT)
#define SE_CRYPTO_SCHEDULE_PKT_ADDR_RANGE                       _MK_SHIFT_CONST(5):_MK_SHIFT_CONST(0)
#define SE_CRYPTO_SCHEDULE_PKT_ADDR_ROW                 0

// Packet SRK_PKT
#define SRK_PKT_SIZE 36

#define SRK_PKT_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define SRK_PKT_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, SRK_PKT_DATA_SHIFT)
#define SRK_PKT_DATA_RANGE                      _MK_SHIFT_CONST(31):_MK_SHIFT_CONST(0)
#define SRK_PKT_DATA_ROW                        0

#define SRK_PKT_ADDR_SHIFT                      _MK_SHIFT_CONST(32)
#define SRK_PKT_ADDR_FIELD                      _MK_FIELD_CONST(0xf, SRK_PKT_ADDR_SHIFT)
#define SRK_PKT_ADDR_RANGE                      _MK_SHIFT_CONST(35):_MK_SHIFT_CONST(32)
#define SRK_PKT_ADDR_ROW                        0

#define ARSE_RSA_MAX_EXPONENT_SIZE      2048
#define ARSE_RSA_MAX_MODULUS_SIZE       2048
#define ARSE_RSA_MAX_INPUT_SIZE 2048
#define ARSE_RSA_MAX_OUTPUT_SIZE        2048
#define ARSE_RSA_MIN_EXPONENT_SIZE      32
#define ARSE_RSA_MIN_MODULUS_SIZE       512
#define ARSE_RSA_MIN_INPUT_SIZE 512
#define ARSE_RSA_MIN_OUTPUT_SIZE        512
#define ARSE_RSA_KEYTABLE_INPUT_MODES   2
#define ARSE_RSA_KEY_PORTIONS_PER_KEYSLOT       2
#define ARSE_RSA_NUM_KEY_SLOTS  4
#define ARSE_RSA_NUM_OUTPUT_REGS        64
#define ARSE_RSA_KEYTABLE_EXPONENT_WORDS        64
#define ARSE_RSA_KEYTABLE_MODULUS_WORDS 64
#define ARSE_RSA_KEYTABLE_EXPONENT_WIDTH        32
#define ARSE_RSA_KEYTABLE_MODULUS_WIDTH 32
#define ARSE_RSA_FIFO_DEPTH     64
#define ARSE_RSA_FIFO_DATA_WIDTH        32
#define ARSE_RSA_FIFO_ADDR_WIDTH        6

// Packet SE_RSA_KEY_PKT
#define SE_RSA_KEY_PKT_SIZE 9

#define SE_RSA_KEY_PKT_INPUT_MODE_SHIFT                 _MK_SHIFT_CONST(8)
#define SE_RSA_KEY_PKT_INPUT_MODE_FIELD                 _MK_FIELD_CONST(0x1, SE_RSA_KEY_PKT_INPUT_MODE_SHIFT)
#define SE_RSA_KEY_PKT_INPUT_MODE_RANGE                 _MK_SHIFT_CONST(8):_MK_SHIFT_CONST(8)
#define SE_RSA_KEY_PKT_INPUT_MODE_ROW                   0
#define SE_RSA_KEY_PKT_INPUT_MODE_REGISTER                      _MK_ENUM_CONST(0)
#define SE_RSA_KEY_PKT_INPUT_MODE_DMA                   _MK_ENUM_CONST(1)

#define SE_RSA_KEY_PKT_KEY_SLOT_SHIFT                   _MK_SHIFT_CONST(7)
#define SE_RSA_KEY_PKT_KEY_SLOT_FIELD                   _MK_FIELD_CONST(0x3, SE_RSA_KEY_PKT_KEY_SLOT_SHIFT)
#define SE_RSA_KEY_PKT_KEY_SLOT_RANGE                   _MK_SHIFT_CONST(8):_MK_SHIFT_CONST(7)
#define SE_RSA_KEY_PKT_KEY_SLOT_ROW                     0
#define SE_RSA_KEY_PKT_KEY_SLOT_ONE                     _MK_ENUM_CONST(0)
#define SE_RSA_KEY_PKT_KEY_SLOT_TWO                     _MK_ENUM_CONST(1)
#define SE_RSA_KEY_PKT_KEY_SLOT_THREE                   _MK_ENUM_CONST(2)
#define SE_RSA_KEY_PKT_KEY_SLOT_FOUR                    _MK_ENUM_CONST(3)

#define SE_RSA_KEY_PKT_EXPMOD_SEL_SHIFT                 _MK_SHIFT_CONST(6)
#define SE_RSA_KEY_PKT_EXPMOD_SEL_FIELD                 _MK_FIELD_CONST(0x1, SE_RSA_KEY_PKT_EXPMOD_SEL_SHIFT)
#define SE_RSA_KEY_PKT_EXPMOD_SEL_RANGE                 _MK_SHIFT_CONST(6):_MK_SHIFT_CONST(6)
#define SE_RSA_KEY_PKT_EXPMOD_SEL_ROW                   0
#define SE_RSA_KEY_PKT_EXPMOD_SEL_EXPONENT                      _MK_ENUM_CONST(0)
#define SE_RSA_KEY_PKT_EXPMOD_SEL_MODULUS                       _MK_ENUM_CONST(1)

#define SE_RSA_KEY_PKT_WORD_ADDR_SHIFT                  _MK_SHIFT_CONST(0)
#define SE_RSA_KEY_PKT_WORD_ADDR_FIELD                  _MK_FIELD_CONST(0x3f, SE_RSA_KEY_PKT_WORD_ADDR_SHIFT)
#define SE_RSA_KEY_PKT_WORD_ADDR_RANGE                  _MK_SHIFT_CONST(5):_MK_SHIFT_CONST(0)
#define SE_RSA_KEY_PKT_WORD_ADDR_ROW                    0

#define ARSE_SHA_MSG_LENGTH_SIZE        128
#define ARSE_KSLT_SECGROUP_WIDTH        11

// Packet SE_ENGINE_IRQ_PKT
#define SE_ENGINE_IRQ_PKT_SIZE 18

#define SE_ENGINE_IRQ_PKT_IN_LL_BUF_RD_SHIFT                    _MK_SHIFT_CONST(0)
#define SE_ENGINE_IRQ_PKT_IN_LL_BUF_RD_FIELD                    _MK_FIELD_CONST(0x1, SE_ENGINE_IRQ_PKT_IN_LL_BUF_RD_SHIFT)
#define SE_ENGINE_IRQ_PKT_IN_LL_BUF_RD_RANGE                    _MK_SHIFT_CONST(0):_MK_SHIFT_CONST(0)
#define SE_ENGINE_IRQ_PKT_IN_LL_BUF_RD_ROW                      0

#define SE_ENGINE_IRQ_PKT_OUT_LL_BUF_RD_SHIFT                   _MK_SHIFT_CONST(2)
#define SE_ENGINE_IRQ_PKT_OUT_LL_BUF_RD_FIELD                   _MK_FIELD_CONST(0x1, SE_ENGINE_IRQ_PKT_OUT_LL_BUF_RD_SHIFT)
#define SE_ENGINE_IRQ_PKT_OUT_LL_BUF_RD_RANGE                   _MK_SHIFT_CONST(2):_MK_SHIFT_CONST(2)
#define SE_ENGINE_IRQ_PKT_OUT_LL_BUF_RD_ROW                     0

#define SE_ENGINE_IRQ_PKT_SE_OP_DONE_SHIFT                      _MK_SHIFT_CONST(4)
#define SE_ENGINE_IRQ_PKT_SE_OP_DONE_FIELD                      _MK_FIELD_CONST(0x1, SE_ENGINE_IRQ_PKT_SE_OP_DONE_SHIFT)
#define SE_ENGINE_IRQ_PKT_SE_OP_DONE_RANGE                      _MK_SHIFT_CONST(4):_MK_SHIFT_CONST(4)
#define SE_ENGINE_IRQ_PKT_SE_OP_DONE_ROW                        0

#define SE_ENGINE_IRQ_PKT_RESEED_CNTR_EXHAUSTED_SHIFT                   _MK_SHIFT_CONST(5)
#define SE_ENGINE_IRQ_PKT_RESEED_CNTR_EXHAUSTED_FIELD                   _MK_FIELD_CONST(0x1, SE_ENGINE_IRQ_PKT_RESEED_CNTR_EXHAUSTED_SHIFT)
#define SE_ENGINE_IRQ_PKT_RESEED_CNTR_EXHAUSTED_RANGE                   _MK_SHIFT_CONST(5):_MK_SHIFT_CONST(5)
#define SE_ENGINE_IRQ_PKT_RESEED_CNTR_EXHAUSTED_ROW                     0

#define SE_ENGINE_IRQ_PKT_EIP0_SHIFT                    _MK_SHIFT_CONST(8)
#define SE_ENGINE_IRQ_PKT_EIP0_FIELD                    _MK_FIELD_CONST(0x1, SE_ENGINE_IRQ_PKT_EIP0_SHIFT)
#define SE_ENGINE_IRQ_PKT_EIP0_RANGE                    _MK_SHIFT_CONST(8):_MK_SHIFT_CONST(8)
#define SE_ENGINE_IRQ_PKT_EIP0_ROW                      0

#define SE_ENGINE_IRQ_PKT_EIP1_SHIFT                    _MK_SHIFT_CONST(9)
#define SE_ENGINE_IRQ_PKT_EIP1_FIELD                    _MK_FIELD_CONST(0x1, SE_ENGINE_IRQ_PKT_EIP1_SHIFT)
#define SE_ENGINE_IRQ_PKT_EIP1_RANGE                    _MK_SHIFT_CONST(9):_MK_SHIFT_CONST(9)
#define SE_ENGINE_IRQ_PKT_EIP1_ROW                      0

#define SE_ENGINE_IRQ_PKT_ERR_STAT_SHIFT                        _MK_SHIFT_CONST(16)
#define SE_ENGINE_IRQ_PKT_ERR_STAT_FIELD                        _MK_FIELD_CONST(0x1, SE_ENGINE_IRQ_PKT_ERR_STAT_SHIFT)
#define SE_ENGINE_IRQ_PKT_ERR_STAT_RANGE                        _MK_SHIFT_CONST(16):_MK_SHIFT_CONST(16)
#define SE_ENGINE_IRQ_PKT_ERR_STAT_ROW                  0

#define SE_ENGINE_IRQ_PKT_MUTEX_TIMEOUT_SHIFT                   _MK_SHIFT_CONST(17)
#define SE_ENGINE_IRQ_PKT_MUTEX_TIMEOUT_FIELD                   _MK_FIELD_CONST(0x1, SE_ENGINE_IRQ_PKT_MUTEX_TIMEOUT_SHIFT)
#define SE_ENGINE_IRQ_PKT_MUTEX_TIMEOUT_RANGE                   _MK_SHIFT_CONST(17):_MK_SHIFT_CONST(17)
#define SE_ENGINE_IRQ_PKT_MUTEX_TIMEOUT_ROW                     0

#define ARSE_PKA1_NUM_KEY_SLOTS 4
#define ARSE_SECURE_LEVEL_SIZE  2
#define ARSE_SECURE_LEVEL_TZ_FIELD      0
#define ARSE_SECURE_LEVEL_NV_FIELD      1
#define ARSE_SECURE_LEVEL_NTZ   0
#define ARSE_SECURE_LEVEL_TZ    1
#define ARSE_SECURE_LEVEL_NV    2
#define ARSE_SECURE_LEVEL_OEM   3
#define ARSE_NVSEC_GROUP_REF_SIZE       11
#define ARSE_NVSEC_GROUP_REF_HOST1XRM_FIELD     0
#define ARSE_NVSEC_GROUP_REF_TZ_FIELD   1
#define ARSE_NVSEC_GROUP_REF_NVHS_FIELD 2
#define ARSE_NVSEC_GROUP_REF_NVLS_FIELD 3
#define ARSE_OEMSEC_GROUP_REF_SIZE      11

// Register SE0_INCR_SYNCPT_0
#define SE0_INCR_SYNCPT_0                       _MK_ADDR_CONST(0x0)
#define SE0_INCR_SYNCPT_0_SECURE                        0x0
#define SE0_INCR_SYNCPT_0_DUAL                  0x0
#define SE0_INCR_SYNCPT_0_SCR                   0
#define SE0_INCR_SYNCPT_0_WORD_COUNT                    0x1
#define SE0_INCR_SYNCPT_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_0_RESET_MASK                    _MK_MASK_CONST(0x3ffff)
#define SE0_INCR_SYNCPT_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_0_READ_MASK                     _MK_MASK_CONST(0x3ffff)
#define SE0_INCR_SYNCPT_0_WRITE_MASK                    _MK_MASK_CONST(0x3ffff)
#define SE0_INCR_SYNCPT_0_COND_SHIFT                    _MK_SHIFT_CONST(10)
#define SE0_INCR_SYNCPT_0_COND_FIELD                    _MK_FIELD_CONST(0xff, SE0_INCR_SYNCPT_0_COND_SHIFT)
#define SE0_INCR_SYNCPT_0_COND_RANGE                    17:10
#define SE0_INCR_SYNCPT_0_COND_WOFFSET                  0x0
#define SE0_INCR_SYNCPT_0_COND_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_0_COND_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define SE0_INCR_SYNCPT_0_COND_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_0_COND_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_0_COND_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_0_COND_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_INCR_SYNCPT_0_COND_IMMEDIATE                        _MK_ENUM_CONST(0)
#define SE0_INCR_SYNCPT_0_COND_OP_DONE                  _MK_ENUM_CONST(1)
#define SE0_INCR_SYNCPT_0_COND_RD_DONE                  _MK_ENUM_CONST(2)
#define SE0_INCR_SYNCPT_0_COND_REG_WR_SAFE                      _MK_ENUM_CONST(3)
#define SE0_INCR_SYNCPT_0_COND_ENGINE_IDLE                      _MK_ENUM_CONST(4)
#define SE0_INCR_SYNCPT_0_COND_COND_5                   _MK_ENUM_CONST(5)
#define SE0_INCR_SYNCPT_0_COND_COND_6                   _MK_ENUM_CONST(6)
#define SE0_INCR_SYNCPT_0_COND_COND_7                   _MK_ENUM_CONST(7)
#define SE0_INCR_SYNCPT_0_COND_COND_8                   _MK_ENUM_CONST(8)
#define SE0_INCR_SYNCPT_0_COND_COND_9                   _MK_ENUM_CONST(9)
#define SE0_INCR_SYNCPT_0_COND_COND_10                  _MK_ENUM_CONST(10)
#define SE0_INCR_SYNCPT_0_COND_COND_11                  _MK_ENUM_CONST(11)
#define SE0_INCR_SYNCPT_0_COND_COND_12                  _MK_ENUM_CONST(12)
#define SE0_INCR_SYNCPT_0_COND_COND_13                  _MK_ENUM_CONST(13)
#define SE0_INCR_SYNCPT_0_COND_COND_14                  _MK_ENUM_CONST(14)
#define SE0_INCR_SYNCPT_0_COND_COND_15                  _MK_ENUM_CONST(15)
#define SE0_INCR_SYNCPT_0_COND_COND_16                  _MK_ENUM_CONST(16)
#define SE0_INCR_SYNCPT_0_COND_COND_17                  _MK_ENUM_CONST(17)
#define SE0_INCR_SYNCPT_0_COND_COND_18                  _MK_ENUM_CONST(18)
#define SE0_INCR_SYNCPT_0_COND_COND_19                  _MK_ENUM_CONST(19)
#define SE0_INCR_SYNCPT_0_COND_COND_20                  _MK_ENUM_CONST(20)
#define SE0_INCR_SYNCPT_0_COND_COND_21                  _MK_ENUM_CONST(21)
#define SE0_INCR_SYNCPT_0_COND_COND_22                  _MK_ENUM_CONST(22)
#define SE0_INCR_SYNCPT_0_COND_COND_23                  _MK_ENUM_CONST(23)
#define SE0_INCR_SYNCPT_0_COND_COND_24                  _MK_ENUM_CONST(24)
#define SE0_INCR_SYNCPT_0_COND_COND_25                  _MK_ENUM_CONST(25)
#define SE0_INCR_SYNCPT_0_COND_COND_26                  _MK_ENUM_CONST(26)
#define SE0_INCR_SYNCPT_0_COND_COND_27                  _MK_ENUM_CONST(27)
#define SE0_INCR_SYNCPT_0_COND_COND_28                  _MK_ENUM_CONST(28)
#define SE0_INCR_SYNCPT_0_COND_COND_29                  _MK_ENUM_CONST(29)
#define SE0_INCR_SYNCPT_0_COND_COND_30                  _MK_ENUM_CONST(30)
#define SE0_INCR_SYNCPT_0_COND_COND_31                  _MK_ENUM_CONST(31)

#define SE0_INCR_SYNCPT_0_INDX_SHIFT                    _MK_SHIFT_CONST(0)
#define SE0_INCR_SYNCPT_0_INDX_FIELD                    _MK_FIELD_CONST(0x3ff, SE0_INCR_SYNCPT_0_INDX_SHIFT)
#define SE0_INCR_SYNCPT_0_INDX_RANGE                    9:0
#define SE0_INCR_SYNCPT_0_INDX_WOFFSET                  0x0
#define SE0_INCR_SYNCPT_0_INDX_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_0_INDX_DEFAULT_MASK                     _MK_MASK_CONST(0x3ff)
#define SE0_INCR_SYNCPT_0_INDX_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_0_INDX_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_0_INDX_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_0_INDX_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

// Register SE0_INCR_SYNCPT_CTRL_0
#define SE0_INCR_SYNCPT_CTRL_0                  _MK_ADDR_CONST(0x4)
#define SE0_INCR_SYNCPT_CTRL_0_SECURE                   0x0
#define SE0_INCR_SYNCPT_CTRL_0_DUAL                     0x0
#define SE0_INCR_SYNCPT_CTRL_0_SCR                      0
#define SE0_INCR_SYNCPT_CTRL_0_WORD_COUNT                       0x1
#define SE0_INCR_SYNCPT_CTRL_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_RESET_MASK                       _MK_MASK_CONST(0x3ff0101)
#define SE0_INCR_SYNCPT_CTRL_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_READ_MASK                        _MK_MASK_CONST(0x3ff0101)
#define SE0_INCR_SYNCPT_CTRL_0_WRITE_MASK                       _MK_MASK_CONST(0x3ff0101)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_4_SHIFT                 _MK_SHIFT_CONST(25)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_4_FIELD                 _MK_FIELD_CONST(0x1, SE0_INCR_SYNCPT_CTRL_0_NO_STALL_4_SHIFT)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_4_RANGE                 25:25
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_4_WOFFSET                       0x0
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_4_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_4_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_4_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_4_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_4_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_4_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_4_SHIFT                       _MK_SHIFT_CONST(24)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_4_FIELD                       _MK_FIELD_CONST(0x1, SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_4_SHIFT)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_4_RANGE                       24:24
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_4_WOFFSET                     0x0
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_4_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_4_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_4_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_4_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_4_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_4_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_3_SHIFT                 _MK_SHIFT_CONST(23)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_3_FIELD                 _MK_FIELD_CONST(0x1, SE0_INCR_SYNCPT_CTRL_0_NO_STALL_3_SHIFT)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_3_RANGE                 23:23
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_3_WOFFSET                       0x0
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_3_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_3_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_3_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_3_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_3_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_3_SHIFT                       _MK_SHIFT_CONST(22)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_3_FIELD                       _MK_FIELD_CONST(0x1, SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_3_SHIFT)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_3_RANGE                       22:22
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_3_WOFFSET                     0x0
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_3_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_3_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_3_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_3_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_3_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_3_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_2_SHIFT                 _MK_SHIFT_CONST(21)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_2_FIELD                 _MK_FIELD_CONST(0x1, SE0_INCR_SYNCPT_CTRL_0_NO_STALL_2_SHIFT)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_2_RANGE                 21:21
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_2_WOFFSET                       0x0
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_2_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_2_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_2_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_2_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_2_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_2_SHIFT                       _MK_SHIFT_CONST(20)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_2_FIELD                       _MK_FIELD_CONST(0x1, SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_2_SHIFT)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_2_RANGE                       20:20
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_2_WOFFSET                     0x0
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_2_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_2_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_2_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_2_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_2_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_1_SHIFT                 _MK_SHIFT_CONST(19)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_1_FIELD                 _MK_FIELD_CONST(0x1, SE0_INCR_SYNCPT_CTRL_0_NO_STALL_1_SHIFT)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_1_RANGE                 19:19
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_1_WOFFSET                       0x0
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_1_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_1_SHIFT                       _MK_SHIFT_CONST(18)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_1_FIELD                       _MK_FIELD_CONST(0x1, SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_1_SHIFT)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_1_RANGE                       18:18
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_1_WOFFSET                     0x0
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_1_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_1_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_1_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_1_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_1_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_0_SHIFT                 _MK_SHIFT_CONST(17)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_0_FIELD                 _MK_FIELD_CONST(0x1, SE0_INCR_SYNCPT_CTRL_0_NO_STALL_0_SHIFT)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_0_RANGE                 17:17
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_0_WOFFSET                       0x0
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_0_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_0_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_0_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_0_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_0_SHIFT                       _MK_SHIFT_CONST(16)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_0_FIELD                       _MK_FIELD_CONST(0x1, SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_0_SHIFT)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_0_RANGE                       16:16
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_0_WOFFSET                     0x0
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_0_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_0_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_0_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_0_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_0_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_SHIFT                   _MK_SHIFT_CONST(8)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_FIELD                   _MK_FIELD_CONST(0x1, SE0_INCR_SYNCPT_CTRL_0_NO_STALL_SHIFT)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_RANGE                   8:8
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_WOFFSET                 0x0
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_NO_STALL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_FIELD                 _MK_FIELD_CONST(0x1, SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_SHIFT)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_RANGE                 0:0
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_WOFFSET                       0x0
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_CTRL_0_SOFT_RESET_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SE0_INCR_SYNCPT_ERROR_0
#define SE0_INCR_SYNCPT_ERROR_0                 _MK_ADDR_CONST(0x8)
#define SE0_INCR_SYNCPT_ERROR_0_SECURE                  0x0
#define SE0_INCR_SYNCPT_ERROR_0_DUAL                    0x0
#define SE0_INCR_SYNCPT_ERROR_0_SCR                     0
#define SE0_INCR_SYNCPT_ERROR_0_WORD_COUNT                      0x1
#define SE0_INCR_SYNCPT_ERROR_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_ERROR_0_RESET_MASK                      _MK_MASK_CONST(0x1f)
#define SE0_INCR_SYNCPT_ERROR_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_ERROR_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_ERROR_0_READ_MASK                       _MK_MASK_CONST(0x1f)
#define SE0_INCR_SYNCPT_ERROR_0_WRITE_MASK                      _MK_MASK_CONST(0x1f)
#define SE0_INCR_SYNCPT_ERROR_0_COND_STATUS_SHIFT                       _MK_SHIFT_CONST(0)
#define SE0_INCR_SYNCPT_ERROR_0_COND_STATUS_FIELD                       _MK_FIELD_CONST(0x1f, SE0_INCR_SYNCPT_ERROR_0_COND_STATUS_SHIFT)
#define SE0_INCR_SYNCPT_ERROR_0_COND_STATUS_RANGE                       4:0
#define SE0_INCR_SYNCPT_ERROR_0_COND_STATUS_WOFFSET                     0x0
#define SE0_INCR_SYNCPT_ERROR_0_COND_STATUS_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_ERROR_0_COND_STATUS_DEFAULT_MASK                        _MK_MASK_CONST(0x1f)
#define SE0_INCR_SYNCPT_ERROR_0_COND_STATUS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_ERROR_0_COND_STATUS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_ERROR_0_COND_STATUS_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_INCR_SYNCPT_ERROR_0_COND_STATUS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SE0_CTXSW_0
#define SE0_CTXSW_0                     _MK_ADDR_CONST(0xc)
#define SE0_CTXSW_0_SECURE                      0x0
#define SE0_CTXSW_0_DUAL                        0x0
#define SE0_CTXSW_0_SCR                         0
#define SE0_CTXSW_0_WORD_COUNT                  0x1
#define SE0_CTXSW_0_RESET_VAL                   _MK_MASK_CONST(0x1fc00)
#define SE0_CTXSW_0_RESET_MASK                  _MK_MASK_CONST(0x1fffff)
#define SE0_CTXSW_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SE0_CTXSW_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_CTXSW_0_READ_MASK                   _MK_MASK_CONST(0x1fffff)
#define SE0_CTXSW_0_WRITE_MASK                  _MK_MASK_CONST(0x1fffff)
#define SE0_CTXSW_0_CURR_CLASS_SHIFT                    _MK_SHIFT_CONST(0)
#define SE0_CTXSW_0_CURR_CLASS_FIELD                    _MK_FIELD_CONST(0x3ff, SE0_CTXSW_0_CURR_CLASS_SHIFT)
#define SE0_CTXSW_0_CURR_CLASS_RANGE                    9:0
#define SE0_CTXSW_0_CURR_CLASS_WOFFSET                  0x0
#define SE0_CTXSW_0_CURR_CLASS_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_CTXSW_0_CURR_CLASS_DEFAULT_MASK                     _MK_MASK_CONST(0x3ff)
#define SE0_CTXSW_0_CURR_CLASS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_CTXSW_0_CURR_CLASS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_CTXSW_0_CURR_CLASS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_CTXSW_0_CURR_CLASS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define SE0_CTXSW_0_AUTO_ACK_SHIFT                      _MK_SHIFT_CONST(10)
#define SE0_CTXSW_0_AUTO_ACK_FIELD                      _MK_FIELD_CONST(0x1, SE0_CTXSW_0_AUTO_ACK_SHIFT)
#define SE0_CTXSW_0_AUTO_ACK_RANGE                      10:10
#define SE0_CTXSW_0_AUTO_ACK_WOFFSET                    0x0
#define SE0_CTXSW_0_AUTO_ACK_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_CTXSW_0_AUTO_ACK_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_CTXSW_0_AUTO_ACK_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_CTXSW_0_AUTO_ACK_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_CTXSW_0_AUTO_ACK_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_CTXSW_0_AUTO_ACK_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_CTXSW_0_AUTO_ACK_INIT_ENUM                  AUTOACK
#define SE0_CTXSW_0_AUTO_ACK_MANUAL                     _MK_ENUM_CONST(0)
#define SE0_CTXSW_0_AUTO_ACK_AUTOACK                    _MK_ENUM_CONST(1)

#define SE0_CTXSW_0_CURR_CHANNEL_SHIFT                  _MK_SHIFT_CONST(11)
#define SE0_CTXSW_0_CURR_CHANNEL_FIELD                  _MK_FIELD_CONST(0x3ff, SE0_CTXSW_0_CURR_CHANNEL_SHIFT)
#define SE0_CTXSW_0_CURR_CHANNEL_RANGE                  20:11
#define SE0_CTXSW_0_CURR_CHANNEL_WOFFSET                        0x0
#define SE0_CTXSW_0_CURR_CHANNEL_DEFAULT                        _MK_MASK_CONST(0x3f)
#define SE0_CTXSW_0_CURR_CHANNEL_DEFAULT_MASK                   _MK_MASK_CONST(0x3ff)
#define SE0_CTXSW_0_CURR_CHANNEL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_CTXSW_0_CURR_CHANNEL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_CTXSW_0_CURR_CHANNEL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_CTXSW_0_CURR_CHANNEL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SE0_CTXSW_NEXT_0
#define SE0_CTXSW_NEXT_0                        _MK_ADDR_CONST(0x10)
#define SE0_CTXSW_NEXT_0_SECURE                         0x0
#define SE0_CTXSW_NEXT_0_DUAL                   0x0
#define SE0_CTXSW_NEXT_0_SCR                    0
#define SE0_CTXSW_NEXT_0_WORD_COUNT                     0x1
#define SE0_CTXSW_NEXT_0_RESET_VAL                      _MK_MASK_CONST(0xfc00)
#define SE0_CTXSW_NEXT_0_RESET_MASK                     _MK_MASK_CONST(0xfffff)
#define SE0_CTXSW_NEXT_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE0_CTXSW_NEXT_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_CTXSW_NEXT_0_READ_MASK                      _MK_MASK_CONST(0xfffff)
#define SE0_CTXSW_NEXT_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SE0_CTXSW_NEXT_0_NEXT_CLASS_SHIFT                       _MK_SHIFT_CONST(0)
#define SE0_CTXSW_NEXT_0_NEXT_CLASS_FIELD                       _MK_FIELD_CONST(0x3ff, SE0_CTXSW_NEXT_0_NEXT_CLASS_SHIFT)
#define SE0_CTXSW_NEXT_0_NEXT_CLASS_RANGE                       9:0
#define SE0_CTXSW_NEXT_0_NEXT_CLASS_WOFFSET                     0x0
#define SE0_CTXSW_NEXT_0_NEXT_CLASS_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_CTXSW_NEXT_0_NEXT_CLASS_DEFAULT_MASK                        _MK_MASK_CONST(0x3ff)
#define SE0_CTXSW_NEXT_0_NEXT_CLASS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_CTXSW_NEXT_0_NEXT_CLASS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_CTXSW_NEXT_0_NEXT_CLASS_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_CTXSW_NEXT_0_NEXT_CLASS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define SE0_CTXSW_NEXT_0_NEXT_CHANNEL_SHIFT                     _MK_SHIFT_CONST(10)
#define SE0_CTXSW_NEXT_0_NEXT_CHANNEL_FIELD                     _MK_FIELD_CONST(0x3ff, SE0_CTXSW_NEXT_0_NEXT_CHANNEL_SHIFT)
#define SE0_CTXSW_NEXT_0_NEXT_CHANNEL_RANGE                     19:10
#define SE0_CTXSW_NEXT_0_NEXT_CHANNEL_WOFFSET                   0x0
#define SE0_CTXSW_NEXT_0_NEXT_CHANNEL_DEFAULT                   _MK_MASK_CONST(0x3f)
#define SE0_CTXSW_NEXT_0_NEXT_CHANNEL_DEFAULT_MASK                      _MK_MASK_CONST(0x3ff)
#define SE0_CTXSW_NEXT_0_NEXT_CHANNEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_CTXSW_NEXT_0_NEXT_CHANNEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_CTXSW_NEXT_0_NEXT_CHANNEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_CTXSW_NEXT_0_NEXT_CHANNEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Reserved address 0x14

// Register SE0_SE_SECURITY_0
#define SE0_SE_SECURITY_0                       _MK_ADDR_CONST(0x18)
#define SE0_SE_SECURITY_0_SECURE                        0x0
#define SE0_SE_SECURITY_0_DUAL                  0x0
#define SE0_SE_SECURITY_0_SCR                   0
#define SE0_SE_SECURITY_0_WORD_COUNT                    0x1
#define SE0_SE_SECURITY_0_RESET_VAL                     _MK_MASK_CONST(0x10035)
#define SE0_SE_SECURITY_0_RESET_MASK                    _MK_MASK_CONST(0x30037)
#define SE0_SE_SECURITY_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_SE_SECURITY_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x20002)
#define SE0_SE_SECURITY_0_READ_MASK                     _MK_MASK_CONST(0x30037)
#define SE0_SE_SECURITY_0_WRITE_MASK                    _MK_MASK_CONST(0x30037)
#define SE0_SE_SECURITY_0_SE_ENG_DIS_SW_SHIFT                   _MK_SHIFT_CONST(17)
#define SE0_SE_SECURITY_0_SE_ENG_DIS_SW_FIELD                   _MK_FIELD_CONST(0x1, SE0_SE_SECURITY_0_SE_ENG_DIS_SW_SHIFT)
#define SE0_SE_SECURITY_0_SE_ENG_DIS_SW_RANGE                   17:17
#define SE0_SE_SECURITY_0_SE_ENG_DIS_SW_WOFFSET                 0x0
#define SE0_SE_SECURITY_0_SE_ENG_DIS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_SE_SECURITY_0_SE_ENG_DIS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SE0_SE_SECURITY_0_SE_ENG_DIS_SW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_SE_SECURITY_0_SE_ENG_DIS_SW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_SE_SECURITY_0_SE_ENG_DIS_SW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_SE_SECURITY_0_SE_ENG_DIS_SW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_SE_SECURITY_0_SE_ENG_DIS_SW_INIT_ENUM                       FALSE
#define SE0_SE_SECURITY_0_SE_ENG_DIS_SW_FALSE                   _MK_ENUM_CONST(0)
#define SE0_SE_SECURITY_0_SE_ENG_DIS_SW_TRUE                    _MK_ENUM_CONST(1)
#define SE0_SE_SECURITY_0_SE_ENG_DIS_SW__PROD                   _MK_MASK_CONST(0x0)

#define SE0_SE_SECURITY_0_SE_SOFT_SETTING_SHIFT                 _MK_SHIFT_CONST(16)
#define SE0_SE_SECURITY_0_SE_SOFT_SETTING_FIELD                 _MK_FIELD_CONST(0x1, SE0_SE_SECURITY_0_SE_SOFT_SETTING_SHIFT)
#define SE0_SE_SECURITY_0_SE_SOFT_SETTING_RANGE                 16:16
#define SE0_SE_SECURITY_0_SE_SOFT_SETTING_WOFFSET                       0x0
#define SE0_SE_SECURITY_0_SE_SOFT_SETTING_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_SE_SECURITY_0_SE_SOFT_SETTING_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_SE_SECURITY_0_SE_SOFT_SETTING_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_SE_SECURITY_0_SE_SOFT_SETTING_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SE_SECURITY_0_SE_SOFT_SETTING_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_SE_SECURITY_0_SE_SOFT_SETTING_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define SE0_SE_SECURITY_0_SE_TZ_LOCK_SOFT_SHIFT                 _MK_SHIFT_CONST(5)
#define SE0_SE_SECURITY_0_SE_TZ_LOCK_SOFT_FIELD                 _MK_FIELD_CONST(0x1, SE0_SE_SECURITY_0_SE_TZ_LOCK_SOFT_SHIFT)
#define SE0_SE_SECURITY_0_SE_TZ_LOCK_SOFT_RANGE                 5:5
#define SE0_SE_SECURITY_0_SE_TZ_LOCK_SOFT_WOFFSET                       0x0
#define SE0_SE_SECURITY_0_SE_TZ_LOCK_SOFT_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_SE_SECURITY_0_SE_TZ_LOCK_SOFT_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_SE_SECURITY_0_SE_TZ_LOCK_SOFT_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_SE_SECURITY_0_SE_TZ_LOCK_SOFT_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SE_SECURITY_0_SE_TZ_LOCK_SOFT_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_SE_SECURITY_0_SE_TZ_LOCK_SOFT_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define SE0_SE_SECURITY_0_CTX_SAVE_TZ_LOCK_SHIFT                        _MK_SHIFT_CONST(4)
#define SE0_SE_SECURITY_0_CTX_SAVE_TZ_LOCK_FIELD                        _MK_FIELD_CONST(0x1, SE0_SE_SECURITY_0_CTX_SAVE_TZ_LOCK_SHIFT)
#define SE0_SE_SECURITY_0_CTX_SAVE_TZ_LOCK_RANGE                        4:4
#define SE0_SE_SECURITY_0_CTX_SAVE_TZ_LOCK_WOFFSET                      0x0
#define SE0_SE_SECURITY_0_CTX_SAVE_TZ_LOCK_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_SE_SECURITY_0_CTX_SAVE_TZ_LOCK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_SE_SECURITY_0_CTX_SAVE_TZ_LOCK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_SE_SECURITY_0_CTX_SAVE_TZ_LOCK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_SE_SECURITY_0_CTX_SAVE_TZ_LOCK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_SE_SECURITY_0_CTX_SAVE_TZ_LOCK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define SE0_SE_SECURITY_0_PERKEY_SETTING_SHIFT                  _MK_SHIFT_CONST(2)
#define SE0_SE_SECURITY_0_PERKEY_SETTING_FIELD                  _MK_FIELD_CONST(0x1, SE0_SE_SECURITY_0_PERKEY_SETTING_SHIFT)
#define SE0_SE_SECURITY_0_PERKEY_SETTING_RANGE                  2:2
#define SE0_SE_SECURITY_0_PERKEY_SETTING_WOFFSET                        0x0
#define SE0_SE_SECURITY_0_PERKEY_SETTING_DEFAULT                        _MK_MASK_CONST(0x1)
#define SE0_SE_SECURITY_0_PERKEY_SETTING_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_SE_SECURITY_0_PERKEY_SETTING_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_SE_SECURITY_0_PERKEY_SETTING_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_SE_SECURITY_0_PERKEY_SETTING_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_SE_SECURITY_0_PERKEY_SETTING_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define SE0_SE_SECURITY_0_SE_ENG_DIS_SHIFT                      _MK_SHIFT_CONST(1)
#define SE0_SE_SECURITY_0_SE_ENG_DIS_FIELD                      _MK_FIELD_CONST(0x1, SE0_SE_SECURITY_0_SE_ENG_DIS_SHIFT)
#define SE0_SE_SECURITY_0_SE_ENG_DIS_RANGE                      1:1
#define SE0_SE_SECURITY_0_SE_ENG_DIS_WOFFSET                    0x0
#define SE0_SE_SECURITY_0_SE_ENG_DIS_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_SE_SECURITY_0_SE_ENG_DIS_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_SE_SECURITY_0_SE_ENG_DIS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_SE_SECURITY_0_SE_ENG_DIS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SE0_SE_SECURITY_0_SE_ENG_DIS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_SE_SECURITY_0_SE_ENG_DIS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_SE_SECURITY_0_SE_ENG_DIS_INIT_ENUM                  FALSE
#define SE0_SE_SECURITY_0_SE_ENG_DIS_FALSE                      _MK_ENUM_CONST(0)
#define SE0_SE_SECURITY_0_SE_ENG_DIS_TRUE                       _MK_ENUM_CONST(1)
#define SE0_SE_SECURITY_0_SE_ENG_DIS__PROD                      _MK_MASK_CONST(0x0)

#define SE0_SE_SECURITY_0_SE_HARD_SETTING_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_SE_SECURITY_0_SE_HARD_SETTING_FIELD                 _MK_FIELD_CONST(0x1, SE0_SE_SECURITY_0_SE_HARD_SETTING_SHIFT)
#define SE0_SE_SECURITY_0_SE_HARD_SETTING_RANGE                 0:0
#define SE0_SE_SECURITY_0_SE_HARD_SETTING_WOFFSET                       0x0
#define SE0_SE_SECURITY_0_SE_HARD_SETTING_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_SE_SECURITY_0_SE_HARD_SETTING_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_SE_SECURITY_0_SE_HARD_SETTING_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_SE_SECURITY_0_SE_HARD_SETTING_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SE_SECURITY_0_SE_HARD_SETTING_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_SE_SECURITY_0_SE_HARD_SETTING_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SE0_INT_STATUS_SRC_0
#define SE0_INT_STATUS_SRC_0                    _MK_ADDR_CONST(0x20)
#define SE0_INT_STATUS_SRC_0_SECURE                     0x0
#define SE0_INT_STATUS_SRC_0_DUAL                       0x0
#define SE0_INT_STATUS_SRC_0_SCR                        0
#define SE0_INT_STATUS_SRC_0_WORD_COUNT                         0x1
#define SE0_INT_STATUS_SRC_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_SRC_0_RESET_MASK                         _MK_MASK_CONST(0xf)
#define SE0_INT_STATUS_SRC_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_SRC_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_SRC_0_READ_MASK                  _MK_MASK_CONST(0xf)
#define SE0_INT_STATUS_SRC_0_WRITE_MASK                         _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_SRC_0_APB_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_INT_STATUS_SRC_0_APB_FIELD                  _MK_FIELD_CONST(0x1, SE0_INT_STATUS_SRC_0_APB_SHIFT)
#define SE0_INT_STATUS_SRC_0_APB_RANGE                  0:0
#define SE0_INT_STATUS_SRC_0_APB_WOFFSET                        0x0
#define SE0_INT_STATUS_SRC_0_APB_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_SRC_0_APB_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_INT_STATUS_SRC_0_APB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_SRC_0_APB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_SRC_0_APB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_SRC_0_APB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define SE0_INT_STATUS_SRC_0_HOST1X_SHIFT                       _MK_SHIFT_CONST(1)
#define SE0_INT_STATUS_SRC_0_HOST1X_FIELD                       _MK_FIELD_CONST(0x1, SE0_INT_STATUS_SRC_0_HOST1X_SHIFT)
#define SE0_INT_STATUS_SRC_0_HOST1X_RANGE                       1:1
#define SE0_INT_STATUS_SRC_0_HOST1X_WOFFSET                     0x0
#define SE0_INT_STATUS_SRC_0_HOST1X_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_SRC_0_HOST1X_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_INT_STATUS_SRC_0_HOST1X_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_SRC_0_HOST1X_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_SRC_0_HOST1X_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_SRC_0_HOST1X_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define SE0_INT_STATUS_SRC_0_PKA1_SHIFT                 _MK_SHIFT_CONST(2)
#define SE0_INT_STATUS_SRC_0_PKA1_FIELD                 _MK_FIELD_CONST(0x1, SE0_INT_STATUS_SRC_0_PKA1_SHIFT)
#define SE0_INT_STATUS_SRC_0_PKA1_RANGE                 2:2
#define SE0_INT_STATUS_SRC_0_PKA1_WOFFSET                       0x0
#define SE0_INT_STATUS_SRC_0_PKA1_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_SRC_0_PKA1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_INT_STATUS_SRC_0_PKA1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_SRC_0_PKA1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_SRC_0_PKA1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_SRC_0_PKA1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define SE0_INT_STATUS_SRC_0_RNG1_SHIFT                 _MK_SHIFT_CONST(3)
#define SE0_INT_STATUS_SRC_0_RNG1_FIELD                 _MK_FIELD_CONST(0x1, SE0_INT_STATUS_SRC_0_RNG1_SHIFT)
#define SE0_INT_STATUS_SRC_0_RNG1_RANGE                 3:3
#define SE0_INT_STATUS_SRC_0_RNG1_WOFFSET                       0x0
#define SE0_INT_STATUS_SRC_0_RNG1_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_SRC_0_RNG1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_INT_STATUS_SRC_0_RNG1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_SRC_0_RNG1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_SRC_0_RNG1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_SRC_0_RNG1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SE0_OEM_GROUP_0
#define SE0_OEM_GROUP_0                 _MK_ADDR_CONST(0x2c)
#define SE0_OEM_GROUP_0_SECURE                  0x0
#define SE0_OEM_GROUP_0_DUAL                    0x0
#define SE0_OEM_GROUP_0_SCR                     0
#define SE0_OEM_GROUP_0_WORD_COUNT                      0x1
#define SE0_OEM_GROUP_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SE0_OEM_GROUP_0_RESET_MASK                      _MK_MASK_CONST(0x800007ff)
#define SE0_OEM_GROUP_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SE0_OEM_GROUP_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SE0_OEM_GROUP_0_READ_MASK                       _MK_MASK_CONST(0x800007ff)
#define SE0_OEM_GROUP_0_WRITE_MASK                      _MK_MASK_CONST(0x800007ff)
#define SE0_OEM_GROUP_0_LOCK_SHIFT                      _MK_SHIFT_CONST(31)
#define SE0_OEM_GROUP_0_LOCK_FIELD                      _MK_FIELD_CONST(0x1, SE0_OEM_GROUP_0_LOCK_SHIFT)
#define SE0_OEM_GROUP_0_LOCK_RANGE                      31:31
#define SE0_OEM_GROUP_0_LOCK_WOFFSET                    0x0
#define SE0_OEM_GROUP_0_LOCK_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_OEM_GROUP_0_LOCK_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_OEM_GROUP_0_LOCK_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_OEM_GROUP_0_LOCK_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_OEM_GROUP_0_LOCK_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_OEM_GROUP_0_LOCK_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_OEM_GROUP_0_LOCK_INIT_ENUM                  FALSE
#define SE0_OEM_GROUP_0_LOCK_FALSE                      _MK_ENUM_CONST(0)
#define SE0_OEM_GROUP_0_LOCK_TRUE                       _MK_ENUM_CONST(1)

#define SE0_OEM_GROUP_0_HOST1XRM_SHIFT                  _MK_SHIFT_CONST(10)
#define SE0_OEM_GROUP_0_HOST1XRM_FIELD                  _MK_FIELD_CONST(0x1, SE0_OEM_GROUP_0_HOST1XRM_SHIFT)
#define SE0_OEM_GROUP_0_HOST1XRM_RANGE                  10:10
#define SE0_OEM_GROUP_0_HOST1XRM_WOFFSET                        0x0
#define SE0_OEM_GROUP_0_HOST1XRM_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_OEM_GROUP_0_HOST1XRM_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_OEM_GROUP_0_HOST1XRM_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_OEM_GROUP_0_HOST1XRM_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_OEM_GROUP_0_HOST1XRM_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_OEM_GROUP_0_HOST1XRM_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_OEM_GROUP_0_HOST1XRM_INIT_ENUM                      FALSE
#define SE0_OEM_GROUP_0_HOST1XRM_FALSE                  _MK_ENUM_CONST(0)
#define SE0_OEM_GROUP_0_HOST1XRM_TRUE                   _MK_ENUM_CONST(1)

#define SE0_OEM_GROUP_0_NVHS_SHIFT                      _MK_SHIFT_CONST(9)
#define SE0_OEM_GROUP_0_NVHS_FIELD                      _MK_FIELD_CONST(0x1, SE0_OEM_GROUP_0_NVHS_SHIFT)
#define SE0_OEM_GROUP_0_NVHS_RANGE                      9:9
#define SE0_OEM_GROUP_0_NVHS_WOFFSET                    0x0
#define SE0_OEM_GROUP_0_NVHS_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_OEM_GROUP_0_NVHS_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_OEM_GROUP_0_NVHS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_OEM_GROUP_0_NVHS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_OEM_GROUP_0_NVHS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_OEM_GROUP_0_NVHS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_OEM_GROUP_0_NVHS_INIT_ENUM                  FALSE
#define SE0_OEM_GROUP_0_NVHS_FALSE                      _MK_ENUM_CONST(0)
#define SE0_OEM_GROUP_0_NVHS_TRUE                       _MK_ENUM_CONST(1)

#define SE0_OEM_GROUP_0_NVLS_SHIFT                      _MK_SHIFT_CONST(8)
#define SE0_OEM_GROUP_0_NVLS_FIELD                      _MK_FIELD_CONST(0x1, SE0_OEM_GROUP_0_NVLS_SHIFT)
#define SE0_OEM_GROUP_0_NVLS_RANGE                      8:8
#define SE0_OEM_GROUP_0_NVLS_WOFFSET                    0x0
#define SE0_OEM_GROUP_0_NVLS_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_OEM_GROUP_0_NVLS_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_OEM_GROUP_0_NVLS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_OEM_GROUP_0_NVLS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_OEM_GROUP_0_NVLS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_OEM_GROUP_0_NVLS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_OEM_GROUP_0_NVLS_INIT_ENUM                  FALSE
#define SE0_OEM_GROUP_0_NVLS_FALSE                      _MK_ENUM_CONST(0)
#define SE0_OEM_GROUP_0_NVLS_TRUE                       _MK_ENUM_CONST(1)

#define SE0_OEM_GROUP_0_SECGROUP_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_OEM_GROUP_0_SECGROUP_FIELD                  _MK_FIELD_CONST(0xff, SE0_OEM_GROUP_0_SECGROUP_SHIFT)
#define SE0_OEM_GROUP_0_SECGROUP_RANGE                  7:0
#define SE0_OEM_GROUP_0_SECGROUP_WOFFSET                        0x0
#define SE0_OEM_GROUP_0_SECGROUP_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_OEM_GROUP_0_SECGROUP_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define SE0_OEM_GROUP_0_SECGROUP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_OEM_GROUP_0_SECGROUP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_OEM_GROUP_0_SECGROUP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_OEM_GROUP_0_SECGROUP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_OEM_GROUP_0_SECGROUP_INIT_ENUM                      ALL_FALSE
#define SE0_OEM_GROUP_0_SECGROUP_ALL_FALSE                      _MK_ENUM_CONST(0)

// Register SE0_MUTEX_REQUEST_RELEASE_0
#define SE0_MUTEX_REQUEST_RELEASE_0                     _MK_ADDR_CONST(0x50)
#define SE0_MUTEX_REQUEST_RELEASE_0_SECURE                      0x0
#define SE0_MUTEX_REQUEST_RELEASE_0_DUAL                        0x0
#define SE0_MUTEX_REQUEST_RELEASE_0_SCR                         0
#define SE0_MUTEX_REQUEST_RELEASE_0_WORD_COUNT                  0x1
#define SE0_MUTEX_REQUEST_RELEASE_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SE0_MUTEX_REQUEST_RELEASE_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define SE0_MUTEX_REQUEST_RELEASE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SE0_MUTEX_REQUEST_RELEASE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_MUTEX_REQUEST_RELEASE_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define SE0_MUTEX_REQUEST_RELEASE_0_WRITE_MASK                  _MK_MASK_CONST(0x1)
#define SE0_MUTEX_REQUEST_RELEASE_0_LOCK_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_MUTEX_REQUEST_RELEASE_0_LOCK_FIELD                  _MK_FIELD_CONST(0x1, SE0_MUTEX_REQUEST_RELEASE_0_LOCK_SHIFT)
#define SE0_MUTEX_REQUEST_RELEASE_0_LOCK_RANGE                  0:0
#define SE0_MUTEX_REQUEST_RELEASE_0_LOCK_WOFFSET                        0x0
#define SE0_MUTEX_REQUEST_RELEASE_0_LOCK_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_MUTEX_REQUEST_RELEASE_0_LOCK_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_MUTEX_REQUEST_RELEASE_0_LOCK_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_MUTEX_REQUEST_RELEASE_0_LOCK_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_MUTEX_REQUEST_RELEASE_0_LOCK_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_MUTEX_REQUEST_RELEASE_0_LOCK_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_MUTEX_REQUEST_RELEASE_0_LOCK_INIT_ENUM                      FALSE
#define SE0_MUTEX_REQUEST_RELEASE_0_LOCK_FALSE                  _MK_ENUM_CONST(0)
#define SE0_MUTEX_REQUEST_RELEASE_0_LOCK_TRUE                   _MK_ENUM_CONST(1)

// Reserved address 0x54

// Register SE0_SOFTRESET_0
#define SE0_SOFTRESET_0                 _MK_ADDR_CONST(0x60)
#define SE0_SOFTRESET_0_SECURE                  0x0
#define SE0_SOFTRESET_0_DUAL                    0x0
#define SE0_SOFTRESET_0_SCR                     0
#define SE0_SOFTRESET_0_WORD_COUNT                      0x1
#define SE0_SOFTRESET_0_RESET_VAL                       _MK_MASK_CONST(0x10)
#define SE0_SOFTRESET_0_RESET_MASK                      _MK_MASK_CONST(0x11)
#define SE0_SOFTRESET_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SE0_SOFTRESET_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SE0_SOFTRESET_0_READ_MASK                       _MK_MASK_CONST(0x11)
#define SE0_SOFTRESET_0_WRITE_MASK                      _MK_MASK_CONST(0x11)
#define SE0_SOFTRESET_0_NSEN_SHIFT                      _MK_SHIFT_CONST(4)
#define SE0_SOFTRESET_0_NSEN_FIELD                      _MK_FIELD_CONST(0x1, SE0_SOFTRESET_0_NSEN_SHIFT)
#define SE0_SOFTRESET_0_NSEN_RANGE                      4:4
#define SE0_SOFTRESET_0_NSEN_WOFFSET                    0x0
#define SE0_SOFTRESET_0_NSEN_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_SOFTRESET_0_NSEN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_SOFTRESET_0_NSEN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_SOFTRESET_0_NSEN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_SOFTRESET_0_NSEN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_SOFTRESET_0_NSEN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define SE0_SOFTRESET_0_REQ_SHIFT                       _MK_SHIFT_CONST(0)
#define SE0_SOFTRESET_0_REQ_FIELD                       _MK_FIELD_CONST(0x1, SE0_SOFTRESET_0_REQ_SHIFT)
#define SE0_SOFTRESET_0_REQ_RANGE                       0:0
#define SE0_SOFTRESET_0_REQ_WOFFSET                     0x0
#define SE0_SOFTRESET_0_REQ_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_SOFTRESET_0_REQ_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_SOFTRESET_0_REQ_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_SOFTRESET_0_REQ_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_SOFTRESET_0_REQ_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_SOFTRESET_0_REQ_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_SOFTRESET_0_REQ_INIT_ENUM                   FALSE
#define SE0_SOFTRESET_0_REQ_FALSE                       _MK_ENUM_CONST(0)
#define SE0_SOFTRESET_0_REQ_TRUE                        _MK_ENUM_CONST(1)

// Register SE0_MUTEX_STATUS_0
#define SE0_MUTEX_STATUS_0                      _MK_ADDR_CONST(0x64)
#define SE0_MUTEX_STATUS_0_SECURE                       0x0
#define SE0_MUTEX_STATUS_0_DUAL                         0x0
#define SE0_MUTEX_STATUS_0_SCR                  0
#define SE0_MUTEX_STATUS_0_WORD_COUNT                   0x1
#define SE0_MUTEX_STATUS_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SE0_MUTEX_STATUS_0_RESET_MASK                   _MK_MASK_CONST(0x80030003)
#define SE0_MUTEX_STATUS_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_MUTEX_STATUS_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_MUTEX_STATUS_0_READ_MASK                    _MK_MASK_CONST(0x80030003)
#define SE0_MUTEX_STATUS_0_WRITE_MASK                   _MK_MASK_CONST(0x0)
#define SE0_MUTEX_STATUS_0_LOCKED_SHIFT                 _MK_SHIFT_CONST(31)
#define SE0_MUTEX_STATUS_0_LOCKED_FIELD                 _MK_FIELD_CONST(0x1, SE0_MUTEX_STATUS_0_LOCKED_SHIFT)
#define SE0_MUTEX_STATUS_0_LOCKED_RANGE                 31:31
#define SE0_MUTEX_STATUS_0_LOCKED_WOFFSET                       0x0
#define SE0_MUTEX_STATUS_0_LOCKED_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_MUTEX_STATUS_0_LOCKED_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_MUTEX_STATUS_0_LOCKED_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_MUTEX_STATUS_0_LOCKED_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_MUTEX_STATUS_0_LOCKED_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_MUTEX_STATUS_0_LOCKED_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_MUTEX_STATUS_0_LOCKED_INIT_ENUM                     FALSE
#define SE0_MUTEX_STATUS_0_LOCKED_FALSE                 _MK_ENUM_CONST(0)
#define SE0_MUTEX_STATUS_0_LOCKED_TRUE                  _MK_ENUM_CONST(1)

#define SE0_MUTEX_STATUS_0_LEVEL_SHIFT                  _MK_SHIFT_CONST(16)
#define SE0_MUTEX_STATUS_0_LEVEL_FIELD                  _MK_FIELD_CONST(0x3, SE0_MUTEX_STATUS_0_LEVEL_SHIFT)
#define SE0_MUTEX_STATUS_0_LEVEL_RANGE                  17:16
#define SE0_MUTEX_STATUS_0_LEVEL_WOFFSET                        0x0
#define SE0_MUTEX_STATUS_0_LEVEL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_MUTEX_STATUS_0_LEVEL_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define SE0_MUTEX_STATUS_0_LEVEL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_MUTEX_STATUS_0_LEVEL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_MUTEX_STATUS_0_LEVEL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_MUTEX_STATUS_0_LEVEL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define SE0_MUTEX_STATUS_0_SECGROUP_SHIFT                       _MK_SHIFT_CONST(0)
#define SE0_MUTEX_STATUS_0_SECGROUP_FIELD                       _MK_FIELD_CONST(0x3, SE0_MUTEX_STATUS_0_SECGROUP_SHIFT)
#define SE0_MUTEX_STATUS_0_SECGROUP_RANGE                       1:0
#define SE0_MUTEX_STATUS_0_SECGROUP_WOFFSET                     0x0
#define SE0_MUTEX_STATUS_0_SECGROUP_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_MUTEX_STATUS_0_SECGROUP_DEFAULT_MASK                        _MK_MASK_CONST(0x3)
#define SE0_MUTEX_STATUS_0_SECGROUP_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_MUTEX_STATUS_0_SECGROUP_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_MUTEX_STATUS_0_SECGROUP_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_MUTEX_STATUS_0_SECGROUP_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SE0_MUTEX_RR_TIMEOUT_COUNTER_0
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0                  _MK_ADDR_CONST(0x68)
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_SECURE                   0x0
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_DUAL                     0x0
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_SCR                      0
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_WORD_COUNT                       0x1
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_RESET_VAL                        _MK_MASK_CONST(0x100)
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_RESET_MASK                       _MK_MASK_CONST(0x800fffff)
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_READ_MASK                        _MK_MASK_CONST(0x800fffff)
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_WRITE_MASK                       _MK_MASK_CONST(0x800fffff)
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_LOCK_SHIFT                       _MK_SHIFT_CONST(31)
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_LOCK_FIELD                       _MK_FIELD_CONST(0x1, SE0_MUTEX_RR_TIMEOUT_COUNTER_0_LOCK_SHIFT)
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_LOCK_RANGE                       31:31
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_LOCK_WOFFSET                     0x0
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_LOCK_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_LOCK_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_LOCK_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_LOCK_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_LOCK_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_LOCK_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_LOCK_INIT_ENUM                   FALSE
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_LOCK_FALSE                       _MK_ENUM_CONST(0)
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_LOCK_TRUE                        _MK_ENUM_CONST(1)

#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_VAL_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_VAL_FIELD                        _MK_FIELD_CONST(0xfffff, SE0_MUTEX_RR_TIMEOUT_COUNTER_0_VAL_SHIFT)
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_VAL_RANGE                        19:0
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_VAL_WOFFSET                      0x0
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_VAL_DEFAULT                      _MK_MASK_CONST(0x100)
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0xfffff)
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_MUTEX_RR_TIMEOUT_COUNTER_0_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SE0_MUTEX_WATCHDOG_NS_LIMIT_0
#define SE0_MUTEX_WATCHDOG_NS_LIMIT_0                   _MK_ADDR_CONST(0x6c)
#define SE0_MUTEX_WATCHDOG_NS_LIMIT_0_SECURE                    0x0
#define SE0_MUTEX_WATCHDOG_NS_LIMIT_0_DUAL                      0x0
#define SE0_MUTEX_WATCHDOG_NS_LIMIT_0_SCR                       0
#define SE0_MUTEX_WATCHDOG_NS_LIMIT_0_WORD_COUNT                        0x1
#define SE0_MUTEX_WATCHDOG_NS_LIMIT_0_RESET_VAL                         _MK_MASK_CONST(0xffffffff)
#define SE0_MUTEX_WATCHDOG_NS_LIMIT_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_MUTEX_WATCHDOG_NS_LIMIT_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE0_MUTEX_WATCHDOG_NS_LIMIT_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_MUTEX_WATCHDOG_NS_LIMIT_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_MUTEX_WATCHDOG_NS_LIMIT_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_MUTEX_WATCHDOG_NS_LIMIT_0_VAL_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_MUTEX_WATCHDOG_NS_LIMIT_0_VAL_FIELD                 _MK_FIELD_CONST(0xffffffff, SE0_MUTEX_WATCHDOG_NS_LIMIT_0_VAL_SHIFT)
#define SE0_MUTEX_WATCHDOG_NS_LIMIT_0_VAL_RANGE                 31:0
#define SE0_MUTEX_WATCHDOG_NS_LIMIT_0_VAL_WOFFSET                       0x0
#define SE0_MUTEX_WATCHDOG_NS_LIMIT_0_VAL_DEFAULT                       _MK_MASK_CONST(0xffffffff)
#define SE0_MUTEX_WATCHDOG_NS_LIMIT_0_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE0_MUTEX_WATCHDOG_NS_LIMIT_0_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_MUTEX_WATCHDOG_NS_LIMIT_0_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_MUTEX_WATCHDOG_NS_LIMIT_0_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_MUTEX_WATCHDOG_NS_LIMIT_0_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_MUTEX_WATCHDOG_NS_LIMIT_0_VAL_INIT_ENUM                     -1

// Register SE0_MUTEX_RR_STATUS_0
#define SE0_MUTEX_RR_STATUS_0                   _MK_ADDR_CONST(0x70)
#define SE0_MUTEX_RR_STATUS_0_SECURE                    0x0
#define SE0_MUTEX_RR_STATUS_0_DUAL                      0x0
#define SE0_MUTEX_RR_STATUS_0_SCR                       0
#define SE0_MUTEX_RR_STATUS_0_WORD_COUNT                        0x1
#define SE0_MUTEX_RR_STATUS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SE0_MUTEX_RR_STATUS_0_RESET_MASK                        _MK_MASK_CONST(0xf03fffff)
#define SE0_MUTEX_RR_STATUS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE0_MUTEX_RR_STATUS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_MUTEX_RR_STATUS_0_READ_MASK                         _MK_MASK_CONST(0xf03fffff)
#define SE0_MUTEX_RR_STATUS_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define SE0_MUTEX_RR_STATUS_0_PND_NUM_SHIFT                     _MK_SHIFT_CONST(28)
#define SE0_MUTEX_RR_STATUS_0_PND_NUM_FIELD                     _MK_FIELD_CONST(0xf, SE0_MUTEX_RR_STATUS_0_PND_NUM_SHIFT)
#define SE0_MUTEX_RR_STATUS_0_PND_NUM_RANGE                     31:28
#define SE0_MUTEX_RR_STATUS_0_PND_NUM_WOFFSET                   0x0
#define SE0_MUTEX_RR_STATUS_0_PND_NUM_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_MUTEX_RR_STATUS_0_PND_NUM_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define SE0_MUTEX_RR_STATUS_0_PND_NUM_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_MUTEX_RR_STATUS_0_PND_NUM_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_MUTEX_RR_STATUS_0_PND_NUM_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_MUTEX_RR_STATUS_0_PND_NUM_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define SE0_MUTEX_RR_STATUS_0_SECGROUP_SHIFT                    _MK_SHIFT_CONST(20)
#define SE0_MUTEX_RR_STATUS_0_SECGROUP_FIELD                    _MK_FIELD_CONST(0x3, SE0_MUTEX_RR_STATUS_0_SECGROUP_SHIFT)
#define SE0_MUTEX_RR_STATUS_0_SECGROUP_RANGE                    21:20
#define SE0_MUTEX_RR_STATUS_0_SECGROUP_WOFFSET                  0x0
#define SE0_MUTEX_RR_STATUS_0_SECGROUP_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_MUTEX_RR_STATUS_0_SECGROUP_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define SE0_MUTEX_RR_STATUS_0_SECGROUP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_MUTEX_RR_STATUS_0_SECGROUP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_MUTEX_RR_STATUS_0_SECGROUP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_MUTEX_RR_STATUS_0_SECGROUP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define SE0_MUTEX_RR_STATUS_0_COUNTER_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_MUTEX_RR_STATUS_0_COUNTER_FIELD                     _MK_FIELD_CONST(0xfffff, SE0_MUTEX_RR_STATUS_0_COUNTER_SHIFT)
#define SE0_MUTEX_RR_STATUS_0_COUNTER_RANGE                     19:0
#define SE0_MUTEX_RR_STATUS_0_COUNTER_WOFFSET                   0x0
#define SE0_MUTEX_RR_STATUS_0_COUNTER_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_MUTEX_RR_STATUS_0_COUNTER_DEFAULT_MASK                      _MK_MASK_CONST(0xfffff)
#define SE0_MUTEX_RR_STATUS_0_COUNTER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_MUTEX_RR_STATUS_0_COUNTER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_MUTEX_RR_STATUS_0_COUNTER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_MUTEX_RR_STATUS_0_COUNTER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_MUTEX_WATCHDOG_COUNTER_0
#define SE0_MUTEX_WATCHDOG_COUNTER_0                    _MK_ADDR_CONST(0x80)
#define SE0_MUTEX_WATCHDOG_COUNTER_0_SECURE                     0x0
#define SE0_MUTEX_WATCHDOG_COUNTER_0_DUAL                       0x0
#define SE0_MUTEX_WATCHDOG_COUNTER_0_SCR                        0
#define SE0_MUTEX_WATCHDOG_COUNTER_0_WORD_COUNT                         0x1
#define SE0_MUTEX_WATCHDOG_COUNTER_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE0_MUTEX_WATCHDOG_COUNTER_0_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE0_MUTEX_WATCHDOG_COUNTER_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE0_MUTEX_WATCHDOG_COUNTER_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_MUTEX_WATCHDOG_COUNTER_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE0_MUTEX_WATCHDOG_COUNTER_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_MUTEX_WATCHDOG_COUNTER_0_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_MUTEX_WATCHDOG_COUNTER_0_VAL_FIELD                  _MK_FIELD_CONST(0xffffffff, SE0_MUTEX_WATCHDOG_COUNTER_0_VAL_SHIFT)
#define SE0_MUTEX_WATCHDOG_COUNTER_0_VAL_RANGE                  31:0
#define SE0_MUTEX_WATCHDOG_COUNTER_0_VAL_WOFFSET                        0x0
#define SE0_MUTEX_WATCHDOG_COUNTER_0_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_MUTEX_WATCHDOG_COUNTER_0_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_MUTEX_WATCHDOG_COUNTER_0_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_MUTEX_WATCHDOG_COUNTER_0_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_MUTEX_WATCHDOG_COUNTER_0_VAL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_MUTEX_WATCHDOG_COUNTER_0_VAL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SE0_MUTEX_TIMEOUT_ACTION_0
#define SE0_MUTEX_TIMEOUT_ACTION_0                      _MK_ADDR_CONST(0x84)
#define SE0_MUTEX_TIMEOUT_ACTION_0_SECURE                       0x0
#define SE0_MUTEX_TIMEOUT_ACTION_0_DUAL                         0x0
#define SE0_MUTEX_TIMEOUT_ACTION_0_SCR                  0
#define SE0_MUTEX_TIMEOUT_ACTION_0_WORD_COUNT                   0x1
#define SE0_MUTEX_TIMEOUT_ACTION_0_RESET_VAL                    _MK_MASK_CONST(0x6)
#define SE0_MUTEX_TIMEOUT_ACTION_0_RESET_MASK                   _MK_MASK_CONST(0x1f)
#define SE0_MUTEX_TIMEOUT_ACTION_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_MUTEX_TIMEOUT_ACTION_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_MUTEX_TIMEOUT_ACTION_0_READ_MASK                    _MK_MASK_CONST(0x1f)
#define SE0_MUTEX_TIMEOUT_ACTION_0_WRITE_MASK                   _MK_MASK_CONST(0x19)
#define SE0_MUTEX_TIMEOUT_ACTION_0_AUTO_SWDIS_SHIFT                     _MK_SHIFT_CONST(4)
#define SE0_MUTEX_TIMEOUT_ACTION_0_AUTO_SWDIS_FIELD                     _MK_FIELD_CONST(0x1, SE0_MUTEX_TIMEOUT_ACTION_0_AUTO_SWDIS_SHIFT)
#define SE0_MUTEX_TIMEOUT_ACTION_0_AUTO_SWDIS_RANGE                     4:4
#define SE0_MUTEX_TIMEOUT_ACTION_0_AUTO_SWDIS_WOFFSET                   0x0
#define SE0_MUTEX_TIMEOUT_ACTION_0_AUTO_SWDIS_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_MUTEX_TIMEOUT_ACTION_0_AUTO_SWDIS_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SE0_MUTEX_TIMEOUT_ACTION_0_AUTO_SWDIS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_MUTEX_TIMEOUT_ACTION_0_AUTO_SWDIS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_MUTEX_TIMEOUT_ACTION_0_AUTO_SWDIS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_MUTEX_TIMEOUT_ACTION_0_AUTO_SWDIS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_MUTEX_TIMEOUT_ACTION_0_AUTO_SWDIS_INIT_ENUM                 FALSE
#define SE0_MUTEX_TIMEOUT_ACTION_0_AUTO_SWDIS_FALSE                     _MK_ENUM_CONST(0)
#define SE0_MUTEX_TIMEOUT_ACTION_0_AUTO_SWDIS_TRUE                      _MK_ENUM_CONST(1)

#define SE0_MUTEX_TIMEOUT_ACTION_0_TM_STATUS_SHIFT                      _MK_SHIFT_CONST(3)
#define SE0_MUTEX_TIMEOUT_ACTION_0_TM_STATUS_FIELD                      _MK_FIELD_CONST(0x1, SE0_MUTEX_TIMEOUT_ACTION_0_TM_STATUS_SHIFT)
#define SE0_MUTEX_TIMEOUT_ACTION_0_TM_STATUS_RANGE                      3:3
#define SE0_MUTEX_TIMEOUT_ACTION_0_TM_STATUS_WOFFSET                    0x0
#define SE0_MUTEX_TIMEOUT_ACTION_0_TM_STATUS_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_MUTEX_TIMEOUT_ACTION_0_TM_STATUS_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_MUTEX_TIMEOUT_ACTION_0_TM_STATUS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_MUTEX_TIMEOUT_ACTION_0_TM_STATUS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_MUTEX_TIMEOUT_ACTION_0_TM_STATUS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_MUTEX_TIMEOUT_ACTION_0_TM_STATUS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_MUTEX_TIMEOUT_ACTION_0_TM_STATUS_INIT_ENUM                  CLEAR
#define SE0_MUTEX_TIMEOUT_ACTION_0_TM_STATUS_CLEAR                      _MK_ENUM_CONST(0)
#define SE0_MUTEX_TIMEOUT_ACTION_0_TM_STATUS_ACTIVE                     _MK_ENUM_CONST(1)
#define SE0_MUTEX_TIMEOUT_ACTION_0_TM_STATUS_SW_CLEAR                   _MK_ENUM_CONST(1)

#define SE0_MUTEX_TIMEOUT_ACTION_0_RST_SHIFT                    _MK_SHIFT_CONST(2)
#define SE0_MUTEX_TIMEOUT_ACTION_0_RST_FIELD                    _MK_FIELD_CONST(0x1, SE0_MUTEX_TIMEOUT_ACTION_0_RST_SHIFT)
#define SE0_MUTEX_TIMEOUT_ACTION_0_RST_RANGE                    2:2
#define SE0_MUTEX_TIMEOUT_ACTION_0_RST_WOFFSET                  0x0
#define SE0_MUTEX_TIMEOUT_ACTION_0_RST_DEFAULT                  _MK_MASK_CONST(0x1)
#define SE0_MUTEX_TIMEOUT_ACTION_0_RST_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SE0_MUTEX_TIMEOUT_ACTION_0_RST_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_MUTEX_TIMEOUT_ACTION_0_RST_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_MUTEX_TIMEOUT_ACTION_0_RST_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_MUTEX_TIMEOUT_ACTION_0_RST_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_MUTEX_TIMEOUT_ACTION_0_RST_INIT_ENUM                        TRUE
#define SE0_MUTEX_TIMEOUT_ACTION_0_RST_FALSE                    _MK_ENUM_CONST(0)
#define SE0_MUTEX_TIMEOUT_ACTION_0_RST_TRUE                     _MK_ENUM_CONST(1)

#define SE0_MUTEX_TIMEOUT_ACTION_0_RELEASE_MUTEX_SHIFT                  _MK_SHIFT_CONST(1)
#define SE0_MUTEX_TIMEOUT_ACTION_0_RELEASE_MUTEX_FIELD                  _MK_FIELD_CONST(0x1, SE0_MUTEX_TIMEOUT_ACTION_0_RELEASE_MUTEX_SHIFT)
#define SE0_MUTEX_TIMEOUT_ACTION_0_RELEASE_MUTEX_RANGE                  1:1
#define SE0_MUTEX_TIMEOUT_ACTION_0_RELEASE_MUTEX_WOFFSET                        0x0
#define SE0_MUTEX_TIMEOUT_ACTION_0_RELEASE_MUTEX_DEFAULT                        _MK_MASK_CONST(0x1)
#define SE0_MUTEX_TIMEOUT_ACTION_0_RELEASE_MUTEX_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_MUTEX_TIMEOUT_ACTION_0_RELEASE_MUTEX_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_MUTEX_TIMEOUT_ACTION_0_RELEASE_MUTEX_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_MUTEX_TIMEOUT_ACTION_0_RELEASE_MUTEX_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_MUTEX_TIMEOUT_ACTION_0_RELEASE_MUTEX_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_MUTEX_TIMEOUT_ACTION_0_RELEASE_MUTEX_INIT_ENUM                      TRUE
#define SE0_MUTEX_TIMEOUT_ACTION_0_RELEASE_MUTEX_FALSE                  _MK_ENUM_CONST(0)
#define SE0_MUTEX_TIMEOUT_ACTION_0_RELEASE_MUTEX_TRUE                   _MK_ENUM_CONST(1)

#define SE0_MUTEX_TIMEOUT_ACTION_0_INTERRUPT_SHIFT                      _MK_SHIFT_CONST(0)
#define SE0_MUTEX_TIMEOUT_ACTION_0_INTERRUPT_FIELD                      _MK_FIELD_CONST(0x1, SE0_MUTEX_TIMEOUT_ACTION_0_INTERRUPT_SHIFT)
#define SE0_MUTEX_TIMEOUT_ACTION_0_INTERRUPT_RANGE                      0:0
#define SE0_MUTEX_TIMEOUT_ACTION_0_INTERRUPT_WOFFSET                    0x0
#define SE0_MUTEX_TIMEOUT_ACTION_0_INTERRUPT_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_MUTEX_TIMEOUT_ACTION_0_INTERRUPT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_MUTEX_TIMEOUT_ACTION_0_INTERRUPT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_MUTEX_TIMEOUT_ACTION_0_INTERRUPT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_MUTEX_TIMEOUT_ACTION_0_INTERRUPT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_MUTEX_TIMEOUT_ACTION_0_INTERRUPT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_MUTEX_TIMEOUT_ACTION_0_INTERRUPT_INIT_ENUM                  FALSE
#define SE0_MUTEX_TIMEOUT_ACTION_0_INTERRUPT_FALSE                      _MK_ENUM_CONST(0)
#define SE0_MUTEX_TIMEOUT_ACTION_0_INTERRUPT_TRUE                       _MK_ENUM_CONST(1)

// Register SE0_INT_ENABLE_0
#define SE0_INT_ENABLE_0                        _MK_ADDR_CONST(0x88)
#define SE0_INT_ENABLE_0_SECURE                         0x0
#define SE0_INT_ENABLE_0_DUAL                   0x0
#define SE0_INT_ENABLE_0_SCR                    0
#define SE0_INT_ENABLE_0_WORD_COUNT                     0x1
#define SE0_INT_ENABLE_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE0_INT_ENABLE_0_RESET_MASK                     _MK_MASK_CONST(0x3f)
#define SE0_INT_ENABLE_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE0_INT_ENABLE_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_INT_ENABLE_0_READ_MASK                      _MK_MASK_CONST(0x3f)
#define SE0_INT_ENABLE_0_WRITE_MASK                     _MK_MASK_CONST(0x3f)
#define SE0_INT_ENABLE_0_AES1_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_INT_ENABLE_0_AES1_FIELD                     _MK_FIELD_CONST(0x1, SE0_INT_ENABLE_0_AES1_SHIFT)
#define SE0_INT_ENABLE_0_AES1_RANGE                     0:0
#define SE0_INT_ENABLE_0_AES1_WOFFSET                   0x0
#define SE0_INT_ENABLE_0_AES1_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_INT_ENABLE_0_AES1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SE0_INT_ENABLE_0_AES1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_INT_ENABLE_0_AES1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_INT_ENABLE_0_AES1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_INT_ENABLE_0_AES1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_INT_ENABLE_0_AES1_INIT_ENUM                 DISABLE
#define SE0_INT_ENABLE_0_AES1_DISABLE                   _MK_ENUM_CONST(0)
#define SE0_INT_ENABLE_0_AES1_ENABLE                    _MK_ENUM_CONST(1)

#define SE0_INT_ENABLE_0_AES0_SHIFT                     _MK_SHIFT_CONST(1)
#define SE0_INT_ENABLE_0_AES0_FIELD                     _MK_FIELD_CONST(0x1, SE0_INT_ENABLE_0_AES0_SHIFT)
#define SE0_INT_ENABLE_0_AES0_RANGE                     1:1
#define SE0_INT_ENABLE_0_AES0_WOFFSET                   0x0
#define SE0_INT_ENABLE_0_AES0_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_INT_ENABLE_0_AES0_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SE0_INT_ENABLE_0_AES0_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_INT_ENABLE_0_AES0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_INT_ENABLE_0_AES0_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_INT_ENABLE_0_AES0_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_INT_ENABLE_0_AES0_INIT_ENUM                 DISABLE
#define SE0_INT_ENABLE_0_AES0_DISABLE                   _MK_ENUM_CONST(0)
#define SE0_INT_ENABLE_0_AES0_ENABLE                    _MK_ENUM_CONST(1)

#define SE0_INT_ENABLE_0_PKA0_SHIFT                     _MK_SHIFT_CONST(2)
#define SE0_INT_ENABLE_0_PKA0_FIELD                     _MK_FIELD_CONST(0x1, SE0_INT_ENABLE_0_PKA0_SHIFT)
#define SE0_INT_ENABLE_0_PKA0_RANGE                     2:2
#define SE0_INT_ENABLE_0_PKA0_WOFFSET                   0x0
#define SE0_INT_ENABLE_0_PKA0_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_INT_ENABLE_0_PKA0_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SE0_INT_ENABLE_0_PKA0_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_INT_ENABLE_0_PKA0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_INT_ENABLE_0_PKA0_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_INT_ENABLE_0_PKA0_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_INT_ENABLE_0_PKA0_INIT_ENUM                 DISABLE
#define SE0_INT_ENABLE_0_PKA0_DISABLE                   _MK_ENUM_CONST(0)
#define SE0_INT_ENABLE_0_PKA0_ENABLE                    _MK_ENUM_CONST(1)

#define SE0_INT_ENABLE_0_SHA_SHIFT                      _MK_SHIFT_CONST(3)
#define SE0_INT_ENABLE_0_SHA_FIELD                      _MK_FIELD_CONST(0x1, SE0_INT_ENABLE_0_SHA_SHIFT)
#define SE0_INT_ENABLE_0_SHA_RANGE                      3:3
#define SE0_INT_ENABLE_0_SHA_WOFFSET                    0x0
#define SE0_INT_ENABLE_0_SHA_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_INT_ENABLE_0_SHA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_INT_ENABLE_0_SHA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_INT_ENABLE_0_SHA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_INT_ENABLE_0_SHA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_INT_ENABLE_0_SHA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_INT_ENABLE_0_SHA_INIT_ENUM                  DISABLE
#define SE0_INT_ENABLE_0_SHA_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_INT_ENABLE_0_SHA_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_INT_ENABLE_0_SAP_NSERR_SHIFT                        _MK_SHIFT_CONST(4)
#define SE0_INT_ENABLE_0_SAP_NSERR_FIELD                        _MK_FIELD_CONST(0x1, SE0_INT_ENABLE_0_SAP_NSERR_SHIFT)
#define SE0_INT_ENABLE_0_SAP_NSERR_RANGE                        4:4
#define SE0_INT_ENABLE_0_SAP_NSERR_WOFFSET                      0x0
#define SE0_INT_ENABLE_0_SAP_NSERR_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_INT_ENABLE_0_SAP_NSERR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_INT_ENABLE_0_SAP_NSERR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_INT_ENABLE_0_SAP_NSERR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_INT_ENABLE_0_SAP_NSERR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_INT_ENABLE_0_SAP_NSERR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_INT_ENABLE_0_SAP_NSERR_INIT_ENUM                    DISABLE
#define SE0_INT_ENABLE_0_SAP_NSERR_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_INT_ENABLE_0_SAP_NSERR_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_INT_ENABLE_0_MUTEX_TIMEOUT_SHIFT                    _MK_SHIFT_CONST(5)
#define SE0_INT_ENABLE_0_MUTEX_TIMEOUT_FIELD                    _MK_FIELD_CONST(0x1, SE0_INT_ENABLE_0_MUTEX_TIMEOUT_SHIFT)
#define SE0_INT_ENABLE_0_MUTEX_TIMEOUT_RANGE                    5:5
#define SE0_INT_ENABLE_0_MUTEX_TIMEOUT_WOFFSET                  0x0
#define SE0_INT_ENABLE_0_MUTEX_TIMEOUT_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_INT_ENABLE_0_MUTEX_TIMEOUT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SE0_INT_ENABLE_0_MUTEX_TIMEOUT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_INT_ENABLE_0_MUTEX_TIMEOUT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_INT_ENABLE_0_MUTEX_TIMEOUT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_INT_ENABLE_0_MUTEX_TIMEOUT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_INT_ENABLE_0_MUTEX_TIMEOUT_INIT_ENUM                        DISABLE
#define SE0_INT_ENABLE_0_MUTEX_TIMEOUT_DISABLE                  _MK_ENUM_CONST(0)
#define SE0_INT_ENABLE_0_MUTEX_TIMEOUT_ENABLE                   _MK_ENUM_CONST(1)

// Register SE0_INT_STATUS_0
#define SE0_INT_STATUS_0                        _MK_ADDR_CONST(0x8c)
#define SE0_INT_STATUS_0_SECURE                         0x0
#define SE0_INT_STATUS_0_DUAL                   0x0
#define SE0_INT_STATUS_0_SCR                    0
#define SE0_INT_STATUS_0_WORD_COUNT                     0x1
#define SE0_INT_STATUS_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_0_RESET_MASK                     _MK_MASK_CONST(0x3f)
#define SE0_INT_STATUS_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_0_READ_MASK                      _MK_MASK_CONST(0x3f)
#define SE0_INT_STATUS_0_WRITE_MASK                     _MK_MASK_CONST(0x30)
#define SE0_INT_STATUS_0_AES0_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_INT_STATUS_0_AES0_FIELD                     _MK_FIELD_CONST(0x1, SE0_INT_STATUS_0_AES0_SHIFT)
#define SE0_INT_STATUS_0_AES0_RANGE                     0:0
#define SE0_INT_STATUS_0_AES0_WOFFSET                   0x0
#define SE0_INT_STATUS_0_AES0_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_0_AES0_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SE0_INT_STATUS_0_AES0_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_0_AES0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_0_AES0_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_0_AES0_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_INT_STATUS_0_AES0_INIT_ENUM                 CLEAR
#define SE0_INT_STATUS_0_AES0_CLEAR                     _MK_ENUM_CONST(0)
#define SE0_INT_STATUS_0_AES0_ACTIVE                    _MK_ENUM_CONST(1)

#define SE0_INT_STATUS_0_AES1_SHIFT                     _MK_SHIFT_CONST(1)
#define SE0_INT_STATUS_0_AES1_FIELD                     _MK_FIELD_CONST(0x1, SE0_INT_STATUS_0_AES1_SHIFT)
#define SE0_INT_STATUS_0_AES1_RANGE                     1:1
#define SE0_INT_STATUS_0_AES1_WOFFSET                   0x0
#define SE0_INT_STATUS_0_AES1_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_0_AES1_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SE0_INT_STATUS_0_AES1_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_0_AES1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_0_AES1_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_0_AES1_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_INT_STATUS_0_AES1_INIT_ENUM                 CLEAR
#define SE0_INT_STATUS_0_AES1_CLEAR                     _MK_ENUM_CONST(0)
#define SE0_INT_STATUS_0_AES1_ACTIVE                    _MK_ENUM_CONST(1)

#define SE0_INT_STATUS_0_PKA0_SHIFT                     _MK_SHIFT_CONST(2)
#define SE0_INT_STATUS_0_PKA0_FIELD                     _MK_FIELD_CONST(0x1, SE0_INT_STATUS_0_PKA0_SHIFT)
#define SE0_INT_STATUS_0_PKA0_RANGE                     2:2
#define SE0_INT_STATUS_0_PKA0_WOFFSET                   0x0
#define SE0_INT_STATUS_0_PKA0_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_0_PKA0_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SE0_INT_STATUS_0_PKA0_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_0_PKA0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_0_PKA0_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_0_PKA0_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_INT_STATUS_0_PKA0_INIT_ENUM                 CLEAR
#define SE0_INT_STATUS_0_PKA0_CLEAR                     _MK_ENUM_CONST(0)
#define SE0_INT_STATUS_0_PKA0_ACTIVE                    _MK_ENUM_CONST(1)

#define SE0_INT_STATUS_0_SHA_SHIFT                      _MK_SHIFT_CONST(3)
#define SE0_INT_STATUS_0_SHA_FIELD                      _MK_FIELD_CONST(0x1, SE0_INT_STATUS_0_SHA_SHIFT)
#define SE0_INT_STATUS_0_SHA_RANGE                      3:3
#define SE0_INT_STATUS_0_SHA_WOFFSET                    0x0
#define SE0_INT_STATUS_0_SHA_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_0_SHA_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_INT_STATUS_0_SHA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_0_SHA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_0_SHA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_0_SHA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_INT_STATUS_0_SHA_INIT_ENUM                  CLEAR
#define SE0_INT_STATUS_0_SHA_CLEAR                      _MK_ENUM_CONST(0)
#define SE0_INT_STATUS_0_SHA_ACTIVE                     _MK_ENUM_CONST(1)

#define SE0_INT_STATUS_0_SAP_NSERR_SHIFT                        _MK_SHIFT_CONST(4)
#define SE0_INT_STATUS_0_SAP_NSERR_FIELD                        _MK_FIELD_CONST(0x1, SE0_INT_STATUS_0_SAP_NSERR_SHIFT)
#define SE0_INT_STATUS_0_SAP_NSERR_RANGE                        4:4
#define SE0_INT_STATUS_0_SAP_NSERR_WOFFSET                      0x0
#define SE0_INT_STATUS_0_SAP_NSERR_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_0_SAP_NSERR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_INT_STATUS_0_SAP_NSERR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_0_SAP_NSERR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_0_SAP_NSERR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_0_SAP_NSERR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_INT_STATUS_0_SAP_NSERR_INIT_ENUM                    CLEAR
#define SE0_INT_STATUS_0_SAP_NSERR_CLEAR                        _MK_ENUM_CONST(0)
#define SE0_INT_STATUS_0_SAP_NSERR_ACTIVE                       _MK_ENUM_CONST(1)
#define SE0_INT_STATUS_0_SAP_NSERR_SW_CLEAR                     _MK_ENUM_CONST(1)

#define SE0_INT_STATUS_0_MUTEX_TIMEOUT_SHIFT                    _MK_SHIFT_CONST(5)
#define SE0_INT_STATUS_0_MUTEX_TIMEOUT_FIELD                    _MK_FIELD_CONST(0x1, SE0_INT_STATUS_0_MUTEX_TIMEOUT_SHIFT)
#define SE0_INT_STATUS_0_MUTEX_TIMEOUT_RANGE                    5:5
#define SE0_INT_STATUS_0_MUTEX_TIMEOUT_WOFFSET                  0x0
#define SE0_INT_STATUS_0_MUTEX_TIMEOUT_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_0_MUTEX_TIMEOUT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SE0_INT_STATUS_0_MUTEX_TIMEOUT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_0_MUTEX_TIMEOUT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_0_MUTEX_TIMEOUT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_INT_STATUS_0_MUTEX_TIMEOUT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_INT_STATUS_0_MUTEX_TIMEOUT_INIT_ENUM                        CLEAR
#define SE0_INT_STATUS_0_MUTEX_TIMEOUT_CLEAR                    _MK_ENUM_CONST(0)
#define SE0_INT_STATUS_0_MUTEX_TIMEOUT_ACTIVE                   _MK_ENUM_CONST(1)
#define SE0_INT_STATUS_0_MUTEX_TIMEOUT_SW_CLEAR                 _MK_ENUM_CONST(1)

// Register SE0_STREAMID_0
#define SE0_STREAMID_0                  _MK_ADDR_CONST(0x90)
#define SE0_STREAMID_0_SECURE                   0x0
#define SE0_STREAMID_0_DUAL                     0x0
#define SE0_STREAMID_0_SCR                      0
#define SE0_STREAMID_0_WORD_COUNT                       0x1
#define SE0_STREAMID_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SE0_STREAMID_0_RESET_MASK                       _MK_MASK_CONST(0x7f)
#define SE0_STREAMID_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SE0_STREAMID_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_STREAMID_0_READ_MASK                        _MK_MASK_CONST(0x7f)
#define SE0_STREAMID_0_WRITE_MASK                       _MK_MASK_CONST(0x7f)
#define SE0_STREAMID_0_VAL_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_STREAMID_0_VAL_FIELD                        _MK_FIELD_CONST(0x7f, SE0_STREAMID_0_VAL_SHIFT)
#define SE0_STREAMID_0_VAL_RANGE                        6:0
#define SE0_STREAMID_0_VAL_WOFFSET                      0x0
#define SE0_STREAMID_0_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_STREAMID_0_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x7f)
#define SE0_STREAMID_0_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_STREAMID_0_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_STREAMID_0_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_STREAMID_0_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SE0_STREAMID
#define SE0_STREAMID                    _MK_ADDR_CONST(0x90)
#define SE0_STREAMID_SECURE                     0x0
#define SE0_STREAMID_DUAL                       0x0
#define SE0_STREAMID_SCR                        0
#define SE0_STREAMID_WORD_COUNT                         0x1
#define SE0_STREAMID_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE0_STREAMID_RESET_MASK                         _MK_MASK_CONST(0x7f)
#define SE0_STREAMID_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE0_STREAMID_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_STREAMID_READ_MASK                  _MK_MASK_CONST(0x7f)
#define SE0_STREAMID_WRITE_MASK                         _MK_MASK_CONST(0x7f)
#define SE0_STREAMID_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_STREAMID_VAL_FIELD                  _MK_FIELD_CONST(0x7f, SE0_STREAMID_VAL_SHIFT)
#define SE0_STREAMID_VAL_RANGE                  6:0
#define SE0_STREAMID_VAL_WOFFSET                        0x0
#define SE0_STREAMID_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_STREAMID_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x7f)
#define SE0_STREAMID_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_STREAMID_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_STREAMID_VAL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_STREAMID_VAL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SE0_STREAMID_1
#define SE0_STREAMID_1                  _MK_ADDR_CONST(0x94)
#define SE0_STREAMID_1_SECURE                   0x0
#define SE0_STREAMID_1_DUAL                     0x0
#define SE0_STREAMID_1_SCR                      0
#define SE0_STREAMID_1_WORD_COUNT                       0x1
#define SE0_STREAMID_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SE0_STREAMID_1_RESET_MASK                       _MK_MASK_CONST(0x7f)
#define SE0_STREAMID_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SE0_STREAMID_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_STREAMID_1_READ_MASK                        _MK_MASK_CONST(0x7f)
#define SE0_STREAMID_1_WRITE_MASK                       _MK_MASK_CONST(0x7f)
#define SE0_STREAMID_1_VAL_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_STREAMID_1_VAL_FIELD                        _MK_FIELD_CONST(0x7f, SE0_STREAMID_1_VAL_SHIFT)
#define SE0_STREAMID_1_VAL_RANGE                        6:0
#define SE0_STREAMID_1_VAL_WOFFSET                      0x0
#define SE0_STREAMID_1_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_STREAMID_1_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x7f)
#define SE0_STREAMID_1_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_STREAMID_1_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_STREAMID_1_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_STREAMID_1_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SE0_STREAMID_2
#define SE0_STREAMID_2                  _MK_ADDR_CONST(0x98)
#define SE0_STREAMID_2_SECURE                   0x0
#define SE0_STREAMID_2_DUAL                     0x0
#define SE0_STREAMID_2_SCR                      0
#define SE0_STREAMID_2_WORD_COUNT                       0x1
#define SE0_STREAMID_2_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SE0_STREAMID_2_RESET_MASK                       _MK_MASK_CONST(0x7f)
#define SE0_STREAMID_2_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SE0_STREAMID_2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_STREAMID_2_READ_MASK                        _MK_MASK_CONST(0x7f)
#define SE0_STREAMID_2_WRITE_MASK                       _MK_MASK_CONST(0x7f)
#define SE0_STREAMID_2_VAL_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_STREAMID_2_VAL_FIELD                        _MK_FIELD_CONST(0x7f, SE0_STREAMID_2_VAL_SHIFT)
#define SE0_STREAMID_2_VAL_RANGE                        6:0
#define SE0_STREAMID_2_VAL_WOFFSET                      0x0
#define SE0_STREAMID_2_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_STREAMID_2_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x7f)
#define SE0_STREAMID_2_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_STREAMID_2_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_STREAMID_2_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_STREAMID_2_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SE0_STREAMID_3
#define SE0_STREAMID_3                  _MK_ADDR_CONST(0x9c)
#define SE0_STREAMID_3_SECURE                   0x0
#define SE0_STREAMID_3_DUAL                     0x0
#define SE0_STREAMID_3_SCR                      0
#define SE0_STREAMID_3_WORD_COUNT                       0x1
#define SE0_STREAMID_3_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SE0_STREAMID_3_RESET_MASK                       _MK_MASK_CONST(0x7f)
#define SE0_STREAMID_3_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SE0_STREAMID_3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_STREAMID_3_READ_MASK                        _MK_MASK_CONST(0x7f)
#define SE0_STREAMID_3_WRITE_MASK                       _MK_MASK_CONST(0x7f)
#define SE0_STREAMID_3_VAL_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_STREAMID_3_VAL_FIELD                        _MK_FIELD_CONST(0x7f, SE0_STREAMID_3_VAL_SHIFT)
#define SE0_STREAMID_3_VAL_RANGE                        6:0
#define SE0_STREAMID_3_VAL_WOFFSET                      0x0
#define SE0_STREAMID_3_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_STREAMID_3_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x7f)
#define SE0_STREAMID_3_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_STREAMID_3_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_STREAMID_3_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_STREAMID_3_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SE0_STREAMID_NS_0
#define SE0_STREAMID_NS_0                       _MK_ADDR_CONST(0xb4)
#define SE0_STREAMID_NS_0_SECURE                        0x0
#define SE0_STREAMID_NS_0_DUAL                  0x0
#define SE0_STREAMID_NS_0_SCR                   0
#define SE0_STREAMID_NS_0_WORD_COUNT                    0x1
#define SE0_STREAMID_NS_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_STREAMID_NS_0_RESET_MASK                    _MK_MASK_CONST(0x8000007f)
#define SE0_STREAMID_NS_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_STREAMID_NS_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_STREAMID_NS_0_READ_MASK                     _MK_MASK_CONST(0x8000007f)
#define SE0_STREAMID_NS_0_WRITE_MASK                    _MK_MASK_CONST(0x8000007f)
#define SE0_STREAMID_NS_0_LOCK_SHIFT                    _MK_SHIFT_CONST(31)
#define SE0_STREAMID_NS_0_LOCK_FIELD                    _MK_FIELD_CONST(0x1, SE0_STREAMID_NS_0_LOCK_SHIFT)
#define SE0_STREAMID_NS_0_LOCK_RANGE                    31:31
#define SE0_STREAMID_NS_0_LOCK_WOFFSET                  0x0
#define SE0_STREAMID_NS_0_LOCK_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_STREAMID_NS_0_LOCK_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SE0_STREAMID_NS_0_LOCK_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_STREAMID_NS_0_LOCK_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_STREAMID_NS_0_LOCK_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_STREAMID_NS_0_LOCK_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_STREAMID_NS_0_LOCK_INIT_ENUM                        FALSE
#define SE0_STREAMID_NS_0_LOCK_FALSE                    _MK_ENUM_CONST(0)
#define SE0_STREAMID_NS_0_LOCK_TRUE                     _MK_ENUM_CONST(1)

#define SE0_STREAMID_NS_0_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_STREAMID_NS_0_VAL_FIELD                     _MK_FIELD_CONST(0x7f, SE0_STREAMID_NS_0_VAL_SHIFT)
#define SE0_STREAMID_NS_0_VAL_RANGE                     6:0
#define SE0_STREAMID_NS_0_VAL_WOFFSET                   0x0
#define SE0_STREAMID_NS_0_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_STREAMID_NS_0_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x7f)
#define SE0_STREAMID_NS_0_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_STREAMID_NS_0_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_STREAMID_NS_0_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_STREAMID_NS_0_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_SHA_GSCID_0
#define SE0_SHA_GSCID_0                 _MK_ADDR_CONST(0x100)
#define SE0_SHA_GSCID_0_SECURE                  0x0
#define SE0_SHA_GSCID_0_DUAL                    0x0
#define SE0_SHA_GSCID_0_SCR                     0
#define SE0_SHA_GSCID_0_WORD_COUNT                      0x1
#define SE0_SHA_GSCID_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SE0_SHA_GSCID_0_RESET_MASK                      _MK_MASK_CONST(0xff00ff)
#define SE0_SHA_GSCID_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SE0_SHA_GSCID_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SE0_SHA_GSCID_0_READ_MASK                       _MK_MASK_CONST(0xff00ff)
#define SE0_SHA_GSCID_0_WRITE_MASK                      _MK_MASK_CONST(0xff00ff)
#define SE0_SHA_GSCID_0_IN_ID_SHIFT                     _MK_SHIFT_CONST(16)
#define SE0_SHA_GSCID_0_IN_ID_FIELD                     _MK_FIELD_CONST(0xff, SE0_SHA_GSCID_0_IN_ID_SHIFT)
#define SE0_SHA_GSCID_0_IN_ID_RANGE                     23:16
#define SE0_SHA_GSCID_0_IN_ID_WOFFSET                   0x0
#define SE0_SHA_GSCID_0_IN_ID_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_SHA_GSCID_0_IN_ID_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define SE0_SHA_GSCID_0_IN_ID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_SHA_GSCID_0_IN_ID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_GSCID_0_IN_ID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_SHA_GSCID_0_IN_ID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define SE0_SHA_GSCID_0_OUT_ID_SHIFT                    _MK_SHIFT_CONST(0)
#define SE0_SHA_GSCID_0_OUT_ID_FIELD                    _MK_FIELD_CONST(0xff, SE0_SHA_GSCID_0_OUT_ID_SHIFT)
#define SE0_SHA_GSCID_0_OUT_ID_RANGE                    7:0
#define SE0_SHA_GSCID_0_OUT_ID_WOFFSET                  0x0
#define SE0_SHA_GSCID_0_OUT_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_SHA_GSCID_0_OUT_ID_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define SE0_SHA_GSCID_0_OUT_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_SHA_GSCID_0_OUT_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_SHA_GSCID_0_OUT_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_SHA_GSCID_0_OUT_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

// Register SE0_SHA_CONFIG_0
#define SE0_SHA_CONFIG_0                        _MK_ADDR_CONST(0x104)
#define SE0_SHA_CONFIG_0_SECURE                         0x0
#define SE0_SHA_CONFIG_0_DUAL                   0x0
#define SE0_SHA_CONFIG_0_SCR                    0
#define SE0_SHA_CONFIG_0_WORD_COUNT                     0x1
#define SE0_SHA_CONFIG_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE0_SHA_CONFIG_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define SE0_SHA_CONFIG_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE0_SHA_CONFIG_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_SHA_CONFIG_0_READ_MASK                      _MK_MASK_CONST(0xffffff1c)
#define SE0_SHA_CONFIG_0_WRITE_MASK                     _MK_MASK_CONST(0xffffff1c)
#define SE0_SHA_CONFIG_0_DST_SHIFT                      _MK_SHIFT_CONST(2)
#define SE0_SHA_CONFIG_0_DST_FIELD                      _MK_FIELD_CONST(0x7, SE0_SHA_CONFIG_0_DST_SHIFT)
#define SE0_SHA_CONFIG_0_DST_RANGE                      4:2
#define SE0_SHA_CONFIG_0_DST_WOFFSET                    0x0
#define SE0_SHA_CONFIG_0_DST_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_SHA_CONFIG_0_DST_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SHA_CONFIG_0_DST_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_SHA_CONFIG_0_DST_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_SHA_CONFIG_0_DST_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_SHA_CONFIG_0_DST_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_SHA_CONFIG_0_DST_MEMORY                     _MK_ENUM_CONST(0)
#define SE0_SHA_CONFIG_0_DST_HASH_REG                   _MK_ENUM_CONST(1)
#define SE0_SHA_CONFIG_0_DST_KEYTABLE                   _MK_ENUM_CONST(2)
#define SE0_SHA_CONFIG_0_DST_SRK                        _MK_ENUM_CONST(3)
#define SE0_SHA_CONFIG_0_DST_RSA_REG                    _MK_ENUM_CONST(4)

#define SE0_SHA_CONFIG_0_DEC_ALG_SHIFT                  _MK_SHIFT_CONST(8)
#define SE0_SHA_CONFIG_0_DEC_ALG_FIELD                  _MK_FIELD_CONST(0xf, SE0_SHA_CONFIG_0_DEC_ALG_SHIFT)
#define SE0_SHA_CONFIG_0_DEC_ALG_RANGE                  11:8
#define SE0_SHA_CONFIG_0_DEC_ALG_WOFFSET                        0x0
#define SE0_SHA_CONFIG_0_DEC_ALG_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_SHA_CONFIG_0_DEC_ALG_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_CONFIG_0_DEC_ALG_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_SHA_CONFIG_0_DEC_ALG_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_SHA_CONFIG_0_DEC_ALG_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_SHA_CONFIG_0_DEC_ALG_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_SHA_CONFIG_0_DEC_ALG_NOP                    _MK_ENUM_CONST(0)
#define SE0_SHA_CONFIG_0_DEC_ALG_AES_DEC                        _MK_ENUM_CONST(1)

#define SE0_SHA_CONFIG_0_ENC_ALG_SHIFT                  _MK_SHIFT_CONST(12)
#define SE0_SHA_CONFIG_0_ENC_ALG_FIELD                  _MK_FIELD_CONST(0xf, SE0_SHA_CONFIG_0_ENC_ALG_SHIFT)
#define SE0_SHA_CONFIG_0_ENC_ALG_RANGE                  15:12
#define SE0_SHA_CONFIG_0_ENC_ALG_WOFFSET                        0x0
#define SE0_SHA_CONFIG_0_ENC_ALG_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_SHA_CONFIG_0_ENC_ALG_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_CONFIG_0_ENC_ALG_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_SHA_CONFIG_0_ENC_ALG_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_SHA_CONFIG_0_ENC_ALG_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_SHA_CONFIG_0_ENC_ALG_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_SHA_CONFIG_0_ENC_ALG_NOP                    _MK_ENUM_CONST(0)
#define SE0_SHA_CONFIG_0_ENC_ALG_AES_ENC                        _MK_ENUM_CONST(1)
#define SE0_SHA_CONFIG_0_ENC_ALG_RNG                    _MK_ENUM_CONST(2)
#define SE0_SHA_CONFIG_0_ENC_ALG_SHA                    _MK_ENUM_CONST(3)
#define SE0_SHA_CONFIG_0_ENC_ALG_RSA                    _MK_ENUM_CONST(4)
#define SE0_SHA_CONFIG_0_ENC_ALG_KEYFETCH                       _MK_ENUM_CONST(5)

#define SE0_SHA_CONFIG_0_DEC_MODE_SHIFT                 _MK_SHIFT_CONST(16)
#define SE0_SHA_CONFIG_0_DEC_MODE_FIELD                 _MK_FIELD_CONST(0xff, SE0_SHA_CONFIG_0_DEC_MODE_SHIFT)
#define SE0_SHA_CONFIG_0_DEC_MODE_RANGE                 23:16
#define SE0_SHA_CONFIG_0_DEC_MODE_WOFFSET                       0x0
#define SE0_SHA_CONFIG_0_DEC_MODE_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_SHA_CONFIG_0_DEC_MODE_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_SHA_CONFIG_0_DEC_MODE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_SHA_CONFIG_0_DEC_MODE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SHA_CONFIG_0_DEC_MODE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_SHA_CONFIG_0_DEC_MODE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define SE0_SHA_CONFIG_0_ENC_MODE_SHIFT                 _MK_SHIFT_CONST(24)
#define SE0_SHA_CONFIG_0_ENC_MODE_FIELD                 _MK_FIELD_CONST(0xff, SE0_SHA_CONFIG_0_ENC_MODE_SHIFT)
#define SE0_SHA_CONFIG_0_ENC_MODE_RANGE                 31:24
#define SE0_SHA_CONFIG_0_ENC_MODE_WOFFSET                       0x0
#define SE0_SHA_CONFIG_0_ENC_MODE_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_SHA_CONFIG_0_ENC_MODE_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_SHA_CONFIG_0_ENC_MODE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_SHA_CONFIG_0_ENC_MODE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SHA_CONFIG_0_ENC_MODE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_SHA_CONFIG_0_ENC_MODE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SE0_SHA_TASK_CONFIG_0
#define SE0_SHA_TASK_CONFIG_0                   _MK_ADDR_CONST(0x108)
#define SE0_SHA_TASK_CONFIG_0_SECURE                    0x0
#define SE0_SHA_TASK_CONFIG_0_DUAL                      0x0
#define SE0_SHA_TASK_CONFIG_0_SCR                       0
#define SE0_SHA_TASK_CONFIG_0_WORD_COUNT                        0x1
#define SE0_SHA_TASK_CONFIG_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SE0_SHA_TASK_CONFIG_0_RESET_MASK                        _MK_MASK_CONST(0x0)
#define SE0_SHA_TASK_CONFIG_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE0_SHA_TASK_CONFIG_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_TASK_CONFIG_0_READ_MASK                         _MK_MASK_CONST(0x1)
#define SE0_SHA_TASK_CONFIG_0_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define SE0_SHA_TASK_CONFIG_0_HW_INIT_HASH_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_SHA_TASK_CONFIG_0_HW_INIT_HASH_FIELD                        _MK_FIELD_CONST(0x1, SE0_SHA_TASK_CONFIG_0_HW_INIT_HASH_SHIFT)
#define SE0_SHA_TASK_CONFIG_0_HW_INIT_HASH_RANGE                        0:0
#define SE0_SHA_TASK_CONFIG_0_HW_INIT_HASH_WOFFSET                      0x0
#define SE0_SHA_TASK_CONFIG_0_HW_INIT_HASH_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_SHA_TASK_CONFIG_0_HW_INIT_HASH_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_SHA_TASK_CONFIG_0_HW_INIT_HASH_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_SHA_TASK_CONFIG_0_HW_INIT_HASH_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_SHA_TASK_CONFIG_0_HW_INIT_HASH_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_SHA_TASK_CONFIG_0_HW_INIT_HASH_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_SHA_TASK_CONFIG_0_HW_INIT_HASH_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_SHA_TASK_CONFIG_0_HW_INIT_HASH_ENABLE                       _MK_ENUM_CONST(1)

// Register SE0_SHA_IN_ADDR_0
#define SE0_SHA_IN_ADDR_0                       _MK_ADDR_CONST(0x10c)
#define SE0_SHA_IN_ADDR_0_SECURE                        0x0
#define SE0_SHA_IN_ADDR_0_DUAL                  0x0
#define SE0_SHA_IN_ADDR_0_SCR                   0
#define SE0_SHA_IN_ADDR_0_WORD_COUNT                    0x1
#define SE0_SHA_IN_ADDR_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_SHA_IN_ADDR_0_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_SHA_IN_ADDR_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_SHA_IN_ADDR_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SHA_IN_ADDR_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_IN_ADDR_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_IN_ADDR_0_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_SHA_IN_ADDR_0_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_SHA_IN_ADDR_0_VAL_SHIFT)
#define SE0_SHA_IN_ADDR_0_VAL_RANGE                     31:0
#define SE0_SHA_IN_ADDR_0_VAL_WOFFSET                   0x0
#define SE0_SHA_IN_ADDR_0_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_SHA_IN_ADDR_0_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_SHA_IN_ADDR_0_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_SHA_IN_ADDR_0_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_IN_ADDR_0_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_SHA_IN_ADDR_0_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_SHA_IN_ADDR_HI_0
#define SE0_SHA_IN_ADDR_HI_0                    _MK_ADDR_CONST(0x110)
#define SE0_SHA_IN_ADDR_HI_0_SECURE                     0x0
#define SE0_SHA_IN_ADDR_HI_0_DUAL                       0x0
#define SE0_SHA_IN_ADDR_HI_0_SCR                        0
#define SE0_SHA_IN_ADDR_HI_0_WORD_COUNT                         0x1
#define SE0_SHA_IN_ADDR_HI_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE0_SHA_IN_ADDR_HI_0_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE0_SHA_IN_ADDR_HI_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE0_SHA_IN_ADDR_HI_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_SHA_IN_ADDR_HI_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_IN_ADDR_HI_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_IN_ADDR_HI_0_MSB_SHIFT                  _MK_SHIFT_CONST(24)
#define SE0_SHA_IN_ADDR_HI_0_MSB_FIELD                  _MK_FIELD_CONST(0xff, SE0_SHA_IN_ADDR_HI_0_MSB_SHIFT)
#define SE0_SHA_IN_ADDR_HI_0_MSB_RANGE                  31:24
#define SE0_SHA_IN_ADDR_HI_0_MSB_WOFFSET                        0x0
#define SE0_SHA_IN_ADDR_HI_0_MSB_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_SHA_IN_ADDR_HI_0_MSB_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_IN_ADDR_HI_0_MSB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_SHA_IN_ADDR_HI_0_MSB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_SHA_IN_ADDR_HI_0_MSB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_SHA_IN_ADDR_HI_0_MSB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define SE0_SHA_IN_ADDR_HI_0_SZ_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_SHA_IN_ADDR_HI_0_SZ_FIELD                   _MK_FIELD_CONST(0xffffff, SE0_SHA_IN_ADDR_HI_0_SZ_SHIFT)
#define SE0_SHA_IN_ADDR_HI_0_SZ_RANGE                   23:0
#define SE0_SHA_IN_ADDR_HI_0_SZ_WOFFSET                 0x0
#define SE0_SHA_IN_ADDR_HI_0_SZ_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_SHA_IN_ADDR_HI_0_SZ_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_SHA_IN_ADDR_HI_0_SZ_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_SHA_IN_ADDR_HI_0_SZ_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_SHA_IN_ADDR_HI_0_SZ_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_SHA_IN_ADDR_HI_0_SZ_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SE0_SHA_OUT_ADDR_0
#define SE0_SHA_OUT_ADDR_0                      _MK_ADDR_CONST(0x114)
#define SE0_SHA_OUT_ADDR_0_SECURE                       0x0
#define SE0_SHA_OUT_ADDR_0_DUAL                         0x0
#define SE0_SHA_OUT_ADDR_0_SCR                  0
#define SE0_SHA_OUT_ADDR_0_WORD_COUNT                   0x1
#define SE0_SHA_OUT_ADDR_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SE0_SHA_OUT_ADDR_0_RESET_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_OUT_ADDR_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_SHA_OUT_ADDR_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_SHA_OUT_ADDR_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_OUT_ADDR_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_OUT_ADDR_0_VAL_SHIFT                    _MK_SHIFT_CONST(0)
#define SE0_SHA_OUT_ADDR_0_VAL_FIELD                    _MK_FIELD_CONST(0xffffffff, SE0_SHA_OUT_ADDR_0_VAL_SHIFT)
#define SE0_SHA_OUT_ADDR_0_VAL_RANGE                    31:0
#define SE0_SHA_OUT_ADDR_0_VAL_WOFFSET                  0x0
#define SE0_SHA_OUT_ADDR_0_VAL_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_SHA_OUT_ADDR_0_VAL_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_SHA_OUT_ADDR_0_VAL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_SHA_OUT_ADDR_0_VAL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_SHA_OUT_ADDR_0_VAL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_SHA_OUT_ADDR_0_VAL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

// Register SE0_SHA_OUT_ADDR_HI_0
#define SE0_SHA_OUT_ADDR_HI_0                   _MK_ADDR_CONST(0x118)
#define SE0_SHA_OUT_ADDR_HI_0_SECURE                    0x0
#define SE0_SHA_OUT_ADDR_HI_0_DUAL                      0x0
#define SE0_SHA_OUT_ADDR_HI_0_SCR                       0
#define SE0_SHA_OUT_ADDR_HI_0_WORD_COUNT                        0x1
#define SE0_SHA_OUT_ADDR_HI_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SE0_SHA_OUT_ADDR_HI_0_RESET_MASK                        _MK_MASK_CONST(0x0)
#define SE0_SHA_OUT_ADDR_HI_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE0_SHA_OUT_ADDR_HI_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_OUT_ADDR_HI_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_OUT_ADDR_HI_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_OUT_ADDR_HI_0_MSB_SHIFT                 _MK_SHIFT_CONST(24)
#define SE0_SHA_OUT_ADDR_HI_0_MSB_FIELD                 _MK_FIELD_CONST(0xff, SE0_SHA_OUT_ADDR_HI_0_MSB_SHIFT)
#define SE0_SHA_OUT_ADDR_HI_0_MSB_RANGE                 31:24
#define SE0_SHA_OUT_ADDR_HI_0_MSB_WOFFSET                       0x0
#define SE0_SHA_OUT_ADDR_HI_0_MSB_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_SHA_OUT_ADDR_HI_0_MSB_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_SHA_OUT_ADDR_HI_0_MSB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_SHA_OUT_ADDR_HI_0_MSB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SHA_OUT_ADDR_HI_0_MSB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_SHA_OUT_ADDR_HI_0_MSB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define SE0_SHA_OUT_ADDR_HI_0_SZ_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_SHA_OUT_ADDR_HI_0_SZ_FIELD                  _MK_FIELD_CONST(0xffffff, SE0_SHA_OUT_ADDR_HI_0_SZ_SHIFT)
#define SE0_SHA_OUT_ADDR_HI_0_SZ_RANGE                  23:0
#define SE0_SHA_OUT_ADDR_HI_0_SZ_WOFFSET                        0x0
#define SE0_SHA_OUT_ADDR_HI_0_SZ_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_SHA_OUT_ADDR_HI_0_SZ_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_OUT_ADDR_HI_0_SZ_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_SHA_OUT_ADDR_HI_0_SZ_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_SHA_OUT_ADDR_HI_0_SZ_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_SHA_OUT_ADDR_HI_0_SZ_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SE0_SHA_MSG_LENGTH_0
#define SE0_SHA_MSG_LENGTH_0                    _MK_ADDR_CONST(0x11c)
#define SE0_SHA_MSG_LENGTH_0_SECURE                     0x0
#define SE0_SHA_MSG_LENGTH_0_DUAL                       0x0
#define SE0_SHA_MSG_LENGTH_0_SCR                        0
#define SE0_SHA_MSG_LENGTH_0_WORD_COUNT                         0x1
#define SE0_SHA_MSG_LENGTH_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_0_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_MSG_LENGTH_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_MSG_LENGTH_0_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_SHA_MSG_LENGTH_0_VAL_FIELD                  _MK_FIELD_CONST(0xffffffff, SE0_SHA_MSG_LENGTH_0_VAL_SHIFT)
#define SE0_SHA_MSG_LENGTH_0_VAL_RANGE                  31:0
#define SE0_SHA_MSG_LENGTH_0_VAL_WOFFSET                        0x0
#define SE0_SHA_MSG_LENGTH_0_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_0_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_0_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_0_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_0_VAL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_0_VAL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SE0_SHA_MSG_LENGTH
#define SE0_SHA_MSG_LENGTH                      _MK_ADDR_CONST(0x11c)
#define SE0_SHA_MSG_LENGTH_SECURE                       0x0
#define SE0_SHA_MSG_LENGTH_DUAL                         0x0
#define SE0_SHA_MSG_LENGTH_SCR                  0
#define SE0_SHA_MSG_LENGTH_WORD_COUNT                   0x1
#define SE0_SHA_MSG_LENGTH_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_RESET_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_MSG_LENGTH_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_MSG_LENGTH_VAL_SHIFT                    _MK_SHIFT_CONST(0)
#define SE0_SHA_MSG_LENGTH_VAL_FIELD                    _MK_FIELD_CONST(0xffffffff, SE0_SHA_MSG_LENGTH_VAL_SHIFT)
#define SE0_SHA_MSG_LENGTH_VAL_RANGE                    31:0
#define SE0_SHA_MSG_LENGTH_VAL_WOFFSET                  0x0
#define SE0_SHA_MSG_LENGTH_VAL_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_VAL_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_VAL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_VAL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_VAL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_VAL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

// Register SE0_SHA_MSG_LENGTH_1
#define SE0_SHA_MSG_LENGTH_1                    _MK_ADDR_CONST(0x120)
#define SE0_SHA_MSG_LENGTH_1_SECURE                     0x0
#define SE0_SHA_MSG_LENGTH_1_DUAL                       0x0
#define SE0_SHA_MSG_LENGTH_1_SCR                        0
#define SE0_SHA_MSG_LENGTH_1_WORD_COUNT                         0x1
#define SE0_SHA_MSG_LENGTH_1_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_1_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_1_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_1_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_MSG_LENGTH_1_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_MSG_LENGTH_1_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_SHA_MSG_LENGTH_1_VAL_FIELD                  _MK_FIELD_CONST(0xffffffff, SE0_SHA_MSG_LENGTH_1_VAL_SHIFT)
#define SE0_SHA_MSG_LENGTH_1_VAL_RANGE                  31:0
#define SE0_SHA_MSG_LENGTH_1_VAL_WOFFSET                        0x0
#define SE0_SHA_MSG_LENGTH_1_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_1_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_1_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_1_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_1_VAL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_1_VAL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SE0_SHA_MSG_LENGTH_2
#define SE0_SHA_MSG_LENGTH_2                    _MK_ADDR_CONST(0x124)
#define SE0_SHA_MSG_LENGTH_2_SECURE                     0x0
#define SE0_SHA_MSG_LENGTH_2_DUAL                       0x0
#define SE0_SHA_MSG_LENGTH_2_SCR                        0
#define SE0_SHA_MSG_LENGTH_2_WORD_COUNT                         0x1
#define SE0_SHA_MSG_LENGTH_2_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_2_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_2_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_2_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_2_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_MSG_LENGTH_2_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_MSG_LENGTH_2_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_SHA_MSG_LENGTH_2_VAL_FIELD                  _MK_FIELD_CONST(0xffffffff, SE0_SHA_MSG_LENGTH_2_VAL_SHIFT)
#define SE0_SHA_MSG_LENGTH_2_VAL_RANGE                  31:0
#define SE0_SHA_MSG_LENGTH_2_VAL_WOFFSET                        0x0
#define SE0_SHA_MSG_LENGTH_2_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_2_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_2_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_2_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_2_VAL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_2_VAL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SE0_SHA_MSG_LENGTH_3
#define SE0_SHA_MSG_LENGTH_3                    _MK_ADDR_CONST(0x128)
#define SE0_SHA_MSG_LENGTH_3_SECURE                     0x0
#define SE0_SHA_MSG_LENGTH_3_DUAL                       0x0
#define SE0_SHA_MSG_LENGTH_3_SCR                        0
#define SE0_SHA_MSG_LENGTH_3_WORD_COUNT                         0x1
#define SE0_SHA_MSG_LENGTH_3_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_3_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_3_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_3_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_3_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_MSG_LENGTH_3_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_MSG_LENGTH_3_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_SHA_MSG_LENGTH_3_VAL_FIELD                  _MK_FIELD_CONST(0xffffffff, SE0_SHA_MSG_LENGTH_3_VAL_SHIFT)
#define SE0_SHA_MSG_LENGTH_3_VAL_RANGE                  31:0
#define SE0_SHA_MSG_LENGTH_3_VAL_WOFFSET                        0x0
#define SE0_SHA_MSG_LENGTH_3_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_3_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_3_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_3_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_3_VAL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LENGTH_3_VAL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SE0_SHA_MSG_LEFT_0
#define SE0_SHA_MSG_LEFT_0                      _MK_ADDR_CONST(0x12c)
#define SE0_SHA_MSG_LEFT_0_SECURE                       0x0
#define SE0_SHA_MSG_LEFT_0_DUAL                         0x0
#define SE0_SHA_MSG_LEFT_0_SCR                  0
#define SE0_SHA_MSG_LEFT_0_WORD_COUNT                   0x1
#define SE0_SHA_MSG_LEFT_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_0_RESET_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_MSG_LEFT_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_MSG_LEFT_0_VAL_SHIFT                    _MK_SHIFT_CONST(0)
#define SE0_SHA_MSG_LEFT_0_VAL_FIELD                    _MK_FIELD_CONST(0xffffffff, SE0_SHA_MSG_LEFT_0_VAL_SHIFT)
#define SE0_SHA_MSG_LEFT_0_VAL_RANGE                    31:0
#define SE0_SHA_MSG_LEFT_0_VAL_WOFFSET                  0x0
#define SE0_SHA_MSG_LEFT_0_VAL_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_0_VAL_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_0_VAL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_0_VAL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_0_VAL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_0_VAL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

// Register SE0_SHA_MSG_LEFT
#define SE0_SHA_MSG_LEFT                        _MK_ADDR_CONST(0x12c)
#define SE0_SHA_MSG_LEFT_SECURE                         0x0
#define SE0_SHA_MSG_LEFT_DUAL                   0x0
#define SE0_SHA_MSG_LEFT_SCR                    0
#define SE0_SHA_MSG_LEFT_WORD_COUNT                     0x1
#define SE0_SHA_MSG_LEFT_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_RESET_MASK                     _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_MSG_LEFT_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_MSG_LEFT_VAL_SHIFT                      _MK_SHIFT_CONST(0)
#define SE0_SHA_MSG_LEFT_VAL_FIELD                      _MK_FIELD_CONST(0xffffffff, SE0_SHA_MSG_LEFT_VAL_SHIFT)
#define SE0_SHA_MSG_LEFT_VAL_RANGE                      31:0
#define SE0_SHA_MSG_LEFT_VAL_WOFFSET                    0x0
#define SE0_SHA_MSG_LEFT_VAL_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_VAL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_VAL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SE0_SHA_MSG_LEFT_1
#define SE0_SHA_MSG_LEFT_1                      _MK_ADDR_CONST(0x130)
#define SE0_SHA_MSG_LEFT_1_SECURE                       0x0
#define SE0_SHA_MSG_LEFT_1_DUAL                         0x0
#define SE0_SHA_MSG_LEFT_1_SCR                  0
#define SE0_SHA_MSG_LEFT_1_WORD_COUNT                   0x1
#define SE0_SHA_MSG_LEFT_1_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_1_RESET_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_1_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_1_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_MSG_LEFT_1_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_MSG_LEFT_1_VAL_SHIFT                    _MK_SHIFT_CONST(0)
#define SE0_SHA_MSG_LEFT_1_VAL_FIELD                    _MK_FIELD_CONST(0xffffffff, SE0_SHA_MSG_LEFT_1_VAL_SHIFT)
#define SE0_SHA_MSG_LEFT_1_VAL_RANGE                    31:0
#define SE0_SHA_MSG_LEFT_1_VAL_WOFFSET                  0x0
#define SE0_SHA_MSG_LEFT_1_VAL_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_1_VAL_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_1_VAL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_1_VAL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_1_VAL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_1_VAL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

// Register SE0_SHA_MSG_LEFT_2
#define SE0_SHA_MSG_LEFT_2                      _MK_ADDR_CONST(0x134)
#define SE0_SHA_MSG_LEFT_2_SECURE                       0x0
#define SE0_SHA_MSG_LEFT_2_DUAL                         0x0
#define SE0_SHA_MSG_LEFT_2_SCR                  0
#define SE0_SHA_MSG_LEFT_2_WORD_COUNT                   0x1
#define SE0_SHA_MSG_LEFT_2_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_2_RESET_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_2_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_2_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_2_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_MSG_LEFT_2_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_MSG_LEFT_2_VAL_SHIFT                    _MK_SHIFT_CONST(0)
#define SE0_SHA_MSG_LEFT_2_VAL_FIELD                    _MK_FIELD_CONST(0xffffffff, SE0_SHA_MSG_LEFT_2_VAL_SHIFT)
#define SE0_SHA_MSG_LEFT_2_VAL_RANGE                    31:0
#define SE0_SHA_MSG_LEFT_2_VAL_WOFFSET                  0x0
#define SE0_SHA_MSG_LEFT_2_VAL_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_2_VAL_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_2_VAL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_2_VAL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_2_VAL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_2_VAL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

// Register SE0_SHA_MSG_LEFT_3
#define SE0_SHA_MSG_LEFT_3                      _MK_ADDR_CONST(0x138)
#define SE0_SHA_MSG_LEFT_3_SECURE                       0x0
#define SE0_SHA_MSG_LEFT_3_DUAL                         0x0
#define SE0_SHA_MSG_LEFT_3_SCR                  0
#define SE0_SHA_MSG_LEFT_3_WORD_COUNT                   0x1
#define SE0_SHA_MSG_LEFT_3_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_3_RESET_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_3_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_3_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_3_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_MSG_LEFT_3_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_MSG_LEFT_3_VAL_SHIFT                    _MK_SHIFT_CONST(0)
#define SE0_SHA_MSG_LEFT_3_VAL_FIELD                    _MK_FIELD_CONST(0xffffffff, SE0_SHA_MSG_LEFT_3_VAL_SHIFT)
#define SE0_SHA_MSG_LEFT_3_VAL_RANGE                    31:0
#define SE0_SHA_MSG_LEFT_3_VAL_WOFFSET                  0x0
#define SE0_SHA_MSG_LEFT_3_VAL_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_3_VAL_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_3_VAL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_3_VAL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_3_VAL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_SHA_MSG_LEFT_3_VAL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

// Register SE0_SHA_HASH_RESULT_0
#define SE0_SHA_HASH_RESULT_0                   _MK_ADDR_CONST(0x13c)
#define SE0_SHA_HASH_RESULT_0_SECURE                    0x0
#define SE0_SHA_HASH_RESULT_0_DUAL                      0x0
#define SE0_SHA_HASH_RESULT_0_SCR                       0
#define SE0_SHA_HASH_RESULT_0_WORD_COUNT                        0x1
#define SE0_SHA_HASH_RESULT_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_0_RESET_MASK                        _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_0_VAL_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_SHA_HASH_RESULT_0_VAL_FIELD                 _MK_FIELD_CONST(0xffffffff, SE0_SHA_HASH_RESULT_0_VAL_SHIFT)
#define SE0_SHA_HASH_RESULT_0_VAL_RANGE                 31:0
#define SE0_SHA_HASH_RESULT_0_VAL_WOFFSET                       0x0
#define SE0_SHA_HASH_RESULT_0_VAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_0_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_0_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_0_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_0_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_0_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SE0_SHA_HASH_RESULT
#define SE0_SHA_HASH_RESULT                     _MK_ADDR_CONST(0x13c)
#define SE0_SHA_HASH_RESULT_SECURE                      0x0
#define SE0_SHA_HASH_RESULT_DUAL                        0x0
#define SE0_SHA_HASH_RESULT_SCR                         0
#define SE0_SHA_HASH_RESULT_WORD_COUNT                  0x1
#define SE0_SHA_HASH_RESULT_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_RESET_MASK                  _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_VAL_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_SHA_HASH_RESULT_VAL_FIELD                   _MK_FIELD_CONST(0xffffffff, SE0_SHA_HASH_RESULT_VAL_SHIFT)
#define SE0_SHA_HASH_RESULT_VAL_RANGE                   31:0
#define SE0_SHA_HASH_RESULT_VAL_WOFFSET                 0x0
#define SE0_SHA_HASH_RESULT_VAL_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_VAL_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_VAL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_VAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_VAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_VAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SE0_SHA_HASH_RESULT_1
#define SE0_SHA_HASH_RESULT_1                   _MK_ADDR_CONST(0x140)
#define SE0_SHA_HASH_RESULT_1_SECURE                    0x0
#define SE0_SHA_HASH_RESULT_1_DUAL                      0x0
#define SE0_SHA_HASH_RESULT_1_SCR                       0
#define SE0_SHA_HASH_RESULT_1_WORD_COUNT                        0x1
#define SE0_SHA_HASH_RESULT_1_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_1_RESET_MASK                        _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_1_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_1_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_1_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_1_VAL_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_SHA_HASH_RESULT_1_VAL_FIELD                 _MK_FIELD_CONST(0xffffffff, SE0_SHA_HASH_RESULT_1_VAL_SHIFT)
#define SE0_SHA_HASH_RESULT_1_VAL_RANGE                 31:0
#define SE0_SHA_HASH_RESULT_1_VAL_WOFFSET                       0x0
#define SE0_SHA_HASH_RESULT_1_VAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_1_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_1_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_1_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_1_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_1_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SE0_SHA_HASH_RESULT_2
#define SE0_SHA_HASH_RESULT_2                   _MK_ADDR_CONST(0x144)
#define SE0_SHA_HASH_RESULT_2_SECURE                    0x0
#define SE0_SHA_HASH_RESULT_2_DUAL                      0x0
#define SE0_SHA_HASH_RESULT_2_SCR                       0
#define SE0_SHA_HASH_RESULT_2_WORD_COUNT                        0x1
#define SE0_SHA_HASH_RESULT_2_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_2_RESET_MASK                        _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_2_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_2_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_2_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_2_VAL_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_SHA_HASH_RESULT_2_VAL_FIELD                 _MK_FIELD_CONST(0xffffffff, SE0_SHA_HASH_RESULT_2_VAL_SHIFT)
#define SE0_SHA_HASH_RESULT_2_VAL_RANGE                 31:0
#define SE0_SHA_HASH_RESULT_2_VAL_WOFFSET                       0x0
#define SE0_SHA_HASH_RESULT_2_VAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_2_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_2_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_2_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_2_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_2_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SE0_SHA_HASH_RESULT_3
#define SE0_SHA_HASH_RESULT_3                   _MK_ADDR_CONST(0x148)
#define SE0_SHA_HASH_RESULT_3_SECURE                    0x0
#define SE0_SHA_HASH_RESULT_3_DUAL                      0x0
#define SE0_SHA_HASH_RESULT_3_SCR                       0
#define SE0_SHA_HASH_RESULT_3_WORD_COUNT                        0x1
#define SE0_SHA_HASH_RESULT_3_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_3_RESET_MASK                        _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_3_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_3_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_3_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_3_VAL_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_SHA_HASH_RESULT_3_VAL_FIELD                 _MK_FIELD_CONST(0xffffffff, SE0_SHA_HASH_RESULT_3_VAL_SHIFT)
#define SE0_SHA_HASH_RESULT_3_VAL_RANGE                 31:0
#define SE0_SHA_HASH_RESULT_3_VAL_WOFFSET                       0x0
#define SE0_SHA_HASH_RESULT_3_VAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_3_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_3_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_3_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_3_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_3_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SE0_SHA_HASH_RESULT_4
#define SE0_SHA_HASH_RESULT_4                   _MK_ADDR_CONST(0x14c)
#define SE0_SHA_HASH_RESULT_4_SECURE                    0x0
#define SE0_SHA_HASH_RESULT_4_DUAL                      0x0
#define SE0_SHA_HASH_RESULT_4_SCR                       0
#define SE0_SHA_HASH_RESULT_4_WORD_COUNT                        0x1
#define SE0_SHA_HASH_RESULT_4_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_4_RESET_MASK                        _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_4_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_4_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_4_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_4_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_4_VAL_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_SHA_HASH_RESULT_4_VAL_FIELD                 _MK_FIELD_CONST(0xffffffff, SE0_SHA_HASH_RESULT_4_VAL_SHIFT)
#define SE0_SHA_HASH_RESULT_4_VAL_RANGE                 31:0
#define SE0_SHA_HASH_RESULT_4_VAL_WOFFSET                       0x0
#define SE0_SHA_HASH_RESULT_4_VAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_4_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_4_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_4_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_4_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_4_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SE0_SHA_HASH_RESULT_5
#define SE0_SHA_HASH_RESULT_5                   _MK_ADDR_CONST(0x150)
#define SE0_SHA_HASH_RESULT_5_SECURE                    0x0
#define SE0_SHA_HASH_RESULT_5_DUAL                      0x0
#define SE0_SHA_HASH_RESULT_5_SCR                       0
#define SE0_SHA_HASH_RESULT_5_WORD_COUNT                        0x1
#define SE0_SHA_HASH_RESULT_5_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_5_RESET_MASK                        _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_5_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_5_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_5_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_5_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_5_VAL_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_SHA_HASH_RESULT_5_VAL_FIELD                 _MK_FIELD_CONST(0xffffffff, SE0_SHA_HASH_RESULT_5_VAL_SHIFT)
#define SE0_SHA_HASH_RESULT_5_VAL_RANGE                 31:0
#define SE0_SHA_HASH_RESULT_5_VAL_WOFFSET                       0x0
#define SE0_SHA_HASH_RESULT_5_VAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_5_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_5_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_5_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_5_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_5_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SE0_SHA_HASH_RESULT_6
#define SE0_SHA_HASH_RESULT_6                   _MK_ADDR_CONST(0x154)
#define SE0_SHA_HASH_RESULT_6_SECURE                    0x0
#define SE0_SHA_HASH_RESULT_6_DUAL                      0x0
#define SE0_SHA_HASH_RESULT_6_SCR                       0
#define SE0_SHA_HASH_RESULT_6_WORD_COUNT                        0x1
#define SE0_SHA_HASH_RESULT_6_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_6_RESET_MASK                        _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_6_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_6_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_6_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_6_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_6_VAL_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_SHA_HASH_RESULT_6_VAL_FIELD                 _MK_FIELD_CONST(0xffffffff, SE0_SHA_HASH_RESULT_6_VAL_SHIFT)
#define SE0_SHA_HASH_RESULT_6_VAL_RANGE                 31:0
#define SE0_SHA_HASH_RESULT_6_VAL_WOFFSET                       0x0
#define SE0_SHA_HASH_RESULT_6_VAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_6_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_6_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_6_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_6_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_6_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SE0_SHA_HASH_RESULT_7
#define SE0_SHA_HASH_RESULT_7                   _MK_ADDR_CONST(0x158)
#define SE0_SHA_HASH_RESULT_7_SECURE                    0x0
#define SE0_SHA_HASH_RESULT_7_DUAL                      0x0
#define SE0_SHA_HASH_RESULT_7_SCR                       0
#define SE0_SHA_HASH_RESULT_7_WORD_COUNT                        0x1
#define SE0_SHA_HASH_RESULT_7_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_7_RESET_MASK                        _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_7_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_7_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_7_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_7_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_7_VAL_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_SHA_HASH_RESULT_7_VAL_FIELD                 _MK_FIELD_CONST(0xffffffff, SE0_SHA_HASH_RESULT_7_VAL_SHIFT)
#define SE0_SHA_HASH_RESULT_7_VAL_RANGE                 31:0
#define SE0_SHA_HASH_RESULT_7_VAL_WOFFSET                       0x0
#define SE0_SHA_HASH_RESULT_7_VAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_7_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_7_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_7_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_7_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_7_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SE0_SHA_HASH_RESULT_8
#define SE0_SHA_HASH_RESULT_8                   _MK_ADDR_CONST(0x15c)
#define SE0_SHA_HASH_RESULT_8_SECURE                    0x0
#define SE0_SHA_HASH_RESULT_8_DUAL                      0x0
#define SE0_SHA_HASH_RESULT_8_SCR                       0
#define SE0_SHA_HASH_RESULT_8_WORD_COUNT                        0x1
#define SE0_SHA_HASH_RESULT_8_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_8_RESET_MASK                        _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_8_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_8_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_8_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_8_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_8_VAL_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_SHA_HASH_RESULT_8_VAL_FIELD                 _MK_FIELD_CONST(0xffffffff, SE0_SHA_HASH_RESULT_8_VAL_SHIFT)
#define SE0_SHA_HASH_RESULT_8_VAL_RANGE                 31:0
#define SE0_SHA_HASH_RESULT_8_VAL_WOFFSET                       0x0
#define SE0_SHA_HASH_RESULT_8_VAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_8_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_8_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_8_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_8_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_8_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SE0_SHA_HASH_RESULT_9
#define SE0_SHA_HASH_RESULT_9                   _MK_ADDR_CONST(0x160)
#define SE0_SHA_HASH_RESULT_9_SECURE                    0x0
#define SE0_SHA_HASH_RESULT_9_DUAL                      0x0
#define SE0_SHA_HASH_RESULT_9_SCR                       0
#define SE0_SHA_HASH_RESULT_9_WORD_COUNT                        0x1
#define SE0_SHA_HASH_RESULT_9_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_9_RESET_MASK                        _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_9_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_9_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_9_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_9_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_9_VAL_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_SHA_HASH_RESULT_9_VAL_FIELD                 _MK_FIELD_CONST(0xffffffff, SE0_SHA_HASH_RESULT_9_VAL_SHIFT)
#define SE0_SHA_HASH_RESULT_9_VAL_RANGE                 31:0
#define SE0_SHA_HASH_RESULT_9_VAL_WOFFSET                       0x0
#define SE0_SHA_HASH_RESULT_9_VAL_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_9_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_9_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_9_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_9_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_9_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SE0_SHA_HASH_RESULT_10
#define SE0_SHA_HASH_RESULT_10                  _MK_ADDR_CONST(0x164)
#define SE0_SHA_HASH_RESULT_10_SECURE                   0x0
#define SE0_SHA_HASH_RESULT_10_DUAL                     0x0
#define SE0_SHA_HASH_RESULT_10_SCR                      0
#define SE0_SHA_HASH_RESULT_10_WORD_COUNT                       0x1
#define SE0_SHA_HASH_RESULT_10_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_10_RESET_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_10_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_10_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_10_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_10_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_10_VAL_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_SHA_HASH_RESULT_10_VAL_FIELD                        _MK_FIELD_CONST(0xffffffff, SE0_SHA_HASH_RESULT_10_VAL_SHIFT)
#define SE0_SHA_HASH_RESULT_10_VAL_RANGE                        31:0
#define SE0_SHA_HASH_RESULT_10_VAL_WOFFSET                      0x0
#define SE0_SHA_HASH_RESULT_10_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_10_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_10_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_10_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_10_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_10_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SE0_SHA_HASH_RESULT_11
#define SE0_SHA_HASH_RESULT_11                  _MK_ADDR_CONST(0x168)
#define SE0_SHA_HASH_RESULT_11_SECURE                   0x0
#define SE0_SHA_HASH_RESULT_11_DUAL                     0x0
#define SE0_SHA_HASH_RESULT_11_SCR                      0
#define SE0_SHA_HASH_RESULT_11_WORD_COUNT                       0x1
#define SE0_SHA_HASH_RESULT_11_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_11_RESET_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_11_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_11_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_11_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_11_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_11_VAL_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_SHA_HASH_RESULT_11_VAL_FIELD                        _MK_FIELD_CONST(0xffffffff, SE0_SHA_HASH_RESULT_11_VAL_SHIFT)
#define SE0_SHA_HASH_RESULT_11_VAL_RANGE                        31:0
#define SE0_SHA_HASH_RESULT_11_VAL_WOFFSET                      0x0
#define SE0_SHA_HASH_RESULT_11_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_11_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_11_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_11_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_11_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_11_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SE0_SHA_HASH_RESULT_12
#define SE0_SHA_HASH_RESULT_12                  _MK_ADDR_CONST(0x16c)
#define SE0_SHA_HASH_RESULT_12_SECURE                   0x0
#define SE0_SHA_HASH_RESULT_12_DUAL                     0x0
#define SE0_SHA_HASH_RESULT_12_SCR                      0
#define SE0_SHA_HASH_RESULT_12_WORD_COUNT                       0x1
#define SE0_SHA_HASH_RESULT_12_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_12_RESET_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_12_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_12_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_12_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_12_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_12_VAL_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_SHA_HASH_RESULT_12_VAL_FIELD                        _MK_FIELD_CONST(0xffffffff, SE0_SHA_HASH_RESULT_12_VAL_SHIFT)
#define SE0_SHA_HASH_RESULT_12_VAL_RANGE                        31:0
#define SE0_SHA_HASH_RESULT_12_VAL_WOFFSET                      0x0
#define SE0_SHA_HASH_RESULT_12_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_12_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_12_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_12_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_12_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_12_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SE0_SHA_HASH_RESULT_13
#define SE0_SHA_HASH_RESULT_13                  _MK_ADDR_CONST(0x170)
#define SE0_SHA_HASH_RESULT_13_SECURE                   0x0
#define SE0_SHA_HASH_RESULT_13_DUAL                     0x0
#define SE0_SHA_HASH_RESULT_13_SCR                      0
#define SE0_SHA_HASH_RESULT_13_WORD_COUNT                       0x1
#define SE0_SHA_HASH_RESULT_13_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_13_RESET_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_13_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_13_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_13_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_13_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_13_VAL_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_SHA_HASH_RESULT_13_VAL_FIELD                        _MK_FIELD_CONST(0xffffffff, SE0_SHA_HASH_RESULT_13_VAL_SHIFT)
#define SE0_SHA_HASH_RESULT_13_VAL_RANGE                        31:0
#define SE0_SHA_HASH_RESULT_13_VAL_WOFFSET                      0x0
#define SE0_SHA_HASH_RESULT_13_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_13_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_13_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_13_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_13_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_13_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SE0_SHA_HASH_RESULT_14
#define SE0_SHA_HASH_RESULT_14                  _MK_ADDR_CONST(0x174)
#define SE0_SHA_HASH_RESULT_14_SECURE                   0x0
#define SE0_SHA_HASH_RESULT_14_DUAL                     0x0
#define SE0_SHA_HASH_RESULT_14_SCR                      0
#define SE0_SHA_HASH_RESULT_14_WORD_COUNT                       0x1
#define SE0_SHA_HASH_RESULT_14_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_14_RESET_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_14_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_14_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_14_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_14_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_14_VAL_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_SHA_HASH_RESULT_14_VAL_FIELD                        _MK_FIELD_CONST(0xffffffff, SE0_SHA_HASH_RESULT_14_VAL_SHIFT)
#define SE0_SHA_HASH_RESULT_14_VAL_RANGE                        31:0
#define SE0_SHA_HASH_RESULT_14_VAL_WOFFSET                      0x0
#define SE0_SHA_HASH_RESULT_14_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_14_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_14_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_14_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_14_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_14_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SE0_SHA_HASH_RESULT_15
#define SE0_SHA_HASH_RESULT_15                  _MK_ADDR_CONST(0x178)
#define SE0_SHA_HASH_RESULT_15_SECURE                   0x0
#define SE0_SHA_HASH_RESULT_15_DUAL                     0x0
#define SE0_SHA_HASH_RESULT_15_SCR                      0
#define SE0_SHA_HASH_RESULT_15_WORD_COUNT                       0x1
#define SE0_SHA_HASH_RESULT_15_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_15_RESET_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_15_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_15_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_15_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_15_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SE0_SHA_HASH_RESULT_15_VAL_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_SHA_HASH_RESULT_15_VAL_FIELD                        _MK_FIELD_CONST(0xffffffff, SE0_SHA_HASH_RESULT_15_VAL_SHIFT)
#define SE0_SHA_HASH_RESULT_15_VAL_RANGE                        31:0
#define SE0_SHA_HASH_RESULT_15_VAL_WOFFSET                      0x0
#define SE0_SHA_HASH_RESULT_15_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_15_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_15_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_15_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_15_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_SHA_HASH_RESULT_15_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SE0_SHA_OPERATION_0
#define SE0_SHA_OPERATION_0                     _MK_ADDR_CONST(0x17c)
#define SE0_SHA_OPERATION_0_SECURE                      0x0
#define SE0_SHA_OPERATION_0_DUAL                        0x0
#define SE0_SHA_OPERATION_0_SCR                         0
#define SE0_SHA_OPERATION_0_WORD_COUNT                  0x1
#define SE0_SHA_OPERATION_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SE0_SHA_OPERATION_0_RESET_MASK                  _MK_MASK_CONST(0x18007)
#define SE0_SHA_OPERATION_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SE0_SHA_OPERATION_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_SHA_OPERATION_0_READ_MASK                   _MK_MASK_CONST(0x18007)
#define SE0_SHA_OPERATION_0_WRITE_MASK                  _MK_MASK_CONST(0x18007)
#define SE0_SHA_OPERATION_0_LASTBUF_SHIFT                       _MK_SHIFT_CONST(16)
#define SE0_SHA_OPERATION_0_LASTBUF_FIELD                       _MK_FIELD_CONST(0x1, SE0_SHA_OPERATION_0_LASTBUF_SHIFT)
#define SE0_SHA_OPERATION_0_LASTBUF_RANGE                       16:16
#define SE0_SHA_OPERATION_0_LASTBUF_WOFFSET                     0x0
#define SE0_SHA_OPERATION_0_LASTBUF_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_SHA_OPERATION_0_LASTBUF_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_SHA_OPERATION_0_LASTBUF_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_SHA_OPERATION_0_LASTBUF_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_SHA_OPERATION_0_LASTBUF_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_SHA_OPERATION_0_LASTBUF_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_SHA_OPERATION_0_LASTBUF_INIT_ENUM                   FALSE
#define SE0_SHA_OPERATION_0_LASTBUF_FALSE                       _MK_ENUM_CONST(0)
#define SE0_SHA_OPERATION_0_LASTBUF_TRUE                        _MK_ENUM_CONST(1)

#define SE0_SHA_OPERATION_0_WRSTALL_SHIFT                       _MK_SHIFT_CONST(15)
#define SE0_SHA_OPERATION_0_WRSTALL_FIELD                       _MK_FIELD_CONST(0x1, SE0_SHA_OPERATION_0_WRSTALL_SHIFT)
#define SE0_SHA_OPERATION_0_WRSTALL_RANGE                       15:15
#define SE0_SHA_OPERATION_0_WRSTALL_WOFFSET                     0x0
#define SE0_SHA_OPERATION_0_WRSTALL_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_SHA_OPERATION_0_WRSTALL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_SHA_OPERATION_0_WRSTALL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_SHA_OPERATION_0_WRSTALL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_SHA_OPERATION_0_WRSTALL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_SHA_OPERATION_0_WRSTALL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_SHA_OPERATION_0_WRSTALL_INIT_ENUM                   FALSE
#define SE0_SHA_OPERATION_0_WRSTALL_FALSE                       _MK_ENUM_CONST(0)
#define SE0_SHA_OPERATION_0_WRSTALL_TRUE                        _MK_ENUM_CONST(1)

#define SE0_SHA_OPERATION_0_OP_SHIFT                    _MK_SHIFT_CONST(0)
#define SE0_SHA_OPERATION_0_OP_FIELD                    _MK_FIELD_CONST(0x7, SE0_SHA_OPERATION_0_OP_SHIFT)
#define SE0_SHA_OPERATION_0_OP_RANGE                    2:0
#define SE0_SHA_OPERATION_0_OP_WOFFSET                  0x0
#define SE0_SHA_OPERATION_0_OP_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_SHA_OPERATION_0_OP_DEFAULT_MASK                     _MK_MASK_CONST(0x7)
#define SE0_SHA_OPERATION_0_OP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_SHA_OPERATION_0_OP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_SHA_OPERATION_0_OP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_SHA_OPERATION_0_OP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

// Register SE0_SHA_INT_ENABLE_0
#define SE0_SHA_INT_ENABLE_0                    _MK_ADDR_CONST(0x180)
#define SE0_SHA_INT_ENABLE_0_SECURE                     0x0
#define SE0_SHA_INT_ENABLE_0_DUAL                       0x0
#define SE0_SHA_INT_ENABLE_0_SCR                        0
#define SE0_SHA_INT_ENABLE_0_WORD_COUNT                         0x1
#define SE0_SHA_INT_ENABLE_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_RESET_MASK                         _MK_MASK_CONST(0x1033f)
#define SE0_SHA_INT_ENABLE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_READ_MASK                  _MK_MASK_CONST(0x1033f)
#define SE0_SHA_INT_ENABLE_0_WRITE_MASK                         _MK_MASK_CONST(0x1033f)
#define SE0_SHA_INT_ENABLE_0_ERR_STAT_SHIFT                     _MK_SHIFT_CONST(16)
#define SE0_SHA_INT_ENABLE_0_ERR_STAT_FIELD                     _MK_FIELD_CONST(0x1, SE0_SHA_INT_ENABLE_0_ERR_STAT_SHIFT)
#define SE0_SHA_INT_ENABLE_0_ERR_STAT_RANGE                     16:16
#define SE0_SHA_INT_ENABLE_0_ERR_STAT_WOFFSET                   0x0
#define SE0_SHA_INT_ENABLE_0_ERR_STAT_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_ERR_STAT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_ENABLE_0_ERR_STAT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_ERR_STAT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_ERR_STAT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_ERR_STAT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_ENABLE_0_ERR_STAT_INIT_ENUM                 DISABLE
#define SE0_SHA_INT_ENABLE_0_ERR_STAT_DISABLE                   _MK_ENUM_CONST(0)
#define SE0_SHA_INT_ENABLE_0_ERR_STAT_ENABLE                    _MK_ENUM_CONST(1)

#define SE0_SHA_INT_ENABLE_0_EIP1_SHIFT                 _MK_SHIFT_CONST(9)
#define SE0_SHA_INT_ENABLE_0_EIP1_FIELD                 _MK_FIELD_CONST(0x1, SE0_SHA_INT_ENABLE_0_EIP1_SHIFT)
#define SE0_SHA_INT_ENABLE_0_EIP1_RANGE                 9:9
#define SE0_SHA_INT_ENABLE_0_EIP1_WOFFSET                       0x0
#define SE0_SHA_INT_ENABLE_0_EIP1_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_EIP1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_ENABLE_0_EIP1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_EIP1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_EIP1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_EIP1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_ENABLE_0_EIP1_INIT_ENUM                     DISABLE
#define SE0_SHA_INT_ENABLE_0_EIP1_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_SHA_INT_ENABLE_0_EIP1_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_SHA_INT_ENABLE_0_EIP0_SHIFT                 _MK_SHIFT_CONST(8)
#define SE0_SHA_INT_ENABLE_0_EIP0_FIELD                 _MK_FIELD_CONST(0x1, SE0_SHA_INT_ENABLE_0_EIP0_SHIFT)
#define SE0_SHA_INT_ENABLE_0_EIP0_RANGE                 8:8
#define SE0_SHA_INT_ENABLE_0_EIP0_WOFFSET                       0x0
#define SE0_SHA_INT_ENABLE_0_EIP0_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_EIP0_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_ENABLE_0_EIP0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_EIP0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_EIP0_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_EIP0_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_ENABLE_0_EIP0_INIT_ENUM                     DISABLE
#define SE0_SHA_INT_ENABLE_0_EIP0_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_SHA_INT_ENABLE_0_EIP0_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_SHA_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_SHIFT                        _MK_SHIFT_CONST(5)
#define SE0_SHA_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_FIELD                        _MK_FIELD_CONST(0x1, SE0_SHA_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_SHIFT)
#define SE0_SHA_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_RANGE                        5:5
#define SE0_SHA_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_WOFFSET                      0x0
#define SE0_SHA_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_INIT_ENUM                    DISABLE
#define SE0_SHA_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_SHA_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_SHA_INT_ENABLE_0_SE_OP_DONE_SHIFT                   _MK_SHIFT_CONST(4)
#define SE0_SHA_INT_ENABLE_0_SE_OP_DONE_FIELD                   _MK_FIELD_CONST(0x1, SE0_SHA_INT_ENABLE_0_SE_OP_DONE_SHIFT)
#define SE0_SHA_INT_ENABLE_0_SE_OP_DONE_RANGE                   4:4
#define SE0_SHA_INT_ENABLE_0_SE_OP_DONE_WOFFSET                 0x0
#define SE0_SHA_INT_ENABLE_0_SE_OP_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_SE_OP_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_ENABLE_0_SE_OP_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_SE_OP_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_SE_OP_DONE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_SE_OP_DONE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_ENABLE_0_SE_OP_DONE_INIT_ENUM                       DISABLE
#define SE0_SHA_INT_ENABLE_0_SE_OP_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define SE0_SHA_INT_ENABLE_0_SE_OP_DONE_ENABLE                  _MK_ENUM_CONST(1)

#define SE0_SHA_INT_ENABLE_0_OUT_DONE_SHIFT                     _MK_SHIFT_CONST(3)
#define SE0_SHA_INT_ENABLE_0_OUT_DONE_FIELD                     _MK_FIELD_CONST(0x1, SE0_SHA_INT_ENABLE_0_OUT_DONE_SHIFT)
#define SE0_SHA_INT_ENABLE_0_OUT_DONE_RANGE                     3:3
#define SE0_SHA_INT_ENABLE_0_OUT_DONE_WOFFSET                   0x0
#define SE0_SHA_INT_ENABLE_0_OUT_DONE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_OUT_DONE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_ENABLE_0_OUT_DONE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_OUT_DONE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_OUT_DONE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_OUT_DONE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_ENABLE_0_OUT_DONE_INIT_ENUM                 DISABLE
#define SE0_SHA_INT_ENABLE_0_OUT_DONE_DISABLE                   _MK_ENUM_CONST(0)
#define SE0_SHA_INT_ENABLE_0_OUT_DONE_ENABLE                    _MK_ENUM_CONST(1)

#define SE0_SHA_INT_ENABLE_0_OUT_LL_BUF_WR_SHIFT                        _MK_SHIFT_CONST(2)
#define SE0_SHA_INT_ENABLE_0_OUT_LL_BUF_WR_FIELD                        _MK_FIELD_CONST(0x1, SE0_SHA_INT_ENABLE_0_OUT_LL_BUF_WR_SHIFT)
#define SE0_SHA_INT_ENABLE_0_OUT_LL_BUF_WR_RANGE                        2:2
#define SE0_SHA_INT_ENABLE_0_OUT_LL_BUF_WR_WOFFSET                      0x0
#define SE0_SHA_INT_ENABLE_0_OUT_LL_BUF_WR_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_OUT_LL_BUF_WR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_ENABLE_0_OUT_LL_BUF_WR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_OUT_LL_BUF_WR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_OUT_LL_BUF_WR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_OUT_LL_BUF_WR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_ENABLE_0_OUT_LL_BUF_WR_INIT_ENUM                    DISABLE
#define SE0_SHA_INT_ENABLE_0_OUT_LL_BUF_WR_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_SHA_INT_ENABLE_0_OUT_LL_BUF_WR_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_SHA_INT_ENABLE_0_IN_DONE_SHIFT                      _MK_SHIFT_CONST(1)
#define SE0_SHA_INT_ENABLE_0_IN_DONE_FIELD                      _MK_FIELD_CONST(0x1, SE0_SHA_INT_ENABLE_0_IN_DONE_SHIFT)
#define SE0_SHA_INT_ENABLE_0_IN_DONE_RANGE                      1:1
#define SE0_SHA_INT_ENABLE_0_IN_DONE_WOFFSET                    0x0
#define SE0_SHA_INT_ENABLE_0_IN_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_IN_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_ENABLE_0_IN_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_IN_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_IN_DONE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_IN_DONE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_ENABLE_0_IN_DONE_INIT_ENUM                  DISABLE
#define SE0_SHA_INT_ENABLE_0_IN_DONE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_SHA_INT_ENABLE_0_IN_DONE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_SHA_INT_ENABLE_0_IN_LL_BUF_RD_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_SHA_INT_ENABLE_0_IN_LL_BUF_RD_FIELD                 _MK_FIELD_CONST(0x1, SE0_SHA_INT_ENABLE_0_IN_LL_BUF_RD_SHIFT)
#define SE0_SHA_INT_ENABLE_0_IN_LL_BUF_RD_RANGE                 0:0
#define SE0_SHA_INT_ENABLE_0_IN_LL_BUF_RD_WOFFSET                       0x0
#define SE0_SHA_INT_ENABLE_0_IN_LL_BUF_RD_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_IN_LL_BUF_RD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_ENABLE_0_IN_LL_BUF_RD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_IN_LL_BUF_RD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_IN_LL_BUF_RD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_ENABLE_0_IN_LL_BUF_RD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_ENABLE_0_IN_LL_BUF_RD_INIT_ENUM                     DISABLE
#define SE0_SHA_INT_ENABLE_0_IN_LL_BUF_RD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_SHA_INT_ENABLE_0_IN_LL_BUF_RD_ENABLE                        _MK_ENUM_CONST(1)

// Register SE0_SHA_INT_STATUS_0
#define SE0_SHA_INT_STATUS_0                    _MK_ADDR_CONST(0x184)
#define SE0_SHA_INT_STATUS_0_SECURE                     0x0
#define SE0_SHA_INT_STATUS_0_DUAL                       0x0
#define SE0_SHA_INT_STATUS_0_SCR                        0
#define SE0_SHA_INT_STATUS_0_WORD_COUNT                         0x1
#define SE0_SHA_INT_STATUS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_RESET_MASK                         _MK_MASK_CONST(0x1033f)
#define SE0_SHA_INT_STATUS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_READ_MASK                  _MK_MASK_CONST(0x1033f)
#define SE0_SHA_INT_STATUS_0_WRITE_MASK                         _MK_MASK_CONST(0x1033f)
#define SE0_SHA_INT_STATUS_0_ERR_STAT_SHIFT                     _MK_SHIFT_CONST(16)
#define SE0_SHA_INT_STATUS_0_ERR_STAT_FIELD                     _MK_FIELD_CONST(0x1, SE0_SHA_INT_STATUS_0_ERR_STAT_SHIFT)
#define SE0_SHA_INT_STATUS_0_ERR_STAT_RANGE                     16:16
#define SE0_SHA_INT_STATUS_0_ERR_STAT_WOFFSET                   0x0
#define SE0_SHA_INT_STATUS_0_ERR_STAT_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_ERR_STAT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_STATUS_0_ERR_STAT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_ERR_STAT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_ERR_STAT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_ERR_STAT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_STATUS_0_ERR_STAT_INIT_ENUM                 CLEAR
#define SE0_SHA_INT_STATUS_0_ERR_STAT_CLEAR                     _MK_ENUM_CONST(0)
#define SE0_SHA_INT_STATUS_0_ERR_STAT_ACTIVE                    _MK_ENUM_CONST(1)
#define SE0_SHA_INT_STATUS_0_ERR_STAT_SW_CLEAR                  _MK_ENUM_CONST(1)

#define SE0_SHA_INT_STATUS_0_EIP1_SHIFT                 _MK_SHIFT_CONST(9)
#define SE0_SHA_INT_STATUS_0_EIP1_FIELD                 _MK_FIELD_CONST(0x1, SE0_SHA_INT_STATUS_0_EIP1_SHIFT)
#define SE0_SHA_INT_STATUS_0_EIP1_RANGE                 9:9
#define SE0_SHA_INT_STATUS_0_EIP1_WOFFSET                       0x0
#define SE0_SHA_INT_STATUS_0_EIP1_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_EIP1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_STATUS_0_EIP1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_EIP1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_EIP1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_EIP1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_STATUS_0_EIP1_INIT_ENUM                     CLEAR
#define SE0_SHA_INT_STATUS_0_EIP1_CLEAR                 _MK_ENUM_CONST(0)
#define SE0_SHA_INT_STATUS_0_EIP1_ACTIVE                        _MK_ENUM_CONST(1)
#define SE0_SHA_INT_STATUS_0_EIP1_SW_CLEAR                      _MK_ENUM_CONST(1)

#define SE0_SHA_INT_STATUS_0_EIP0_SHIFT                 _MK_SHIFT_CONST(8)
#define SE0_SHA_INT_STATUS_0_EIP0_FIELD                 _MK_FIELD_CONST(0x1, SE0_SHA_INT_STATUS_0_EIP0_SHIFT)
#define SE0_SHA_INT_STATUS_0_EIP0_RANGE                 8:8
#define SE0_SHA_INT_STATUS_0_EIP0_WOFFSET                       0x0
#define SE0_SHA_INT_STATUS_0_EIP0_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_EIP0_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_STATUS_0_EIP0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_EIP0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_EIP0_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_EIP0_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_STATUS_0_EIP0_INIT_ENUM                     CLEAR
#define SE0_SHA_INT_STATUS_0_EIP0_CLEAR                 _MK_ENUM_CONST(0)
#define SE0_SHA_INT_STATUS_0_EIP0_ACTIVE                        _MK_ENUM_CONST(1)
#define SE0_SHA_INT_STATUS_0_EIP0_SW_CLEAR                      _MK_ENUM_CONST(1)

#define SE0_SHA_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_SHIFT                        _MK_SHIFT_CONST(5)
#define SE0_SHA_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_FIELD                        _MK_FIELD_CONST(0x1, SE0_SHA_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_SHIFT)
#define SE0_SHA_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_RANGE                        5:5
#define SE0_SHA_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_WOFFSET                      0x0
#define SE0_SHA_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_INIT_ENUM                    CLEAR
#define SE0_SHA_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_CLEAR                        _MK_ENUM_CONST(0)
#define SE0_SHA_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_ACTIVE                       _MK_ENUM_CONST(1)
#define SE0_SHA_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_SW_CLEAR                     _MK_ENUM_CONST(1)

#define SE0_SHA_INT_STATUS_0_SE_OP_DONE_SHIFT                   _MK_SHIFT_CONST(4)
#define SE0_SHA_INT_STATUS_0_SE_OP_DONE_FIELD                   _MK_FIELD_CONST(0x1, SE0_SHA_INT_STATUS_0_SE_OP_DONE_SHIFT)
#define SE0_SHA_INT_STATUS_0_SE_OP_DONE_RANGE                   4:4
#define SE0_SHA_INT_STATUS_0_SE_OP_DONE_WOFFSET                 0x0
#define SE0_SHA_INT_STATUS_0_SE_OP_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_SE_OP_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_STATUS_0_SE_OP_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_SE_OP_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_SE_OP_DONE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_SE_OP_DONE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_STATUS_0_SE_OP_DONE_INIT_ENUM                       CLEAR
#define SE0_SHA_INT_STATUS_0_SE_OP_DONE_CLEAR                   _MK_ENUM_CONST(0)
#define SE0_SHA_INT_STATUS_0_SE_OP_DONE_ACTIVE                  _MK_ENUM_CONST(1)
#define SE0_SHA_INT_STATUS_0_SE_OP_DONE_SW_CLEAR                        _MK_ENUM_CONST(1)

#define SE0_SHA_INT_STATUS_0_OUT_DONE_SHIFT                     _MK_SHIFT_CONST(3)
#define SE0_SHA_INT_STATUS_0_OUT_DONE_FIELD                     _MK_FIELD_CONST(0x1, SE0_SHA_INT_STATUS_0_OUT_DONE_SHIFT)
#define SE0_SHA_INT_STATUS_0_OUT_DONE_RANGE                     3:3
#define SE0_SHA_INT_STATUS_0_OUT_DONE_WOFFSET                   0x0
#define SE0_SHA_INT_STATUS_0_OUT_DONE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_OUT_DONE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_STATUS_0_OUT_DONE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_OUT_DONE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_OUT_DONE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_OUT_DONE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_STATUS_0_OUT_DONE_INIT_ENUM                 CLEAR
#define SE0_SHA_INT_STATUS_0_OUT_DONE_CLEAR                     _MK_ENUM_CONST(0)
#define SE0_SHA_INT_STATUS_0_OUT_DONE_ACTIVE                    _MK_ENUM_CONST(1)
#define SE0_SHA_INT_STATUS_0_OUT_DONE_SW_CLEAR                  _MK_ENUM_CONST(1)

#define SE0_SHA_INT_STATUS_0_OUT_LL_BUF_WR_SHIFT                        _MK_SHIFT_CONST(2)
#define SE0_SHA_INT_STATUS_0_OUT_LL_BUF_WR_FIELD                        _MK_FIELD_CONST(0x1, SE0_SHA_INT_STATUS_0_OUT_LL_BUF_WR_SHIFT)
#define SE0_SHA_INT_STATUS_0_OUT_LL_BUF_WR_RANGE                        2:2
#define SE0_SHA_INT_STATUS_0_OUT_LL_BUF_WR_WOFFSET                      0x0
#define SE0_SHA_INT_STATUS_0_OUT_LL_BUF_WR_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_OUT_LL_BUF_WR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_STATUS_0_OUT_LL_BUF_WR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_OUT_LL_BUF_WR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_OUT_LL_BUF_WR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_OUT_LL_BUF_WR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_STATUS_0_OUT_LL_BUF_WR_INIT_ENUM                    CLEAR
#define SE0_SHA_INT_STATUS_0_OUT_LL_BUF_WR_CLEAR                        _MK_ENUM_CONST(0)
#define SE0_SHA_INT_STATUS_0_OUT_LL_BUF_WR_ACTIVE                       _MK_ENUM_CONST(1)
#define SE0_SHA_INT_STATUS_0_OUT_LL_BUF_WR_SW_CLEAR                     _MK_ENUM_CONST(1)

#define SE0_SHA_INT_STATUS_0_IN_DONE_SHIFT                      _MK_SHIFT_CONST(1)
#define SE0_SHA_INT_STATUS_0_IN_DONE_FIELD                      _MK_FIELD_CONST(0x1, SE0_SHA_INT_STATUS_0_IN_DONE_SHIFT)
#define SE0_SHA_INT_STATUS_0_IN_DONE_RANGE                      1:1
#define SE0_SHA_INT_STATUS_0_IN_DONE_WOFFSET                    0x0
#define SE0_SHA_INT_STATUS_0_IN_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_IN_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_STATUS_0_IN_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_IN_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_IN_DONE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_IN_DONE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_STATUS_0_IN_DONE_INIT_ENUM                  CLEAR
#define SE0_SHA_INT_STATUS_0_IN_DONE_CLEAR                      _MK_ENUM_CONST(0)
#define SE0_SHA_INT_STATUS_0_IN_DONE_ACTIVE                     _MK_ENUM_CONST(1)
#define SE0_SHA_INT_STATUS_0_IN_DONE_SW_CLEAR                   _MK_ENUM_CONST(1)

#define SE0_SHA_INT_STATUS_0_IN_LL_BUF_RD_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_SHA_INT_STATUS_0_IN_LL_BUF_RD_FIELD                 _MK_FIELD_CONST(0x1, SE0_SHA_INT_STATUS_0_IN_LL_BUF_RD_SHIFT)
#define SE0_SHA_INT_STATUS_0_IN_LL_BUF_RD_RANGE                 0:0
#define SE0_SHA_INT_STATUS_0_IN_LL_BUF_RD_WOFFSET                       0x0
#define SE0_SHA_INT_STATUS_0_IN_LL_BUF_RD_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_IN_LL_BUF_RD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_STATUS_0_IN_LL_BUF_RD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_IN_LL_BUF_RD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_IN_LL_BUF_RD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_SHA_INT_STATUS_0_IN_LL_BUF_RD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_SHA_INT_STATUS_0_IN_LL_BUF_RD_INIT_ENUM                     CLEAR
#define SE0_SHA_INT_STATUS_0_IN_LL_BUF_RD_CLEAR                 _MK_ENUM_CONST(0)
#define SE0_SHA_INT_STATUS_0_IN_LL_BUF_RD_ACTIVE                        _MK_ENUM_CONST(1)
#define SE0_SHA_INT_STATUS_0_IN_LL_BUF_RD_SW_CLEAR                      _MK_ENUM_CONST(1)

// Register SE0_SHA_STATUS_0
#define SE0_SHA_STATUS_0                        _MK_ADDR_CONST(0x188)
#define SE0_SHA_STATUS_0_SECURE                         0x0
#define SE0_SHA_STATUS_0_DUAL                   0x0
#define SE0_SHA_STATUS_0_SCR                    0
#define SE0_SHA_STATUS_0_WORD_COUNT                     0x1
#define SE0_SHA_STATUS_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE0_SHA_STATUS_0_RESET_MASK                     _MK_MASK_CONST(0x7)
#define SE0_SHA_STATUS_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE0_SHA_STATUS_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_SHA_STATUS_0_READ_MASK                      _MK_MASK_CONST(0x7)
#define SE0_SHA_STATUS_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SE0_SHA_STATUS_0_STATE_SHIFT                    _MK_SHIFT_CONST(0)
#define SE0_SHA_STATUS_0_STATE_FIELD                    _MK_FIELD_CONST(0x7, SE0_SHA_STATUS_0_STATE_SHIFT)
#define SE0_SHA_STATUS_0_STATE_RANGE                    2:0
#define SE0_SHA_STATUS_0_STATE_WOFFSET                  0x0
#define SE0_SHA_STATUS_0_STATE_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_SHA_STATUS_0_STATE_DEFAULT_MASK                     _MK_MASK_CONST(0x7)
#define SE0_SHA_STATUS_0_STATE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_SHA_STATUS_0_STATE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_SHA_STATUS_0_STATE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_SHA_STATUS_0_STATE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_SHA_STATUS_0_STATE_INIT_ENUM                        IDLE
#define SE0_SHA_STATUS_0_STATE_IDLE                     _MK_ENUM_CONST(0)
#define SE0_SHA_STATUS_0_STATE_BUSY                     _MK_ENUM_CONST(1)
#define SE0_SHA_STATUS_0_STATE_WAIT_OUT                 _MK_ENUM_CONST(2)
#define SE0_SHA_STATUS_0_STATE_WAIT_IN                  _MK_ENUM_CONST(3)
#define SE0_SHA_STATUS_0_STATE_WAIT_INOUT                       _MK_ENUM_CONST(4)
#define SE0_SHA_STATUS_0_STATE_CANCELLING                       _MK_ENUM_CONST(5)
#define SE0_SHA_STATUS_0_STATE_PENDING                  _MK_ENUM_CONST(6)

// Register SE0_SHA_ERR_STATUS_0
#define SE0_SHA_ERR_STATUS_0                    _MK_ADDR_CONST(0x18c)
#define SE0_SHA_ERR_STATUS_0_SECURE                     0x0
#define SE0_SHA_ERR_STATUS_0_DUAL                       0x0
#define SE0_SHA_ERR_STATUS_0_SCR                        0
#define SE0_SHA_ERR_STATUS_0_WORD_COUNT                         0x1
#define SE0_SHA_ERR_STATUS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_RESET_MASK                         _MK_MASK_CONST(0x300013f)
#define SE0_SHA_ERR_STATUS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_READ_MASK                  _MK_MASK_CONST(0x300013f)
#define SE0_SHA_ERR_STATUS_0_WRITE_MASK                         _MK_MASK_CONST(0x300013f)
#define SE0_SHA_ERR_STATUS_0_SE_NS_ACCESS_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_SHA_ERR_STATUS_0_SE_NS_ACCESS_FIELD                 _MK_FIELD_CONST(0x1, SE0_SHA_ERR_STATUS_0_SE_NS_ACCESS_SHIFT)
#define SE0_SHA_ERR_STATUS_0_SE_NS_ACCESS_RANGE                 0:0
#define SE0_SHA_ERR_STATUS_0_SE_NS_ACCESS_WOFFSET                       0x0
#define SE0_SHA_ERR_STATUS_0_SE_NS_ACCESS_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_SE_NS_ACCESS_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_SHA_ERR_STATUS_0_SE_NS_ACCESS_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_SE_NS_ACCESS_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_SE_NS_ACCESS_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_SE_NS_ACCESS_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_SHA_ERR_STATUS_0_SE_NS_ACCESS_INIT_ENUM                     CLEAR
#define SE0_SHA_ERR_STATUS_0_SE_NS_ACCESS_CLEAR                 _MK_ENUM_CONST(0)
#define SE0_SHA_ERR_STATUS_0_SE_NS_ACCESS_ACTIVE                        _MK_ENUM_CONST(1)
#define SE0_SHA_ERR_STATUS_0_SE_NS_ACCESS_SW_CLEAR                      _MK_ENUM_CONST(1)

#define SE0_SHA_ERR_STATUS_0_DST_SHIFT                  _MK_SHIFT_CONST(1)
#define SE0_SHA_ERR_STATUS_0_DST_FIELD                  _MK_FIELD_CONST(0x1, SE0_SHA_ERR_STATUS_0_DST_SHIFT)
#define SE0_SHA_ERR_STATUS_0_DST_RANGE                  1:1
#define SE0_SHA_ERR_STATUS_0_DST_WOFFSET                        0x0
#define SE0_SHA_ERR_STATUS_0_DST_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_DST_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_SHA_ERR_STATUS_0_DST_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_DST_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_DST_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_DST_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_SHA_ERR_STATUS_0_DST_INIT_ENUM                      CLEAR
#define SE0_SHA_ERR_STATUS_0_DST_CLEAR                  _MK_ENUM_CONST(0)
#define SE0_SHA_ERR_STATUS_0_DST_ACTIVE                 _MK_ENUM_CONST(1)
#define SE0_SHA_ERR_STATUS_0_DST_SW_CLEAR                       _MK_ENUM_CONST(1)

#define SE0_SHA_ERR_STATUS_0_BUSY_REG_WR_SHIFT                  _MK_SHIFT_CONST(2)
#define SE0_SHA_ERR_STATUS_0_BUSY_REG_WR_FIELD                  _MK_FIELD_CONST(0x1, SE0_SHA_ERR_STATUS_0_BUSY_REG_WR_SHIFT)
#define SE0_SHA_ERR_STATUS_0_BUSY_REG_WR_RANGE                  2:2
#define SE0_SHA_ERR_STATUS_0_BUSY_REG_WR_WOFFSET                        0x0
#define SE0_SHA_ERR_STATUS_0_BUSY_REG_WR_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_BUSY_REG_WR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_SHA_ERR_STATUS_0_BUSY_REG_WR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_BUSY_REG_WR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_BUSY_REG_WR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_BUSY_REG_WR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_SHA_ERR_STATUS_0_BUSY_REG_WR_INIT_ENUM                      CLEAR
#define SE0_SHA_ERR_STATUS_0_BUSY_REG_WR_CLEAR                  _MK_ENUM_CONST(0)
#define SE0_SHA_ERR_STATUS_0_BUSY_REG_WR_ACTIVE                 _MK_ENUM_CONST(1)
#define SE0_SHA_ERR_STATUS_0_BUSY_REG_WR_SW_CLEAR                       _MK_ENUM_CONST(1)

#define SE0_SHA_ERR_STATUS_0_SRK_USAGE_LIMIT_SHIFT                      _MK_SHIFT_CONST(3)
#define SE0_SHA_ERR_STATUS_0_SRK_USAGE_LIMIT_FIELD                      _MK_FIELD_CONST(0x1, SE0_SHA_ERR_STATUS_0_SRK_USAGE_LIMIT_SHIFT)
#define SE0_SHA_ERR_STATUS_0_SRK_USAGE_LIMIT_RANGE                      3:3
#define SE0_SHA_ERR_STATUS_0_SRK_USAGE_LIMIT_WOFFSET                    0x0
#define SE0_SHA_ERR_STATUS_0_SRK_USAGE_LIMIT_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_SRK_USAGE_LIMIT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_SHA_ERR_STATUS_0_SRK_USAGE_LIMIT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_SRK_USAGE_LIMIT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_SRK_USAGE_LIMIT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_SRK_USAGE_LIMIT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_SHA_ERR_STATUS_0_SRK_USAGE_LIMIT_INIT_ENUM                  CLEAR
#define SE0_SHA_ERR_STATUS_0_SRK_USAGE_LIMIT_CLEAR                      _MK_ENUM_CONST(0)
#define SE0_SHA_ERR_STATUS_0_SRK_USAGE_LIMIT_ACTIVE                     _MK_ENUM_CONST(1)
#define SE0_SHA_ERR_STATUS_0_SRK_USAGE_LIMIT_SW_CLEAR                   _MK_ENUM_CONST(1)

#define SE0_SHA_ERR_STATUS_0_NO_SUPPORT_SHIFT                   _MK_SHIFT_CONST(4)
#define SE0_SHA_ERR_STATUS_0_NO_SUPPORT_FIELD                   _MK_FIELD_CONST(0x1, SE0_SHA_ERR_STATUS_0_NO_SUPPORT_SHIFT)
#define SE0_SHA_ERR_STATUS_0_NO_SUPPORT_RANGE                   4:4
#define SE0_SHA_ERR_STATUS_0_NO_SUPPORT_WOFFSET                 0x0
#define SE0_SHA_ERR_STATUS_0_NO_SUPPORT_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_NO_SUPPORT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SE0_SHA_ERR_STATUS_0_NO_SUPPORT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_NO_SUPPORT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_NO_SUPPORT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_NO_SUPPORT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_SHA_ERR_STATUS_0_NO_SUPPORT_INIT_ENUM                       CLEAR
#define SE0_SHA_ERR_STATUS_0_NO_SUPPORT_CLEAR                   _MK_ENUM_CONST(0)
#define SE0_SHA_ERR_STATUS_0_NO_SUPPORT_ACTIVE                  _MK_ENUM_CONST(1)
#define SE0_SHA_ERR_STATUS_0_NO_SUPPORT_SW_CLEAR                        _MK_ENUM_CONST(1)

#define SE0_SHA_ERR_STATUS_0_ENG_DIS_OP_SHIFT                   _MK_SHIFT_CONST(5)
#define SE0_SHA_ERR_STATUS_0_ENG_DIS_OP_FIELD                   _MK_FIELD_CONST(0x1, SE0_SHA_ERR_STATUS_0_ENG_DIS_OP_SHIFT)
#define SE0_SHA_ERR_STATUS_0_ENG_DIS_OP_RANGE                   5:5
#define SE0_SHA_ERR_STATUS_0_ENG_DIS_OP_WOFFSET                 0x0
#define SE0_SHA_ERR_STATUS_0_ENG_DIS_OP_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_ENG_DIS_OP_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SE0_SHA_ERR_STATUS_0_ENG_DIS_OP_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_ENG_DIS_OP_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_ENG_DIS_OP_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_ENG_DIS_OP_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_SHA_ERR_STATUS_0_ENG_DIS_OP_INIT_ENUM                       CLEAR
#define SE0_SHA_ERR_STATUS_0_ENG_DIS_OP_CLEAR                   _MK_ENUM_CONST(0)
#define SE0_SHA_ERR_STATUS_0_ENG_DIS_OP_ACTIVE                  _MK_ENUM_CONST(1)
#define SE0_SHA_ERR_STATUS_0_ENG_DIS_OP_SW_CLEAR                        _MK_ENUM_CONST(1)

#define SE0_SHA_ERR_STATUS_0_ILLEGAL_CFG_SHIFT                  _MK_SHIFT_CONST(8)
#define SE0_SHA_ERR_STATUS_0_ILLEGAL_CFG_FIELD                  _MK_FIELD_CONST(0x1, SE0_SHA_ERR_STATUS_0_ILLEGAL_CFG_SHIFT)
#define SE0_SHA_ERR_STATUS_0_ILLEGAL_CFG_RANGE                  8:8
#define SE0_SHA_ERR_STATUS_0_ILLEGAL_CFG_WOFFSET                        0x0
#define SE0_SHA_ERR_STATUS_0_ILLEGAL_CFG_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_ILLEGAL_CFG_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_SHA_ERR_STATUS_0_ILLEGAL_CFG_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_ILLEGAL_CFG_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_ILLEGAL_CFG_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_ILLEGAL_CFG_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_SHA_ERR_STATUS_0_ILLEGAL_CFG_INIT_ENUM                      CLEAR
#define SE0_SHA_ERR_STATUS_0_ILLEGAL_CFG_CLEAR                  _MK_ENUM_CONST(0)
#define SE0_SHA_ERR_STATUS_0_ILLEGAL_CFG_ACTIVE                 _MK_ENUM_CONST(1)
#define SE0_SHA_ERR_STATUS_0_ILLEGAL_CFG_SW_CLEAR                       _MK_ENUM_CONST(1)

#define SE0_SHA_ERR_STATUS_0_TZRAM_NS_ACCESS_SHIFT                      _MK_SHIFT_CONST(24)
#define SE0_SHA_ERR_STATUS_0_TZRAM_NS_ACCESS_FIELD                      _MK_FIELD_CONST(0x1, SE0_SHA_ERR_STATUS_0_TZRAM_NS_ACCESS_SHIFT)
#define SE0_SHA_ERR_STATUS_0_TZRAM_NS_ACCESS_RANGE                      24:24
#define SE0_SHA_ERR_STATUS_0_TZRAM_NS_ACCESS_WOFFSET                    0x0
#define SE0_SHA_ERR_STATUS_0_TZRAM_NS_ACCESS_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_TZRAM_NS_ACCESS_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_SHA_ERR_STATUS_0_TZRAM_NS_ACCESS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_TZRAM_NS_ACCESS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_TZRAM_NS_ACCESS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_TZRAM_NS_ACCESS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_SHA_ERR_STATUS_0_TZRAM_NS_ACCESS_INIT_ENUM                  CLEAR
#define SE0_SHA_ERR_STATUS_0_TZRAM_NS_ACCESS_CLEAR                      _MK_ENUM_CONST(0)
#define SE0_SHA_ERR_STATUS_0_TZRAM_NS_ACCESS_ACTIVE                     _MK_ENUM_CONST(1)
#define SE0_SHA_ERR_STATUS_0_TZRAM_NS_ACCESS_SW_CLEAR                   _MK_ENUM_CONST(1)

#define SE0_SHA_ERR_STATUS_0_TZRAM_ADDRESS_SHIFT                        _MK_SHIFT_CONST(25)
#define SE0_SHA_ERR_STATUS_0_TZRAM_ADDRESS_FIELD                        _MK_FIELD_CONST(0x1, SE0_SHA_ERR_STATUS_0_TZRAM_ADDRESS_SHIFT)
#define SE0_SHA_ERR_STATUS_0_TZRAM_ADDRESS_RANGE                        25:25
#define SE0_SHA_ERR_STATUS_0_TZRAM_ADDRESS_WOFFSET                      0x0
#define SE0_SHA_ERR_STATUS_0_TZRAM_ADDRESS_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_TZRAM_ADDRESS_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_SHA_ERR_STATUS_0_TZRAM_ADDRESS_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_TZRAM_ADDRESS_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_TZRAM_ADDRESS_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_SHA_ERR_STATUS_0_TZRAM_ADDRESS_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_SHA_ERR_STATUS_0_TZRAM_ADDRESS_INIT_ENUM                    CLEAR
#define SE0_SHA_ERR_STATUS_0_TZRAM_ADDRESS_CLEAR                        _MK_ENUM_CONST(0)
#define SE0_SHA_ERR_STATUS_0_TZRAM_ADDRESS_ACTIVE                       _MK_ENUM_CONST(1)
#define SE0_SHA_ERR_STATUS_0_TZRAM_ADDRESS_SW_CLEAR                     _MK_ENUM_CONST(1)

// Register SE0_AES0_GSCID_0
#define SE0_AES0_GSCID_0                        _MK_ADDR_CONST(0x200)
#define SE0_AES0_GSCID_0_SECURE                         0x0
#define SE0_AES0_GSCID_0_DUAL                   0x0
#define SE0_AES0_GSCID_0_SCR                    0
#define SE0_AES0_GSCID_0_WORD_COUNT                     0x1
#define SE0_AES0_GSCID_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE0_AES0_GSCID_0_RESET_MASK                     _MK_MASK_CONST(0xff00ff)
#define SE0_AES0_GSCID_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE0_AES0_GSCID_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_GSCID_0_READ_MASK                      _MK_MASK_CONST(0xff00ff)
#define SE0_AES0_GSCID_0_WRITE_MASK                     _MK_MASK_CONST(0xff00ff)
#define SE0_AES0_GSCID_0_IN_ID_SHIFT                    _MK_SHIFT_CONST(16)
#define SE0_AES0_GSCID_0_IN_ID_FIELD                    _MK_FIELD_CONST(0xff, SE0_AES0_GSCID_0_IN_ID_SHIFT)
#define SE0_AES0_GSCID_0_IN_ID_RANGE                    23:16
#define SE0_AES0_GSCID_0_IN_ID_WOFFSET                  0x0
#define SE0_AES0_GSCID_0_IN_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_GSCID_0_IN_ID_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define SE0_AES0_GSCID_0_IN_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_GSCID_0_IN_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES0_GSCID_0_IN_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES0_GSCID_0_IN_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define SE0_AES0_GSCID_0_OUT_ID_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_AES0_GSCID_0_OUT_ID_FIELD                   _MK_FIELD_CONST(0xff, SE0_AES0_GSCID_0_OUT_ID_SHIFT)
#define SE0_AES0_GSCID_0_OUT_ID_RANGE                   7:0
#define SE0_AES0_GSCID_0_OUT_ID_WOFFSET                 0x0
#define SE0_AES0_GSCID_0_OUT_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES0_GSCID_0_OUT_ID_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define SE0_AES0_GSCID_0_OUT_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_GSCID_0_OUT_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES0_GSCID_0_OUT_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES0_GSCID_0_OUT_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SE0_AES0_CONFIG_0
#define SE0_AES0_CONFIG_0                       _MK_ADDR_CONST(0x204)
#define SE0_AES0_CONFIG_0_SECURE                        0x0
#define SE0_AES0_CONFIG_0_DUAL                  0x0
#define SE0_AES0_CONFIG_0_SCR                   0
#define SE0_AES0_CONFIG_0_WORD_COUNT                    0x1
#define SE0_AES0_CONFIG_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CONFIG_0_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CONFIG_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CONFIG_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CONFIG_0_READ_MASK                     _MK_MASK_CONST(0xffffff1c)
#define SE0_AES0_CONFIG_0_WRITE_MASK                    _MK_MASK_CONST(0xffffff1c)
#define SE0_AES0_CONFIG_0_DST_SHIFT                     _MK_SHIFT_CONST(2)
#define SE0_AES0_CONFIG_0_DST_FIELD                     _MK_FIELD_CONST(0x7, SE0_AES0_CONFIG_0_DST_SHIFT)
#define SE0_AES0_CONFIG_0_DST_RANGE                     4:2
#define SE0_AES0_CONFIG_0_DST_WOFFSET                   0x0
#define SE0_AES0_CONFIG_0_DST_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CONFIG_0_DST_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CONFIG_0_DST_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CONFIG_0_DST_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CONFIG_0_DST_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CONFIG_0_DST_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CONFIG_0_DST_MEMORY                    _MK_ENUM_CONST(0)
#define SE0_AES0_CONFIG_0_DST_HASH_REG                  _MK_ENUM_CONST(1)
#define SE0_AES0_CONFIG_0_DST_KEYTABLE                  _MK_ENUM_CONST(2)
#define SE0_AES0_CONFIG_0_DST_SRK                       _MK_ENUM_CONST(3)
#define SE0_AES0_CONFIG_0_DST_RSA_REG                   _MK_ENUM_CONST(4)

#define SE0_AES0_CONFIG_0_DEC_ALG_SHIFT                 _MK_SHIFT_CONST(8)
#define SE0_AES0_CONFIG_0_DEC_ALG_FIELD                 _MK_FIELD_CONST(0xf, SE0_AES0_CONFIG_0_DEC_ALG_SHIFT)
#define SE0_AES0_CONFIG_0_DEC_ALG_RANGE                 11:8
#define SE0_AES0_CONFIG_0_DEC_ALG_WOFFSET                       0x0
#define SE0_AES0_CONFIG_0_DEC_ALG_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CONFIG_0_DEC_ALG_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CONFIG_0_DEC_ALG_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CONFIG_0_DEC_ALG_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CONFIG_0_DEC_ALG_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CONFIG_0_DEC_ALG_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CONFIG_0_DEC_ALG_NOP                   _MK_ENUM_CONST(0)
#define SE0_AES0_CONFIG_0_DEC_ALG_AES_DEC                       _MK_ENUM_CONST(1)

#define SE0_AES0_CONFIG_0_ENC_ALG_SHIFT                 _MK_SHIFT_CONST(12)
#define SE0_AES0_CONFIG_0_ENC_ALG_FIELD                 _MK_FIELD_CONST(0xf, SE0_AES0_CONFIG_0_ENC_ALG_SHIFT)
#define SE0_AES0_CONFIG_0_ENC_ALG_RANGE                 15:12
#define SE0_AES0_CONFIG_0_ENC_ALG_WOFFSET                       0x0
#define SE0_AES0_CONFIG_0_ENC_ALG_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CONFIG_0_ENC_ALG_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CONFIG_0_ENC_ALG_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CONFIG_0_ENC_ALG_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CONFIG_0_ENC_ALG_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CONFIG_0_ENC_ALG_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CONFIG_0_ENC_ALG_NOP                   _MK_ENUM_CONST(0)
#define SE0_AES0_CONFIG_0_ENC_ALG_AES_ENC                       _MK_ENUM_CONST(1)
#define SE0_AES0_CONFIG_0_ENC_ALG_RNG                   _MK_ENUM_CONST(2)
#define SE0_AES0_CONFIG_0_ENC_ALG_SHA                   _MK_ENUM_CONST(3)
#define SE0_AES0_CONFIG_0_ENC_ALG_RSA                   _MK_ENUM_CONST(4)
#define SE0_AES0_CONFIG_0_ENC_ALG_KEYFETCH                      _MK_ENUM_CONST(5)

#define SE0_AES0_CONFIG_0_DEC_MODE_SHIFT                        _MK_SHIFT_CONST(16)
#define SE0_AES0_CONFIG_0_DEC_MODE_FIELD                        _MK_FIELD_CONST(0xff, SE0_AES0_CONFIG_0_DEC_MODE_SHIFT)
#define SE0_AES0_CONFIG_0_DEC_MODE_RANGE                        23:16
#define SE0_AES0_CONFIG_0_DEC_MODE_WOFFSET                      0x0
#define SE0_AES0_CONFIG_0_DEC_MODE_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CONFIG_0_DEC_MODE_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CONFIG_0_DEC_MODE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CONFIG_0_DEC_MODE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CONFIG_0_DEC_MODE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CONFIG_0_DEC_MODE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define SE0_AES0_CONFIG_0_ENC_MODE_SHIFT                        _MK_SHIFT_CONST(24)
#define SE0_AES0_CONFIG_0_ENC_MODE_FIELD                        _MK_FIELD_CONST(0xff, SE0_AES0_CONFIG_0_ENC_MODE_SHIFT)
#define SE0_AES0_CONFIG_0_ENC_MODE_RANGE                        31:24
#define SE0_AES0_CONFIG_0_ENC_MODE_WOFFSET                      0x0
#define SE0_AES0_CONFIG_0_ENC_MODE_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CONFIG_0_ENC_MODE_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CONFIG_0_ENC_MODE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CONFIG_0_ENC_MODE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CONFIG_0_ENC_MODE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CONFIG_0_ENC_MODE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SE0_AES0_CRYPTO_CONFIG_0
#define SE0_AES0_CRYPTO_CONFIG_0                        _MK_ADDR_CONST(0x208)
#define SE0_AES0_CRYPTO_CONFIG_0_SECURE                         0x0
#define SE0_AES0_CRYPTO_CONFIG_0_DUAL                   0x0
#define SE0_AES0_CRYPTO_CONFIG_0_SCR                    0
#define SE0_AES0_CRYPTO_CONFIG_0_WORD_COUNT                     0x1
#define SE0_AES0_CRYPTO_CONFIG_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_RESET_MASK                     _MK_MASK_CONST(0x80100401)
#define SE0_AES0_CRYPTO_CONFIG_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_READ_MASK                      _MK_MASK_CONST(0x8f17ffff)
#define SE0_AES0_CRYPTO_CONFIG_0_WRITE_MASK                     _MK_MASK_CONST(0x8f17ffff)
#define SE0_AES0_CRYPTO_CONFIG_0_MEMIF_SHIFT                    _MK_SHIFT_CONST(31)
#define SE0_AES0_CRYPTO_CONFIG_0_MEMIF_FIELD                    _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_CONFIG_0_MEMIF_SHIFT)
#define SE0_AES0_CRYPTO_CONFIG_0_MEMIF_RANGE                    31:31
#define SE0_AES0_CRYPTO_CONFIG_0_MEMIF_WOFFSET                  0x0
#define SE0_AES0_CRYPTO_CONFIG_0_MEMIF_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_MEMIF_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_CONFIG_0_MEMIF_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_MEMIF_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_MEMIF_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_MEMIF_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_CONFIG_0_MEMIF_INIT_ENUM                        AHB
#define SE0_AES0_CRYPTO_CONFIG_0_MEMIF_AHB                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_CONFIG_0_MEMIF_MCCIF                    _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_CONFIG_0_KEY_INDEX_SHIFT                        _MK_SHIFT_CONST(24)
#define SE0_AES0_CRYPTO_CONFIG_0_KEY_INDEX_FIELD                        _MK_FIELD_CONST(0xf, SE0_AES0_CRYPTO_CONFIG_0_KEY_INDEX_SHIFT)
#define SE0_AES0_CRYPTO_CONFIG_0_KEY_INDEX_RANGE                        27:24
#define SE0_AES0_CRYPTO_CONFIG_0_KEY_INDEX_WOFFSET                      0x0
#define SE0_AES0_CRYPTO_CONFIG_0_KEY_INDEX_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_KEY_INDEX_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_KEY_INDEX_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_KEY_INDEX_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_KEY_INDEX_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_KEY_INDEX_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define SE0_AES0_CRYPTO_CONFIG_0_SCC_DIS_SHIFT                  _MK_SHIFT_CONST(20)
#define SE0_AES0_CRYPTO_CONFIG_0_SCC_DIS_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_CONFIG_0_SCC_DIS_SHIFT)
#define SE0_AES0_CRYPTO_CONFIG_0_SCC_DIS_RANGE                  20:20
#define SE0_AES0_CRYPTO_CONFIG_0_SCC_DIS_WOFFSET                        0x0
#define SE0_AES0_CRYPTO_CONFIG_0_SCC_DIS_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_SCC_DIS_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_CONFIG_0_SCC_DIS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_SCC_DIS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_SCC_DIS_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_SCC_DIS_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_CONFIG_0_SCC_DIS_INIT_ENUM                      DISABLE
#define SE0_AES0_CRYPTO_CONFIG_0_SCC_DIS_DISABLE                        _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_CONFIG_0_SCC_DIS_ENABLE                 _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_CONFIG_0_CTR_CNTN_SHIFT                 _MK_SHIFT_CONST(11)
#define SE0_AES0_CRYPTO_CONFIG_0_CTR_CNTN_FIELD                 _MK_FIELD_CONST(0xff, SE0_AES0_CRYPTO_CONFIG_0_CTR_CNTN_SHIFT)
#define SE0_AES0_CRYPTO_CONFIG_0_CTR_CNTN_RANGE                 18:11
#define SE0_AES0_CRYPTO_CONFIG_0_CTR_CNTN_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_CONFIG_0_CTR_CNTN_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_CTR_CNTN_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_CTR_CNTN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_CTR_CNTN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_CTR_CNTN_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_CTR_CNTN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define SE0_AES0_CRYPTO_CONFIG_0_KEYSCH_BYPASS_SHIFT                    _MK_SHIFT_CONST(10)
#define SE0_AES0_CRYPTO_CONFIG_0_KEYSCH_BYPASS_FIELD                    _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_CONFIG_0_KEYSCH_BYPASS_SHIFT)
#define SE0_AES0_CRYPTO_CONFIG_0_KEYSCH_BYPASS_RANGE                    10:10
#define SE0_AES0_CRYPTO_CONFIG_0_KEYSCH_BYPASS_WOFFSET                  0x0
#define SE0_AES0_CRYPTO_CONFIG_0_KEYSCH_BYPASS_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_KEYSCH_BYPASS_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_CONFIG_0_KEYSCH_BYPASS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_KEYSCH_BYPASS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_KEYSCH_BYPASS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_KEYSCH_BYPASS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_CONFIG_0_KEYSCH_BYPASS_INIT_ENUM                        DISABLE
#define SE0_AES0_CRYPTO_CONFIG_0_KEYSCH_BYPASS_DISABLE                  _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_CONFIG_0_KEYSCH_BYPASS_ENABLE                   _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_CONFIG_0_CORE_SEL_SHIFT                 _MK_SHIFT_CONST(9)
#define SE0_AES0_CRYPTO_CONFIG_0_CORE_SEL_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_CONFIG_0_CORE_SEL_SHIFT)
#define SE0_AES0_CRYPTO_CONFIG_0_CORE_SEL_RANGE                 9:9
#define SE0_AES0_CRYPTO_CONFIG_0_CORE_SEL_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_CONFIG_0_CORE_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_CORE_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_CORE_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_CORE_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_CORE_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_CORE_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_CONFIG_0_CORE_SEL_DECRYPT                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_CONFIG_0_CORE_SEL_ENCRYPT                       _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_CONFIG_0_IV_SELECT_SHIFT                        _MK_SHIFT_CONST(7)
#define SE0_AES0_CRYPTO_CONFIG_0_IV_SELECT_FIELD                        _MK_FIELD_CONST(0x3, SE0_AES0_CRYPTO_CONFIG_0_IV_SELECT_SHIFT)
#define SE0_AES0_CRYPTO_CONFIG_0_IV_SELECT_RANGE                        8:7
#define SE0_AES0_CRYPTO_CONFIG_0_IV_SELECT_WOFFSET                      0x0
#define SE0_AES0_CRYPTO_CONFIG_0_IV_SELECT_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_IV_SELECT_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_IV_SELECT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_IV_SELECT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_IV_SELECT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_IV_SELECT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_CONFIG_0_IV_SELECT_ORIGINAL                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_CONFIG_0_IV_SELECT_UPDATED                      _MK_ENUM_CONST(1)
#define SE0_AES0_CRYPTO_CONFIG_0_IV_SELECT_REG                  _MK_ENUM_CONST(2)

#define SE0_AES0_CRYPTO_CONFIG_0_VCTRAM_SEL_SHIFT                       _MK_SHIFT_CONST(5)
#define SE0_AES0_CRYPTO_CONFIG_0_VCTRAM_SEL_FIELD                       _MK_FIELD_CONST(0x3, SE0_AES0_CRYPTO_CONFIG_0_VCTRAM_SEL_SHIFT)
#define SE0_AES0_CRYPTO_CONFIG_0_VCTRAM_SEL_RANGE                       6:5
#define SE0_AES0_CRYPTO_CONFIG_0_VCTRAM_SEL_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_CONFIG_0_VCTRAM_SEL_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_VCTRAM_SEL_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_VCTRAM_SEL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_VCTRAM_SEL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_VCTRAM_SEL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_VCTRAM_SEL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_CONFIG_0_VCTRAM_SEL_MEMORY                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_CONFIG_0_VCTRAM_SEL_INIT_AESOUT                 _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_CONFIG_0_VCTRAM_SEL_INIT_PREV_MEMORY                    _MK_ENUM_CONST(3)

#define SE0_AES0_CRYPTO_CONFIG_0_INPUT_SEL_SHIFT                        _MK_SHIFT_CONST(3)
#define SE0_AES0_CRYPTO_CONFIG_0_INPUT_SEL_FIELD                        _MK_FIELD_CONST(0x3, SE0_AES0_CRYPTO_CONFIG_0_INPUT_SEL_SHIFT)
#define SE0_AES0_CRYPTO_CONFIG_0_INPUT_SEL_RANGE                        4:3
#define SE0_AES0_CRYPTO_CONFIG_0_INPUT_SEL_WOFFSET                      0x0
#define SE0_AES0_CRYPTO_CONFIG_0_INPUT_SEL_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_INPUT_SEL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_INPUT_SEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_INPUT_SEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_INPUT_SEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_INPUT_SEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_CONFIG_0_INPUT_SEL_MEMORY                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_CONFIG_0_INPUT_SEL_RANDOM                       _MK_ENUM_CONST(1)
#define SE0_AES0_CRYPTO_CONFIG_0_INPUT_SEL_INIT_AESOUT                  _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_CONFIG_0_INPUT_SEL_LINEAR_CTR                   _MK_ENUM_CONST(3)

#define SE0_AES0_CRYPTO_CONFIG_0_XOR_POS_SHIFT                  _MK_SHIFT_CONST(1)
#define SE0_AES0_CRYPTO_CONFIG_0_XOR_POS_FIELD                  _MK_FIELD_CONST(0x3, SE0_AES0_CRYPTO_CONFIG_0_XOR_POS_SHIFT)
#define SE0_AES0_CRYPTO_CONFIG_0_XOR_POS_RANGE                  2:1
#define SE0_AES0_CRYPTO_CONFIG_0_XOR_POS_WOFFSET                        0x0
#define SE0_AES0_CRYPTO_CONFIG_0_XOR_POS_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_XOR_POS_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_XOR_POS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_XOR_POS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_XOR_POS_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_XOR_POS_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_CONFIG_0_XOR_POS_BYPASS                 _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_CONFIG_0_XOR_POS_TOP                    _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_CONFIG_0_XOR_POS_BOTTOM                 _MK_ENUM_CONST(3)

#define SE0_AES0_CRYPTO_CONFIG_0_HASH_ENB_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_CONFIG_0_HASH_ENB_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_CONFIG_0_HASH_ENB_SHIFT)
#define SE0_AES0_CRYPTO_CONFIG_0_HASH_ENB_RANGE                 0:0
#define SE0_AES0_CRYPTO_CONFIG_0_HASH_ENB_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_CONFIG_0_HASH_ENB_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_HASH_ENB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_CONFIG_0_HASH_ENB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_HASH_ENB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_HASH_ENB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_CONFIG_0_HASH_ENB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_CONFIG_0_HASH_ENB_INIT_ENUM                     DISABLE
#define SE0_AES0_CRYPTO_CONFIG_0_HASH_ENB_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_CONFIG_0_HASH_ENB_ENABLE                        _MK_ENUM_CONST(1)

// Register SE0_AES0_IN_ADDR_0
#define SE0_AES0_IN_ADDR_0                      _MK_ADDR_CONST(0x20c)
#define SE0_AES0_IN_ADDR_0_SECURE                       0x0
#define SE0_AES0_IN_ADDR_0_DUAL                         0x0
#define SE0_AES0_IN_ADDR_0_SCR                  0
#define SE0_AES0_IN_ADDR_0_WORD_COUNT                   0x1
#define SE0_AES0_IN_ADDR_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SE0_AES0_IN_ADDR_0_RESET_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_IN_ADDR_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES0_IN_ADDR_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_IN_ADDR_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_IN_ADDR_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_IN_ADDR_0_VAL_SHIFT                    _MK_SHIFT_CONST(0)
#define SE0_AES0_IN_ADDR_0_VAL_FIELD                    _MK_FIELD_CONST(0xffffffff, SE0_AES0_IN_ADDR_0_VAL_SHIFT)
#define SE0_AES0_IN_ADDR_0_VAL_RANGE                    31:0
#define SE0_AES0_IN_ADDR_0_VAL_WOFFSET                  0x0
#define SE0_AES0_IN_ADDR_0_VAL_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_IN_ADDR_0_VAL_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_IN_ADDR_0_VAL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_IN_ADDR_0_VAL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES0_IN_ADDR_0_VAL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES0_IN_ADDR_0_VAL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

// Register SE0_AES0_IN_ADDR_HI_0
#define SE0_AES0_IN_ADDR_HI_0                   _MK_ADDR_CONST(0x210)
#define SE0_AES0_IN_ADDR_HI_0_SECURE                    0x0
#define SE0_AES0_IN_ADDR_HI_0_DUAL                      0x0
#define SE0_AES0_IN_ADDR_HI_0_SCR                       0
#define SE0_AES0_IN_ADDR_HI_0_WORD_COUNT                        0x1
#define SE0_AES0_IN_ADDR_HI_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SE0_AES0_IN_ADDR_HI_0_RESET_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_IN_ADDR_HI_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE0_AES0_IN_ADDR_HI_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_IN_ADDR_HI_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_IN_ADDR_HI_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_IN_ADDR_HI_0_MSB_SHIFT                 _MK_SHIFT_CONST(24)
#define SE0_AES0_IN_ADDR_HI_0_MSB_FIELD                 _MK_FIELD_CONST(0xff, SE0_AES0_IN_ADDR_HI_0_MSB_SHIFT)
#define SE0_AES0_IN_ADDR_HI_0_MSB_RANGE                 31:24
#define SE0_AES0_IN_ADDR_HI_0_MSB_WOFFSET                       0x0
#define SE0_AES0_IN_ADDR_HI_0_MSB_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_IN_ADDR_HI_0_MSB_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES0_IN_ADDR_HI_0_MSB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_IN_ADDR_HI_0_MSB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_IN_ADDR_HI_0_MSB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_IN_ADDR_HI_0_MSB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define SE0_AES0_IN_ADDR_HI_0_SZ_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_AES0_IN_ADDR_HI_0_SZ_FIELD                  _MK_FIELD_CONST(0xffffff, SE0_AES0_IN_ADDR_HI_0_SZ_SHIFT)
#define SE0_AES0_IN_ADDR_HI_0_SZ_RANGE                  23:0
#define SE0_AES0_IN_ADDR_HI_0_SZ_WOFFSET                        0x0
#define SE0_AES0_IN_ADDR_HI_0_SZ_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_IN_ADDR_HI_0_SZ_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_IN_ADDR_HI_0_SZ_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_IN_ADDR_HI_0_SZ_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_IN_ADDR_HI_0_SZ_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_IN_ADDR_HI_0_SZ_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SE0_AES0_OUT_ADDR_0
#define SE0_AES0_OUT_ADDR_0                     _MK_ADDR_CONST(0x214)
#define SE0_AES0_OUT_ADDR_0_SECURE                      0x0
#define SE0_AES0_OUT_ADDR_0_DUAL                        0x0
#define SE0_AES0_OUT_ADDR_0_SCR                         0
#define SE0_AES0_OUT_ADDR_0_WORD_COUNT                  0x1
#define SE0_AES0_OUT_ADDR_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SE0_AES0_OUT_ADDR_0_RESET_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES0_OUT_ADDR_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SE0_AES0_OUT_ADDR_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_OUT_ADDR_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_OUT_ADDR_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_OUT_ADDR_0_VAL_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_AES0_OUT_ADDR_0_VAL_FIELD                   _MK_FIELD_CONST(0xffffffff, SE0_AES0_OUT_ADDR_0_VAL_SHIFT)
#define SE0_AES0_OUT_ADDR_0_VAL_RANGE                   31:0
#define SE0_AES0_OUT_ADDR_0_VAL_WOFFSET                 0x0
#define SE0_AES0_OUT_ADDR_0_VAL_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES0_OUT_ADDR_0_VAL_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_OUT_ADDR_0_VAL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_OUT_ADDR_0_VAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES0_OUT_ADDR_0_VAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES0_OUT_ADDR_0_VAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SE0_AES0_OUT_ADDR_HI_0
#define SE0_AES0_OUT_ADDR_HI_0                  _MK_ADDR_CONST(0x218)
#define SE0_AES0_OUT_ADDR_HI_0_SECURE                   0x0
#define SE0_AES0_OUT_ADDR_HI_0_DUAL                     0x0
#define SE0_AES0_OUT_ADDR_HI_0_SCR                      0
#define SE0_AES0_OUT_ADDR_HI_0_WORD_COUNT                       0x1
#define SE0_AES0_OUT_ADDR_HI_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES0_OUT_ADDR_HI_0_RESET_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_OUT_ADDR_HI_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SE0_AES0_OUT_ADDR_HI_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES0_OUT_ADDR_HI_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_OUT_ADDR_HI_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_OUT_ADDR_HI_0_MSB_SHIFT                        _MK_SHIFT_CONST(24)
#define SE0_AES0_OUT_ADDR_HI_0_MSB_FIELD                        _MK_FIELD_CONST(0xff, SE0_AES0_OUT_ADDR_HI_0_MSB_SHIFT)
#define SE0_AES0_OUT_ADDR_HI_0_MSB_RANGE                        31:24
#define SE0_AES0_OUT_ADDR_HI_0_MSB_WOFFSET                      0x0
#define SE0_AES0_OUT_ADDR_HI_0_MSB_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_OUT_ADDR_HI_0_MSB_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES0_OUT_ADDR_HI_0_MSB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_OUT_ADDR_HI_0_MSB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_OUT_ADDR_HI_0_MSB_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_OUT_ADDR_HI_0_MSB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define SE0_AES0_OUT_ADDR_HI_0_SZ_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_AES0_OUT_ADDR_HI_0_SZ_FIELD                 _MK_FIELD_CONST(0xffffff, SE0_AES0_OUT_ADDR_HI_0_SZ_SHIFT)
#define SE0_AES0_OUT_ADDR_HI_0_SZ_RANGE                 23:0
#define SE0_AES0_OUT_ADDR_HI_0_SZ_WOFFSET                       0x0
#define SE0_AES0_OUT_ADDR_HI_0_SZ_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_OUT_ADDR_HI_0_SZ_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES0_OUT_ADDR_HI_0_SZ_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_OUT_ADDR_HI_0_SZ_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_OUT_ADDR_HI_0_SZ_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_OUT_ADDR_HI_0_SZ_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SE0_AES0_CRYPTO_LINEAR_CTR_0
#define SE0_AES0_CRYPTO_LINEAR_CTR_0                    _MK_ADDR_CONST(0x21c)
#define SE0_AES0_CRYPTO_LINEAR_CTR_0_SECURE                     0x0
#define SE0_AES0_CRYPTO_LINEAR_CTR_0_DUAL                       0x0
#define SE0_AES0_CRYPTO_LINEAR_CTR_0_SCR                        0
#define SE0_AES0_CRYPTO_LINEAR_CTR_0_WORD_COUNT                         0x1
#define SE0_AES0_CRYPTO_LINEAR_CTR_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_0_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_CRYPTO_LINEAR_CTR_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_CRYPTO_LINEAR_CTR_0_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_0_VAL_FIELD                  _MK_FIELD_CONST(0xffffffff, SE0_AES0_CRYPTO_LINEAR_CTR_0_VAL_SHIFT)
#define SE0_AES0_CRYPTO_LINEAR_CTR_0_VAL_RANGE                  31:0
#define SE0_AES0_CRYPTO_LINEAR_CTR_0_VAL_WOFFSET                        0x0
#define SE0_AES0_CRYPTO_LINEAR_CTR_0_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_0_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_0_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_0_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_0_VAL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_0_VAL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SE0_AES0_CRYPTO_LINEAR_CTR
#define SE0_AES0_CRYPTO_LINEAR_CTR                      _MK_ADDR_CONST(0x21c)
#define SE0_AES0_CRYPTO_LINEAR_CTR_SECURE                       0x0
#define SE0_AES0_CRYPTO_LINEAR_CTR_DUAL                         0x0
#define SE0_AES0_CRYPTO_LINEAR_CTR_SCR                  0
#define SE0_AES0_CRYPTO_LINEAR_CTR_WORD_COUNT                   0x1
#define SE0_AES0_CRYPTO_LINEAR_CTR_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_RESET_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_CRYPTO_LINEAR_CTR_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_CRYPTO_LINEAR_CTR_VAL_SHIFT                    _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_VAL_FIELD                    _MK_FIELD_CONST(0xffffffff, SE0_AES0_CRYPTO_LINEAR_CTR_VAL_SHIFT)
#define SE0_AES0_CRYPTO_LINEAR_CTR_VAL_RANGE                    31:0
#define SE0_AES0_CRYPTO_LINEAR_CTR_VAL_WOFFSET                  0x0
#define SE0_AES0_CRYPTO_LINEAR_CTR_VAL_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_VAL_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_VAL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_VAL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_VAL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_VAL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

// Register SE0_AES0_CRYPTO_LINEAR_CTR_1
#define SE0_AES0_CRYPTO_LINEAR_CTR_1                    _MK_ADDR_CONST(0x220)
#define SE0_AES0_CRYPTO_LINEAR_CTR_1_SECURE                     0x0
#define SE0_AES0_CRYPTO_LINEAR_CTR_1_DUAL                       0x0
#define SE0_AES0_CRYPTO_LINEAR_CTR_1_SCR                        0
#define SE0_AES0_CRYPTO_LINEAR_CTR_1_WORD_COUNT                         0x1
#define SE0_AES0_CRYPTO_LINEAR_CTR_1_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_1_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_1_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_1_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_CRYPTO_LINEAR_CTR_1_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_CRYPTO_LINEAR_CTR_1_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_1_VAL_FIELD                  _MK_FIELD_CONST(0xffffffff, SE0_AES0_CRYPTO_LINEAR_CTR_1_VAL_SHIFT)
#define SE0_AES0_CRYPTO_LINEAR_CTR_1_VAL_RANGE                  31:0
#define SE0_AES0_CRYPTO_LINEAR_CTR_1_VAL_WOFFSET                        0x0
#define SE0_AES0_CRYPTO_LINEAR_CTR_1_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_1_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_1_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_1_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_1_VAL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_1_VAL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SE0_AES0_CRYPTO_LINEAR_CTR_2
#define SE0_AES0_CRYPTO_LINEAR_CTR_2                    _MK_ADDR_CONST(0x224)
#define SE0_AES0_CRYPTO_LINEAR_CTR_2_SECURE                     0x0
#define SE0_AES0_CRYPTO_LINEAR_CTR_2_DUAL                       0x0
#define SE0_AES0_CRYPTO_LINEAR_CTR_2_SCR                        0
#define SE0_AES0_CRYPTO_LINEAR_CTR_2_WORD_COUNT                         0x1
#define SE0_AES0_CRYPTO_LINEAR_CTR_2_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_2_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_2_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_2_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_2_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_CRYPTO_LINEAR_CTR_2_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_CRYPTO_LINEAR_CTR_2_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_2_VAL_FIELD                  _MK_FIELD_CONST(0xffffffff, SE0_AES0_CRYPTO_LINEAR_CTR_2_VAL_SHIFT)
#define SE0_AES0_CRYPTO_LINEAR_CTR_2_VAL_RANGE                  31:0
#define SE0_AES0_CRYPTO_LINEAR_CTR_2_VAL_WOFFSET                        0x0
#define SE0_AES0_CRYPTO_LINEAR_CTR_2_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_2_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_2_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_2_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_2_VAL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_2_VAL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SE0_AES0_CRYPTO_LINEAR_CTR_3
#define SE0_AES0_CRYPTO_LINEAR_CTR_3                    _MK_ADDR_CONST(0x228)
#define SE0_AES0_CRYPTO_LINEAR_CTR_3_SECURE                     0x0
#define SE0_AES0_CRYPTO_LINEAR_CTR_3_DUAL                       0x0
#define SE0_AES0_CRYPTO_LINEAR_CTR_3_SCR                        0
#define SE0_AES0_CRYPTO_LINEAR_CTR_3_WORD_COUNT                         0x1
#define SE0_AES0_CRYPTO_LINEAR_CTR_3_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_3_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_3_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_3_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_3_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_CRYPTO_LINEAR_CTR_3_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_CRYPTO_LINEAR_CTR_3_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_3_VAL_FIELD                  _MK_FIELD_CONST(0xffffffff, SE0_AES0_CRYPTO_LINEAR_CTR_3_VAL_SHIFT)
#define SE0_AES0_CRYPTO_LINEAR_CTR_3_VAL_RANGE                  31:0
#define SE0_AES0_CRYPTO_LINEAR_CTR_3_VAL_WOFFSET                        0x0
#define SE0_AES0_CRYPTO_LINEAR_CTR_3_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_3_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_3_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_3_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_3_VAL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LINEAR_CTR_3_VAL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SE0_AES0_CRYPTO_LAST_BLOCK_0
#define SE0_AES0_CRYPTO_LAST_BLOCK_0                    _MK_ADDR_CONST(0x22c)
#define SE0_AES0_CRYPTO_LAST_BLOCK_0_SECURE                     0x0
#define SE0_AES0_CRYPTO_LAST_BLOCK_0_DUAL                       0x0
#define SE0_AES0_CRYPTO_LAST_BLOCK_0_SCR                        0
#define SE0_AES0_CRYPTO_LAST_BLOCK_0_WORD_COUNT                         0x1
#define SE0_AES0_CRYPTO_LAST_BLOCK_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LAST_BLOCK_0_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LAST_BLOCK_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LAST_BLOCK_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LAST_BLOCK_0_READ_MASK                  _MK_MASK_CONST(0xfffff)
#define SE0_AES0_CRYPTO_LAST_BLOCK_0_WRITE_MASK                         _MK_MASK_CONST(0xfffff)
#define SE0_AES0_CRYPTO_LAST_BLOCK_0_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_LAST_BLOCK_0_VAL_FIELD                  _MK_FIELD_CONST(0xfffff, SE0_AES0_CRYPTO_LAST_BLOCK_0_VAL_SHIFT)
#define SE0_AES0_CRYPTO_LAST_BLOCK_0_VAL_RANGE                  19:0
#define SE0_AES0_CRYPTO_LAST_BLOCK_0_VAL_WOFFSET                        0x0
#define SE0_AES0_CRYPTO_LAST_BLOCK_0_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LAST_BLOCK_0_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LAST_BLOCK_0_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LAST_BLOCK_0_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LAST_BLOCK_0_VAL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_LAST_BLOCK_0_VAL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SE0_AES0_CRYPTO_KEYTABLE_DST_0
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0                  _MK_ADDR_CONST(0x230)
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_SECURE                   0x0
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_DUAL                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_SCR                      0
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_WORD_COUNT                       0x1
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_RESET_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_READ_MASK                        _MK_MASK_CONST(0xf03)
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_WRITE_MASK                       _MK_MASK_CONST(0xf03)
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_KEY_INDEX_SHIFT                  _MK_SHIFT_CONST(8)
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_KEY_INDEX_FIELD                  _MK_FIELD_CONST(0xf, SE0_AES0_CRYPTO_KEYTABLE_DST_0_KEY_INDEX_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_KEY_INDEX_RANGE                  11:8
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_KEY_INDEX_WOFFSET                        0x0
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_KEY_INDEX_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_KEY_INDEX_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_KEY_INDEX_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_KEY_INDEX_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_KEY_INDEX_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_KEY_INDEX_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_WORD_QUAD_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_WORD_QUAD_FIELD                  _MK_FIELD_CONST(0x3, SE0_AES0_CRYPTO_KEYTABLE_DST_0_WORD_QUAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_WORD_QUAD_RANGE                  1:0
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_WORD_QUAD_WOFFSET                        0x0
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_WORD_QUAD_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_WORD_QUAD_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_WORD_QUAD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_WORD_QUAD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_WORD_QUAD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_WORD_QUAD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_WORD_QUAD_KEYS_0_3                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_WORD_QUAD_KEYS_4_7                       _MK_ENUM_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_WORD_QUAD_ORIGINAL_IVS                   _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_DST_0_WORD_QUAD_UPDATED_IVS                    _MK_ENUM_CONST(3)

// Register SE0_AES0_RNG_CONFIG_0
#define SE0_AES0_RNG_CONFIG_0                   _MK_ADDR_CONST(0x234)
#define SE0_AES0_RNG_CONFIG_0_SECURE                    0x0
#define SE0_AES0_RNG_CONFIG_0_DUAL                      0x0
#define SE0_AES0_RNG_CONFIG_0_SCR                       0
#define SE0_AES0_RNG_CONFIG_0_WORD_COUNT                        0x1
#define SE0_AES0_RNG_CONFIG_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SE0_AES0_RNG_CONFIG_0_RESET_MASK                        _MK_MASK_CONST(0xf)
#define SE0_AES0_RNG_CONFIG_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE0_AES0_RNG_CONFIG_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_RNG_CONFIG_0_READ_MASK                         _MK_MASK_CONST(0xf)
#define SE0_AES0_RNG_CONFIG_0_WRITE_MASK                        _MK_MASK_CONST(0xf)
#define SE0_AES0_RNG_CONFIG_0_SRC_SHIFT                 _MK_SHIFT_CONST(2)
#define SE0_AES0_RNG_CONFIG_0_SRC_FIELD                 _MK_FIELD_CONST(0x3, SE0_AES0_RNG_CONFIG_0_SRC_SHIFT)
#define SE0_AES0_RNG_CONFIG_0_SRC_RANGE                 3:2
#define SE0_AES0_RNG_CONFIG_0_SRC_WOFFSET                       0x0
#define SE0_AES0_RNG_CONFIG_0_SRC_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_RNG_CONFIG_0_SRC_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define SE0_AES0_RNG_CONFIG_0_SRC_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_RNG_CONFIG_0_SRC_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_RNG_CONFIG_0_SRC_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_RNG_CONFIG_0_SRC_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_RNG_CONFIG_0_SRC_INIT_ENUM                     NONE
#define SE0_AES0_RNG_CONFIG_0_SRC_NONE                  _MK_ENUM_CONST(0)
#define SE0_AES0_RNG_CONFIG_0_SRC_ENTROPY                       _MK_ENUM_CONST(1)
#define SE0_AES0_RNG_CONFIG_0_SRC_LFSR                  _MK_ENUM_CONST(2)

#define SE0_AES0_RNG_CONFIG_0_MODE_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_AES0_RNG_CONFIG_0_MODE_FIELD                        _MK_FIELD_CONST(0x3, SE0_AES0_RNG_CONFIG_0_MODE_SHIFT)
#define SE0_AES0_RNG_CONFIG_0_MODE_RANGE                        1:0
#define SE0_AES0_RNG_CONFIG_0_MODE_WOFFSET                      0x0
#define SE0_AES0_RNG_CONFIG_0_MODE_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_RNG_CONFIG_0_MODE_DEFAULT_MASK                 _MK_MASK_CONST(0x3)
#define SE0_AES0_RNG_CONFIG_0_MODE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_RNG_CONFIG_0_MODE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_RNG_CONFIG_0_MODE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_RNG_CONFIG_0_MODE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES0_RNG_CONFIG_0_MODE_INIT_ENUM                    NORMAL
#define SE0_AES0_RNG_CONFIG_0_MODE_NORMAL                       _MK_ENUM_CONST(0)
#define SE0_AES0_RNG_CONFIG_0_MODE_FORCE_INSTANTION                     _MK_ENUM_CONST(1)
#define SE0_AES0_RNG_CONFIG_0_MODE_FORCE_RESEED                 _MK_ENUM_CONST(2)

// Register SE0_AES0_OPERATION_0
#define SE0_AES0_OPERATION_0                    _MK_ADDR_CONST(0x238)
#define SE0_AES0_OPERATION_0_SECURE                     0x0
#define SE0_AES0_OPERATION_0_DUAL                       0x0
#define SE0_AES0_OPERATION_0_SCR                        0
#define SE0_AES0_OPERATION_0_WORD_COUNT                         0x1
#define SE0_AES0_OPERATION_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE0_AES0_OPERATION_0_RESET_MASK                         _MK_MASK_CONST(0x18007)
#define SE0_AES0_OPERATION_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE0_AES0_OPERATION_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_OPERATION_0_READ_MASK                  _MK_MASK_CONST(0x18007)
#define SE0_AES0_OPERATION_0_WRITE_MASK                         _MK_MASK_CONST(0x18007)
#define SE0_AES0_OPERATION_0_LASTBUF_SHIFT                      _MK_SHIFT_CONST(16)
#define SE0_AES0_OPERATION_0_LASTBUF_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES0_OPERATION_0_LASTBUF_SHIFT)
#define SE0_AES0_OPERATION_0_LASTBUF_RANGE                      16:16
#define SE0_AES0_OPERATION_0_LASTBUF_WOFFSET                    0x0
#define SE0_AES0_OPERATION_0_LASTBUF_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_OPERATION_0_LASTBUF_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES0_OPERATION_0_LASTBUF_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES0_OPERATION_0_LASTBUF_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_OPERATION_0_LASTBUF_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES0_OPERATION_0_LASTBUF_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES0_OPERATION_0_LASTBUF_INIT_ENUM                  FALSE
#define SE0_AES0_OPERATION_0_LASTBUF_FALSE                      _MK_ENUM_CONST(0)
#define SE0_AES0_OPERATION_0_LASTBUF_TRUE                       _MK_ENUM_CONST(1)

#define SE0_AES0_OPERATION_0_WRSTALL_SHIFT                      _MK_SHIFT_CONST(15)
#define SE0_AES0_OPERATION_0_WRSTALL_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES0_OPERATION_0_WRSTALL_SHIFT)
#define SE0_AES0_OPERATION_0_WRSTALL_RANGE                      15:15
#define SE0_AES0_OPERATION_0_WRSTALL_WOFFSET                    0x0
#define SE0_AES0_OPERATION_0_WRSTALL_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_OPERATION_0_WRSTALL_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES0_OPERATION_0_WRSTALL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES0_OPERATION_0_WRSTALL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_OPERATION_0_WRSTALL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES0_OPERATION_0_WRSTALL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES0_OPERATION_0_WRSTALL_INIT_ENUM                  FALSE
#define SE0_AES0_OPERATION_0_WRSTALL_FALSE                      _MK_ENUM_CONST(0)
#define SE0_AES0_OPERATION_0_WRSTALL_TRUE                       _MK_ENUM_CONST(1)

#define SE0_AES0_OPERATION_0_OP_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_AES0_OPERATION_0_OP_FIELD                   _MK_FIELD_CONST(0x7, SE0_AES0_OPERATION_0_OP_SHIFT)
#define SE0_AES0_OPERATION_0_OP_RANGE                   2:0
#define SE0_AES0_OPERATION_0_OP_WOFFSET                 0x0
#define SE0_AES0_OPERATION_0_OP_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES0_OPERATION_0_OP_DEFAULT_MASK                    _MK_MASK_CONST(0x7)
#define SE0_AES0_OPERATION_0_OP_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_OPERATION_0_OP_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES0_OPERATION_0_OP_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES0_OPERATION_0_OP_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SE0_AES0_CRYPTO_SECURITY_PERKEY_0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_0                       _MK_ADDR_CONST(0x23c)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_0_SECURE                        0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_0_DUAL                  0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_0_SCR                   0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_0_WORD_COUNT                    0x1
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_0_RESET_VAL                     _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_0_RESET_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_0_READ_MASK                     _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_0_WRITE_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_0_OWNER_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_0_OWNER_FIELD                   _MK_FIELD_CONST(0xf, SE0_AES0_CRYPTO_SECURITY_PERKEY_0_OWNER_SHIFT)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_0_OWNER_RANGE                   3:0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_0_OWNER_WOFFSET                 0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_0_OWNER_DEFAULT                 _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_0_OWNER_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_0_OWNER_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_0_OWNER_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_0_OWNER_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_0_OWNER_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_0_OWNER_INIT_ENUM                       ALL
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_0_OWNER_ALL                     _MK_ENUM_CONST(15)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_0_OWNER_OEM                     _MK_ENUM_CONST(8)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_0_OWNER_TZ                      _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_0_OWNER_NV                      _MK_ENUM_CONST(4)

// Register SE0_AES0_CRYPTO_SECURITY_PERKEY
#define SE0_AES0_CRYPTO_SECURITY_PERKEY                 _MK_ADDR_CONST(0x23c)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_SECURE                  0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_DUAL                    0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_SCR                     0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_WORD_COUNT                      0x1
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_RESET_VAL                       _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_RESET_MASK                      _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_READ_MASK                       _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_WRITE_MASK                      _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_OWNER_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_OWNER_FIELD                     _MK_FIELD_CONST(0xf, SE0_AES0_CRYPTO_SECURITY_PERKEY_OWNER_SHIFT)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_OWNER_RANGE                     3:0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_OWNER_WOFFSET                   0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_OWNER_DEFAULT                   _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_OWNER_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_OWNER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_OWNER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_OWNER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_OWNER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_OWNER_INIT_ENUM                 ALL
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_OWNER_ALL                       _MK_ENUM_CONST(15)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_OWNER_OEM                       _MK_ENUM_CONST(8)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_OWNER_TZ                        _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_OWNER_NV                        _MK_ENUM_CONST(4)

// Register SE0_AES0_CRYPTO_SECURITY_PERKEY_1
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_1                       _MK_ADDR_CONST(0x240)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_1_SECURE                        0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_1_DUAL                  0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_1_SCR                   0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_1_WORD_COUNT                    0x1
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_1_RESET_VAL                     _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_1_RESET_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_1_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_1_READ_MASK                     _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_1_WRITE_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_1_OWNER_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_1_OWNER_FIELD                   _MK_FIELD_CONST(0xf, SE0_AES0_CRYPTO_SECURITY_PERKEY_1_OWNER_SHIFT)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_1_OWNER_RANGE                   3:0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_1_OWNER_WOFFSET                 0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_1_OWNER_DEFAULT                 _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_1_OWNER_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_1_OWNER_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_1_OWNER_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_1_OWNER_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_1_OWNER_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_1_OWNER_INIT_ENUM                       ALL
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_1_OWNER_ALL                     _MK_ENUM_CONST(15)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_1_OWNER_OEM                     _MK_ENUM_CONST(8)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_1_OWNER_TZ                      _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_1_OWNER_NV                      _MK_ENUM_CONST(4)

// Register SE0_AES0_CRYPTO_SECURITY_PERKEY_2
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_2                       _MK_ADDR_CONST(0x244)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_2_SECURE                        0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_2_DUAL                  0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_2_SCR                   0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_2_WORD_COUNT                    0x1
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_2_RESET_VAL                     _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_2_RESET_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_2_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_2_READ_MASK                     _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_2_WRITE_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_2_OWNER_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_2_OWNER_FIELD                   _MK_FIELD_CONST(0xf, SE0_AES0_CRYPTO_SECURITY_PERKEY_2_OWNER_SHIFT)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_2_OWNER_RANGE                   3:0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_2_OWNER_WOFFSET                 0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_2_OWNER_DEFAULT                 _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_2_OWNER_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_2_OWNER_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_2_OWNER_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_2_OWNER_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_2_OWNER_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_2_OWNER_INIT_ENUM                       ALL
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_2_OWNER_ALL                     _MK_ENUM_CONST(15)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_2_OWNER_OEM                     _MK_ENUM_CONST(8)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_2_OWNER_TZ                      _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_2_OWNER_NV                      _MK_ENUM_CONST(4)

// Register SE0_AES0_CRYPTO_SECURITY_PERKEY_3
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_3                       _MK_ADDR_CONST(0x248)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_3_SECURE                        0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_3_DUAL                  0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_3_SCR                   0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_3_WORD_COUNT                    0x1
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_3_RESET_VAL                     _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_3_RESET_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_3_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_3_READ_MASK                     _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_3_WRITE_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_3_OWNER_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_3_OWNER_FIELD                   _MK_FIELD_CONST(0xf, SE0_AES0_CRYPTO_SECURITY_PERKEY_3_OWNER_SHIFT)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_3_OWNER_RANGE                   3:0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_3_OWNER_WOFFSET                 0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_3_OWNER_DEFAULT                 _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_3_OWNER_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_3_OWNER_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_3_OWNER_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_3_OWNER_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_3_OWNER_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_3_OWNER_INIT_ENUM                       ALL
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_3_OWNER_ALL                     _MK_ENUM_CONST(15)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_3_OWNER_OEM                     _MK_ENUM_CONST(8)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_3_OWNER_TZ                      _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_3_OWNER_NV                      _MK_ENUM_CONST(4)

// Register SE0_AES0_CRYPTO_SECURITY_PERKEY_4
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_4                       _MK_ADDR_CONST(0x24c)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_4_SECURE                        0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_4_DUAL                  0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_4_SCR                   0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_4_WORD_COUNT                    0x1
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_4_RESET_VAL                     _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_4_RESET_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_4_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_4_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_4_READ_MASK                     _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_4_WRITE_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_4_OWNER_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_4_OWNER_FIELD                   _MK_FIELD_CONST(0xf, SE0_AES0_CRYPTO_SECURITY_PERKEY_4_OWNER_SHIFT)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_4_OWNER_RANGE                   3:0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_4_OWNER_WOFFSET                 0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_4_OWNER_DEFAULT                 _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_4_OWNER_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_4_OWNER_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_4_OWNER_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_4_OWNER_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_4_OWNER_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_4_OWNER_INIT_ENUM                       ALL
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_4_OWNER_ALL                     _MK_ENUM_CONST(15)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_4_OWNER_OEM                     _MK_ENUM_CONST(8)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_4_OWNER_TZ                      _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_4_OWNER_NV                      _MK_ENUM_CONST(4)

// Register SE0_AES0_CRYPTO_SECURITY_PERKEY_5
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_5                       _MK_ADDR_CONST(0x250)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_5_SECURE                        0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_5_DUAL                  0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_5_SCR                   0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_5_WORD_COUNT                    0x1
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_5_RESET_VAL                     _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_5_RESET_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_5_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_5_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_5_READ_MASK                     _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_5_WRITE_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_5_OWNER_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_5_OWNER_FIELD                   _MK_FIELD_CONST(0xf, SE0_AES0_CRYPTO_SECURITY_PERKEY_5_OWNER_SHIFT)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_5_OWNER_RANGE                   3:0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_5_OWNER_WOFFSET                 0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_5_OWNER_DEFAULT                 _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_5_OWNER_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_5_OWNER_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_5_OWNER_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_5_OWNER_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_5_OWNER_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_5_OWNER_INIT_ENUM                       ALL
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_5_OWNER_ALL                     _MK_ENUM_CONST(15)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_5_OWNER_OEM                     _MK_ENUM_CONST(8)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_5_OWNER_TZ                      _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_5_OWNER_NV                      _MK_ENUM_CONST(4)

// Register SE0_AES0_CRYPTO_SECURITY_PERKEY_6
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_6                       _MK_ADDR_CONST(0x254)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_6_SECURE                        0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_6_DUAL                  0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_6_SCR                   0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_6_WORD_COUNT                    0x1
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_6_RESET_VAL                     _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_6_RESET_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_6_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_6_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_6_READ_MASK                     _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_6_WRITE_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_6_OWNER_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_6_OWNER_FIELD                   _MK_FIELD_CONST(0xf, SE0_AES0_CRYPTO_SECURITY_PERKEY_6_OWNER_SHIFT)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_6_OWNER_RANGE                   3:0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_6_OWNER_WOFFSET                 0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_6_OWNER_DEFAULT                 _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_6_OWNER_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_6_OWNER_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_6_OWNER_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_6_OWNER_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_6_OWNER_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_6_OWNER_INIT_ENUM                       ALL
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_6_OWNER_ALL                     _MK_ENUM_CONST(15)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_6_OWNER_OEM                     _MK_ENUM_CONST(8)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_6_OWNER_TZ                      _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_6_OWNER_NV                      _MK_ENUM_CONST(4)

// Register SE0_AES0_CRYPTO_SECURITY_PERKEY_7
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_7                       _MK_ADDR_CONST(0x258)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_7_SECURE                        0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_7_DUAL                  0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_7_SCR                   0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_7_WORD_COUNT                    0x1
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_7_RESET_VAL                     _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_7_RESET_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_7_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_7_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_7_READ_MASK                     _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_7_WRITE_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_7_OWNER_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_7_OWNER_FIELD                   _MK_FIELD_CONST(0xf, SE0_AES0_CRYPTO_SECURITY_PERKEY_7_OWNER_SHIFT)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_7_OWNER_RANGE                   3:0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_7_OWNER_WOFFSET                 0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_7_OWNER_DEFAULT                 _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_7_OWNER_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_7_OWNER_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_7_OWNER_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_7_OWNER_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_7_OWNER_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_7_OWNER_INIT_ENUM                       ALL
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_7_OWNER_ALL                     _MK_ENUM_CONST(15)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_7_OWNER_OEM                     _MK_ENUM_CONST(8)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_7_OWNER_TZ                      _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_7_OWNER_NV                      _MK_ENUM_CONST(4)

// Register SE0_AES0_CRYPTO_SECURITY_PERKEY_8
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_8                       _MK_ADDR_CONST(0x25c)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_8_SECURE                        0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_8_DUAL                  0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_8_SCR                   0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_8_WORD_COUNT                    0x1
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_8_RESET_VAL                     _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_8_RESET_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_8_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_8_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_8_READ_MASK                     _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_8_WRITE_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_8_OWNER_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_8_OWNER_FIELD                   _MK_FIELD_CONST(0xf, SE0_AES0_CRYPTO_SECURITY_PERKEY_8_OWNER_SHIFT)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_8_OWNER_RANGE                   3:0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_8_OWNER_WOFFSET                 0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_8_OWNER_DEFAULT                 _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_8_OWNER_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_8_OWNER_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_8_OWNER_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_8_OWNER_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_8_OWNER_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_8_OWNER_INIT_ENUM                       ALL
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_8_OWNER_ALL                     _MK_ENUM_CONST(15)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_8_OWNER_OEM                     _MK_ENUM_CONST(8)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_8_OWNER_TZ                      _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_8_OWNER_NV                      _MK_ENUM_CONST(4)

// Register SE0_AES0_CRYPTO_SECURITY_PERKEY_9
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_9                       _MK_ADDR_CONST(0x260)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_9_SECURE                        0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_9_DUAL                  0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_9_SCR                   0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_9_WORD_COUNT                    0x1
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_9_RESET_VAL                     _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_9_RESET_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_9_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_9_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_9_READ_MASK                     _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_9_WRITE_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_9_OWNER_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_9_OWNER_FIELD                   _MK_FIELD_CONST(0xf, SE0_AES0_CRYPTO_SECURITY_PERKEY_9_OWNER_SHIFT)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_9_OWNER_RANGE                   3:0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_9_OWNER_WOFFSET                 0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_9_OWNER_DEFAULT                 _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_9_OWNER_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_9_OWNER_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_9_OWNER_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_9_OWNER_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_9_OWNER_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_9_OWNER_INIT_ENUM                       ALL
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_9_OWNER_ALL                     _MK_ENUM_CONST(15)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_9_OWNER_OEM                     _MK_ENUM_CONST(8)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_9_OWNER_TZ                      _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_9_OWNER_NV                      _MK_ENUM_CONST(4)

// Register SE0_AES0_CRYPTO_SECURITY_PERKEY_10
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_10                      _MK_ADDR_CONST(0x264)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_10_SECURE                       0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_10_DUAL                         0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_10_SCR                  0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_10_WORD_COUNT                   0x1
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_10_RESET_VAL                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_10_RESET_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_10_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_10_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_10_READ_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_10_WRITE_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_10_OWNER_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_10_OWNER_FIELD                  _MK_FIELD_CONST(0xf, SE0_AES0_CRYPTO_SECURITY_PERKEY_10_OWNER_SHIFT)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_10_OWNER_RANGE                  3:0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_10_OWNER_WOFFSET                        0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_10_OWNER_DEFAULT                        _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_10_OWNER_DEFAULT_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_10_OWNER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_10_OWNER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_10_OWNER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_10_OWNER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_10_OWNER_INIT_ENUM                      ALL
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_10_OWNER_ALL                    _MK_ENUM_CONST(15)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_10_OWNER_OEM                    _MK_ENUM_CONST(8)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_10_OWNER_TZ                     _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_10_OWNER_NV                     _MK_ENUM_CONST(4)

// Register SE0_AES0_CRYPTO_SECURITY_PERKEY_11
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_11                      _MK_ADDR_CONST(0x268)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_11_SECURE                       0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_11_DUAL                         0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_11_SCR                  0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_11_WORD_COUNT                   0x1
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_11_RESET_VAL                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_11_RESET_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_11_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_11_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_11_READ_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_11_WRITE_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_11_OWNER_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_11_OWNER_FIELD                  _MK_FIELD_CONST(0xf, SE0_AES0_CRYPTO_SECURITY_PERKEY_11_OWNER_SHIFT)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_11_OWNER_RANGE                  3:0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_11_OWNER_WOFFSET                        0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_11_OWNER_DEFAULT                        _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_11_OWNER_DEFAULT_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_11_OWNER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_11_OWNER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_11_OWNER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_11_OWNER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_11_OWNER_INIT_ENUM                      ALL
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_11_OWNER_ALL                    _MK_ENUM_CONST(15)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_11_OWNER_OEM                    _MK_ENUM_CONST(8)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_11_OWNER_TZ                     _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_11_OWNER_NV                     _MK_ENUM_CONST(4)

// Register SE0_AES0_CRYPTO_SECURITY_PERKEY_12
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_12                      _MK_ADDR_CONST(0x26c)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_12_SECURE                       0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_12_DUAL                         0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_12_SCR                  0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_12_WORD_COUNT                   0x1
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_12_RESET_VAL                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_12_RESET_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_12_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_12_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_12_READ_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_12_WRITE_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_12_OWNER_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_12_OWNER_FIELD                  _MK_FIELD_CONST(0xf, SE0_AES0_CRYPTO_SECURITY_PERKEY_12_OWNER_SHIFT)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_12_OWNER_RANGE                  3:0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_12_OWNER_WOFFSET                        0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_12_OWNER_DEFAULT                        _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_12_OWNER_DEFAULT_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_12_OWNER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_12_OWNER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_12_OWNER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_12_OWNER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_12_OWNER_INIT_ENUM                      ALL
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_12_OWNER_ALL                    _MK_ENUM_CONST(15)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_12_OWNER_OEM                    _MK_ENUM_CONST(8)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_12_OWNER_TZ                     _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_12_OWNER_NV                     _MK_ENUM_CONST(4)

// Register SE0_AES0_CRYPTO_SECURITY_PERKEY_13
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_13                      _MK_ADDR_CONST(0x270)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_13_SECURE                       0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_13_DUAL                         0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_13_SCR                  0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_13_WORD_COUNT                   0x1
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_13_RESET_VAL                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_13_RESET_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_13_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_13_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_13_READ_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_13_WRITE_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_13_OWNER_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_13_OWNER_FIELD                  _MK_FIELD_CONST(0xf, SE0_AES0_CRYPTO_SECURITY_PERKEY_13_OWNER_SHIFT)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_13_OWNER_RANGE                  3:0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_13_OWNER_WOFFSET                        0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_13_OWNER_DEFAULT                        _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_13_OWNER_DEFAULT_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_13_OWNER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_13_OWNER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_13_OWNER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_13_OWNER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_13_OWNER_INIT_ENUM                      ALL
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_13_OWNER_ALL                    _MK_ENUM_CONST(15)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_13_OWNER_OEM                    _MK_ENUM_CONST(8)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_13_OWNER_TZ                     _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_13_OWNER_NV                     _MK_ENUM_CONST(4)

// Register SE0_AES0_CRYPTO_SECURITY_PERKEY_14
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_14                      _MK_ADDR_CONST(0x274)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_14_SECURE                       0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_14_DUAL                         0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_14_SCR                  0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_14_WORD_COUNT                   0x1
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_14_RESET_VAL                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_14_RESET_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_14_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_14_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_14_READ_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_14_WRITE_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_14_OWNER_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_14_OWNER_FIELD                  _MK_FIELD_CONST(0xf, SE0_AES0_CRYPTO_SECURITY_PERKEY_14_OWNER_SHIFT)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_14_OWNER_RANGE                  3:0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_14_OWNER_WOFFSET                        0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_14_OWNER_DEFAULT                        _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_14_OWNER_DEFAULT_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_14_OWNER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_14_OWNER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_14_OWNER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_14_OWNER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_14_OWNER_INIT_ENUM                      ALL
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_14_OWNER_ALL                    _MK_ENUM_CONST(15)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_14_OWNER_OEM                    _MK_ENUM_CONST(8)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_14_OWNER_TZ                     _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_14_OWNER_NV                     _MK_ENUM_CONST(4)

// Register SE0_AES0_CRYPTO_SECURITY_PERKEY_15
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_15                      _MK_ADDR_CONST(0x278)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_15_SECURE                       0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_15_DUAL                         0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_15_SCR                  0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_15_WORD_COUNT                   0x1
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_15_RESET_VAL                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_15_RESET_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_15_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_15_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_15_READ_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_15_WRITE_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_15_OWNER_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_15_OWNER_FIELD                  _MK_FIELD_CONST(0xf, SE0_AES0_CRYPTO_SECURITY_PERKEY_15_OWNER_SHIFT)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_15_OWNER_RANGE                  3:0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_15_OWNER_WOFFSET                        0x0
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_15_OWNER_DEFAULT                        _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_15_OWNER_DEFAULT_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_15_OWNER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_15_OWNER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_15_OWNER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_15_OWNER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_15_OWNER_INIT_ENUM                      ALL
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_15_OWNER_ALL                    _MK_ENUM_CONST(15)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_15_OWNER_OEM                    _MK_ENUM_CONST(8)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_15_OWNER_TZ                     _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_SECURITY_PERKEY_15_OWNER_NV                     _MK_ENUM_CONST(4)

// Register SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0                       _MK_ADDR_CONST(0x27c)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_SECURE                        0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_DUAL                  0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_SCR                   0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_WORD_COUNT                    0x1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_RESET_VAL                     _MK_MASK_CONST(0x7f)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_SHIFT                     _MK_SHIFT_CONST(8)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_FIELD                     _MK_FIELD_CONST(0x7, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_RANGE                     10:8
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_WOFFSET                   0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_INIT_ENUM                 ECB
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_ECB                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_CBC                       _MK_ENUM_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_OFB                       _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_CTR                       _MK_ENUM_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_XTS                       _MK_ENUM_CONST(4)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_DST_KEYTABLE_ONLY_SHIFT                       _MK_SHIFT_CONST(7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_DST_KEYTABLE_ONLY_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_DST_KEYTABLE_ONLY_RANGE                       7:7
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_DST_KEYTABLE_ONLY_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_DST_KEYTABLE_ONLY_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_DST_KEYTABLE_ONLY_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_DST_KEYTABLE_ONLY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_DST_KEYTABLE_ONLY_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_DST_KEYTABLE_ONLY_INIT_ENUM                   FALSE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_DST_KEYTABLE_ONLY_FALSE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_DST_KEYTABLE_ONLY_TRUE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYUSE_SHIFT                  _MK_SHIFT_CONST(6)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYUSE_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYUSE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYUSE_RANGE                  6:6
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYUSE_WOFFSET                        0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYUSE_DEFAULT                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYUSE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYUSE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYUSE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYUSE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYUSE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYUSE_INIT_ENUM                      ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYUSE_DISABLE                        _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYUSE_ENABLE                 _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_UIVUPDATE_SHIFT                       _MK_SHIFT_CONST(5)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_UIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_UIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_UIVUPDATE_RANGE                       5:5
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_UIVUPDATE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_UIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_UIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_UIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_UIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_UIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_UIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_UIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_UIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_UIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_UIVREAD_SHIFT                 _MK_SHIFT_CONST(4)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_UIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_UIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_UIVREAD_RANGE                 4:4
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_UIVREAD_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_UIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_UIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_UIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_UIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_UIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_UIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_UIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_UIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_UIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_OIVUPDATE_SHIFT                       _MK_SHIFT_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_OIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_OIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_OIVUPDATE_RANGE                       3:3
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_OIVUPDATE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_OIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_OIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_OIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_OIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_OIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_OIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_OIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_OIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_OIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_OIVREAD_SHIFT                 _MK_SHIFT_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_OIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_OIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_OIVREAD_RANGE                 2:2
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_OIVREAD_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_OIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_OIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_OIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_OIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_OIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_OIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_OIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_OIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_OIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYUPDATE_SHIFT                       _MK_SHIFT_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYUPDATE_RANGE                       1:1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYUPDATE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYREAD_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYREAD_RANGE                 0:0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYREAD_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYREAD_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0_KEYREAD_ENABLE                        _MK_ENUM_CONST(1)

// Register SE0_AES0_CRYPTO_KEYTABLE_ACCESS
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS                 _MK_ADDR_CONST(0x27c)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_SECURE                  0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_DUAL                    0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_SCR                     0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_WORD_COUNT                      0x1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_RESET_VAL                       _MK_MASK_CONST(0x7f)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_RESET_MASK                      _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_READ_MASK                       _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_WRITE_MASK                      _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_SHIFT                       _MK_SHIFT_CONST(8)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_FIELD                       _MK_FIELD_CONST(0x7, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_RANGE                       10:8
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_DEFAULT_MASK                        _MK_MASK_CONST(0x7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_INIT_ENUM                   ECB
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_ECB                 _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_CBC                 _MK_ENUM_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_OFB                 _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_CTR                 _MK_ENUM_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_XTS                 _MK_ENUM_CONST(4)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_DST_KEYTABLE_ONLY_SHIFT                 _MK_SHIFT_CONST(7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_DST_KEYTABLE_ONLY_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_DST_KEYTABLE_ONLY_RANGE                 7:7
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_DST_KEYTABLE_ONLY_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_DST_KEYTABLE_ONLY_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_DST_KEYTABLE_ONLY_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_DST_KEYTABLE_ONLY_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_DST_KEYTABLE_ONLY_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_DST_KEYTABLE_ONLY_INIT_ENUM                     FALSE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_DST_KEYTABLE_ONLY_FALSE                 _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_DST_KEYTABLE_ONLY_TRUE                  _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYUSE_SHIFT                    _MK_SHIFT_CONST(6)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYUSE_FIELD                    _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYUSE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYUSE_RANGE                    6:6
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYUSE_WOFFSET                  0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYUSE_DEFAULT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYUSE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYUSE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYUSE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYUSE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYUSE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYUSE_INIT_ENUM                        ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYUSE_DISABLE                  _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYUSE_ENABLE                   _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_UIVUPDATE_SHIFT                 _MK_SHIFT_CONST(5)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_UIVUPDATE_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_UIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_UIVUPDATE_RANGE                 5:5
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_UIVUPDATE_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_UIVUPDATE_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_UIVUPDATE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_UIVUPDATE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_UIVUPDATE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_UIVUPDATE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_UIVUPDATE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_UIVUPDATE_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_UIVUPDATE_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_UIVUPDATE_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_UIVREAD_SHIFT                   _MK_SHIFT_CONST(4)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_UIVREAD_FIELD                   _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_UIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_UIVREAD_RANGE                   4:4
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_UIVREAD_WOFFSET                 0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_UIVREAD_DEFAULT                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_UIVREAD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_UIVREAD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_UIVREAD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_UIVREAD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_UIVREAD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_UIVREAD_INIT_ENUM                       ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_UIVREAD_DISABLE                 _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_UIVREAD_ENABLE                  _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_OIVUPDATE_SHIFT                 _MK_SHIFT_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_OIVUPDATE_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_OIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_OIVUPDATE_RANGE                 3:3
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_OIVUPDATE_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_OIVUPDATE_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_OIVUPDATE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_OIVUPDATE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_OIVUPDATE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_OIVUPDATE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_OIVUPDATE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_OIVUPDATE_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_OIVUPDATE_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_OIVUPDATE_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_OIVREAD_SHIFT                   _MK_SHIFT_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_OIVREAD_FIELD                   _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_OIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_OIVREAD_RANGE                   2:2
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_OIVREAD_WOFFSET                 0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_OIVREAD_DEFAULT                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_OIVREAD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_OIVREAD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_OIVREAD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_OIVREAD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_OIVREAD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_OIVREAD_INIT_ENUM                       ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_OIVREAD_DISABLE                 _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_OIVREAD_ENABLE                  _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYUPDATE_SHIFT                 _MK_SHIFT_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYUPDATE_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYUPDATE_RANGE                 1:1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYUPDATE_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYUPDATE_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYUPDATE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYUPDATE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYUPDATE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYUPDATE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYUPDATE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYUPDATE_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYUPDATE_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYUPDATE_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYREAD_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYREAD_FIELD                   _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYREAD_RANGE                   0:0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYREAD_WOFFSET                 0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYREAD_DEFAULT                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYREAD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYREAD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYREAD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYREAD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYREAD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYREAD_INIT_ENUM                       ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYREAD_DISABLE                 _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_KEYREAD_ENABLE                  _MK_ENUM_CONST(1)

// Register SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1                       _MK_ADDR_CONST(0x280)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_SECURE                        0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_DUAL                  0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_SCR                   0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_WORD_COUNT                    0x1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_RESET_VAL                     _MK_MASK_CONST(0x7f)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_SHIFT                     _MK_SHIFT_CONST(8)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_FIELD                     _MK_FIELD_CONST(0x7, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_RANGE                     10:8
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_WOFFSET                   0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_INIT_ENUM                 ECB
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_ECB                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_CBC                       _MK_ENUM_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_OFB                       _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_CTR                       _MK_ENUM_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_XTS                       _MK_ENUM_CONST(4)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_DST_KEYTABLE_ONLY_SHIFT                       _MK_SHIFT_CONST(7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_DST_KEYTABLE_ONLY_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_DST_KEYTABLE_ONLY_RANGE                       7:7
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_DST_KEYTABLE_ONLY_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_DST_KEYTABLE_ONLY_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_DST_KEYTABLE_ONLY_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_DST_KEYTABLE_ONLY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_DST_KEYTABLE_ONLY_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_DST_KEYTABLE_ONLY_INIT_ENUM                   FALSE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_DST_KEYTABLE_ONLY_FALSE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_DST_KEYTABLE_ONLY_TRUE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYUSE_SHIFT                  _MK_SHIFT_CONST(6)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYUSE_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYUSE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYUSE_RANGE                  6:6
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYUSE_WOFFSET                        0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYUSE_DEFAULT                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYUSE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYUSE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYUSE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYUSE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYUSE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYUSE_INIT_ENUM                      ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYUSE_DISABLE                        _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYUSE_ENABLE                 _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_UIVUPDATE_SHIFT                       _MK_SHIFT_CONST(5)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_UIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_UIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_UIVUPDATE_RANGE                       5:5
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_UIVUPDATE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_UIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_UIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_UIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_UIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_UIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_UIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_UIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_UIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_UIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_UIVREAD_SHIFT                 _MK_SHIFT_CONST(4)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_UIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_UIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_UIVREAD_RANGE                 4:4
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_UIVREAD_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_UIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_UIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_UIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_UIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_UIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_UIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_UIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_UIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_UIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_OIVUPDATE_SHIFT                       _MK_SHIFT_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_OIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_OIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_OIVUPDATE_RANGE                       3:3
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_OIVUPDATE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_OIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_OIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_OIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_OIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_OIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_OIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_OIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_OIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_OIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_OIVREAD_SHIFT                 _MK_SHIFT_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_OIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_OIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_OIVREAD_RANGE                 2:2
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_OIVREAD_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_OIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_OIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_OIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_OIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_OIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_OIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_OIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_OIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_OIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYUPDATE_SHIFT                       _MK_SHIFT_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYUPDATE_RANGE                       1:1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYUPDATE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYREAD_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYREAD_RANGE                 0:0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYREAD_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYREAD_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1_KEYREAD_ENABLE                        _MK_ENUM_CONST(1)

// Register SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2                       _MK_ADDR_CONST(0x284)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_SECURE                        0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_DUAL                  0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_SCR                   0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_WORD_COUNT                    0x1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_RESET_VAL                     _MK_MASK_CONST(0x7f)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_SHIFT                     _MK_SHIFT_CONST(8)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_FIELD                     _MK_FIELD_CONST(0x7, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_RANGE                     10:8
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_WOFFSET                   0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_INIT_ENUM                 ECB
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_ECB                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_CBC                       _MK_ENUM_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_OFB                       _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_CTR                       _MK_ENUM_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_XTS                       _MK_ENUM_CONST(4)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_DST_KEYTABLE_ONLY_SHIFT                       _MK_SHIFT_CONST(7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_DST_KEYTABLE_ONLY_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_DST_KEYTABLE_ONLY_RANGE                       7:7
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_DST_KEYTABLE_ONLY_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_DST_KEYTABLE_ONLY_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_DST_KEYTABLE_ONLY_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_DST_KEYTABLE_ONLY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_DST_KEYTABLE_ONLY_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_DST_KEYTABLE_ONLY_INIT_ENUM                   FALSE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_DST_KEYTABLE_ONLY_FALSE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_DST_KEYTABLE_ONLY_TRUE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYUSE_SHIFT                  _MK_SHIFT_CONST(6)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYUSE_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYUSE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYUSE_RANGE                  6:6
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYUSE_WOFFSET                        0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYUSE_DEFAULT                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYUSE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYUSE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYUSE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYUSE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYUSE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYUSE_INIT_ENUM                      ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYUSE_DISABLE                        _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYUSE_ENABLE                 _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_UIVUPDATE_SHIFT                       _MK_SHIFT_CONST(5)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_UIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_UIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_UIVUPDATE_RANGE                       5:5
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_UIVUPDATE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_UIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_UIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_UIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_UIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_UIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_UIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_UIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_UIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_UIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_UIVREAD_SHIFT                 _MK_SHIFT_CONST(4)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_UIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_UIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_UIVREAD_RANGE                 4:4
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_UIVREAD_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_UIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_UIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_UIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_UIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_UIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_UIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_UIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_UIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_UIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_OIVUPDATE_SHIFT                       _MK_SHIFT_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_OIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_OIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_OIVUPDATE_RANGE                       3:3
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_OIVUPDATE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_OIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_OIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_OIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_OIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_OIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_OIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_OIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_OIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_OIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_OIVREAD_SHIFT                 _MK_SHIFT_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_OIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_OIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_OIVREAD_RANGE                 2:2
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_OIVREAD_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_OIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_OIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_OIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_OIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_OIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_OIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_OIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_OIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_OIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYUPDATE_SHIFT                       _MK_SHIFT_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYUPDATE_RANGE                       1:1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYUPDATE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYREAD_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYREAD_RANGE                 0:0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYREAD_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYREAD_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2_KEYREAD_ENABLE                        _MK_ENUM_CONST(1)

// Register SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3                       _MK_ADDR_CONST(0x288)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_SECURE                        0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_DUAL                  0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_SCR                   0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_WORD_COUNT                    0x1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_RESET_VAL                     _MK_MASK_CONST(0x7f)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_SHIFT                     _MK_SHIFT_CONST(8)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_FIELD                     _MK_FIELD_CONST(0x7, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_RANGE                     10:8
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_WOFFSET                   0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_INIT_ENUM                 ECB
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_ECB                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_CBC                       _MK_ENUM_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_OFB                       _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_CTR                       _MK_ENUM_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_XTS                       _MK_ENUM_CONST(4)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_DST_KEYTABLE_ONLY_SHIFT                       _MK_SHIFT_CONST(7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_DST_KEYTABLE_ONLY_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_DST_KEYTABLE_ONLY_RANGE                       7:7
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_DST_KEYTABLE_ONLY_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_DST_KEYTABLE_ONLY_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_DST_KEYTABLE_ONLY_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_DST_KEYTABLE_ONLY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_DST_KEYTABLE_ONLY_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_DST_KEYTABLE_ONLY_INIT_ENUM                   FALSE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_DST_KEYTABLE_ONLY_FALSE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_DST_KEYTABLE_ONLY_TRUE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYUSE_SHIFT                  _MK_SHIFT_CONST(6)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYUSE_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYUSE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYUSE_RANGE                  6:6
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYUSE_WOFFSET                        0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYUSE_DEFAULT                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYUSE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYUSE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYUSE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYUSE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYUSE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYUSE_INIT_ENUM                      ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYUSE_DISABLE                        _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYUSE_ENABLE                 _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_UIVUPDATE_SHIFT                       _MK_SHIFT_CONST(5)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_UIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_UIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_UIVUPDATE_RANGE                       5:5
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_UIVUPDATE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_UIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_UIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_UIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_UIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_UIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_UIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_UIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_UIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_UIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_UIVREAD_SHIFT                 _MK_SHIFT_CONST(4)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_UIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_UIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_UIVREAD_RANGE                 4:4
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_UIVREAD_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_UIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_UIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_UIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_UIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_UIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_UIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_UIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_UIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_UIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_OIVUPDATE_SHIFT                       _MK_SHIFT_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_OIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_OIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_OIVUPDATE_RANGE                       3:3
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_OIVUPDATE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_OIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_OIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_OIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_OIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_OIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_OIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_OIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_OIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_OIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_OIVREAD_SHIFT                 _MK_SHIFT_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_OIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_OIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_OIVREAD_RANGE                 2:2
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_OIVREAD_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_OIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_OIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_OIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_OIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_OIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_OIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_OIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_OIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_OIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYUPDATE_SHIFT                       _MK_SHIFT_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYUPDATE_RANGE                       1:1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYUPDATE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYREAD_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYREAD_RANGE                 0:0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYREAD_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYREAD_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3_KEYREAD_ENABLE                        _MK_ENUM_CONST(1)

// Register SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4                       _MK_ADDR_CONST(0x28c)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_SECURE                        0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_DUAL                  0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_SCR                   0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_WORD_COUNT                    0x1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_RESET_VAL                     _MK_MASK_CONST(0x7f)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_SHIFT                     _MK_SHIFT_CONST(8)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_FIELD                     _MK_FIELD_CONST(0x7, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_RANGE                     10:8
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_WOFFSET                   0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_INIT_ENUM                 ECB
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_ECB                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_CBC                       _MK_ENUM_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_OFB                       _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_CTR                       _MK_ENUM_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_XTS                       _MK_ENUM_CONST(4)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_DST_KEYTABLE_ONLY_SHIFT                       _MK_SHIFT_CONST(7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_DST_KEYTABLE_ONLY_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_DST_KEYTABLE_ONLY_RANGE                       7:7
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_DST_KEYTABLE_ONLY_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_DST_KEYTABLE_ONLY_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_DST_KEYTABLE_ONLY_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_DST_KEYTABLE_ONLY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_DST_KEYTABLE_ONLY_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_DST_KEYTABLE_ONLY_INIT_ENUM                   FALSE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_DST_KEYTABLE_ONLY_FALSE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_DST_KEYTABLE_ONLY_TRUE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYUSE_SHIFT                  _MK_SHIFT_CONST(6)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYUSE_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYUSE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYUSE_RANGE                  6:6
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYUSE_WOFFSET                        0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYUSE_DEFAULT                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYUSE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYUSE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYUSE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYUSE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYUSE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYUSE_INIT_ENUM                      ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYUSE_DISABLE                        _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYUSE_ENABLE                 _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_UIVUPDATE_SHIFT                       _MK_SHIFT_CONST(5)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_UIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_UIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_UIVUPDATE_RANGE                       5:5
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_UIVUPDATE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_UIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_UIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_UIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_UIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_UIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_UIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_UIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_UIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_UIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_UIVREAD_SHIFT                 _MK_SHIFT_CONST(4)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_UIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_UIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_UIVREAD_RANGE                 4:4
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_UIVREAD_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_UIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_UIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_UIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_UIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_UIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_UIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_UIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_UIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_UIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_OIVUPDATE_SHIFT                       _MK_SHIFT_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_OIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_OIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_OIVUPDATE_RANGE                       3:3
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_OIVUPDATE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_OIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_OIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_OIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_OIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_OIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_OIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_OIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_OIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_OIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_OIVREAD_SHIFT                 _MK_SHIFT_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_OIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_OIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_OIVREAD_RANGE                 2:2
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_OIVREAD_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_OIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_OIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_OIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_OIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_OIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_OIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_OIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_OIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_OIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYUPDATE_SHIFT                       _MK_SHIFT_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYUPDATE_RANGE                       1:1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYUPDATE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYREAD_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYREAD_RANGE                 0:0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYREAD_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYREAD_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4_KEYREAD_ENABLE                        _MK_ENUM_CONST(1)

// Register SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5                       _MK_ADDR_CONST(0x290)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_SECURE                        0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_DUAL                  0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_SCR                   0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_WORD_COUNT                    0x1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_RESET_VAL                     _MK_MASK_CONST(0x7f)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_SHIFT                     _MK_SHIFT_CONST(8)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_FIELD                     _MK_FIELD_CONST(0x7, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_RANGE                     10:8
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_WOFFSET                   0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_INIT_ENUM                 ECB
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_ECB                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_CBC                       _MK_ENUM_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_OFB                       _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_CTR                       _MK_ENUM_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_XTS                       _MK_ENUM_CONST(4)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_DST_KEYTABLE_ONLY_SHIFT                       _MK_SHIFT_CONST(7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_DST_KEYTABLE_ONLY_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_DST_KEYTABLE_ONLY_RANGE                       7:7
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_DST_KEYTABLE_ONLY_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_DST_KEYTABLE_ONLY_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_DST_KEYTABLE_ONLY_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_DST_KEYTABLE_ONLY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_DST_KEYTABLE_ONLY_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_DST_KEYTABLE_ONLY_INIT_ENUM                   FALSE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_DST_KEYTABLE_ONLY_FALSE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_DST_KEYTABLE_ONLY_TRUE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYUSE_SHIFT                  _MK_SHIFT_CONST(6)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYUSE_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYUSE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYUSE_RANGE                  6:6
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYUSE_WOFFSET                        0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYUSE_DEFAULT                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYUSE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYUSE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYUSE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYUSE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYUSE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYUSE_INIT_ENUM                      ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYUSE_DISABLE                        _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYUSE_ENABLE                 _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_UIVUPDATE_SHIFT                       _MK_SHIFT_CONST(5)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_UIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_UIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_UIVUPDATE_RANGE                       5:5
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_UIVUPDATE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_UIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_UIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_UIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_UIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_UIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_UIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_UIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_UIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_UIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_UIVREAD_SHIFT                 _MK_SHIFT_CONST(4)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_UIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_UIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_UIVREAD_RANGE                 4:4
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_UIVREAD_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_UIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_UIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_UIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_UIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_UIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_UIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_UIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_UIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_UIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_OIVUPDATE_SHIFT                       _MK_SHIFT_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_OIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_OIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_OIVUPDATE_RANGE                       3:3
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_OIVUPDATE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_OIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_OIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_OIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_OIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_OIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_OIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_OIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_OIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_OIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_OIVREAD_SHIFT                 _MK_SHIFT_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_OIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_OIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_OIVREAD_RANGE                 2:2
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_OIVREAD_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_OIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_OIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_OIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_OIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_OIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_OIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_OIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_OIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_OIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYUPDATE_SHIFT                       _MK_SHIFT_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYUPDATE_RANGE                       1:1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYUPDATE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYREAD_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYREAD_RANGE                 0:0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYREAD_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYREAD_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5_KEYREAD_ENABLE                        _MK_ENUM_CONST(1)

// Register SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6                       _MK_ADDR_CONST(0x294)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_SECURE                        0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_DUAL                  0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_SCR                   0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_WORD_COUNT                    0x1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_RESET_VAL                     _MK_MASK_CONST(0x7f)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_SHIFT                     _MK_SHIFT_CONST(8)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_FIELD                     _MK_FIELD_CONST(0x7, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_RANGE                     10:8
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_WOFFSET                   0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_INIT_ENUM                 ECB
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_ECB                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_CBC                       _MK_ENUM_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_OFB                       _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_CTR                       _MK_ENUM_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_XTS                       _MK_ENUM_CONST(4)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_DST_KEYTABLE_ONLY_SHIFT                       _MK_SHIFT_CONST(7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_DST_KEYTABLE_ONLY_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_DST_KEYTABLE_ONLY_RANGE                       7:7
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_DST_KEYTABLE_ONLY_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_DST_KEYTABLE_ONLY_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_DST_KEYTABLE_ONLY_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_DST_KEYTABLE_ONLY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_DST_KEYTABLE_ONLY_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_DST_KEYTABLE_ONLY_INIT_ENUM                   FALSE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_DST_KEYTABLE_ONLY_FALSE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_DST_KEYTABLE_ONLY_TRUE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYUSE_SHIFT                  _MK_SHIFT_CONST(6)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYUSE_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYUSE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYUSE_RANGE                  6:6
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYUSE_WOFFSET                        0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYUSE_DEFAULT                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYUSE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYUSE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYUSE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYUSE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYUSE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYUSE_INIT_ENUM                      ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYUSE_DISABLE                        _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYUSE_ENABLE                 _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_UIVUPDATE_SHIFT                       _MK_SHIFT_CONST(5)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_UIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_UIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_UIVUPDATE_RANGE                       5:5
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_UIVUPDATE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_UIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_UIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_UIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_UIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_UIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_UIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_UIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_UIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_UIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_UIVREAD_SHIFT                 _MK_SHIFT_CONST(4)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_UIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_UIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_UIVREAD_RANGE                 4:4
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_UIVREAD_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_UIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_UIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_UIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_UIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_UIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_UIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_UIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_UIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_UIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_OIVUPDATE_SHIFT                       _MK_SHIFT_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_OIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_OIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_OIVUPDATE_RANGE                       3:3
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_OIVUPDATE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_OIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_OIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_OIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_OIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_OIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_OIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_OIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_OIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_OIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_OIVREAD_SHIFT                 _MK_SHIFT_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_OIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_OIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_OIVREAD_RANGE                 2:2
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_OIVREAD_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_OIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_OIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_OIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_OIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_OIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_OIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_OIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_OIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_OIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYUPDATE_SHIFT                       _MK_SHIFT_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYUPDATE_RANGE                       1:1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYUPDATE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYREAD_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYREAD_RANGE                 0:0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYREAD_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYREAD_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6_KEYREAD_ENABLE                        _MK_ENUM_CONST(1)

// Register SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7                       _MK_ADDR_CONST(0x298)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_SECURE                        0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_DUAL                  0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_SCR                   0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_WORD_COUNT                    0x1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_RESET_VAL                     _MK_MASK_CONST(0x7f)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_SHIFT                     _MK_SHIFT_CONST(8)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_FIELD                     _MK_FIELD_CONST(0x7, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_RANGE                     10:8
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_WOFFSET                   0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_INIT_ENUM                 ECB
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_ECB                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_CBC                       _MK_ENUM_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_OFB                       _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_CTR                       _MK_ENUM_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_XTS                       _MK_ENUM_CONST(4)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_DST_KEYTABLE_ONLY_SHIFT                       _MK_SHIFT_CONST(7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_DST_KEYTABLE_ONLY_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_DST_KEYTABLE_ONLY_RANGE                       7:7
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_DST_KEYTABLE_ONLY_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_DST_KEYTABLE_ONLY_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_DST_KEYTABLE_ONLY_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_DST_KEYTABLE_ONLY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_DST_KEYTABLE_ONLY_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_DST_KEYTABLE_ONLY_INIT_ENUM                   FALSE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_DST_KEYTABLE_ONLY_FALSE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_DST_KEYTABLE_ONLY_TRUE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYUSE_SHIFT                  _MK_SHIFT_CONST(6)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYUSE_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYUSE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYUSE_RANGE                  6:6
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYUSE_WOFFSET                        0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYUSE_DEFAULT                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYUSE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYUSE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYUSE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYUSE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYUSE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYUSE_INIT_ENUM                      ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYUSE_DISABLE                        _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYUSE_ENABLE                 _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_UIVUPDATE_SHIFT                       _MK_SHIFT_CONST(5)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_UIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_UIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_UIVUPDATE_RANGE                       5:5
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_UIVUPDATE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_UIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_UIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_UIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_UIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_UIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_UIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_UIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_UIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_UIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_UIVREAD_SHIFT                 _MK_SHIFT_CONST(4)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_UIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_UIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_UIVREAD_RANGE                 4:4
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_UIVREAD_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_UIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_UIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_UIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_UIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_UIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_UIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_UIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_UIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_UIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_OIVUPDATE_SHIFT                       _MK_SHIFT_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_OIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_OIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_OIVUPDATE_RANGE                       3:3
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_OIVUPDATE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_OIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_OIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_OIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_OIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_OIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_OIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_OIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_OIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_OIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_OIVREAD_SHIFT                 _MK_SHIFT_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_OIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_OIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_OIVREAD_RANGE                 2:2
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_OIVREAD_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_OIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_OIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_OIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_OIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_OIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_OIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_OIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_OIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_OIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYUPDATE_SHIFT                       _MK_SHIFT_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYUPDATE_RANGE                       1:1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYUPDATE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYREAD_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYREAD_RANGE                 0:0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYREAD_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYREAD_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7_KEYREAD_ENABLE                        _MK_ENUM_CONST(1)

// Register SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8                       _MK_ADDR_CONST(0x29c)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_SECURE                        0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_DUAL                  0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_SCR                   0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_WORD_COUNT                    0x1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_RESET_VAL                     _MK_MASK_CONST(0x7f)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_SHIFT                     _MK_SHIFT_CONST(8)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_FIELD                     _MK_FIELD_CONST(0x7, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_RANGE                     10:8
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_WOFFSET                   0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_INIT_ENUM                 ECB
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_ECB                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_CBC                       _MK_ENUM_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_OFB                       _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_CTR                       _MK_ENUM_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_XTS                       _MK_ENUM_CONST(4)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_DST_KEYTABLE_ONLY_SHIFT                       _MK_SHIFT_CONST(7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_DST_KEYTABLE_ONLY_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_DST_KEYTABLE_ONLY_RANGE                       7:7
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_DST_KEYTABLE_ONLY_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_DST_KEYTABLE_ONLY_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_DST_KEYTABLE_ONLY_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_DST_KEYTABLE_ONLY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_DST_KEYTABLE_ONLY_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_DST_KEYTABLE_ONLY_INIT_ENUM                   FALSE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_DST_KEYTABLE_ONLY_FALSE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_DST_KEYTABLE_ONLY_TRUE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYUSE_SHIFT                  _MK_SHIFT_CONST(6)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYUSE_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYUSE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYUSE_RANGE                  6:6
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYUSE_WOFFSET                        0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYUSE_DEFAULT                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYUSE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYUSE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYUSE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYUSE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYUSE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYUSE_INIT_ENUM                      ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYUSE_DISABLE                        _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYUSE_ENABLE                 _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_UIVUPDATE_SHIFT                       _MK_SHIFT_CONST(5)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_UIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_UIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_UIVUPDATE_RANGE                       5:5
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_UIVUPDATE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_UIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_UIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_UIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_UIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_UIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_UIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_UIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_UIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_UIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_UIVREAD_SHIFT                 _MK_SHIFT_CONST(4)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_UIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_UIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_UIVREAD_RANGE                 4:4
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_UIVREAD_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_UIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_UIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_UIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_UIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_UIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_UIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_UIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_UIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_UIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_OIVUPDATE_SHIFT                       _MK_SHIFT_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_OIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_OIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_OIVUPDATE_RANGE                       3:3
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_OIVUPDATE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_OIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_OIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_OIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_OIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_OIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_OIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_OIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_OIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_OIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_OIVREAD_SHIFT                 _MK_SHIFT_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_OIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_OIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_OIVREAD_RANGE                 2:2
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_OIVREAD_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_OIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_OIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_OIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_OIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_OIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_OIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_OIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_OIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_OIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYUPDATE_SHIFT                       _MK_SHIFT_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYUPDATE_RANGE                       1:1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYUPDATE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYREAD_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYREAD_RANGE                 0:0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYREAD_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYREAD_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8_KEYREAD_ENABLE                        _MK_ENUM_CONST(1)

// Register SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9                       _MK_ADDR_CONST(0x2a0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_SECURE                        0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_DUAL                  0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_SCR                   0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_WORD_COUNT                    0x1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_RESET_VAL                     _MK_MASK_CONST(0x7f)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_SHIFT                     _MK_SHIFT_CONST(8)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_FIELD                     _MK_FIELD_CONST(0x7, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_RANGE                     10:8
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_WOFFSET                   0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_INIT_ENUM                 ECB
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_ECB                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_CBC                       _MK_ENUM_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_OFB                       _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_CTR                       _MK_ENUM_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_XTS                       _MK_ENUM_CONST(4)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_DST_KEYTABLE_ONLY_SHIFT                       _MK_SHIFT_CONST(7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_DST_KEYTABLE_ONLY_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_DST_KEYTABLE_ONLY_RANGE                       7:7
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_DST_KEYTABLE_ONLY_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_DST_KEYTABLE_ONLY_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_DST_KEYTABLE_ONLY_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_DST_KEYTABLE_ONLY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_DST_KEYTABLE_ONLY_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_DST_KEYTABLE_ONLY_INIT_ENUM                   FALSE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_DST_KEYTABLE_ONLY_FALSE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_DST_KEYTABLE_ONLY_TRUE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYUSE_SHIFT                  _MK_SHIFT_CONST(6)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYUSE_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYUSE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYUSE_RANGE                  6:6
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYUSE_WOFFSET                        0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYUSE_DEFAULT                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYUSE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYUSE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYUSE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYUSE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYUSE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYUSE_INIT_ENUM                      ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYUSE_DISABLE                        _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYUSE_ENABLE                 _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_UIVUPDATE_SHIFT                       _MK_SHIFT_CONST(5)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_UIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_UIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_UIVUPDATE_RANGE                       5:5
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_UIVUPDATE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_UIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_UIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_UIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_UIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_UIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_UIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_UIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_UIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_UIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_UIVREAD_SHIFT                 _MK_SHIFT_CONST(4)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_UIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_UIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_UIVREAD_RANGE                 4:4
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_UIVREAD_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_UIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_UIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_UIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_UIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_UIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_UIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_UIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_UIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_UIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_OIVUPDATE_SHIFT                       _MK_SHIFT_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_OIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_OIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_OIVUPDATE_RANGE                       3:3
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_OIVUPDATE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_OIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_OIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_OIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_OIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_OIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_OIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_OIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_OIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_OIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_OIVREAD_SHIFT                 _MK_SHIFT_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_OIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_OIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_OIVREAD_RANGE                 2:2
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_OIVREAD_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_OIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_OIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_OIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_OIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_OIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_OIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_OIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_OIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_OIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYUPDATE_SHIFT                       _MK_SHIFT_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYUPDATE_RANGE                       1:1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYUPDATE_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYREAD_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYREAD_RANGE                 0:0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYREAD_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYREAD_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9_KEYREAD_ENABLE                        _MK_ENUM_CONST(1)

// Register SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10                      _MK_ADDR_CONST(0x2a4)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_SECURE                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_DUAL                         0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_SCR                  0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_WORD_COUNT                   0x1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_RESET_VAL                    _MK_MASK_CONST(0x7f)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_SHIFT                    _MK_SHIFT_CONST(8)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_FIELD                    _MK_FIELD_CONST(0x7, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_RANGE                    10:8
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_WOFFSET                  0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_INIT_ENUM                        ECB
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_ECB                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_CBC                      _MK_ENUM_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_OFB                      _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_CTR                      _MK_ENUM_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_XTS                      _MK_ENUM_CONST(4)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_DST_KEYTABLE_ONLY_SHIFT                      _MK_SHIFT_CONST(7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_DST_KEYTABLE_ONLY_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_DST_KEYTABLE_ONLY_RANGE                      7:7
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_DST_KEYTABLE_ONLY_WOFFSET                    0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_DST_KEYTABLE_ONLY_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_DST_KEYTABLE_ONLY_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_DST_KEYTABLE_ONLY_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_DST_KEYTABLE_ONLY_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_DST_KEYTABLE_ONLY_INIT_ENUM                  FALSE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_DST_KEYTABLE_ONLY_FALSE                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_DST_KEYTABLE_ONLY_TRUE                       _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYUSE_SHIFT                 _MK_SHIFT_CONST(6)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYUSE_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYUSE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYUSE_RANGE                 6:6
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYUSE_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYUSE_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYUSE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYUSE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYUSE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYUSE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYUSE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYUSE_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYUSE_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYUSE_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_UIVUPDATE_SHIFT                      _MK_SHIFT_CONST(5)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_UIVUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_UIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_UIVUPDATE_RANGE                      5:5
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_UIVUPDATE_WOFFSET                    0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_UIVUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_UIVUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_UIVUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_UIVUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_UIVUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_UIVUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_UIVUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_UIVUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_UIVUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_UIVREAD_SHIFT                        _MK_SHIFT_CONST(4)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_UIVREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_UIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_UIVREAD_RANGE                        4:4
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_UIVREAD_WOFFSET                      0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_UIVREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_UIVREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_UIVREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_UIVREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_UIVREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_UIVREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_UIVREAD_INIT_ENUM                    ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_UIVREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_UIVREAD_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_OIVUPDATE_SHIFT                      _MK_SHIFT_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_OIVUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_OIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_OIVUPDATE_RANGE                      3:3
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_OIVUPDATE_WOFFSET                    0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_OIVUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_OIVUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_OIVUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_OIVUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_OIVUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_OIVUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_OIVUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_OIVUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_OIVUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_OIVREAD_SHIFT                        _MK_SHIFT_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_OIVREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_OIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_OIVREAD_RANGE                        2:2
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_OIVREAD_WOFFSET                      0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_OIVREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_OIVREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_OIVREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_OIVREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_OIVREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_OIVREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_OIVREAD_INIT_ENUM                    ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_OIVREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_OIVREAD_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYUPDATE_SHIFT                      _MK_SHIFT_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYUPDATE_RANGE                      1:1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYUPDATE_WOFFSET                    0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYREAD_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYREAD_RANGE                        0:0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYREAD_WOFFSET                      0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYREAD_INIT_ENUM                    ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10_KEYREAD_ENABLE                       _MK_ENUM_CONST(1)

// Register SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11                      _MK_ADDR_CONST(0x2a8)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_SECURE                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_DUAL                         0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_SCR                  0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_WORD_COUNT                   0x1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_RESET_VAL                    _MK_MASK_CONST(0x7f)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_SHIFT                    _MK_SHIFT_CONST(8)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_FIELD                    _MK_FIELD_CONST(0x7, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_RANGE                    10:8
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_WOFFSET                  0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_INIT_ENUM                        ECB
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_ECB                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_CBC                      _MK_ENUM_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_OFB                      _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_CTR                      _MK_ENUM_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_XTS                      _MK_ENUM_CONST(4)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_DST_KEYTABLE_ONLY_SHIFT                      _MK_SHIFT_CONST(7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_DST_KEYTABLE_ONLY_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_DST_KEYTABLE_ONLY_RANGE                      7:7
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_DST_KEYTABLE_ONLY_WOFFSET                    0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_DST_KEYTABLE_ONLY_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_DST_KEYTABLE_ONLY_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_DST_KEYTABLE_ONLY_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_DST_KEYTABLE_ONLY_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_DST_KEYTABLE_ONLY_INIT_ENUM                  FALSE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_DST_KEYTABLE_ONLY_FALSE                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_DST_KEYTABLE_ONLY_TRUE                       _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYUSE_SHIFT                 _MK_SHIFT_CONST(6)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYUSE_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYUSE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYUSE_RANGE                 6:6
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYUSE_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYUSE_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYUSE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYUSE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYUSE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYUSE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYUSE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYUSE_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYUSE_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYUSE_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_UIVUPDATE_SHIFT                      _MK_SHIFT_CONST(5)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_UIVUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_UIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_UIVUPDATE_RANGE                      5:5
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_UIVUPDATE_WOFFSET                    0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_UIVUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_UIVUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_UIVUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_UIVUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_UIVUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_UIVUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_UIVUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_UIVUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_UIVUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_UIVREAD_SHIFT                        _MK_SHIFT_CONST(4)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_UIVREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_UIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_UIVREAD_RANGE                        4:4
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_UIVREAD_WOFFSET                      0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_UIVREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_UIVREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_UIVREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_UIVREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_UIVREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_UIVREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_UIVREAD_INIT_ENUM                    ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_UIVREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_UIVREAD_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_OIVUPDATE_SHIFT                      _MK_SHIFT_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_OIVUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_OIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_OIVUPDATE_RANGE                      3:3
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_OIVUPDATE_WOFFSET                    0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_OIVUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_OIVUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_OIVUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_OIVUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_OIVUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_OIVUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_OIVUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_OIVUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_OIVUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_OIVREAD_SHIFT                        _MK_SHIFT_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_OIVREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_OIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_OIVREAD_RANGE                        2:2
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_OIVREAD_WOFFSET                      0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_OIVREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_OIVREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_OIVREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_OIVREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_OIVREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_OIVREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_OIVREAD_INIT_ENUM                    ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_OIVREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_OIVREAD_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYUPDATE_SHIFT                      _MK_SHIFT_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYUPDATE_RANGE                      1:1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYUPDATE_WOFFSET                    0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYREAD_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYREAD_RANGE                        0:0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYREAD_WOFFSET                      0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYREAD_INIT_ENUM                    ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11_KEYREAD_ENABLE                       _MK_ENUM_CONST(1)

// Register SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12                      _MK_ADDR_CONST(0x2ac)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_SECURE                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_DUAL                         0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_SCR                  0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_WORD_COUNT                   0x1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_RESET_VAL                    _MK_MASK_CONST(0x7f)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_SHIFT                    _MK_SHIFT_CONST(8)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_FIELD                    _MK_FIELD_CONST(0x7, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_RANGE                    10:8
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_WOFFSET                  0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_INIT_ENUM                        ECB
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_ECB                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_CBC                      _MK_ENUM_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_OFB                      _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_CTR                      _MK_ENUM_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_XTS                      _MK_ENUM_CONST(4)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_DST_KEYTABLE_ONLY_SHIFT                      _MK_SHIFT_CONST(7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_DST_KEYTABLE_ONLY_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_DST_KEYTABLE_ONLY_RANGE                      7:7
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_DST_KEYTABLE_ONLY_WOFFSET                    0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_DST_KEYTABLE_ONLY_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_DST_KEYTABLE_ONLY_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_DST_KEYTABLE_ONLY_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_DST_KEYTABLE_ONLY_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_DST_KEYTABLE_ONLY_INIT_ENUM                  FALSE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_DST_KEYTABLE_ONLY_FALSE                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_DST_KEYTABLE_ONLY_TRUE                       _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYUSE_SHIFT                 _MK_SHIFT_CONST(6)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYUSE_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYUSE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYUSE_RANGE                 6:6
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYUSE_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYUSE_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYUSE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYUSE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYUSE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYUSE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYUSE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYUSE_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYUSE_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYUSE_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_UIVUPDATE_SHIFT                      _MK_SHIFT_CONST(5)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_UIVUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_UIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_UIVUPDATE_RANGE                      5:5
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_UIVUPDATE_WOFFSET                    0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_UIVUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_UIVUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_UIVUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_UIVUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_UIVUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_UIVUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_UIVUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_UIVUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_UIVUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_UIVREAD_SHIFT                        _MK_SHIFT_CONST(4)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_UIVREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_UIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_UIVREAD_RANGE                        4:4
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_UIVREAD_WOFFSET                      0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_UIVREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_UIVREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_UIVREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_UIVREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_UIVREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_UIVREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_UIVREAD_INIT_ENUM                    ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_UIVREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_UIVREAD_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_OIVUPDATE_SHIFT                      _MK_SHIFT_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_OIVUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_OIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_OIVUPDATE_RANGE                      3:3
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_OIVUPDATE_WOFFSET                    0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_OIVUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_OIVUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_OIVUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_OIVUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_OIVUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_OIVUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_OIVUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_OIVUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_OIVUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_OIVREAD_SHIFT                        _MK_SHIFT_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_OIVREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_OIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_OIVREAD_RANGE                        2:2
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_OIVREAD_WOFFSET                      0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_OIVREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_OIVREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_OIVREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_OIVREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_OIVREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_OIVREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_OIVREAD_INIT_ENUM                    ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_OIVREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_OIVREAD_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYUPDATE_SHIFT                      _MK_SHIFT_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYUPDATE_RANGE                      1:1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYUPDATE_WOFFSET                    0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYREAD_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYREAD_RANGE                        0:0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYREAD_WOFFSET                      0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYREAD_INIT_ENUM                    ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12_KEYREAD_ENABLE                       _MK_ENUM_CONST(1)

// Register SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13                      _MK_ADDR_CONST(0x2b0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_SECURE                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_DUAL                         0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_SCR                  0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_WORD_COUNT                   0x1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_RESET_VAL                    _MK_MASK_CONST(0x7f)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_SHIFT                    _MK_SHIFT_CONST(8)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_FIELD                    _MK_FIELD_CONST(0x7, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_RANGE                    10:8
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_WOFFSET                  0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_INIT_ENUM                        ECB
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_ECB                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_CBC                      _MK_ENUM_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_OFB                      _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_CTR                      _MK_ENUM_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_XTS                      _MK_ENUM_CONST(4)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_DST_KEYTABLE_ONLY_SHIFT                      _MK_SHIFT_CONST(7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_DST_KEYTABLE_ONLY_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_DST_KEYTABLE_ONLY_RANGE                      7:7
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_DST_KEYTABLE_ONLY_WOFFSET                    0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_DST_KEYTABLE_ONLY_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_DST_KEYTABLE_ONLY_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_DST_KEYTABLE_ONLY_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_DST_KEYTABLE_ONLY_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_DST_KEYTABLE_ONLY_INIT_ENUM                  FALSE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_DST_KEYTABLE_ONLY_FALSE                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_DST_KEYTABLE_ONLY_TRUE                       _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYUSE_SHIFT                 _MK_SHIFT_CONST(6)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYUSE_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYUSE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYUSE_RANGE                 6:6
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYUSE_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYUSE_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYUSE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYUSE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYUSE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYUSE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYUSE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYUSE_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYUSE_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYUSE_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_UIVUPDATE_SHIFT                      _MK_SHIFT_CONST(5)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_UIVUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_UIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_UIVUPDATE_RANGE                      5:5
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_UIVUPDATE_WOFFSET                    0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_UIVUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_UIVUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_UIVUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_UIVUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_UIVUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_UIVUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_UIVUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_UIVUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_UIVUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_UIVREAD_SHIFT                        _MK_SHIFT_CONST(4)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_UIVREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_UIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_UIVREAD_RANGE                        4:4
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_UIVREAD_WOFFSET                      0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_UIVREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_UIVREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_UIVREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_UIVREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_UIVREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_UIVREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_UIVREAD_INIT_ENUM                    ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_UIVREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_UIVREAD_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_OIVUPDATE_SHIFT                      _MK_SHIFT_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_OIVUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_OIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_OIVUPDATE_RANGE                      3:3
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_OIVUPDATE_WOFFSET                    0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_OIVUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_OIVUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_OIVUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_OIVUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_OIVUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_OIVUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_OIVUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_OIVUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_OIVUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_OIVREAD_SHIFT                        _MK_SHIFT_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_OIVREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_OIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_OIVREAD_RANGE                        2:2
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_OIVREAD_WOFFSET                      0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_OIVREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_OIVREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_OIVREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_OIVREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_OIVREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_OIVREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_OIVREAD_INIT_ENUM                    ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_OIVREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_OIVREAD_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYUPDATE_SHIFT                      _MK_SHIFT_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYUPDATE_RANGE                      1:1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYUPDATE_WOFFSET                    0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYREAD_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYREAD_RANGE                        0:0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYREAD_WOFFSET                      0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYREAD_INIT_ENUM                    ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13_KEYREAD_ENABLE                       _MK_ENUM_CONST(1)

// Register SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14                      _MK_ADDR_CONST(0x2b4)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_SECURE                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_DUAL                         0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_SCR                  0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_WORD_COUNT                   0x1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_RESET_VAL                    _MK_MASK_CONST(0x7f)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_SHIFT                    _MK_SHIFT_CONST(8)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_FIELD                    _MK_FIELD_CONST(0x7, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_RANGE                    10:8
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_WOFFSET                  0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_INIT_ENUM                        ECB
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_ECB                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_CBC                      _MK_ENUM_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_OFB                      _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_CTR                      _MK_ENUM_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_XTS                      _MK_ENUM_CONST(4)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_DST_KEYTABLE_ONLY_SHIFT                      _MK_SHIFT_CONST(7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_DST_KEYTABLE_ONLY_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_DST_KEYTABLE_ONLY_RANGE                      7:7
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_DST_KEYTABLE_ONLY_WOFFSET                    0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_DST_KEYTABLE_ONLY_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_DST_KEYTABLE_ONLY_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_DST_KEYTABLE_ONLY_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_DST_KEYTABLE_ONLY_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_DST_KEYTABLE_ONLY_INIT_ENUM                  FALSE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_DST_KEYTABLE_ONLY_FALSE                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_DST_KEYTABLE_ONLY_TRUE                       _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYUSE_SHIFT                 _MK_SHIFT_CONST(6)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYUSE_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYUSE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYUSE_RANGE                 6:6
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYUSE_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYUSE_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYUSE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYUSE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYUSE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYUSE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYUSE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYUSE_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYUSE_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYUSE_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_UIVUPDATE_SHIFT                      _MK_SHIFT_CONST(5)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_UIVUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_UIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_UIVUPDATE_RANGE                      5:5
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_UIVUPDATE_WOFFSET                    0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_UIVUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_UIVUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_UIVUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_UIVUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_UIVUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_UIVUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_UIVUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_UIVUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_UIVUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_UIVREAD_SHIFT                        _MK_SHIFT_CONST(4)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_UIVREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_UIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_UIVREAD_RANGE                        4:4
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_UIVREAD_WOFFSET                      0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_UIVREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_UIVREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_UIVREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_UIVREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_UIVREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_UIVREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_UIVREAD_INIT_ENUM                    ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_UIVREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_UIVREAD_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_OIVUPDATE_SHIFT                      _MK_SHIFT_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_OIVUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_OIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_OIVUPDATE_RANGE                      3:3
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_OIVUPDATE_WOFFSET                    0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_OIVUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_OIVUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_OIVUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_OIVUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_OIVUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_OIVUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_OIVUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_OIVUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_OIVUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_OIVREAD_SHIFT                        _MK_SHIFT_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_OIVREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_OIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_OIVREAD_RANGE                        2:2
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_OIVREAD_WOFFSET                      0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_OIVREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_OIVREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_OIVREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_OIVREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_OIVREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_OIVREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_OIVREAD_INIT_ENUM                    ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_OIVREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_OIVREAD_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYUPDATE_SHIFT                      _MK_SHIFT_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYUPDATE_RANGE                      1:1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYUPDATE_WOFFSET                    0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYREAD_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYREAD_RANGE                        0:0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYREAD_WOFFSET                      0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYREAD_INIT_ENUM                    ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14_KEYREAD_ENABLE                       _MK_ENUM_CONST(1)

// Register SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15                      _MK_ADDR_CONST(0x2b8)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_SECURE                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_DUAL                         0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_SCR                  0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_WORD_COUNT                   0x1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_RESET_VAL                    _MK_MASK_CONST(0x7f)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_SHIFT                    _MK_SHIFT_CONST(8)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_FIELD                    _MK_FIELD_CONST(0x7, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_RANGE                    10:8
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_WOFFSET                  0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_INIT_ENUM                        ECB
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_ECB                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_CBC                      _MK_ENUM_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_OFB                      _MK_ENUM_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_CTR                      _MK_ENUM_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_XTS                      _MK_ENUM_CONST(4)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_DST_KEYTABLE_ONLY_SHIFT                      _MK_SHIFT_CONST(7)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_DST_KEYTABLE_ONLY_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_DST_KEYTABLE_ONLY_RANGE                      7:7
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_DST_KEYTABLE_ONLY_WOFFSET                    0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_DST_KEYTABLE_ONLY_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_DST_KEYTABLE_ONLY_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_DST_KEYTABLE_ONLY_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_DST_KEYTABLE_ONLY_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_DST_KEYTABLE_ONLY_INIT_ENUM                  FALSE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_DST_KEYTABLE_ONLY_FALSE                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_DST_KEYTABLE_ONLY_TRUE                       _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYUSE_SHIFT                 _MK_SHIFT_CONST(6)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYUSE_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYUSE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYUSE_RANGE                 6:6
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYUSE_WOFFSET                       0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYUSE_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYUSE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYUSE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYUSE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYUSE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYUSE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYUSE_INIT_ENUM                     ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYUSE_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYUSE_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_UIVUPDATE_SHIFT                      _MK_SHIFT_CONST(5)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_UIVUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_UIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_UIVUPDATE_RANGE                      5:5
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_UIVUPDATE_WOFFSET                    0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_UIVUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_UIVUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_UIVUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_UIVUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_UIVUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_UIVUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_UIVUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_UIVUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_UIVUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_UIVREAD_SHIFT                        _MK_SHIFT_CONST(4)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_UIVREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_UIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_UIVREAD_RANGE                        4:4
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_UIVREAD_WOFFSET                      0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_UIVREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_UIVREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_UIVREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_UIVREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_UIVREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_UIVREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_UIVREAD_INIT_ENUM                    ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_UIVREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_UIVREAD_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_OIVUPDATE_SHIFT                      _MK_SHIFT_CONST(3)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_OIVUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_OIVUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_OIVUPDATE_RANGE                      3:3
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_OIVUPDATE_WOFFSET                    0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_OIVUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_OIVUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_OIVUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_OIVUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_OIVUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_OIVUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_OIVUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_OIVUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_OIVUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_OIVREAD_SHIFT                        _MK_SHIFT_CONST(2)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_OIVREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_OIVREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_OIVREAD_RANGE                        2:2
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_OIVREAD_WOFFSET                      0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_OIVREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_OIVREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_OIVREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_OIVREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_OIVREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_OIVREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_OIVREAD_INIT_ENUM                    ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_OIVREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_OIVREAD_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYUPDATE_SHIFT                      _MK_SHIFT_CONST(1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYUPDATE_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYUPDATE_RANGE                      1:1
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYUPDATE_WOFFSET                    0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYREAD_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYREAD_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYREAD_RANGE                        0:0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYREAD_WOFFSET                      0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYREAD_INIT_ENUM                    ENABLE
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15_KEYREAD_ENABLE                       _MK_ENUM_CONST(1)

// Register SE0_AES0_CRYPTO_KEYTABLE_ADDR_0
#define SE0_AES0_CRYPTO_KEYTABLE_ADDR_0                 _MK_ADDR_CONST(0x2bc)
#define SE0_AES0_CRYPTO_KEYTABLE_ADDR_0_SECURE                  0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ADDR_0_DUAL                    0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ADDR_0_SCR                     0
#define SE0_AES0_CRYPTO_KEYTABLE_ADDR_0_WORD_COUNT                      0x1
#define SE0_AES0_CRYPTO_KEYTABLE_ADDR_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ADDR_0_RESET_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ADDR_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ADDR_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ADDR_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define SE0_AES0_CRYPTO_KEYTABLE_ADDR_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define SE0_AES0_CRYPTO_KEYTABLE_ADDR_0_PKT_SHIFT                       _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_ADDR_0_PKT_FIELD                       _MK_FIELD_CONST(0xff, SE0_AES0_CRYPTO_KEYTABLE_ADDR_0_PKT_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_ADDR_0_PKT_RANGE                       7:0
#define SE0_AES0_CRYPTO_KEYTABLE_ADDR_0_PKT_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_ADDR_0_PKT_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ADDR_0_PKT_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ADDR_0_PKT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ADDR_0_PKT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ADDR_0_PKT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_ADDR_0_PKT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define ARSE_CRYPTO_KEYTABLE_DATA_WORDS 1

// Register SE0_AES0_CRYPTO_KEYTABLE_DATA_0
#define SE0_AES0_CRYPTO_KEYTABLE_DATA_0                 _MK_ADDR_CONST(0x2c0)
#define SE0_AES0_CRYPTO_KEYTABLE_DATA_0_SECURE                  0x0
#define SE0_AES0_CRYPTO_KEYTABLE_DATA_0_DUAL                    0x0
#define SE0_AES0_CRYPTO_KEYTABLE_DATA_0_SCR                     0
#define SE0_AES0_CRYPTO_KEYTABLE_DATA_0_WORD_COUNT                      0x1
#define SE0_AES0_CRYPTO_KEYTABLE_DATA_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_DATA_0_RESET_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_DATA_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_DATA_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_DATA_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_CRYPTO_KEYTABLE_DATA_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_CRYPTO_KEYTABLE_DATA_0_VAL_SHIFT                       _MK_SHIFT_CONST(0)
#define SE0_AES0_CRYPTO_KEYTABLE_DATA_0_VAL_FIELD                       _MK_FIELD_CONST(0xffffffff, SE0_AES0_CRYPTO_KEYTABLE_DATA_0_VAL_SHIFT)
#define SE0_AES0_CRYPTO_KEYTABLE_DATA_0_VAL_RANGE                       31:0
#define SE0_AES0_CRYPTO_KEYTABLE_DATA_0_VAL_WOFFSET                     0x0
#define SE0_AES0_CRYPTO_KEYTABLE_DATA_0_VAL_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_DATA_0_VAL_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_DATA_0_VAL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_DATA_0_VAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_DATA_0_VAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CRYPTO_KEYTABLE_DATA_0_VAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SE0_AES0_CMAC_RESULT_0
#define SE0_AES0_CMAC_RESULT_0                  _MK_ADDR_CONST(0x2c4)
#define SE0_AES0_CMAC_RESULT_0_SECURE                   0x0
#define SE0_AES0_CMAC_RESULT_0_DUAL                     0x0
#define SE0_AES0_CMAC_RESULT_0_SCR                      0
#define SE0_AES0_CMAC_RESULT_0_WORD_COUNT                       0x1
#define SE0_AES0_CMAC_RESULT_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_0_RESET_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_CMAC_RESULT_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_CMAC_RESULT_0_VAL_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_AES0_CMAC_RESULT_0_VAL_FIELD                        _MK_FIELD_CONST(0xffffffff, SE0_AES0_CMAC_RESULT_0_VAL_SHIFT)
#define SE0_AES0_CMAC_RESULT_0_VAL_RANGE                        31:0
#define SE0_AES0_CMAC_RESULT_0_VAL_WOFFSET                      0x0
#define SE0_AES0_CMAC_RESULT_0_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_0_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_0_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_0_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_0_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_0_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SE0_AES0_CMAC_RESULT
#define SE0_AES0_CMAC_RESULT                    _MK_ADDR_CONST(0x2c4)
#define SE0_AES0_CMAC_RESULT_SECURE                     0x0
#define SE0_AES0_CMAC_RESULT_DUAL                       0x0
#define SE0_AES0_CMAC_RESULT_SCR                        0
#define SE0_AES0_CMAC_RESULT_WORD_COUNT                         0x1
#define SE0_AES0_CMAC_RESULT_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_CMAC_RESULT_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_CMAC_RESULT_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_AES0_CMAC_RESULT_VAL_FIELD                  _MK_FIELD_CONST(0xffffffff, SE0_AES0_CMAC_RESULT_VAL_SHIFT)
#define SE0_AES0_CMAC_RESULT_VAL_RANGE                  31:0
#define SE0_AES0_CMAC_RESULT_VAL_WOFFSET                        0x0
#define SE0_AES0_CMAC_RESULT_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_VAL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_VAL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SE0_AES0_CMAC_RESULT_1
#define SE0_AES0_CMAC_RESULT_1                  _MK_ADDR_CONST(0x2c8)
#define SE0_AES0_CMAC_RESULT_1_SECURE                   0x0
#define SE0_AES0_CMAC_RESULT_1_DUAL                     0x0
#define SE0_AES0_CMAC_RESULT_1_SCR                      0
#define SE0_AES0_CMAC_RESULT_1_WORD_COUNT                       0x1
#define SE0_AES0_CMAC_RESULT_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_1_RESET_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_CMAC_RESULT_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_CMAC_RESULT_1_VAL_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_AES0_CMAC_RESULT_1_VAL_FIELD                        _MK_FIELD_CONST(0xffffffff, SE0_AES0_CMAC_RESULT_1_VAL_SHIFT)
#define SE0_AES0_CMAC_RESULT_1_VAL_RANGE                        31:0
#define SE0_AES0_CMAC_RESULT_1_VAL_WOFFSET                      0x0
#define SE0_AES0_CMAC_RESULT_1_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_1_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_1_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_1_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_1_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_1_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SE0_AES0_CMAC_RESULT_2
#define SE0_AES0_CMAC_RESULT_2                  _MK_ADDR_CONST(0x2cc)
#define SE0_AES0_CMAC_RESULT_2_SECURE                   0x0
#define SE0_AES0_CMAC_RESULT_2_DUAL                     0x0
#define SE0_AES0_CMAC_RESULT_2_SCR                      0
#define SE0_AES0_CMAC_RESULT_2_WORD_COUNT                       0x1
#define SE0_AES0_CMAC_RESULT_2_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_2_RESET_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_2_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_2_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_CMAC_RESULT_2_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_CMAC_RESULT_2_VAL_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_AES0_CMAC_RESULT_2_VAL_FIELD                        _MK_FIELD_CONST(0xffffffff, SE0_AES0_CMAC_RESULT_2_VAL_SHIFT)
#define SE0_AES0_CMAC_RESULT_2_VAL_RANGE                        31:0
#define SE0_AES0_CMAC_RESULT_2_VAL_WOFFSET                      0x0
#define SE0_AES0_CMAC_RESULT_2_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_2_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_2_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_2_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_2_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_2_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SE0_AES0_CMAC_RESULT_3
#define SE0_AES0_CMAC_RESULT_3                  _MK_ADDR_CONST(0x2d0)
#define SE0_AES0_CMAC_RESULT_3_SECURE                   0x0
#define SE0_AES0_CMAC_RESULT_3_DUAL                     0x0
#define SE0_AES0_CMAC_RESULT_3_SCR                      0
#define SE0_AES0_CMAC_RESULT_3_WORD_COUNT                       0x1
#define SE0_AES0_CMAC_RESULT_3_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_3_RESET_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_3_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_3_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_CMAC_RESULT_3_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_CMAC_RESULT_3_VAL_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_AES0_CMAC_RESULT_3_VAL_FIELD                        _MK_FIELD_CONST(0xffffffff, SE0_AES0_CMAC_RESULT_3_VAL_SHIFT)
#define SE0_AES0_CMAC_RESULT_3_VAL_RANGE                        31:0
#define SE0_AES0_CMAC_RESULT_3_VAL_WOFFSET                      0x0
#define SE0_AES0_CMAC_RESULT_3_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_3_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_3_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_3_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_3_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CMAC_RESULT_3_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SE0_AES0_CTX_SAVE_CONFIG_0
#define SE0_AES0_CTX_SAVE_CONFIG_0                      _MK_ADDR_CONST(0x2d4)
#define SE0_AES0_CTX_SAVE_CONFIG_0_SECURE                       0x0
#define SE0_AES0_CTX_SAVE_CONFIG_0_DUAL                         0x0
#define SE0_AES0_CTX_SAVE_CONFIG_0_SCR                  0
#define SE0_AES0_CTX_SAVE_CONFIG_0_WORD_COUNT                   0x1
#define SE0_AES0_CTX_SAVE_CONFIG_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_RESET_MASK                   _MK_MASK_CONST(0xe707ff7f)
#define SE0_AES0_CTX_SAVE_CONFIG_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_READ_MASK                    _MK_MASK_CONST(0xe707ff7f)
#define SE0_AES0_CTX_SAVE_CONFIG_0_WRITE_MASK                   _MK_MASK_CONST(0xe707ff7f)
#define SE0_AES0_CTX_SAVE_CONFIG_0_SRC_SHIFT                    _MK_SHIFT_CONST(29)
#define SE0_AES0_CTX_SAVE_CONFIG_0_SRC_FIELD                    _MK_FIELD_CONST(0x7, SE0_AES0_CTX_SAVE_CONFIG_0_SRC_SHIFT)
#define SE0_AES0_CTX_SAVE_CONFIG_0_SRC_RANGE                    31:29
#define SE0_AES0_CTX_SAVE_CONFIG_0_SRC_WOFFSET                  0x0
#define SE0_AES0_CTX_SAVE_CONFIG_0_SRC_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_SRC_DEFAULT_MASK                     _MK_MASK_CONST(0x7)
#define SE0_AES0_CTX_SAVE_CONFIG_0_SRC_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_SRC_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_SRC_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_SRC_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_CTX_SAVE_CONFIG_0_SRC_INIT_ENUM                        STICKY_BITS
#define SE0_AES0_CTX_SAVE_CONFIG_0_SRC_STICKY_BITS                      _MK_ENUM_CONST(0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_SRC_AES_KEYTABLE                     _MK_ENUM_CONST(2)
#define SE0_AES0_CTX_SAVE_CONFIG_0_SRC_PRIVATE_LFSR                     _MK_ENUM_CONST(3)
#define SE0_AES0_CTX_SAVE_CONFIG_0_SRC_MEM                      _MK_ENUM_CONST(4)
#define SE0_AES0_CTX_SAVE_CONFIG_0_SRC_KP                       _MK_ENUM_CONST(5)
#define SE0_AES0_CTX_SAVE_CONFIG_0_SRC_SRK                      _MK_ENUM_CONST(6)
#define SE0_AES0_CTX_SAVE_CONFIG_0_SRC_RSA_KEYTABLE                     _MK_ENUM_CONST(1)
#define SE0_AES0_CTX_SAVE_CONFIG_0_SRC_PKA1_KEYTABLE                    _MK_ENUM_CONST(7)

#define SE0_AES0_CTX_SAVE_CONFIG_0_STICKY_WORD_QUAD_SHIFT                       _MK_SHIFT_CONST(24)
#define SE0_AES0_CTX_SAVE_CONFIG_0_STICKY_WORD_QUAD_FIELD                       _MK_FIELD_CONST(0x7, SE0_AES0_CTX_SAVE_CONFIG_0_STICKY_WORD_QUAD_SHIFT)
#define SE0_AES0_CTX_SAVE_CONFIG_0_STICKY_WORD_QUAD_RANGE                       26:24
#define SE0_AES0_CTX_SAVE_CONFIG_0_STICKY_WORD_QUAD_WOFFSET                     0x0
#define SE0_AES0_CTX_SAVE_CONFIG_0_STICKY_WORD_QUAD_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_STICKY_WORD_QUAD_DEFAULT_MASK                        _MK_MASK_CONST(0x7)
#define SE0_AES0_CTX_SAVE_CONFIG_0_STICKY_WORD_QUAD_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_STICKY_WORD_QUAD_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_STICKY_WORD_QUAD_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_STICKY_WORD_QUAD_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_CTX_SAVE_CONFIG_0_STICKY_WORD_QUAD_INIT_ENUM                   WORDS_0_3
#define SE0_AES0_CTX_SAVE_CONFIG_0_STICKY_WORD_QUAD_WORDS_0_3                   _MK_ENUM_CONST(0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_STICKY_WORD_QUAD_WORDS_4_7                   _MK_ENUM_CONST(1)
#define SE0_AES0_CTX_SAVE_CONFIG_0_STICKY_WORD_QUAD_WORDS_8_11                  _MK_ENUM_CONST(2)
#define SE0_AES0_CTX_SAVE_CONFIG_0_STICKY_WORD_QUAD_WORDS_12_15                 _MK_ENUM_CONST(3)
#define SE0_AES0_CTX_SAVE_CONFIG_0_STICKY_WORD_QUAD_WORDS_16_19                 _MK_ENUM_CONST(4)

#define SE0_AES0_CTX_SAVE_CONFIG_0_PKA1_KEY_INDEX_SHIFT                 _MK_SHIFT_CONST(16)
#define SE0_AES0_CTX_SAVE_CONFIG_0_PKA1_KEY_INDEX_FIELD                 _MK_FIELD_CONST(0x3, SE0_AES0_CTX_SAVE_CONFIG_0_PKA1_KEY_INDEX_SHIFT)
#define SE0_AES0_CTX_SAVE_CONFIG_0_PKA1_KEY_INDEX_RANGE                 17:16
#define SE0_AES0_CTX_SAVE_CONFIG_0_PKA1_KEY_INDEX_WOFFSET                       0x0
#define SE0_AES0_CTX_SAVE_CONFIG_0_PKA1_KEY_INDEX_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_PKA1_KEY_INDEX_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define SE0_AES0_CTX_SAVE_CONFIG_0_PKA1_KEY_INDEX_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_PKA1_KEY_INDEX_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_PKA1_KEY_INDEX_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_PKA1_KEY_INDEX_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define SE0_AES0_CTX_SAVE_CONFIG_0_PKA1_WORD_QUAD_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_PKA1_WORD_QUAD_FIELD                 _MK_FIELD_CONST(0x7f, SE0_AES0_CTX_SAVE_CONFIG_0_PKA1_WORD_QUAD_SHIFT)
#define SE0_AES0_CTX_SAVE_CONFIG_0_PKA1_WORD_QUAD_RANGE                 6:0
#define SE0_AES0_CTX_SAVE_CONFIG_0_PKA1_WORD_QUAD_WOFFSET                       0x0
#define SE0_AES0_CTX_SAVE_CONFIG_0_PKA1_WORD_QUAD_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_PKA1_WORD_QUAD_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define SE0_AES0_CTX_SAVE_CONFIG_0_PKA1_WORD_QUAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_PKA1_WORD_QUAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_PKA1_WORD_QUAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_PKA1_WORD_QUAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define SE0_AES0_CTX_SAVE_CONFIG_0_RSA_KEY_INDEX_SHIFT                  _MK_SHIFT_CONST(16)
#define SE0_AES0_CTX_SAVE_CONFIG_0_RSA_KEY_INDEX_FIELD                  _MK_FIELD_CONST(0x7, SE0_AES0_CTX_SAVE_CONFIG_0_RSA_KEY_INDEX_SHIFT)
#define SE0_AES0_CTX_SAVE_CONFIG_0_RSA_KEY_INDEX_RANGE                  18:16
#define SE0_AES0_CTX_SAVE_CONFIG_0_RSA_KEY_INDEX_WOFFSET                        0x0
#define SE0_AES0_CTX_SAVE_CONFIG_0_RSA_KEY_INDEX_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_RSA_KEY_INDEX_DEFAULT_MASK                   _MK_MASK_CONST(0x7)
#define SE0_AES0_CTX_SAVE_CONFIG_0_RSA_KEY_INDEX_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_RSA_KEY_INDEX_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_RSA_KEY_INDEX_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_RSA_KEY_INDEX_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CTX_SAVE_CONFIG_0_RSA_KEY_INDEX_INIT_ENUM                      SLOT0_EXPONENT
#define SE0_AES0_CTX_SAVE_CONFIG_0_RSA_KEY_INDEX_SLOT0_EXPONENT                 _MK_ENUM_CONST(0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_RSA_KEY_INDEX_SLOT0_MODULUS                  _MK_ENUM_CONST(1)
#define SE0_AES0_CTX_SAVE_CONFIG_0_RSA_KEY_INDEX_SLOT1_EXPONENT                 _MK_ENUM_CONST(2)
#define SE0_AES0_CTX_SAVE_CONFIG_0_RSA_KEY_INDEX_SLOT1_MODULUS                  _MK_ENUM_CONST(3)
#define SE0_AES0_CTX_SAVE_CONFIG_0_RSA_KEY_INDEX_SLOT2_EXPONENT                 _MK_ENUM_CONST(4)
#define SE0_AES0_CTX_SAVE_CONFIG_0_RSA_KEY_INDEX_SLOT2_MODULUS                  _MK_ENUM_CONST(5)
#define SE0_AES0_CTX_SAVE_CONFIG_0_RSA_KEY_INDEX_SLOT3_EXPONENT                 _MK_ENUM_CONST(6)
#define SE0_AES0_CTX_SAVE_CONFIG_0_RSA_KEY_INDEX_SLOT3_MODULUS                  _MK_ENUM_CONST(7)

#define SE0_AES0_CTX_SAVE_CONFIG_0_RSA_WORD_QUAD_SHIFT                  _MK_SHIFT_CONST(12)
#define SE0_AES0_CTX_SAVE_CONFIG_0_RSA_WORD_QUAD_FIELD                  _MK_FIELD_CONST(0xf, SE0_AES0_CTX_SAVE_CONFIG_0_RSA_WORD_QUAD_SHIFT)
#define SE0_AES0_CTX_SAVE_CONFIG_0_RSA_WORD_QUAD_RANGE                  15:12
#define SE0_AES0_CTX_SAVE_CONFIG_0_RSA_WORD_QUAD_WOFFSET                        0x0
#define SE0_AES0_CTX_SAVE_CONFIG_0_RSA_WORD_QUAD_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_RSA_WORD_QUAD_DEFAULT_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES0_CTX_SAVE_CONFIG_0_RSA_WORD_QUAD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_RSA_WORD_QUAD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_RSA_WORD_QUAD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_RSA_WORD_QUAD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define SE0_AES0_CTX_SAVE_CONFIG_0_AES_KEY_INDEX_SHIFT                  _MK_SHIFT_CONST(8)
#define SE0_AES0_CTX_SAVE_CONFIG_0_AES_KEY_INDEX_FIELD                  _MK_FIELD_CONST(0xf, SE0_AES0_CTX_SAVE_CONFIG_0_AES_KEY_INDEX_SHIFT)
#define SE0_AES0_CTX_SAVE_CONFIG_0_AES_KEY_INDEX_RANGE                  11:8
#define SE0_AES0_CTX_SAVE_CONFIG_0_AES_KEY_INDEX_WOFFSET                        0x0
#define SE0_AES0_CTX_SAVE_CONFIG_0_AES_KEY_INDEX_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_AES_KEY_INDEX_DEFAULT_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES0_CTX_SAVE_CONFIG_0_AES_KEY_INDEX_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_AES_KEY_INDEX_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_AES_KEY_INDEX_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_AES_KEY_INDEX_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define SE0_AES0_CTX_SAVE_CONFIG_0_AES_WORD_QUAD_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_AES_WORD_QUAD_FIELD                  _MK_FIELD_CONST(0x3, SE0_AES0_CTX_SAVE_CONFIG_0_AES_WORD_QUAD_SHIFT)
#define SE0_AES0_CTX_SAVE_CONFIG_0_AES_WORD_QUAD_RANGE                  1:0
#define SE0_AES0_CTX_SAVE_CONFIG_0_AES_WORD_QUAD_WOFFSET                        0x0
#define SE0_AES0_CTX_SAVE_CONFIG_0_AES_WORD_QUAD_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_AES_WORD_QUAD_DEFAULT_MASK                   _MK_MASK_CONST(0x3)
#define SE0_AES0_CTX_SAVE_CONFIG_0_AES_WORD_QUAD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_AES_WORD_QUAD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_AES_WORD_QUAD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_AES_WORD_QUAD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_CTX_SAVE_CONFIG_0_AES_WORD_QUAD_INIT_ENUM                      KEYS_0_3
#define SE0_AES0_CTX_SAVE_CONFIG_0_AES_WORD_QUAD_KEYS_0_3                       _MK_ENUM_CONST(0)
#define SE0_AES0_CTX_SAVE_CONFIG_0_AES_WORD_QUAD_KEYS_4_7                       _MK_ENUM_CONST(1)
#define SE0_AES0_CTX_SAVE_CONFIG_0_AES_WORD_QUAD_ORIGINAL_IVS                   _MK_ENUM_CONST(2)
#define SE0_AES0_CTX_SAVE_CONFIG_0_AES_WORD_QUAD_UPDATED_IVS                    _MK_ENUM_CONST(3)

// Register SE0_AES0_RNG_RESEED_INTERVAL_0
#define SE0_AES0_RNG_RESEED_INTERVAL_0                  _MK_ADDR_CONST(0x2dc)
#define SE0_AES0_RNG_RESEED_INTERVAL_0_SECURE                   0x0
#define SE0_AES0_RNG_RESEED_INTERVAL_0_DUAL                     0x0
#define SE0_AES0_RNG_RESEED_INTERVAL_0_SCR                      0
#define SE0_AES0_RNG_RESEED_INTERVAL_0_WORD_COUNT                       0x1
#define SE0_AES0_RNG_RESEED_INTERVAL_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES0_RNG_RESEED_INTERVAL_0_RESET_MASK                       _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_RNG_RESEED_INTERVAL_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SE0_AES0_RNG_RESEED_INTERVAL_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_RNG_RESEED_INTERVAL_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_RNG_RESEED_INTERVAL_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_RNG_RESEED_INTERVAL_0_VAL_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_AES0_RNG_RESEED_INTERVAL_0_VAL_FIELD                        _MK_FIELD_CONST(0xffffffff, SE0_AES0_RNG_RESEED_INTERVAL_0_VAL_SHIFT)
#define SE0_AES0_RNG_RESEED_INTERVAL_0_VAL_RANGE                        31:0
#define SE0_AES0_RNG_RESEED_INTERVAL_0_VAL_WOFFSET                      0x0
#define SE0_AES0_RNG_RESEED_INTERVAL_0_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_RNG_RESEED_INTERVAL_0_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_RNG_RESEED_INTERVAL_0_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_RNG_RESEED_INTERVAL_0_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0xffffffff)
#define SE0_AES0_RNG_RESEED_INTERVAL_0_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_RNG_RESEED_INTERVAL_0_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES0_RNG_RESEED_INTERVAL_0_VAL__PROD                        _MK_MASK_CONST(0x0)

// Register SE0_AES0_INT_ENABLE_0
#define SE0_AES0_INT_ENABLE_0                   _MK_ADDR_CONST(0x2ec)
#define SE0_AES0_INT_ENABLE_0_SECURE                    0x0
#define SE0_AES0_INT_ENABLE_0_DUAL                      0x0
#define SE0_AES0_INT_ENABLE_0_SCR                       0
#define SE0_AES0_INT_ENABLE_0_WORD_COUNT                        0x1
#define SE0_AES0_INT_ENABLE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_RESET_MASK                        _MK_MASK_CONST(0x1033f)
#define SE0_AES0_INT_ENABLE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_READ_MASK                         _MK_MASK_CONST(0x1033f)
#define SE0_AES0_INT_ENABLE_0_WRITE_MASK                        _MK_MASK_CONST(0x1033f)
#define SE0_AES0_INT_ENABLE_0_ERR_STAT_SHIFT                    _MK_SHIFT_CONST(16)
#define SE0_AES0_INT_ENABLE_0_ERR_STAT_FIELD                    _MK_FIELD_CONST(0x1, SE0_AES0_INT_ENABLE_0_ERR_STAT_SHIFT)
#define SE0_AES0_INT_ENABLE_0_ERR_STAT_RANGE                    16:16
#define SE0_AES0_INT_ENABLE_0_ERR_STAT_WOFFSET                  0x0
#define SE0_AES0_INT_ENABLE_0_ERR_STAT_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_ERR_STAT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_ENABLE_0_ERR_STAT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_ERR_STAT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_ERR_STAT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_ERR_STAT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_ENABLE_0_ERR_STAT_INIT_ENUM                        DISABLE
#define SE0_AES0_INT_ENABLE_0_ERR_STAT_DISABLE                  _MK_ENUM_CONST(0)
#define SE0_AES0_INT_ENABLE_0_ERR_STAT_ENABLE                   _MK_ENUM_CONST(1)

#define SE0_AES0_INT_ENABLE_0_EIP1_SHIFT                        _MK_SHIFT_CONST(9)
#define SE0_AES0_INT_ENABLE_0_EIP1_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES0_INT_ENABLE_0_EIP1_SHIFT)
#define SE0_AES0_INT_ENABLE_0_EIP1_RANGE                        9:9
#define SE0_AES0_INT_ENABLE_0_EIP1_WOFFSET                      0x0
#define SE0_AES0_INT_ENABLE_0_EIP1_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_EIP1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_ENABLE_0_EIP1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_EIP1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_EIP1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_EIP1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_ENABLE_0_EIP1_INIT_ENUM                    DISABLE
#define SE0_AES0_INT_ENABLE_0_EIP1_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES0_INT_ENABLE_0_EIP1_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_AES0_INT_ENABLE_0_EIP0_SHIFT                        _MK_SHIFT_CONST(8)
#define SE0_AES0_INT_ENABLE_0_EIP0_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES0_INT_ENABLE_0_EIP0_SHIFT)
#define SE0_AES0_INT_ENABLE_0_EIP0_RANGE                        8:8
#define SE0_AES0_INT_ENABLE_0_EIP0_WOFFSET                      0x0
#define SE0_AES0_INT_ENABLE_0_EIP0_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_EIP0_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_ENABLE_0_EIP0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_EIP0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_EIP0_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_EIP0_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_ENABLE_0_EIP0_INIT_ENUM                    DISABLE
#define SE0_AES0_INT_ENABLE_0_EIP0_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES0_INT_ENABLE_0_EIP0_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_AES0_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_SHIFT                       _MK_SHIFT_CONST(5)
#define SE0_AES0_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_SHIFT)
#define SE0_AES0_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_RANGE                       5:5
#define SE0_AES0_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_WOFFSET                     0x0
#define SE0_AES0_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_INIT_ENUM                   DISABLE
#define SE0_AES0_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_INT_ENABLE_0_SE_OP_DONE_SHIFT                  _MK_SHIFT_CONST(4)
#define SE0_AES0_INT_ENABLE_0_SE_OP_DONE_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES0_INT_ENABLE_0_SE_OP_DONE_SHIFT)
#define SE0_AES0_INT_ENABLE_0_SE_OP_DONE_RANGE                  4:4
#define SE0_AES0_INT_ENABLE_0_SE_OP_DONE_WOFFSET                        0x0
#define SE0_AES0_INT_ENABLE_0_SE_OP_DONE_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_SE_OP_DONE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_ENABLE_0_SE_OP_DONE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_SE_OP_DONE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_SE_OP_DONE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_SE_OP_DONE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_ENABLE_0_SE_OP_DONE_INIT_ENUM                      DISABLE
#define SE0_AES0_INT_ENABLE_0_SE_OP_DONE_DISABLE                        _MK_ENUM_CONST(0)
#define SE0_AES0_INT_ENABLE_0_SE_OP_DONE_ENABLE                 _MK_ENUM_CONST(1)

#define SE0_AES0_INT_ENABLE_0_OUT_DONE_SHIFT                    _MK_SHIFT_CONST(3)
#define SE0_AES0_INT_ENABLE_0_OUT_DONE_FIELD                    _MK_FIELD_CONST(0x1, SE0_AES0_INT_ENABLE_0_OUT_DONE_SHIFT)
#define SE0_AES0_INT_ENABLE_0_OUT_DONE_RANGE                    3:3
#define SE0_AES0_INT_ENABLE_0_OUT_DONE_WOFFSET                  0x0
#define SE0_AES0_INT_ENABLE_0_OUT_DONE_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_OUT_DONE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_ENABLE_0_OUT_DONE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_OUT_DONE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_OUT_DONE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_OUT_DONE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_ENABLE_0_OUT_DONE_INIT_ENUM                        DISABLE
#define SE0_AES0_INT_ENABLE_0_OUT_DONE_DISABLE                  _MK_ENUM_CONST(0)
#define SE0_AES0_INT_ENABLE_0_OUT_DONE_ENABLE                   _MK_ENUM_CONST(1)

#define SE0_AES0_INT_ENABLE_0_OUT_LL_BUF_WR_SHIFT                       _MK_SHIFT_CONST(2)
#define SE0_AES0_INT_ENABLE_0_OUT_LL_BUF_WR_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_INT_ENABLE_0_OUT_LL_BUF_WR_SHIFT)
#define SE0_AES0_INT_ENABLE_0_OUT_LL_BUF_WR_RANGE                       2:2
#define SE0_AES0_INT_ENABLE_0_OUT_LL_BUF_WR_WOFFSET                     0x0
#define SE0_AES0_INT_ENABLE_0_OUT_LL_BUF_WR_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_OUT_LL_BUF_WR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_ENABLE_0_OUT_LL_BUF_WR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_OUT_LL_BUF_WR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_OUT_LL_BUF_WR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_OUT_LL_BUF_WR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_ENABLE_0_OUT_LL_BUF_WR_INIT_ENUM                   DISABLE
#define SE0_AES0_INT_ENABLE_0_OUT_LL_BUF_WR_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES0_INT_ENABLE_0_OUT_LL_BUF_WR_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES0_INT_ENABLE_0_IN_DONE_SHIFT                     _MK_SHIFT_CONST(1)
#define SE0_AES0_INT_ENABLE_0_IN_DONE_FIELD                     _MK_FIELD_CONST(0x1, SE0_AES0_INT_ENABLE_0_IN_DONE_SHIFT)
#define SE0_AES0_INT_ENABLE_0_IN_DONE_RANGE                     1:1
#define SE0_AES0_INT_ENABLE_0_IN_DONE_WOFFSET                   0x0
#define SE0_AES0_INT_ENABLE_0_IN_DONE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_IN_DONE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_ENABLE_0_IN_DONE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_IN_DONE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_IN_DONE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_IN_DONE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_ENABLE_0_IN_DONE_INIT_ENUM                 DISABLE
#define SE0_AES0_INT_ENABLE_0_IN_DONE_DISABLE                   _MK_ENUM_CONST(0)
#define SE0_AES0_INT_ENABLE_0_IN_DONE_ENABLE                    _MK_ENUM_CONST(1)

#define SE0_AES0_INT_ENABLE_0_IN_LL_BUF_RD_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_AES0_INT_ENABLE_0_IN_LL_BUF_RD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES0_INT_ENABLE_0_IN_LL_BUF_RD_SHIFT)
#define SE0_AES0_INT_ENABLE_0_IN_LL_BUF_RD_RANGE                        0:0
#define SE0_AES0_INT_ENABLE_0_IN_LL_BUF_RD_WOFFSET                      0x0
#define SE0_AES0_INT_ENABLE_0_IN_LL_BUF_RD_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_IN_LL_BUF_RD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_ENABLE_0_IN_LL_BUF_RD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_IN_LL_BUF_RD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_IN_LL_BUF_RD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_ENABLE_0_IN_LL_BUF_RD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_ENABLE_0_IN_LL_BUF_RD_INIT_ENUM                    DISABLE
#define SE0_AES0_INT_ENABLE_0_IN_LL_BUF_RD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES0_INT_ENABLE_0_IN_LL_BUF_RD_ENABLE                       _MK_ENUM_CONST(1)

// Register SE0_AES0_INT_STATUS_0
#define SE0_AES0_INT_STATUS_0                   _MK_ADDR_CONST(0x2f0)
#define SE0_AES0_INT_STATUS_0_SECURE                    0x0
#define SE0_AES0_INT_STATUS_0_DUAL                      0x0
#define SE0_AES0_INT_STATUS_0_SCR                       0
#define SE0_AES0_INT_STATUS_0_WORD_COUNT                        0x1
#define SE0_AES0_INT_STATUS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_RESET_MASK                        _MK_MASK_CONST(0x1033f)
#define SE0_AES0_INT_STATUS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_READ_MASK                         _MK_MASK_CONST(0x1033f)
#define SE0_AES0_INT_STATUS_0_WRITE_MASK                        _MK_MASK_CONST(0x1033f)
#define SE0_AES0_INT_STATUS_0_ERR_STAT_SHIFT                    _MK_SHIFT_CONST(16)
#define SE0_AES0_INT_STATUS_0_ERR_STAT_FIELD                    _MK_FIELD_CONST(0x1, SE0_AES0_INT_STATUS_0_ERR_STAT_SHIFT)
#define SE0_AES0_INT_STATUS_0_ERR_STAT_RANGE                    16:16
#define SE0_AES0_INT_STATUS_0_ERR_STAT_WOFFSET                  0x0
#define SE0_AES0_INT_STATUS_0_ERR_STAT_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_ERR_STAT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_STATUS_0_ERR_STAT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_ERR_STAT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_ERR_STAT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_ERR_STAT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_STATUS_0_ERR_STAT_INIT_ENUM                        CLEAR
#define SE0_AES0_INT_STATUS_0_ERR_STAT_CLEAR                    _MK_ENUM_CONST(0)
#define SE0_AES0_INT_STATUS_0_ERR_STAT_ACTIVE                   _MK_ENUM_CONST(1)
#define SE0_AES0_INT_STATUS_0_ERR_STAT_SW_CLEAR                 _MK_ENUM_CONST(1)

#define SE0_AES0_INT_STATUS_0_EIP1_SHIFT                        _MK_SHIFT_CONST(9)
#define SE0_AES0_INT_STATUS_0_EIP1_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES0_INT_STATUS_0_EIP1_SHIFT)
#define SE0_AES0_INT_STATUS_0_EIP1_RANGE                        9:9
#define SE0_AES0_INT_STATUS_0_EIP1_WOFFSET                      0x0
#define SE0_AES0_INT_STATUS_0_EIP1_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_EIP1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_STATUS_0_EIP1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_EIP1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_EIP1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_EIP1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_STATUS_0_EIP1_INIT_ENUM                    CLEAR
#define SE0_AES0_INT_STATUS_0_EIP1_CLEAR                        _MK_ENUM_CONST(0)
#define SE0_AES0_INT_STATUS_0_EIP1_ACTIVE                       _MK_ENUM_CONST(1)
#define SE0_AES0_INT_STATUS_0_EIP1_SW_CLEAR                     _MK_ENUM_CONST(1)

#define SE0_AES0_INT_STATUS_0_EIP0_SHIFT                        _MK_SHIFT_CONST(8)
#define SE0_AES0_INT_STATUS_0_EIP0_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES0_INT_STATUS_0_EIP0_SHIFT)
#define SE0_AES0_INT_STATUS_0_EIP0_RANGE                        8:8
#define SE0_AES0_INT_STATUS_0_EIP0_WOFFSET                      0x0
#define SE0_AES0_INT_STATUS_0_EIP0_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_EIP0_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_STATUS_0_EIP0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_EIP0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_EIP0_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_EIP0_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_STATUS_0_EIP0_INIT_ENUM                    CLEAR
#define SE0_AES0_INT_STATUS_0_EIP0_CLEAR                        _MK_ENUM_CONST(0)
#define SE0_AES0_INT_STATUS_0_EIP0_ACTIVE                       _MK_ENUM_CONST(1)
#define SE0_AES0_INT_STATUS_0_EIP0_SW_CLEAR                     _MK_ENUM_CONST(1)

#define SE0_AES0_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_SHIFT                       _MK_SHIFT_CONST(5)
#define SE0_AES0_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_SHIFT)
#define SE0_AES0_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_RANGE                       5:5
#define SE0_AES0_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_WOFFSET                     0x0
#define SE0_AES0_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_INIT_ENUM                   CLEAR
#define SE0_AES0_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_CLEAR                       _MK_ENUM_CONST(0)
#define SE0_AES0_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_ACTIVE                      _MK_ENUM_CONST(1)
#define SE0_AES0_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_SW_CLEAR                    _MK_ENUM_CONST(1)

#define SE0_AES0_INT_STATUS_0_SE_OP_DONE_SHIFT                  _MK_SHIFT_CONST(4)
#define SE0_AES0_INT_STATUS_0_SE_OP_DONE_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES0_INT_STATUS_0_SE_OP_DONE_SHIFT)
#define SE0_AES0_INT_STATUS_0_SE_OP_DONE_RANGE                  4:4
#define SE0_AES0_INT_STATUS_0_SE_OP_DONE_WOFFSET                        0x0
#define SE0_AES0_INT_STATUS_0_SE_OP_DONE_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_SE_OP_DONE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_STATUS_0_SE_OP_DONE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_SE_OP_DONE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_SE_OP_DONE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_SE_OP_DONE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_STATUS_0_SE_OP_DONE_INIT_ENUM                      CLEAR
#define SE0_AES0_INT_STATUS_0_SE_OP_DONE_CLEAR                  _MK_ENUM_CONST(0)
#define SE0_AES0_INT_STATUS_0_SE_OP_DONE_ACTIVE                 _MK_ENUM_CONST(1)
#define SE0_AES0_INT_STATUS_0_SE_OP_DONE_SW_CLEAR                       _MK_ENUM_CONST(1)

#define SE0_AES0_INT_STATUS_0_OUT_DONE_SHIFT                    _MK_SHIFT_CONST(3)
#define SE0_AES0_INT_STATUS_0_OUT_DONE_FIELD                    _MK_FIELD_CONST(0x1, SE0_AES0_INT_STATUS_0_OUT_DONE_SHIFT)
#define SE0_AES0_INT_STATUS_0_OUT_DONE_RANGE                    3:3
#define SE0_AES0_INT_STATUS_0_OUT_DONE_WOFFSET                  0x0
#define SE0_AES0_INT_STATUS_0_OUT_DONE_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_OUT_DONE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_STATUS_0_OUT_DONE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_OUT_DONE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_OUT_DONE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_OUT_DONE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_STATUS_0_OUT_DONE_INIT_ENUM                        CLEAR
#define SE0_AES0_INT_STATUS_0_OUT_DONE_CLEAR                    _MK_ENUM_CONST(0)
#define SE0_AES0_INT_STATUS_0_OUT_DONE_ACTIVE                   _MK_ENUM_CONST(1)
#define SE0_AES0_INT_STATUS_0_OUT_DONE_SW_CLEAR                 _MK_ENUM_CONST(1)

#define SE0_AES0_INT_STATUS_0_OUT_LL_BUF_WR_SHIFT                       _MK_SHIFT_CONST(2)
#define SE0_AES0_INT_STATUS_0_OUT_LL_BUF_WR_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_INT_STATUS_0_OUT_LL_BUF_WR_SHIFT)
#define SE0_AES0_INT_STATUS_0_OUT_LL_BUF_WR_RANGE                       2:2
#define SE0_AES0_INT_STATUS_0_OUT_LL_BUF_WR_WOFFSET                     0x0
#define SE0_AES0_INT_STATUS_0_OUT_LL_BUF_WR_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_OUT_LL_BUF_WR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_STATUS_0_OUT_LL_BUF_WR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_OUT_LL_BUF_WR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_OUT_LL_BUF_WR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_OUT_LL_BUF_WR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_STATUS_0_OUT_LL_BUF_WR_INIT_ENUM                   CLEAR
#define SE0_AES0_INT_STATUS_0_OUT_LL_BUF_WR_CLEAR                       _MK_ENUM_CONST(0)
#define SE0_AES0_INT_STATUS_0_OUT_LL_BUF_WR_ACTIVE                      _MK_ENUM_CONST(1)
#define SE0_AES0_INT_STATUS_0_OUT_LL_BUF_WR_SW_CLEAR                    _MK_ENUM_CONST(1)

#define SE0_AES0_INT_STATUS_0_IN_DONE_SHIFT                     _MK_SHIFT_CONST(1)
#define SE0_AES0_INT_STATUS_0_IN_DONE_FIELD                     _MK_FIELD_CONST(0x1, SE0_AES0_INT_STATUS_0_IN_DONE_SHIFT)
#define SE0_AES0_INT_STATUS_0_IN_DONE_RANGE                     1:1
#define SE0_AES0_INT_STATUS_0_IN_DONE_WOFFSET                   0x0
#define SE0_AES0_INT_STATUS_0_IN_DONE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_IN_DONE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_STATUS_0_IN_DONE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_IN_DONE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_IN_DONE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_IN_DONE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_STATUS_0_IN_DONE_INIT_ENUM                 CLEAR
#define SE0_AES0_INT_STATUS_0_IN_DONE_CLEAR                     _MK_ENUM_CONST(0)
#define SE0_AES0_INT_STATUS_0_IN_DONE_ACTIVE                    _MK_ENUM_CONST(1)
#define SE0_AES0_INT_STATUS_0_IN_DONE_SW_CLEAR                  _MK_ENUM_CONST(1)

#define SE0_AES0_INT_STATUS_0_IN_LL_BUF_RD_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_AES0_INT_STATUS_0_IN_LL_BUF_RD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES0_INT_STATUS_0_IN_LL_BUF_RD_SHIFT)
#define SE0_AES0_INT_STATUS_0_IN_LL_BUF_RD_RANGE                        0:0
#define SE0_AES0_INT_STATUS_0_IN_LL_BUF_RD_WOFFSET                      0x0
#define SE0_AES0_INT_STATUS_0_IN_LL_BUF_RD_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_IN_LL_BUF_RD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_STATUS_0_IN_LL_BUF_RD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_IN_LL_BUF_RD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_IN_LL_BUF_RD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_INT_STATUS_0_IN_LL_BUF_RD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES0_INT_STATUS_0_IN_LL_BUF_RD_INIT_ENUM                    CLEAR
#define SE0_AES0_INT_STATUS_0_IN_LL_BUF_RD_CLEAR                        _MK_ENUM_CONST(0)
#define SE0_AES0_INT_STATUS_0_IN_LL_BUF_RD_ACTIVE                       _MK_ENUM_CONST(1)
#define SE0_AES0_INT_STATUS_0_IN_LL_BUF_RD_SW_CLEAR                     _MK_ENUM_CONST(1)

// Register SE0_AES0_STATUS_0
#define SE0_AES0_STATUS_0                       _MK_ADDR_CONST(0x2f4)
#define SE0_AES0_STATUS_0_SECURE                        0x0
#define SE0_AES0_STATUS_0_DUAL                  0x0
#define SE0_AES0_STATUS_0_SCR                   0
#define SE0_AES0_STATUS_0_WORD_COUNT                    0x1
#define SE0_AES0_STATUS_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_AES0_STATUS_0_RESET_MASK                    _MK_MASK_CONST(0x7)
#define SE0_AES0_STATUS_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES0_STATUS_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_STATUS_0_READ_MASK                     _MK_MASK_CONST(0x7)
#define SE0_AES0_STATUS_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES0_STATUS_0_STATE_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_AES0_STATUS_0_STATE_FIELD                   _MK_FIELD_CONST(0x7, SE0_AES0_STATUS_0_STATE_SHIFT)
#define SE0_AES0_STATUS_0_STATE_RANGE                   2:0
#define SE0_AES0_STATUS_0_STATE_WOFFSET                 0x0
#define SE0_AES0_STATUS_0_STATE_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES0_STATUS_0_STATE_DEFAULT_MASK                    _MK_MASK_CONST(0x7)
#define SE0_AES0_STATUS_0_STATE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_STATUS_0_STATE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES0_STATUS_0_STATE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES0_STATUS_0_STATE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_AES0_STATUS_0_STATE_INIT_ENUM                       IDLE
#define SE0_AES0_STATUS_0_STATE_IDLE                    _MK_ENUM_CONST(0)
#define SE0_AES0_STATUS_0_STATE_BUSY                    _MK_ENUM_CONST(1)
#define SE0_AES0_STATUS_0_STATE_WAIT_OUT                        _MK_ENUM_CONST(2)
#define SE0_AES0_STATUS_0_STATE_WAIT_IN                 _MK_ENUM_CONST(3)
#define SE0_AES0_STATUS_0_STATE_WAIT_INOUT                      _MK_ENUM_CONST(4)
#define SE0_AES0_STATUS_0_STATE_CANCELLING                      _MK_ENUM_CONST(5)
#define SE0_AES0_STATUS_0_STATE_PENDING                 _MK_ENUM_CONST(6)

// Register SE0_AES0_ERR_STATUS_0
#define SE0_AES0_ERR_STATUS_0                   _MK_ADDR_CONST(0x2f8)
#define SE0_AES0_ERR_STATUS_0_SECURE                    0x0
#define SE0_AES0_ERR_STATUS_0_DUAL                      0x0
#define SE0_AES0_ERR_STATUS_0_SCR                       0
#define SE0_AES0_ERR_STATUS_0_WORD_COUNT                        0x1
#define SE0_AES0_ERR_STATUS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_RESET_MASK                        _MK_MASK_CONST(0x30001ff)
#define SE0_AES0_ERR_STATUS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_READ_MASK                         _MK_MASK_CONST(0x30001ff)
#define SE0_AES0_ERR_STATUS_0_WRITE_MASK                        _MK_MASK_CONST(0x30001ff)
#define SE0_AES0_ERR_STATUS_0_SE_NS_ACCESS_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_AES0_ERR_STATUS_0_SE_NS_ACCESS_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES0_ERR_STATUS_0_SE_NS_ACCESS_SHIFT)
#define SE0_AES0_ERR_STATUS_0_SE_NS_ACCESS_RANGE                        0:0
#define SE0_AES0_ERR_STATUS_0_SE_NS_ACCESS_WOFFSET                      0x0
#define SE0_AES0_ERR_STATUS_0_SE_NS_ACCESS_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_SE_NS_ACCESS_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES0_ERR_STATUS_0_SE_NS_ACCESS_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_SE_NS_ACCESS_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_SE_NS_ACCESS_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_SE_NS_ACCESS_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES0_ERR_STATUS_0_SE_NS_ACCESS_INIT_ENUM                    CLEAR
#define SE0_AES0_ERR_STATUS_0_SE_NS_ACCESS_CLEAR                        _MK_ENUM_CONST(0)
#define SE0_AES0_ERR_STATUS_0_SE_NS_ACCESS_ACTIVE                       _MK_ENUM_CONST(1)
#define SE0_AES0_ERR_STATUS_0_SE_NS_ACCESS_SW_CLEAR                     _MK_ENUM_CONST(1)

#define SE0_AES0_ERR_STATUS_0_DST_SHIFT                 _MK_SHIFT_CONST(1)
#define SE0_AES0_ERR_STATUS_0_DST_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_ERR_STATUS_0_DST_SHIFT)
#define SE0_AES0_ERR_STATUS_0_DST_RANGE                 1:1
#define SE0_AES0_ERR_STATUS_0_DST_WOFFSET                       0x0
#define SE0_AES0_ERR_STATUS_0_DST_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_DST_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_ERR_STATUS_0_DST_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_DST_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_DST_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_DST_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_ERR_STATUS_0_DST_INIT_ENUM                     CLEAR
#define SE0_AES0_ERR_STATUS_0_DST_CLEAR                 _MK_ENUM_CONST(0)
#define SE0_AES0_ERR_STATUS_0_DST_ACTIVE                        _MK_ENUM_CONST(1)
#define SE0_AES0_ERR_STATUS_0_DST_SW_CLEAR                      _MK_ENUM_CONST(1)

#define SE0_AES0_ERR_STATUS_0_BUSY_REG_WR_SHIFT                 _MK_SHIFT_CONST(2)
#define SE0_AES0_ERR_STATUS_0_BUSY_REG_WR_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_ERR_STATUS_0_BUSY_REG_WR_SHIFT)
#define SE0_AES0_ERR_STATUS_0_BUSY_REG_WR_RANGE                 2:2
#define SE0_AES0_ERR_STATUS_0_BUSY_REG_WR_WOFFSET                       0x0
#define SE0_AES0_ERR_STATUS_0_BUSY_REG_WR_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_BUSY_REG_WR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_ERR_STATUS_0_BUSY_REG_WR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_BUSY_REG_WR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_BUSY_REG_WR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_BUSY_REG_WR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_ERR_STATUS_0_BUSY_REG_WR_INIT_ENUM                     CLEAR
#define SE0_AES0_ERR_STATUS_0_BUSY_REG_WR_CLEAR                 _MK_ENUM_CONST(0)
#define SE0_AES0_ERR_STATUS_0_BUSY_REG_WR_ACTIVE                        _MK_ENUM_CONST(1)
#define SE0_AES0_ERR_STATUS_0_BUSY_REG_WR_SW_CLEAR                      _MK_ENUM_CONST(1)

#define SE0_AES0_ERR_STATUS_0_SRK_USAGE_LIMIT_SHIFT                     _MK_SHIFT_CONST(3)
#define SE0_AES0_ERR_STATUS_0_SRK_USAGE_LIMIT_FIELD                     _MK_FIELD_CONST(0x1, SE0_AES0_ERR_STATUS_0_SRK_USAGE_LIMIT_SHIFT)
#define SE0_AES0_ERR_STATUS_0_SRK_USAGE_LIMIT_RANGE                     3:3
#define SE0_AES0_ERR_STATUS_0_SRK_USAGE_LIMIT_WOFFSET                   0x0
#define SE0_AES0_ERR_STATUS_0_SRK_USAGE_LIMIT_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_SRK_USAGE_LIMIT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SE0_AES0_ERR_STATUS_0_SRK_USAGE_LIMIT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_SRK_USAGE_LIMIT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_SRK_USAGE_LIMIT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_SRK_USAGE_LIMIT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES0_ERR_STATUS_0_SRK_USAGE_LIMIT_INIT_ENUM                 CLEAR
#define SE0_AES0_ERR_STATUS_0_SRK_USAGE_LIMIT_CLEAR                     _MK_ENUM_CONST(0)
#define SE0_AES0_ERR_STATUS_0_SRK_USAGE_LIMIT_ACTIVE                    _MK_ENUM_CONST(1)
#define SE0_AES0_ERR_STATUS_0_SRK_USAGE_LIMIT_SW_CLEAR                  _MK_ENUM_CONST(1)

#define SE0_AES0_ERR_STATUS_0_NO_SUPPORT_SHIFT                  _MK_SHIFT_CONST(4)
#define SE0_AES0_ERR_STATUS_0_NO_SUPPORT_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES0_ERR_STATUS_0_NO_SUPPORT_SHIFT)
#define SE0_AES0_ERR_STATUS_0_NO_SUPPORT_RANGE                  4:4
#define SE0_AES0_ERR_STATUS_0_NO_SUPPORT_WOFFSET                        0x0
#define SE0_AES0_ERR_STATUS_0_NO_SUPPORT_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_NO_SUPPORT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES0_ERR_STATUS_0_NO_SUPPORT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_NO_SUPPORT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_NO_SUPPORT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_NO_SUPPORT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_ERR_STATUS_0_NO_SUPPORT_INIT_ENUM                      CLEAR
#define SE0_AES0_ERR_STATUS_0_NO_SUPPORT_CLEAR                  _MK_ENUM_CONST(0)
#define SE0_AES0_ERR_STATUS_0_NO_SUPPORT_ACTIVE                 _MK_ENUM_CONST(1)
#define SE0_AES0_ERR_STATUS_0_NO_SUPPORT_SW_CLEAR                       _MK_ENUM_CONST(1)

#define SE0_AES0_ERR_STATUS_0_ENG_DIS_OP_SHIFT                  _MK_SHIFT_CONST(5)
#define SE0_AES0_ERR_STATUS_0_ENG_DIS_OP_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES0_ERR_STATUS_0_ENG_DIS_OP_SHIFT)
#define SE0_AES0_ERR_STATUS_0_ENG_DIS_OP_RANGE                  5:5
#define SE0_AES0_ERR_STATUS_0_ENG_DIS_OP_WOFFSET                        0x0
#define SE0_AES0_ERR_STATUS_0_ENG_DIS_OP_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_ENG_DIS_OP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES0_ERR_STATUS_0_ENG_DIS_OP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_ENG_DIS_OP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_ENG_DIS_OP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_ENG_DIS_OP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_ERR_STATUS_0_ENG_DIS_OP_INIT_ENUM                      CLEAR
#define SE0_AES0_ERR_STATUS_0_ENG_DIS_OP_CLEAR                  _MK_ENUM_CONST(0)
#define SE0_AES0_ERR_STATUS_0_ENG_DIS_OP_ACTIVE                 _MK_ENUM_CONST(1)
#define SE0_AES0_ERR_STATUS_0_ENG_DIS_OP_SW_CLEAR                       _MK_ENUM_CONST(1)

#define SE0_AES0_ERR_STATUS_0_CIPHER_MODE_SHIFT                 _MK_SHIFT_CONST(6)
#define SE0_AES0_ERR_STATUS_0_CIPHER_MODE_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_ERR_STATUS_0_CIPHER_MODE_SHIFT)
#define SE0_AES0_ERR_STATUS_0_CIPHER_MODE_RANGE                 6:6
#define SE0_AES0_ERR_STATUS_0_CIPHER_MODE_WOFFSET                       0x0
#define SE0_AES0_ERR_STATUS_0_CIPHER_MODE_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_CIPHER_MODE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_ERR_STATUS_0_CIPHER_MODE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_CIPHER_MODE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_CIPHER_MODE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_CIPHER_MODE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_ERR_STATUS_0_CIPHER_MODE_INIT_ENUM                     CLEAR
#define SE0_AES0_ERR_STATUS_0_CIPHER_MODE_CLEAR                 _MK_ENUM_CONST(0)
#define SE0_AES0_ERR_STATUS_0_CIPHER_MODE_ACTIVE                        _MK_ENUM_CONST(1)
#define SE0_AES0_ERR_STATUS_0_CIPHER_MODE_SW_CLEAR                      _MK_ENUM_CONST(1)

#define SE0_AES0_ERR_STATUS_0_AUTO_CTX_SAVE_FAIL_SHIFT                  _MK_SHIFT_CONST(7)
#define SE0_AES0_ERR_STATUS_0_AUTO_CTX_SAVE_FAIL_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES0_ERR_STATUS_0_AUTO_CTX_SAVE_FAIL_SHIFT)
#define SE0_AES0_ERR_STATUS_0_AUTO_CTX_SAVE_FAIL_RANGE                  7:7
#define SE0_AES0_ERR_STATUS_0_AUTO_CTX_SAVE_FAIL_WOFFSET                        0x0
#define SE0_AES0_ERR_STATUS_0_AUTO_CTX_SAVE_FAIL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_AUTO_CTX_SAVE_FAIL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES0_ERR_STATUS_0_AUTO_CTX_SAVE_FAIL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_AUTO_CTX_SAVE_FAIL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_AUTO_CTX_SAVE_FAIL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_AUTO_CTX_SAVE_FAIL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES0_ERR_STATUS_0_AUTO_CTX_SAVE_FAIL_INIT_ENUM                      CLEAR
#define SE0_AES0_ERR_STATUS_0_AUTO_CTX_SAVE_FAIL_CLEAR                  _MK_ENUM_CONST(0)
#define SE0_AES0_ERR_STATUS_0_AUTO_CTX_SAVE_FAIL_ACTIVE                 _MK_ENUM_CONST(1)
#define SE0_AES0_ERR_STATUS_0_AUTO_CTX_SAVE_FAIL_SW_CLEAR                       _MK_ENUM_CONST(1)

#define SE0_AES0_ERR_STATUS_0_ILLEGAL_CFG_SHIFT                 _MK_SHIFT_CONST(8)
#define SE0_AES0_ERR_STATUS_0_ILLEGAL_CFG_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES0_ERR_STATUS_0_ILLEGAL_CFG_SHIFT)
#define SE0_AES0_ERR_STATUS_0_ILLEGAL_CFG_RANGE                 8:8
#define SE0_AES0_ERR_STATUS_0_ILLEGAL_CFG_WOFFSET                       0x0
#define SE0_AES0_ERR_STATUS_0_ILLEGAL_CFG_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_ILLEGAL_CFG_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES0_ERR_STATUS_0_ILLEGAL_CFG_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_ILLEGAL_CFG_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_ILLEGAL_CFG_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_ILLEGAL_CFG_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES0_ERR_STATUS_0_ILLEGAL_CFG_INIT_ENUM                     CLEAR
#define SE0_AES0_ERR_STATUS_0_ILLEGAL_CFG_CLEAR                 _MK_ENUM_CONST(0)
#define SE0_AES0_ERR_STATUS_0_ILLEGAL_CFG_ACTIVE                        _MK_ENUM_CONST(1)
#define SE0_AES0_ERR_STATUS_0_ILLEGAL_CFG_SW_CLEAR                      _MK_ENUM_CONST(1)

#define SE0_AES0_ERR_STATUS_0_TZRAM_NS_ACCESS_SHIFT                     _MK_SHIFT_CONST(24)
#define SE0_AES0_ERR_STATUS_0_TZRAM_NS_ACCESS_FIELD                     _MK_FIELD_CONST(0x1, SE0_AES0_ERR_STATUS_0_TZRAM_NS_ACCESS_SHIFT)
#define SE0_AES0_ERR_STATUS_0_TZRAM_NS_ACCESS_RANGE                     24:24
#define SE0_AES0_ERR_STATUS_0_TZRAM_NS_ACCESS_WOFFSET                   0x0
#define SE0_AES0_ERR_STATUS_0_TZRAM_NS_ACCESS_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_TZRAM_NS_ACCESS_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SE0_AES0_ERR_STATUS_0_TZRAM_NS_ACCESS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_TZRAM_NS_ACCESS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_TZRAM_NS_ACCESS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_TZRAM_NS_ACCESS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES0_ERR_STATUS_0_TZRAM_NS_ACCESS_INIT_ENUM                 CLEAR
#define SE0_AES0_ERR_STATUS_0_TZRAM_NS_ACCESS_CLEAR                     _MK_ENUM_CONST(0)
#define SE0_AES0_ERR_STATUS_0_TZRAM_NS_ACCESS_ACTIVE                    _MK_ENUM_CONST(1)
#define SE0_AES0_ERR_STATUS_0_TZRAM_NS_ACCESS_SW_CLEAR                  _MK_ENUM_CONST(1)

#define SE0_AES0_ERR_STATUS_0_TZRAM_ADDRESS_SHIFT                       _MK_SHIFT_CONST(25)
#define SE0_AES0_ERR_STATUS_0_TZRAM_ADDRESS_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES0_ERR_STATUS_0_TZRAM_ADDRESS_SHIFT)
#define SE0_AES0_ERR_STATUS_0_TZRAM_ADDRESS_RANGE                       25:25
#define SE0_AES0_ERR_STATUS_0_TZRAM_ADDRESS_WOFFSET                     0x0
#define SE0_AES0_ERR_STATUS_0_TZRAM_ADDRESS_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_TZRAM_ADDRESS_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES0_ERR_STATUS_0_TZRAM_ADDRESS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_TZRAM_ADDRESS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_TZRAM_ADDRESS_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES0_ERR_STATUS_0_TZRAM_ADDRESS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES0_ERR_STATUS_0_TZRAM_ADDRESS_INIT_ENUM                   CLEAR
#define SE0_AES0_ERR_STATUS_0_TZRAM_ADDRESS_CLEAR                       _MK_ENUM_CONST(0)
#define SE0_AES0_ERR_STATUS_0_TZRAM_ADDRESS_ACTIVE                      _MK_ENUM_CONST(1)
#define SE0_AES0_ERR_STATUS_0_TZRAM_ADDRESS_SW_CLEAR                    _MK_ENUM_CONST(1)

// Register SE0_AES1_GSCID_0
#define SE0_AES1_GSCID_0                        _MK_ADDR_CONST(0x400)
#define SE0_AES1_GSCID_0_SECURE                         0x0
#define SE0_AES1_GSCID_0_DUAL                   0x0
#define SE0_AES1_GSCID_0_SCR                    0
#define SE0_AES1_GSCID_0_WORD_COUNT                     0x1
#define SE0_AES1_GSCID_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE0_AES1_GSCID_0_RESET_MASK                     _MK_MASK_CONST(0xff00ff)
#define SE0_AES1_GSCID_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE0_AES1_GSCID_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_GSCID_0_READ_MASK                      _MK_MASK_CONST(0xff00ff)
#define SE0_AES1_GSCID_0_WRITE_MASK                     _MK_MASK_CONST(0xff00ff)
#define SE0_AES1_GSCID_0_IN_ID_SHIFT                    _MK_SHIFT_CONST(16)
#define SE0_AES1_GSCID_0_IN_ID_FIELD                    _MK_FIELD_CONST(0xff, SE0_AES1_GSCID_0_IN_ID_SHIFT)
#define SE0_AES1_GSCID_0_IN_ID_RANGE                    23:16
#define SE0_AES1_GSCID_0_IN_ID_WOFFSET                  0x0
#define SE0_AES1_GSCID_0_IN_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_GSCID_0_IN_ID_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define SE0_AES1_GSCID_0_IN_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES1_GSCID_0_IN_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES1_GSCID_0_IN_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES1_GSCID_0_IN_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define SE0_AES1_GSCID_0_OUT_ID_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_AES1_GSCID_0_OUT_ID_FIELD                   _MK_FIELD_CONST(0xff, SE0_AES1_GSCID_0_OUT_ID_SHIFT)
#define SE0_AES1_GSCID_0_OUT_ID_RANGE                   7:0
#define SE0_AES1_GSCID_0_OUT_ID_WOFFSET                 0x0
#define SE0_AES1_GSCID_0_OUT_ID_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES1_GSCID_0_OUT_ID_DEFAULT_MASK                    _MK_MASK_CONST(0xff)
#define SE0_AES1_GSCID_0_OUT_ID_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_GSCID_0_OUT_ID_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES1_GSCID_0_OUT_ID_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES1_GSCID_0_OUT_ID_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SE0_AES1_CONFIG_0
#define SE0_AES1_CONFIG_0                       _MK_ADDR_CONST(0x404)
#define SE0_AES1_CONFIG_0_SECURE                        0x0
#define SE0_AES1_CONFIG_0_DUAL                  0x0
#define SE0_AES1_CONFIG_0_SCR                   0
#define SE0_AES1_CONFIG_0_WORD_COUNT                    0x1
#define SE0_AES1_CONFIG_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CONFIG_0_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CONFIG_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CONFIG_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CONFIG_0_READ_MASK                     _MK_MASK_CONST(0xffffff1c)
#define SE0_AES1_CONFIG_0_WRITE_MASK                    _MK_MASK_CONST(0xffffff1c)
#define SE0_AES1_CONFIG_0_DST_SHIFT                     _MK_SHIFT_CONST(2)
#define SE0_AES1_CONFIG_0_DST_FIELD                     _MK_FIELD_CONST(0x7, SE0_AES1_CONFIG_0_DST_SHIFT)
#define SE0_AES1_CONFIG_0_DST_RANGE                     4:2
#define SE0_AES1_CONFIG_0_DST_WOFFSET                   0x0
#define SE0_AES1_CONFIG_0_DST_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CONFIG_0_DST_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CONFIG_0_DST_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CONFIG_0_DST_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CONFIG_0_DST_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CONFIG_0_DST_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CONFIG_0_DST_MEMORY                    _MK_ENUM_CONST(0)
#define SE0_AES1_CONFIG_0_DST_HASH_REG                  _MK_ENUM_CONST(1)
#define SE0_AES1_CONFIG_0_DST_KEYTABLE                  _MK_ENUM_CONST(2)
#define SE0_AES1_CONFIG_0_DST_SRK                       _MK_ENUM_CONST(3)
#define SE0_AES1_CONFIG_0_DST_RSA_REG                   _MK_ENUM_CONST(4)

#define SE0_AES1_CONFIG_0_DEC_ALG_SHIFT                 _MK_SHIFT_CONST(8)
#define SE0_AES1_CONFIG_0_DEC_ALG_FIELD                 _MK_FIELD_CONST(0xf, SE0_AES1_CONFIG_0_DEC_ALG_SHIFT)
#define SE0_AES1_CONFIG_0_DEC_ALG_RANGE                 11:8
#define SE0_AES1_CONFIG_0_DEC_ALG_WOFFSET                       0x0
#define SE0_AES1_CONFIG_0_DEC_ALG_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CONFIG_0_DEC_ALG_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CONFIG_0_DEC_ALG_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CONFIG_0_DEC_ALG_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CONFIG_0_DEC_ALG_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CONFIG_0_DEC_ALG_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CONFIG_0_DEC_ALG_NOP                   _MK_ENUM_CONST(0)
#define SE0_AES1_CONFIG_0_DEC_ALG_AES_DEC                       _MK_ENUM_CONST(1)

#define SE0_AES1_CONFIG_0_ENC_ALG_SHIFT                 _MK_SHIFT_CONST(12)
#define SE0_AES1_CONFIG_0_ENC_ALG_FIELD                 _MK_FIELD_CONST(0xf, SE0_AES1_CONFIG_0_ENC_ALG_SHIFT)
#define SE0_AES1_CONFIG_0_ENC_ALG_RANGE                 15:12
#define SE0_AES1_CONFIG_0_ENC_ALG_WOFFSET                       0x0
#define SE0_AES1_CONFIG_0_ENC_ALG_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CONFIG_0_ENC_ALG_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CONFIG_0_ENC_ALG_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CONFIG_0_ENC_ALG_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CONFIG_0_ENC_ALG_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CONFIG_0_ENC_ALG_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CONFIG_0_ENC_ALG_NOP                   _MK_ENUM_CONST(0)
#define SE0_AES1_CONFIG_0_ENC_ALG_AES_ENC                       _MK_ENUM_CONST(1)
#define SE0_AES1_CONFIG_0_ENC_ALG_RNG                   _MK_ENUM_CONST(2)
#define SE0_AES1_CONFIG_0_ENC_ALG_SHA                   _MK_ENUM_CONST(3)
#define SE0_AES1_CONFIG_0_ENC_ALG_RSA                   _MK_ENUM_CONST(4)
#define SE0_AES1_CONFIG_0_ENC_ALG_KEYFETCH                      _MK_ENUM_CONST(5)

#define SE0_AES1_CONFIG_0_DEC_MODE_SHIFT                        _MK_SHIFT_CONST(16)
#define SE0_AES1_CONFIG_0_DEC_MODE_FIELD                        _MK_FIELD_CONST(0xff, SE0_AES1_CONFIG_0_DEC_MODE_SHIFT)
#define SE0_AES1_CONFIG_0_DEC_MODE_RANGE                        23:16
#define SE0_AES1_CONFIG_0_DEC_MODE_WOFFSET                      0x0
#define SE0_AES1_CONFIG_0_DEC_MODE_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CONFIG_0_DEC_MODE_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CONFIG_0_DEC_MODE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CONFIG_0_DEC_MODE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CONFIG_0_DEC_MODE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CONFIG_0_DEC_MODE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define SE0_AES1_CONFIG_0_ENC_MODE_SHIFT                        _MK_SHIFT_CONST(24)
#define SE0_AES1_CONFIG_0_ENC_MODE_FIELD                        _MK_FIELD_CONST(0xff, SE0_AES1_CONFIG_0_ENC_MODE_SHIFT)
#define SE0_AES1_CONFIG_0_ENC_MODE_RANGE                        31:24
#define SE0_AES1_CONFIG_0_ENC_MODE_WOFFSET                      0x0
#define SE0_AES1_CONFIG_0_ENC_MODE_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CONFIG_0_ENC_MODE_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CONFIG_0_ENC_MODE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CONFIG_0_ENC_MODE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CONFIG_0_ENC_MODE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CONFIG_0_ENC_MODE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SE0_AES1_CRYPTO_CONFIG_0
#define SE0_AES1_CRYPTO_CONFIG_0                        _MK_ADDR_CONST(0x408)
#define SE0_AES1_CRYPTO_CONFIG_0_SECURE                         0x0
#define SE0_AES1_CRYPTO_CONFIG_0_DUAL                   0x0
#define SE0_AES1_CRYPTO_CONFIG_0_SCR                    0
#define SE0_AES1_CRYPTO_CONFIG_0_WORD_COUNT                     0x1
#define SE0_AES1_CRYPTO_CONFIG_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_RESET_MASK                     _MK_MASK_CONST(0x80100401)
#define SE0_AES1_CRYPTO_CONFIG_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_READ_MASK                      _MK_MASK_CONST(0x8f17ffff)
#define SE0_AES1_CRYPTO_CONFIG_0_WRITE_MASK                     _MK_MASK_CONST(0x8f17ffff)
#define SE0_AES1_CRYPTO_CONFIG_0_MEMIF_SHIFT                    _MK_SHIFT_CONST(31)
#define SE0_AES1_CRYPTO_CONFIG_0_MEMIF_FIELD                    _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_CONFIG_0_MEMIF_SHIFT)
#define SE0_AES1_CRYPTO_CONFIG_0_MEMIF_RANGE                    31:31
#define SE0_AES1_CRYPTO_CONFIG_0_MEMIF_WOFFSET                  0x0
#define SE0_AES1_CRYPTO_CONFIG_0_MEMIF_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_MEMIF_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_CONFIG_0_MEMIF_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_MEMIF_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_MEMIF_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_MEMIF_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_CONFIG_0_MEMIF_INIT_ENUM                        AHB
#define SE0_AES1_CRYPTO_CONFIG_0_MEMIF_AHB                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_CONFIG_0_MEMIF_MCCIF                    _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_CONFIG_0_KEY_INDEX_SHIFT                        _MK_SHIFT_CONST(24)
#define SE0_AES1_CRYPTO_CONFIG_0_KEY_INDEX_FIELD                        _MK_FIELD_CONST(0xf, SE0_AES1_CRYPTO_CONFIG_0_KEY_INDEX_SHIFT)
#define SE0_AES1_CRYPTO_CONFIG_0_KEY_INDEX_RANGE                        27:24
#define SE0_AES1_CRYPTO_CONFIG_0_KEY_INDEX_WOFFSET                      0x0
#define SE0_AES1_CRYPTO_CONFIG_0_KEY_INDEX_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_KEY_INDEX_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_KEY_INDEX_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_KEY_INDEX_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_KEY_INDEX_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_KEY_INDEX_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define SE0_AES1_CRYPTO_CONFIG_0_SCC_DIS_SHIFT                  _MK_SHIFT_CONST(20)
#define SE0_AES1_CRYPTO_CONFIG_0_SCC_DIS_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_CONFIG_0_SCC_DIS_SHIFT)
#define SE0_AES1_CRYPTO_CONFIG_0_SCC_DIS_RANGE                  20:20
#define SE0_AES1_CRYPTO_CONFIG_0_SCC_DIS_WOFFSET                        0x0
#define SE0_AES1_CRYPTO_CONFIG_0_SCC_DIS_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_SCC_DIS_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_CONFIG_0_SCC_DIS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_SCC_DIS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_SCC_DIS_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_SCC_DIS_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_CONFIG_0_SCC_DIS_INIT_ENUM                      DISABLE
#define SE0_AES1_CRYPTO_CONFIG_0_SCC_DIS_DISABLE                        _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_CONFIG_0_SCC_DIS_ENABLE                 _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_CONFIG_0_CTR_CNTN_SHIFT                 _MK_SHIFT_CONST(11)
#define SE0_AES1_CRYPTO_CONFIG_0_CTR_CNTN_FIELD                 _MK_FIELD_CONST(0xff, SE0_AES1_CRYPTO_CONFIG_0_CTR_CNTN_SHIFT)
#define SE0_AES1_CRYPTO_CONFIG_0_CTR_CNTN_RANGE                 18:11
#define SE0_AES1_CRYPTO_CONFIG_0_CTR_CNTN_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_CONFIG_0_CTR_CNTN_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_CTR_CNTN_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_CTR_CNTN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_CTR_CNTN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_CTR_CNTN_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_CTR_CNTN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define SE0_AES1_CRYPTO_CONFIG_0_KEYSCH_BYPASS_SHIFT                    _MK_SHIFT_CONST(10)
#define SE0_AES1_CRYPTO_CONFIG_0_KEYSCH_BYPASS_FIELD                    _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_CONFIG_0_KEYSCH_BYPASS_SHIFT)
#define SE0_AES1_CRYPTO_CONFIG_0_KEYSCH_BYPASS_RANGE                    10:10
#define SE0_AES1_CRYPTO_CONFIG_0_KEYSCH_BYPASS_WOFFSET                  0x0
#define SE0_AES1_CRYPTO_CONFIG_0_KEYSCH_BYPASS_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_KEYSCH_BYPASS_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_CONFIG_0_KEYSCH_BYPASS_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_KEYSCH_BYPASS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_KEYSCH_BYPASS_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_KEYSCH_BYPASS_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_CONFIG_0_KEYSCH_BYPASS_INIT_ENUM                        DISABLE
#define SE0_AES1_CRYPTO_CONFIG_0_KEYSCH_BYPASS_DISABLE                  _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_CONFIG_0_KEYSCH_BYPASS_ENABLE                   _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_CONFIG_0_CORE_SEL_SHIFT                 _MK_SHIFT_CONST(9)
#define SE0_AES1_CRYPTO_CONFIG_0_CORE_SEL_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_CONFIG_0_CORE_SEL_SHIFT)
#define SE0_AES1_CRYPTO_CONFIG_0_CORE_SEL_RANGE                 9:9
#define SE0_AES1_CRYPTO_CONFIG_0_CORE_SEL_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_CONFIG_0_CORE_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_CORE_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_CORE_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_CORE_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_CORE_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_CORE_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_CONFIG_0_CORE_SEL_DECRYPT                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_CONFIG_0_CORE_SEL_ENCRYPT                       _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_CONFIG_0_IV_SELECT_SHIFT                        _MK_SHIFT_CONST(7)
#define SE0_AES1_CRYPTO_CONFIG_0_IV_SELECT_FIELD                        _MK_FIELD_CONST(0x3, SE0_AES1_CRYPTO_CONFIG_0_IV_SELECT_SHIFT)
#define SE0_AES1_CRYPTO_CONFIG_0_IV_SELECT_RANGE                        8:7
#define SE0_AES1_CRYPTO_CONFIG_0_IV_SELECT_WOFFSET                      0x0
#define SE0_AES1_CRYPTO_CONFIG_0_IV_SELECT_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_IV_SELECT_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_IV_SELECT_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_IV_SELECT_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_IV_SELECT_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_IV_SELECT_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_CONFIG_0_IV_SELECT_ORIGINAL                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_CONFIG_0_IV_SELECT_UPDATED                      _MK_ENUM_CONST(1)
#define SE0_AES1_CRYPTO_CONFIG_0_IV_SELECT_REG                  _MK_ENUM_CONST(2)

#define SE0_AES1_CRYPTO_CONFIG_0_VCTRAM_SEL_SHIFT                       _MK_SHIFT_CONST(5)
#define SE0_AES1_CRYPTO_CONFIG_0_VCTRAM_SEL_FIELD                       _MK_FIELD_CONST(0x3, SE0_AES1_CRYPTO_CONFIG_0_VCTRAM_SEL_SHIFT)
#define SE0_AES1_CRYPTO_CONFIG_0_VCTRAM_SEL_RANGE                       6:5
#define SE0_AES1_CRYPTO_CONFIG_0_VCTRAM_SEL_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_CONFIG_0_VCTRAM_SEL_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_VCTRAM_SEL_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_VCTRAM_SEL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_VCTRAM_SEL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_VCTRAM_SEL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_VCTRAM_SEL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_CONFIG_0_VCTRAM_SEL_MEMORY                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_CONFIG_0_VCTRAM_SEL_TWEAK                       _MK_ENUM_CONST(1)
#define SE0_AES1_CRYPTO_CONFIG_0_VCTRAM_SEL_INIT_AESOUT                 _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_CONFIG_0_VCTRAM_SEL_INIT_PREV_MEMORY                    _MK_ENUM_CONST(3)

#define SE0_AES1_CRYPTO_CONFIG_0_INPUT_SEL_SHIFT                        _MK_SHIFT_CONST(3)
#define SE0_AES1_CRYPTO_CONFIG_0_INPUT_SEL_FIELD                        _MK_FIELD_CONST(0x3, SE0_AES1_CRYPTO_CONFIG_0_INPUT_SEL_SHIFT)
#define SE0_AES1_CRYPTO_CONFIG_0_INPUT_SEL_RANGE                        4:3
#define SE0_AES1_CRYPTO_CONFIG_0_INPUT_SEL_WOFFSET                      0x0
#define SE0_AES1_CRYPTO_CONFIG_0_INPUT_SEL_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_INPUT_SEL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_INPUT_SEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_INPUT_SEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_INPUT_SEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_INPUT_SEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_CONFIG_0_INPUT_SEL_MEMORY                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_CONFIG_0_INPUT_SEL_RANDOM                       _MK_ENUM_CONST(1)
#define SE0_AES1_CRYPTO_CONFIG_0_INPUT_SEL_INIT_AESOUT                  _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_CONFIG_0_INPUT_SEL_LINEAR_CTR                   _MK_ENUM_CONST(3)

#define SE0_AES1_CRYPTO_CONFIG_0_XOR_POS_SHIFT                  _MK_SHIFT_CONST(1)
#define SE0_AES1_CRYPTO_CONFIG_0_XOR_POS_FIELD                  _MK_FIELD_CONST(0x3, SE0_AES1_CRYPTO_CONFIG_0_XOR_POS_SHIFT)
#define SE0_AES1_CRYPTO_CONFIG_0_XOR_POS_RANGE                  2:1
#define SE0_AES1_CRYPTO_CONFIG_0_XOR_POS_WOFFSET                        0x0
#define SE0_AES1_CRYPTO_CONFIG_0_XOR_POS_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_XOR_POS_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_XOR_POS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_XOR_POS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_XOR_POS_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_XOR_POS_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_CONFIG_0_XOR_POS_BYPASS                 _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_CONFIG_0_XOR_POS_BOTH                   _MK_ENUM_CONST(1)
#define SE0_AES1_CRYPTO_CONFIG_0_XOR_POS_TOP                    _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_CONFIG_0_XOR_POS_BOTTOM                 _MK_ENUM_CONST(3)

#define SE0_AES1_CRYPTO_CONFIG_0_HASH_ENB_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_CONFIG_0_HASH_ENB_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_CONFIG_0_HASH_ENB_SHIFT)
#define SE0_AES1_CRYPTO_CONFIG_0_HASH_ENB_RANGE                 0:0
#define SE0_AES1_CRYPTO_CONFIG_0_HASH_ENB_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_CONFIG_0_HASH_ENB_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_HASH_ENB_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_CONFIG_0_HASH_ENB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_HASH_ENB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_HASH_ENB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_CONFIG_0_HASH_ENB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_CONFIG_0_HASH_ENB_INIT_ENUM                     DISABLE
#define SE0_AES1_CRYPTO_CONFIG_0_HASH_ENB_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_CONFIG_0_HASH_ENB_ENABLE                        _MK_ENUM_CONST(1)

// Register SE0_AES1_IN_ADDR_0
#define SE0_AES1_IN_ADDR_0                      _MK_ADDR_CONST(0x40c)
#define SE0_AES1_IN_ADDR_0_SECURE                       0x0
#define SE0_AES1_IN_ADDR_0_DUAL                         0x0
#define SE0_AES1_IN_ADDR_0_SCR                  0
#define SE0_AES1_IN_ADDR_0_WORD_COUNT                   0x1
#define SE0_AES1_IN_ADDR_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SE0_AES1_IN_ADDR_0_RESET_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_IN_ADDR_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES1_IN_ADDR_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_IN_ADDR_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SE0_AES1_IN_ADDR_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SE0_AES1_IN_ADDR_0_VAL_SHIFT                    _MK_SHIFT_CONST(0)
#define SE0_AES1_IN_ADDR_0_VAL_FIELD                    _MK_FIELD_CONST(0xffffffff, SE0_AES1_IN_ADDR_0_VAL_SHIFT)
#define SE0_AES1_IN_ADDR_0_VAL_RANGE                    31:0
#define SE0_AES1_IN_ADDR_0_VAL_WOFFSET                  0x0
#define SE0_AES1_IN_ADDR_0_VAL_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_IN_ADDR_0_VAL_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_IN_ADDR_0_VAL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES1_IN_ADDR_0_VAL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES1_IN_ADDR_0_VAL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES1_IN_ADDR_0_VAL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

// Register SE0_AES1_IN_ADDR_HI_0
#define SE0_AES1_IN_ADDR_HI_0                   _MK_ADDR_CONST(0x410)
#define SE0_AES1_IN_ADDR_HI_0_SECURE                    0x0
#define SE0_AES1_IN_ADDR_HI_0_DUAL                      0x0
#define SE0_AES1_IN_ADDR_HI_0_SCR                       0
#define SE0_AES1_IN_ADDR_HI_0_WORD_COUNT                        0x1
#define SE0_AES1_IN_ADDR_HI_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SE0_AES1_IN_ADDR_HI_0_RESET_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_IN_ADDR_HI_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE0_AES1_IN_ADDR_HI_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_IN_ADDR_HI_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_AES1_IN_ADDR_HI_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_AES1_IN_ADDR_HI_0_MSB_SHIFT                 _MK_SHIFT_CONST(24)
#define SE0_AES1_IN_ADDR_HI_0_MSB_FIELD                 _MK_FIELD_CONST(0xff, SE0_AES1_IN_ADDR_HI_0_MSB_SHIFT)
#define SE0_AES1_IN_ADDR_HI_0_MSB_RANGE                 31:24
#define SE0_AES1_IN_ADDR_HI_0_MSB_WOFFSET                       0x0
#define SE0_AES1_IN_ADDR_HI_0_MSB_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES1_IN_ADDR_HI_0_MSB_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES1_IN_ADDR_HI_0_MSB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_IN_ADDR_HI_0_MSB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_IN_ADDR_HI_0_MSB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_IN_ADDR_HI_0_MSB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define SE0_AES1_IN_ADDR_HI_0_SZ_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_AES1_IN_ADDR_HI_0_SZ_FIELD                  _MK_FIELD_CONST(0xffffff, SE0_AES1_IN_ADDR_HI_0_SZ_SHIFT)
#define SE0_AES1_IN_ADDR_HI_0_SZ_RANGE                  23:0
#define SE0_AES1_IN_ADDR_HI_0_SZ_WOFFSET                        0x0
#define SE0_AES1_IN_ADDR_HI_0_SZ_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_IN_ADDR_HI_0_SZ_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_IN_ADDR_HI_0_SZ_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_IN_ADDR_HI_0_SZ_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_IN_ADDR_HI_0_SZ_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_IN_ADDR_HI_0_SZ_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SE0_AES1_OUT_ADDR_0
#define SE0_AES1_OUT_ADDR_0                     _MK_ADDR_CONST(0x414)
#define SE0_AES1_OUT_ADDR_0_SECURE                      0x0
#define SE0_AES1_OUT_ADDR_0_DUAL                        0x0
#define SE0_AES1_OUT_ADDR_0_SCR                         0
#define SE0_AES1_OUT_ADDR_0_WORD_COUNT                  0x1
#define SE0_AES1_OUT_ADDR_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SE0_AES1_OUT_ADDR_0_RESET_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES1_OUT_ADDR_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SE0_AES1_OUT_ADDR_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_OUT_ADDR_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define SE0_AES1_OUT_ADDR_0_WRITE_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE0_AES1_OUT_ADDR_0_VAL_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_AES1_OUT_ADDR_0_VAL_FIELD                   _MK_FIELD_CONST(0xffffffff, SE0_AES1_OUT_ADDR_0_VAL_SHIFT)
#define SE0_AES1_OUT_ADDR_0_VAL_RANGE                   31:0
#define SE0_AES1_OUT_ADDR_0_VAL_WOFFSET                 0x0
#define SE0_AES1_OUT_ADDR_0_VAL_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES1_OUT_ADDR_0_VAL_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_OUT_ADDR_0_VAL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_OUT_ADDR_0_VAL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES1_OUT_ADDR_0_VAL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES1_OUT_ADDR_0_VAL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SE0_AES1_OUT_ADDR_HI_0
#define SE0_AES1_OUT_ADDR_HI_0                  _MK_ADDR_CONST(0x418)
#define SE0_AES1_OUT_ADDR_HI_0_SECURE                   0x0
#define SE0_AES1_OUT_ADDR_HI_0_DUAL                     0x0
#define SE0_AES1_OUT_ADDR_HI_0_SCR                      0
#define SE0_AES1_OUT_ADDR_HI_0_WORD_COUNT                       0x1
#define SE0_AES1_OUT_ADDR_HI_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES1_OUT_ADDR_HI_0_RESET_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_OUT_ADDR_HI_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SE0_AES1_OUT_ADDR_HI_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES1_OUT_ADDR_HI_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_AES1_OUT_ADDR_HI_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SE0_AES1_OUT_ADDR_HI_0_MSB_SHIFT                        _MK_SHIFT_CONST(24)
#define SE0_AES1_OUT_ADDR_HI_0_MSB_FIELD                        _MK_FIELD_CONST(0xff, SE0_AES1_OUT_ADDR_HI_0_MSB_SHIFT)
#define SE0_AES1_OUT_ADDR_HI_0_MSB_RANGE                        31:24
#define SE0_AES1_OUT_ADDR_HI_0_MSB_WOFFSET                      0x0
#define SE0_AES1_OUT_ADDR_HI_0_MSB_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_OUT_ADDR_HI_0_MSB_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES1_OUT_ADDR_HI_0_MSB_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_OUT_ADDR_HI_0_MSB_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_OUT_ADDR_HI_0_MSB_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_OUT_ADDR_HI_0_MSB_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define SE0_AES1_OUT_ADDR_HI_0_SZ_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_AES1_OUT_ADDR_HI_0_SZ_FIELD                 _MK_FIELD_CONST(0xffffff, SE0_AES1_OUT_ADDR_HI_0_SZ_SHIFT)
#define SE0_AES1_OUT_ADDR_HI_0_SZ_RANGE                 23:0
#define SE0_AES1_OUT_ADDR_HI_0_SZ_WOFFSET                       0x0
#define SE0_AES1_OUT_ADDR_HI_0_SZ_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES1_OUT_ADDR_HI_0_SZ_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES1_OUT_ADDR_HI_0_SZ_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_OUT_ADDR_HI_0_SZ_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_OUT_ADDR_HI_0_SZ_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_OUT_ADDR_HI_0_SZ_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SE0_AES1_CRYPTO_LINEAR_CTR_0
#define SE0_AES1_CRYPTO_LINEAR_CTR_0                    _MK_ADDR_CONST(0x41c)
#define SE0_AES1_CRYPTO_LINEAR_CTR_0_SECURE                     0x0
#define SE0_AES1_CRYPTO_LINEAR_CTR_0_DUAL                       0x0
#define SE0_AES1_CRYPTO_LINEAR_CTR_0_SCR                        0
#define SE0_AES1_CRYPTO_LINEAR_CTR_0_WORD_COUNT                         0x1
#define SE0_AES1_CRYPTO_LINEAR_CTR_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_0_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE0_AES1_CRYPTO_LINEAR_CTR_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_AES1_CRYPTO_LINEAR_CTR_0_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_0_VAL_FIELD                  _MK_FIELD_CONST(0xffffffff, SE0_AES1_CRYPTO_LINEAR_CTR_0_VAL_SHIFT)
#define SE0_AES1_CRYPTO_LINEAR_CTR_0_VAL_RANGE                  31:0
#define SE0_AES1_CRYPTO_LINEAR_CTR_0_VAL_WOFFSET                        0x0
#define SE0_AES1_CRYPTO_LINEAR_CTR_0_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_0_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_0_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_0_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_0_VAL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_0_VAL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SE0_AES1_CRYPTO_LINEAR_CTR
#define SE0_AES1_CRYPTO_LINEAR_CTR                      _MK_ADDR_CONST(0x41c)
#define SE0_AES1_CRYPTO_LINEAR_CTR_SECURE                       0x0
#define SE0_AES1_CRYPTO_LINEAR_CTR_DUAL                         0x0
#define SE0_AES1_CRYPTO_LINEAR_CTR_SCR                  0
#define SE0_AES1_CRYPTO_LINEAR_CTR_WORD_COUNT                   0x1
#define SE0_AES1_CRYPTO_LINEAR_CTR_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_RESET_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SE0_AES1_CRYPTO_LINEAR_CTR_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SE0_AES1_CRYPTO_LINEAR_CTR_VAL_SHIFT                    _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_VAL_FIELD                    _MK_FIELD_CONST(0xffffffff, SE0_AES1_CRYPTO_LINEAR_CTR_VAL_SHIFT)
#define SE0_AES1_CRYPTO_LINEAR_CTR_VAL_RANGE                    31:0
#define SE0_AES1_CRYPTO_LINEAR_CTR_VAL_WOFFSET                  0x0
#define SE0_AES1_CRYPTO_LINEAR_CTR_VAL_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_VAL_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_VAL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_VAL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_VAL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_VAL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

// Register SE0_AES1_CRYPTO_LINEAR_CTR_1
#define SE0_AES1_CRYPTO_LINEAR_CTR_1                    _MK_ADDR_CONST(0x420)
#define SE0_AES1_CRYPTO_LINEAR_CTR_1_SECURE                     0x0
#define SE0_AES1_CRYPTO_LINEAR_CTR_1_DUAL                       0x0
#define SE0_AES1_CRYPTO_LINEAR_CTR_1_SCR                        0
#define SE0_AES1_CRYPTO_LINEAR_CTR_1_WORD_COUNT                         0x1
#define SE0_AES1_CRYPTO_LINEAR_CTR_1_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_1_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_1_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_1_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE0_AES1_CRYPTO_LINEAR_CTR_1_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_AES1_CRYPTO_LINEAR_CTR_1_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_1_VAL_FIELD                  _MK_FIELD_CONST(0xffffffff, SE0_AES1_CRYPTO_LINEAR_CTR_1_VAL_SHIFT)
#define SE0_AES1_CRYPTO_LINEAR_CTR_1_VAL_RANGE                  31:0
#define SE0_AES1_CRYPTO_LINEAR_CTR_1_VAL_WOFFSET                        0x0
#define SE0_AES1_CRYPTO_LINEAR_CTR_1_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_1_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_1_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_1_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_1_VAL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_1_VAL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SE0_AES1_CRYPTO_LINEAR_CTR_2
#define SE0_AES1_CRYPTO_LINEAR_CTR_2                    _MK_ADDR_CONST(0x424)
#define SE0_AES1_CRYPTO_LINEAR_CTR_2_SECURE                     0x0
#define SE0_AES1_CRYPTO_LINEAR_CTR_2_DUAL                       0x0
#define SE0_AES1_CRYPTO_LINEAR_CTR_2_SCR                        0
#define SE0_AES1_CRYPTO_LINEAR_CTR_2_WORD_COUNT                         0x1
#define SE0_AES1_CRYPTO_LINEAR_CTR_2_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_2_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_2_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_2_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_2_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE0_AES1_CRYPTO_LINEAR_CTR_2_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_AES1_CRYPTO_LINEAR_CTR_2_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_2_VAL_FIELD                  _MK_FIELD_CONST(0xffffffff, SE0_AES1_CRYPTO_LINEAR_CTR_2_VAL_SHIFT)
#define SE0_AES1_CRYPTO_LINEAR_CTR_2_VAL_RANGE                  31:0
#define SE0_AES1_CRYPTO_LINEAR_CTR_2_VAL_WOFFSET                        0x0
#define SE0_AES1_CRYPTO_LINEAR_CTR_2_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_2_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_2_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_2_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_2_VAL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_2_VAL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SE0_AES1_CRYPTO_LINEAR_CTR_3
#define SE0_AES1_CRYPTO_LINEAR_CTR_3                    _MK_ADDR_CONST(0x428)
#define SE0_AES1_CRYPTO_LINEAR_CTR_3_SECURE                     0x0
#define SE0_AES1_CRYPTO_LINEAR_CTR_3_DUAL                       0x0
#define SE0_AES1_CRYPTO_LINEAR_CTR_3_SCR                        0
#define SE0_AES1_CRYPTO_LINEAR_CTR_3_WORD_COUNT                         0x1
#define SE0_AES1_CRYPTO_LINEAR_CTR_3_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_3_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_3_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_3_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_3_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE0_AES1_CRYPTO_LINEAR_CTR_3_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_AES1_CRYPTO_LINEAR_CTR_3_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_3_VAL_FIELD                  _MK_FIELD_CONST(0xffffffff, SE0_AES1_CRYPTO_LINEAR_CTR_3_VAL_SHIFT)
#define SE0_AES1_CRYPTO_LINEAR_CTR_3_VAL_RANGE                  31:0
#define SE0_AES1_CRYPTO_LINEAR_CTR_3_VAL_WOFFSET                        0x0
#define SE0_AES1_CRYPTO_LINEAR_CTR_3_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_3_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_3_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_3_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_3_VAL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LINEAR_CTR_3_VAL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SE0_AES1_CRYPTO_LAST_BLOCK_0
#define SE0_AES1_CRYPTO_LAST_BLOCK_0                    _MK_ADDR_CONST(0x42c)
#define SE0_AES1_CRYPTO_LAST_BLOCK_0_SECURE                     0x0
#define SE0_AES1_CRYPTO_LAST_BLOCK_0_DUAL                       0x0
#define SE0_AES1_CRYPTO_LAST_BLOCK_0_SCR                        0
#define SE0_AES1_CRYPTO_LAST_BLOCK_0_WORD_COUNT                         0x1
#define SE0_AES1_CRYPTO_LAST_BLOCK_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LAST_BLOCK_0_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LAST_BLOCK_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LAST_BLOCK_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LAST_BLOCK_0_READ_MASK                  _MK_MASK_CONST(0x7ffffff)
#define SE0_AES1_CRYPTO_LAST_BLOCK_0_WRITE_MASK                         _MK_MASK_CONST(0x7ffffff)
#define SE0_AES1_CRYPTO_LAST_BLOCK_0_RESIDUAL_BITS_SHIFT                        _MK_SHIFT_CONST(20)
#define SE0_AES1_CRYPTO_LAST_BLOCK_0_RESIDUAL_BITS_FIELD                        _MK_FIELD_CONST(0x7f, SE0_AES1_CRYPTO_LAST_BLOCK_0_RESIDUAL_BITS_SHIFT)
#define SE0_AES1_CRYPTO_LAST_BLOCK_0_RESIDUAL_BITS_RANGE                        26:20
#define SE0_AES1_CRYPTO_LAST_BLOCK_0_RESIDUAL_BITS_WOFFSET                      0x0
#define SE0_AES1_CRYPTO_LAST_BLOCK_0_RESIDUAL_BITS_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LAST_BLOCK_0_RESIDUAL_BITS_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LAST_BLOCK_0_RESIDUAL_BITS_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LAST_BLOCK_0_RESIDUAL_BITS_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LAST_BLOCK_0_RESIDUAL_BITS_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LAST_BLOCK_0_RESIDUAL_BITS_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define SE0_AES1_CRYPTO_LAST_BLOCK_0_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_LAST_BLOCK_0_VAL_FIELD                  _MK_FIELD_CONST(0xfffff, SE0_AES1_CRYPTO_LAST_BLOCK_0_VAL_SHIFT)
#define SE0_AES1_CRYPTO_LAST_BLOCK_0_VAL_RANGE                  19:0
#define SE0_AES1_CRYPTO_LAST_BLOCK_0_VAL_WOFFSET                        0x0
#define SE0_AES1_CRYPTO_LAST_BLOCK_0_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LAST_BLOCK_0_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LAST_BLOCK_0_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LAST_BLOCK_0_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LAST_BLOCK_0_VAL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_LAST_BLOCK_0_VAL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SE0_AES1_CRYPTO_KEYTABLE_DST_0
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0                  _MK_ADDR_CONST(0x430)
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_SECURE                   0x0
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_DUAL                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_SCR                      0
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_WORD_COUNT                       0x1
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_RESET_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_READ_MASK                        _MK_MASK_CONST(0xf03)
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_WRITE_MASK                       _MK_MASK_CONST(0xf03)
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_KEY_INDEX_SHIFT                  _MK_SHIFT_CONST(8)
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_KEY_INDEX_FIELD                  _MK_FIELD_CONST(0xf, SE0_AES1_CRYPTO_KEYTABLE_DST_0_KEY_INDEX_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_KEY_INDEX_RANGE                  11:8
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_KEY_INDEX_WOFFSET                        0x0
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_KEY_INDEX_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_KEY_INDEX_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_KEY_INDEX_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_KEY_INDEX_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_KEY_INDEX_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_KEY_INDEX_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_WORD_QUAD_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_WORD_QUAD_FIELD                  _MK_FIELD_CONST(0x3, SE0_AES1_CRYPTO_KEYTABLE_DST_0_WORD_QUAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_WORD_QUAD_RANGE                  1:0
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_WORD_QUAD_WOFFSET                        0x0
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_WORD_QUAD_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_WORD_QUAD_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_WORD_QUAD_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_WORD_QUAD_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_WORD_QUAD_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_WORD_QUAD_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_WORD_QUAD_KEYS_0_3                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_WORD_QUAD_KEYS_4_7                       _MK_ENUM_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_WORD_QUAD_ORIGINAL_IVS                   _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_DST_0_WORD_QUAD_UPDATED_IVS                    _MK_ENUM_CONST(3)

// Reserved address 0x434

// Register SE0_AES1_OPERATION_0
#define SE0_AES1_OPERATION_0                    _MK_ADDR_CONST(0x438)
#define SE0_AES1_OPERATION_0_SECURE                     0x0
#define SE0_AES1_OPERATION_0_DUAL                       0x0
#define SE0_AES1_OPERATION_0_SCR                        0
#define SE0_AES1_OPERATION_0_WORD_COUNT                         0x1
#define SE0_AES1_OPERATION_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE0_AES1_OPERATION_0_RESET_MASK                         _MK_MASK_CONST(0x18007)
#define SE0_AES1_OPERATION_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE0_AES1_OPERATION_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_OPERATION_0_READ_MASK                  _MK_MASK_CONST(0x18007)
#define SE0_AES1_OPERATION_0_WRITE_MASK                         _MK_MASK_CONST(0x18007)
#define SE0_AES1_OPERATION_0_LASTBUF_SHIFT                      _MK_SHIFT_CONST(16)
#define SE0_AES1_OPERATION_0_LASTBUF_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES1_OPERATION_0_LASTBUF_SHIFT)
#define SE0_AES1_OPERATION_0_LASTBUF_RANGE                      16:16
#define SE0_AES1_OPERATION_0_LASTBUF_WOFFSET                    0x0
#define SE0_AES1_OPERATION_0_LASTBUF_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_OPERATION_0_LASTBUF_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES1_OPERATION_0_LASTBUF_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES1_OPERATION_0_LASTBUF_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_OPERATION_0_LASTBUF_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES1_OPERATION_0_LASTBUF_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES1_OPERATION_0_LASTBUF_INIT_ENUM                  FALSE
#define SE0_AES1_OPERATION_0_LASTBUF_FALSE                      _MK_ENUM_CONST(0)
#define SE0_AES1_OPERATION_0_LASTBUF_TRUE                       _MK_ENUM_CONST(1)

#define SE0_AES1_OPERATION_0_WRSTALL_SHIFT                      _MK_SHIFT_CONST(15)
#define SE0_AES1_OPERATION_0_WRSTALL_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES1_OPERATION_0_WRSTALL_SHIFT)
#define SE0_AES1_OPERATION_0_WRSTALL_RANGE                      15:15
#define SE0_AES1_OPERATION_0_WRSTALL_WOFFSET                    0x0
#define SE0_AES1_OPERATION_0_WRSTALL_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_OPERATION_0_WRSTALL_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES1_OPERATION_0_WRSTALL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES1_OPERATION_0_WRSTALL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_OPERATION_0_WRSTALL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES1_OPERATION_0_WRSTALL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES1_OPERATION_0_WRSTALL_INIT_ENUM                  FALSE
#define SE0_AES1_OPERATION_0_WRSTALL_FALSE                      _MK_ENUM_CONST(0)
#define SE0_AES1_OPERATION_0_WRSTALL_TRUE                       _MK_ENUM_CONST(1)

#define SE0_AES1_OPERATION_0_OP_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_AES1_OPERATION_0_OP_FIELD                   _MK_FIELD_CONST(0x7, SE0_AES1_OPERATION_0_OP_SHIFT)
#define SE0_AES1_OPERATION_0_OP_RANGE                   2:0
#define SE0_AES1_OPERATION_0_OP_WOFFSET                 0x0
#define SE0_AES1_OPERATION_0_OP_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES1_OPERATION_0_OP_DEFAULT_MASK                    _MK_MASK_CONST(0x7)
#define SE0_AES1_OPERATION_0_OP_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_OPERATION_0_OP_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES1_OPERATION_0_OP_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES1_OPERATION_0_OP_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SE0_AES1_CRYPTO_SECURITY_PERKEY_0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_0                       _MK_ADDR_CONST(0x43c)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_0_SECURE                        0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_0_DUAL                  0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_0_SCR                   0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_0_WORD_COUNT                    0x1
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_0_RESET_VAL                     _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_0_RESET_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_0_READ_MASK                     _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_0_WRITE_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_0_OWNER_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_0_OWNER_FIELD                   _MK_FIELD_CONST(0xf, SE0_AES1_CRYPTO_SECURITY_PERKEY_0_OWNER_SHIFT)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_0_OWNER_RANGE                   3:0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_0_OWNER_WOFFSET                 0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_0_OWNER_DEFAULT                 _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_0_OWNER_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_0_OWNER_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_0_OWNER_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_0_OWNER_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_0_OWNER_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_0_OWNER_INIT_ENUM                       ALL
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_0_OWNER_ALL                     _MK_ENUM_CONST(15)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_0_OWNER_OEM                     _MK_ENUM_CONST(8)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_0_OWNER_TZ                      _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_0_OWNER_NV                      _MK_ENUM_CONST(4)

// Register SE0_AES1_CRYPTO_SECURITY_PERKEY
#define SE0_AES1_CRYPTO_SECURITY_PERKEY                 _MK_ADDR_CONST(0x43c)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_SECURE                  0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_DUAL                    0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_SCR                     0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_WORD_COUNT                      0x1
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_RESET_VAL                       _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_RESET_MASK                      _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_READ_MASK                       _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_WRITE_MASK                      _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_OWNER_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_OWNER_FIELD                     _MK_FIELD_CONST(0xf, SE0_AES1_CRYPTO_SECURITY_PERKEY_OWNER_SHIFT)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_OWNER_RANGE                     3:0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_OWNER_WOFFSET                   0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_OWNER_DEFAULT                   _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_OWNER_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_OWNER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_OWNER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_OWNER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_OWNER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_OWNER_INIT_ENUM                 ALL
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_OWNER_ALL                       _MK_ENUM_CONST(15)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_OWNER_OEM                       _MK_ENUM_CONST(8)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_OWNER_TZ                        _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_OWNER_NV                        _MK_ENUM_CONST(4)

// Register SE0_AES1_CRYPTO_SECURITY_PERKEY_1
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_1                       _MK_ADDR_CONST(0x440)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_1_SECURE                        0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_1_DUAL                  0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_1_SCR                   0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_1_WORD_COUNT                    0x1
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_1_RESET_VAL                     _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_1_RESET_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_1_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_1_READ_MASK                     _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_1_WRITE_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_1_OWNER_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_1_OWNER_FIELD                   _MK_FIELD_CONST(0xf, SE0_AES1_CRYPTO_SECURITY_PERKEY_1_OWNER_SHIFT)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_1_OWNER_RANGE                   3:0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_1_OWNER_WOFFSET                 0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_1_OWNER_DEFAULT                 _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_1_OWNER_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_1_OWNER_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_1_OWNER_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_1_OWNER_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_1_OWNER_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_1_OWNER_INIT_ENUM                       ALL
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_1_OWNER_ALL                     _MK_ENUM_CONST(15)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_1_OWNER_OEM                     _MK_ENUM_CONST(8)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_1_OWNER_TZ                      _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_1_OWNER_NV                      _MK_ENUM_CONST(4)

// Register SE0_AES1_CRYPTO_SECURITY_PERKEY_2
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_2                       _MK_ADDR_CONST(0x444)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_2_SECURE                        0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_2_DUAL                  0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_2_SCR                   0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_2_WORD_COUNT                    0x1
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_2_RESET_VAL                     _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_2_RESET_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_2_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_2_READ_MASK                     _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_2_WRITE_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_2_OWNER_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_2_OWNER_FIELD                   _MK_FIELD_CONST(0xf, SE0_AES1_CRYPTO_SECURITY_PERKEY_2_OWNER_SHIFT)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_2_OWNER_RANGE                   3:0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_2_OWNER_WOFFSET                 0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_2_OWNER_DEFAULT                 _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_2_OWNER_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_2_OWNER_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_2_OWNER_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_2_OWNER_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_2_OWNER_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_2_OWNER_INIT_ENUM                       ALL
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_2_OWNER_ALL                     _MK_ENUM_CONST(15)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_2_OWNER_OEM                     _MK_ENUM_CONST(8)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_2_OWNER_TZ                      _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_2_OWNER_NV                      _MK_ENUM_CONST(4)

// Register SE0_AES1_CRYPTO_SECURITY_PERKEY_3
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_3                       _MK_ADDR_CONST(0x448)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_3_SECURE                        0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_3_DUAL                  0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_3_SCR                   0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_3_WORD_COUNT                    0x1
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_3_RESET_VAL                     _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_3_RESET_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_3_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_3_READ_MASK                     _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_3_WRITE_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_3_OWNER_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_3_OWNER_FIELD                   _MK_FIELD_CONST(0xf, SE0_AES1_CRYPTO_SECURITY_PERKEY_3_OWNER_SHIFT)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_3_OWNER_RANGE                   3:0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_3_OWNER_WOFFSET                 0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_3_OWNER_DEFAULT                 _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_3_OWNER_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_3_OWNER_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_3_OWNER_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_3_OWNER_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_3_OWNER_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_3_OWNER_INIT_ENUM                       ALL
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_3_OWNER_ALL                     _MK_ENUM_CONST(15)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_3_OWNER_OEM                     _MK_ENUM_CONST(8)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_3_OWNER_TZ                      _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_3_OWNER_NV                      _MK_ENUM_CONST(4)

// Register SE0_AES1_CRYPTO_SECURITY_PERKEY_4
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_4                       _MK_ADDR_CONST(0x44c)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_4_SECURE                        0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_4_DUAL                  0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_4_SCR                   0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_4_WORD_COUNT                    0x1
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_4_RESET_VAL                     _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_4_RESET_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_4_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_4_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_4_READ_MASK                     _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_4_WRITE_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_4_OWNER_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_4_OWNER_FIELD                   _MK_FIELD_CONST(0xf, SE0_AES1_CRYPTO_SECURITY_PERKEY_4_OWNER_SHIFT)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_4_OWNER_RANGE                   3:0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_4_OWNER_WOFFSET                 0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_4_OWNER_DEFAULT                 _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_4_OWNER_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_4_OWNER_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_4_OWNER_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_4_OWNER_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_4_OWNER_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_4_OWNER_INIT_ENUM                       ALL
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_4_OWNER_ALL                     _MK_ENUM_CONST(15)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_4_OWNER_OEM                     _MK_ENUM_CONST(8)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_4_OWNER_TZ                      _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_4_OWNER_NV                      _MK_ENUM_CONST(4)

// Register SE0_AES1_CRYPTO_SECURITY_PERKEY_5
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_5                       _MK_ADDR_CONST(0x450)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_5_SECURE                        0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_5_DUAL                  0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_5_SCR                   0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_5_WORD_COUNT                    0x1
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_5_RESET_VAL                     _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_5_RESET_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_5_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_5_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_5_READ_MASK                     _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_5_WRITE_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_5_OWNER_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_5_OWNER_FIELD                   _MK_FIELD_CONST(0xf, SE0_AES1_CRYPTO_SECURITY_PERKEY_5_OWNER_SHIFT)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_5_OWNER_RANGE                   3:0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_5_OWNER_WOFFSET                 0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_5_OWNER_DEFAULT                 _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_5_OWNER_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_5_OWNER_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_5_OWNER_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_5_OWNER_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_5_OWNER_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_5_OWNER_INIT_ENUM                       ALL
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_5_OWNER_ALL                     _MK_ENUM_CONST(15)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_5_OWNER_OEM                     _MK_ENUM_CONST(8)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_5_OWNER_TZ                      _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_5_OWNER_NV                      _MK_ENUM_CONST(4)

// Register SE0_AES1_CRYPTO_SECURITY_PERKEY_6
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_6                       _MK_ADDR_CONST(0x454)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_6_SECURE                        0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_6_DUAL                  0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_6_SCR                   0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_6_WORD_COUNT                    0x1
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_6_RESET_VAL                     _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_6_RESET_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_6_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_6_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_6_READ_MASK                     _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_6_WRITE_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_6_OWNER_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_6_OWNER_FIELD                   _MK_FIELD_CONST(0xf, SE0_AES1_CRYPTO_SECURITY_PERKEY_6_OWNER_SHIFT)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_6_OWNER_RANGE                   3:0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_6_OWNER_WOFFSET                 0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_6_OWNER_DEFAULT                 _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_6_OWNER_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_6_OWNER_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_6_OWNER_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_6_OWNER_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_6_OWNER_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_6_OWNER_INIT_ENUM                       ALL
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_6_OWNER_ALL                     _MK_ENUM_CONST(15)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_6_OWNER_OEM                     _MK_ENUM_CONST(8)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_6_OWNER_TZ                      _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_6_OWNER_NV                      _MK_ENUM_CONST(4)

// Register SE0_AES1_CRYPTO_SECURITY_PERKEY_7
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_7                       _MK_ADDR_CONST(0x458)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_7_SECURE                        0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_7_DUAL                  0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_7_SCR                   0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_7_WORD_COUNT                    0x1
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_7_RESET_VAL                     _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_7_RESET_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_7_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_7_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_7_READ_MASK                     _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_7_WRITE_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_7_OWNER_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_7_OWNER_FIELD                   _MK_FIELD_CONST(0xf, SE0_AES1_CRYPTO_SECURITY_PERKEY_7_OWNER_SHIFT)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_7_OWNER_RANGE                   3:0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_7_OWNER_WOFFSET                 0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_7_OWNER_DEFAULT                 _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_7_OWNER_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_7_OWNER_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_7_OWNER_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_7_OWNER_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_7_OWNER_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_7_OWNER_INIT_ENUM                       ALL
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_7_OWNER_ALL                     _MK_ENUM_CONST(15)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_7_OWNER_OEM                     _MK_ENUM_CONST(8)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_7_OWNER_TZ                      _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_7_OWNER_NV                      _MK_ENUM_CONST(4)

// Register SE0_AES1_CRYPTO_SECURITY_PERKEY_8
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_8                       _MK_ADDR_CONST(0x45c)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_8_SECURE                        0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_8_DUAL                  0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_8_SCR                   0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_8_WORD_COUNT                    0x1
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_8_RESET_VAL                     _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_8_RESET_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_8_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_8_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_8_READ_MASK                     _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_8_WRITE_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_8_OWNER_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_8_OWNER_FIELD                   _MK_FIELD_CONST(0xf, SE0_AES1_CRYPTO_SECURITY_PERKEY_8_OWNER_SHIFT)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_8_OWNER_RANGE                   3:0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_8_OWNER_WOFFSET                 0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_8_OWNER_DEFAULT                 _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_8_OWNER_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_8_OWNER_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_8_OWNER_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_8_OWNER_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_8_OWNER_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_8_OWNER_INIT_ENUM                       ALL
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_8_OWNER_ALL                     _MK_ENUM_CONST(15)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_8_OWNER_OEM                     _MK_ENUM_CONST(8)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_8_OWNER_TZ                      _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_8_OWNER_NV                      _MK_ENUM_CONST(4)

// Register SE0_AES1_CRYPTO_SECURITY_PERKEY_9
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_9                       _MK_ADDR_CONST(0x460)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_9_SECURE                        0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_9_DUAL                  0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_9_SCR                   0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_9_WORD_COUNT                    0x1
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_9_RESET_VAL                     _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_9_RESET_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_9_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_9_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_9_READ_MASK                     _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_9_WRITE_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_9_OWNER_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_9_OWNER_FIELD                   _MK_FIELD_CONST(0xf, SE0_AES1_CRYPTO_SECURITY_PERKEY_9_OWNER_SHIFT)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_9_OWNER_RANGE                   3:0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_9_OWNER_WOFFSET                 0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_9_OWNER_DEFAULT                 _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_9_OWNER_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_9_OWNER_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_9_OWNER_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_9_OWNER_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_9_OWNER_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_9_OWNER_INIT_ENUM                       ALL
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_9_OWNER_ALL                     _MK_ENUM_CONST(15)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_9_OWNER_OEM                     _MK_ENUM_CONST(8)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_9_OWNER_TZ                      _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_9_OWNER_NV                      _MK_ENUM_CONST(4)

// Register SE0_AES1_CRYPTO_SECURITY_PERKEY_10
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_10                      _MK_ADDR_CONST(0x464)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_10_SECURE                       0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_10_DUAL                         0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_10_SCR                  0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_10_WORD_COUNT                   0x1
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_10_RESET_VAL                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_10_RESET_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_10_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_10_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_10_READ_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_10_WRITE_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_10_OWNER_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_10_OWNER_FIELD                  _MK_FIELD_CONST(0xf, SE0_AES1_CRYPTO_SECURITY_PERKEY_10_OWNER_SHIFT)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_10_OWNER_RANGE                  3:0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_10_OWNER_WOFFSET                        0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_10_OWNER_DEFAULT                        _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_10_OWNER_DEFAULT_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_10_OWNER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_10_OWNER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_10_OWNER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_10_OWNER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_10_OWNER_INIT_ENUM                      ALL
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_10_OWNER_ALL                    _MK_ENUM_CONST(15)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_10_OWNER_OEM                    _MK_ENUM_CONST(8)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_10_OWNER_TZ                     _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_10_OWNER_NV                     _MK_ENUM_CONST(4)

// Register SE0_AES1_CRYPTO_SECURITY_PERKEY_11
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_11                      _MK_ADDR_CONST(0x468)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_11_SECURE                       0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_11_DUAL                         0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_11_SCR                  0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_11_WORD_COUNT                   0x1
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_11_RESET_VAL                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_11_RESET_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_11_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_11_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_11_READ_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_11_WRITE_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_11_OWNER_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_11_OWNER_FIELD                  _MK_FIELD_CONST(0xf, SE0_AES1_CRYPTO_SECURITY_PERKEY_11_OWNER_SHIFT)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_11_OWNER_RANGE                  3:0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_11_OWNER_WOFFSET                        0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_11_OWNER_DEFAULT                        _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_11_OWNER_DEFAULT_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_11_OWNER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_11_OWNER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_11_OWNER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_11_OWNER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_11_OWNER_INIT_ENUM                      ALL
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_11_OWNER_ALL                    _MK_ENUM_CONST(15)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_11_OWNER_OEM                    _MK_ENUM_CONST(8)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_11_OWNER_TZ                     _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_11_OWNER_NV                     _MK_ENUM_CONST(4)

// Register SE0_AES1_CRYPTO_SECURITY_PERKEY_12
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_12                      _MK_ADDR_CONST(0x46c)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_12_SECURE                       0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_12_DUAL                         0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_12_SCR                  0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_12_WORD_COUNT                   0x1
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_12_RESET_VAL                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_12_RESET_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_12_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_12_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_12_READ_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_12_WRITE_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_12_OWNER_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_12_OWNER_FIELD                  _MK_FIELD_CONST(0xf, SE0_AES1_CRYPTO_SECURITY_PERKEY_12_OWNER_SHIFT)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_12_OWNER_RANGE                  3:0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_12_OWNER_WOFFSET                        0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_12_OWNER_DEFAULT                        _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_12_OWNER_DEFAULT_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_12_OWNER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_12_OWNER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_12_OWNER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_12_OWNER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_12_OWNER_INIT_ENUM                      ALL
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_12_OWNER_ALL                    _MK_ENUM_CONST(15)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_12_OWNER_OEM                    _MK_ENUM_CONST(8)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_12_OWNER_TZ                     _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_12_OWNER_NV                     _MK_ENUM_CONST(4)

// Register SE0_AES1_CRYPTO_SECURITY_PERKEY_13
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_13                      _MK_ADDR_CONST(0x470)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_13_SECURE                       0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_13_DUAL                         0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_13_SCR                  0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_13_WORD_COUNT                   0x1
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_13_RESET_VAL                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_13_RESET_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_13_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_13_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_13_READ_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_13_WRITE_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_13_OWNER_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_13_OWNER_FIELD                  _MK_FIELD_CONST(0xf, SE0_AES1_CRYPTO_SECURITY_PERKEY_13_OWNER_SHIFT)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_13_OWNER_RANGE                  3:0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_13_OWNER_WOFFSET                        0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_13_OWNER_DEFAULT                        _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_13_OWNER_DEFAULT_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_13_OWNER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_13_OWNER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_13_OWNER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_13_OWNER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_13_OWNER_INIT_ENUM                      ALL
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_13_OWNER_ALL                    _MK_ENUM_CONST(15)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_13_OWNER_OEM                    _MK_ENUM_CONST(8)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_13_OWNER_TZ                     _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_13_OWNER_NV                     _MK_ENUM_CONST(4)

// Register SE0_AES1_CRYPTO_SECURITY_PERKEY_14
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_14                      _MK_ADDR_CONST(0x474)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_14_SECURE                       0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_14_DUAL                         0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_14_SCR                  0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_14_WORD_COUNT                   0x1
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_14_RESET_VAL                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_14_RESET_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_14_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_14_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_14_READ_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_14_WRITE_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_14_OWNER_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_14_OWNER_FIELD                  _MK_FIELD_CONST(0xf, SE0_AES1_CRYPTO_SECURITY_PERKEY_14_OWNER_SHIFT)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_14_OWNER_RANGE                  3:0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_14_OWNER_WOFFSET                        0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_14_OWNER_DEFAULT                        _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_14_OWNER_DEFAULT_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_14_OWNER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_14_OWNER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_14_OWNER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_14_OWNER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_14_OWNER_INIT_ENUM                      ALL
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_14_OWNER_ALL                    _MK_ENUM_CONST(15)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_14_OWNER_OEM                    _MK_ENUM_CONST(8)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_14_OWNER_TZ                     _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_14_OWNER_NV                     _MK_ENUM_CONST(4)

// Register SE0_AES1_CRYPTO_SECURITY_PERKEY_15
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_15                      _MK_ADDR_CONST(0x478)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_15_SECURE                       0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_15_DUAL                         0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_15_SCR                  0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_15_WORD_COUNT                   0x1
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_15_RESET_VAL                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_15_RESET_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_15_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_15_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_15_READ_MASK                    _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_15_WRITE_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_15_OWNER_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_15_OWNER_FIELD                  _MK_FIELD_CONST(0xf, SE0_AES1_CRYPTO_SECURITY_PERKEY_15_OWNER_SHIFT)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_15_OWNER_RANGE                  3:0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_15_OWNER_WOFFSET                        0x0
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_15_OWNER_DEFAULT                        _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_15_OWNER_DEFAULT_MASK                   _MK_MASK_CONST(0xf)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_15_OWNER_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_15_OWNER_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_15_OWNER_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_15_OWNER_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_15_OWNER_INIT_ENUM                      ALL
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_15_OWNER_ALL                    _MK_ENUM_CONST(15)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_15_OWNER_OEM                    _MK_ENUM_CONST(8)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_15_OWNER_TZ                     _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_SECURITY_PERKEY_15_OWNER_NV                     _MK_ENUM_CONST(4)

// Register SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0                       _MK_ADDR_CONST(0x47c)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_SECURE                        0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_DUAL                  0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_SCR                   0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_WORD_COUNT                    0x1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_RESET_VAL                     _MK_MASK_CONST(0x7f)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_SHIFT                     _MK_SHIFT_CONST(8)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_FIELD                     _MK_FIELD_CONST(0x7, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_RANGE                     10:8
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_WOFFSET                   0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_INIT_ENUM                 ECB
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_ECB                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_CBC                       _MK_ENUM_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_OFB                       _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_CTR                       _MK_ENUM_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_CIPHER_MODE_XTS                       _MK_ENUM_CONST(4)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_DST_KEYTABLE_ONLY_SHIFT                       _MK_SHIFT_CONST(7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_DST_KEYTABLE_ONLY_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_DST_KEYTABLE_ONLY_RANGE                       7:7
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_DST_KEYTABLE_ONLY_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_DST_KEYTABLE_ONLY_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_DST_KEYTABLE_ONLY_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_DST_KEYTABLE_ONLY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_DST_KEYTABLE_ONLY_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_DST_KEYTABLE_ONLY_INIT_ENUM                   FALSE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_DST_KEYTABLE_ONLY_FALSE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_DST_KEYTABLE_ONLY_TRUE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYUSE_SHIFT                  _MK_SHIFT_CONST(6)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYUSE_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYUSE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYUSE_RANGE                  6:6
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYUSE_WOFFSET                        0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYUSE_DEFAULT                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYUSE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYUSE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYUSE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYUSE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYUSE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYUSE_INIT_ENUM                      ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYUSE_DISABLE                        _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYUSE_ENABLE                 _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_UIVUPDATE_SHIFT                       _MK_SHIFT_CONST(5)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_UIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_UIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_UIVUPDATE_RANGE                       5:5
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_UIVUPDATE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_UIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_UIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_UIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_UIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_UIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_UIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_UIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_UIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_UIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_UIVREAD_SHIFT                 _MK_SHIFT_CONST(4)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_UIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_UIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_UIVREAD_RANGE                 4:4
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_UIVREAD_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_UIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_UIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_UIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_UIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_UIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_UIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_UIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_UIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_UIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_OIVUPDATE_SHIFT                       _MK_SHIFT_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_OIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_OIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_OIVUPDATE_RANGE                       3:3
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_OIVUPDATE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_OIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_OIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_OIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_OIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_OIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_OIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_OIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_OIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_OIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_OIVREAD_SHIFT                 _MK_SHIFT_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_OIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_OIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_OIVREAD_RANGE                 2:2
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_OIVREAD_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_OIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_OIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_OIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_OIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_OIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_OIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_OIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_OIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_OIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYUPDATE_SHIFT                       _MK_SHIFT_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYUPDATE_RANGE                       1:1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYUPDATE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYREAD_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYREAD_RANGE                 0:0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYREAD_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYREAD_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0_KEYREAD_ENABLE                        _MK_ENUM_CONST(1)

// Register SE0_AES1_CRYPTO_KEYTABLE_ACCESS
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS                 _MK_ADDR_CONST(0x47c)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_SECURE                  0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_DUAL                    0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_SCR                     0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_WORD_COUNT                      0x1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_RESET_VAL                       _MK_MASK_CONST(0x7f)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_RESET_MASK                      _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_READ_MASK                       _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_WRITE_MASK                      _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_SHIFT                       _MK_SHIFT_CONST(8)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_FIELD                       _MK_FIELD_CONST(0x7, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_RANGE                       10:8
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_DEFAULT_MASK                        _MK_MASK_CONST(0x7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_INIT_ENUM                   ECB
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_ECB                 _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_CBC                 _MK_ENUM_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_OFB                 _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_CTR                 _MK_ENUM_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_CIPHER_MODE_XTS                 _MK_ENUM_CONST(4)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_DST_KEYTABLE_ONLY_SHIFT                 _MK_SHIFT_CONST(7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_DST_KEYTABLE_ONLY_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_DST_KEYTABLE_ONLY_RANGE                 7:7
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_DST_KEYTABLE_ONLY_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_DST_KEYTABLE_ONLY_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_DST_KEYTABLE_ONLY_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_DST_KEYTABLE_ONLY_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_DST_KEYTABLE_ONLY_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_DST_KEYTABLE_ONLY_INIT_ENUM                     FALSE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_DST_KEYTABLE_ONLY_FALSE                 _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_DST_KEYTABLE_ONLY_TRUE                  _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYUSE_SHIFT                    _MK_SHIFT_CONST(6)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYUSE_FIELD                    _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYUSE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYUSE_RANGE                    6:6
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYUSE_WOFFSET                  0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYUSE_DEFAULT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYUSE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYUSE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYUSE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYUSE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYUSE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYUSE_INIT_ENUM                        ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYUSE_DISABLE                  _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYUSE_ENABLE                   _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_UIVUPDATE_SHIFT                 _MK_SHIFT_CONST(5)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_UIVUPDATE_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_UIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_UIVUPDATE_RANGE                 5:5
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_UIVUPDATE_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_UIVUPDATE_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_UIVUPDATE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_UIVUPDATE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_UIVUPDATE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_UIVUPDATE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_UIVUPDATE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_UIVUPDATE_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_UIVUPDATE_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_UIVUPDATE_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_UIVREAD_SHIFT                   _MK_SHIFT_CONST(4)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_UIVREAD_FIELD                   _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_UIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_UIVREAD_RANGE                   4:4
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_UIVREAD_WOFFSET                 0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_UIVREAD_DEFAULT                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_UIVREAD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_UIVREAD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_UIVREAD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_UIVREAD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_UIVREAD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_UIVREAD_INIT_ENUM                       ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_UIVREAD_DISABLE                 _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_UIVREAD_ENABLE                  _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_OIVUPDATE_SHIFT                 _MK_SHIFT_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_OIVUPDATE_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_OIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_OIVUPDATE_RANGE                 3:3
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_OIVUPDATE_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_OIVUPDATE_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_OIVUPDATE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_OIVUPDATE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_OIVUPDATE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_OIVUPDATE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_OIVUPDATE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_OIVUPDATE_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_OIVUPDATE_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_OIVUPDATE_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_OIVREAD_SHIFT                   _MK_SHIFT_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_OIVREAD_FIELD                   _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_OIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_OIVREAD_RANGE                   2:2
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_OIVREAD_WOFFSET                 0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_OIVREAD_DEFAULT                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_OIVREAD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_OIVREAD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_OIVREAD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_OIVREAD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_OIVREAD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_OIVREAD_INIT_ENUM                       ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_OIVREAD_DISABLE                 _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_OIVREAD_ENABLE                  _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYUPDATE_SHIFT                 _MK_SHIFT_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYUPDATE_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYUPDATE_RANGE                 1:1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYUPDATE_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYUPDATE_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYUPDATE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYUPDATE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYUPDATE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYUPDATE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYUPDATE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYUPDATE_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYUPDATE_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYUPDATE_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYREAD_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYREAD_FIELD                   _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYREAD_RANGE                   0:0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYREAD_WOFFSET                 0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYREAD_DEFAULT                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYREAD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYREAD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYREAD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYREAD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYREAD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYREAD_INIT_ENUM                       ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYREAD_DISABLE                 _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_KEYREAD_ENABLE                  _MK_ENUM_CONST(1)

// Register SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1                       _MK_ADDR_CONST(0x480)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_SECURE                        0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_DUAL                  0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_SCR                   0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_WORD_COUNT                    0x1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_RESET_VAL                     _MK_MASK_CONST(0x7f)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_SHIFT                     _MK_SHIFT_CONST(8)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_FIELD                     _MK_FIELD_CONST(0x7, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_RANGE                     10:8
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_WOFFSET                   0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_INIT_ENUM                 ECB
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_ECB                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_CBC                       _MK_ENUM_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_OFB                       _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_CTR                       _MK_ENUM_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_CIPHER_MODE_XTS                       _MK_ENUM_CONST(4)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_DST_KEYTABLE_ONLY_SHIFT                       _MK_SHIFT_CONST(7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_DST_KEYTABLE_ONLY_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_DST_KEYTABLE_ONLY_RANGE                       7:7
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_DST_KEYTABLE_ONLY_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_DST_KEYTABLE_ONLY_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_DST_KEYTABLE_ONLY_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_DST_KEYTABLE_ONLY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_DST_KEYTABLE_ONLY_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_DST_KEYTABLE_ONLY_INIT_ENUM                   FALSE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_DST_KEYTABLE_ONLY_FALSE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_DST_KEYTABLE_ONLY_TRUE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYUSE_SHIFT                  _MK_SHIFT_CONST(6)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYUSE_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYUSE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYUSE_RANGE                  6:6
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYUSE_WOFFSET                        0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYUSE_DEFAULT                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYUSE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYUSE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYUSE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYUSE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYUSE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYUSE_INIT_ENUM                      ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYUSE_DISABLE                        _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYUSE_ENABLE                 _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_UIVUPDATE_SHIFT                       _MK_SHIFT_CONST(5)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_UIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_UIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_UIVUPDATE_RANGE                       5:5
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_UIVUPDATE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_UIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_UIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_UIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_UIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_UIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_UIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_UIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_UIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_UIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_UIVREAD_SHIFT                 _MK_SHIFT_CONST(4)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_UIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_UIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_UIVREAD_RANGE                 4:4
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_UIVREAD_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_UIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_UIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_UIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_UIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_UIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_UIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_UIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_UIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_UIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_OIVUPDATE_SHIFT                       _MK_SHIFT_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_OIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_OIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_OIVUPDATE_RANGE                       3:3
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_OIVUPDATE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_OIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_OIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_OIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_OIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_OIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_OIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_OIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_OIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_OIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_OIVREAD_SHIFT                 _MK_SHIFT_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_OIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_OIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_OIVREAD_RANGE                 2:2
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_OIVREAD_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_OIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_OIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_OIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_OIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_OIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_OIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_OIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_OIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_OIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYUPDATE_SHIFT                       _MK_SHIFT_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYUPDATE_RANGE                       1:1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYUPDATE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYREAD_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYREAD_RANGE                 0:0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYREAD_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYREAD_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1_KEYREAD_ENABLE                        _MK_ENUM_CONST(1)

// Register SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2                       _MK_ADDR_CONST(0x484)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_SECURE                        0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_DUAL                  0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_SCR                   0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_WORD_COUNT                    0x1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_RESET_VAL                     _MK_MASK_CONST(0x7f)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_SHIFT                     _MK_SHIFT_CONST(8)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_FIELD                     _MK_FIELD_CONST(0x7, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_RANGE                     10:8
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_WOFFSET                   0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_INIT_ENUM                 ECB
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_ECB                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_CBC                       _MK_ENUM_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_OFB                       _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_CTR                       _MK_ENUM_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_CIPHER_MODE_XTS                       _MK_ENUM_CONST(4)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_DST_KEYTABLE_ONLY_SHIFT                       _MK_SHIFT_CONST(7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_DST_KEYTABLE_ONLY_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_DST_KEYTABLE_ONLY_RANGE                       7:7
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_DST_KEYTABLE_ONLY_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_DST_KEYTABLE_ONLY_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_DST_KEYTABLE_ONLY_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_DST_KEYTABLE_ONLY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_DST_KEYTABLE_ONLY_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_DST_KEYTABLE_ONLY_INIT_ENUM                   FALSE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_DST_KEYTABLE_ONLY_FALSE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_DST_KEYTABLE_ONLY_TRUE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYUSE_SHIFT                  _MK_SHIFT_CONST(6)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYUSE_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYUSE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYUSE_RANGE                  6:6
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYUSE_WOFFSET                        0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYUSE_DEFAULT                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYUSE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYUSE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYUSE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYUSE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYUSE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYUSE_INIT_ENUM                      ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYUSE_DISABLE                        _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYUSE_ENABLE                 _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_UIVUPDATE_SHIFT                       _MK_SHIFT_CONST(5)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_UIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_UIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_UIVUPDATE_RANGE                       5:5
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_UIVUPDATE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_UIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_UIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_UIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_UIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_UIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_UIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_UIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_UIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_UIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_UIVREAD_SHIFT                 _MK_SHIFT_CONST(4)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_UIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_UIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_UIVREAD_RANGE                 4:4
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_UIVREAD_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_UIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_UIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_UIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_UIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_UIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_UIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_UIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_UIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_UIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_OIVUPDATE_SHIFT                       _MK_SHIFT_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_OIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_OIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_OIVUPDATE_RANGE                       3:3
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_OIVUPDATE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_OIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_OIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_OIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_OIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_OIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_OIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_OIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_OIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_OIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_OIVREAD_SHIFT                 _MK_SHIFT_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_OIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_OIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_OIVREAD_RANGE                 2:2
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_OIVREAD_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_OIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_OIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_OIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_OIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_OIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_OIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_OIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_OIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_OIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYUPDATE_SHIFT                       _MK_SHIFT_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYUPDATE_RANGE                       1:1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYUPDATE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYREAD_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYREAD_RANGE                 0:0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYREAD_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYREAD_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2_KEYREAD_ENABLE                        _MK_ENUM_CONST(1)

// Register SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3                       _MK_ADDR_CONST(0x488)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_SECURE                        0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_DUAL                  0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_SCR                   0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_WORD_COUNT                    0x1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_RESET_VAL                     _MK_MASK_CONST(0x7f)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_SHIFT                     _MK_SHIFT_CONST(8)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_FIELD                     _MK_FIELD_CONST(0x7, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_RANGE                     10:8
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_WOFFSET                   0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_INIT_ENUM                 ECB
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_ECB                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_CBC                       _MK_ENUM_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_OFB                       _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_CTR                       _MK_ENUM_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_CIPHER_MODE_XTS                       _MK_ENUM_CONST(4)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_DST_KEYTABLE_ONLY_SHIFT                       _MK_SHIFT_CONST(7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_DST_KEYTABLE_ONLY_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_DST_KEYTABLE_ONLY_RANGE                       7:7
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_DST_KEYTABLE_ONLY_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_DST_KEYTABLE_ONLY_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_DST_KEYTABLE_ONLY_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_DST_KEYTABLE_ONLY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_DST_KEYTABLE_ONLY_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_DST_KEYTABLE_ONLY_INIT_ENUM                   FALSE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_DST_KEYTABLE_ONLY_FALSE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_DST_KEYTABLE_ONLY_TRUE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYUSE_SHIFT                  _MK_SHIFT_CONST(6)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYUSE_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYUSE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYUSE_RANGE                  6:6
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYUSE_WOFFSET                        0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYUSE_DEFAULT                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYUSE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYUSE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYUSE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYUSE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYUSE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYUSE_INIT_ENUM                      ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYUSE_DISABLE                        _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYUSE_ENABLE                 _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_UIVUPDATE_SHIFT                       _MK_SHIFT_CONST(5)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_UIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_UIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_UIVUPDATE_RANGE                       5:5
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_UIVUPDATE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_UIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_UIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_UIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_UIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_UIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_UIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_UIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_UIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_UIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_UIVREAD_SHIFT                 _MK_SHIFT_CONST(4)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_UIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_UIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_UIVREAD_RANGE                 4:4
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_UIVREAD_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_UIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_UIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_UIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_UIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_UIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_UIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_UIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_UIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_UIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_OIVUPDATE_SHIFT                       _MK_SHIFT_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_OIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_OIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_OIVUPDATE_RANGE                       3:3
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_OIVUPDATE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_OIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_OIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_OIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_OIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_OIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_OIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_OIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_OIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_OIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_OIVREAD_SHIFT                 _MK_SHIFT_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_OIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_OIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_OIVREAD_RANGE                 2:2
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_OIVREAD_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_OIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_OIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_OIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_OIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_OIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_OIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_OIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_OIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_OIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYUPDATE_SHIFT                       _MK_SHIFT_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYUPDATE_RANGE                       1:1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYUPDATE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYREAD_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYREAD_RANGE                 0:0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYREAD_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYREAD_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3_KEYREAD_ENABLE                        _MK_ENUM_CONST(1)

// Register SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4                       _MK_ADDR_CONST(0x48c)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_SECURE                        0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_DUAL                  0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_SCR                   0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_WORD_COUNT                    0x1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_RESET_VAL                     _MK_MASK_CONST(0x7f)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_SHIFT                     _MK_SHIFT_CONST(8)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_FIELD                     _MK_FIELD_CONST(0x7, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_RANGE                     10:8
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_WOFFSET                   0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_INIT_ENUM                 ECB
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_ECB                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_CBC                       _MK_ENUM_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_OFB                       _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_CTR                       _MK_ENUM_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_CIPHER_MODE_XTS                       _MK_ENUM_CONST(4)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_DST_KEYTABLE_ONLY_SHIFT                       _MK_SHIFT_CONST(7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_DST_KEYTABLE_ONLY_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_DST_KEYTABLE_ONLY_RANGE                       7:7
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_DST_KEYTABLE_ONLY_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_DST_KEYTABLE_ONLY_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_DST_KEYTABLE_ONLY_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_DST_KEYTABLE_ONLY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_DST_KEYTABLE_ONLY_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_DST_KEYTABLE_ONLY_INIT_ENUM                   FALSE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_DST_KEYTABLE_ONLY_FALSE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_DST_KEYTABLE_ONLY_TRUE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYUSE_SHIFT                  _MK_SHIFT_CONST(6)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYUSE_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYUSE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYUSE_RANGE                  6:6
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYUSE_WOFFSET                        0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYUSE_DEFAULT                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYUSE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYUSE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYUSE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYUSE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYUSE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYUSE_INIT_ENUM                      ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYUSE_DISABLE                        _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYUSE_ENABLE                 _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_UIVUPDATE_SHIFT                       _MK_SHIFT_CONST(5)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_UIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_UIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_UIVUPDATE_RANGE                       5:5
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_UIVUPDATE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_UIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_UIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_UIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_UIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_UIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_UIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_UIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_UIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_UIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_UIVREAD_SHIFT                 _MK_SHIFT_CONST(4)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_UIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_UIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_UIVREAD_RANGE                 4:4
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_UIVREAD_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_UIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_UIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_UIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_UIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_UIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_UIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_UIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_UIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_UIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_OIVUPDATE_SHIFT                       _MK_SHIFT_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_OIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_OIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_OIVUPDATE_RANGE                       3:3
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_OIVUPDATE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_OIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_OIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_OIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_OIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_OIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_OIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_OIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_OIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_OIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_OIVREAD_SHIFT                 _MK_SHIFT_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_OIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_OIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_OIVREAD_RANGE                 2:2
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_OIVREAD_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_OIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_OIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_OIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_OIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_OIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_OIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_OIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_OIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_OIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYUPDATE_SHIFT                       _MK_SHIFT_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYUPDATE_RANGE                       1:1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYUPDATE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYREAD_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYREAD_RANGE                 0:0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYREAD_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYREAD_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4_KEYREAD_ENABLE                        _MK_ENUM_CONST(1)

// Register SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5                       _MK_ADDR_CONST(0x490)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_SECURE                        0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_DUAL                  0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_SCR                   0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_WORD_COUNT                    0x1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_RESET_VAL                     _MK_MASK_CONST(0x7f)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_SHIFT                     _MK_SHIFT_CONST(8)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_FIELD                     _MK_FIELD_CONST(0x7, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_RANGE                     10:8
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_WOFFSET                   0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_INIT_ENUM                 ECB
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_ECB                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_CBC                       _MK_ENUM_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_OFB                       _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_CTR                       _MK_ENUM_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_CIPHER_MODE_XTS                       _MK_ENUM_CONST(4)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_DST_KEYTABLE_ONLY_SHIFT                       _MK_SHIFT_CONST(7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_DST_KEYTABLE_ONLY_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_DST_KEYTABLE_ONLY_RANGE                       7:7
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_DST_KEYTABLE_ONLY_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_DST_KEYTABLE_ONLY_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_DST_KEYTABLE_ONLY_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_DST_KEYTABLE_ONLY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_DST_KEYTABLE_ONLY_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_DST_KEYTABLE_ONLY_INIT_ENUM                   FALSE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_DST_KEYTABLE_ONLY_FALSE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_DST_KEYTABLE_ONLY_TRUE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYUSE_SHIFT                  _MK_SHIFT_CONST(6)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYUSE_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYUSE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYUSE_RANGE                  6:6
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYUSE_WOFFSET                        0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYUSE_DEFAULT                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYUSE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYUSE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYUSE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYUSE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYUSE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYUSE_INIT_ENUM                      ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYUSE_DISABLE                        _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYUSE_ENABLE                 _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_UIVUPDATE_SHIFT                       _MK_SHIFT_CONST(5)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_UIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_UIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_UIVUPDATE_RANGE                       5:5
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_UIVUPDATE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_UIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_UIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_UIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_UIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_UIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_UIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_UIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_UIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_UIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_UIVREAD_SHIFT                 _MK_SHIFT_CONST(4)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_UIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_UIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_UIVREAD_RANGE                 4:4
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_UIVREAD_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_UIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_UIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_UIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_UIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_UIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_UIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_UIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_UIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_UIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_OIVUPDATE_SHIFT                       _MK_SHIFT_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_OIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_OIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_OIVUPDATE_RANGE                       3:3
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_OIVUPDATE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_OIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_OIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_OIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_OIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_OIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_OIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_OIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_OIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_OIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_OIVREAD_SHIFT                 _MK_SHIFT_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_OIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_OIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_OIVREAD_RANGE                 2:2
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_OIVREAD_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_OIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_OIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_OIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_OIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_OIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_OIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_OIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_OIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_OIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYUPDATE_SHIFT                       _MK_SHIFT_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYUPDATE_RANGE                       1:1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYUPDATE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYREAD_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYREAD_RANGE                 0:0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYREAD_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYREAD_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5_KEYREAD_ENABLE                        _MK_ENUM_CONST(1)

// Register SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6                       _MK_ADDR_CONST(0x494)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_SECURE                        0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_DUAL                  0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_SCR                   0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_WORD_COUNT                    0x1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_RESET_VAL                     _MK_MASK_CONST(0x7f)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_SHIFT                     _MK_SHIFT_CONST(8)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_FIELD                     _MK_FIELD_CONST(0x7, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_RANGE                     10:8
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_WOFFSET                   0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_INIT_ENUM                 ECB
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_ECB                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_CBC                       _MK_ENUM_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_OFB                       _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_CTR                       _MK_ENUM_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_CIPHER_MODE_XTS                       _MK_ENUM_CONST(4)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_DST_KEYTABLE_ONLY_SHIFT                       _MK_SHIFT_CONST(7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_DST_KEYTABLE_ONLY_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_DST_KEYTABLE_ONLY_RANGE                       7:7
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_DST_KEYTABLE_ONLY_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_DST_KEYTABLE_ONLY_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_DST_KEYTABLE_ONLY_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_DST_KEYTABLE_ONLY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_DST_KEYTABLE_ONLY_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_DST_KEYTABLE_ONLY_INIT_ENUM                   FALSE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_DST_KEYTABLE_ONLY_FALSE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_DST_KEYTABLE_ONLY_TRUE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYUSE_SHIFT                  _MK_SHIFT_CONST(6)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYUSE_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYUSE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYUSE_RANGE                  6:6
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYUSE_WOFFSET                        0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYUSE_DEFAULT                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYUSE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYUSE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYUSE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYUSE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYUSE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYUSE_INIT_ENUM                      ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYUSE_DISABLE                        _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYUSE_ENABLE                 _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_UIVUPDATE_SHIFT                       _MK_SHIFT_CONST(5)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_UIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_UIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_UIVUPDATE_RANGE                       5:5
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_UIVUPDATE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_UIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_UIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_UIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_UIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_UIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_UIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_UIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_UIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_UIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_UIVREAD_SHIFT                 _MK_SHIFT_CONST(4)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_UIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_UIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_UIVREAD_RANGE                 4:4
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_UIVREAD_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_UIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_UIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_UIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_UIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_UIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_UIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_UIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_UIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_UIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_OIVUPDATE_SHIFT                       _MK_SHIFT_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_OIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_OIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_OIVUPDATE_RANGE                       3:3
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_OIVUPDATE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_OIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_OIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_OIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_OIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_OIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_OIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_OIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_OIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_OIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_OIVREAD_SHIFT                 _MK_SHIFT_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_OIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_OIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_OIVREAD_RANGE                 2:2
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_OIVREAD_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_OIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_OIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_OIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_OIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_OIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_OIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_OIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_OIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_OIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYUPDATE_SHIFT                       _MK_SHIFT_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYUPDATE_RANGE                       1:1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYUPDATE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYREAD_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYREAD_RANGE                 0:0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYREAD_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYREAD_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6_KEYREAD_ENABLE                        _MK_ENUM_CONST(1)

// Register SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7                       _MK_ADDR_CONST(0x498)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_SECURE                        0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_DUAL                  0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_SCR                   0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_WORD_COUNT                    0x1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_RESET_VAL                     _MK_MASK_CONST(0x7f)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_SHIFT                     _MK_SHIFT_CONST(8)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_FIELD                     _MK_FIELD_CONST(0x7, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_RANGE                     10:8
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_WOFFSET                   0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_INIT_ENUM                 ECB
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_ECB                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_CBC                       _MK_ENUM_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_OFB                       _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_CTR                       _MK_ENUM_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_CIPHER_MODE_XTS                       _MK_ENUM_CONST(4)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_DST_KEYTABLE_ONLY_SHIFT                       _MK_SHIFT_CONST(7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_DST_KEYTABLE_ONLY_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_DST_KEYTABLE_ONLY_RANGE                       7:7
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_DST_KEYTABLE_ONLY_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_DST_KEYTABLE_ONLY_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_DST_KEYTABLE_ONLY_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_DST_KEYTABLE_ONLY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_DST_KEYTABLE_ONLY_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_DST_KEYTABLE_ONLY_INIT_ENUM                   FALSE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_DST_KEYTABLE_ONLY_FALSE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_DST_KEYTABLE_ONLY_TRUE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYUSE_SHIFT                  _MK_SHIFT_CONST(6)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYUSE_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYUSE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYUSE_RANGE                  6:6
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYUSE_WOFFSET                        0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYUSE_DEFAULT                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYUSE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYUSE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYUSE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYUSE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYUSE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYUSE_INIT_ENUM                      ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYUSE_DISABLE                        _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYUSE_ENABLE                 _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_UIVUPDATE_SHIFT                       _MK_SHIFT_CONST(5)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_UIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_UIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_UIVUPDATE_RANGE                       5:5
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_UIVUPDATE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_UIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_UIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_UIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_UIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_UIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_UIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_UIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_UIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_UIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_UIVREAD_SHIFT                 _MK_SHIFT_CONST(4)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_UIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_UIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_UIVREAD_RANGE                 4:4
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_UIVREAD_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_UIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_UIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_UIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_UIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_UIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_UIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_UIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_UIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_UIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_OIVUPDATE_SHIFT                       _MK_SHIFT_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_OIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_OIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_OIVUPDATE_RANGE                       3:3
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_OIVUPDATE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_OIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_OIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_OIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_OIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_OIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_OIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_OIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_OIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_OIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_OIVREAD_SHIFT                 _MK_SHIFT_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_OIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_OIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_OIVREAD_RANGE                 2:2
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_OIVREAD_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_OIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_OIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_OIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_OIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_OIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_OIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_OIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_OIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_OIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYUPDATE_SHIFT                       _MK_SHIFT_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYUPDATE_RANGE                       1:1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYUPDATE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYREAD_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYREAD_RANGE                 0:0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYREAD_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYREAD_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7_KEYREAD_ENABLE                        _MK_ENUM_CONST(1)

// Register SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8                       _MK_ADDR_CONST(0x49c)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_SECURE                        0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_DUAL                  0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_SCR                   0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_WORD_COUNT                    0x1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_RESET_VAL                     _MK_MASK_CONST(0x7f)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_SHIFT                     _MK_SHIFT_CONST(8)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_FIELD                     _MK_FIELD_CONST(0x7, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_RANGE                     10:8
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_WOFFSET                   0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_INIT_ENUM                 ECB
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_ECB                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_CBC                       _MK_ENUM_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_OFB                       _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_CTR                       _MK_ENUM_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_CIPHER_MODE_XTS                       _MK_ENUM_CONST(4)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_DST_KEYTABLE_ONLY_SHIFT                       _MK_SHIFT_CONST(7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_DST_KEYTABLE_ONLY_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_DST_KEYTABLE_ONLY_RANGE                       7:7
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_DST_KEYTABLE_ONLY_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_DST_KEYTABLE_ONLY_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_DST_KEYTABLE_ONLY_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_DST_KEYTABLE_ONLY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_DST_KEYTABLE_ONLY_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_DST_KEYTABLE_ONLY_INIT_ENUM                   FALSE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_DST_KEYTABLE_ONLY_FALSE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_DST_KEYTABLE_ONLY_TRUE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYUSE_SHIFT                  _MK_SHIFT_CONST(6)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYUSE_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYUSE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYUSE_RANGE                  6:6
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYUSE_WOFFSET                        0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYUSE_DEFAULT                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYUSE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYUSE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYUSE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYUSE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYUSE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYUSE_INIT_ENUM                      ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYUSE_DISABLE                        _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYUSE_ENABLE                 _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_UIVUPDATE_SHIFT                       _MK_SHIFT_CONST(5)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_UIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_UIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_UIVUPDATE_RANGE                       5:5
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_UIVUPDATE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_UIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_UIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_UIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_UIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_UIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_UIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_UIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_UIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_UIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_UIVREAD_SHIFT                 _MK_SHIFT_CONST(4)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_UIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_UIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_UIVREAD_RANGE                 4:4
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_UIVREAD_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_UIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_UIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_UIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_UIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_UIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_UIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_UIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_UIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_UIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_OIVUPDATE_SHIFT                       _MK_SHIFT_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_OIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_OIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_OIVUPDATE_RANGE                       3:3
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_OIVUPDATE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_OIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_OIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_OIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_OIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_OIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_OIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_OIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_OIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_OIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_OIVREAD_SHIFT                 _MK_SHIFT_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_OIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_OIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_OIVREAD_RANGE                 2:2
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_OIVREAD_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_OIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_OIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_OIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_OIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_OIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_OIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_OIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_OIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_OIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYUPDATE_SHIFT                       _MK_SHIFT_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYUPDATE_RANGE                       1:1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYUPDATE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYREAD_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYREAD_RANGE                 0:0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYREAD_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYREAD_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8_KEYREAD_ENABLE                        _MK_ENUM_CONST(1)

// Register SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9                       _MK_ADDR_CONST(0x4a0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_SECURE                        0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_DUAL                  0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_SCR                   0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_WORD_COUNT                    0x1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_RESET_VAL                     _MK_MASK_CONST(0x7f)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_RESET_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_READ_MASK                     _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_WRITE_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_SHIFT                     _MK_SHIFT_CONST(8)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_FIELD                     _MK_FIELD_CONST(0x7, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_RANGE                     10:8
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_WOFFSET                   0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_DEFAULT_MASK                      _MK_MASK_CONST(0x7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_INIT_ENUM                 ECB
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_ECB                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_CBC                       _MK_ENUM_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_OFB                       _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_CTR                       _MK_ENUM_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_CIPHER_MODE_XTS                       _MK_ENUM_CONST(4)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_DST_KEYTABLE_ONLY_SHIFT                       _MK_SHIFT_CONST(7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_DST_KEYTABLE_ONLY_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_DST_KEYTABLE_ONLY_RANGE                       7:7
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_DST_KEYTABLE_ONLY_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_DST_KEYTABLE_ONLY_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_DST_KEYTABLE_ONLY_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_DST_KEYTABLE_ONLY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_DST_KEYTABLE_ONLY_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_DST_KEYTABLE_ONLY_INIT_ENUM                   FALSE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_DST_KEYTABLE_ONLY_FALSE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_DST_KEYTABLE_ONLY_TRUE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYUSE_SHIFT                  _MK_SHIFT_CONST(6)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYUSE_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYUSE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYUSE_RANGE                  6:6
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYUSE_WOFFSET                        0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYUSE_DEFAULT                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYUSE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYUSE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYUSE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYUSE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYUSE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYUSE_INIT_ENUM                      ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYUSE_DISABLE                        _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYUSE_ENABLE                 _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_UIVUPDATE_SHIFT                       _MK_SHIFT_CONST(5)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_UIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_UIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_UIVUPDATE_RANGE                       5:5
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_UIVUPDATE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_UIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_UIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_UIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_UIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_UIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_UIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_UIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_UIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_UIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_UIVREAD_SHIFT                 _MK_SHIFT_CONST(4)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_UIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_UIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_UIVREAD_RANGE                 4:4
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_UIVREAD_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_UIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_UIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_UIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_UIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_UIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_UIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_UIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_UIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_UIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_OIVUPDATE_SHIFT                       _MK_SHIFT_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_OIVUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_OIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_OIVUPDATE_RANGE                       3:3
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_OIVUPDATE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_OIVUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_OIVUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_OIVUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_OIVUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_OIVUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_OIVUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_OIVUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_OIVUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_OIVUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_OIVREAD_SHIFT                 _MK_SHIFT_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_OIVREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_OIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_OIVREAD_RANGE                 2:2
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_OIVREAD_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_OIVREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_OIVREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_OIVREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_OIVREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_OIVREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_OIVREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_OIVREAD_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_OIVREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_OIVREAD_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYUPDATE_SHIFT                       _MK_SHIFT_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYUPDATE_RANGE                       1:1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYUPDATE_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYUPDATE_INIT_ENUM                   ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYREAD_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYREAD_RANGE                 0:0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYREAD_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYREAD_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9_KEYREAD_ENABLE                        _MK_ENUM_CONST(1)

// Register SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10                      _MK_ADDR_CONST(0x4a4)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_SECURE                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_DUAL                         0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_SCR                  0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_WORD_COUNT                   0x1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_RESET_VAL                    _MK_MASK_CONST(0x7f)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_SHIFT                    _MK_SHIFT_CONST(8)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_FIELD                    _MK_FIELD_CONST(0x7, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_RANGE                    10:8
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_WOFFSET                  0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_INIT_ENUM                        ECB
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_ECB                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_CBC                      _MK_ENUM_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_OFB                      _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_CTR                      _MK_ENUM_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_CIPHER_MODE_XTS                      _MK_ENUM_CONST(4)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_DST_KEYTABLE_ONLY_SHIFT                      _MK_SHIFT_CONST(7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_DST_KEYTABLE_ONLY_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_DST_KEYTABLE_ONLY_RANGE                      7:7
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_DST_KEYTABLE_ONLY_WOFFSET                    0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_DST_KEYTABLE_ONLY_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_DST_KEYTABLE_ONLY_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_DST_KEYTABLE_ONLY_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_DST_KEYTABLE_ONLY_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_DST_KEYTABLE_ONLY_INIT_ENUM                  FALSE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_DST_KEYTABLE_ONLY_FALSE                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_DST_KEYTABLE_ONLY_TRUE                       _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYUSE_SHIFT                 _MK_SHIFT_CONST(6)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYUSE_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYUSE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYUSE_RANGE                 6:6
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYUSE_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYUSE_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYUSE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYUSE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYUSE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYUSE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYUSE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYUSE_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYUSE_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYUSE_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_UIVUPDATE_SHIFT                      _MK_SHIFT_CONST(5)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_UIVUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_UIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_UIVUPDATE_RANGE                      5:5
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_UIVUPDATE_WOFFSET                    0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_UIVUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_UIVUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_UIVUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_UIVUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_UIVUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_UIVUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_UIVUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_UIVUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_UIVUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_UIVREAD_SHIFT                        _MK_SHIFT_CONST(4)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_UIVREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_UIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_UIVREAD_RANGE                        4:4
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_UIVREAD_WOFFSET                      0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_UIVREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_UIVREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_UIVREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_UIVREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_UIVREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_UIVREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_UIVREAD_INIT_ENUM                    ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_UIVREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_UIVREAD_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_OIVUPDATE_SHIFT                      _MK_SHIFT_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_OIVUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_OIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_OIVUPDATE_RANGE                      3:3
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_OIVUPDATE_WOFFSET                    0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_OIVUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_OIVUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_OIVUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_OIVUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_OIVUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_OIVUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_OIVUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_OIVUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_OIVUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_OIVREAD_SHIFT                        _MK_SHIFT_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_OIVREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_OIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_OIVREAD_RANGE                        2:2
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_OIVREAD_WOFFSET                      0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_OIVREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_OIVREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_OIVREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_OIVREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_OIVREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_OIVREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_OIVREAD_INIT_ENUM                    ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_OIVREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_OIVREAD_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYUPDATE_SHIFT                      _MK_SHIFT_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYUPDATE_RANGE                      1:1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYUPDATE_WOFFSET                    0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYREAD_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYREAD_RANGE                        0:0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYREAD_WOFFSET                      0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYREAD_INIT_ENUM                    ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10_KEYREAD_ENABLE                       _MK_ENUM_CONST(1)

// Register SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11                      _MK_ADDR_CONST(0x4a8)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_SECURE                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_DUAL                         0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_SCR                  0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_WORD_COUNT                   0x1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_RESET_VAL                    _MK_MASK_CONST(0x7f)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_SHIFT                    _MK_SHIFT_CONST(8)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_FIELD                    _MK_FIELD_CONST(0x7, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_RANGE                    10:8
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_WOFFSET                  0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_INIT_ENUM                        ECB
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_ECB                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_CBC                      _MK_ENUM_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_OFB                      _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_CTR                      _MK_ENUM_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_CIPHER_MODE_XTS                      _MK_ENUM_CONST(4)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_DST_KEYTABLE_ONLY_SHIFT                      _MK_SHIFT_CONST(7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_DST_KEYTABLE_ONLY_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_DST_KEYTABLE_ONLY_RANGE                      7:7
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_DST_KEYTABLE_ONLY_WOFFSET                    0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_DST_KEYTABLE_ONLY_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_DST_KEYTABLE_ONLY_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_DST_KEYTABLE_ONLY_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_DST_KEYTABLE_ONLY_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_DST_KEYTABLE_ONLY_INIT_ENUM                  FALSE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_DST_KEYTABLE_ONLY_FALSE                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_DST_KEYTABLE_ONLY_TRUE                       _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYUSE_SHIFT                 _MK_SHIFT_CONST(6)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYUSE_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYUSE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYUSE_RANGE                 6:6
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYUSE_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYUSE_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYUSE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYUSE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYUSE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYUSE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYUSE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYUSE_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYUSE_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYUSE_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_UIVUPDATE_SHIFT                      _MK_SHIFT_CONST(5)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_UIVUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_UIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_UIVUPDATE_RANGE                      5:5
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_UIVUPDATE_WOFFSET                    0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_UIVUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_UIVUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_UIVUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_UIVUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_UIVUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_UIVUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_UIVUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_UIVUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_UIVUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_UIVREAD_SHIFT                        _MK_SHIFT_CONST(4)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_UIVREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_UIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_UIVREAD_RANGE                        4:4
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_UIVREAD_WOFFSET                      0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_UIVREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_UIVREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_UIVREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_UIVREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_UIVREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_UIVREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_UIVREAD_INIT_ENUM                    ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_UIVREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_UIVREAD_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_OIVUPDATE_SHIFT                      _MK_SHIFT_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_OIVUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_OIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_OIVUPDATE_RANGE                      3:3
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_OIVUPDATE_WOFFSET                    0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_OIVUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_OIVUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_OIVUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_OIVUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_OIVUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_OIVUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_OIVUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_OIVUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_OIVUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_OIVREAD_SHIFT                        _MK_SHIFT_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_OIVREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_OIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_OIVREAD_RANGE                        2:2
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_OIVREAD_WOFFSET                      0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_OIVREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_OIVREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_OIVREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_OIVREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_OIVREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_OIVREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_OIVREAD_INIT_ENUM                    ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_OIVREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_OIVREAD_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYUPDATE_SHIFT                      _MK_SHIFT_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYUPDATE_RANGE                      1:1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYUPDATE_WOFFSET                    0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYREAD_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYREAD_RANGE                        0:0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYREAD_WOFFSET                      0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYREAD_INIT_ENUM                    ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11_KEYREAD_ENABLE                       _MK_ENUM_CONST(1)

// Register SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12                      _MK_ADDR_CONST(0x4ac)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_SECURE                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_DUAL                         0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_SCR                  0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_WORD_COUNT                   0x1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_RESET_VAL                    _MK_MASK_CONST(0x7f)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_SHIFT                    _MK_SHIFT_CONST(8)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_FIELD                    _MK_FIELD_CONST(0x7, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_RANGE                    10:8
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_WOFFSET                  0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_INIT_ENUM                        ECB
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_ECB                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_CBC                      _MK_ENUM_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_OFB                      _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_CTR                      _MK_ENUM_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_CIPHER_MODE_XTS                      _MK_ENUM_CONST(4)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_DST_KEYTABLE_ONLY_SHIFT                      _MK_SHIFT_CONST(7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_DST_KEYTABLE_ONLY_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_DST_KEYTABLE_ONLY_RANGE                      7:7
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_DST_KEYTABLE_ONLY_WOFFSET                    0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_DST_KEYTABLE_ONLY_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_DST_KEYTABLE_ONLY_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_DST_KEYTABLE_ONLY_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_DST_KEYTABLE_ONLY_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_DST_KEYTABLE_ONLY_INIT_ENUM                  FALSE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_DST_KEYTABLE_ONLY_FALSE                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_DST_KEYTABLE_ONLY_TRUE                       _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYUSE_SHIFT                 _MK_SHIFT_CONST(6)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYUSE_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYUSE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYUSE_RANGE                 6:6
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYUSE_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYUSE_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYUSE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYUSE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYUSE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYUSE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYUSE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYUSE_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYUSE_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYUSE_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_UIVUPDATE_SHIFT                      _MK_SHIFT_CONST(5)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_UIVUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_UIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_UIVUPDATE_RANGE                      5:5
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_UIVUPDATE_WOFFSET                    0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_UIVUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_UIVUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_UIVUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_UIVUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_UIVUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_UIVUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_UIVUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_UIVUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_UIVUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_UIVREAD_SHIFT                        _MK_SHIFT_CONST(4)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_UIVREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_UIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_UIVREAD_RANGE                        4:4
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_UIVREAD_WOFFSET                      0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_UIVREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_UIVREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_UIVREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_UIVREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_UIVREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_UIVREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_UIVREAD_INIT_ENUM                    ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_UIVREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_UIVREAD_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_OIVUPDATE_SHIFT                      _MK_SHIFT_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_OIVUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_OIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_OIVUPDATE_RANGE                      3:3
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_OIVUPDATE_WOFFSET                    0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_OIVUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_OIVUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_OIVUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_OIVUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_OIVUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_OIVUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_OIVUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_OIVUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_OIVUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_OIVREAD_SHIFT                        _MK_SHIFT_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_OIVREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_OIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_OIVREAD_RANGE                        2:2
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_OIVREAD_WOFFSET                      0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_OIVREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_OIVREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_OIVREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_OIVREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_OIVREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_OIVREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_OIVREAD_INIT_ENUM                    ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_OIVREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_OIVREAD_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYUPDATE_SHIFT                      _MK_SHIFT_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYUPDATE_RANGE                      1:1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYUPDATE_WOFFSET                    0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYREAD_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYREAD_RANGE                        0:0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYREAD_WOFFSET                      0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYREAD_INIT_ENUM                    ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12_KEYREAD_ENABLE                       _MK_ENUM_CONST(1)

// Register SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13                      _MK_ADDR_CONST(0x4b0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_SECURE                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_DUAL                         0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_SCR                  0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_WORD_COUNT                   0x1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_RESET_VAL                    _MK_MASK_CONST(0x7f)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_SHIFT                    _MK_SHIFT_CONST(8)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_FIELD                    _MK_FIELD_CONST(0x7, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_RANGE                    10:8
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_WOFFSET                  0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_INIT_ENUM                        ECB
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_ECB                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_CBC                      _MK_ENUM_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_OFB                      _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_CTR                      _MK_ENUM_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_CIPHER_MODE_XTS                      _MK_ENUM_CONST(4)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_DST_KEYTABLE_ONLY_SHIFT                      _MK_SHIFT_CONST(7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_DST_KEYTABLE_ONLY_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_DST_KEYTABLE_ONLY_RANGE                      7:7
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_DST_KEYTABLE_ONLY_WOFFSET                    0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_DST_KEYTABLE_ONLY_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_DST_KEYTABLE_ONLY_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_DST_KEYTABLE_ONLY_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_DST_KEYTABLE_ONLY_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_DST_KEYTABLE_ONLY_INIT_ENUM                  FALSE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_DST_KEYTABLE_ONLY_FALSE                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_DST_KEYTABLE_ONLY_TRUE                       _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYUSE_SHIFT                 _MK_SHIFT_CONST(6)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYUSE_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYUSE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYUSE_RANGE                 6:6
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYUSE_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYUSE_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYUSE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYUSE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYUSE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYUSE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYUSE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYUSE_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYUSE_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYUSE_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_UIVUPDATE_SHIFT                      _MK_SHIFT_CONST(5)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_UIVUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_UIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_UIVUPDATE_RANGE                      5:5
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_UIVUPDATE_WOFFSET                    0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_UIVUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_UIVUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_UIVUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_UIVUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_UIVUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_UIVUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_UIVUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_UIVUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_UIVUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_UIVREAD_SHIFT                        _MK_SHIFT_CONST(4)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_UIVREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_UIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_UIVREAD_RANGE                        4:4
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_UIVREAD_WOFFSET                      0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_UIVREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_UIVREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_UIVREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_UIVREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_UIVREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_UIVREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_UIVREAD_INIT_ENUM                    ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_UIVREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_UIVREAD_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_OIVUPDATE_SHIFT                      _MK_SHIFT_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_OIVUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_OIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_OIVUPDATE_RANGE                      3:3
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_OIVUPDATE_WOFFSET                    0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_OIVUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_OIVUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_OIVUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_OIVUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_OIVUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_OIVUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_OIVUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_OIVUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_OIVUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_OIVREAD_SHIFT                        _MK_SHIFT_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_OIVREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_OIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_OIVREAD_RANGE                        2:2
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_OIVREAD_WOFFSET                      0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_OIVREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_OIVREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_OIVREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_OIVREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_OIVREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_OIVREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_OIVREAD_INIT_ENUM                    ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_OIVREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_OIVREAD_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYUPDATE_SHIFT                      _MK_SHIFT_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYUPDATE_RANGE                      1:1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYUPDATE_WOFFSET                    0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYREAD_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYREAD_RANGE                        0:0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYREAD_WOFFSET                      0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYREAD_INIT_ENUM                    ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13_KEYREAD_ENABLE                       _MK_ENUM_CONST(1)

// Register SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14                      _MK_ADDR_CONST(0x4b4)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_SECURE                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_DUAL                         0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_SCR                  0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_WORD_COUNT                   0x1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_RESET_VAL                    _MK_MASK_CONST(0x7f)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_SHIFT                    _MK_SHIFT_CONST(8)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_FIELD                    _MK_FIELD_CONST(0x7, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_RANGE                    10:8
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_WOFFSET                  0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_INIT_ENUM                        ECB
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_ECB                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_CBC                      _MK_ENUM_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_OFB                      _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_CTR                      _MK_ENUM_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_CIPHER_MODE_XTS                      _MK_ENUM_CONST(4)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_DST_KEYTABLE_ONLY_SHIFT                      _MK_SHIFT_CONST(7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_DST_KEYTABLE_ONLY_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_DST_KEYTABLE_ONLY_RANGE                      7:7
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_DST_KEYTABLE_ONLY_WOFFSET                    0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_DST_KEYTABLE_ONLY_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_DST_KEYTABLE_ONLY_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_DST_KEYTABLE_ONLY_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_DST_KEYTABLE_ONLY_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_DST_KEYTABLE_ONLY_INIT_ENUM                  FALSE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_DST_KEYTABLE_ONLY_FALSE                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_DST_KEYTABLE_ONLY_TRUE                       _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYUSE_SHIFT                 _MK_SHIFT_CONST(6)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYUSE_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYUSE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYUSE_RANGE                 6:6
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYUSE_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYUSE_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYUSE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYUSE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYUSE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYUSE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYUSE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYUSE_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYUSE_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYUSE_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_UIVUPDATE_SHIFT                      _MK_SHIFT_CONST(5)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_UIVUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_UIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_UIVUPDATE_RANGE                      5:5
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_UIVUPDATE_WOFFSET                    0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_UIVUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_UIVUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_UIVUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_UIVUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_UIVUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_UIVUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_UIVUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_UIVUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_UIVUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_UIVREAD_SHIFT                        _MK_SHIFT_CONST(4)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_UIVREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_UIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_UIVREAD_RANGE                        4:4
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_UIVREAD_WOFFSET                      0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_UIVREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_UIVREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_UIVREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_UIVREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_UIVREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_UIVREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_UIVREAD_INIT_ENUM                    ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_UIVREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_UIVREAD_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_OIVUPDATE_SHIFT                      _MK_SHIFT_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_OIVUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_OIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_OIVUPDATE_RANGE                      3:3
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_OIVUPDATE_WOFFSET                    0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_OIVUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_OIVUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_OIVUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_OIVUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_OIVUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_OIVUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_OIVUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_OIVUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_OIVUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_OIVREAD_SHIFT                        _MK_SHIFT_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_OIVREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_OIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_OIVREAD_RANGE                        2:2
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_OIVREAD_WOFFSET                      0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_OIVREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_OIVREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_OIVREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_OIVREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_OIVREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_OIVREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_OIVREAD_INIT_ENUM                    ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_OIVREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_OIVREAD_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYUPDATE_SHIFT                      _MK_SHIFT_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYUPDATE_RANGE                      1:1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYUPDATE_WOFFSET                    0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYREAD_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYREAD_RANGE                        0:0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYREAD_WOFFSET                      0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYREAD_INIT_ENUM                    ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14_KEYREAD_ENABLE                       _MK_ENUM_CONST(1)

// Register SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15                      _MK_ADDR_CONST(0x4b8)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_SECURE                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_DUAL                         0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_SCR                  0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_WORD_COUNT                   0x1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_RESET_VAL                    _MK_MASK_CONST(0x7f)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_RESET_MASK                   _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_READ_MASK                    _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_WRITE_MASK                   _MK_MASK_CONST(0x7ff)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_SHIFT                    _MK_SHIFT_CONST(8)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_FIELD                    _MK_FIELD_CONST(0x7, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_RANGE                    10:8
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_WOFFSET                  0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_DEFAULT_MASK                     _MK_MASK_CONST(0x7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_INIT_ENUM                        ECB
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_ECB                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_CBC                      _MK_ENUM_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_OFB                      _MK_ENUM_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_CTR                      _MK_ENUM_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_CIPHER_MODE_XTS                      _MK_ENUM_CONST(4)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_DST_KEYTABLE_ONLY_SHIFT                      _MK_SHIFT_CONST(7)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_DST_KEYTABLE_ONLY_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_DST_KEYTABLE_ONLY_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_DST_KEYTABLE_ONLY_RANGE                      7:7
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_DST_KEYTABLE_ONLY_WOFFSET                    0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_DST_KEYTABLE_ONLY_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_DST_KEYTABLE_ONLY_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_DST_KEYTABLE_ONLY_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_DST_KEYTABLE_ONLY_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_DST_KEYTABLE_ONLY_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_DST_KEYTABLE_ONLY_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_DST_KEYTABLE_ONLY_INIT_ENUM                  FALSE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_DST_KEYTABLE_ONLY_FALSE                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_DST_KEYTABLE_ONLY_TRUE                       _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYUSE_SHIFT                 _MK_SHIFT_CONST(6)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYUSE_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYUSE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYUSE_RANGE                 6:6
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYUSE_WOFFSET                       0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYUSE_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYUSE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYUSE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYUSE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYUSE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYUSE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYUSE_INIT_ENUM                     ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYUSE_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYUSE_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_UIVUPDATE_SHIFT                      _MK_SHIFT_CONST(5)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_UIVUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_UIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_UIVUPDATE_RANGE                      5:5
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_UIVUPDATE_WOFFSET                    0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_UIVUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_UIVUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_UIVUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_UIVUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_UIVUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_UIVUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_UIVUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_UIVUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_UIVUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_UIVREAD_SHIFT                        _MK_SHIFT_CONST(4)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_UIVREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_UIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_UIVREAD_RANGE                        4:4
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_UIVREAD_WOFFSET                      0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_UIVREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_UIVREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_UIVREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_UIVREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_UIVREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_UIVREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_UIVREAD_INIT_ENUM                    ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_UIVREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_UIVREAD_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_OIVUPDATE_SHIFT                      _MK_SHIFT_CONST(3)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_OIVUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_OIVUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_OIVUPDATE_RANGE                      3:3
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_OIVUPDATE_WOFFSET                    0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_OIVUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_OIVUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_OIVUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_OIVUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_OIVUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_OIVUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_OIVUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_OIVUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_OIVUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_OIVREAD_SHIFT                        _MK_SHIFT_CONST(2)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_OIVREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_OIVREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_OIVREAD_RANGE                        2:2
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_OIVREAD_WOFFSET                      0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_OIVREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_OIVREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_OIVREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_OIVREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_OIVREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_OIVREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_OIVREAD_INIT_ENUM                    ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_OIVREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_OIVREAD_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYUPDATE_SHIFT                      _MK_SHIFT_CONST(1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYUPDATE_FIELD                      _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYUPDATE_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYUPDATE_RANGE                      1:1
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYUPDATE_WOFFSET                    0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYUPDATE_DEFAULT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYUPDATE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYUPDATE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYUPDATE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYUPDATE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYUPDATE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYUPDATE_INIT_ENUM                  ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYUPDATE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYUPDATE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYREAD_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYREAD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYREAD_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYREAD_RANGE                        0:0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYREAD_WOFFSET                      0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYREAD_DEFAULT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYREAD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYREAD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYREAD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYREAD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYREAD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYREAD_INIT_ENUM                    ENABLE
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYREAD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15_KEYREAD_ENABLE                       _MK_ENUM_CONST(1)

// Register SE0_AES1_CRYPTO_KEYTABLE_ADDR_0
#define SE0_AES1_CRYPTO_KEYTABLE_ADDR_0                 _MK_ADDR_CONST(0x4bc)
#define SE0_AES1_CRYPTO_KEYTABLE_ADDR_0_SECURE                  0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ADDR_0_DUAL                    0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ADDR_0_SCR                     0
#define SE0_AES1_CRYPTO_KEYTABLE_ADDR_0_WORD_COUNT                      0x1
#define SE0_AES1_CRYPTO_KEYTABLE_ADDR_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ADDR_0_RESET_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ADDR_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ADDR_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ADDR_0_READ_MASK                       _MK_MASK_CONST(0xff)
#define SE0_AES1_CRYPTO_KEYTABLE_ADDR_0_WRITE_MASK                      _MK_MASK_CONST(0xff)
#define SE0_AES1_CRYPTO_KEYTABLE_ADDR_0_PKT_SHIFT                       _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_ADDR_0_PKT_FIELD                       _MK_FIELD_CONST(0xff, SE0_AES1_CRYPTO_KEYTABLE_ADDR_0_PKT_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_ADDR_0_PKT_RANGE                       7:0
#define SE0_AES1_CRYPTO_KEYTABLE_ADDR_0_PKT_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_ADDR_0_PKT_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ADDR_0_PKT_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ADDR_0_PKT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ADDR_0_PKT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ADDR_0_PKT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_ADDR_0_PKT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define ARSE_CRYPTO_KEYTABLE_DATA_WORDS 1

// Register SE0_AES1_CRYPTO_KEYTABLE_DATA_0
#define SE0_AES1_CRYPTO_KEYTABLE_DATA_0                 _MK_ADDR_CONST(0x4c0)
#define SE0_AES1_CRYPTO_KEYTABLE_DATA_0_SECURE                  0x0
#define SE0_AES1_CRYPTO_KEYTABLE_DATA_0_DUAL                    0x0
#define SE0_AES1_CRYPTO_KEYTABLE_DATA_0_SCR                     0
#define SE0_AES1_CRYPTO_KEYTABLE_DATA_0_WORD_COUNT                      0x1
#define SE0_AES1_CRYPTO_KEYTABLE_DATA_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_DATA_0_RESET_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_DATA_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_DATA_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_DATA_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SE0_AES1_CRYPTO_KEYTABLE_DATA_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define SE0_AES1_CRYPTO_KEYTABLE_DATA_0_VAL_SHIFT                       _MK_SHIFT_CONST(0)
#define SE0_AES1_CRYPTO_KEYTABLE_DATA_0_VAL_FIELD                       _MK_FIELD_CONST(0xffffffff, SE0_AES1_CRYPTO_KEYTABLE_DATA_0_VAL_SHIFT)
#define SE0_AES1_CRYPTO_KEYTABLE_DATA_0_VAL_RANGE                       31:0
#define SE0_AES1_CRYPTO_KEYTABLE_DATA_0_VAL_WOFFSET                     0x0
#define SE0_AES1_CRYPTO_KEYTABLE_DATA_0_VAL_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_DATA_0_VAL_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_DATA_0_VAL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_DATA_0_VAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_DATA_0_VAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CRYPTO_KEYTABLE_DATA_0_VAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SE0_AES1_CMAC_RESULT_0
#define SE0_AES1_CMAC_RESULT_0                  _MK_ADDR_CONST(0x4c4)
#define SE0_AES1_CMAC_RESULT_0_SECURE                   0x0
#define SE0_AES1_CMAC_RESULT_0_DUAL                     0x0
#define SE0_AES1_CMAC_RESULT_0_SCR                      0
#define SE0_AES1_CMAC_RESULT_0_WORD_COUNT                       0x1
#define SE0_AES1_CMAC_RESULT_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_0_RESET_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_AES1_CMAC_RESULT_0_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SE0_AES1_CMAC_RESULT_0_VAL_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_AES1_CMAC_RESULT_0_VAL_FIELD                        _MK_FIELD_CONST(0xffffffff, SE0_AES1_CMAC_RESULT_0_VAL_SHIFT)
#define SE0_AES1_CMAC_RESULT_0_VAL_RANGE                        31:0
#define SE0_AES1_CMAC_RESULT_0_VAL_WOFFSET                      0x0
#define SE0_AES1_CMAC_RESULT_0_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_0_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_0_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_0_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_0_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_0_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SE0_AES1_CMAC_RESULT
#define SE0_AES1_CMAC_RESULT                    _MK_ADDR_CONST(0x4c4)
#define SE0_AES1_CMAC_RESULT_SECURE                     0x0
#define SE0_AES1_CMAC_RESULT_DUAL                       0x0
#define SE0_AES1_CMAC_RESULT_SCR                        0
#define SE0_AES1_CMAC_RESULT_WORD_COUNT                         0x1
#define SE0_AES1_CMAC_RESULT_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE0_AES1_CMAC_RESULT_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_AES1_CMAC_RESULT_VAL_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_AES1_CMAC_RESULT_VAL_FIELD                  _MK_FIELD_CONST(0xffffffff, SE0_AES1_CMAC_RESULT_VAL_SHIFT)
#define SE0_AES1_CMAC_RESULT_VAL_RANGE                  31:0
#define SE0_AES1_CMAC_RESULT_VAL_WOFFSET                        0x0
#define SE0_AES1_CMAC_RESULT_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_VAL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_VAL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SE0_AES1_CMAC_RESULT_1
#define SE0_AES1_CMAC_RESULT_1                  _MK_ADDR_CONST(0x4c8)
#define SE0_AES1_CMAC_RESULT_1_SECURE                   0x0
#define SE0_AES1_CMAC_RESULT_1_DUAL                     0x0
#define SE0_AES1_CMAC_RESULT_1_SCR                      0
#define SE0_AES1_CMAC_RESULT_1_WORD_COUNT                       0x1
#define SE0_AES1_CMAC_RESULT_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_1_RESET_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_AES1_CMAC_RESULT_1_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SE0_AES1_CMAC_RESULT_1_VAL_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_AES1_CMAC_RESULT_1_VAL_FIELD                        _MK_FIELD_CONST(0xffffffff, SE0_AES1_CMAC_RESULT_1_VAL_SHIFT)
#define SE0_AES1_CMAC_RESULT_1_VAL_RANGE                        31:0
#define SE0_AES1_CMAC_RESULT_1_VAL_WOFFSET                      0x0
#define SE0_AES1_CMAC_RESULT_1_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_1_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_1_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_1_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_1_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_1_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SE0_AES1_CMAC_RESULT_2
#define SE0_AES1_CMAC_RESULT_2                  _MK_ADDR_CONST(0x4cc)
#define SE0_AES1_CMAC_RESULT_2_SECURE                   0x0
#define SE0_AES1_CMAC_RESULT_2_DUAL                     0x0
#define SE0_AES1_CMAC_RESULT_2_SCR                      0
#define SE0_AES1_CMAC_RESULT_2_WORD_COUNT                       0x1
#define SE0_AES1_CMAC_RESULT_2_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_2_RESET_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_2_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_2_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_AES1_CMAC_RESULT_2_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SE0_AES1_CMAC_RESULT_2_VAL_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_AES1_CMAC_RESULT_2_VAL_FIELD                        _MK_FIELD_CONST(0xffffffff, SE0_AES1_CMAC_RESULT_2_VAL_SHIFT)
#define SE0_AES1_CMAC_RESULT_2_VAL_RANGE                        31:0
#define SE0_AES1_CMAC_RESULT_2_VAL_WOFFSET                      0x0
#define SE0_AES1_CMAC_RESULT_2_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_2_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_2_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_2_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_2_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_2_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SE0_AES1_CMAC_RESULT_3
#define SE0_AES1_CMAC_RESULT_3                  _MK_ADDR_CONST(0x4d0)
#define SE0_AES1_CMAC_RESULT_3_SECURE                   0x0
#define SE0_AES1_CMAC_RESULT_3_DUAL                     0x0
#define SE0_AES1_CMAC_RESULT_3_SCR                      0
#define SE0_AES1_CMAC_RESULT_3_WORD_COUNT                       0x1
#define SE0_AES1_CMAC_RESULT_3_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_3_RESET_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_3_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_3_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_AES1_CMAC_RESULT_3_WRITE_MASK                       _MK_MASK_CONST(0xffffffff)
#define SE0_AES1_CMAC_RESULT_3_VAL_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_AES1_CMAC_RESULT_3_VAL_FIELD                        _MK_FIELD_CONST(0xffffffff, SE0_AES1_CMAC_RESULT_3_VAL_SHIFT)
#define SE0_AES1_CMAC_RESULT_3_VAL_RANGE                        31:0
#define SE0_AES1_CMAC_RESULT_3_VAL_WOFFSET                      0x0
#define SE0_AES1_CMAC_RESULT_3_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_3_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_3_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_3_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_3_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_CMAC_RESULT_3_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Reserved address 0x4d4

// Reserved address 0x4d8

// Reserved address 0x4dc

// Reserved address 0x4e0

// Reserved address 0x4e8

// Register SE0_AES1_INT_ENABLE_0
#define SE0_AES1_INT_ENABLE_0                   _MK_ADDR_CONST(0x4ec)
#define SE0_AES1_INT_ENABLE_0_SECURE                    0x0
#define SE0_AES1_INT_ENABLE_0_DUAL                      0x0
#define SE0_AES1_INT_ENABLE_0_SCR                       0
#define SE0_AES1_INT_ENABLE_0_WORD_COUNT                        0x1
#define SE0_AES1_INT_ENABLE_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_RESET_MASK                        _MK_MASK_CONST(0x1033f)
#define SE0_AES1_INT_ENABLE_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_READ_MASK                         _MK_MASK_CONST(0x1033f)
#define SE0_AES1_INT_ENABLE_0_WRITE_MASK                        _MK_MASK_CONST(0x1033f)
#define SE0_AES1_INT_ENABLE_0_ERR_STAT_SHIFT                    _MK_SHIFT_CONST(16)
#define SE0_AES1_INT_ENABLE_0_ERR_STAT_FIELD                    _MK_FIELD_CONST(0x1, SE0_AES1_INT_ENABLE_0_ERR_STAT_SHIFT)
#define SE0_AES1_INT_ENABLE_0_ERR_STAT_RANGE                    16:16
#define SE0_AES1_INT_ENABLE_0_ERR_STAT_WOFFSET                  0x0
#define SE0_AES1_INT_ENABLE_0_ERR_STAT_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_ERR_STAT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_ENABLE_0_ERR_STAT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_ERR_STAT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_ERR_STAT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_ERR_STAT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_ENABLE_0_ERR_STAT_INIT_ENUM                        DISABLE
#define SE0_AES1_INT_ENABLE_0_ERR_STAT_DISABLE                  _MK_ENUM_CONST(0)
#define SE0_AES1_INT_ENABLE_0_ERR_STAT_ENABLE                   _MK_ENUM_CONST(1)

#define SE0_AES1_INT_ENABLE_0_EIP1_SHIFT                        _MK_SHIFT_CONST(9)
#define SE0_AES1_INT_ENABLE_0_EIP1_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES1_INT_ENABLE_0_EIP1_SHIFT)
#define SE0_AES1_INT_ENABLE_0_EIP1_RANGE                        9:9
#define SE0_AES1_INT_ENABLE_0_EIP1_WOFFSET                      0x0
#define SE0_AES1_INT_ENABLE_0_EIP1_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_EIP1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_ENABLE_0_EIP1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_EIP1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_EIP1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_EIP1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_ENABLE_0_EIP1_INIT_ENUM                    DISABLE
#define SE0_AES1_INT_ENABLE_0_EIP1_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES1_INT_ENABLE_0_EIP1_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_AES1_INT_ENABLE_0_EIP0_SHIFT                        _MK_SHIFT_CONST(8)
#define SE0_AES1_INT_ENABLE_0_EIP0_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES1_INT_ENABLE_0_EIP0_SHIFT)
#define SE0_AES1_INT_ENABLE_0_EIP0_RANGE                        8:8
#define SE0_AES1_INT_ENABLE_0_EIP0_WOFFSET                      0x0
#define SE0_AES1_INT_ENABLE_0_EIP0_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_EIP0_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_ENABLE_0_EIP0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_EIP0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_EIP0_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_EIP0_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_ENABLE_0_EIP0_INIT_ENUM                    DISABLE
#define SE0_AES1_INT_ENABLE_0_EIP0_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES1_INT_ENABLE_0_EIP0_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_AES1_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_SHIFT                       _MK_SHIFT_CONST(5)
#define SE0_AES1_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_SHIFT)
#define SE0_AES1_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_RANGE                       5:5
#define SE0_AES1_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_WOFFSET                     0x0
#define SE0_AES1_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_INIT_ENUM                   DISABLE
#define SE0_AES1_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_INT_ENABLE_0_SE_OP_DONE_SHIFT                  _MK_SHIFT_CONST(4)
#define SE0_AES1_INT_ENABLE_0_SE_OP_DONE_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES1_INT_ENABLE_0_SE_OP_DONE_SHIFT)
#define SE0_AES1_INT_ENABLE_0_SE_OP_DONE_RANGE                  4:4
#define SE0_AES1_INT_ENABLE_0_SE_OP_DONE_WOFFSET                        0x0
#define SE0_AES1_INT_ENABLE_0_SE_OP_DONE_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_SE_OP_DONE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_ENABLE_0_SE_OP_DONE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_SE_OP_DONE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_SE_OP_DONE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_SE_OP_DONE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_ENABLE_0_SE_OP_DONE_INIT_ENUM                      DISABLE
#define SE0_AES1_INT_ENABLE_0_SE_OP_DONE_DISABLE                        _MK_ENUM_CONST(0)
#define SE0_AES1_INT_ENABLE_0_SE_OP_DONE_ENABLE                 _MK_ENUM_CONST(1)

#define SE0_AES1_INT_ENABLE_0_OUT_DONE_SHIFT                    _MK_SHIFT_CONST(3)
#define SE0_AES1_INT_ENABLE_0_OUT_DONE_FIELD                    _MK_FIELD_CONST(0x1, SE0_AES1_INT_ENABLE_0_OUT_DONE_SHIFT)
#define SE0_AES1_INT_ENABLE_0_OUT_DONE_RANGE                    3:3
#define SE0_AES1_INT_ENABLE_0_OUT_DONE_WOFFSET                  0x0
#define SE0_AES1_INT_ENABLE_0_OUT_DONE_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_OUT_DONE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_ENABLE_0_OUT_DONE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_OUT_DONE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_OUT_DONE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_OUT_DONE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_ENABLE_0_OUT_DONE_INIT_ENUM                        DISABLE
#define SE0_AES1_INT_ENABLE_0_OUT_DONE_DISABLE                  _MK_ENUM_CONST(0)
#define SE0_AES1_INT_ENABLE_0_OUT_DONE_ENABLE                   _MK_ENUM_CONST(1)

#define SE0_AES1_INT_ENABLE_0_OUT_LL_BUF_WR_SHIFT                       _MK_SHIFT_CONST(2)
#define SE0_AES1_INT_ENABLE_0_OUT_LL_BUF_WR_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_INT_ENABLE_0_OUT_LL_BUF_WR_SHIFT)
#define SE0_AES1_INT_ENABLE_0_OUT_LL_BUF_WR_RANGE                       2:2
#define SE0_AES1_INT_ENABLE_0_OUT_LL_BUF_WR_WOFFSET                     0x0
#define SE0_AES1_INT_ENABLE_0_OUT_LL_BUF_WR_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_OUT_LL_BUF_WR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_ENABLE_0_OUT_LL_BUF_WR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_OUT_LL_BUF_WR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_OUT_LL_BUF_WR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_OUT_LL_BUF_WR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_ENABLE_0_OUT_LL_BUF_WR_INIT_ENUM                   DISABLE
#define SE0_AES1_INT_ENABLE_0_OUT_LL_BUF_WR_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_AES1_INT_ENABLE_0_OUT_LL_BUF_WR_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_AES1_INT_ENABLE_0_IN_DONE_SHIFT                     _MK_SHIFT_CONST(1)
#define SE0_AES1_INT_ENABLE_0_IN_DONE_FIELD                     _MK_FIELD_CONST(0x1, SE0_AES1_INT_ENABLE_0_IN_DONE_SHIFT)
#define SE0_AES1_INT_ENABLE_0_IN_DONE_RANGE                     1:1
#define SE0_AES1_INT_ENABLE_0_IN_DONE_WOFFSET                   0x0
#define SE0_AES1_INT_ENABLE_0_IN_DONE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_IN_DONE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_ENABLE_0_IN_DONE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_IN_DONE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_IN_DONE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_IN_DONE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_ENABLE_0_IN_DONE_INIT_ENUM                 DISABLE
#define SE0_AES1_INT_ENABLE_0_IN_DONE_DISABLE                   _MK_ENUM_CONST(0)
#define SE0_AES1_INT_ENABLE_0_IN_DONE_ENABLE                    _MK_ENUM_CONST(1)

#define SE0_AES1_INT_ENABLE_0_IN_LL_BUF_RD_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_AES1_INT_ENABLE_0_IN_LL_BUF_RD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES1_INT_ENABLE_0_IN_LL_BUF_RD_SHIFT)
#define SE0_AES1_INT_ENABLE_0_IN_LL_BUF_RD_RANGE                        0:0
#define SE0_AES1_INT_ENABLE_0_IN_LL_BUF_RD_WOFFSET                      0x0
#define SE0_AES1_INT_ENABLE_0_IN_LL_BUF_RD_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_IN_LL_BUF_RD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_ENABLE_0_IN_LL_BUF_RD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_IN_LL_BUF_RD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_IN_LL_BUF_RD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_ENABLE_0_IN_LL_BUF_RD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_ENABLE_0_IN_LL_BUF_RD_INIT_ENUM                    DISABLE
#define SE0_AES1_INT_ENABLE_0_IN_LL_BUF_RD_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_AES1_INT_ENABLE_0_IN_LL_BUF_RD_ENABLE                       _MK_ENUM_CONST(1)

// Register SE0_AES1_INT_STATUS_0
#define SE0_AES1_INT_STATUS_0                   _MK_ADDR_CONST(0x4f0)
#define SE0_AES1_INT_STATUS_0_SECURE                    0x0
#define SE0_AES1_INT_STATUS_0_DUAL                      0x0
#define SE0_AES1_INT_STATUS_0_SCR                       0
#define SE0_AES1_INT_STATUS_0_WORD_COUNT                        0x1
#define SE0_AES1_INT_STATUS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_RESET_MASK                        _MK_MASK_CONST(0x1033f)
#define SE0_AES1_INT_STATUS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_READ_MASK                         _MK_MASK_CONST(0x1033f)
#define SE0_AES1_INT_STATUS_0_WRITE_MASK                        _MK_MASK_CONST(0x1033f)
#define SE0_AES1_INT_STATUS_0_ERR_STAT_SHIFT                    _MK_SHIFT_CONST(16)
#define SE0_AES1_INT_STATUS_0_ERR_STAT_FIELD                    _MK_FIELD_CONST(0x1, SE0_AES1_INT_STATUS_0_ERR_STAT_SHIFT)
#define SE0_AES1_INT_STATUS_0_ERR_STAT_RANGE                    16:16
#define SE0_AES1_INT_STATUS_0_ERR_STAT_WOFFSET                  0x0
#define SE0_AES1_INT_STATUS_0_ERR_STAT_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_ERR_STAT_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_STATUS_0_ERR_STAT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_ERR_STAT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_ERR_STAT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_ERR_STAT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_STATUS_0_ERR_STAT_INIT_ENUM                        CLEAR
#define SE0_AES1_INT_STATUS_0_ERR_STAT_CLEAR                    _MK_ENUM_CONST(0)
#define SE0_AES1_INT_STATUS_0_ERR_STAT_ACTIVE                   _MK_ENUM_CONST(1)
#define SE0_AES1_INT_STATUS_0_ERR_STAT_SW_CLEAR                 _MK_ENUM_CONST(1)

#define SE0_AES1_INT_STATUS_0_EIP1_SHIFT                        _MK_SHIFT_CONST(9)
#define SE0_AES1_INT_STATUS_0_EIP1_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES1_INT_STATUS_0_EIP1_SHIFT)
#define SE0_AES1_INT_STATUS_0_EIP1_RANGE                        9:9
#define SE0_AES1_INT_STATUS_0_EIP1_WOFFSET                      0x0
#define SE0_AES1_INT_STATUS_0_EIP1_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_EIP1_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_STATUS_0_EIP1_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_EIP1_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_EIP1_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_EIP1_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_STATUS_0_EIP1_INIT_ENUM                    CLEAR
#define SE0_AES1_INT_STATUS_0_EIP1_CLEAR                        _MK_ENUM_CONST(0)
#define SE0_AES1_INT_STATUS_0_EIP1_ACTIVE                       _MK_ENUM_CONST(1)
#define SE0_AES1_INT_STATUS_0_EIP1_SW_CLEAR                     _MK_ENUM_CONST(1)

#define SE0_AES1_INT_STATUS_0_EIP0_SHIFT                        _MK_SHIFT_CONST(8)
#define SE0_AES1_INT_STATUS_0_EIP0_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES1_INT_STATUS_0_EIP0_SHIFT)
#define SE0_AES1_INT_STATUS_0_EIP0_RANGE                        8:8
#define SE0_AES1_INT_STATUS_0_EIP0_WOFFSET                      0x0
#define SE0_AES1_INT_STATUS_0_EIP0_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_EIP0_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_STATUS_0_EIP0_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_EIP0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_EIP0_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_EIP0_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_STATUS_0_EIP0_INIT_ENUM                    CLEAR
#define SE0_AES1_INT_STATUS_0_EIP0_CLEAR                        _MK_ENUM_CONST(0)
#define SE0_AES1_INT_STATUS_0_EIP0_ACTIVE                       _MK_ENUM_CONST(1)
#define SE0_AES1_INT_STATUS_0_EIP0_SW_CLEAR                     _MK_ENUM_CONST(1)

#define SE0_AES1_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_SHIFT                       _MK_SHIFT_CONST(5)
#define SE0_AES1_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_SHIFT)
#define SE0_AES1_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_RANGE                       5:5
#define SE0_AES1_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_WOFFSET                     0x0
#define SE0_AES1_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_INIT_ENUM                   CLEAR
#define SE0_AES1_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_CLEAR                       _MK_ENUM_CONST(0)
#define SE0_AES1_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_ACTIVE                      _MK_ENUM_CONST(1)
#define SE0_AES1_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_SW_CLEAR                    _MK_ENUM_CONST(1)

#define SE0_AES1_INT_STATUS_0_SE_OP_DONE_SHIFT                  _MK_SHIFT_CONST(4)
#define SE0_AES1_INT_STATUS_0_SE_OP_DONE_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES1_INT_STATUS_0_SE_OP_DONE_SHIFT)
#define SE0_AES1_INT_STATUS_0_SE_OP_DONE_RANGE                  4:4
#define SE0_AES1_INT_STATUS_0_SE_OP_DONE_WOFFSET                        0x0
#define SE0_AES1_INT_STATUS_0_SE_OP_DONE_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_SE_OP_DONE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_STATUS_0_SE_OP_DONE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_SE_OP_DONE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_SE_OP_DONE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_SE_OP_DONE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_STATUS_0_SE_OP_DONE_INIT_ENUM                      CLEAR
#define SE0_AES1_INT_STATUS_0_SE_OP_DONE_CLEAR                  _MK_ENUM_CONST(0)
#define SE0_AES1_INT_STATUS_0_SE_OP_DONE_ACTIVE                 _MK_ENUM_CONST(1)
#define SE0_AES1_INT_STATUS_0_SE_OP_DONE_SW_CLEAR                       _MK_ENUM_CONST(1)

#define SE0_AES1_INT_STATUS_0_OUT_DONE_SHIFT                    _MK_SHIFT_CONST(3)
#define SE0_AES1_INT_STATUS_0_OUT_DONE_FIELD                    _MK_FIELD_CONST(0x1, SE0_AES1_INT_STATUS_0_OUT_DONE_SHIFT)
#define SE0_AES1_INT_STATUS_0_OUT_DONE_RANGE                    3:3
#define SE0_AES1_INT_STATUS_0_OUT_DONE_WOFFSET                  0x0
#define SE0_AES1_INT_STATUS_0_OUT_DONE_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_OUT_DONE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_STATUS_0_OUT_DONE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_OUT_DONE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_OUT_DONE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_OUT_DONE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_STATUS_0_OUT_DONE_INIT_ENUM                        CLEAR
#define SE0_AES1_INT_STATUS_0_OUT_DONE_CLEAR                    _MK_ENUM_CONST(0)
#define SE0_AES1_INT_STATUS_0_OUT_DONE_ACTIVE                   _MK_ENUM_CONST(1)
#define SE0_AES1_INT_STATUS_0_OUT_DONE_SW_CLEAR                 _MK_ENUM_CONST(1)

#define SE0_AES1_INT_STATUS_0_OUT_LL_BUF_WR_SHIFT                       _MK_SHIFT_CONST(2)
#define SE0_AES1_INT_STATUS_0_OUT_LL_BUF_WR_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_INT_STATUS_0_OUT_LL_BUF_WR_SHIFT)
#define SE0_AES1_INT_STATUS_0_OUT_LL_BUF_WR_RANGE                       2:2
#define SE0_AES1_INT_STATUS_0_OUT_LL_BUF_WR_WOFFSET                     0x0
#define SE0_AES1_INT_STATUS_0_OUT_LL_BUF_WR_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_OUT_LL_BUF_WR_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_STATUS_0_OUT_LL_BUF_WR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_OUT_LL_BUF_WR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_OUT_LL_BUF_WR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_OUT_LL_BUF_WR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_STATUS_0_OUT_LL_BUF_WR_INIT_ENUM                   CLEAR
#define SE0_AES1_INT_STATUS_0_OUT_LL_BUF_WR_CLEAR                       _MK_ENUM_CONST(0)
#define SE0_AES1_INT_STATUS_0_OUT_LL_BUF_WR_ACTIVE                      _MK_ENUM_CONST(1)
#define SE0_AES1_INT_STATUS_0_OUT_LL_BUF_WR_SW_CLEAR                    _MK_ENUM_CONST(1)

#define SE0_AES1_INT_STATUS_0_IN_DONE_SHIFT                     _MK_SHIFT_CONST(1)
#define SE0_AES1_INT_STATUS_0_IN_DONE_FIELD                     _MK_FIELD_CONST(0x1, SE0_AES1_INT_STATUS_0_IN_DONE_SHIFT)
#define SE0_AES1_INT_STATUS_0_IN_DONE_RANGE                     1:1
#define SE0_AES1_INT_STATUS_0_IN_DONE_WOFFSET                   0x0
#define SE0_AES1_INT_STATUS_0_IN_DONE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_IN_DONE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_STATUS_0_IN_DONE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_IN_DONE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_IN_DONE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_IN_DONE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_STATUS_0_IN_DONE_INIT_ENUM                 CLEAR
#define SE0_AES1_INT_STATUS_0_IN_DONE_CLEAR                     _MK_ENUM_CONST(0)
#define SE0_AES1_INT_STATUS_0_IN_DONE_ACTIVE                    _MK_ENUM_CONST(1)
#define SE0_AES1_INT_STATUS_0_IN_DONE_SW_CLEAR                  _MK_ENUM_CONST(1)

#define SE0_AES1_INT_STATUS_0_IN_LL_BUF_RD_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_AES1_INT_STATUS_0_IN_LL_BUF_RD_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES1_INT_STATUS_0_IN_LL_BUF_RD_SHIFT)
#define SE0_AES1_INT_STATUS_0_IN_LL_BUF_RD_RANGE                        0:0
#define SE0_AES1_INT_STATUS_0_IN_LL_BUF_RD_WOFFSET                      0x0
#define SE0_AES1_INT_STATUS_0_IN_LL_BUF_RD_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_IN_LL_BUF_RD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_STATUS_0_IN_LL_BUF_RD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_IN_LL_BUF_RD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_IN_LL_BUF_RD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_INT_STATUS_0_IN_LL_BUF_RD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES1_INT_STATUS_0_IN_LL_BUF_RD_INIT_ENUM                    CLEAR
#define SE0_AES1_INT_STATUS_0_IN_LL_BUF_RD_CLEAR                        _MK_ENUM_CONST(0)
#define SE0_AES1_INT_STATUS_0_IN_LL_BUF_RD_ACTIVE                       _MK_ENUM_CONST(1)
#define SE0_AES1_INT_STATUS_0_IN_LL_BUF_RD_SW_CLEAR                     _MK_ENUM_CONST(1)

// Register SE0_AES1_STATUS_0
#define SE0_AES1_STATUS_0                       _MK_ADDR_CONST(0x4f4)
#define SE0_AES1_STATUS_0_SECURE                        0x0
#define SE0_AES1_STATUS_0_DUAL                  0x0
#define SE0_AES1_STATUS_0_SCR                   0
#define SE0_AES1_STATUS_0_WORD_COUNT                    0x1
#define SE0_AES1_STATUS_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_AES1_STATUS_0_RESET_MASK                    _MK_MASK_CONST(0x7)
#define SE0_AES1_STATUS_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_AES1_STATUS_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_STATUS_0_READ_MASK                     _MK_MASK_CONST(0x7)
#define SE0_AES1_STATUS_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_AES1_STATUS_0_STATE_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_AES1_STATUS_0_STATE_FIELD                   _MK_FIELD_CONST(0x7, SE0_AES1_STATUS_0_STATE_SHIFT)
#define SE0_AES1_STATUS_0_STATE_RANGE                   2:0
#define SE0_AES1_STATUS_0_STATE_WOFFSET                 0x0
#define SE0_AES1_STATUS_0_STATE_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_AES1_STATUS_0_STATE_DEFAULT_MASK                    _MK_MASK_CONST(0x7)
#define SE0_AES1_STATUS_0_STATE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_STATUS_0_STATE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_AES1_STATUS_0_STATE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_AES1_STATUS_0_STATE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_AES1_STATUS_0_STATE_INIT_ENUM                       IDLE
#define SE0_AES1_STATUS_0_STATE_IDLE                    _MK_ENUM_CONST(0)
#define SE0_AES1_STATUS_0_STATE_BUSY                    _MK_ENUM_CONST(1)
#define SE0_AES1_STATUS_0_STATE_WAIT_OUT                        _MK_ENUM_CONST(2)
#define SE0_AES1_STATUS_0_STATE_WAIT_IN                 _MK_ENUM_CONST(3)
#define SE0_AES1_STATUS_0_STATE_WAIT_INOUT                      _MK_ENUM_CONST(4)
#define SE0_AES1_STATUS_0_STATE_CANCELLING                      _MK_ENUM_CONST(5)
#define SE0_AES1_STATUS_0_STATE_PENDING                 _MK_ENUM_CONST(6)

// Register SE0_AES1_ERR_STATUS_0
#define SE0_AES1_ERR_STATUS_0                   _MK_ADDR_CONST(0x4f8)
#define SE0_AES1_ERR_STATUS_0_SECURE                    0x0
#define SE0_AES1_ERR_STATUS_0_DUAL                      0x0
#define SE0_AES1_ERR_STATUS_0_SCR                       0
#define SE0_AES1_ERR_STATUS_0_WORD_COUNT                        0x1
#define SE0_AES1_ERR_STATUS_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_RESET_MASK                        _MK_MASK_CONST(0x300017f)
#define SE0_AES1_ERR_STATUS_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_READ_MASK                         _MK_MASK_CONST(0x300017f)
#define SE0_AES1_ERR_STATUS_0_WRITE_MASK                        _MK_MASK_CONST(0x300017f)
#define SE0_AES1_ERR_STATUS_0_SE_NS_ACCESS_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_AES1_ERR_STATUS_0_SE_NS_ACCESS_FIELD                        _MK_FIELD_CONST(0x1, SE0_AES1_ERR_STATUS_0_SE_NS_ACCESS_SHIFT)
#define SE0_AES1_ERR_STATUS_0_SE_NS_ACCESS_RANGE                        0:0
#define SE0_AES1_ERR_STATUS_0_SE_NS_ACCESS_WOFFSET                      0x0
#define SE0_AES1_ERR_STATUS_0_SE_NS_ACCESS_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_SE_NS_ACCESS_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_AES1_ERR_STATUS_0_SE_NS_ACCESS_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_SE_NS_ACCESS_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_SE_NS_ACCESS_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_SE_NS_ACCESS_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_AES1_ERR_STATUS_0_SE_NS_ACCESS_INIT_ENUM                    CLEAR
#define SE0_AES1_ERR_STATUS_0_SE_NS_ACCESS_CLEAR                        _MK_ENUM_CONST(0)
#define SE0_AES1_ERR_STATUS_0_SE_NS_ACCESS_ACTIVE                       _MK_ENUM_CONST(1)
#define SE0_AES1_ERR_STATUS_0_SE_NS_ACCESS_SW_CLEAR                     _MK_ENUM_CONST(1)

#define SE0_AES1_ERR_STATUS_0_DST_SHIFT                 _MK_SHIFT_CONST(1)
#define SE0_AES1_ERR_STATUS_0_DST_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_ERR_STATUS_0_DST_SHIFT)
#define SE0_AES1_ERR_STATUS_0_DST_RANGE                 1:1
#define SE0_AES1_ERR_STATUS_0_DST_WOFFSET                       0x0
#define SE0_AES1_ERR_STATUS_0_DST_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_DST_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_ERR_STATUS_0_DST_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_DST_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_DST_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_DST_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_ERR_STATUS_0_DST_INIT_ENUM                     CLEAR
#define SE0_AES1_ERR_STATUS_0_DST_CLEAR                 _MK_ENUM_CONST(0)
#define SE0_AES1_ERR_STATUS_0_DST_ACTIVE                        _MK_ENUM_CONST(1)
#define SE0_AES1_ERR_STATUS_0_DST_SW_CLEAR                      _MK_ENUM_CONST(1)

#define SE0_AES1_ERR_STATUS_0_BUSY_REG_WR_SHIFT                 _MK_SHIFT_CONST(2)
#define SE0_AES1_ERR_STATUS_0_BUSY_REG_WR_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_ERR_STATUS_0_BUSY_REG_WR_SHIFT)
#define SE0_AES1_ERR_STATUS_0_BUSY_REG_WR_RANGE                 2:2
#define SE0_AES1_ERR_STATUS_0_BUSY_REG_WR_WOFFSET                       0x0
#define SE0_AES1_ERR_STATUS_0_BUSY_REG_WR_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_BUSY_REG_WR_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_ERR_STATUS_0_BUSY_REG_WR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_BUSY_REG_WR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_BUSY_REG_WR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_BUSY_REG_WR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_ERR_STATUS_0_BUSY_REG_WR_INIT_ENUM                     CLEAR
#define SE0_AES1_ERR_STATUS_0_BUSY_REG_WR_CLEAR                 _MK_ENUM_CONST(0)
#define SE0_AES1_ERR_STATUS_0_BUSY_REG_WR_ACTIVE                        _MK_ENUM_CONST(1)
#define SE0_AES1_ERR_STATUS_0_BUSY_REG_WR_SW_CLEAR                      _MK_ENUM_CONST(1)

#define SE0_AES1_ERR_STATUS_0_SRK_USAGE_LIMIT_SHIFT                     _MK_SHIFT_CONST(3)
#define SE0_AES1_ERR_STATUS_0_SRK_USAGE_LIMIT_FIELD                     _MK_FIELD_CONST(0x1, SE0_AES1_ERR_STATUS_0_SRK_USAGE_LIMIT_SHIFT)
#define SE0_AES1_ERR_STATUS_0_SRK_USAGE_LIMIT_RANGE                     3:3
#define SE0_AES1_ERR_STATUS_0_SRK_USAGE_LIMIT_WOFFSET                   0x0
#define SE0_AES1_ERR_STATUS_0_SRK_USAGE_LIMIT_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_SRK_USAGE_LIMIT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SE0_AES1_ERR_STATUS_0_SRK_USAGE_LIMIT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_SRK_USAGE_LIMIT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_SRK_USAGE_LIMIT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_SRK_USAGE_LIMIT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES1_ERR_STATUS_0_SRK_USAGE_LIMIT_INIT_ENUM                 CLEAR
#define SE0_AES1_ERR_STATUS_0_SRK_USAGE_LIMIT_CLEAR                     _MK_ENUM_CONST(0)
#define SE0_AES1_ERR_STATUS_0_SRK_USAGE_LIMIT_ACTIVE                    _MK_ENUM_CONST(1)
#define SE0_AES1_ERR_STATUS_0_SRK_USAGE_LIMIT_SW_CLEAR                  _MK_ENUM_CONST(1)

#define SE0_AES1_ERR_STATUS_0_NO_SUPPORT_SHIFT                  _MK_SHIFT_CONST(4)
#define SE0_AES1_ERR_STATUS_0_NO_SUPPORT_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES1_ERR_STATUS_0_NO_SUPPORT_SHIFT)
#define SE0_AES1_ERR_STATUS_0_NO_SUPPORT_RANGE                  4:4
#define SE0_AES1_ERR_STATUS_0_NO_SUPPORT_WOFFSET                        0x0
#define SE0_AES1_ERR_STATUS_0_NO_SUPPORT_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_NO_SUPPORT_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES1_ERR_STATUS_0_NO_SUPPORT_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_NO_SUPPORT_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_NO_SUPPORT_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_NO_SUPPORT_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_ERR_STATUS_0_NO_SUPPORT_INIT_ENUM                      CLEAR
#define SE0_AES1_ERR_STATUS_0_NO_SUPPORT_CLEAR                  _MK_ENUM_CONST(0)
#define SE0_AES1_ERR_STATUS_0_NO_SUPPORT_ACTIVE                 _MK_ENUM_CONST(1)
#define SE0_AES1_ERR_STATUS_0_NO_SUPPORT_SW_CLEAR                       _MK_ENUM_CONST(1)

#define SE0_AES1_ERR_STATUS_0_ENG_DIS_OP_SHIFT                  _MK_SHIFT_CONST(5)
#define SE0_AES1_ERR_STATUS_0_ENG_DIS_OP_FIELD                  _MK_FIELD_CONST(0x1, SE0_AES1_ERR_STATUS_0_ENG_DIS_OP_SHIFT)
#define SE0_AES1_ERR_STATUS_0_ENG_DIS_OP_RANGE                  5:5
#define SE0_AES1_ERR_STATUS_0_ENG_DIS_OP_WOFFSET                        0x0
#define SE0_AES1_ERR_STATUS_0_ENG_DIS_OP_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_ENG_DIS_OP_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_AES1_ERR_STATUS_0_ENG_DIS_OP_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_ENG_DIS_OP_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_ENG_DIS_OP_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_ENG_DIS_OP_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_AES1_ERR_STATUS_0_ENG_DIS_OP_INIT_ENUM                      CLEAR
#define SE0_AES1_ERR_STATUS_0_ENG_DIS_OP_CLEAR                  _MK_ENUM_CONST(0)
#define SE0_AES1_ERR_STATUS_0_ENG_DIS_OP_ACTIVE                 _MK_ENUM_CONST(1)
#define SE0_AES1_ERR_STATUS_0_ENG_DIS_OP_SW_CLEAR                       _MK_ENUM_CONST(1)

#define SE0_AES1_ERR_STATUS_0_CIPHER_MODE_SHIFT                 _MK_SHIFT_CONST(6)
#define SE0_AES1_ERR_STATUS_0_CIPHER_MODE_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_ERR_STATUS_0_CIPHER_MODE_SHIFT)
#define SE0_AES1_ERR_STATUS_0_CIPHER_MODE_RANGE                 6:6
#define SE0_AES1_ERR_STATUS_0_CIPHER_MODE_WOFFSET                       0x0
#define SE0_AES1_ERR_STATUS_0_CIPHER_MODE_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_CIPHER_MODE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_ERR_STATUS_0_CIPHER_MODE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_CIPHER_MODE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_CIPHER_MODE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_CIPHER_MODE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_ERR_STATUS_0_CIPHER_MODE_INIT_ENUM                     CLEAR
#define SE0_AES1_ERR_STATUS_0_CIPHER_MODE_CLEAR                 _MK_ENUM_CONST(0)
#define SE0_AES1_ERR_STATUS_0_CIPHER_MODE_ACTIVE                        _MK_ENUM_CONST(1)
#define SE0_AES1_ERR_STATUS_0_CIPHER_MODE_SW_CLEAR                      _MK_ENUM_CONST(1)

#define SE0_AES1_ERR_STATUS_0_ILLEGAL_CFG_SHIFT                 _MK_SHIFT_CONST(8)
#define SE0_AES1_ERR_STATUS_0_ILLEGAL_CFG_FIELD                 _MK_FIELD_CONST(0x1, SE0_AES1_ERR_STATUS_0_ILLEGAL_CFG_SHIFT)
#define SE0_AES1_ERR_STATUS_0_ILLEGAL_CFG_RANGE                 8:8
#define SE0_AES1_ERR_STATUS_0_ILLEGAL_CFG_WOFFSET                       0x0
#define SE0_AES1_ERR_STATUS_0_ILLEGAL_CFG_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_ILLEGAL_CFG_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_AES1_ERR_STATUS_0_ILLEGAL_CFG_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_ILLEGAL_CFG_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_ILLEGAL_CFG_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_ILLEGAL_CFG_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_AES1_ERR_STATUS_0_ILLEGAL_CFG_INIT_ENUM                     CLEAR
#define SE0_AES1_ERR_STATUS_0_ILLEGAL_CFG_CLEAR                 _MK_ENUM_CONST(0)
#define SE0_AES1_ERR_STATUS_0_ILLEGAL_CFG_ACTIVE                        _MK_ENUM_CONST(1)
#define SE0_AES1_ERR_STATUS_0_ILLEGAL_CFG_SW_CLEAR                      _MK_ENUM_CONST(1)

#define SE0_AES1_ERR_STATUS_0_TZRAM_NS_ACCESS_SHIFT                     _MK_SHIFT_CONST(24)
#define SE0_AES1_ERR_STATUS_0_TZRAM_NS_ACCESS_FIELD                     _MK_FIELD_CONST(0x1, SE0_AES1_ERR_STATUS_0_TZRAM_NS_ACCESS_SHIFT)
#define SE0_AES1_ERR_STATUS_0_TZRAM_NS_ACCESS_RANGE                     24:24
#define SE0_AES1_ERR_STATUS_0_TZRAM_NS_ACCESS_WOFFSET                   0x0
#define SE0_AES1_ERR_STATUS_0_TZRAM_NS_ACCESS_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_TZRAM_NS_ACCESS_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SE0_AES1_ERR_STATUS_0_TZRAM_NS_ACCESS_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_TZRAM_NS_ACCESS_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_TZRAM_NS_ACCESS_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_TZRAM_NS_ACCESS_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_AES1_ERR_STATUS_0_TZRAM_NS_ACCESS_INIT_ENUM                 CLEAR
#define SE0_AES1_ERR_STATUS_0_TZRAM_NS_ACCESS_CLEAR                     _MK_ENUM_CONST(0)
#define SE0_AES1_ERR_STATUS_0_TZRAM_NS_ACCESS_ACTIVE                    _MK_ENUM_CONST(1)
#define SE0_AES1_ERR_STATUS_0_TZRAM_NS_ACCESS_SW_CLEAR                  _MK_ENUM_CONST(1)

#define SE0_AES1_ERR_STATUS_0_TZRAM_ADDRESS_SHIFT                       _MK_SHIFT_CONST(25)
#define SE0_AES1_ERR_STATUS_0_TZRAM_ADDRESS_FIELD                       _MK_FIELD_CONST(0x1, SE0_AES1_ERR_STATUS_0_TZRAM_ADDRESS_SHIFT)
#define SE0_AES1_ERR_STATUS_0_TZRAM_ADDRESS_RANGE                       25:25
#define SE0_AES1_ERR_STATUS_0_TZRAM_ADDRESS_WOFFSET                     0x0
#define SE0_AES1_ERR_STATUS_0_TZRAM_ADDRESS_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_TZRAM_ADDRESS_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_AES1_ERR_STATUS_0_TZRAM_ADDRESS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_TZRAM_ADDRESS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_TZRAM_ADDRESS_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_AES1_ERR_STATUS_0_TZRAM_ADDRESS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_AES1_ERR_STATUS_0_TZRAM_ADDRESS_INIT_ENUM                   CLEAR
#define SE0_AES1_ERR_STATUS_0_TZRAM_ADDRESS_CLEAR                       _MK_ENUM_CONST(0)
#define SE0_AES1_ERR_STATUS_0_TZRAM_ADDRESS_ACTIVE                      _MK_ENUM_CONST(1)
#define SE0_AES1_ERR_STATUS_0_TZRAM_ADDRESS_SW_CLEAR                    _MK_ENUM_CONST(1)

// Register SE0_RSA_GSCID_0
#define SE0_RSA_GSCID_0                 _MK_ADDR_CONST(0x600)
#define SE0_RSA_GSCID_0_SECURE                  0x0
#define SE0_RSA_GSCID_0_DUAL                    0x0
#define SE0_RSA_GSCID_0_SCR                     0
#define SE0_RSA_GSCID_0_WORD_COUNT                      0x1
#define SE0_RSA_GSCID_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SE0_RSA_GSCID_0_RESET_MASK                      _MK_MASK_CONST(0xff00ff)
#define SE0_RSA_GSCID_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SE0_RSA_GSCID_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SE0_RSA_GSCID_0_READ_MASK                       _MK_MASK_CONST(0xff00ff)
#define SE0_RSA_GSCID_0_WRITE_MASK                      _MK_MASK_CONST(0xff00ff)
#define SE0_RSA_GSCID_0_IN_ID_SHIFT                     _MK_SHIFT_CONST(16)
#define SE0_RSA_GSCID_0_IN_ID_FIELD                     _MK_FIELD_CONST(0xff, SE0_RSA_GSCID_0_IN_ID_SHIFT)
#define SE0_RSA_GSCID_0_IN_ID_RANGE                     23:16
#define SE0_RSA_GSCID_0_IN_ID_WOFFSET                   0x0
#define SE0_RSA_GSCID_0_IN_ID_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_GSCID_0_IN_ID_DEFAULT_MASK                      _MK_MASK_CONST(0xff)
#define SE0_RSA_GSCID_0_IN_ID_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_GSCID_0_IN_ID_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_GSCID_0_IN_ID_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_GSCID_0_IN_ID_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define SE0_RSA_GSCID_0_OUT_ID_SHIFT                    _MK_SHIFT_CONST(0)
#define SE0_RSA_GSCID_0_OUT_ID_FIELD                    _MK_FIELD_CONST(0xff, SE0_RSA_GSCID_0_OUT_ID_SHIFT)
#define SE0_RSA_GSCID_0_OUT_ID_RANGE                    7:0
#define SE0_RSA_GSCID_0_OUT_ID_WOFFSET                  0x0
#define SE0_RSA_GSCID_0_OUT_ID_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_RSA_GSCID_0_OUT_ID_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define SE0_RSA_GSCID_0_OUT_ID_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_RSA_GSCID_0_OUT_ID_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_RSA_GSCID_0_OUT_ID_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_RSA_GSCID_0_OUT_ID_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

// Register SE0_RSA_CONFIG_0
#define SE0_RSA_CONFIG_0                        _MK_ADDR_CONST(0x604)
#define SE0_RSA_CONFIG_0_SECURE                         0x0
#define SE0_RSA_CONFIG_0_DUAL                   0x0
#define SE0_RSA_CONFIG_0_SCR                    0
#define SE0_RSA_CONFIG_0_WORD_COUNT                     0x1
#define SE0_RSA_CONFIG_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE0_RSA_CONFIG_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_CONFIG_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE0_RSA_CONFIG_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_RSA_CONFIG_0_READ_MASK                      _MK_MASK_CONST(0xffffff1c)
#define SE0_RSA_CONFIG_0_WRITE_MASK                     _MK_MASK_CONST(0xffffff1c)
#define SE0_RSA_CONFIG_0_DST_SHIFT                      _MK_SHIFT_CONST(2)
#define SE0_RSA_CONFIG_0_DST_FIELD                      _MK_FIELD_CONST(0x7, SE0_RSA_CONFIG_0_DST_SHIFT)
#define SE0_RSA_CONFIG_0_DST_RANGE                      4:2
#define SE0_RSA_CONFIG_0_DST_WOFFSET                    0x0
#define SE0_RSA_CONFIG_0_DST_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_RSA_CONFIG_0_DST_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_CONFIG_0_DST_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_RSA_CONFIG_0_DST_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_CONFIG_0_DST_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_RSA_CONFIG_0_DST_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_RSA_CONFIG_0_DST_MEMORY                     _MK_ENUM_CONST(0)
#define SE0_RSA_CONFIG_0_DST_HASH_REG                   _MK_ENUM_CONST(1)
#define SE0_RSA_CONFIG_0_DST_KEYTABLE                   _MK_ENUM_CONST(2)
#define SE0_RSA_CONFIG_0_DST_SRK                        _MK_ENUM_CONST(3)
#define SE0_RSA_CONFIG_0_DST_RSA_REG                    _MK_ENUM_CONST(4)

#define SE0_RSA_CONFIG_0_DEC_ALG_SHIFT                  _MK_SHIFT_CONST(8)
#define SE0_RSA_CONFIG_0_DEC_ALG_FIELD                  _MK_FIELD_CONST(0xf, SE0_RSA_CONFIG_0_DEC_ALG_SHIFT)
#define SE0_RSA_CONFIG_0_DEC_ALG_RANGE                  11:8
#define SE0_RSA_CONFIG_0_DEC_ALG_WOFFSET                        0x0
#define SE0_RSA_CONFIG_0_DEC_ALG_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_CONFIG_0_DEC_ALG_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_CONFIG_0_DEC_ALG_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_RSA_CONFIG_0_DEC_ALG_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_RSA_CONFIG_0_DEC_ALG_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_RSA_CONFIG_0_DEC_ALG_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_RSA_CONFIG_0_DEC_ALG_NOP                    _MK_ENUM_CONST(0)
#define SE0_RSA_CONFIG_0_DEC_ALG_AES_DEC                        _MK_ENUM_CONST(1)

#define SE0_RSA_CONFIG_0_ENC_ALG_SHIFT                  _MK_SHIFT_CONST(12)
#define SE0_RSA_CONFIG_0_ENC_ALG_FIELD                  _MK_FIELD_CONST(0xf, SE0_RSA_CONFIG_0_ENC_ALG_SHIFT)
#define SE0_RSA_CONFIG_0_ENC_ALG_RANGE                  15:12
#define SE0_RSA_CONFIG_0_ENC_ALG_WOFFSET                        0x0
#define SE0_RSA_CONFIG_0_ENC_ALG_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_CONFIG_0_ENC_ALG_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_CONFIG_0_ENC_ALG_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_RSA_CONFIG_0_ENC_ALG_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_RSA_CONFIG_0_ENC_ALG_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_RSA_CONFIG_0_ENC_ALG_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_RSA_CONFIG_0_ENC_ALG_NOP                    _MK_ENUM_CONST(0)
#define SE0_RSA_CONFIG_0_ENC_ALG_AES_ENC                        _MK_ENUM_CONST(1)
#define SE0_RSA_CONFIG_0_ENC_ALG_RNG                    _MK_ENUM_CONST(2)
#define SE0_RSA_CONFIG_0_ENC_ALG_SHA                    _MK_ENUM_CONST(3)
#define SE0_RSA_CONFIG_0_ENC_ALG_RSA                    _MK_ENUM_CONST(4)
#define SE0_RSA_CONFIG_0_ENC_ALG_KEYFETCH                       _MK_ENUM_CONST(5)

#define SE0_RSA_CONFIG_0_DEC_MODE_SHIFT                 _MK_SHIFT_CONST(16)
#define SE0_RSA_CONFIG_0_DEC_MODE_FIELD                 _MK_FIELD_CONST(0xff, SE0_RSA_CONFIG_0_DEC_MODE_SHIFT)
#define SE0_RSA_CONFIG_0_DEC_MODE_RANGE                 23:16
#define SE0_RSA_CONFIG_0_DEC_MODE_WOFFSET                       0x0
#define SE0_RSA_CONFIG_0_DEC_MODE_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_RSA_CONFIG_0_DEC_MODE_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_RSA_CONFIG_0_DEC_MODE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_RSA_CONFIG_0_DEC_MODE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_CONFIG_0_DEC_MODE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_RSA_CONFIG_0_DEC_MODE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define SE0_RSA_CONFIG_0_ENC_MODE_SHIFT                 _MK_SHIFT_CONST(24)
#define SE0_RSA_CONFIG_0_ENC_MODE_FIELD                 _MK_FIELD_CONST(0xff, SE0_RSA_CONFIG_0_ENC_MODE_SHIFT)
#define SE0_RSA_CONFIG_0_ENC_MODE_RANGE                 31:24
#define SE0_RSA_CONFIG_0_ENC_MODE_WOFFSET                       0x0
#define SE0_RSA_CONFIG_0_ENC_MODE_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_RSA_CONFIG_0_ENC_MODE_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_RSA_CONFIG_0_ENC_MODE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_RSA_CONFIG_0_ENC_MODE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_CONFIG_0_ENC_MODE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_RSA_CONFIG_0_ENC_MODE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

// Register SE0_RSA_TASK_CONFIG_0
#define SE0_RSA_TASK_CONFIG_0                   _MK_ADDR_CONST(0x608)
#define SE0_RSA_TASK_CONFIG_0_SECURE                    0x0
#define SE0_RSA_TASK_CONFIG_0_DUAL                      0x0
#define SE0_RSA_TASK_CONFIG_0_SCR                       0
#define SE0_RSA_TASK_CONFIG_0_WORD_COUNT                        0x1
#define SE0_RSA_TASK_CONFIG_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SE0_RSA_TASK_CONFIG_0_RESET_MASK                        _MK_MASK_CONST(0x1800000)
#define SE0_RSA_TASK_CONFIG_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE0_RSA_TASK_CONFIG_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_TASK_CONFIG_0_READ_MASK                         _MK_MASK_CONST(0x1800000)
#define SE0_RSA_TASK_CONFIG_0_WRITE_MASK                        _MK_MASK_CONST(0x1800000)
#define SE0_RSA_TASK_CONFIG_0_KEY_SLOT_SHIFT                    _MK_SHIFT_CONST(23)
#define SE0_RSA_TASK_CONFIG_0_KEY_SLOT_FIELD                    _MK_FIELD_CONST(0x3, SE0_RSA_TASK_CONFIG_0_KEY_SLOT_SHIFT)
#define SE0_RSA_TASK_CONFIG_0_KEY_SLOT_RANGE                    24:23
#define SE0_RSA_TASK_CONFIG_0_KEY_SLOT_WOFFSET                  0x0
#define SE0_RSA_TASK_CONFIG_0_KEY_SLOT_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_RSA_TASK_CONFIG_0_KEY_SLOT_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define SE0_RSA_TASK_CONFIG_0_KEY_SLOT_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_RSA_TASK_CONFIG_0_KEY_SLOT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_RSA_TASK_CONFIG_0_KEY_SLOT_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_RSA_TASK_CONFIG_0_KEY_SLOT_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_RSA_TASK_CONFIG_0_KEY_SLOT_ZERO                     _MK_ENUM_CONST(0)
#define SE0_RSA_TASK_CONFIG_0_KEY_SLOT_ONE                      _MK_ENUM_CONST(1)
#define SE0_RSA_TASK_CONFIG_0_KEY_SLOT_TWO                      _MK_ENUM_CONST(2)
#define SE0_RSA_TASK_CONFIG_0_KEY_SLOT_THREE                    _MK_ENUM_CONST(3)

// Register SE0_RSA_KEY_SIZE_0
#define SE0_RSA_KEY_SIZE_0                      _MK_ADDR_CONST(0x60c)
#define SE0_RSA_KEY_SIZE_0_SECURE                       0x0
#define SE0_RSA_KEY_SIZE_0_DUAL                         0x0
#define SE0_RSA_KEY_SIZE_0_SCR                  0
#define SE0_RSA_KEY_SIZE_0_WORD_COUNT                   0x1
#define SE0_RSA_KEY_SIZE_0_RESET_VAL                    _MK_MASK_CONST(0x3)
#define SE0_RSA_KEY_SIZE_0_RESET_MASK                   _MK_MASK_CONST(0x3)
#define SE0_RSA_KEY_SIZE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_RSA_KEY_SIZE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_KEY_SIZE_0_READ_MASK                    _MK_MASK_CONST(0x3)
#define SE0_RSA_KEY_SIZE_0_WRITE_MASK                   _MK_MASK_CONST(0x3)
#define SE0_RSA_KEY_SIZE_0_VAL_SHIFT                    _MK_SHIFT_CONST(0)
#define SE0_RSA_KEY_SIZE_0_VAL_FIELD                    _MK_FIELD_CONST(0x3, SE0_RSA_KEY_SIZE_0_VAL_SHIFT)
#define SE0_RSA_KEY_SIZE_0_VAL_RANGE                    1:0
#define SE0_RSA_KEY_SIZE_0_VAL_WOFFSET                  0x0
#define SE0_RSA_KEY_SIZE_0_VAL_DEFAULT                  _MK_MASK_CONST(0x3)
#define SE0_RSA_KEY_SIZE_0_VAL_DEFAULT_MASK                     _MK_MASK_CONST(0x3)
#define SE0_RSA_KEY_SIZE_0_VAL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_RSA_KEY_SIZE_0_VAL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_RSA_KEY_SIZE_0_VAL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_RSA_KEY_SIZE_0_VAL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_RSA_KEY_SIZE_0_VAL_INIT_ENUM                        WIDTH_2048
#define SE0_RSA_KEY_SIZE_0_VAL_WIDTH_512                        _MK_ENUM_CONST(0)
#define SE0_RSA_KEY_SIZE_0_VAL_WIDTH_1024                       _MK_ENUM_CONST(1)
#define SE0_RSA_KEY_SIZE_0_VAL_WIDTH_1536                       _MK_ENUM_CONST(2)
#define SE0_RSA_KEY_SIZE_0_VAL_WIDTH_2048                       _MK_ENUM_CONST(3)

// Register SE0_RSA_EXP_SIZE_0
#define SE0_RSA_EXP_SIZE_0                      _MK_ADDR_CONST(0x610)
#define SE0_RSA_EXP_SIZE_0_SECURE                       0x0
#define SE0_RSA_EXP_SIZE_0_DUAL                         0x0
#define SE0_RSA_EXP_SIZE_0_SCR                  0
#define SE0_RSA_EXP_SIZE_0_WORD_COUNT                   0x1
#define SE0_RSA_EXP_SIZE_0_RESET_VAL                    _MK_MASK_CONST(0x40)
#define SE0_RSA_EXP_SIZE_0_RESET_MASK                   _MK_MASK_CONST(0x7f)
#define SE0_RSA_EXP_SIZE_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_RSA_EXP_SIZE_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_EXP_SIZE_0_READ_MASK                    _MK_MASK_CONST(0x7f)
#define SE0_RSA_EXP_SIZE_0_WRITE_MASK                   _MK_MASK_CONST(0x7f)
#define SE0_RSA_EXP_SIZE_0_VAL_SHIFT                    _MK_SHIFT_CONST(0)
#define SE0_RSA_EXP_SIZE_0_VAL_FIELD                    _MK_FIELD_CONST(0x7f, SE0_RSA_EXP_SIZE_0_VAL_SHIFT)
#define SE0_RSA_EXP_SIZE_0_VAL_RANGE                    6:0
#define SE0_RSA_EXP_SIZE_0_VAL_WOFFSET                  0x0
#define SE0_RSA_EXP_SIZE_0_VAL_DEFAULT                  _MK_MASK_CONST(0x40)
#define SE0_RSA_EXP_SIZE_0_VAL_DEFAULT_MASK                     _MK_MASK_CONST(0x7f)
#define SE0_RSA_EXP_SIZE_0_VAL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_RSA_EXP_SIZE_0_VAL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_RSA_EXP_SIZE_0_VAL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_RSA_EXP_SIZE_0_VAL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

// Register SE0_RSA_IN_ADDR_0
#define SE0_RSA_IN_ADDR_0                       _MK_ADDR_CONST(0x614)
#define SE0_RSA_IN_ADDR_0_SECURE                        0x0
#define SE0_RSA_IN_ADDR_0_DUAL                  0x0
#define SE0_RSA_IN_ADDR_0_SCR                   0
#define SE0_RSA_IN_ADDR_0_WORD_COUNT                    0x1
#define SE0_RSA_IN_ADDR_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_IN_ADDR_0_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_IN_ADDR_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_IN_ADDR_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_IN_ADDR_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_IN_ADDR_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_IN_ADDR_0_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_IN_ADDR_0_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_IN_ADDR_0_VAL_SHIFT)
#define SE0_RSA_IN_ADDR_0_VAL_RANGE                     31:0
#define SE0_RSA_IN_ADDR_0_VAL_WOFFSET                   0x0
#define SE0_RSA_IN_ADDR_0_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_IN_ADDR_0_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_IN_ADDR_0_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_IN_ADDR_0_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_IN_ADDR_0_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_IN_ADDR_0_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_IN_ADDR_HI_0
#define SE0_RSA_IN_ADDR_HI_0                    _MK_ADDR_CONST(0x618)
#define SE0_RSA_IN_ADDR_HI_0_SECURE                     0x0
#define SE0_RSA_IN_ADDR_HI_0_DUAL                       0x0
#define SE0_RSA_IN_ADDR_HI_0_SCR                        0
#define SE0_RSA_IN_ADDR_HI_0_WORD_COUNT                         0x1
#define SE0_RSA_IN_ADDR_HI_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE0_RSA_IN_ADDR_HI_0_RESET_MASK                         _MK_MASK_CONST(0x0)
#define SE0_RSA_IN_ADDR_HI_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_IN_ADDR_HI_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_IN_ADDR_HI_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_IN_ADDR_HI_0_WRITE_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_IN_ADDR_HI_0_MSB_SHIFT                  _MK_SHIFT_CONST(24)
#define SE0_RSA_IN_ADDR_HI_0_MSB_FIELD                  _MK_FIELD_CONST(0xff, SE0_RSA_IN_ADDR_HI_0_MSB_SHIFT)
#define SE0_RSA_IN_ADDR_HI_0_MSB_RANGE                  31:24
#define SE0_RSA_IN_ADDR_HI_0_MSB_WOFFSET                        0x0
#define SE0_RSA_IN_ADDR_HI_0_MSB_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_IN_ADDR_HI_0_MSB_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_IN_ADDR_HI_0_MSB_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_RSA_IN_ADDR_HI_0_MSB_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_RSA_IN_ADDR_HI_0_MSB_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_RSA_IN_ADDR_HI_0_MSB_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define SE0_RSA_IN_ADDR_HI_0_SZ_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_RSA_IN_ADDR_HI_0_SZ_FIELD                   _MK_FIELD_CONST(0xffffff, SE0_RSA_IN_ADDR_HI_0_SZ_SHIFT)
#define SE0_RSA_IN_ADDR_HI_0_SZ_RANGE                   23:0
#define SE0_RSA_IN_ADDR_HI_0_SZ_WOFFSET                 0x0
#define SE0_RSA_IN_ADDR_HI_0_SZ_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_RSA_IN_ADDR_HI_0_SZ_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_IN_ADDR_HI_0_SZ_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_RSA_IN_ADDR_HI_0_SZ_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_RSA_IN_ADDR_HI_0_SZ_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_RSA_IN_ADDR_HI_0_SZ_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUT_ADDR_0
#define SE0_RSA_OUT_ADDR_0                      _MK_ADDR_CONST(0x61c)
#define SE0_RSA_OUT_ADDR_0_SECURE                       0x0
#define SE0_RSA_OUT_ADDR_0_DUAL                         0x0
#define SE0_RSA_OUT_ADDR_0_SCR                  0
#define SE0_RSA_OUT_ADDR_0_WORD_COUNT                   0x1
#define SE0_RSA_OUT_ADDR_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUT_ADDR_0_RESET_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUT_ADDR_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUT_ADDR_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUT_ADDR_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUT_ADDR_0_WRITE_MASK                   _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUT_ADDR_0_VAL_SHIFT                    _MK_SHIFT_CONST(0)
#define SE0_RSA_OUT_ADDR_0_VAL_FIELD                    _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUT_ADDR_0_VAL_SHIFT)
#define SE0_RSA_OUT_ADDR_0_VAL_RANGE                    31:0
#define SE0_RSA_OUT_ADDR_0_VAL_WOFFSET                  0x0
#define SE0_RSA_OUT_ADDR_0_VAL_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_RSA_OUT_ADDR_0_VAL_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUT_ADDR_0_VAL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUT_ADDR_0_VAL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_RSA_OUT_ADDR_0_VAL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUT_ADDR_0_VAL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUT_ADDR_HI_0
#define SE0_RSA_OUT_ADDR_HI_0                   _MK_ADDR_CONST(0x620)
#define SE0_RSA_OUT_ADDR_HI_0_SECURE                    0x0
#define SE0_RSA_OUT_ADDR_HI_0_DUAL                      0x0
#define SE0_RSA_OUT_ADDR_HI_0_SCR                       0
#define SE0_RSA_OUT_ADDR_HI_0_WORD_COUNT                        0x1
#define SE0_RSA_OUT_ADDR_HI_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define SE0_RSA_OUT_ADDR_HI_0_RESET_MASK                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUT_ADDR_HI_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUT_ADDR_HI_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUT_ADDR_HI_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUT_ADDR_HI_0_WRITE_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUT_ADDR_HI_0_MSB_SHIFT                 _MK_SHIFT_CONST(24)
#define SE0_RSA_OUT_ADDR_HI_0_MSB_FIELD                 _MK_FIELD_CONST(0xff, SE0_RSA_OUT_ADDR_HI_0_MSB_SHIFT)
#define SE0_RSA_OUT_ADDR_HI_0_MSB_RANGE                 31:24
#define SE0_RSA_OUT_ADDR_HI_0_MSB_WOFFSET                       0x0
#define SE0_RSA_OUT_ADDR_HI_0_MSB_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUT_ADDR_HI_0_MSB_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_RSA_OUT_ADDR_HI_0_MSB_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUT_ADDR_HI_0_MSB_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUT_ADDR_HI_0_MSB_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUT_ADDR_HI_0_MSB_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define SE0_RSA_OUT_ADDR_HI_0_SZ_SHIFT                  _MK_SHIFT_CONST(0)
#define SE0_RSA_OUT_ADDR_HI_0_SZ_FIELD                  _MK_FIELD_CONST(0xffffff, SE0_RSA_OUT_ADDR_HI_0_SZ_SHIFT)
#define SE0_RSA_OUT_ADDR_HI_0_SZ_RANGE                  23:0
#define SE0_RSA_OUT_ADDR_HI_0_SZ_WOFFSET                        0x0
#define SE0_RSA_OUT_ADDR_HI_0_SZ_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUT_ADDR_HI_0_SZ_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUT_ADDR_HI_0_SZ_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUT_ADDR_HI_0_SZ_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUT_ADDR_HI_0_SZ_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUT_ADDR_HI_0_SZ_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

// Register SE0_RSA_OPERATION_0
#define SE0_RSA_OPERATION_0                     _MK_ADDR_CONST(0x624)
#define SE0_RSA_OPERATION_0_SECURE                      0x0
#define SE0_RSA_OPERATION_0_DUAL                        0x0
#define SE0_RSA_OPERATION_0_SCR                         0
#define SE0_RSA_OPERATION_0_WORD_COUNT                  0x1
#define SE0_RSA_OPERATION_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OPERATION_0_RESET_MASK                  _MK_MASK_CONST(0x18007)
#define SE0_RSA_OPERATION_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OPERATION_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OPERATION_0_READ_MASK                   _MK_MASK_CONST(0x18007)
#define SE0_RSA_OPERATION_0_WRITE_MASK                  _MK_MASK_CONST(0x18007)
#define SE0_RSA_OPERATION_0_LASTBUF_SHIFT                       _MK_SHIFT_CONST(16)
#define SE0_RSA_OPERATION_0_LASTBUF_FIELD                       _MK_FIELD_CONST(0x1, SE0_RSA_OPERATION_0_LASTBUF_SHIFT)
#define SE0_RSA_OPERATION_0_LASTBUF_RANGE                       16:16
#define SE0_RSA_OPERATION_0_LASTBUF_WOFFSET                     0x0
#define SE0_RSA_OPERATION_0_LASTBUF_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OPERATION_0_LASTBUF_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_RSA_OPERATION_0_LASTBUF_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_RSA_OPERATION_0_LASTBUF_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OPERATION_0_LASTBUF_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OPERATION_0_LASTBUF_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_RSA_OPERATION_0_LASTBUF_INIT_ENUM                   FALSE
#define SE0_RSA_OPERATION_0_LASTBUF_FALSE                       _MK_ENUM_CONST(0)
#define SE0_RSA_OPERATION_0_LASTBUF_TRUE                        _MK_ENUM_CONST(1)

#define SE0_RSA_OPERATION_0_WRSTALL_SHIFT                       _MK_SHIFT_CONST(15)
#define SE0_RSA_OPERATION_0_WRSTALL_FIELD                       _MK_FIELD_CONST(0x1, SE0_RSA_OPERATION_0_WRSTALL_SHIFT)
#define SE0_RSA_OPERATION_0_WRSTALL_RANGE                       15:15
#define SE0_RSA_OPERATION_0_WRSTALL_WOFFSET                     0x0
#define SE0_RSA_OPERATION_0_WRSTALL_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OPERATION_0_WRSTALL_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_RSA_OPERATION_0_WRSTALL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_RSA_OPERATION_0_WRSTALL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OPERATION_0_WRSTALL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OPERATION_0_WRSTALL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_RSA_OPERATION_0_WRSTALL_INIT_ENUM                   FALSE
#define SE0_RSA_OPERATION_0_WRSTALL_FALSE                       _MK_ENUM_CONST(0)
#define SE0_RSA_OPERATION_0_WRSTALL_TRUE                        _MK_ENUM_CONST(1)

#define SE0_RSA_OPERATION_0_OP_SHIFT                    _MK_SHIFT_CONST(0)
#define SE0_RSA_OPERATION_0_OP_FIELD                    _MK_FIELD_CONST(0x7, SE0_RSA_OPERATION_0_OP_SHIFT)
#define SE0_RSA_OPERATION_0_OP_RANGE                    2:0
#define SE0_RSA_OPERATION_0_OP_WOFFSET                  0x0
#define SE0_RSA_OPERATION_0_OP_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_RSA_OPERATION_0_OP_DEFAULT_MASK                     _MK_MASK_CONST(0x7)
#define SE0_RSA_OPERATION_0_OP_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OPERATION_0_OP_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_RSA_OPERATION_0_OP_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OPERATION_0_OP_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_0
#define SE0_RSA_OUTPUT_0                        _MK_ADDR_CONST(0x628)
#define SE0_RSA_OUTPUT_0_SECURE                         0x0
#define SE0_RSA_OUTPUT_0_DUAL                   0x0
#define SE0_RSA_OUTPUT_0_SCR                    0
#define SE0_RSA_OUTPUT_0_WORD_COUNT                     0x1
#define SE0_RSA_OUTPUT_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_0_VAL_SHIFT                      _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_0_VAL_FIELD                      _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_0_VAL_SHIFT)
#define SE0_RSA_OUTPUT_0_VAL_RANGE                      31:0
#define SE0_RSA_OUTPUT_0_VAL_WOFFSET                    0x0
#define SE0_RSA_OUTPUT_0_VAL_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_0_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_0_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_0_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_0_VAL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_0_VAL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT
#define SE0_RSA_OUTPUT                  _MK_ADDR_CONST(0x628)
#define SE0_RSA_OUTPUT_SECURE                   0x0
#define SE0_RSA_OUTPUT_DUAL                     0x0
#define SE0_RSA_OUTPUT_SCR                      0
#define SE0_RSA_OUTPUT_WORD_COUNT                       0x1
#define SE0_RSA_OUTPUT_RESET_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_RESET_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_VAL_SHIFT                        _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_VAL_FIELD                        _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_VAL_SHIFT)
#define SE0_RSA_OUTPUT_VAL_RANGE                        31:0
#define SE0_RSA_OUTPUT_VAL_WOFFSET                      0x0
#define SE0_RSA_OUTPUT_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_1
#define SE0_RSA_OUTPUT_1                        _MK_ADDR_CONST(0x62c)
#define SE0_RSA_OUTPUT_1_SECURE                         0x0
#define SE0_RSA_OUTPUT_1_DUAL                   0x0
#define SE0_RSA_OUTPUT_1_SCR                    0
#define SE0_RSA_OUTPUT_1_WORD_COUNT                     0x1
#define SE0_RSA_OUTPUT_1_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_1_RESET_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_1_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_1_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_1_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_1_VAL_SHIFT                      _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_1_VAL_FIELD                      _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_1_VAL_SHIFT)
#define SE0_RSA_OUTPUT_1_VAL_RANGE                      31:0
#define SE0_RSA_OUTPUT_1_VAL_WOFFSET                    0x0
#define SE0_RSA_OUTPUT_1_VAL_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_1_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_1_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_1_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_1_VAL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_1_VAL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_2
#define SE0_RSA_OUTPUT_2                        _MK_ADDR_CONST(0x630)
#define SE0_RSA_OUTPUT_2_SECURE                         0x0
#define SE0_RSA_OUTPUT_2_DUAL                   0x0
#define SE0_RSA_OUTPUT_2_SCR                    0
#define SE0_RSA_OUTPUT_2_WORD_COUNT                     0x1
#define SE0_RSA_OUTPUT_2_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_2_RESET_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_2_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_2_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_2_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_2_VAL_SHIFT                      _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_2_VAL_FIELD                      _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_2_VAL_SHIFT)
#define SE0_RSA_OUTPUT_2_VAL_RANGE                      31:0
#define SE0_RSA_OUTPUT_2_VAL_WOFFSET                    0x0
#define SE0_RSA_OUTPUT_2_VAL_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_2_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_2_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_2_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_2_VAL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_2_VAL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_3
#define SE0_RSA_OUTPUT_3                        _MK_ADDR_CONST(0x634)
#define SE0_RSA_OUTPUT_3_SECURE                         0x0
#define SE0_RSA_OUTPUT_3_DUAL                   0x0
#define SE0_RSA_OUTPUT_3_SCR                    0
#define SE0_RSA_OUTPUT_3_WORD_COUNT                     0x1
#define SE0_RSA_OUTPUT_3_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_3_RESET_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_3_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_3_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_3_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_3_VAL_SHIFT                      _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_3_VAL_FIELD                      _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_3_VAL_SHIFT)
#define SE0_RSA_OUTPUT_3_VAL_RANGE                      31:0
#define SE0_RSA_OUTPUT_3_VAL_WOFFSET                    0x0
#define SE0_RSA_OUTPUT_3_VAL_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_3_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_3_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_3_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_3_VAL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_3_VAL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_4
#define SE0_RSA_OUTPUT_4                        _MK_ADDR_CONST(0x638)
#define SE0_RSA_OUTPUT_4_SECURE                         0x0
#define SE0_RSA_OUTPUT_4_DUAL                   0x0
#define SE0_RSA_OUTPUT_4_SCR                    0
#define SE0_RSA_OUTPUT_4_WORD_COUNT                     0x1
#define SE0_RSA_OUTPUT_4_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_4_RESET_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_4_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_4_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_4_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_4_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_4_VAL_SHIFT                      _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_4_VAL_FIELD                      _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_4_VAL_SHIFT)
#define SE0_RSA_OUTPUT_4_VAL_RANGE                      31:0
#define SE0_RSA_OUTPUT_4_VAL_WOFFSET                    0x0
#define SE0_RSA_OUTPUT_4_VAL_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_4_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_4_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_4_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_4_VAL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_4_VAL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_5
#define SE0_RSA_OUTPUT_5                        _MK_ADDR_CONST(0x63c)
#define SE0_RSA_OUTPUT_5_SECURE                         0x0
#define SE0_RSA_OUTPUT_5_DUAL                   0x0
#define SE0_RSA_OUTPUT_5_SCR                    0
#define SE0_RSA_OUTPUT_5_WORD_COUNT                     0x1
#define SE0_RSA_OUTPUT_5_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_5_RESET_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_5_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_5_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_5_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_5_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_5_VAL_SHIFT                      _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_5_VAL_FIELD                      _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_5_VAL_SHIFT)
#define SE0_RSA_OUTPUT_5_VAL_RANGE                      31:0
#define SE0_RSA_OUTPUT_5_VAL_WOFFSET                    0x0
#define SE0_RSA_OUTPUT_5_VAL_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_5_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_5_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_5_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_5_VAL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_5_VAL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_6
#define SE0_RSA_OUTPUT_6                        _MK_ADDR_CONST(0x640)
#define SE0_RSA_OUTPUT_6_SECURE                         0x0
#define SE0_RSA_OUTPUT_6_DUAL                   0x0
#define SE0_RSA_OUTPUT_6_SCR                    0
#define SE0_RSA_OUTPUT_6_WORD_COUNT                     0x1
#define SE0_RSA_OUTPUT_6_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_6_RESET_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_6_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_6_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_6_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_6_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_6_VAL_SHIFT                      _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_6_VAL_FIELD                      _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_6_VAL_SHIFT)
#define SE0_RSA_OUTPUT_6_VAL_RANGE                      31:0
#define SE0_RSA_OUTPUT_6_VAL_WOFFSET                    0x0
#define SE0_RSA_OUTPUT_6_VAL_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_6_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_6_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_6_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_6_VAL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_6_VAL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_7
#define SE0_RSA_OUTPUT_7                        _MK_ADDR_CONST(0x644)
#define SE0_RSA_OUTPUT_7_SECURE                         0x0
#define SE0_RSA_OUTPUT_7_DUAL                   0x0
#define SE0_RSA_OUTPUT_7_SCR                    0
#define SE0_RSA_OUTPUT_7_WORD_COUNT                     0x1
#define SE0_RSA_OUTPUT_7_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_7_RESET_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_7_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_7_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_7_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_7_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_7_VAL_SHIFT                      _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_7_VAL_FIELD                      _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_7_VAL_SHIFT)
#define SE0_RSA_OUTPUT_7_VAL_RANGE                      31:0
#define SE0_RSA_OUTPUT_7_VAL_WOFFSET                    0x0
#define SE0_RSA_OUTPUT_7_VAL_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_7_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_7_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_7_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_7_VAL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_7_VAL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_8
#define SE0_RSA_OUTPUT_8                        _MK_ADDR_CONST(0x648)
#define SE0_RSA_OUTPUT_8_SECURE                         0x0
#define SE0_RSA_OUTPUT_8_DUAL                   0x0
#define SE0_RSA_OUTPUT_8_SCR                    0
#define SE0_RSA_OUTPUT_8_WORD_COUNT                     0x1
#define SE0_RSA_OUTPUT_8_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_8_RESET_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_8_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_8_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_8_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_8_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_8_VAL_SHIFT                      _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_8_VAL_FIELD                      _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_8_VAL_SHIFT)
#define SE0_RSA_OUTPUT_8_VAL_RANGE                      31:0
#define SE0_RSA_OUTPUT_8_VAL_WOFFSET                    0x0
#define SE0_RSA_OUTPUT_8_VAL_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_8_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_8_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_8_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_8_VAL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_8_VAL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_9
#define SE0_RSA_OUTPUT_9                        _MK_ADDR_CONST(0x64c)
#define SE0_RSA_OUTPUT_9_SECURE                         0x0
#define SE0_RSA_OUTPUT_9_DUAL                   0x0
#define SE0_RSA_OUTPUT_9_SCR                    0
#define SE0_RSA_OUTPUT_9_WORD_COUNT                     0x1
#define SE0_RSA_OUTPUT_9_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_9_RESET_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_9_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_9_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_9_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_9_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_9_VAL_SHIFT                      _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_9_VAL_FIELD                      _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_9_VAL_SHIFT)
#define SE0_RSA_OUTPUT_9_VAL_RANGE                      31:0
#define SE0_RSA_OUTPUT_9_VAL_WOFFSET                    0x0
#define SE0_RSA_OUTPUT_9_VAL_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_9_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_9_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_9_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_9_VAL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_9_VAL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_10
#define SE0_RSA_OUTPUT_10                       _MK_ADDR_CONST(0x650)
#define SE0_RSA_OUTPUT_10_SECURE                        0x0
#define SE0_RSA_OUTPUT_10_DUAL                  0x0
#define SE0_RSA_OUTPUT_10_SCR                   0
#define SE0_RSA_OUTPUT_10_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_10_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_10_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_10_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_10_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_10_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_10_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_10_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_10_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_10_VAL_SHIFT)
#define SE0_RSA_OUTPUT_10_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_10_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_10_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_10_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_10_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_10_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_10_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_10_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_11
#define SE0_RSA_OUTPUT_11                       _MK_ADDR_CONST(0x654)
#define SE0_RSA_OUTPUT_11_SECURE                        0x0
#define SE0_RSA_OUTPUT_11_DUAL                  0x0
#define SE0_RSA_OUTPUT_11_SCR                   0
#define SE0_RSA_OUTPUT_11_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_11_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_11_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_11_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_11_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_11_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_11_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_11_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_11_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_11_VAL_SHIFT)
#define SE0_RSA_OUTPUT_11_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_11_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_11_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_11_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_11_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_11_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_11_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_11_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_12
#define SE0_RSA_OUTPUT_12                       _MK_ADDR_CONST(0x658)
#define SE0_RSA_OUTPUT_12_SECURE                        0x0
#define SE0_RSA_OUTPUT_12_DUAL                  0x0
#define SE0_RSA_OUTPUT_12_SCR                   0
#define SE0_RSA_OUTPUT_12_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_12_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_12_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_12_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_12_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_12_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_12_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_12_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_12_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_12_VAL_SHIFT)
#define SE0_RSA_OUTPUT_12_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_12_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_12_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_12_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_12_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_12_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_12_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_12_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_13
#define SE0_RSA_OUTPUT_13                       _MK_ADDR_CONST(0x65c)
#define SE0_RSA_OUTPUT_13_SECURE                        0x0
#define SE0_RSA_OUTPUT_13_DUAL                  0x0
#define SE0_RSA_OUTPUT_13_SCR                   0
#define SE0_RSA_OUTPUT_13_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_13_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_13_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_13_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_13_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_13_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_13_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_13_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_13_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_13_VAL_SHIFT)
#define SE0_RSA_OUTPUT_13_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_13_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_13_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_13_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_13_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_13_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_13_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_13_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_14
#define SE0_RSA_OUTPUT_14                       _MK_ADDR_CONST(0x660)
#define SE0_RSA_OUTPUT_14_SECURE                        0x0
#define SE0_RSA_OUTPUT_14_DUAL                  0x0
#define SE0_RSA_OUTPUT_14_SCR                   0
#define SE0_RSA_OUTPUT_14_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_14_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_14_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_14_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_14_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_14_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_14_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_14_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_14_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_14_VAL_SHIFT)
#define SE0_RSA_OUTPUT_14_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_14_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_14_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_14_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_14_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_14_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_14_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_14_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_15
#define SE0_RSA_OUTPUT_15                       _MK_ADDR_CONST(0x664)
#define SE0_RSA_OUTPUT_15_SECURE                        0x0
#define SE0_RSA_OUTPUT_15_DUAL                  0x0
#define SE0_RSA_OUTPUT_15_SCR                   0
#define SE0_RSA_OUTPUT_15_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_15_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_15_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_15_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_15_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_15_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_15_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_15_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_15_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_15_VAL_SHIFT)
#define SE0_RSA_OUTPUT_15_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_15_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_15_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_15_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_15_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_15_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_15_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_15_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_16
#define SE0_RSA_OUTPUT_16                       _MK_ADDR_CONST(0x668)
#define SE0_RSA_OUTPUT_16_SECURE                        0x0
#define SE0_RSA_OUTPUT_16_DUAL                  0x0
#define SE0_RSA_OUTPUT_16_SCR                   0
#define SE0_RSA_OUTPUT_16_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_16_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_16_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_16_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_16_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_16_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_16_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_16_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_16_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_16_VAL_SHIFT)
#define SE0_RSA_OUTPUT_16_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_16_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_16_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_16_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_16_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_16_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_16_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_16_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_17
#define SE0_RSA_OUTPUT_17                       _MK_ADDR_CONST(0x66c)
#define SE0_RSA_OUTPUT_17_SECURE                        0x0
#define SE0_RSA_OUTPUT_17_DUAL                  0x0
#define SE0_RSA_OUTPUT_17_SCR                   0
#define SE0_RSA_OUTPUT_17_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_17_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_17_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_17_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_17_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_17_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_17_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_17_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_17_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_17_VAL_SHIFT)
#define SE0_RSA_OUTPUT_17_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_17_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_17_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_17_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_17_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_17_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_17_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_17_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_18
#define SE0_RSA_OUTPUT_18                       _MK_ADDR_CONST(0x670)
#define SE0_RSA_OUTPUT_18_SECURE                        0x0
#define SE0_RSA_OUTPUT_18_DUAL                  0x0
#define SE0_RSA_OUTPUT_18_SCR                   0
#define SE0_RSA_OUTPUT_18_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_18_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_18_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_18_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_18_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_18_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_18_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_18_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_18_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_18_VAL_SHIFT)
#define SE0_RSA_OUTPUT_18_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_18_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_18_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_18_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_18_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_18_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_18_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_18_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_19
#define SE0_RSA_OUTPUT_19                       _MK_ADDR_CONST(0x674)
#define SE0_RSA_OUTPUT_19_SECURE                        0x0
#define SE0_RSA_OUTPUT_19_DUAL                  0x0
#define SE0_RSA_OUTPUT_19_SCR                   0
#define SE0_RSA_OUTPUT_19_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_19_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_19_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_19_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_19_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_19_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_19_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_19_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_19_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_19_VAL_SHIFT)
#define SE0_RSA_OUTPUT_19_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_19_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_19_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_19_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_19_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_19_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_19_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_19_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_20
#define SE0_RSA_OUTPUT_20                       _MK_ADDR_CONST(0x678)
#define SE0_RSA_OUTPUT_20_SECURE                        0x0
#define SE0_RSA_OUTPUT_20_DUAL                  0x0
#define SE0_RSA_OUTPUT_20_SCR                   0
#define SE0_RSA_OUTPUT_20_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_20_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_20_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_20_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_20_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_20_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_20_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_20_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_20_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_20_VAL_SHIFT)
#define SE0_RSA_OUTPUT_20_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_20_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_20_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_20_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_20_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_20_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_20_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_20_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_21
#define SE0_RSA_OUTPUT_21                       _MK_ADDR_CONST(0x67c)
#define SE0_RSA_OUTPUT_21_SECURE                        0x0
#define SE0_RSA_OUTPUT_21_DUAL                  0x0
#define SE0_RSA_OUTPUT_21_SCR                   0
#define SE0_RSA_OUTPUT_21_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_21_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_21_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_21_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_21_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_21_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_21_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_21_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_21_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_21_VAL_SHIFT)
#define SE0_RSA_OUTPUT_21_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_21_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_21_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_21_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_21_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_21_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_21_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_21_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_22
#define SE0_RSA_OUTPUT_22                       _MK_ADDR_CONST(0x680)
#define SE0_RSA_OUTPUT_22_SECURE                        0x0
#define SE0_RSA_OUTPUT_22_DUAL                  0x0
#define SE0_RSA_OUTPUT_22_SCR                   0
#define SE0_RSA_OUTPUT_22_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_22_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_22_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_22_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_22_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_22_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_22_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_22_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_22_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_22_VAL_SHIFT)
#define SE0_RSA_OUTPUT_22_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_22_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_22_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_22_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_22_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_22_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_22_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_22_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_23
#define SE0_RSA_OUTPUT_23                       _MK_ADDR_CONST(0x684)
#define SE0_RSA_OUTPUT_23_SECURE                        0x0
#define SE0_RSA_OUTPUT_23_DUAL                  0x0
#define SE0_RSA_OUTPUT_23_SCR                   0
#define SE0_RSA_OUTPUT_23_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_23_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_23_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_23_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_23_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_23_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_23_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_23_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_23_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_23_VAL_SHIFT)
#define SE0_RSA_OUTPUT_23_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_23_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_23_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_23_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_23_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_23_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_23_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_23_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_24
#define SE0_RSA_OUTPUT_24                       _MK_ADDR_CONST(0x688)
#define SE0_RSA_OUTPUT_24_SECURE                        0x0
#define SE0_RSA_OUTPUT_24_DUAL                  0x0
#define SE0_RSA_OUTPUT_24_SCR                   0
#define SE0_RSA_OUTPUT_24_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_24_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_24_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_24_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_24_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_24_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_24_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_24_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_24_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_24_VAL_SHIFT)
#define SE0_RSA_OUTPUT_24_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_24_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_24_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_24_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_24_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_24_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_24_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_24_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_25
#define SE0_RSA_OUTPUT_25                       _MK_ADDR_CONST(0x68c)
#define SE0_RSA_OUTPUT_25_SECURE                        0x0
#define SE0_RSA_OUTPUT_25_DUAL                  0x0
#define SE0_RSA_OUTPUT_25_SCR                   0
#define SE0_RSA_OUTPUT_25_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_25_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_25_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_25_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_25_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_25_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_25_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_25_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_25_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_25_VAL_SHIFT)
#define SE0_RSA_OUTPUT_25_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_25_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_25_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_25_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_25_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_25_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_25_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_25_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_26
#define SE0_RSA_OUTPUT_26                       _MK_ADDR_CONST(0x690)
#define SE0_RSA_OUTPUT_26_SECURE                        0x0
#define SE0_RSA_OUTPUT_26_DUAL                  0x0
#define SE0_RSA_OUTPUT_26_SCR                   0
#define SE0_RSA_OUTPUT_26_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_26_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_26_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_26_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_26_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_26_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_26_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_26_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_26_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_26_VAL_SHIFT)
#define SE0_RSA_OUTPUT_26_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_26_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_26_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_26_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_26_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_26_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_26_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_26_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_27
#define SE0_RSA_OUTPUT_27                       _MK_ADDR_CONST(0x694)
#define SE0_RSA_OUTPUT_27_SECURE                        0x0
#define SE0_RSA_OUTPUT_27_DUAL                  0x0
#define SE0_RSA_OUTPUT_27_SCR                   0
#define SE0_RSA_OUTPUT_27_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_27_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_27_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_27_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_27_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_27_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_27_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_27_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_27_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_27_VAL_SHIFT)
#define SE0_RSA_OUTPUT_27_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_27_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_27_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_27_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_27_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_27_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_27_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_27_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_28
#define SE0_RSA_OUTPUT_28                       _MK_ADDR_CONST(0x698)
#define SE0_RSA_OUTPUT_28_SECURE                        0x0
#define SE0_RSA_OUTPUT_28_DUAL                  0x0
#define SE0_RSA_OUTPUT_28_SCR                   0
#define SE0_RSA_OUTPUT_28_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_28_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_28_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_28_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_28_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_28_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_28_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_28_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_28_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_28_VAL_SHIFT)
#define SE0_RSA_OUTPUT_28_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_28_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_28_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_28_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_28_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_28_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_28_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_28_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_29
#define SE0_RSA_OUTPUT_29                       _MK_ADDR_CONST(0x69c)
#define SE0_RSA_OUTPUT_29_SECURE                        0x0
#define SE0_RSA_OUTPUT_29_DUAL                  0x0
#define SE0_RSA_OUTPUT_29_SCR                   0
#define SE0_RSA_OUTPUT_29_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_29_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_29_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_29_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_29_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_29_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_29_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_29_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_29_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_29_VAL_SHIFT)
#define SE0_RSA_OUTPUT_29_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_29_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_29_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_29_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_29_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_29_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_29_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_29_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_30
#define SE0_RSA_OUTPUT_30                       _MK_ADDR_CONST(0x6a0)
#define SE0_RSA_OUTPUT_30_SECURE                        0x0
#define SE0_RSA_OUTPUT_30_DUAL                  0x0
#define SE0_RSA_OUTPUT_30_SCR                   0
#define SE0_RSA_OUTPUT_30_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_30_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_30_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_30_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_30_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_30_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_30_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_30_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_30_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_30_VAL_SHIFT)
#define SE0_RSA_OUTPUT_30_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_30_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_30_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_30_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_30_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_30_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_30_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_30_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_31
#define SE0_RSA_OUTPUT_31                       _MK_ADDR_CONST(0x6a4)
#define SE0_RSA_OUTPUT_31_SECURE                        0x0
#define SE0_RSA_OUTPUT_31_DUAL                  0x0
#define SE0_RSA_OUTPUT_31_SCR                   0
#define SE0_RSA_OUTPUT_31_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_31_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_31_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_31_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_31_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_31_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_31_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_31_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_31_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_31_VAL_SHIFT)
#define SE0_RSA_OUTPUT_31_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_31_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_31_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_31_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_31_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_31_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_31_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_31_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_32
#define SE0_RSA_OUTPUT_32                       _MK_ADDR_CONST(0x6a8)
#define SE0_RSA_OUTPUT_32_SECURE                        0x0
#define SE0_RSA_OUTPUT_32_DUAL                  0x0
#define SE0_RSA_OUTPUT_32_SCR                   0
#define SE0_RSA_OUTPUT_32_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_32_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_32_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_32_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_32_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_32_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_32_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_32_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_32_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_32_VAL_SHIFT)
#define SE0_RSA_OUTPUT_32_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_32_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_32_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_32_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_32_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_32_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_32_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_32_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_33
#define SE0_RSA_OUTPUT_33                       _MK_ADDR_CONST(0x6ac)
#define SE0_RSA_OUTPUT_33_SECURE                        0x0
#define SE0_RSA_OUTPUT_33_DUAL                  0x0
#define SE0_RSA_OUTPUT_33_SCR                   0
#define SE0_RSA_OUTPUT_33_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_33_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_33_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_33_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_33_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_33_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_33_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_33_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_33_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_33_VAL_SHIFT)
#define SE0_RSA_OUTPUT_33_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_33_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_33_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_33_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_33_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_33_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_33_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_33_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_34
#define SE0_RSA_OUTPUT_34                       _MK_ADDR_CONST(0x6b0)
#define SE0_RSA_OUTPUT_34_SECURE                        0x0
#define SE0_RSA_OUTPUT_34_DUAL                  0x0
#define SE0_RSA_OUTPUT_34_SCR                   0
#define SE0_RSA_OUTPUT_34_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_34_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_34_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_34_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_34_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_34_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_34_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_34_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_34_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_34_VAL_SHIFT)
#define SE0_RSA_OUTPUT_34_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_34_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_34_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_34_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_34_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_34_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_34_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_34_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_35
#define SE0_RSA_OUTPUT_35                       _MK_ADDR_CONST(0x6b4)
#define SE0_RSA_OUTPUT_35_SECURE                        0x0
#define SE0_RSA_OUTPUT_35_DUAL                  0x0
#define SE0_RSA_OUTPUT_35_SCR                   0
#define SE0_RSA_OUTPUT_35_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_35_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_35_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_35_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_35_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_35_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_35_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_35_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_35_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_35_VAL_SHIFT)
#define SE0_RSA_OUTPUT_35_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_35_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_35_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_35_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_35_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_35_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_35_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_35_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_36
#define SE0_RSA_OUTPUT_36                       _MK_ADDR_CONST(0x6b8)
#define SE0_RSA_OUTPUT_36_SECURE                        0x0
#define SE0_RSA_OUTPUT_36_DUAL                  0x0
#define SE0_RSA_OUTPUT_36_SCR                   0
#define SE0_RSA_OUTPUT_36_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_36_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_36_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_36_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_36_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_36_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_36_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_36_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_36_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_36_VAL_SHIFT)
#define SE0_RSA_OUTPUT_36_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_36_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_36_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_36_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_36_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_36_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_36_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_36_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_37
#define SE0_RSA_OUTPUT_37                       _MK_ADDR_CONST(0x6bc)
#define SE0_RSA_OUTPUT_37_SECURE                        0x0
#define SE0_RSA_OUTPUT_37_DUAL                  0x0
#define SE0_RSA_OUTPUT_37_SCR                   0
#define SE0_RSA_OUTPUT_37_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_37_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_37_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_37_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_37_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_37_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_37_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_37_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_37_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_37_VAL_SHIFT)
#define SE0_RSA_OUTPUT_37_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_37_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_37_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_37_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_37_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_37_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_37_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_37_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_38
#define SE0_RSA_OUTPUT_38                       _MK_ADDR_CONST(0x6c0)
#define SE0_RSA_OUTPUT_38_SECURE                        0x0
#define SE0_RSA_OUTPUT_38_DUAL                  0x0
#define SE0_RSA_OUTPUT_38_SCR                   0
#define SE0_RSA_OUTPUT_38_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_38_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_38_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_38_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_38_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_38_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_38_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_38_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_38_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_38_VAL_SHIFT)
#define SE0_RSA_OUTPUT_38_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_38_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_38_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_38_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_38_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_38_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_38_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_38_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_39
#define SE0_RSA_OUTPUT_39                       _MK_ADDR_CONST(0x6c4)
#define SE0_RSA_OUTPUT_39_SECURE                        0x0
#define SE0_RSA_OUTPUT_39_DUAL                  0x0
#define SE0_RSA_OUTPUT_39_SCR                   0
#define SE0_RSA_OUTPUT_39_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_39_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_39_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_39_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_39_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_39_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_39_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_39_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_39_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_39_VAL_SHIFT)
#define SE0_RSA_OUTPUT_39_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_39_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_39_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_39_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_39_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_39_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_39_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_39_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_40
#define SE0_RSA_OUTPUT_40                       _MK_ADDR_CONST(0x6c8)
#define SE0_RSA_OUTPUT_40_SECURE                        0x0
#define SE0_RSA_OUTPUT_40_DUAL                  0x0
#define SE0_RSA_OUTPUT_40_SCR                   0
#define SE0_RSA_OUTPUT_40_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_40_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_40_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_40_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_40_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_40_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_40_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_40_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_40_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_40_VAL_SHIFT)
#define SE0_RSA_OUTPUT_40_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_40_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_40_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_40_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_40_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_40_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_40_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_40_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_41
#define SE0_RSA_OUTPUT_41                       _MK_ADDR_CONST(0x6cc)
#define SE0_RSA_OUTPUT_41_SECURE                        0x0
#define SE0_RSA_OUTPUT_41_DUAL                  0x0
#define SE0_RSA_OUTPUT_41_SCR                   0
#define SE0_RSA_OUTPUT_41_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_41_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_41_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_41_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_41_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_41_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_41_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_41_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_41_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_41_VAL_SHIFT)
#define SE0_RSA_OUTPUT_41_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_41_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_41_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_41_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_41_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_41_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_41_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_41_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_42
#define SE0_RSA_OUTPUT_42                       _MK_ADDR_CONST(0x6d0)
#define SE0_RSA_OUTPUT_42_SECURE                        0x0
#define SE0_RSA_OUTPUT_42_DUAL                  0x0
#define SE0_RSA_OUTPUT_42_SCR                   0
#define SE0_RSA_OUTPUT_42_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_42_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_42_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_42_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_42_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_42_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_42_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_42_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_42_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_42_VAL_SHIFT)
#define SE0_RSA_OUTPUT_42_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_42_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_42_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_42_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_42_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_42_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_42_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_42_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_43
#define SE0_RSA_OUTPUT_43                       _MK_ADDR_CONST(0x6d4)
#define SE0_RSA_OUTPUT_43_SECURE                        0x0
#define SE0_RSA_OUTPUT_43_DUAL                  0x0
#define SE0_RSA_OUTPUT_43_SCR                   0
#define SE0_RSA_OUTPUT_43_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_43_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_43_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_43_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_43_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_43_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_43_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_43_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_43_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_43_VAL_SHIFT)
#define SE0_RSA_OUTPUT_43_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_43_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_43_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_43_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_43_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_43_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_43_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_43_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_44
#define SE0_RSA_OUTPUT_44                       _MK_ADDR_CONST(0x6d8)
#define SE0_RSA_OUTPUT_44_SECURE                        0x0
#define SE0_RSA_OUTPUT_44_DUAL                  0x0
#define SE0_RSA_OUTPUT_44_SCR                   0
#define SE0_RSA_OUTPUT_44_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_44_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_44_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_44_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_44_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_44_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_44_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_44_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_44_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_44_VAL_SHIFT)
#define SE0_RSA_OUTPUT_44_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_44_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_44_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_44_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_44_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_44_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_44_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_44_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_45
#define SE0_RSA_OUTPUT_45                       _MK_ADDR_CONST(0x6dc)
#define SE0_RSA_OUTPUT_45_SECURE                        0x0
#define SE0_RSA_OUTPUT_45_DUAL                  0x0
#define SE0_RSA_OUTPUT_45_SCR                   0
#define SE0_RSA_OUTPUT_45_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_45_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_45_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_45_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_45_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_45_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_45_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_45_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_45_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_45_VAL_SHIFT)
#define SE0_RSA_OUTPUT_45_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_45_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_45_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_45_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_45_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_45_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_45_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_45_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_46
#define SE0_RSA_OUTPUT_46                       _MK_ADDR_CONST(0x6e0)
#define SE0_RSA_OUTPUT_46_SECURE                        0x0
#define SE0_RSA_OUTPUT_46_DUAL                  0x0
#define SE0_RSA_OUTPUT_46_SCR                   0
#define SE0_RSA_OUTPUT_46_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_46_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_46_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_46_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_46_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_46_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_46_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_46_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_46_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_46_VAL_SHIFT)
#define SE0_RSA_OUTPUT_46_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_46_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_46_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_46_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_46_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_46_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_46_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_46_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_47
#define SE0_RSA_OUTPUT_47                       _MK_ADDR_CONST(0x6e4)
#define SE0_RSA_OUTPUT_47_SECURE                        0x0
#define SE0_RSA_OUTPUT_47_DUAL                  0x0
#define SE0_RSA_OUTPUT_47_SCR                   0
#define SE0_RSA_OUTPUT_47_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_47_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_47_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_47_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_47_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_47_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_47_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_47_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_47_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_47_VAL_SHIFT)
#define SE0_RSA_OUTPUT_47_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_47_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_47_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_47_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_47_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_47_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_47_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_47_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_48
#define SE0_RSA_OUTPUT_48                       _MK_ADDR_CONST(0x6e8)
#define SE0_RSA_OUTPUT_48_SECURE                        0x0
#define SE0_RSA_OUTPUT_48_DUAL                  0x0
#define SE0_RSA_OUTPUT_48_SCR                   0
#define SE0_RSA_OUTPUT_48_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_48_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_48_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_48_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_48_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_48_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_48_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_48_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_48_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_48_VAL_SHIFT)
#define SE0_RSA_OUTPUT_48_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_48_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_48_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_48_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_48_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_48_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_48_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_48_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_49
#define SE0_RSA_OUTPUT_49                       _MK_ADDR_CONST(0x6ec)
#define SE0_RSA_OUTPUT_49_SECURE                        0x0
#define SE0_RSA_OUTPUT_49_DUAL                  0x0
#define SE0_RSA_OUTPUT_49_SCR                   0
#define SE0_RSA_OUTPUT_49_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_49_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_49_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_49_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_49_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_49_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_49_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_49_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_49_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_49_VAL_SHIFT)
#define SE0_RSA_OUTPUT_49_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_49_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_49_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_49_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_49_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_49_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_49_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_49_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_50
#define SE0_RSA_OUTPUT_50                       _MK_ADDR_CONST(0x6f0)
#define SE0_RSA_OUTPUT_50_SECURE                        0x0
#define SE0_RSA_OUTPUT_50_DUAL                  0x0
#define SE0_RSA_OUTPUT_50_SCR                   0
#define SE0_RSA_OUTPUT_50_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_50_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_50_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_50_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_50_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_50_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_50_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_50_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_50_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_50_VAL_SHIFT)
#define SE0_RSA_OUTPUT_50_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_50_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_50_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_50_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_50_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_50_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_50_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_50_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_51
#define SE0_RSA_OUTPUT_51                       _MK_ADDR_CONST(0x6f4)
#define SE0_RSA_OUTPUT_51_SECURE                        0x0
#define SE0_RSA_OUTPUT_51_DUAL                  0x0
#define SE0_RSA_OUTPUT_51_SCR                   0
#define SE0_RSA_OUTPUT_51_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_51_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_51_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_51_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_51_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_51_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_51_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_51_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_51_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_51_VAL_SHIFT)
#define SE0_RSA_OUTPUT_51_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_51_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_51_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_51_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_51_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_51_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_51_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_51_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_52
#define SE0_RSA_OUTPUT_52                       _MK_ADDR_CONST(0x6f8)
#define SE0_RSA_OUTPUT_52_SECURE                        0x0
#define SE0_RSA_OUTPUT_52_DUAL                  0x0
#define SE0_RSA_OUTPUT_52_SCR                   0
#define SE0_RSA_OUTPUT_52_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_52_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_52_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_52_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_52_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_52_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_52_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_52_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_52_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_52_VAL_SHIFT)
#define SE0_RSA_OUTPUT_52_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_52_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_52_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_52_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_52_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_52_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_52_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_52_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_53
#define SE0_RSA_OUTPUT_53                       _MK_ADDR_CONST(0x6fc)
#define SE0_RSA_OUTPUT_53_SECURE                        0x0
#define SE0_RSA_OUTPUT_53_DUAL                  0x0
#define SE0_RSA_OUTPUT_53_SCR                   0
#define SE0_RSA_OUTPUT_53_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_53_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_53_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_53_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_53_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_53_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_53_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_53_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_53_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_53_VAL_SHIFT)
#define SE0_RSA_OUTPUT_53_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_53_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_53_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_53_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_53_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_53_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_53_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_53_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_54
#define SE0_RSA_OUTPUT_54                       _MK_ADDR_CONST(0x700)
#define SE0_RSA_OUTPUT_54_SECURE                        0x0
#define SE0_RSA_OUTPUT_54_DUAL                  0x0
#define SE0_RSA_OUTPUT_54_SCR                   0
#define SE0_RSA_OUTPUT_54_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_54_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_54_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_54_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_54_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_54_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_54_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_54_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_54_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_54_VAL_SHIFT)
#define SE0_RSA_OUTPUT_54_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_54_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_54_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_54_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_54_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_54_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_54_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_54_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_55
#define SE0_RSA_OUTPUT_55                       _MK_ADDR_CONST(0x704)
#define SE0_RSA_OUTPUT_55_SECURE                        0x0
#define SE0_RSA_OUTPUT_55_DUAL                  0x0
#define SE0_RSA_OUTPUT_55_SCR                   0
#define SE0_RSA_OUTPUT_55_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_55_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_55_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_55_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_55_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_55_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_55_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_55_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_55_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_55_VAL_SHIFT)
#define SE0_RSA_OUTPUT_55_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_55_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_55_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_55_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_55_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_55_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_55_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_55_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_56
#define SE0_RSA_OUTPUT_56                       _MK_ADDR_CONST(0x708)
#define SE0_RSA_OUTPUT_56_SECURE                        0x0
#define SE0_RSA_OUTPUT_56_DUAL                  0x0
#define SE0_RSA_OUTPUT_56_SCR                   0
#define SE0_RSA_OUTPUT_56_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_56_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_56_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_56_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_56_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_56_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_56_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_56_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_56_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_56_VAL_SHIFT)
#define SE0_RSA_OUTPUT_56_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_56_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_56_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_56_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_56_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_56_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_56_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_56_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_57
#define SE0_RSA_OUTPUT_57                       _MK_ADDR_CONST(0x70c)
#define SE0_RSA_OUTPUT_57_SECURE                        0x0
#define SE0_RSA_OUTPUT_57_DUAL                  0x0
#define SE0_RSA_OUTPUT_57_SCR                   0
#define SE0_RSA_OUTPUT_57_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_57_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_57_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_57_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_57_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_57_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_57_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_57_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_57_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_57_VAL_SHIFT)
#define SE0_RSA_OUTPUT_57_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_57_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_57_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_57_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_57_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_57_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_57_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_57_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_58
#define SE0_RSA_OUTPUT_58                       _MK_ADDR_CONST(0x710)
#define SE0_RSA_OUTPUT_58_SECURE                        0x0
#define SE0_RSA_OUTPUT_58_DUAL                  0x0
#define SE0_RSA_OUTPUT_58_SCR                   0
#define SE0_RSA_OUTPUT_58_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_58_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_58_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_58_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_58_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_58_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_58_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_58_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_58_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_58_VAL_SHIFT)
#define SE0_RSA_OUTPUT_58_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_58_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_58_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_58_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_58_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_58_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_58_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_58_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_59
#define SE0_RSA_OUTPUT_59                       _MK_ADDR_CONST(0x714)
#define SE0_RSA_OUTPUT_59_SECURE                        0x0
#define SE0_RSA_OUTPUT_59_DUAL                  0x0
#define SE0_RSA_OUTPUT_59_SCR                   0
#define SE0_RSA_OUTPUT_59_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_59_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_59_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_59_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_59_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_59_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_59_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_59_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_59_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_59_VAL_SHIFT)
#define SE0_RSA_OUTPUT_59_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_59_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_59_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_59_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_59_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_59_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_59_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_59_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_60
#define SE0_RSA_OUTPUT_60                       _MK_ADDR_CONST(0x718)
#define SE0_RSA_OUTPUT_60_SECURE                        0x0
#define SE0_RSA_OUTPUT_60_DUAL                  0x0
#define SE0_RSA_OUTPUT_60_SCR                   0
#define SE0_RSA_OUTPUT_60_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_60_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_60_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_60_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_60_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_60_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_60_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_60_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_60_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_60_VAL_SHIFT)
#define SE0_RSA_OUTPUT_60_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_60_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_60_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_60_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_60_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_60_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_60_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_60_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_61
#define SE0_RSA_OUTPUT_61                       _MK_ADDR_CONST(0x71c)
#define SE0_RSA_OUTPUT_61_SECURE                        0x0
#define SE0_RSA_OUTPUT_61_DUAL                  0x0
#define SE0_RSA_OUTPUT_61_SCR                   0
#define SE0_RSA_OUTPUT_61_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_61_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_61_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_61_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_61_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_61_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_61_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_61_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_61_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_61_VAL_SHIFT)
#define SE0_RSA_OUTPUT_61_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_61_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_61_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_61_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_61_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_61_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_61_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_61_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_62
#define SE0_RSA_OUTPUT_62                       _MK_ADDR_CONST(0x720)
#define SE0_RSA_OUTPUT_62_SECURE                        0x0
#define SE0_RSA_OUTPUT_62_DUAL                  0x0
#define SE0_RSA_OUTPUT_62_SCR                   0
#define SE0_RSA_OUTPUT_62_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_62_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_62_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_62_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_62_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_62_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_62_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_62_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_62_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_62_VAL_SHIFT)
#define SE0_RSA_OUTPUT_62_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_62_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_62_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_62_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_62_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_62_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_62_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_62_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_OUTPUT_63
#define SE0_RSA_OUTPUT_63                       _MK_ADDR_CONST(0x724)
#define SE0_RSA_OUTPUT_63_SECURE                        0x0
#define SE0_RSA_OUTPUT_63_DUAL                  0x0
#define SE0_RSA_OUTPUT_63_SCR                   0
#define SE0_RSA_OUTPUT_63_WORD_COUNT                    0x1
#define SE0_RSA_OUTPUT_63_RESET_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_63_RESET_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_63_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_63_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_63_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_OUTPUT_63_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_63_VAL_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_OUTPUT_63_VAL_FIELD                     _MK_FIELD_CONST(0xffffffff, SE0_RSA_OUTPUT_63_VAL_SHIFT)
#define SE0_RSA_OUTPUT_63_VAL_RANGE                     31:0
#define SE0_RSA_OUTPUT_63_VAL_WOFFSET                   0x0
#define SE0_RSA_OUTPUT_63_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_63_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_63_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_63_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_63_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_OUTPUT_63_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

// Register SE0_RSA_SECURITY_PERKEY_0
#define SE0_RSA_SECURITY_PERKEY_0                       _MK_ADDR_CONST(0x728)
#define SE0_RSA_SECURITY_PERKEY_0_SECURE                        0x0
#define SE0_RSA_SECURITY_PERKEY_0_DUAL                  0x0
#define SE0_RSA_SECURITY_PERKEY_0_SCR                   0
#define SE0_RSA_SECURITY_PERKEY_0_WORD_COUNT                    0x1
#define SE0_RSA_SECURITY_PERKEY_0_RESET_VAL                     _MK_MASK_CONST(0xf)
#define SE0_RSA_SECURITY_PERKEY_0_RESET_MASK                    _MK_MASK_CONST(0xf)
#define SE0_RSA_SECURITY_PERKEY_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_SECURITY_PERKEY_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_SECURITY_PERKEY_0_READ_MASK                     _MK_MASK_CONST(0xf)
#define SE0_RSA_SECURITY_PERKEY_0_WRITE_MASK                    _MK_MASK_CONST(0xf)
#define SE0_RSA_SECURITY_PERKEY_0_OWNER_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_RSA_SECURITY_PERKEY_0_OWNER_FIELD                   _MK_FIELD_CONST(0xf, SE0_RSA_SECURITY_PERKEY_0_OWNER_SHIFT)
#define SE0_RSA_SECURITY_PERKEY_0_OWNER_RANGE                   3:0
#define SE0_RSA_SECURITY_PERKEY_0_OWNER_WOFFSET                 0x0
#define SE0_RSA_SECURITY_PERKEY_0_OWNER_DEFAULT                 _MK_MASK_CONST(0xf)
#define SE0_RSA_SECURITY_PERKEY_0_OWNER_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define SE0_RSA_SECURITY_PERKEY_0_OWNER_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_RSA_SECURITY_PERKEY_0_OWNER_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_RSA_SECURITY_PERKEY_0_OWNER_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_RSA_SECURITY_PERKEY_0_OWNER_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_RSA_SECURITY_PERKEY_0_OWNER_INIT_ENUM                       ALL
#define SE0_RSA_SECURITY_PERKEY_0_OWNER_ALL                     _MK_ENUM_CONST(15)
#define SE0_RSA_SECURITY_PERKEY_0_OWNER_OEM                     _MK_ENUM_CONST(8)
#define SE0_RSA_SECURITY_PERKEY_0_OWNER_TZ                      _MK_ENUM_CONST(2)
#define SE0_RSA_SECURITY_PERKEY_0_OWNER_NV                      _MK_ENUM_CONST(4)

// Register SE0_RSA_SECURITY_PERKEY
#define SE0_RSA_SECURITY_PERKEY                 _MK_ADDR_CONST(0x728)
#define SE0_RSA_SECURITY_PERKEY_SECURE                  0x0
#define SE0_RSA_SECURITY_PERKEY_DUAL                    0x0
#define SE0_RSA_SECURITY_PERKEY_SCR                     0
#define SE0_RSA_SECURITY_PERKEY_WORD_COUNT                      0x1
#define SE0_RSA_SECURITY_PERKEY_RESET_VAL                       _MK_MASK_CONST(0xf)
#define SE0_RSA_SECURITY_PERKEY_RESET_MASK                      _MK_MASK_CONST(0xf)
#define SE0_RSA_SECURITY_PERKEY_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SE0_RSA_SECURITY_PERKEY_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SE0_RSA_SECURITY_PERKEY_READ_MASK                       _MK_MASK_CONST(0xf)
#define SE0_RSA_SECURITY_PERKEY_WRITE_MASK                      _MK_MASK_CONST(0xf)
#define SE0_RSA_SECURITY_PERKEY_OWNER_SHIFT                     _MK_SHIFT_CONST(0)
#define SE0_RSA_SECURITY_PERKEY_OWNER_FIELD                     _MK_FIELD_CONST(0xf, SE0_RSA_SECURITY_PERKEY_OWNER_SHIFT)
#define SE0_RSA_SECURITY_PERKEY_OWNER_RANGE                     3:0
#define SE0_RSA_SECURITY_PERKEY_OWNER_WOFFSET                   0x0
#define SE0_RSA_SECURITY_PERKEY_OWNER_DEFAULT                   _MK_MASK_CONST(0xf)
#define SE0_RSA_SECURITY_PERKEY_OWNER_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define SE0_RSA_SECURITY_PERKEY_OWNER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_SECURITY_PERKEY_OWNER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_SECURITY_PERKEY_OWNER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_SECURITY_PERKEY_OWNER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_RSA_SECURITY_PERKEY_OWNER_INIT_ENUM                 ALL
#define SE0_RSA_SECURITY_PERKEY_OWNER_ALL                       _MK_ENUM_CONST(15)
#define SE0_RSA_SECURITY_PERKEY_OWNER_OEM                       _MK_ENUM_CONST(8)
#define SE0_RSA_SECURITY_PERKEY_OWNER_TZ                        _MK_ENUM_CONST(2)
#define SE0_RSA_SECURITY_PERKEY_OWNER_NV                        _MK_ENUM_CONST(4)

// Register SE0_RSA_SECURITY_PERKEY_1
#define SE0_RSA_SECURITY_PERKEY_1                       _MK_ADDR_CONST(0x72c)
#define SE0_RSA_SECURITY_PERKEY_1_SECURE                        0x0
#define SE0_RSA_SECURITY_PERKEY_1_DUAL                  0x0
#define SE0_RSA_SECURITY_PERKEY_1_SCR                   0
#define SE0_RSA_SECURITY_PERKEY_1_WORD_COUNT                    0x1
#define SE0_RSA_SECURITY_PERKEY_1_RESET_VAL                     _MK_MASK_CONST(0xf)
#define SE0_RSA_SECURITY_PERKEY_1_RESET_MASK                    _MK_MASK_CONST(0xf)
#define SE0_RSA_SECURITY_PERKEY_1_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_SECURITY_PERKEY_1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_SECURITY_PERKEY_1_READ_MASK                     _MK_MASK_CONST(0xf)
#define SE0_RSA_SECURITY_PERKEY_1_WRITE_MASK                    _MK_MASK_CONST(0xf)
#define SE0_RSA_SECURITY_PERKEY_1_OWNER_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_RSA_SECURITY_PERKEY_1_OWNER_FIELD                   _MK_FIELD_CONST(0xf, SE0_RSA_SECURITY_PERKEY_1_OWNER_SHIFT)
#define SE0_RSA_SECURITY_PERKEY_1_OWNER_RANGE                   3:0
#define SE0_RSA_SECURITY_PERKEY_1_OWNER_WOFFSET                 0x0
#define SE0_RSA_SECURITY_PERKEY_1_OWNER_DEFAULT                 _MK_MASK_CONST(0xf)
#define SE0_RSA_SECURITY_PERKEY_1_OWNER_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define SE0_RSA_SECURITY_PERKEY_1_OWNER_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_RSA_SECURITY_PERKEY_1_OWNER_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_RSA_SECURITY_PERKEY_1_OWNER_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_RSA_SECURITY_PERKEY_1_OWNER_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_RSA_SECURITY_PERKEY_1_OWNER_INIT_ENUM                       ALL
#define SE0_RSA_SECURITY_PERKEY_1_OWNER_ALL                     _MK_ENUM_CONST(15)
#define SE0_RSA_SECURITY_PERKEY_1_OWNER_OEM                     _MK_ENUM_CONST(8)
#define SE0_RSA_SECURITY_PERKEY_1_OWNER_TZ                      _MK_ENUM_CONST(2)
#define SE0_RSA_SECURITY_PERKEY_1_OWNER_NV                      _MK_ENUM_CONST(4)

// Register SE0_RSA_SECURITY_PERKEY_2
#define SE0_RSA_SECURITY_PERKEY_2                       _MK_ADDR_CONST(0x730)
#define SE0_RSA_SECURITY_PERKEY_2_SECURE                        0x0
#define SE0_RSA_SECURITY_PERKEY_2_DUAL                  0x0
#define SE0_RSA_SECURITY_PERKEY_2_SCR                   0
#define SE0_RSA_SECURITY_PERKEY_2_WORD_COUNT                    0x1
#define SE0_RSA_SECURITY_PERKEY_2_RESET_VAL                     _MK_MASK_CONST(0xf)
#define SE0_RSA_SECURITY_PERKEY_2_RESET_MASK                    _MK_MASK_CONST(0xf)
#define SE0_RSA_SECURITY_PERKEY_2_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_SECURITY_PERKEY_2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_SECURITY_PERKEY_2_READ_MASK                     _MK_MASK_CONST(0xf)
#define SE0_RSA_SECURITY_PERKEY_2_WRITE_MASK                    _MK_MASK_CONST(0xf)
#define SE0_RSA_SECURITY_PERKEY_2_OWNER_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_RSA_SECURITY_PERKEY_2_OWNER_FIELD                   _MK_FIELD_CONST(0xf, SE0_RSA_SECURITY_PERKEY_2_OWNER_SHIFT)
#define SE0_RSA_SECURITY_PERKEY_2_OWNER_RANGE                   3:0
#define SE0_RSA_SECURITY_PERKEY_2_OWNER_WOFFSET                 0x0
#define SE0_RSA_SECURITY_PERKEY_2_OWNER_DEFAULT                 _MK_MASK_CONST(0xf)
#define SE0_RSA_SECURITY_PERKEY_2_OWNER_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define SE0_RSA_SECURITY_PERKEY_2_OWNER_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_RSA_SECURITY_PERKEY_2_OWNER_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_RSA_SECURITY_PERKEY_2_OWNER_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_RSA_SECURITY_PERKEY_2_OWNER_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_RSA_SECURITY_PERKEY_2_OWNER_INIT_ENUM                       ALL
#define SE0_RSA_SECURITY_PERKEY_2_OWNER_ALL                     _MK_ENUM_CONST(15)
#define SE0_RSA_SECURITY_PERKEY_2_OWNER_OEM                     _MK_ENUM_CONST(8)
#define SE0_RSA_SECURITY_PERKEY_2_OWNER_TZ                      _MK_ENUM_CONST(2)
#define SE0_RSA_SECURITY_PERKEY_2_OWNER_NV                      _MK_ENUM_CONST(4)

// Register SE0_RSA_SECURITY_PERKEY_3
#define SE0_RSA_SECURITY_PERKEY_3                       _MK_ADDR_CONST(0x734)
#define SE0_RSA_SECURITY_PERKEY_3_SECURE                        0x0
#define SE0_RSA_SECURITY_PERKEY_3_DUAL                  0x0
#define SE0_RSA_SECURITY_PERKEY_3_SCR                   0
#define SE0_RSA_SECURITY_PERKEY_3_WORD_COUNT                    0x1
#define SE0_RSA_SECURITY_PERKEY_3_RESET_VAL                     _MK_MASK_CONST(0xf)
#define SE0_RSA_SECURITY_PERKEY_3_RESET_MASK                    _MK_MASK_CONST(0xf)
#define SE0_RSA_SECURITY_PERKEY_3_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_SECURITY_PERKEY_3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_SECURITY_PERKEY_3_READ_MASK                     _MK_MASK_CONST(0xf)
#define SE0_RSA_SECURITY_PERKEY_3_WRITE_MASK                    _MK_MASK_CONST(0xf)
#define SE0_RSA_SECURITY_PERKEY_3_OWNER_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_RSA_SECURITY_PERKEY_3_OWNER_FIELD                   _MK_FIELD_CONST(0xf, SE0_RSA_SECURITY_PERKEY_3_OWNER_SHIFT)
#define SE0_RSA_SECURITY_PERKEY_3_OWNER_RANGE                   3:0
#define SE0_RSA_SECURITY_PERKEY_3_OWNER_WOFFSET                 0x0
#define SE0_RSA_SECURITY_PERKEY_3_OWNER_DEFAULT                 _MK_MASK_CONST(0xf)
#define SE0_RSA_SECURITY_PERKEY_3_OWNER_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define SE0_RSA_SECURITY_PERKEY_3_OWNER_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_RSA_SECURITY_PERKEY_3_OWNER_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_RSA_SECURITY_PERKEY_3_OWNER_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_RSA_SECURITY_PERKEY_3_OWNER_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_RSA_SECURITY_PERKEY_3_OWNER_INIT_ENUM                       ALL
#define SE0_RSA_SECURITY_PERKEY_3_OWNER_ALL                     _MK_ENUM_CONST(15)
#define SE0_RSA_SECURITY_PERKEY_3_OWNER_OEM                     _MK_ENUM_CONST(8)
#define SE0_RSA_SECURITY_PERKEY_3_OWNER_TZ                      _MK_ENUM_CONST(2)
#define SE0_RSA_SECURITY_PERKEY_3_OWNER_NV                      _MK_ENUM_CONST(4)

// Register SE0_RSA_KEYTABLE_ACCESS_0
#define SE0_RSA_KEYTABLE_ACCESS_0                       _MK_ADDR_CONST(0x738)
#define SE0_RSA_KEYTABLE_ACCESS_0_SECURE                        0x0
#define SE0_RSA_KEYTABLE_ACCESS_0_DUAL                  0x0
#define SE0_RSA_KEYTABLE_ACCESS_0_SCR                   0
#define SE0_RSA_KEYTABLE_ACCESS_0_WORD_COUNT                    0x1
#define SE0_RSA_KEYTABLE_ACCESS_0_RESET_VAL                     _MK_MASK_CONST(0x7)
#define SE0_RSA_KEYTABLE_ACCESS_0_RESET_MASK                    _MK_MASK_CONST(0x7)
#define SE0_RSA_KEYTABLE_ACCESS_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_0_READ_MASK                     _MK_MASK_CONST(0x7)
#define SE0_RSA_KEYTABLE_ACCESS_0_WRITE_MASK                    _MK_MASK_CONST(0x7)
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYUSE_SHIFT                  _MK_SHIFT_CONST(2)
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYUSE_FIELD                  _MK_FIELD_CONST(0x1, SE0_RSA_KEYTABLE_ACCESS_0_KEYUSE_SHIFT)
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYUSE_RANGE                  2:2
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYUSE_WOFFSET                        0x0
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYUSE_DEFAULT                        _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYUSE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYUSE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYUSE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYUSE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYUSE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYUSE_INIT_ENUM                      ENABLE
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYUSE_DISABLE                        _MK_ENUM_CONST(0)
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYUSE_ENABLE                 _MK_ENUM_CONST(1)

#define SE0_RSA_KEYTABLE_ACCESS_0_KEYUPDATE_SHIFT                       _MK_SHIFT_CONST(1)
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_RSA_KEYTABLE_ACCESS_0_KEYUPDATE_SHIFT)
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYUPDATE_RANGE                       1:1
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYUPDATE_WOFFSET                     0x0
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYUPDATE_INIT_ENUM                   ENABLE
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_RSA_KEYTABLE_ACCESS_0_KEYREAD_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_RSA_KEYTABLE_ACCESS_0_KEYREAD_SHIFT)
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYREAD_RANGE                 0:0
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYREAD_WOFFSET                       0x0
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYREAD_INIT_ENUM                     ENABLE
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_RSA_KEYTABLE_ACCESS_0_KEYREAD_ENABLE                        _MK_ENUM_CONST(1)

// Register SE0_RSA_KEYTABLE_ACCESS
#define SE0_RSA_KEYTABLE_ACCESS                 _MK_ADDR_CONST(0x738)
#define SE0_RSA_KEYTABLE_ACCESS_SECURE                  0x0
#define SE0_RSA_KEYTABLE_ACCESS_DUAL                    0x0
#define SE0_RSA_KEYTABLE_ACCESS_SCR                     0
#define SE0_RSA_KEYTABLE_ACCESS_WORD_COUNT                      0x1
#define SE0_RSA_KEYTABLE_ACCESS_RESET_VAL                       _MK_MASK_CONST(0x7)
#define SE0_RSA_KEYTABLE_ACCESS_RESET_MASK                      _MK_MASK_CONST(0x7)
#define SE0_RSA_KEYTABLE_ACCESS_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_READ_MASK                       _MK_MASK_CONST(0x7)
#define SE0_RSA_KEYTABLE_ACCESS_WRITE_MASK                      _MK_MASK_CONST(0x7)
#define SE0_RSA_KEYTABLE_ACCESS_KEYUSE_SHIFT                    _MK_SHIFT_CONST(2)
#define SE0_RSA_KEYTABLE_ACCESS_KEYUSE_FIELD                    _MK_FIELD_CONST(0x1, SE0_RSA_KEYTABLE_ACCESS_KEYUSE_SHIFT)
#define SE0_RSA_KEYTABLE_ACCESS_KEYUSE_RANGE                    2:2
#define SE0_RSA_KEYTABLE_ACCESS_KEYUSE_WOFFSET                  0x0
#define SE0_RSA_KEYTABLE_ACCESS_KEYUSE_DEFAULT                  _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_KEYUSE_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_KEYUSE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_KEYUSE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_KEYUSE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_KEYUSE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_KEYUSE_INIT_ENUM                        ENABLE
#define SE0_RSA_KEYTABLE_ACCESS_KEYUSE_DISABLE                  _MK_ENUM_CONST(0)
#define SE0_RSA_KEYTABLE_ACCESS_KEYUSE_ENABLE                   _MK_ENUM_CONST(1)

#define SE0_RSA_KEYTABLE_ACCESS_KEYUPDATE_SHIFT                 _MK_SHIFT_CONST(1)
#define SE0_RSA_KEYTABLE_ACCESS_KEYUPDATE_FIELD                 _MK_FIELD_CONST(0x1, SE0_RSA_KEYTABLE_ACCESS_KEYUPDATE_SHIFT)
#define SE0_RSA_KEYTABLE_ACCESS_KEYUPDATE_RANGE                 1:1
#define SE0_RSA_KEYTABLE_ACCESS_KEYUPDATE_WOFFSET                       0x0
#define SE0_RSA_KEYTABLE_ACCESS_KEYUPDATE_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_KEYUPDATE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_KEYUPDATE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_KEYUPDATE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_KEYUPDATE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_KEYUPDATE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_KEYUPDATE_INIT_ENUM                     ENABLE
#define SE0_RSA_KEYTABLE_ACCESS_KEYUPDATE_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_RSA_KEYTABLE_ACCESS_KEYUPDATE_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_RSA_KEYTABLE_ACCESS_KEYREAD_SHIFT                   _MK_SHIFT_CONST(0)
#define SE0_RSA_KEYTABLE_ACCESS_KEYREAD_FIELD                   _MK_FIELD_CONST(0x1, SE0_RSA_KEYTABLE_ACCESS_KEYREAD_SHIFT)
#define SE0_RSA_KEYTABLE_ACCESS_KEYREAD_RANGE                   0:0
#define SE0_RSA_KEYTABLE_ACCESS_KEYREAD_WOFFSET                 0x0
#define SE0_RSA_KEYTABLE_ACCESS_KEYREAD_DEFAULT                 _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_KEYREAD_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_KEYREAD_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_KEYREAD_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_KEYREAD_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_KEYREAD_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_KEYREAD_INIT_ENUM                       ENABLE
#define SE0_RSA_KEYTABLE_ACCESS_KEYREAD_DISABLE                 _MK_ENUM_CONST(0)
#define SE0_RSA_KEYTABLE_ACCESS_KEYREAD_ENABLE                  _MK_ENUM_CONST(1)

// Register SE0_RSA_KEYTABLE_ACCESS_1
#define SE0_RSA_KEYTABLE_ACCESS_1                       _MK_ADDR_CONST(0x73c)
#define SE0_RSA_KEYTABLE_ACCESS_1_SECURE                        0x0
#define SE0_RSA_KEYTABLE_ACCESS_1_DUAL                  0x0
#define SE0_RSA_KEYTABLE_ACCESS_1_SCR                   0
#define SE0_RSA_KEYTABLE_ACCESS_1_WORD_COUNT                    0x1
#define SE0_RSA_KEYTABLE_ACCESS_1_RESET_VAL                     _MK_MASK_CONST(0x7)
#define SE0_RSA_KEYTABLE_ACCESS_1_RESET_MASK                    _MK_MASK_CONST(0x7)
#define SE0_RSA_KEYTABLE_ACCESS_1_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_1_READ_MASK                     _MK_MASK_CONST(0x7)
#define SE0_RSA_KEYTABLE_ACCESS_1_WRITE_MASK                    _MK_MASK_CONST(0x7)
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYUSE_SHIFT                  _MK_SHIFT_CONST(2)
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYUSE_FIELD                  _MK_FIELD_CONST(0x1, SE0_RSA_KEYTABLE_ACCESS_1_KEYUSE_SHIFT)
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYUSE_RANGE                  2:2
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYUSE_WOFFSET                        0x0
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYUSE_DEFAULT                        _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYUSE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYUSE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYUSE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYUSE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYUSE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYUSE_INIT_ENUM                      ENABLE
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYUSE_DISABLE                        _MK_ENUM_CONST(0)
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYUSE_ENABLE                 _MK_ENUM_CONST(1)

#define SE0_RSA_KEYTABLE_ACCESS_1_KEYUPDATE_SHIFT                       _MK_SHIFT_CONST(1)
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_RSA_KEYTABLE_ACCESS_1_KEYUPDATE_SHIFT)
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYUPDATE_RANGE                       1:1
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYUPDATE_WOFFSET                     0x0
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYUPDATE_INIT_ENUM                   ENABLE
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_RSA_KEYTABLE_ACCESS_1_KEYREAD_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_RSA_KEYTABLE_ACCESS_1_KEYREAD_SHIFT)
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYREAD_RANGE                 0:0
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYREAD_WOFFSET                       0x0
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYREAD_INIT_ENUM                     ENABLE
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_RSA_KEYTABLE_ACCESS_1_KEYREAD_ENABLE                        _MK_ENUM_CONST(1)

// Register SE0_RSA_KEYTABLE_ACCESS_2
#define SE0_RSA_KEYTABLE_ACCESS_2                       _MK_ADDR_CONST(0x740)
#define SE0_RSA_KEYTABLE_ACCESS_2_SECURE                        0x0
#define SE0_RSA_KEYTABLE_ACCESS_2_DUAL                  0x0
#define SE0_RSA_KEYTABLE_ACCESS_2_SCR                   0
#define SE0_RSA_KEYTABLE_ACCESS_2_WORD_COUNT                    0x1
#define SE0_RSA_KEYTABLE_ACCESS_2_RESET_VAL                     _MK_MASK_CONST(0x7)
#define SE0_RSA_KEYTABLE_ACCESS_2_RESET_MASK                    _MK_MASK_CONST(0x7)
#define SE0_RSA_KEYTABLE_ACCESS_2_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_2_READ_MASK                     _MK_MASK_CONST(0x7)
#define SE0_RSA_KEYTABLE_ACCESS_2_WRITE_MASK                    _MK_MASK_CONST(0x7)
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYUSE_SHIFT                  _MK_SHIFT_CONST(2)
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYUSE_FIELD                  _MK_FIELD_CONST(0x1, SE0_RSA_KEYTABLE_ACCESS_2_KEYUSE_SHIFT)
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYUSE_RANGE                  2:2
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYUSE_WOFFSET                        0x0
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYUSE_DEFAULT                        _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYUSE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYUSE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYUSE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYUSE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYUSE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYUSE_INIT_ENUM                      ENABLE
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYUSE_DISABLE                        _MK_ENUM_CONST(0)
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYUSE_ENABLE                 _MK_ENUM_CONST(1)

#define SE0_RSA_KEYTABLE_ACCESS_2_KEYUPDATE_SHIFT                       _MK_SHIFT_CONST(1)
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_RSA_KEYTABLE_ACCESS_2_KEYUPDATE_SHIFT)
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYUPDATE_RANGE                       1:1
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYUPDATE_WOFFSET                     0x0
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYUPDATE_INIT_ENUM                   ENABLE
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_RSA_KEYTABLE_ACCESS_2_KEYREAD_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_RSA_KEYTABLE_ACCESS_2_KEYREAD_SHIFT)
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYREAD_RANGE                 0:0
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYREAD_WOFFSET                       0x0
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYREAD_INIT_ENUM                     ENABLE
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_RSA_KEYTABLE_ACCESS_2_KEYREAD_ENABLE                        _MK_ENUM_CONST(1)

// Register SE0_RSA_KEYTABLE_ACCESS_3
#define SE0_RSA_KEYTABLE_ACCESS_3                       _MK_ADDR_CONST(0x744)
#define SE0_RSA_KEYTABLE_ACCESS_3_SECURE                        0x0
#define SE0_RSA_KEYTABLE_ACCESS_3_DUAL                  0x0
#define SE0_RSA_KEYTABLE_ACCESS_3_SCR                   0
#define SE0_RSA_KEYTABLE_ACCESS_3_WORD_COUNT                    0x1
#define SE0_RSA_KEYTABLE_ACCESS_3_RESET_VAL                     _MK_MASK_CONST(0x7)
#define SE0_RSA_KEYTABLE_ACCESS_3_RESET_MASK                    _MK_MASK_CONST(0x7)
#define SE0_RSA_KEYTABLE_ACCESS_3_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_3_READ_MASK                     _MK_MASK_CONST(0x7)
#define SE0_RSA_KEYTABLE_ACCESS_3_WRITE_MASK                    _MK_MASK_CONST(0x7)
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYUSE_SHIFT                  _MK_SHIFT_CONST(2)
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYUSE_FIELD                  _MK_FIELD_CONST(0x1, SE0_RSA_KEYTABLE_ACCESS_3_KEYUSE_SHIFT)
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYUSE_RANGE                  2:2
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYUSE_WOFFSET                        0x0
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYUSE_DEFAULT                        _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYUSE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYUSE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYUSE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYUSE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYUSE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYUSE_INIT_ENUM                      ENABLE
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYUSE_DISABLE                        _MK_ENUM_CONST(0)
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYUSE_ENABLE                 _MK_ENUM_CONST(1)

#define SE0_RSA_KEYTABLE_ACCESS_3_KEYUPDATE_SHIFT                       _MK_SHIFT_CONST(1)
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYUPDATE_FIELD                       _MK_FIELD_CONST(0x1, SE0_RSA_KEYTABLE_ACCESS_3_KEYUPDATE_SHIFT)
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYUPDATE_RANGE                       1:1
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYUPDATE_WOFFSET                     0x0
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYUPDATE_DEFAULT                     _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYUPDATE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYUPDATE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYUPDATE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYUPDATE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYUPDATE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYUPDATE_INIT_ENUM                   ENABLE
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYUPDATE_DISABLE                     _MK_ENUM_CONST(0)
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYUPDATE_ENABLE                      _MK_ENUM_CONST(1)

#define SE0_RSA_KEYTABLE_ACCESS_3_KEYREAD_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYREAD_FIELD                 _MK_FIELD_CONST(0x1, SE0_RSA_KEYTABLE_ACCESS_3_KEYREAD_SHIFT)
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYREAD_RANGE                 0:0
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYREAD_WOFFSET                       0x0
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYREAD_DEFAULT                       _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYREAD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYREAD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYREAD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYREAD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYREAD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYREAD_INIT_ENUM                     ENABLE
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYREAD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_RSA_KEYTABLE_ACCESS_3_KEYREAD_ENABLE                        _MK_ENUM_CONST(1)

// Reserved address 0x748

// Register SE0_RSA_KEYTABLE_ADDR_0
#define SE0_RSA_KEYTABLE_ADDR_0                 _MK_ADDR_CONST(0x74c)
#define SE0_RSA_KEYTABLE_ADDR_0_SECURE                  0x0
#define SE0_RSA_KEYTABLE_ADDR_0_DUAL                    0x0
#define SE0_RSA_KEYTABLE_ADDR_0_SCR                     0
#define SE0_RSA_KEYTABLE_ADDR_0_WORD_COUNT                      0x1
#define SE0_RSA_KEYTABLE_ADDR_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ADDR_0_RESET_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ADDR_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ADDR_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ADDR_0_READ_MASK                       _MK_MASK_CONST(0x3ff)
#define SE0_RSA_KEYTABLE_ADDR_0_WRITE_MASK                      _MK_MASK_CONST(0x3ff)
#define SE0_RSA_KEYTABLE_ADDR_0_PKT_SHIFT                       _MK_SHIFT_CONST(0)
#define SE0_RSA_KEYTABLE_ADDR_0_PKT_FIELD                       _MK_FIELD_CONST(0x3ff, SE0_RSA_KEYTABLE_ADDR_0_PKT_SHIFT)
#define SE0_RSA_KEYTABLE_ADDR_0_PKT_RANGE                       9:0
#define SE0_RSA_KEYTABLE_ADDR_0_PKT_WOFFSET                     0x0
#define SE0_RSA_KEYTABLE_ADDR_0_PKT_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ADDR_0_PKT_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ADDR_0_PKT_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ADDR_0_PKT_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ADDR_0_PKT_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_ADDR_0_PKT_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SE0_RSA_KEYTABLE_DATA_0
#define SE0_RSA_KEYTABLE_DATA_0                 _MK_ADDR_CONST(0x750)
#define SE0_RSA_KEYTABLE_DATA_0_SECURE                  0x0
#define SE0_RSA_KEYTABLE_DATA_0_DUAL                    0x0
#define SE0_RSA_KEYTABLE_DATA_0_SCR                     0
#define SE0_RSA_KEYTABLE_DATA_0_WORD_COUNT                      0x1
#define SE0_RSA_KEYTABLE_DATA_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_DATA_0_RESET_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_DATA_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_DATA_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_DATA_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_KEYTABLE_DATA_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define SE0_RSA_KEYTABLE_DATA_0_VAL_SHIFT                       _MK_SHIFT_CONST(0)
#define SE0_RSA_KEYTABLE_DATA_0_VAL_FIELD                       _MK_FIELD_CONST(0xffffffff, SE0_RSA_KEYTABLE_DATA_0_VAL_SHIFT)
#define SE0_RSA_KEYTABLE_DATA_0_VAL_RANGE                       31:0
#define SE0_RSA_KEYTABLE_DATA_0_VAL_WOFFSET                     0x0
#define SE0_RSA_KEYTABLE_DATA_0_VAL_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_DATA_0_VAL_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_DATA_0_VAL_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_DATA_0_VAL_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_DATA_0_VAL_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define SE0_RSA_KEYTABLE_DATA_0_VAL_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

// Register SE0_RSA_INT_ENABLE_0
#define SE0_RSA_INT_ENABLE_0                    _MK_ADDR_CONST(0x754)
#define SE0_RSA_INT_ENABLE_0_SECURE                     0x0
#define SE0_RSA_INT_ENABLE_0_DUAL                       0x0
#define SE0_RSA_INT_ENABLE_0_SCR                        0
#define SE0_RSA_INT_ENABLE_0_WORD_COUNT                         0x1
#define SE0_RSA_INT_ENABLE_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_RESET_MASK                         _MK_MASK_CONST(0x1033f)
#define SE0_RSA_INT_ENABLE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_READ_MASK                  _MK_MASK_CONST(0x1033f)
#define SE0_RSA_INT_ENABLE_0_WRITE_MASK                         _MK_MASK_CONST(0x1033f)
#define SE0_RSA_INT_ENABLE_0_ERR_STAT_SHIFT                     _MK_SHIFT_CONST(16)
#define SE0_RSA_INT_ENABLE_0_ERR_STAT_FIELD                     _MK_FIELD_CONST(0x1, SE0_RSA_INT_ENABLE_0_ERR_STAT_SHIFT)
#define SE0_RSA_INT_ENABLE_0_ERR_STAT_RANGE                     16:16
#define SE0_RSA_INT_ENABLE_0_ERR_STAT_WOFFSET                   0x0
#define SE0_RSA_INT_ENABLE_0_ERR_STAT_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_ERR_STAT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_ENABLE_0_ERR_STAT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_ERR_STAT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_ERR_STAT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_ERR_STAT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_ENABLE_0_ERR_STAT_INIT_ENUM                 DISABLE
#define SE0_RSA_INT_ENABLE_0_ERR_STAT_DISABLE                   _MK_ENUM_CONST(0)
#define SE0_RSA_INT_ENABLE_0_ERR_STAT_ENABLE                    _MK_ENUM_CONST(1)

#define SE0_RSA_INT_ENABLE_0_EIP1_SHIFT                 _MK_SHIFT_CONST(9)
#define SE0_RSA_INT_ENABLE_0_EIP1_FIELD                 _MK_FIELD_CONST(0x1, SE0_RSA_INT_ENABLE_0_EIP1_SHIFT)
#define SE0_RSA_INT_ENABLE_0_EIP1_RANGE                 9:9
#define SE0_RSA_INT_ENABLE_0_EIP1_WOFFSET                       0x0
#define SE0_RSA_INT_ENABLE_0_EIP1_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_EIP1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_ENABLE_0_EIP1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_EIP1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_EIP1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_EIP1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_ENABLE_0_EIP1_INIT_ENUM                     DISABLE
#define SE0_RSA_INT_ENABLE_0_EIP1_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_RSA_INT_ENABLE_0_EIP1_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_RSA_INT_ENABLE_0_EIP0_SHIFT                 _MK_SHIFT_CONST(8)
#define SE0_RSA_INT_ENABLE_0_EIP0_FIELD                 _MK_FIELD_CONST(0x1, SE0_RSA_INT_ENABLE_0_EIP0_SHIFT)
#define SE0_RSA_INT_ENABLE_0_EIP0_RANGE                 8:8
#define SE0_RSA_INT_ENABLE_0_EIP0_WOFFSET                       0x0
#define SE0_RSA_INT_ENABLE_0_EIP0_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_EIP0_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_ENABLE_0_EIP0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_EIP0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_EIP0_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_EIP0_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_ENABLE_0_EIP0_INIT_ENUM                     DISABLE
#define SE0_RSA_INT_ENABLE_0_EIP0_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_RSA_INT_ENABLE_0_EIP0_ENABLE                        _MK_ENUM_CONST(1)

#define SE0_RSA_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_SHIFT                        _MK_SHIFT_CONST(5)
#define SE0_RSA_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_FIELD                        _MK_FIELD_CONST(0x1, SE0_RSA_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_SHIFT)
#define SE0_RSA_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_RANGE                        5:5
#define SE0_RSA_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_WOFFSET                      0x0
#define SE0_RSA_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_INIT_ENUM                    DISABLE
#define SE0_RSA_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_RSA_INT_ENABLE_0_RESEED_CNTR_EXHAUSTED_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_RSA_INT_ENABLE_0_SE_OP_DONE_SHIFT                   _MK_SHIFT_CONST(4)
#define SE0_RSA_INT_ENABLE_0_SE_OP_DONE_FIELD                   _MK_FIELD_CONST(0x1, SE0_RSA_INT_ENABLE_0_SE_OP_DONE_SHIFT)
#define SE0_RSA_INT_ENABLE_0_SE_OP_DONE_RANGE                   4:4
#define SE0_RSA_INT_ENABLE_0_SE_OP_DONE_WOFFSET                 0x0
#define SE0_RSA_INT_ENABLE_0_SE_OP_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_SE_OP_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_ENABLE_0_SE_OP_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_SE_OP_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_SE_OP_DONE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_SE_OP_DONE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_ENABLE_0_SE_OP_DONE_INIT_ENUM                       DISABLE
#define SE0_RSA_INT_ENABLE_0_SE_OP_DONE_DISABLE                 _MK_ENUM_CONST(0)
#define SE0_RSA_INT_ENABLE_0_SE_OP_DONE_ENABLE                  _MK_ENUM_CONST(1)

#define SE0_RSA_INT_ENABLE_0_OUT_DONE_SHIFT                     _MK_SHIFT_CONST(3)
#define SE0_RSA_INT_ENABLE_0_OUT_DONE_FIELD                     _MK_FIELD_CONST(0x1, SE0_RSA_INT_ENABLE_0_OUT_DONE_SHIFT)
#define SE0_RSA_INT_ENABLE_0_OUT_DONE_RANGE                     3:3
#define SE0_RSA_INT_ENABLE_0_OUT_DONE_WOFFSET                   0x0
#define SE0_RSA_INT_ENABLE_0_OUT_DONE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_OUT_DONE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_ENABLE_0_OUT_DONE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_OUT_DONE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_OUT_DONE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_OUT_DONE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_ENABLE_0_OUT_DONE_INIT_ENUM                 DISABLE
#define SE0_RSA_INT_ENABLE_0_OUT_DONE_DISABLE                   _MK_ENUM_CONST(0)
#define SE0_RSA_INT_ENABLE_0_OUT_DONE_ENABLE                    _MK_ENUM_CONST(1)

#define SE0_RSA_INT_ENABLE_0_OUT_LL_BUF_WR_SHIFT                        _MK_SHIFT_CONST(2)
#define SE0_RSA_INT_ENABLE_0_OUT_LL_BUF_WR_FIELD                        _MK_FIELD_CONST(0x1, SE0_RSA_INT_ENABLE_0_OUT_LL_BUF_WR_SHIFT)
#define SE0_RSA_INT_ENABLE_0_OUT_LL_BUF_WR_RANGE                        2:2
#define SE0_RSA_INT_ENABLE_0_OUT_LL_BUF_WR_WOFFSET                      0x0
#define SE0_RSA_INT_ENABLE_0_OUT_LL_BUF_WR_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_OUT_LL_BUF_WR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_ENABLE_0_OUT_LL_BUF_WR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_OUT_LL_BUF_WR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_OUT_LL_BUF_WR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_OUT_LL_BUF_WR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_ENABLE_0_OUT_LL_BUF_WR_INIT_ENUM                    DISABLE
#define SE0_RSA_INT_ENABLE_0_OUT_LL_BUF_WR_DISABLE                      _MK_ENUM_CONST(0)
#define SE0_RSA_INT_ENABLE_0_OUT_LL_BUF_WR_ENABLE                       _MK_ENUM_CONST(1)

#define SE0_RSA_INT_ENABLE_0_IN_DONE_SHIFT                      _MK_SHIFT_CONST(1)
#define SE0_RSA_INT_ENABLE_0_IN_DONE_FIELD                      _MK_FIELD_CONST(0x1, SE0_RSA_INT_ENABLE_0_IN_DONE_SHIFT)
#define SE0_RSA_INT_ENABLE_0_IN_DONE_RANGE                      1:1
#define SE0_RSA_INT_ENABLE_0_IN_DONE_WOFFSET                    0x0
#define SE0_RSA_INT_ENABLE_0_IN_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_IN_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_ENABLE_0_IN_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_IN_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_IN_DONE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_IN_DONE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_ENABLE_0_IN_DONE_INIT_ENUM                  DISABLE
#define SE0_RSA_INT_ENABLE_0_IN_DONE_DISABLE                    _MK_ENUM_CONST(0)
#define SE0_RSA_INT_ENABLE_0_IN_DONE_ENABLE                     _MK_ENUM_CONST(1)

#define SE0_RSA_INT_ENABLE_0_IN_LL_BUF_RD_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_RSA_INT_ENABLE_0_IN_LL_BUF_RD_FIELD                 _MK_FIELD_CONST(0x1, SE0_RSA_INT_ENABLE_0_IN_LL_BUF_RD_SHIFT)
#define SE0_RSA_INT_ENABLE_0_IN_LL_BUF_RD_RANGE                 0:0
#define SE0_RSA_INT_ENABLE_0_IN_LL_BUF_RD_WOFFSET                       0x0
#define SE0_RSA_INT_ENABLE_0_IN_LL_BUF_RD_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_IN_LL_BUF_RD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_ENABLE_0_IN_LL_BUF_RD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_IN_LL_BUF_RD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_IN_LL_BUF_RD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_ENABLE_0_IN_LL_BUF_RD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_ENABLE_0_IN_LL_BUF_RD_INIT_ENUM                     DISABLE
#define SE0_RSA_INT_ENABLE_0_IN_LL_BUF_RD_DISABLE                       _MK_ENUM_CONST(0)
#define SE0_RSA_INT_ENABLE_0_IN_LL_BUF_RD_ENABLE                        _MK_ENUM_CONST(1)

// Register SE0_RSA_INT_STATUS_0
#define SE0_RSA_INT_STATUS_0                    _MK_ADDR_CONST(0x758)
#define SE0_RSA_INT_STATUS_0_SECURE                     0x0
#define SE0_RSA_INT_STATUS_0_DUAL                       0x0
#define SE0_RSA_INT_STATUS_0_SCR                        0
#define SE0_RSA_INT_STATUS_0_WORD_COUNT                         0x1
#define SE0_RSA_INT_STATUS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_RESET_MASK                         _MK_MASK_CONST(0x1033f)
#define SE0_RSA_INT_STATUS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_READ_MASK                  _MK_MASK_CONST(0x1033f)
#define SE0_RSA_INT_STATUS_0_WRITE_MASK                         _MK_MASK_CONST(0x1033f)
#define SE0_RSA_INT_STATUS_0_ERR_STAT_SHIFT                     _MK_SHIFT_CONST(16)
#define SE0_RSA_INT_STATUS_0_ERR_STAT_FIELD                     _MK_FIELD_CONST(0x1, SE0_RSA_INT_STATUS_0_ERR_STAT_SHIFT)
#define SE0_RSA_INT_STATUS_0_ERR_STAT_RANGE                     16:16
#define SE0_RSA_INT_STATUS_0_ERR_STAT_WOFFSET                   0x0
#define SE0_RSA_INT_STATUS_0_ERR_STAT_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_ERR_STAT_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_STATUS_0_ERR_STAT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_ERR_STAT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_ERR_STAT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_ERR_STAT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_STATUS_0_ERR_STAT_INIT_ENUM                 CLEAR
#define SE0_RSA_INT_STATUS_0_ERR_STAT_CLEAR                     _MK_ENUM_CONST(0)
#define SE0_RSA_INT_STATUS_0_ERR_STAT_ACTIVE                    _MK_ENUM_CONST(1)
#define SE0_RSA_INT_STATUS_0_ERR_STAT_SW_CLEAR                  _MK_ENUM_CONST(1)

#define SE0_RSA_INT_STATUS_0_EIP1_SHIFT                 _MK_SHIFT_CONST(9)
#define SE0_RSA_INT_STATUS_0_EIP1_FIELD                 _MK_FIELD_CONST(0x1, SE0_RSA_INT_STATUS_0_EIP1_SHIFT)
#define SE0_RSA_INT_STATUS_0_EIP1_RANGE                 9:9
#define SE0_RSA_INT_STATUS_0_EIP1_WOFFSET                       0x0
#define SE0_RSA_INT_STATUS_0_EIP1_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_EIP1_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_STATUS_0_EIP1_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_EIP1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_EIP1_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_EIP1_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_STATUS_0_EIP1_INIT_ENUM                     CLEAR
#define SE0_RSA_INT_STATUS_0_EIP1_CLEAR                 _MK_ENUM_CONST(0)
#define SE0_RSA_INT_STATUS_0_EIP1_ACTIVE                        _MK_ENUM_CONST(1)
#define SE0_RSA_INT_STATUS_0_EIP1_SW_CLEAR                      _MK_ENUM_CONST(1)

#define SE0_RSA_INT_STATUS_0_EIP0_SHIFT                 _MK_SHIFT_CONST(8)
#define SE0_RSA_INT_STATUS_0_EIP0_FIELD                 _MK_FIELD_CONST(0x1, SE0_RSA_INT_STATUS_0_EIP0_SHIFT)
#define SE0_RSA_INT_STATUS_0_EIP0_RANGE                 8:8
#define SE0_RSA_INT_STATUS_0_EIP0_WOFFSET                       0x0
#define SE0_RSA_INT_STATUS_0_EIP0_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_EIP0_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_STATUS_0_EIP0_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_EIP0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_EIP0_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_EIP0_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_STATUS_0_EIP0_INIT_ENUM                     CLEAR
#define SE0_RSA_INT_STATUS_0_EIP0_CLEAR                 _MK_ENUM_CONST(0)
#define SE0_RSA_INT_STATUS_0_EIP0_ACTIVE                        _MK_ENUM_CONST(1)
#define SE0_RSA_INT_STATUS_0_EIP0_SW_CLEAR                      _MK_ENUM_CONST(1)

#define SE0_RSA_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_SHIFT                        _MK_SHIFT_CONST(5)
#define SE0_RSA_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_FIELD                        _MK_FIELD_CONST(0x1, SE0_RSA_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_SHIFT)
#define SE0_RSA_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_RANGE                        5:5
#define SE0_RSA_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_WOFFSET                      0x0
#define SE0_RSA_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_INIT_ENUM                    CLEAR
#define SE0_RSA_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_CLEAR                        _MK_ENUM_CONST(0)
#define SE0_RSA_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_ACTIVE                       _MK_ENUM_CONST(1)
#define SE0_RSA_INT_STATUS_0_RESEED_CNTR_EXHAUSTED_SW_CLEAR                     _MK_ENUM_CONST(1)

#define SE0_RSA_INT_STATUS_0_SE_OP_DONE_SHIFT                   _MK_SHIFT_CONST(4)
#define SE0_RSA_INT_STATUS_0_SE_OP_DONE_FIELD                   _MK_FIELD_CONST(0x1, SE0_RSA_INT_STATUS_0_SE_OP_DONE_SHIFT)
#define SE0_RSA_INT_STATUS_0_SE_OP_DONE_RANGE                   4:4
#define SE0_RSA_INT_STATUS_0_SE_OP_DONE_WOFFSET                 0x0
#define SE0_RSA_INT_STATUS_0_SE_OP_DONE_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_SE_OP_DONE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_STATUS_0_SE_OP_DONE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_SE_OP_DONE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_SE_OP_DONE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_SE_OP_DONE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_STATUS_0_SE_OP_DONE_INIT_ENUM                       CLEAR
#define SE0_RSA_INT_STATUS_0_SE_OP_DONE_CLEAR                   _MK_ENUM_CONST(0)
#define SE0_RSA_INT_STATUS_0_SE_OP_DONE_ACTIVE                  _MK_ENUM_CONST(1)
#define SE0_RSA_INT_STATUS_0_SE_OP_DONE_SW_CLEAR                        _MK_ENUM_CONST(1)

#define SE0_RSA_INT_STATUS_0_OUT_DONE_SHIFT                     _MK_SHIFT_CONST(3)
#define SE0_RSA_INT_STATUS_0_OUT_DONE_FIELD                     _MK_FIELD_CONST(0x1, SE0_RSA_INT_STATUS_0_OUT_DONE_SHIFT)
#define SE0_RSA_INT_STATUS_0_OUT_DONE_RANGE                     3:3
#define SE0_RSA_INT_STATUS_0_OUT_DONE_WOFFSET                   0x0
#define SE0_RSA_INT_STATUS_0_OUT_DONE_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_OUT_DONE_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_STATUS_0_OUT_DONE_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_OUT_DONE_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_OUT_DONE_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_OUT_DONE_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_STATUS_0_OUT_DONE_INIT_ENUM                 CLEAR
#define SE0_RSA_INT_STATUS_0_OUT_DONE_CLEAR                     _MK_ENUM_CONST(0)
#define SE0_RSA_INT_STATUS_0_OUT_DONE_ACTIVE                    _MK_ENUM_CONST(1)
#define SE0_RSA_INT_STATUS_0_OUT_DONE_SW_CLEAR                  _MK_ENUM_CONST(1)

#define SE0_RSA_INT_STATUS_0_OUT_LL_BUF_WR_SHIFT                        _MK_SHIFT_CONST(2)
#define SE0_RSA_INT_STATUS_0_OUT_LL_BUF_WR_FIELD                        _MK_FIELD_CONST(0x1, SE0_RSA_INT_STATUS_0_OUT_LL_BUF_WR_SHIFT)
#define SE0_RSA_INT_STATUS_0_OUT_LL_BUF_WR_RANGE                        2:2
#define SE0_RSA_INT_STATUS_0_OUT_LL_BUF_WR_WOFFSET                      0x0
#define SE0_RSA_INT_STATUS_0_OUT_LL_BUF_WR_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_OUT_LL_BUF_WR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_STATUS_0_OUT_LL_BUF_WR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_OUT_LL_BUF_WR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_OUT_LL_BUF_WR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_OUT_LL_BUF_WR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_STATUS_0_OUT_LL_BUF_WR_INIT_ENUM                    CLEAR
#define SE0_RSA_INT_STATUS_0_OUT_LL_BUF_WR_CLEAR                        _MK_ENUM_CONST(0)
#define SE0_RSA_INT_STATUS_0_OUT_LL_BUF_WR_ACTIVE                       _MK_ENUM_CONST(1)
#define SE0_RSA_INT_STATUS_0_OUT_LL_BUF_WR_SW_CLEAR                     _MK_ENUM_CONST(1)

#define SE0_RSA_INT_STATUS_0_IN_DONE_SHIFT                      _MK_SHIFT_CONST(1)
#define SE0_RSA_INT_STATUS_0_IN_DONE_FIELD                      _MK_FIELD_CONST(0x1, SE0_RSA_INT_STATUS_0_IN_DONE_SHIFT)
#define SE0_RSA_INT_STATUS_0_IN_DONE_RANGE                      1:1
#define SE0_RSA_INT_STATUS_0_IN_DONE_WOFFSET                    0x0
#define SE0_RSA_INT_STATUS_0_IN_DONE_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_IN_DONE_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_STATUS_0_IN_DONE_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_IN_DONE_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_IN_DONE_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_IN_DONE_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_STATUS_0_IN_DONE_INIT_ENUM                  CLEAR
#define SE0_RSA_INT_STATUS_0_IN_DONE_CLEAR                      _MK_ENUM_CONST(0)
#define SE0_RSA_INT_STATUS_0_IN_DONE_ACTIVE                     _MK_ENUM_CONST(1)
#define SE0_RSA_INT_STATUS_0_IN_DONE_SW_CLEAR                   _MK_ENUM_CONST(1)

#define SE0_RSA_INT_STATUS_0_IN_LL_BUF_RD_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_RSA_INT_STATUS_0_IN_LL_BUF_RD_FIELD                 _MK_FIELD_CONST(0x1, SE0_RSA_INT_STATUS_0_IN_LL_BUF_RD_SHIFT)
#define SE0_RSA_INT_STATUS_0_IN_LL_BUF_RD_RANGE                 0:0
#define SE0_RSA_INT_STATUS_0_IN_LL_BUF_RD_WOFFSET                       0x0
#define SE0_RSA_INT_STATUS_0_IN_LL_BUF_RD_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_IN_LL_BUF_RD_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_STATUS_0_IN_LL_BUF_RD_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_IN_LL_BUF_RD_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_IN_LL_BUF_RD_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_RSA_INT_STATUS_0_IN_LL_BUF_RD_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_RSA_INT_STATUS_0_IN_LL_BUF_RD_INIT_ENUM                     CLEAR
#define SE0_RSA_INT_STATUS_0_IN_LL_BUF_RD_CLEAR                 _MK_ENUM_CONST(0)
#define SE0_RSA_INT_STATUS_0_IN_LL_BUF_RD_ACTIVE                        _MK_ENUM_CONST(1)
#define SE0_RSA_INT_STATUS_0_IN_LL_BUF_RD_SW_CLEAR                      _MK_ENUM_CONST(1)

// Register SE0_RSA_STATUS_0
#define SE0_RSA_STATUS_0                        _MK_ADDR_CONST(0x75c)
#define SE0_RSA_STATUS_0_SECURE                         0x0
#define SE0_RSA_STATUS_0_DUAL                   0x0
#define SE0_RSA_STATUS_0_SCR                    0
#define SE0_RSA_STATUS_0_WORD_COUNT                     0x1
#define SE0_RSA_STATUS_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define SE0_RSA_STATUS_0_RESET_MASK                     _MK_MASK_CONST(0x7)
#define SE0_RSA_STATUS_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define SE0_RSA_STATUS_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_RSA_STATUS_0_READ_MASK                      _MK_MASK_CONST(0x7)
#define SE0_RSA_STATUS_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define SE0_RSA_STATUS_0_STATE_SHIFT                    _MK_SHIFT_CONST(0)
#define SE0_RSA_STATUS_0_STATE_FIELD                    _MK_FIELD_CONST(0x7, SE0_RSA_STATUS_0_STATE_SHIFT)
#define SE0_RSA_STATUS_0_STATE_RANGE                    2:0
#define SE0_RSA_STATUS_0_STATE_WOFFSET                  0x0
#define SE0_RSA_STATUS_0_STATE_DEFAULT                  _MK_MASK_CONST(0x0)
#define SE0_RSA_STATUS_0_STATE_DEFAULT_MASK                     _MK_MASK_CONST(0x7)
#define SE0_RSA_STATUS_0_STATE_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_RSA_STATUS_0_STATE_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define SE0_RSA_STATUS_0_STATE_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define SE0_RSA_STATUS_0_STATE_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define SE0_RSA_STATUS_0_STATE_INIT_ENUM                        IDLE
#define SE0_RSA_STATUS_0_STATE_IDLE                     _MK_ENUM_CONST(0)
#define SE0_RSA_STATUS_0_STATE_BUSY                     _MK_ENUM_CONST(1)
#define SE0_RSA_STATUS_0_STATE_WAIT_OUT                 _MK_ENUM_CONST(2)
#define SE0_RSA_STATUS_0_STATE_WAIT_IN                  _MK_ENUM_CONST(3)
#define SE0_RSA_STATUS_0_STATE_WAIT_INOUT                       _MK_ENUM_CONST(4)
#define SE0_RSA_STATUS_0_STATE_CANCELLING                       _MK_ENUM_CONST(5)
#define SE0_RSA_STATUS_0_STATE_PENDING                  _MK_ENUM_CONST(6)

// Register SE0_RSA_ERR_STATUS_0
#define SE0_RSA_ERR_STATUS_0                    _MK_ADDR_CONST(0x760)
#define SE0_RSA_ERR_STATUS_0_SECURE                     0x0
#define SE0_RSA_ERR_STATUS_0_DUAL                       0x0
#define SE0_RSA_ERR_STATUS_0_SCR                        0
#define SE0_RSA_ERR_STATUS_0_WORD_COUNT                         0x1
#define SE0_RSA_ERR_STATUS_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_RESET_MASK                         _MK_MASK_CONST(0x300013f)
#define SE0_RSA_ERR_STATUS_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_READ_MASK                  _MK_MASK_CONST(0x300013f)
#define SE0_RSA_ERR_STATUS_0_WRITE_MASK                         _MK_MASK_CONST(0x300013f)
#define SE0_RSA_ERR_STATUS_0_SE_NS_ACCESS_SHIFT                 _MK_SHIFT_CONST(0)
#define SE0_RSA_ERR_STATUS_0_SE_NS_ACCESS_FIELD                 _MK_FIELD_CONST(0x1, SE0_RSA_ERR_STATUS_0_SE_NS_ACCESS_SHIFT)
#define SE0_RSA_ERR_STATUS_0_SE_NS_ACCESS_RANGE                 0:0
#define SE0_RSA_ERR_STATUS_0_SE_NS_ACCESS_WOFFSET                       0x0
#define SE0_RSA_ERR_STATUS_0_SE_NS_ACCESS_DEFAULT                       _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_SE_NS_ACCESS_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define SE0_RSA_ERR_STATUS_0_SE_NS_ACCESS_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_SE_NS_ACCESS_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_SE_NS_ACCESS_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_SE_NS_ACCESS_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define SE0_RSA_ERR_STATUS_0_SE_NS_ACCESS_INIT_ENUM                     CLEAR
#define SE0_RSA_ERR_STATUS_0_SE_NS_ACCESS_CLEAR                 _MK_ENUM_CONST(0)
#define SE0_RSA_ERR_STATUS_0_SE_NS_ACCESS_ACTIVE                        _MK_ENUM_CONST(1)
#define SE0_RSA_ERR_STATUS_0_SE_NS_ACCESS_SW_CLEAR                      _MK_ENUM_CONST(1)

#define SE0_RSA_ERR_STATUS_0_DST_SHIFT                  _MK_SHIFT_CONST(1)
#define SE0_RSA_ERR_STATUS_0_DST_FIELD                  _MK_FIELD_CONST(0x1, SE0_RSA_ERR_STATUS_0_DST_SHIFT)
#define SE0_RSA_ERR_STATUS_0_DST_RANGE                  1:1
#define SE0_RSA_ERR_STATUS_0_DST_WOFFSET                        0x0
#define SE0_RSA_ERR_STATUS_0_DST_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_DST_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_RSA_ERR_STATUS_0_DST_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_DST_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_DST_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_DST_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_RSA_ERR_STATUS_0_DST_INIT_ENUM                      CLEAR
#define SE0_RSA_ERR_STATUS_0_DST_CLEAR                  _MK_ENUM_CONST(0)
#define SE0_RSA_ERR_STATUS_0_DST_ACTIVE                 _MK_ENUM_CONST(1)
#define SE0_RSA_ERR_STATUS_0_DST_SW_CLEAR                       _MK_ENUM_CONST(1)

#define SE0_RSA_ERR_STATUS_0_BUSY_REG_WR_SHIFT                  _MK_SHIFT_CONST(2)
#define SE0_RSA_ERR_STATUS_0_BUSY_REG_WR_FIELD                  _MK_FIELD_CONST(0x1, SE0_RSA_ERR_STATUS_0_BUSY_REG_WR_SHIFT)
#define SE0_RSA_ERR_STATUS_0_BUSY_REG_WR_RANGE                  2:2
#define SE0_RSA_ERR_STATUS_0_BUSY_REG_WR_WOFFSET                        0x0
#define SE0_RSA_ERR_STATUS_0_BUSY_REG_WR_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_BUSY_REG_WR_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_RSA_ERR_STATUS_0_BUSY_REG_WR_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_BUSY_REG_WR_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_BUSY_REG_WR_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_BUSY_REG_WR_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_RSA_ERR_STATUS_0_BUSY_REG_WR_INIT_ENUM                      CLEAR
#define SE0_RSA_ERR_STATUS_0_BUSY_REG_WR_CLEAR                  _MK_ENUM_CONST(0)
#define SE0_RSA_ERR_STATUS_0_BUSY_REG_WR_ACTIVE                 _MK_ENUM_CONST(1)
#define SE0_RSA_ERR_STATUS_0_BUSY_REG_WR_SW_CLEAR                       _MK_ENUM_CONST(1)

#define SE0_RSA_ERR_STATUS_0_SRK_USAGE_LIMIT_SHIFT                      _MK_SHIFT_CONST(3)
#define SE0_RSA_ERR_STATUS_0_SRK_USAGE_LIMIT_FIELD                      _MK_FIELD_CONST(0x1, SE0_RSA_ERR_STATUS_0_SRK_USAGE_LIMIT_SHIFT)
#define SE0_RSA_ERR_STATUS_0_SRK_USAGE_LIMIT_RANGE                      3:3
#define SE0_RSA_ERR_STATUS_0_SRK_USAGE_LIMIT_WOFFSET                    0x0
#define SE0_RSA_ERR_STATUS_0_SRK_USAGE_LIMIT_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_SRK_USAGE_LIMIT_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_RSA_ERR_STATUS_0_SRK_USAGE_LIMIT_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_SRK_USAGE_LIMIT_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_SRK_USAGE_LIMIT_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_SRK_USAGE_LIMIT_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_RSA_ERR_STATUS_0_SRK_USAGE_LIMIT_INIT_ENUM                  CLEAR
#define SE0_RSA_ERR_STATUS_0_SRK_USAGE_LIMIT_CLEAR                      _MK_ENUM_CONST(0)
#define SE0_RSA_ERR_STATUS_0_SRK_USAGE_LIMIT_ACTIVE                     _MK_ENUM_CONST(1)
#define SE0_RSA_ERR_STATUS_0_SRK_USAGE_LIMIT_SW_CLEAR                   _MK_ENUM_CONST(1)

#define SE0_RSA_ERR_STATUS_0_NO_SUPPORT_SHIFT                   _MK_SHIFT_CONST(4)
#define SE0_RSA_ERR_STATUS_0_NO_SUPPORT_FIELD                   _MK_FIELD_CONST(0x1, SE0_RSA_ERR_STATUS_0_NO_SUPPORT_SHIFT)
#define SE0_RSA_ERR_STATUS_0_NO_SUPPORT_RANGE                   4:4
#define SE0_RSA_ERR_STATUS_0_NO_SUPPORT_WOFFSET                 0x0
#define SE0_RSA_ERR_STATUS_0_NO_SUPPORT_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_NO_SUPPORT_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SE0_RSA_ERR_STATUS_0_NO_SUPPORT_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_NO_SUPPORT_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_NO_SUPPORT_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_NO_SUPPORT_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_RSA_ERR_STATUS_0_NO_SUPPORT_INIT_ENUM                       CLEAR
#define SE0_RSA_ERR_STATUS_0_NO_SUPPORT_CLEAR                   _MK_ENUM_CONST(0)
#define SE0_RSA_ERR_STATUS_0_NO_SUPPORT_ACTIVE                  _MK_ENUM_CONST(1)
#define SE0_RSA_ERR_STATUS_0_NO_SUPPORT_SW_CLEAR                        _MK_ENUM_CONST(1)

#define SE0_RSA_ERR_STATUS_0_ENG_DIS_OP_SHIFT                   _MK_SHIFT_CONST(5)
#define SE0_RSA_ERR_STATUS_0_ENG_DIS_OP_FIELD                   _MK_FIELD_CONST(0x1, SE0_RSA_ERR_STATUS_0_ENG_DIS_OP_SHIFT)
#define SE0_RSA_ERR_STATUS_0_ENG_DIS_OP_RANGE                   5:5
#define SE0_RSA_ERR_STATUS_0_ENG_DIS_OP_WOFFSET                 0x0
#define SE0_RSA_ERR_STATUS_0_ENG_DIS_OP_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_ENG_DIS_OP_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define SE0_RSA_ERR_STATUS_0_ENG_DIS_OP_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_ENG_DIS_OP_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_ENG_DIS_OP_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_ENG_DIS_OP_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define SE0_RSA_ERR_STATUS_0_ENG_DIS_OP_INIT_ENUM                       CLEAR
#define SE0_RSA_ERR_STATUS_0_ENG_DIS_OP_CLEAR                   _MK_ENUM_CONST(0)
#define SE0_RSA_ERR_STATUS_0_ENG_DIS_OP_ACTIVE                  _MK_ENUM_CONST(1)
#define SE0_RSA_ERR_STATUS_0_ENG_DIS_OP_SW_CLEAR                        _MK_ENUM_CONST(1)

#define SE0_RSA_ERR_STATUS_0_ILLEGAL_CFG_SHIFT                  _MK_SHIFT_CONST(8)
#define SE0_RSA_ERR_STATUS_0_ILLEGAL_CFG_FIELD                  _MK_FIELD_CONST(0x1, SE0_RSA_ERR_STATUS_0_ILLEGAL_CFG_SHIFT)
#define SE0_RSA_ERR_STATUS_0_ILLEGAL_CFG_RANGE                  8:8
#define SE0_RSA_ERR_STATUS_0_ILLEGAL_CFG_WOFFSET                        0x0
#define SE0_RSA_ERR_STATUS_0_ILLEGAL_CFG_DEFAULT                        _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_ILLEGAL_CFG_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define SE0_RSA_ERR_STATUS_0_ILLEGAL_CFG_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_ILLEGAL_CFG_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_ILLEGAL_CFG_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_ILLEGAL_CFG_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define SE0_RSA_ERR_STATUS_0_ILLEGAL_CFG_INIT_ENUM                      CLEAR
#define SE0_RSA_ERR_STATUS_0_ILLEGAL_CFG_CLEAR                  _MK_ENUM_CONST(0)
#define SE0_RSA_ERR_STATUS_0_ILLEGAL_CFG_ACTIVE                 _MK_ENUM_CONST(1)
#define SE0_RSA_ERR_STATUS_0_ILLEGAL_CFG_SW_CLEAR                       _MK_ENUM_CONST(1)

#define SE0_RSA_ERR_STATUS_0_TZRAM_NS_ACCESS_SHIFT                      _MK_SHIFT_CONST(24)
#define SE0_RSA_ERR_STATUS_0_TZRAM_NS_ACCESS_FIELD                      _MK_FIELD_CONST(0x1, SE0_RSA_ERR_STATUS_0_TZRAM_NS_ACCESS_SHIFT)
#define SE0_RSA_ERR_STATUS_0_TZRAM_NS_ACCESS_RANGE                      24:24
#define SE0_RSA_ERR_STATUS_0_TZRAM_NS_ACCESS_WOFFSET                    0x0
#define SE0_RSA_ERR_STATUS_0_TZRAM_NS_ACCESS_DEFAULT                    _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_TZRAM_NS_ACCESS_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define SE0_RSA_ERR_STATUS_0_TZRAM_NS_ACCESS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_TZRAM_NS_ACCESS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_TZRAM_NS_ACCESS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_TZRAM_NS_ACCESS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define SE0_RSA_ERR_STATUS_0_TZRAM_NS_ACCESS_INIT_ENUM                  CLEAR
#define SE0_RSA_ERR_STATUS_0_TZRAM_NS_ACCESS_CLEAR                      _MK_ENUM_CONST(0)
#define SE0_RSA_ERR_STATUS_0_TZRAM_NS_ACCESS_ACTIVE                     _MK_ENUM_CONST(1)
#define SE0_RSA_ERR_STATUS_0_TZRAM_NS_ACCESS_SW_CLEAR                   _MK_ENUM_CONST(1)

#define SE0_RSA_ERR_STATUS_0_TZRAM_ADDRESS_SHIFT                        _MK_SHIFT_CONST(25)
#define SE0_RSA_ERR_STATUS_0_TZRAM_ADDRESS_FIELD                        _MK_FIELD_CONST(0x1, SE0_RSA_ERR_STATUS_0_TZRAM_ADDRESS_SHIFT)
#define SE0_RSA_ERR_STATUS_0_TZRAM_ADDRESS_RANGE                        25:25
#define SE0_RSA_ERR_STATUS_0_TZRAM_ADDRESS_WOFFSET                      0x0
#define SE0_RSA_ERR_STATUS_0_TZRAM_ADDRESS_DEFAULT                      _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_TZRAM_ADDRESS_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define SE0_RSA_ERR_STATUS_0_TZRAM_ADDRESS_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_TZRAM_ADDRESS_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_TZRAM_ADDRESS_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define SE0_RSA_ERR_STATUS_0_TZRAM_ADDRESS_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define SE0_RSA_ERR_STATUS_0_TZRAM_ADDRESS_INIT_ENUM                    CLEAR
#define SE0_RSA_ERR_STATUS_0_TZRAM_ADDRESS_CLEAR                        _MK_ENUM_CONST(0)
#define SE0_RSA_ERR_STATUS_0_TZRAM_ADDRESS_ACTIVE                       _MK_ENUM_CONST(1)
#define SE0_RSA_ERR_STATUS_0_TZRAM_ADDRESS_SW_CLEAR                     _MK_ENUM_CONST(1)

//
// REGISTER LIST
//
#define LIST_ARSE0_REGS(_op_) \
_op_(SE0_INCR_SYNCPT_0) \
_op_(SE0_INCR_SYNCPT_CTRL_0) \
_op_(SE0_INCR_SYNCPT_ERROR_0) \
_op_(SE0_CTXSW_0) \
_op_(SE0_CTXSW_NEXT_0) \
_op_(SE0_SE_SECURITY_0) \
_op_(SE0_INT_STATUS_SRC_0) \
_op_(SE0_OEM_GROUP_0) \
_op_(SE0_MUTEX_REQUEST_RELEASE_0) \
_op_(SE0_SOFTRESET_0) \
_op_(SE0_MUTEX_STATUS_0) \
_op_(SE0_MUTEX_RR_TIMEOUT_COUNTER_0) \
_op_(SE0_MUTEX_WATCHDOG_NS_LIMIT_0) \
_op_(SE0_MUTEX_RR_STATUS_0) \
_op_(SE0_MUTEX_WATCHDOG_COUNTER_0) \
_op_(SE0_MUTEX_TIMEOUT_ACTION_0) \
_op_(SE0_INT_ENABLE_0) \
_op_(SE0_INT_STATUS_0) \
_op_(SE0_STREAMID_0) \
_op_(SE0_STREAMID) \
_op_(SE0_STREAMID_1) \
_op_(SE0_STREAMID_2) \
_op_(SE0_STREAMID_3) \
_op_(SE0_STREAMID_NS_0) \
_op_(SE0_SHA_GSCID_0) \
_op_(SE0_SHA_CONFIG_0) \
_op_(SE0_SHA_TASK_CONFIG_0) \
_op_(SE0_SHA_IN_ADDR_0) \
_op_(SE0_SHA_IN_ADDR_HI_0) \
_op_(SE0_SHA_OUT_ADDR_0) \
_op_(SE0_SHA_OUT_ADDR_HI_0) \
_op_(SE0_SHA_MSG_LENGTH_0) \
_op_(SE0_SHA_MSG_LENGTH) \
_op_(SE0_SHA_MSG_LENGTH_1) \
_op_(SE0_SHA_MSG_LENGTH_2) \
_op_(SE0_SHA_MSG_LENGTH_3) \
_op_(SE0_SHA_MSG_LEFT_0) \
_op_(SE0_SHA_MSG_LEFT) \
_op_(SE0_SHA_MSG_LEFT_1) \
_op_(SE0_SHA_MSG_LEFT_2) \
_op_(SE0_SHA_MSG_LEFT_3) \
_op_(SE0_SHA_HASH_RESULT_0) \
_op_(SE0_SHA_HASH_RESULT) \
_op_(SE0_SHA_HASH_RESULT_1) \
_op_(SE0_SHA_HASH_RESULT_2) \
_op_(SE0_SHA_HASH_RESULT_3) \
_op_(SE0_SHA_HASH_RESULT_4) \
_op_(SE0_SHA_HASH_RESULT_5) \
_op_(SE0_SHA_HASH_RESULT_6) \
_op_(SE0_SHA_HASH_RESULT_7) \
_op_(SE0_SHA_HASH_RESULT_8) \
_op_(SE0_SHA_HASH_RESULT_9) \
_op_(SE0_SHA_HASH_RESULT_10) \
_op_(SE0_SHA_HASH_RESULT_11) \
_op_(SE0_SHA_HASH_RESULT_12) \
_op_(SE0_SHA_HASH_RESULT_13) \
_op_(SE0_SHA_HASH_RESULT_14) \
_op_(SE0_SHA_HASH_RESULT_15) \
_op_(SE0_SHA_OPERATION_0) \
_op_(SE0_SHA_INT_ENABLE_0) \
_op_(SE0_SHA_INT_STATUS_0) \
_op_(SE0_SHA_STATUS_0) \
_op_(SE0_SHA_ERR_STATUS_0) \
_op_(SE0_AES0_GSCID_0) \
_op_(SE0_AES0_CONFIG_0) \
_op_(SE0_AES0_CRYPTO_CONFIG_0) \
_op_(SE0_AES0_IN_ADDR_0) \
_op_(SE0_AES0_IN_ADDR_HI_0) \
_op_(SE0_AES0_OUT_ADDR_0) \
_op_(SE0_AES0_OUT_ADDR_HI_0) \
_op_(SE0_AES0_CRYPTO_LINEAR_CTR_0) \
_op_(SE0_AES0_CRYPTO_LINEAR_CTR) \
_op_(SE0_AES0_CRYPTO_LINEAR_CTR_1) \
_op_(SE0_AES0_CRYPTO_LINEAR_CTR_2) \
_op_(SE0_AES0_CRYPTO_LINEAR_CTR_3) \
_op_(SE0_AES0_CRYPTO_LAST_BLOCK_0) \
_op_(SE0_AES0_CRYPTO_KEYTABLE_DST_0) \
_op_(SE0_AES0_RNG_CONFIG_0) \
_op_(SE0_AES0_OPERATION_0) \
_op_(SE0_AES0_CRYPTO_SECURITY_PERKEY_0) \
_op_(SE0_AES0_CRYPTO_SECURITY_PERKEY) \
_op_(SE0_AES0_CRYPTO_SECURITY_PERKEY_1) \
_op_(SE0_AES0_CRYPTO_SECURITY_PERKEY_2) \
_op_(SE0_AES0_CRYPTO_SECURITY_PERKEY_3) \
_op_(SE0_AES0_CRYPTO_SECURITY_PERKEY_4) \
_op_(SE0_AES0_CRYPTO_SECURITY_PERKEY_5) \
_op_(SE0_AES0_CRYPTO_SECURITY_PERKEY_6) \
_op_(SE0_AES0_CRYPTO_SECURITY_PERKEY_7) \
_op_(SE0_AES0_CRYPTO_SECURITY_PERKEY_8) \
_op_(SE0_AES0_CRYPTO_SECURITY_PERKEY_9) \
_op_(SE0_AES0_CRYPTO_SECURITY_PERKEY_10) \
_op_(SE0_AES0_CRYPTO_SECURITY_PERKEY_11) \
_op_(SE0_AES0_CRYPTO_SECURITY_PERKEY_12) \
_op_(SE0_AES0_CRYPTO_SECURITY_PERKEY_13) \
_op_(SE0_AES0_CRYPTO_SECURITY_PERKEY_14) \
_op_(SE0_AES0_CRYPTO_SECURITY_PERKEY_15) \
_op_(SE0_AES0_CRYPTO_KEYTABLE_ACCESS_0) \
_op_(SE0_AES0_CRYPTO_KEYTABLE_ACCESS) \
_op_(SE0_AES0_CRYPTO_KEYTABLE_ACCESS_1) \
_op_(SE0_AES0_CRYPTO_KEYTABLE_ACCESS_2) \
_op_(SE0_AES0_CRYPTO_KEYTABLE_ACCESS_3) \
_op_(SE0_AES0_CRYPTO_KEYTABLE_ACCESS_4) \
_op_(SE0_AES0_CRYPTO_KEYTABLE_ACCESS_5) \
_op_(SE0_AES0_CRYPTO_KEYTABLE_ACCESS_6) \
_op_(SE0_AES0_CRYPTO_KEYTABLE_ACCESS_7) \
_op_(SE0_AES0_CRYPTO_KEYTABLE_ACCESS_8) \
_op_(SE0_AES0_CRYPTO_KEYTABLE_ACCESS_9) \
_op_(SE0_AES0_CRYPTO_KEYTABLE_ACCESS_10) \
_op_(SE0_AES0_CRYPTO_KEYTABLE_ACCESS_11) \
_op_(SE0_AES0_CRYPTO_KEYTABLE_ACCESS_12) \
_op_(SE0_AES0_CRYPTO_KEYTABLE_ACCESS_13) \
_op_(SE0_AES0_CRYPTO_KEYTABLE_ACCESS_14) \
_op_(SE0_AES0_CRYPTO_KEYTABLE_ACCESS_15) \
_op_(SE0_AES0_CRYPTO_KEYTABLE_ADDR_0) \
_op_(SE0_AES0_CRYPTO_KEYTABLE_DATA_0) \
_op_(SE0_AES0_CMAC_RESULT_0) \
_op_(SE0_AES0_CMAC_RESULT) \
_op_(SE0_AES0_CMAC_RESULT_1) \
_op_(SE0_AES0_CMAC_RESULT_2) \
_op_(SE0_AES0_CMAC_RESULT_3) \
_op_(SE0_AES0_CTX_SAVE_CONFIG_0) \
_op_(SE0_AES0_RNG_RESEED_INTERVAL_0) \
_op_(SE0_AES0_INT_ENABLE_0) \
_op_(SE0_AES0_INT_STATUS_0) \
_op_(SE0_AES0_STATUS_0) \
_op_(SE0_AES0_ERR_STATUS_0) \
_op_(SE0_AES1_GSCID_0) \
_op_(SE0_AES1_CONFIG_0) \
_op_(SE0_AES1_CRYPTO_CONFIG_0) \
_op_(SE0_AES1_IN_ADDR_0) \
_op_(SE0_AES1_IN_ADDR_HI_0) \
_op_(SE0_AES1_OUT_ADDR_0) \
_op_(SE0_AES1_OUT_ADDR_HI_0) \
_op_(SE0_AES1_CRYPTO_LINEAR_CTR_0) \
_op_(SE0_AES1_CRYPTO_LINEAR_CTR) \
_op_(SE0_AES1_CRYPTO_LINEAR_CTR_1) \
_op_(SE0_AES1_CRYPTO_LINEAR_CTR_2) \
_op_(SE0_AES1_CRYPTO_LINEAR_CTR_3) \
_op_(SE0_AES1_CRYPTO_LAST_BLOCK_0) \
_op_(SE0_AES1_CRYPTO_KEYTABLE_DST_0) \
_op_(SE0_AES1_OPERATION_0) \
_op_(SE0_AES1_CRYPTO_SECURITY_PERKEY_0) \
_op_(SE0_AES1_CRYPTO_SECURITY_PERKEY) \
_op_(SE0_AES1_CRYPTO_SECURITY_PERKEY_1) \
_op_(SE0_AES1_CRYPTO_SECURITY_PERKEY_2) \
_op_(SE0_AES1_CRYPTO_SECURITY_PERKEY_3) \
_op_(SE0_AES1_CRYPTO_SECURITY_PERKEY_4) \
_op_(SE0_AES1_CRYPTO_SECURITY_PERKEY_5) \
_op_(SE0_AES1_CRYPTO_SECURITY_PERKEY_6) \
_op_(SE0_AES1_CRYPTO_SECURITY_PERKEY_7) \
_op_(SE0_AES1_CRYPTO_SECURITY_PERKEY_8) \
_op_(SE0_AES1_CRYPTO_SECURITY_PERKEY_9) \
_op_(SE0_AES1_CRYPTO_SECURITY_PERKEY_10) \
_op_(SE0_AES1_CRYPTO_SECURITY_PERKEY_11) \
_op_(SE0_AES1_CRYPTO_SECURITY_PERKEY_12) \
_op_(SE0_AES1_CRYPTO_SECURITY_PERKEY_13) \
_op_(SE0_AES1_CRYPTO_SECURITY_PERKEY_14) \
_op_(SE0_AES1_CRYPTO_SECURITY_PERKEY_15) \
_op_(SE0_AES1_CRYPTO_KEYTABLE_ACCESS_0) \
_op_(SE0_AES1_CRYPTO_KEYTABLE_ACCESS) \
_op_(SE0_AES1_CRYPTO_KEYTABLE_ACCESS_1) \
_op_(SE0_AES1_CRYPTO_KEYTABLE_ACCESS_2) \
_op_(SE0_AES1_CRYPTO_KEYTABLE_ACCESS_3) \
_op_(SE0_AES1_CRYPTO_KEYTABLE_ACCESS_4) \
_op_(SE0_AES1_CRYPTO_KEYTABLE_ACCESS_5) \
_op_(SE0_AES1_CRYPTO_KEYTABLE_ACCESS_6) \
_op_(SE0_AES1_CRYPTO_KEYTABLE_ACCESS_7) \
_op_(SE0_AES1_CRYPTO_KEYTABLE_ACCESS_8) \
_op_(SE0_AES1_CRYPTO_KEYTABLE_ACCESS_9) \
_op_(SE0_AES1_CRYPTO_KEYTABLE_ACCESS_10) \
_op_(SE0_AES1_CRYPTO_KEYTABLE_ACCESS_11) \
_op_(SE0_AES1_CRYPTO_KEYTABLE_ACCESS_12) \
_op_(SE0_AES1_CRYPTO_KEYTABLE_ACCESS_13) \
_op_(SE0_AES1_CRYPTO_KEYTABLE_ACCESS_14) \
_op_(SE0_AES1_CRYPTO_KEYTABLE_ACCESS_15) \
_op_(SE0_AES1_CRYPTO_KEYTABLE_ADDR_0) \
_op_(SE0_AES1_CRYPTO_KEYTABLE_DATA_0) \
_op_(SE0_AES1_CMAC_RESULT_0) \
_op_(SE0_AES1_CMAC_RESULT) \
_op_(SE0_AES1_CMAC_RESULT_1) \
_op_(SE0_AES1_CMAC_RESULT_2) \
_op_(SE0_AES1_CMAC_RESULT_3) \
_op_(SE0_AES1_INT_ENABLE_0) \
_op_(SE0_AES1_INT_STATUS_0) \
_op_(SE0_AES1_STATUS_0) \
_op_(SE0_AES1_ERR_STATUS_0) \
_op_(SE0_RSA_GSCID_0) \
_op_(SE0_RSA_CONFIG_0) \
_op_(SE0_RSA_TASK_CONFIG_0) \
_op_(SE0_RSA_KEY_SIZE_0) \
_op_(SE0_RSA_EXP_SIZE_0) \
_op_(SE0_RSA_IN_ADDR_0) \
_op_(SE0_RSA_IN_ADDR_HI_0) \
_op_(SE0_RSA_OUT_ADDR_0) \
_op_(SE0_RSA_OUT_ADDR_HI_0) \
_op_(SE0_RSA_OPERATION_0) \
_op_(SE0_RSA_OUTPUT_0) \
_op_(SE0_RSA_OUTPUT) \
_op_(SE0_RSA_OUTPUT_1) \
_op_(SE0_RSA_OUTPUT_2) \
_op_(SE0_RSA_OUTPUT_3) \
_op_(SE0_RSA_OUTPUT_4) \
_op_(SE0_RSA_OUTPUT_5) \
_op_(SE0_RSA_OUTPUT_6) \
_op_(SE0_RSA_OUTPUT_7) \
_op_(SE0_RSA_OUTPUT_8) \
_op_(SE0_RSA_OUTPUT_9) \
_op_(SE0_RSA_OUTPUT_10) \
_op_(SE0_RSA_OUTPUT_11) \
_op_(SE0_RSA_OUTPUT_12) \
_op_(SE0_RSA_OUTPUT_13) \
_op_(SE0_RSA_OUTPUT_14) \
_op_(SE0_RSA_OUTPUT_15) \
_op_(SE0_RSA_OUTPUT_16) \
_op_(SE0_RSA_OUTPUT_17) \
_op_(SE0_RSA_OUTPUT_18) \
_op_(SE0_RSA_OUTPUT_19) \
_op_(SE0_RSA_OUTPUT_20) \
_op_(SE0_RSA_OUTPUT_21) \
_op_(SE0_RSA_OUTPUT_22) \
_op_(SE0_RSA_OUTPUT_23) \
_op_(SE0_RSA_OUTPUT_24) \
_op_(SE0_RSA_OUTPUT_25) \
_op_(SE0_RSA_OUTPUT_26) \
_op_(SE0_RSA_OUTPUT_27) \
_op_(SE0_RSA_OUTPUT_28) \
_op_(SE0_RSA_OUTPUT_29) \
_op_(SE0_RSA_OUTPUT_30) \
_op_(SE0_RSA_OUTPUT_31) \
_op_(SE0_RSA_OUTPUT_32) \
_op_(SE0_RSA_OUTPUT_33) \
_op_(SE0_RSA_OUTPUT_34) \
_op_(SE0_RSA_OUTPUT_35) \
_op_(SE0_RSA_OUTPUT_36) \
_op_(SE0_RSA_OUTPUT_37) \
_op_(SE0_RSA_OUTPUT_38) \
_op_(SE0_RSA_OUTPUT_39) \
_op_(SE0_RSA_OUTPUT_40) \
_op_(SE0_RSA_OUTPUT_41) \
_op_(SE0_RSA_OUTPUT_42) \
_op_(SE0_RSA_OUTPUT_43) \
_op_(SE0_RSA_OUTPUT_44) \
_op_(SE0_RSA_OUTPUT_45) \
_op_(SE0_RSA_OUTPUT_46) \
_op_(SE0_RSA_OUTPUT_47) \
_op_(SE0_RSA_OUTPUT_48) \
_op_(SE0_RSA_OUTPUT_49) \
_op_(SE0_RSA_OUTPUT_50) \
_op_(SE0_RSA_OUTPUT_51) \
_op_(SE0_RSA_OUTPUT_52) \
_op_(SE0_RSA_OUTPUT_53) \
_op_(SE0_RSA_OUTPUT_54) \
_op_(SE0_RSA_OUTPUT_55) \
_op_(SE0_RSA_OUTPUT_56) \
_op_(SE0_RSA_OUTPUT_57) \
_op_(SE0_RSA_OUTPUT_58) \
_op_(SE0_RSA_OUTPUT_59) \
_op_(SE0_RSA_OUTPUT_60) \
_op_(SE0_RSA_OUTPUT_61) \
_op_(SE0_RSA_OUTPUT_62) \
_op_(SE0_RSA_OUTPUT_63) \
_op_(SE0_RSA_SECURITY_PERKEY_0) \
_op_(SE0_RSA_SECURITY_PERKEY) \
_op_(SE0_RSA_SECURITY_PERKEY_1) \
_op_(SE0_RSA_SECURITY_PERKEY_2) \
_op_(SE0_RSA_SECURITY_PERKEY_3) \
_op_(SE0_RSA_KEYTABLE_ACCESS_0) \
_op_(SE0_RSA_KEYTABLE_ACCESS) \
_op_(SE0_RSA_KEYTABLE_ACCESS_1) \
_op_(SE0_RSA_KEYTABLE_ACCESS_2) \
_op_(SE0_RSA_KEYTABLE_ACCESS_3) \
_op_(SE0_RSA_KEYTABLE_ADDR_0) \
_op_(SE0_RSA_KEYTABLE_DATA_0) \
_op_(SE0_RSA_INT_ENABLE_0) \
_op_(SE0_RSA_INT_STATUS_0) \
_op_(SE0_RSA_STATUS_0) \
_op_(SE0_RSA_ERR_STATUS_0) \

//
// ADDRESS SPACES
//

#define BASE_ADDRESS_SE0        0x00000000

//
// ARSE0 REGISTER BANKS
//

#define SE00_FIRST_REG 0x0000 // SE0_INCR_SYNCPT_0
#define SE00_LAST_REG 0x0010 // SE0_CTXSW_NEXT_0
#define SE01_FIRST_REG 0x0018 // SE0_SE_SECURITY_0
#define SE01_LAST_REG 0x0050 // SE0_MUTEX_REQUEST_RELEASE_0
#define SE02_LAST_REG 0x0070 // SE0_MUTEX_RR_STATUS_0
#define SE03_FIRST_REG 0x0080 // SE0_MUTEX_WATCHDOG_COUNTER_0
#define SE03_LAST_REG 0x00b4 // SE0_STREAMID_NS_0
#define SE04_FIRST_REG 0x0100 // SE0_SHA_GSCID_0
#define SE05_FIRST_REG 0x0200 // SE0_AES0_GSCID_0
#define SE06_FIRST_REG 0x0400 // SE0_AES1_GSCID_0
#define SE06_LAST_REG 0x0430 // SE0_AES1_CRYPTO_KEYTABLE_DST_0
#define SE07_FIRST_REG 0x0438 // SE0_AES1_OPERATION_0
#define SE07_LAST_REG 0x04d0 // SE0_AES1_CMAC_RESULT_3
#define SE09_FIRST_REG 0x04ec // SE0_AES1_INT_ENABLE_0
#define SE09_LAST_REG 0x04f8 // SE0_AES1_ERR_STATUS_0
#define SE010_FIRST_REG 0x0600 // SE0_RSA_GSCID_0
#define SE010_LAST_REG 0x0744 // SE0_RSA_KEYTABLE_ACCESS_3
#define SE011_FIRST_REG 0x074c // SE0_RSA_KEYTABLE_ADDR_0

// To satisfy various compilers and platforms,
// we let users control the types and syntax of certain constants, using macros.
#ifndef _MK_SHIFT_CONST
  #define _MK_SHIFT_CONST(_constant_) _constant_
#endif
#ifndef _MK_MASK_CONST
  #define _MK_MASK_CONST(_constant_) _constant_
#endif
#ifndef _MK_ENUM_CONST
  #define _MK_ENUM_CONST(_constant_) (_constant_ ## UL)
#endif
#ifndef _MK_ADDR_CONST
  #define _MK_ADDR_CONST(_constant_) _constant_
#endif
#ifndef _MK_FIELD_CONST
  #define _MK_FIELD_CONST(_mask_, _shift_) (_MK_MASK_CONST(_mask_) << _MK_SHIFT_CONST(_shift_))
#endif

#endif // ifndef ___ARSE0_H_INC_
