//
// Copyright (c) 2018 NVIDIA Corporation.
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are met:
//
// Redistributions of source code must retain the above copyright notice,
// this list of conditions and the following disclaimer.
//
// Redistributions in binary form must reproduce the above copyright notice,
// this list of conditions and the following disclaimer in the documentation
// and/or other materials provided with the distribution.
//
// Neither the name of the NVIDIA Corporation nor the names of its contributors
// may be used to endorse or promote products derived from this software
// without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
// ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
// LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
// CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
// SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
// INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
// CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
// POSSIBILITY OF SUCH DAMAGE.
//

//
// DO NOT EDIT - generated by simspec!
//

#ifndef ___ARWAKE_H_INC_
#define ___ARWAKE_H_INC_
#define NV_MOBILE_ARWAKE_H_UNIT_OF_OFFSET 1B


// Register WAKE_AOWAKE_CNTRL_0
#define WAKE_AOWAKE_CNTRL_0                     _MK_ADDR_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_0_SECURE                      0x0
#define WAKE_AOWAKE_CNTRL_0_DUAL                        0x0
#define WAKE_AOWAKE_CNTRL_0_SCR                         EVENT_CNTRL_SCR_0
#define WAKE_AOWAKE_CNTRL_0_WORD_COUNT                  0x1
#define WAKE_AOWAKE_CNTRL_0_RESET_VAL                   _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_0_RESET_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_0_READ_MASK                   _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_0_WRITE_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_0_DEBOUNCE_VAL_SHIFT                  _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_0_DEBOUNCE_VAL_FIELD                  _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_0_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_0_DEBOUNCE_VAL_RANGE                  15:8
#define WAKE_AOWAKE_CNTRL_0_DEBOUNCE_VAL_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_0_DEBOUNCE_VAL_DEFAULT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_0_DEBOUNCE_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_0_DEBOUNCE_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_0_DEBOUNCE_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_0_DEBOUNCE_VAL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_0_DEBOUNCE_VAL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_0_COAL_EN_SHIFT                       _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_0_COAL_EN_FIELD                       _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_0_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_0_COAL_EN_RANGE                       6:6
#define WAKE_AOWAKE_CNTRL_0_COAL_EN_WOFFSET                     0x0
#define WAKE_AOWAKE_CNTRL_0_COAL_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_0_COAL_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_0_COAL_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_0_COAL_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_0_COAL_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_0_COAL_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_0_COAL_EN_INIT_ENUM                   FALSE
#define WAKE_AOWAKE_CNTRL_0_COAL_EN_FALSE                       _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_0_COAL_EN_TRUE                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_0_COAL_GRP_SEL_SHIFT                  _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_0_COAL_GRP_SEL_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_0_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_0_COAL_GRP_SEL_RANGE                  5:5
#define WAKE_AOWAKE_CNTRL_0_COAL_GRP_SEL_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_0_COAL_GRP_SEL_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_0_COAL_GRP_SEL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_0_COAL_GRP_SEL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_0_COAL_GRP_SEL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_0_COAL_GRP_SEL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_0_COAL_GRP_SEL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_0_COAL_GRP_SEL_INIT_ENUM                      GROUP0
#define WAKE_AOWAKE_CNTRL_0_COAL_GRP_SEL_GROUP0                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_0_COAL_GRP_SEL_GROUP1                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_0_LEVEL_SHIFT                 _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_0_LEVEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_0_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_0_LEVEL_RANGE                 3:3
#define WAKE_AOWAKE_CNTRL_0_LEVEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_0_LEVEL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_0_LEVEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_0_LEVEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_0_LEVEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_0_LEVEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_0_LEVEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_0_LEVEL_INIT_ENUM                     HIGH
#define WAKE_AOWAKE_CNTRL_0_LEVEL_LOW                   _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_0_LEVEL_HIGH                  _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_0_DEBOUNCE_EN_SHIFT                   _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_0_DEBOUNCE_EN_FIELD                   _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_0_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_0_DEBOUNCE_EN_RANGE                   2:2
#define WAKE_AOWAKE_CNTRL_0_DEBOUNCE_EN_WOFFSET                 0x0
#define WAKE_AOWAKE_CNTRL_0_DEBOUNCE_EN_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_0_DEBOUNCE_EN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_0_DEBOUNCE_EN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_0_DEBOUNCE_EN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_0_DEBOUNCE_EN_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_0_DEBOUNCE_EN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_0_DEBOUNCE_EN_INIT_ENUM                       FALSE
#define WAKE_AOWAKE_CNTRL_0_DEBOUNCE_EN_FALSE                   _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_0_DEBOUNCE_EN_TRUE                    _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_0_SR_CAPTURE_EN_SHIFT                 _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_0_SR_CAPTURE_EN_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_0_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_0_SR_CAPTURE_EN_RANGE                 1:1
#define WAKE_AOWAKE_CNTRL_0_SR_CAPTURE_EN_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_0_SR_CAPTURE_EN_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_0_SR_CAPTURE_EN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_0_SR_CAPTURE_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_0_SR_CAPTURE_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_0_SR_CAPTURE_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_0_SR_CAPTURE_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_0_SR_CAPTURE_EN_INIT_ENUM                     FALSE
#define WAKE_AOWAKE_CNTRL_0_SR_CAPTURE_EN_FALSE                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_0_SR_CAPTURE_EN_TRUE                  _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_0_DELAY_FILTER_EN_SHIFT                       _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_0_DELAY_FILTER_EN_FIELD                       _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_0_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_0_DELAY_FILTER_EN_RANGE                       0:0
#define WAKE_AOWAKE_CNTRL_0_DELAY_FILTER_EN_WOFFSET                     0x0
#define WAKE_AOWAKE_CNTRL_0_DELAY_FILTER_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_0_DELAY_FILTER_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_0_DELAY_FILTER_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_0_DELAY_FILTER_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_0_DELAY_FILTER_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_0_DELAY_FILTER_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_0_DELAY_FILTER_EN_INIT_ENUM                   FALSE
#define WAKE_AOWAKE_CNTRL_0_DELAY_FILTER_EN_FALSE                       _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_0_DELAY_FILTER_EN_TRUE                        _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL
#define WAKE_AOWAKE_CNTRL                       _MK_ADDR_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_SECURE                        0x0
#define WAKE_AOWAKE_CNTRL_DUAL                  0x0
#define WAKE_AOWAKE_CNTRL_SCR                   EVENT_CNTRL_SCR_0
#define WAKE_AOWAKE_CNTRL_WORD_COUNT                    0x1
#define WAKE_AOWAKE_CNTRL_RESET_VAL                     _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_RESET_MASK                    _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_READ_MASK                     _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_WRITE_MASK                    _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_DEBOUNCE_VAL_SHIFT                    _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_DEBOUNCE_VAL_FIELD                    _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_DEBOUNCE_VAL_RANGE                    15:8
#define WAKE_AOWAKE_CNTRL_DEBOUNCE_VAL_WOFFSET                  0x0
#define WAKE_AOWAKE_CNTRL_DEBOUNCE_VAL_DEFAULT                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_DEBOUNCE_VAL_DEFAULT_MASK                     _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_DEBOUNCE_VAL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_DEBOUNCE_VAL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_DEBOUNCE_VAL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_DEBOUNCE_VAL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_COAL_EN_SHIFT                 _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_COAL_EN_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_COAL_EN_RANGE                 6:6
#define WAKE_AOWAKE_CNTRL_COAL_EN_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_COAL_EN_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_COAL_EN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_COAL_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_COAL_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_COAL_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_COAL_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_COAL_EN_INIT_ENUM                     FALSE
#define WAKE_AOWAKE_CNTRL_COAL_EN_FALSE                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_COAL_EN_TRUE                  _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_COAL_GRP_SEL_SHIFT                    _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_COAL_GRP_SEL_FIELD                    _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_COAL_GRP_SEL_RANGE                    5:5
#define WAKE_AOWAKE_CNTRL_COAL_GRP_SEL_WOFFSET                  0x0
#define WAKE_AOWAKE_CNTRL_COAL_GRP_SEL_DEFAULT                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_COAL_GRP_SEL_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_COAL_GRP_SEL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_COAL_GRP_SEL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_COAL_GRP_SEL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_COAL_GRP_SEL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_COAL_GRP_SEL_INIT_ENUM                        GROUP0
#define WAKE_AOWAKE_CNTRL_COAL_GRP_SEL_GROUP0                   _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_COAL_GRP_SEL_GROUP1                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_LEVEL_SHIFT                   _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_LEVEL_FIELD                   _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_LEVEL_RANGE                   3:3
#define WAKE_AOWAKE_CNTRL_LEVEL_WOFFSET                 0x0
#define WAKE_AOWAKE_CNTRL_LEVEL_DEFAULT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_LEVEL_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_LEVEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_LEVEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_LEVEL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_LEVEL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_LEVEL_INIT_ENUM                       HIGH
#define WAKE_AOWAKE_CNTRL_LEVEL_LOW                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_LEVEL_HIGH                    _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_DEBOUNCE_EN_SHIFT                     _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_DEBOUNCE_EN_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_DEBOUNCE_EN_RANGE                     2:2
#define WAKE_AOWAKE_CNTRL_DEBOUNCE_EN_WOFFSET                   0x0
#define WAKE_AOWAKE_CNTRL_DEBOUNCE_EN_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_DEBOUNCE_EN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_DEBOUNCE_EN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_DEBOUNCE_EN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_DEBOUNCE_EN_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_DEBOUNCE_EN_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_DEBOUNCE_EN_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_CNTRL_DEBOUNCE_EN_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_DEBOUNCE_EN_TRUE                      _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_SR_CAPTURE_EN_SHIFT                   _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_SR_CAPTURE_EN_FIELD                   _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_SR_CAPTURE_EN_RANGE                   1:1
#define WAKE_AOWAKE_CNTRL_SR_CAPTURE_EN_WOFFSET                 0x0
#define WAKE_AOWAKE_CNTRL_SR_CAPTURE_EN_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_SR_CAPTURE_EN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_SR_CAPTURE_EN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_SR_CAPTURE_EN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_SR_CAPTURE_EN_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_SR_CAPTURE_EN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_SR_CAPTURE_EN_INIT_ENUM                       FALSE
#define WAKE_AOWAKE_CNTRL_SR_CAPTURE_EN_FALSE                   _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_SR_CAPTURE_EN_TRUE                    _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_DELAY_FILTER_EN_SHIFT                 _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_DELAY_FILTER_EN_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_DELAY_FILTER_EN_RANGE                 0:0
#define WAKE_AOWAKE_CNTRL_DELAY_FILTER_EN_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_DELAY_FILTER_EN_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_DELAY_FILTER_EN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_DELAY_FILTER_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_DELAY_FILTER_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_DELAY_FILTER_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_DELAY_FILTER_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_DELAY_FILTER_EN_INIT_ENUM                     FALSE
#define WAKE_AOWAKE_CNTRL_DELAY_FILTER_EN_FALSE                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_DELAY_FILTER_EN_TRUE                  _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_1
#define WAKE_AOWAKE_CNTRL_1                     _MK_ADDR_CONST(0x4)
#define WAKE_AOWAKE_CNTRL_1_SECURE                      0x0
#define WAKE_AOWAKE_CNTRL_1_DUAL                        0x0
#define WAKE_AOWAKE_CNTRL_1_SCR                         EVENT_CNTRL_SCR_1
#define WAKE_AOWAKE_CNTRL_1_WORD_COUNT                  0x1
#define WAKE_AOWAKE_CNTRL_1_RESET_VAL                   _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_1_RESET_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_1_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_1_READ_MASK                   _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_1_WRITE_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_1_DEBOUNCE_VAL_SHIFT                  _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_1_DEBOUNCE_VAL_FIELD                  _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_1_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_1_DEBOUNCE_VAL_RANGE                  15:8
#define WAKE_AOWAKE_CNTRL_1_DEBOUNCE_VAL_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_1_DEBOUNCE_VAL_DEFAULT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_1_DEBOUNCE_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_1_DEBOUNCE_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_1_DEBOUNCE_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_1_DEBOUNCE_VAL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_1_DEBOUNCE_VAL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_1_COAL_EN_SHIFT                       _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_1_COAL_EN_FIELD                       _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_1_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_1_COAL_EN_RANGE                       6:6
#define WAKE_AOWAKE_CNTRL_1_COAL_EN_WOFFSET                     0x0
#define WAKE_AOWAKE_CNTRL_1_COAL_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_1_COAL_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_1_COAL_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_1_COAL_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_1_COAL_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_1_COAL_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_1_COAL_EN_INIT_ENUM                   FALSE
#define WAKE_AOWAKE_CNTRL_1_COAL_EN_FALSE                       _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_1_COAL_EN_TRUE                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_1_COAL_GRP_SEL_SHIFT                  _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_1_COAL_GRP_SEL_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_1_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_1_COAL_GRP_SEL_RANGE                  5:5
#define WAKE_AOWAKE_CNTRL_1_COAL_GRP_SEL_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_1_COAL_GRP_SEL_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_1_COAL_GRP_SEL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_1_COAL_GRP_SEL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_1_COAL_GRP_SEL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_1_COAL_GRP_SEL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_1_COAL_GRP_SEL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_1_COAL_GRP_SEL_INIT_ENUM                      GROUP0
#define WAKE_AOWAKE_CNTRL_1_COAL_GRP_SEL_GROUP0                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_1_COAL_GRP_SEL_GROUP1                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_1_LEVEL_SHIFT                 _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_1_LEVEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_1_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_1_LEVEL_RANGE                 3:3
#define WAKE_AOWAKE_CNTRL_1_LEVEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_1_LEVEL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_1_LEVEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_1_LEVEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_1_LEVEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_1_LEVEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_1_LEVEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_1_LEVEL_INIT_ENUM                     HIGH
#define WAKE_AOWAKE_CNTRL_1_LEVEL_LOW                   _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_1_LEVEL_HIGH                  _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_1_DEBOUNCE_EN_SHIFT                   _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_1_DEBOUNCE_EN_FIELD                   _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_1_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_1_DEBOUNCE_EN_RANGE                   2:2
#define WAKE_AOWAKE_CNTRL_1_DEBOUNCE_EN_WOFFSET                 0x0
#define WAKE_AOWAKE_CNTRL_1_DEBOUNCE_EN_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_1_DEBOUNCE_EN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_1_DEBOUNCE_EN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_1_DEBOUNCE_EN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_1_DEBOUNCE_EN_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_1_DEBOUNCE_EN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_1_DEBOUNCE_EN_INIT_ENUM                       FALSE
#define WAKE_AOWAKE_CNTRL_1_DEBOUNCE_EN_FALSE                   _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_1_DEBOUNCE_EN_TRUE                    _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_1_SR_CAPTURE_EN_SHIFT                 _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_1_SR_CAPTURE_EN_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_1_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_1_SR_CAPTURE_EN_RANGE                 1:1
#define WAKE_AOWAKE_CNTRL_1_SR_CAPTURE_EN_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_1_SR_CAPTURE_EN_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_1_SR_CAPTURE_EN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_1_SR_CAPTURE_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_1_SR_CAPTURE_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_1_SR_CAPTURE_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_1_SR_CAPTURE_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_1_SR_CAPTURE_EN_INIT_ENUM                     FALSE
#define WAKE_AOWAKE_CNTRL_1_SR_CAPTURE_EN_FALSE                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_1_SR_CAPTURE_EN_TRUE                  _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_1_DELAY_FILTER_EN_SHIFT                       _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_1_DELAY_FILTER_EN_FIELD                       _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_1_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_1_DELAY_FILTER_EN_RANGE                       0:0
#define WAKE_AOWAKE_CNTRL_1_DELAY_FILTER_EN_WOFFSET                     0x0
#define WAKE_AOWAKE_CNTRL_1_DELAY_FILTER_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_1_DELAY_FILTER_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_1_DELAY_FILTER_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_1_DELAY_FILTER_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_1_DELAY_FILTER_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_1_DELAY_FILTER_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_1_DELAY_FILTER_EN_INIT_ENUM                   FALSE
#define WAKE_AOWAKE_CNTRL_1_DELAY_FILTER_EN_FALSE                       _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_1_DELAY_FILTER_EN_TRUE                        _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_2
#define WAKE_AOWAKE_CNTRL_2                     _MK_ADDR_CONST(0x8)
#define WAKE_AOWAKE_CNTRL_2_SECURE                      0x0
#define WAKE_AOWAKE_CNTRL_2_DUAL                        0x0
#define WAKE_AOWAKE_CNTRL_2_SCR                         EVENT_CNTRL_SCR_2
#define WAKE_AOWAKE_CNTRL_2_WORD_COUNT                  0x1
#define WAKE_AOWAKE_CNTRL_2_RESET_VAL                   _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_2_RESET_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_2_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_2_READ_MASK                   _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_2_WRITE_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_2_DEBOUNCE_VAL_SHIFT                  _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_2_DEBOUNCE_VAL_FIELD                  _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_2_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_2_DEBOUNCE_VAL_RANGE                  15:8
#define WAKE_AOWAKE_CNTRL_2_DEBOUNCE_VAL_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_2_DEBOUNCE_VAL_DEFAULT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_2_DEBOUNCE_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_2_DEBOUNCE_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_2_DEBOUNCE_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_2_DEBOUNCE_VAL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_2_DEBOUNCE_VAL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_2_COAL_EN_SHIFT                       _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_2_COAL_EN_FIELD                       _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_2_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_2_COAL_EN_RANGE                       6:6
#define WAKE_AOWAKE_CNTRL_2_COAL_EN_WOFFSET                     0x0
#define WAKE_AOWAKE_CNTRL_2_COAL_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_2_COAL_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_2_COAL_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_2_COAL_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_2_COAL_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_2_COAL_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_2_COAL_EN_INIT_ENUM                   FALSE
#define WAKE_AOWAKE_CNTRL_2_COAL_EN_FALSE                       _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_2_COAL_EN_TRUE                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_2_COAL_GRP_SEL_SHIFT                  _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_2_COAL_GRP_SEL_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_2_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_2_COAL_GRP_SEL_RANGE                  5:5
#define WAKE_AOWAKE_CNTRL_2_COAL_GRP_SEL_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_2_COAL_GRP_SEL_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_2_COAL_GRP_SEL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_2_COAL_GRP_SEL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_2_COAL_GRP_SEL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_2_COAL_GRP_SEL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_2_COAL_GRP_SEL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_2_COAL_GRP_SEL_INIT_ENUM                      GROUP0
#define WAKE_AOWAKE_CNTRL_2_COAL_GRP_SEL_GROUP0                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_2_COAL_GRP_SEL_GROUP1                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_2_LEVEL_SHIFT                 _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_2_LEVEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_2_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_2_LEVEL_RANGE                 3:3
#define WAKE_AOWAKE_CNTRL_2_LEVEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_2_LEVEL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_2_LEVEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_2_LEVEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_2_LEVEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_2_LEVEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_2_LEVEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_2_LEVEL_INIT_ENUM                     HIGH
#define WAKE_AOWAKE_CNTRL_2_LEVEL_LOW                   _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_2_LEVEL_HIGH                  _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_2_DEBOUNCE_EN_SHIFT                   _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_2_DEBOUNCE_EN_FIELD                   _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_2_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_2_DEBOUNCE_EN_RANGE                   2:2
#define WAKE_AOWAKE_CNTRL_2_DEBOUNCE_EN_WOFFSET                 0x0
#define WAKE_AOWAKE_CNTRL_2_DEBOUNCE_EN_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_2_DEBOUNCE_EN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_2_DEBOUNCE_EN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_2_DEBOUNCE_EN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_2_DEBOUNCE_EN_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_2_DEBOUNCE_EN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_2_DEBOUNCE_EN_INIT_ENUM                       FALSE
#define WAKE_AOWAKE_CNTRL_2_DEBOUNCE_EN_FALSE                   _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_2_DEBOUNCE_EN_TRUE                    _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_2_SR_CAPTURE_EN_SHIFT                 _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_2_SR_CAPTURE_EN_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_2_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_2_SR_CAPTURE_EN_RANGE                 1:1
#define WAKE_AOWAKE_CNTRL_2_SR_CAPTURE_EN_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_2_SR_CAPTURE_EN_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_2_SR_CAPTURE_EN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_2_SR_CAPTURE_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_2_SR_CAPTURE_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_2_SR_CAPTURE_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_2_SR_CAPTURE_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_2_SR_CAPTURE_EN_INIT_ENUM                     FALSE
#define WAKE_AOWAKE_CNTRL_2_SR_CAPTURE_EN_FALSE                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_2_SR_CAPTURE_EN_TRUE                  _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_2_DELAY_FILTER_EN_SHIFT                       _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_2_DELAY_FILTER_EN_FIELD                       _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_2_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_2_DELAY_FILTER_EN_RANGE                       0:0
#define WAKE_AOWAKE_CNTRL_2_DELAY_FILTER_EN_WOFFSET                     0x0
#define WAKE_AOWAKE_CNTRL_2_DELAY_FILTER_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_2_DELAY_FILTER_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_2_DELAY_FILTER_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_2_DELAY_FILTER_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_2_DELAY_FILTER_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_2_DELAY_FILTER_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_2_DELAY_FILTER_EN_INIT_ENUM                   FALSE
#define WAKE_AOWAKE_CNTRL_2_DELAY_FILTER_EN_FALSE                       _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_2_DELAY_FILTER_EN_TRUE                        _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_3
#define WAKE_AOWAKE_CNTRL_3                     _MK_ADDR_CONST(0xc)
#define WAKE_AOWAKE_CNTRL_3_SECURE                      0x0
#define WAKE_AOWAKE_CNTRL_3_DUAL                        0x0
#define WAKE_AOWAKE_CNTRL_3_SCR                         EVENT_CNTRL_SCR_3
#define WAKE_AOWAKE_CNTRL_3_WORD_COUNT                  0x1
#define WAKE_AOWAKE_CNTRL_3_RESET_VAL                   _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_3_RESET_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_3_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_3_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_3_READ_MASK                   _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_3_WRITE_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_3_DEBOUNCE_VAL_SHIFT                  _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_3_DEBOUNCE_VAL_FIELD                  _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_3_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_3_DEBOUNCE_VAL_RANGE                  15:8
#define WAKE_AOWAKE_CNTRL_3_DEBOUNCE_VAL_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_3_DEBOUNCE_VAL_DEFAULT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_3_DEBOUNCE_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_3_DEBOUNCE_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_3_DEBOUNCE_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_3_DEBOUNCE_VAL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_3_DEBOUNCE_VAL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_3_COAL_EN_SHIFT                       _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_3_COAL_EN_FIELD                       _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_3_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_3_COAL_EN_RANGE                       6:6
#define WAKE_AOWAKE_CNTRL_3_COAL_EN_WOFFSET                     0x0
#define WAKE_AOWAKE_CNTRL_3_COAL_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_3_COAL_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_3_COAL_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_3_COAL_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_3_COAL_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_3_COAL_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_3_COAL_EN_INIT_ENUM                   FALSE
#define WAKE_AOWAKE_CNTRL_3_COAL_EN_FALSE                       _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_3_COAL_EN_TRUE                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_3_COAL_GRP_SEL_SHIFT                  _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_3_COAL_GRP_SEL_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_3_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_3_COAL_GRP_SEL_RANGE                  5:5
#define WAKE_AOWAKE_CNTRL_3_COAL_GRP_SEL_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_3_COAL_GRP_SEL_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_3_COAL_GRP_SEL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_3_COAL_GRP_SEL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_3_COAL_GRP_SEL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_3_COAL_GRP_SEL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_3_COAL_GRP_SEL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_3_COAL_GRP_SEL_INIT_ENUM                      GROUP0
#define WAKE_AOWAKE_CNTRL_3_COAL_GRP_SEL_GROUP0                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_3_COAL_GRP_SEL_GROUP1                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_3_LEVEL_SHIFT                 _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_3_LEVEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_3_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_3_LEVEL_RANGE                 3:3
#define WAKE_AOWAKE_CNTRL_3_LEVEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_3_LEVEL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_3_LEVEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_3_LEVEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_3_LEVEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_3_LEVEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_3_LEVEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_3_LEVEL_INIT_ENUM                     HIGH
#define WAKE_AOWAKE_CNTRL_3_LEVEL_LOW                   _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_3_LEVEL_HIGH                  _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_3_DEBOUNCE_EN_SHIFT                   _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_3_DEBOUNCE_EN_FIELD                   _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_3_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_3_DEBOUNCE_EN_RANGE                   2:2
#define WAKE_AOWAKE_CNTRL_3_DEBOUNCE_EN_WOFFSET                 0x0
#define WAKE_AOWAKE_CNTRL_3_DEBOUNCE_EN_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_3_DEBOUNCE_EN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_3_DEBOUNCE_EN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_3_DEBOUNCE_EN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_3_DEBOUNCE_EN_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_3_DEBOUNCE_EN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_3_DEBOUNCE_EN_INIT_ENUM                       FALSE
#define WAKE_AOWAKE_CNTRL_3_DEBOUNCE_EN_FALSE                   _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_3_DEBOUNCE_EN_TRUE                    _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_3_SR_CAPTURE_EN_SHIFT                 _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_3_SR_CAPTURE_EN_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_3_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_3_SR_CAPTURE_EN_RANGE                 1:1
#define WAKE_AOWAKE_CNTRL_3_SR_CAPTURE_EN_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_3_SR_CAPTURE_EN_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_3_SR_CAPTURE_EN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_3_SR_CAPTURE_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_3_SR_CAPTURE_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_3_SR_CAPTURE_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_3_SR_CAPTURE_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_3_SR_CAPTURE_EN_INIT_ENUM                     FALSE
#define WAKE_AOWAKE_CNTRL_3_SR_CAPTURE_EN_FALSE                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_3_SR_CAPTURE_EN_TRUE                  _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_3_DELAY_FILTER_EN_SHIFT                       _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_3_DELAY_FILTER_EN_FIELD                       _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_3_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_3_DELAY_FILTER_EN_RANGE                       0:0
#define WAKE_AOWAKE_CNTRL_3_DELAY_FILTER_EN_WOFFSET                     0x0
#define WAKE_AOWAKE_CNTRL_3_DELAY_FILTER_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_3_DELAY_FILTER_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_3_DELAY_FILTER_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_3_DELAY_FILTER_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_3_DELAY_FILTER_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_3_DELAY_FILTER_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_3_DELAY_FILTER_EN_INIT_ENUM                   FALSE
#define WAKE_AOWAKE_CNTRL_3_DELAY_FILTER_EN_FALSE                       _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_3_DELAY_FILTER_EN_TRUE                        _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_4
#define WAKE_AOWAKE_CNTRL_4                     _MK_ADDR_CONST(0x10)
#define WAKE_AOWAKE_CNTRL_4_SECURE                      0x0
#define WAKE_AOWAKE_CNTRL_4_DUAL                        0x0
#define WAKE_AOWAKE_CNTRL_4_SCR                         EVENT_CNTRL_SCR_4
#define WAKE_AOWAKE_CNTRL_4_WORD_COUNT                  0x1
#define WAKE_AOWAKE_CNTRL_4_RESET_VAL                   _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_4_RESET_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_4_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_4_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_4_READ_MASK                   _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_4_WRITE_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_4_DEBOUNCE_VAL_SHIFT                  _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_4_DEBOUNCE_VAL_FIELD                  _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_4_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_4_DEBOUNCE_VAL_RANGE                  15:8
#define WAKE_AOWAKE_CNTRL_4_DEBOUNCE_VAL_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_4_DEBOUNCE_VAL_DEFAULT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_4_DEBOUNCE_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_4_DEBOUNCE_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_4_DEBOUNCE_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_4_DEBOUNCE_VAL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_4_DEBOUNCE_VAL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_4_COAL_EN_SHIFT                       _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_4_COAL_EN_FIELD                       _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_4_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_4_COAL_EN_RANGE                       6:6
#define WAKE_AOWAKE_CNTRL_4_COAL_EN_WOFFSET                     0x0
#define WAKE_AOWAKE_CNTRL_4_COAL_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_4_COAL_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_4_COAL_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_4_COAL_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_4_COAL_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_4_COAL_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_4_COAL_EN_INIT_ENUM                   FALSE
#define WAKE_AOWAKE_CNTRL_4_COAL_EN_FALSE                       _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_4_COAL_EN_TRUE                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_4_COAL_GRP_SEL_SHIFT                  _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_4_COAL_GRP_SEL_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_4_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_4_COAL_GRP_SEL_RANGE                  5:5
#define WAKE_AOWAKE_CNTRL_4_COAL_GRP_SEL_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_4_COAL_GRP_SEL_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_4_COAL_GRP_SEL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_4_COAL_GRP_SEL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_4_COAL_GRP_SEL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_4_COAL_GRP_SEL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_4_COAL_GRP_SEL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_4_COAL_GRP_SEL_INIT_ENUM                      GROUP0
#define WAKE_AOWAKE_CNTRL_4_COAL_GRP_SEL_GROUP0                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_4_COAL_GRP_SEL_GROUP1                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_4_LEVEL_SHIFT                 _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_4_LEVEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_4_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_4_LEVEL_RANGE                 3:3
#define WAKE_AOWAKE_CNTRL_4_LEVEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_4_LEVEL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_4_LEVEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_4_LEVEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_4_LEVEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_4_LEVEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_4_LEVEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_4_LEVEL_INIT_ENUM                     HIGH
#define WAKE_AOWAKE_CNTRL_4_LEVEL_LOW                   _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_4_LEVEL_HIGH                  _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_4_DEBOUNCE_EN_SHIFT                   _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_4_DEBOUNCE_EN_FIELD                   _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_4_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_4_DEBOUNCE_EN_RANGE                   2:2
#define WAKE_AOWAKE_CNTRL_4_DEBOUNCE_EN_WOFFSET                 0x0
#define WAKE_AOWAKE_CNTRL_4_DEBOUNCE_EN_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_4_DEBOUNCE_EN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_4_DEBOUNCE_EN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_4_DEBOUNCE_EN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_4_DEBOUNCE_EN_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_4_DEBOUNCE_EN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_4_DEBOUNCE_EN_INIT_ENUM                       FALSE
#define WAKE_AOWAKE_CNTRL_4_DEBOUNCE_EN_FALSE                   _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_4_DEBOUNCE_EN_TRUE                    _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_4_SR_CAPTURE_EN_SHIFT                 _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_4_SR_CAPTURE_EN_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_4_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_4_SR_CAPTURE_EN_RANGE                 1:1
#define WAKE_AOWAKE_CNTRL_4_SR_CAPTURE_EN_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_4_SR_CAPTURE_EN_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_4_SR_CAPTURE_EN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_4_SR_CAPTURE_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_4_SR_CAPTURE_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_4_SR_CAPTURE_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_4_SR_CAPTURE_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_4_SR_CAPTURE_EN_INIT_ENUM                     FALSE
#define WAKE_AOWAKE_CNTRL_4_SR_CAPTURE_EN_FALSE                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_4_SR_CAPTURE_EN_TRUE                  _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_4_DELAY_FILTER_EN_SHIFT                       _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_4_DELAY_FILTER_EN_FIELD                       _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_4_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_4_DELAY_FILTER_EN_RANGE                       0:0
#define WAKE_AOWAKE_CNTRL_4_DELAY_FILTER_EN_WOFFSET                     0x0
#define WAKE_AOWAKE_CNTRL_4_DELAY_FILTER_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_4_DELAY_FILTER_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_4_DELAY_FILTER_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_4_DELAY_FILTER_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_4_DELAY_FILTER_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_4_DELAY_FILTER_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_4_DELAY_FILTER_EN_INIT_ENUM                   FALSE
#define WAKE_AOWAKE_CNTRL_4_DELAY_FILTER_EN_FALSE                       _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_4_DELAY_FILTER_EN_TRUE                        _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_5
#define WAKE_AOWAKE_CNTRL_5                     _MK_ADDR_CONST(0x14)
#define WAKE_AOWAKE_CNTRL_5_SECURE                      0x0
#define WAKE_AOWAKE_CNTRL_5_DUAL                        0x0
#define WAKE_AOWAKE_CNTRL_5_SCR                         EVENT_CNTRL_SCR_5
#define WAKE_AOWAKE_CNTRL_5_WORD_COUNT                  0x1
#define WAKE_AOWAKE_CNTRL_5_RESET_VAL                   _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_5_RESET_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_5_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_5_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_5_READ_MASK                   _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_5_WRITE_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_5_DEBOUNCE_VAL_SHIFT                  _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_5_DEBOUNCE_VAL_FIELD                  _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_5_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_5_DEBOUNCE_VAL_RANGE                  15:8
#define WAKE_AOWAKE_CNTRL_5_DEBOUNCE_VAL_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_5_DEBOUNCE_VAL_DEFAULT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_5_DEBOUNCE_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_5_DEBOUNCE_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_5_DEBOUNCE_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_5_DEBOUNCE_VAL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_5_DEBOUNCE_VAL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_5_COAL_EN_SHIFT                       _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_5_COAL_EN_FIELD                       _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_5_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_5_COAL_EN_RANGE                       6:6
#define WAKE_AOWAKE_CNTRL_5_COAL_EN_WOFFSET                     0x0
#define WAKE_AOWAKE_CNTRL_5_COAL_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_5_COAL_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_5_COAL_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_5_COAL_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_5_COAL_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_5_COAL_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_5_COAL_EN_INIT_ENUM                   FALSE
#define WAKE_AOWAKE_CNTRL_5_COAL_EN_FALSE                       _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_5_COAL_EN_TRUE                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_5_COAL_GRP_SEL_SHIFT                  _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_5_COAL_GRP_SEL_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_5_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_5_COAL_GRP_SEL_RANGE                  5:5
#define WAKE_AOWAKE_CNTRL_5_COAL_GRP_SEL_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_5_COAL_GRP_SEL_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_5_COAL_GRP_SEL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_5_COAL_GRP_SEL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_5_COAL_GRP_SEL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_5_COAL_GRP_SEL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_5_COAL_GRP_SEL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_5_COAL_GRP_SEL_INIT_ENUM                      GROUP0
#define WAKE_AOWAKE_CNTRL_5_COAL_GRP_SEL_GROUP0                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_5_COAL_GRP_SEL_GROUP1                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_5_LEVEL_SHIFT                 _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_5_LEVEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_5_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_5_LEVEL_RANGE                 3:3
#define WAKE_AOWAKE_CNTRL_5_LEVEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_5_LEVEL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_5_LEVEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_5_LEVEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_5_LEVEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_5_LEVEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_5_LEVEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_5_LEVEL_INIT_ENUM                     HIGH
#define WAKE_AOWAKE_CNTRL_5_LEVEL_LOW                   _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_5_LEVEL_HIGH                  _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_5_DEBOUNCE_EN_SHIFT                   _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_5_DEBOUNCE_EN_FIELD                   _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_5_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_5_DEBOUNCE_EN_RANGE                   2:2
#define WAKE_AOWAKE_CNTRL_5_DEBOUNCE_EN_WOFFSET                 0x0
#define WAKE_AOWAKE_CNTRL_5_DEBOUNCE_EN_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_5_DEBOUNCE_EN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_5_DEBOUNCE_EN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_5_DEBOUNCE_EN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_5_DEBOUNCE_EN_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_5_DEBOUNCE_EN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_5_DEBOUNCE_EN_INIT_ENUM                       FALSE
#define WAKE_AOWAKE_CNTRL_5_DEBOUNCE_EN_FALSE                   _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_5_DEBOUNCE_EN_TRUE                    _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_5_SR_CAPTURE_EN_SHIFT                 _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_5_SR_CAPTURE_EN_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_5_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_5_SR_CAPTURE_EN_RANGE                 1:1
#define WAKE_AOWAKE_CNTRL_5_SR_CAPTURE_EN_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_5_SR_CAPTURE_EN_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_5_SR_CAPTURE_EN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_5_SR_CAPTURE_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_5_SR_CAPTURE_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_5_SR_CAPTURE_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_5_SR_CAPTURE_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_5_SR_CAPTURE_EN_INIT_ENUM                     FALSE
#define WAKE_AOWAKE_CNTRL_5_SR_CAPTURE_EN_FALSE                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_5_SR_CAPTURE_EN_TRUE                  _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_5_DELAY_FILTER_EN_SHIFT                       _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_5_DELAY_FILTER_EN_FIELD                       _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_5_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_5_DELAY_FILTER_EN_RANGE                       0:0
#define WAKE_AOWAKE_CNTRL_5_DELAY_FILTER_EN_WOFFSET                     0x0
#define WAKE_AOWAKE_CNTRL_5_DELAY_FILTER_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_5_DELAY_FILTER_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_5_DELAY_FILTER_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_5_DELAY_FILTER_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_5_DELAY_FILTER_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_5_DELAY_FILTER_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_5_DELAY_FILTER_EN_INIT_ENUM                   FALSE
#define WAKE_AOWAKE_CNTRL_5_DELAY_FILTER_EN_FALSE                       _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_5_DELAY_FILTER_EN_TRUE                        _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_6
#define WAKE_AOWAKE_CNTRL_6                     _MK_ADDR_CONST(0x18)
#define WAKE_AOWAKE_CNTRL_6_SECURE                      0x0
#define WAKE_AOWAKE_CNTRL_6_DUAL                        0x0
#define WAKE_AOWAKE_CNTRL_6_SCR                         EVENT_CNTRL_SCR_6
#define WAKE_AOWAKE_CNTRL_6_WORD_COUNT                  0x1
#define WAKE_AOWAKE_CNTRL_6_RESET_VAL                   _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_6_RESET_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_6_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_6_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_6_READ_MASK                   _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_6_WRITE_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_6_DEBOUNCE_VAL_SHIFT                  _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_6_DEBOUNCE_VAL_FIELD                  _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_6_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_6_DEBOUNCE_VAL_RANGE                  15:8
#define WAKE_AOWAKE_CNTRL_6_DEBOUNCE_VAL_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_6_DEBOUNCE_VAL_DEFAULT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_6_DEBOUNCE_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_6_DEBOUNCE_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_6_DEBOUNCE_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_6_DEBOUNCE_VAL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_6_DEBOUNCE_VAL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_6_COAL_EN_SHIFT                       _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_6_COAL_EN_FIELD                       _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_6_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_6_COAL_EN_RANGE                       6:6
#define WAKE_AOWAKE_CNTRL_6_COAL_EN_WOFFSET                     0x0
#define WAKE_AOWAKE_CNTRL_6_COAL_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_6_COAL_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_6_COAL_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_6_COAL_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_6_COAL_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_6_COAL_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_6_COAL_EN_INIT_ENUM                   FALSE
#define WAKE_AOWAKE_CNTRL_6_COAL_EN_FALSE                       _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_6_COAL_EN_TRUE                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_6_COAL_GRP_SEL_SHIFT                  _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_6_COAL_GRP_SEL_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_6_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_6_COAL_GRP_SEL_RANGE                  5:5
#define WAKE_AOWAKE_CNTRL_6_COAL_GRP_SEL_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_6_COAL_GRP_SEL_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_6_COAL_GRP_SEL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_6_COAL_GRP_SEL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_6_COAL_GRP_SEL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_6_COAL_GRP_SEL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_6_COAL_GRP_SEL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_6_COAL_GRP_SEL_INIT_ENUM                      GROUP0
#define WAKE_AOWAKE_CNTRL_6_COAL_GRP_SEL_GROUP0                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_6_COAL_GRP_SEL_GROUP1                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_6_LEVEL_SHIFT                 _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_6_LEVEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_6_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_6_LEVEL_RANGE                 3:3
#define WAKE_AOWAKE_CNTRL_6_LEVEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_6_LEVEL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_6_LEVEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_6_LEVEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_6_LEVEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_6_LEVEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_6_LEVEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_6_LEVEL_INIT_ENUM                     HIGH
#define WAKE_AOWAKE_CNTRL_6_LEVEL_LOW                   _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_6_LEVEL_HIGH                  _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_6_DEBOUNCE_EN_SHIFT                   _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_6_DEBOUNCE_EN_FIELD                   _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_6_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_6_DEBOUNCE_EN_RANGE                   2:2
#define WAKE_AOWAKE_CNTRL_6_DEBOUNCE_EN_WOFFSET                 0x0
#define WAKE_AOWAKE_CNTRL_6_DEBOUNCE_EN_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_6_DEBOUNCE_EN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_6_DEBOUNCE_EN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_6_DEBOUNCE_EN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_6_DEBOUNCE_EN_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_6_DEBOUNCE_EN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_6_DEBOUNCE_EN_INIT_ENUM                       FALSE
#define WAKE_AOWAKE_CNTRL_6_DEBOUNCE_EN_FALSE                   _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_6_DEBOUNCE_EN_TRUE                    _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_6_SR_CAPTURE_EN_SHIFT                 _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_6_SR_CAPTURE_EN_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_6_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_6_SR_CAPTURE_EN_RANGE                 1:1
#define WAKE_AOWAKE_CNTRL_6_SR_CAPTURE_EN_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_6_SR_CAPTURE_EN_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_6_SR_CAPTURE_EN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_6_SR_CAPTURE_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_6_SR_CAPTURE_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_6_SR_CAPTURE_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_6_SR_CAPTURE_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_6_SR_CAPTURE_EN_INIT_ENUM                     FALSE
#define WAKE_AOWAKE_CNTRL_6_SR_CAPTURE_EN_FALSE                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_6_SR_CAPTURE_EN_TRUE                  _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_6_DELAY_FILTER_EN_SHIFT                       _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_6_DELAY_FILTER_EN_FIELD                       _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_6_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_6_DELAY_FILTER_EN_RANGE                       0:0
#define WAKE_AOWAKE_CNTRL_6_DELAY_FILTER_EN_WOFFSET                     0x0
#define WAKE_AOWAKE_CNTRL_6_DELAY_FILTER_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_6_DELAY_FILTER_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_6_DELAY_FILTER_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_6_DELAY_FILTER_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_6_DELAY_FILTER_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_6_DELAY_FILTER_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_6_DELAY_FILTER_EN_INIT_ENUM                   FALSE
#define WAKE_AOWAKE_CNTRL_6_DELAY_FILTER_EN_FALSE                       _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_6_DELAY_FILTER_EN_TRUE                        _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_7
#define WAKE_AOWAKE_CNTRL_7                     _MK_ADDR_CONST(0x1c)
#define WAKE_AOWAKE_CNTRL_7_SECURE                      0x0
#define WAKE_AOWAKE_CNTRL_7_DUAL                        0x0
#define WAKE_AOWAKE_CNTRL_7_SCR                         EVENT_CNTRL_SCR_7
#define WAKE_AOWAKE_CNTRL_7_WORD_COUNT                  0x1
#define WAKE_AOWAKE_CNTRL_7_RESET_VAL                   _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_7_RESET_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_7_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_7_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_7_READ_MASK                   _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_7_WRITE_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_7_DEBOUNCE_VAL_SHIFT                  _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_7_DEBOUNCE_VAL_FIELD                  _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_7_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_7_DEBOUNCE_VAL_RANGE                  15:8
#define WAKE_AOWAKE_CNTRL_7_DEBOUNCE_VAL_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_7_DEBOUNCE_VAL_DEFAULT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_7_DEBOUNCE_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_7_DEBOUNCE_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_7_DEBOUNCE_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_7_DEBOUNCE_VAL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_7_DEBOUNCE_VAL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_7_COAL_EN_SHIFT                       _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_7_COAL_EN_FIELD                       _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_7_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_7_COAL_EN_RANGE                       6:6
#define WAKE_AOWAKE_CNTRL_7_COAL_EN_WOFFSET                     0x0
#define WAKE_AOWAKE_CNTRL_7_COAL_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_7_COAL_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_7_COAL_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_7_COAL_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_7_COAL_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_7_COAL_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_7_COAL_EN_INIT_ENUM                   FALSE
#define WAKE_AOWAKE_CNTRL_7_COAL_EN_FALSE                       _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_7_COAL_EN_TRUE                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_7_COAL_GRP_SEL_SHIFT                  _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_7_COAL_GRP_SEL_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_7_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_7_COAL_GRP_SEL_RANGE                  5:5
#define WAKE_AOWAKE_CNTRL_7_COAL_GRP_SEL_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_7_COAL_GRP_SEL_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_7_COAL_GRP_SEL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_7_COAL_GRP_SEL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_7_COAL_GRP_SEL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_7_COAL_GRP_SEL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_7_COAL_GRP_SEL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_7_COAL_GRP_SEL_INIT_ENUM                      GROUP0
#define WAKE_AOWAKE_CNTRL_7_COAL_GRP_SEL_GROUP0                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_7_COAL_GRP_SEL_GROUP1                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_7_LEVEL_SHIFT                 _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_7_LEVEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_7_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_7_LEVEL_RANGE                 3:3
#define WAKE_AOWAKE_CNTRL_7_LEVEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_7_LEVEL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_7_LEVEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_7_LEVEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_7_LEVEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_7_LEVEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_7_LEVEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_7_LEVEL_INIT_ENUM                     HIGH
#define WAKE_AOWAKE_CNTRL_7_LEVEL_LOW                   _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_7_LEVEL_HIGH                  _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_7_DEBOUNCE_EN_SHIFT                   _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_7_DEBOUNCE_EN_FIELD                   _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_7_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_7_DEBOUNCE_EN_RANGE                   2:2
#define WAKE_AOWAKE_CNTRL_7_DEBOUNCE_EN_WOFFSET                 0x0
#define WAKE_AOWAKE_CNTRL_7_DEBOUNCE_EN_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_7_DEBOUNCE_EN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_7_DEBOUNCE_EN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_7_DEBOUNCE_EN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_7_DEBOUNCE_EN_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_7_DEBOUNCE_EN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_7_DEBOUNCE_EN_INIT_ENUM                       FALSE
#define WAKE_AOWAKE_CNTRL_7_DEBOUNCE_EN_FALSE                   _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_7_DEBOUNCE_EN_TRUE                    _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_7_SR_CAPTURE_EN_SHIFT                 _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_7_SR_CAPTURE_EN_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_7_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_7_SR_CAPTURE_EN_RANGE                 1:1
#define WAKE_AOWAKE_CNTRL_7_SR_CAPTURE_EN_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_7_SR_CAPTURE_EN_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_7_SR_CAPTURE_EN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_7_SR_CAPTURE_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_7_SR_CAPTURE_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_7_SR_CAPTURE_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_7_SR_CAPTURE_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_7_SR_CAPTURE_EN_INIT_ENUM                     FALSE
#define WAKE_AOWAKE_CNTRL_7_SR_CAPTURE_EN_FALSE                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_7_SR_CAPTURE_EN_TRUE                  _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_7_DELAY_FILTER_EN_SHIFT                       _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_7_DELAY_FILTER_EN_FIELD                       _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_7_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_7_DELAY_FILTER_EN_RANGE                       0:0
#define WAKE_AOWAKE_CNTRL_7_DELAY_FILTER_EN_WOFFSET                     0x0
#define WAKE_AOWAKE_CNTRL_7_DELAY_FILTER_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_7_DELAY_FILTER_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_7_DELAY_FILTER_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_7_DELAY_FILTER_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_7_DELAY_FILTER_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_7_DELAY_FILTER_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_7_DELAY_FILTER_EN_INIT_ENUM                   FALSE
#define WAKE_AOWAKE_CNTRL_7_DELAY_FILTER_EN_FALSE                       _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_7_DELAY_FILTER_EN_TRUE                        _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_8
#define WAKE_AOWAKE_CNTRL_8                     _MK_ADDR_CONST(0x20)
#define WAKE_AOWAKE_CNTRL_8_SECURE                      0x0
#define WAKE_AOWAKE_CNTRL_8_DUAL                        0x0
#define WAKE_AOWAKE_CNTRL_8_SCR                         EVENT_CNTRL_SCR_8
#define WAKE_AOWAKE_CNTRL_8_WORD_COUNT                  0x1
#define WAKE_AOWAKE_CNTRL_8_RESET_VAL                   _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_8_RESET_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_8_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_8_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_8_READ_MASK                   _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_8_WRITE_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_8_DEBOUNCE_VAL_SHIFT                  _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_8_DEBOUNCE_VAL_FIELD                  _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_8_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_8_DEBOUNCE_VAL_RANGE                  15:8
#define WAKE_AOWAKE_CNTRL_8_DEBOUNCE_VAL_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_8_DEBOUNCE_VAL_DEFAULT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_8_DEBOUNCE_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_8_DEBOUNCE_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_8_DEBOUNCE_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_8_DEBOUNCE_VAL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_8_DEBOUNCE_VAL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_8_COAL_EN_SHIFT                       _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_8_COAL_EN_FIELD                       _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_8_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_8_COAL_EN_RANGE                       6:6
#define WAKE_AOWAKE_CNTRL_8_COAL_EN_WOFFSET                     0x0
#define WAKE_AOWAKE_CNTRL_8_COAL_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_8_COAL_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_8_COAL_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_8_COAL_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_8_COAL_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_8_COAL_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_8_COAL_EN_INIT_ENUM                   FALSE
#define WAKE_AOWAKE_CNTRL_8_COAL_EN_FALSE                       _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_8_COAL_EN_TRUE                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_8_COAL_GRP_SEL_SHIFT                  _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_8_COAL_GRP_SEL_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_8_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_8_COAL_GRP_SEL_RANGE                  5:5
#define WAKE_AOWAKE_CNTRL_8_COAL_GRP_SEL_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_8_COAL_GRP_SEL_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_8_COAL_GRP_SEL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_8_COAL_GRP_SEL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_8_COAL_GRP_SEL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_8_COAL_GRP_SEL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_8_COAL_GRP_SEL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_8_COAL_GRP_SEL_INIT_ENUM                      GROUP0
#define WAKE_AOWAKE_CNTRL_8_COAL_GRP_SEL_GROUP0                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_8_COAL_GRP_SEL_GROUP1                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_8_LEVEL_SHIFT                 _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_8_LEVEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_8_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_8_LEVEL_RANGE                 3:3
#define WAKE_AOWAKE_CNTRL_8_LEVEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_8_LEVEL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_8_LEVEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_8_LEVEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_8_LEVEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_8_LEVEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_8_LEVEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_8_LEVEL_INIT_ENUM                     HIGH
#define WAKE_AOWAKE_CNTRL_8_LEVEL_LOW                   _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_8_LEVEL_HIGH                  _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_8_DEBOUNCE_EN_SHIFT                   _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_8_DEBOUNCE_EN_FIELD                   _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_8_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_8_DEBOUNCE_EN_RANGE                   2:2
#define WAKE_AOWAKE_CNTRL_8_DEBOUNCE_EN_WOFFSET                 0x0
#define WAKE_AOWAKE_CNTRL_8_DEBOUNCE_EN_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_8_DEBOUNCE_EN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_8_DEBOUNCE_EN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_8_DEBOUNCE_EN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_8_DEBOUNCE_EN_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_8_DEBOUNCE_EN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_8_DEBOUNCE_EN_INIT_ENUM                       FALSE
#define WAKE_AOWAKE_CNTRL_8_DEBOUNCE_EN_FALSE                   _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_8_DEBOUNCE_EN_TRUE                    _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_8_SR_CAPTURE_EN_SHIFT                 _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_8_SR_CAPTURE_EN_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_8_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_8_SR_CAPTURE_EN_RANGE                 1:1
#define WAKE_AOWAKE_CNTRL_8_SR_CAPTURE_EN_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_8_SR_CAPTURE_EN_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_8_SR_CAPTURE_EN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_8_SR_CAPTURE_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_8_SR_CAPTURE_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_8_SR_CAPTURE_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_8_SR_CAPTURE_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_8_SR_CAPTURE_EN_INIT_ENUM                     FALSE
#define WAKE_AOWAKE_CNTRL_8_SR_CAPTURE_EN_FALSE                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_8_SR_CAPTURE_EN_TRUE                  _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_8_DELAY_FILTER_EN_SHIFT                       _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_8_DELAY_FILTER_EN_FIELD                       _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_8_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_8_DELAY_FILTER_EN_RANGE                       0:0
#define WAKE_AOWAKE_CNTRL_8_DELAY_FILTER_EN_WOFFSET                     0x0
#define WAKE_AOWAKE_CNTRL_8_DELAY_FILTER_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_8_DELAY_FILTER_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_8_DELAY_FILTER_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_8_DELAY_FILTER_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_8_DELAY_FILTER_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_8_DELAY_FILTER_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_8_DELAY_FILTER_EN_INIT_ENUM                   FALSE
#define WAKE_AOWAKE_CNTRL_8_DELAY_FILTER_EN_FALSE                       _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_8_DELAY_FILTER_EN_TRUE                        _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_9
#define WAKE_AOWAKE_CNTRL_9                     _MK_ADDR_CONST(0x24)
#define WAKE_AOWAKE_CNTRL_9_SECURE                      0x0
#define WAKE_AOWAKE_CNTRL_9_DUAL                        0x0
#define WAKE_AOWAKE_CNTRL_9_SCR                         EVENT_CNTRL_SCR_9
#define WAKE_AOWAKE_CNTRL_9_WORD_COUNT                  0x1
#define WAKE_AOWAKE_CNTRL_9_RESET_VAL                   _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_9_RESET_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_9_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_9_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_9_READ_MASK                   _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_9_WRITE_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_9_DEBOUNCE_VAL_SHIFT                  _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_9_DEBOUNCE_VAL_FIELD                  _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_9_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_9_DEBOUNCE_VAL_RANGE                  15:8
#define WAKE_AOWAKE_CNTRL_9_DEBOUNCE_VAL_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_9_DEBOUNCE_VAL_DEFAULT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_9_DEBOUNCE_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_9_DEBOUNCE_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_9_DEBOUNCE_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_9_DEBOUNCE_VAL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_9_DEBOUNCE_VAL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_9_COAL_EN_SHIFT                       _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_9_COAL_EN_FIELD                       _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_9_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_9_COAL_EN_RANGE                       6:6
#define WAKE_AOWAKE_CNTRL_9_COAL_EN_WOFFSET                     0x0
#define WAKE_AOWAKE_CNTRL_9_COAL_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_9_COAL_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_9_COAL_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_9_COAL_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_9_COAL_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_9_COAL_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_9_COAL_EN_INIT_ENUM                   FALSE
#define WAKE_AOWAKE_CNTRL_9_COAL_EN_FALSE                       _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_9_COAL_EN_TRUE                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_9_COAL_GRP_SEL_SHIFT                  _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_9_COAL_GRP_SEL_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_9_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_9_COAL_GRP_SEL_RANGE                  5:5
#define WAKE_AOWAKE_CNTRL_9_COAL_GRP_SEL_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_9_COAL_GRP_SEL_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_9_COAL_GRP_SEL_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_9_COAL_GRP_SEL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_9_COAL_GRP_SEL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_9_COAL_GRP_SEL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_9_COAL_GRP_SEL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_9_COAL_GRP_SEL_INIT_ENUM                      GROUP0
#define WAKE_AOWAKE_CNTRL_9_COAL_GRP_SEL_GROUP0                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_9_COAL_GRP_SEL_GROUP1                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_9_LEVEL_SHIFT                 _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_9_LEVEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_9_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_9_LEVEL_RANGE                 3:3
#define WAKE_AOWAKE_CNTRL_9_LEVEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_9_LEVEL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_9_LEVEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_9_LEVEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_9_LEVEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_9_LEVEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_9_LEVEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_9_LEVEL_INIT_ENUM                     HIGH
#define WAKE_AOWAKE_CNTRL_9_LEVEL_LOW                   _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_9_LEVEL_HIGH                  _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_9_DEBOUNCE_EN_SHIFT                   _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_9_DEBOUNCE_EN_FIELD                   _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_9_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_9_DEBOUNCE_EN_RANGE                   2:2
#define WAKE_AOWAKE_CNTRL_9_DEBOUNCE_EN_WOFFSET                 0x0
#define WAKE_AOWAKE_CNTRL_9_DEBOUNCE_EN_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_9_DEBOUNCE_EN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_9_DEBOUNCE_EN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_9_DEBOUNCE_EN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_9_DEBOUNCE_EN_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_9_DEBOUNCE_EN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_9_DEBOUNCE_EN_INIT_ENUM                       FALSE
#define WAKE_AOWAKE_CNTRL_9_DEBOUNCE_EN_FALSE                   _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_9_DEBOUNCE_EN_TRUE                    _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_9_SR_CAPTURE_EN_SHIFT                 _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_9_SR_CAPTURE_EN_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_9_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_9_SR_CAPTURE_EN_RANGE                 1:1
#define WAKE_AOWAKE_CNTRL_9_SR_CAPTURE_EN_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_9_SR_CAPTURE_EN_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_9_SR_CAPTURE_EN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_9_SR_CAPTURE_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_9_SR_CAPTURE_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_9_SR_CAPTURE_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_9_SR_CAPTURE_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_9_SR_CAPTURE_EN_INIT_ENUM                     FALSE
#define WAKE_AOWAKE_CNTRL_9_SR_CAPTURE_EN_FALSE                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_9_SR_CAPTURE_EN_TRUE                  _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_9_DELAY_FILTER_EN_SHIFT                       _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_9_DELAY_FILTER_EN_FIELD                       _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_9_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_9_DELAY_FILTER_EN_RANGE                       0:0
#define WAKE_AOWAKE_CNTRL_9_DELAY_FILTER_EN_WOFFSET                     0x0
#define WAKE_AOWAKE_CNTRL_9_DELAY_FILTER_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_9_DELAY_FILTER_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_9_DELAY_FILTER_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_9_DELAY_FILTER_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_9_DELAY_FILTER_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_9_DELAY_FILTER_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_9_DELAY_FILTER_EN_INIT_ENUM                   FALSE
#define WAKE_AOWAKE_CNTRL_9_DELAY_FILTER_EN_FALSE                       _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_9_DELAY_FILTER_EN_TRUE                        _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_10
#define WAKE_AOWAKE_CNTRL_10                    _MK_ADDR_CONST(0x28)
#define WAKE_AOWAKE_CNTRL_10_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_10_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_10_SCR                        EVENT_CNTRL_SCR_10
#define WAKE_AOWAKE_CNTRL_10_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_10_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_10_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_10_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_10_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_10_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_10_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_10_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_10_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_10_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_10_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_10_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_10_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_10_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_10_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_10_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_10_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_10_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_10_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_10_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_10_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_10_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_10_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_10_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_10_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_10_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_10_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_10_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_10_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_10_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_10_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_10_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_10_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_10_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_10_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_10_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_10_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_10_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_10_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_10_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_10_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_10_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_10_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_10_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_10_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_10_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_10_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_10_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_10_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_10_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_10_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_10_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_10_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_10_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_10_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_10_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_10_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_10_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_10_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_10_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_10_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_10_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_10_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_10_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_10_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_10_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_10_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_10_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_10_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_10_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_10_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_10_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_10_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_10_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_10_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_10_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_10_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_10_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_10_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_10_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_10_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_10_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_10_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_10_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_10_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_10_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_10_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_10_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_10_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_10_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_10_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_10_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_10_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_10_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_10_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_10_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_10_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_10_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_10_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_10_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_10_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_10_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_11
#define WAKE_AOWAKE_CNTRL_11                    _MK_ADDR_CONST(0x2c)
#define WAKE_AOWAKE_CNTRL_11_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_11_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_11_SCR                        EVENT_CNTRL_SCR_11
#define WAKE_AOWAKE_CNTRL_11_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_11_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_11_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_11_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_11_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_11_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_11_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_11_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_11_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_11_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_11_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_11_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_11_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_11_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_11_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_11_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_11_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_11_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_11_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_11_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_11_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_11_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_11_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_11_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_11_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_11_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_11_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_11_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_11_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_11_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_11_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_11_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_11_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_11_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_11_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_11_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_11_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_11_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_11_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_11_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_11_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_11_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_11_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_11_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_11_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_11_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_11_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_11_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_11_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_11_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_11_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_11_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_11_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_11_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_11_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_11_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_11_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_11_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_11_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_11_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_11_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_11_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_11_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_11_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_11_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_11_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_11_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_11_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_11_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_11_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_11_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_11_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_11_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_11_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_11_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_11_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_11_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_11_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_11_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_11_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_11_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_11_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_11_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_11_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_11_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_11_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_11_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_11_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_11_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_11_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_11_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_11_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_11_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_11_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_11_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_11_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_11_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_11_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_11_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_11_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_11_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_11_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_12
#define WAKE_AOWAKE_CNTRL_12                    _MK_ADDR_CONST(0x30)
#define WAKE_AOWAKE_CNTRL_12_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_12_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_12_SCR                        EVENT_CNTRL_SCR_12
#define WAKE_AOWAKE_CNTRL_12_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_12_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_12_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_12_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_12_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_12_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_12_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_12_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_12_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_12_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_12_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_12_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_12_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_12_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_12_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_12_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_12_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_12_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_12_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_12_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_12_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_12_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_12_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_12_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_12_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_12_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_12_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_12_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_12_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_12_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_12_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_12_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_12_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_12_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_12_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_12_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_12_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_12_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_12_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_12_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_12_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_12_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_12_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_12_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_12_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_12_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_12_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_12_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_12_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_12_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_12_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_12_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_12_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_12_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_12_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_12_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_12_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_12_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_12_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_12_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_12_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_12_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_12_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_12_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_12_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_12_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_12_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_12_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_12_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_12_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_12_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_12_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_12_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_12_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_12_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_12_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_12_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_12_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_12_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_12_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_12_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_12_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_12_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_12_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_12_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_12_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_12_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_12_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_12_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_12_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_12_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_12_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_12_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_12_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_12_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_12_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_12_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_12_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_12_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_12_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_12_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_12_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_13
#define WAKE_AOWAKE_CNTRL_13                    _MK_ADDR_CONST(0x34)
#define WAKE_AOWAKE_CNTRL_13_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_13_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_13_SCR                        EVENT_CNTRL_SCR_13
#define WAKE_AOWAKE_CNTRL_13_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_13_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_13_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_13_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_13_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_13_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_13_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_13_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_13_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_13_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_13_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_13_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_13_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_13_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_13_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_13_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_13_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_13_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_13_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_13_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_13_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_13_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_13_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_13_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_13_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_13_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_13_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_13_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_13_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_13_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_13_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_13_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_13_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_13_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_13_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_13_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_13_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_13_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_13_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_13_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_13_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_13_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_13_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_13_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_13_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_13_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_13_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_13_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_13_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_13_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_13_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_13_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_13_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_13_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_13_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_13_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_13_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_13_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_13_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_13_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_13_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_13_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_13_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_13_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_13_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_13_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_13_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_13_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_13_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_13_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_13_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_13_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_13_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_13_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_13_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_13_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_13_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_13_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_13_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_13_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_13_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_13_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_13_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_13_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_13_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_13_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_13_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_13_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_13_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_13_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_13_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_13_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_13_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_13_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_13_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_13_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_13_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_13_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_13_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_13_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_13_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_13_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_14
#define WAKE_AOWAKE_CNTRL_14                    _MK_ADDR_CONST(0x38)
#define WAKE_AOWAKE_CNTRL_14_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_14_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_14_SCR                        EVENT_CNTRL_SCR_14
#define WAKE_AOWAKE_CNTRL_14_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_14_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_14_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_14_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_14_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_14_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_14_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_14_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_14_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_14_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_14_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_14_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_14_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_14_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_14_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_14_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_14_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_14_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_14_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_14_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_14_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_14_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_14_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_14_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_14_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_14_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_14_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_14_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_14_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_14_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_14_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_14_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_14_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_14_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_14_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_14_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_14_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_14_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_14_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_14_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_14_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_14_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_14_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_14_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_14_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_14_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_14_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_14_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_14_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_14_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_14_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_14_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_14_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_14_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_14_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_14_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_14_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_14_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_14_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_14_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_14_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_14_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_14_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_14_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_14_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_14_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_14_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_14_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_14_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_14_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_14_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_14_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_14_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_14_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_14_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_14_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_14_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_14_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_14_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_14_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_14_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_14_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_14_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_14_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_14_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_14_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_14_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_14_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_14_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_14_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_14_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_14_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_14_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_14_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_14_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_14_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_14_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_14_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_14_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_14_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_14_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_14_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_15
#define WAKE_AOWAKE_CNTRL_15                    _MK_ADDR_CONST(0x3c)
#define WAKE_AOWAKE_CNTRL_15_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_15_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_15_SCR                        EVENT_CNTRL_SCR_15
#define WAKE_AOWAKE_CNTRL_15_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_15_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_15_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_15_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_15_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_15_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_15_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_15_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_15_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_15_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_15_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_15_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_15_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_15_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_15_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_15_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_15_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_15_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_15_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_15_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_15_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_15_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_15_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_15_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_15_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_15_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_15_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_15_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_15_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_15_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_15_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_15_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_15_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_15_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_15_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_15_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_15_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_15_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_15_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_15_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_15_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_15_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_15_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_15_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_15_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_15_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_15_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_15_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_15_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_15_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_15_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_15_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_15_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_15_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_15_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_15_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_15_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_15_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_15_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_15_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_15_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_15_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_15_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_15_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_15_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_15_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_15_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_15_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_15_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_15_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_15_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_15_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_15_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_15_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_15_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_15_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_15_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_15_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_15_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_15_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_15_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_15_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_15_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_15_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_15_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_15_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_15_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_15_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_15_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_15_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_15_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_15_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_15_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_15_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_15_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_15_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_15_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_15_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_15_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_15_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_15_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_15_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_16
#define WAKE_AOWAKE_CNTRL_16                    _MK_ADDR_CONST(0x40)
#define WAKE_AOWAKE_CNTRL_16_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_16_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_16_SCR                        EVENT_CNTRL_SCR_16
#define WAKE_AOWAKE_CNTRL_16_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_16_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_16_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_16_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_16_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_16_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_16_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_16_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_16_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_16_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_16_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_16_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_16_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_16_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_16_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_16_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_16_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_16_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_16_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_16_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_16_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_16_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_16_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_16_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_16_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_16_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_16_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_16_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_16_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_16_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_16_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_16_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_16_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_16_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_16_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_16_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_16_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_16_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_16_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_16_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_16_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_16_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_16_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_16_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_16_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_16_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_16_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_16_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_16_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_16_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_16_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_16_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_16_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_16_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_16_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_16_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_16_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_16_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_16_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_16_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_16_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_16_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_16_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_16_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_16_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_16_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_16_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_16_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_16_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_16_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_16_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_16_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_16_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_16_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_16_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_16_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_16_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_16_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_16_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_16_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_16_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_16_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_16_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_16_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_16_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_16_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_16_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_16_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_16_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_16_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_16_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_16_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_16_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_16_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_16_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_16_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_16_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_16_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_16_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_16_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_16_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_16_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_17
#define WAKE_AOWAKE_CNTRL_17                    _MK_ADDR_CONST(0x44)
#define WAKE_AOWAKE_CNTRL_17_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_17_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_17_SCR                        EVENT_CNTRL_SCR_17
#define WAKE_AOWAKE_CNTRL_17_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_17_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_17_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_17_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_17_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_17_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_17_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_17_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_17_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_17_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_17_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_17_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_17_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_17_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_17_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_17_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_17_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_17_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_17_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_17_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_17_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_17_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_17_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_17_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_17_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_17_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_17_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_17_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_17_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_17_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_17_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_17_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_17_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_17_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_17_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_17_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_17_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_17_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_17_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_17_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_17_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_17_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_17_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_17_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_17_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_17_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_17_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_17_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_17_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_17_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_17_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_17_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_17_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_17_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_17_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_17_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_17_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_17_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_17_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_17_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_17_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_17_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_17_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_17_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_17_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_17_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_17_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_17_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_17_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_17_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_17_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_17_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_17_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_17_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_17_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_17_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_17_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_17_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_17_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_17_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_17_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_17_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_17_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_17_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_17_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_17_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_17_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_17_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_17_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_17_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_17_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_17_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_17_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_17_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_17_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_17_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_17_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_17_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_17_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_17_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_17_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_17_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_18
#define WAKE_AOWAKE_CNTRL_18                    _MK_ADDR_CONST(0x48)
#define WAKE_AOWAKE_CNTRL_18_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_18_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_18_SCR                        EVENT_CNTRL_SCR_18
#define WAKE_AOWAKE_CNTRL_18_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_18_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_18_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_18_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_18_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_18_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_18_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_18_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_18_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_18_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_18_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_18_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_18_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_18_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_18_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_18_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_18_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_18_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_18_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_18_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_18_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_18_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_18_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_18_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_18_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_18_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_18_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_18_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_18_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_18_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_18_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_18_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_18_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_18_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_18_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_18_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_18_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_18_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_18_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_18_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_18_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_18_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_18_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_18_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_18_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_18_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_18_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_18_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_18_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_18_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_18_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_18_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_18_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_18_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_18_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_18_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_18_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_18_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_18_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_18_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_18_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_18_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_18_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_18_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_18_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_18_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_18_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_18_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_18_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_18_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_18_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_18_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_18_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_18_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_18_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_18_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_18_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_18_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_18_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_18_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_18_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_18_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_18_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_18_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_18_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_18_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_18_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_18_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_18_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_18_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_18_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_18_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_18_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_18_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_18_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_18_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_18_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_18_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_18_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_18_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_18_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_18_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_19
#define WAKE_AOWAKE_CNTRL_19                    _MK_ADDR_CONST(0x4c)
#define WAKE_AOWAKE_CNTRL_19_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_19_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_19_SCR                        EVENT_CNTRL_SCR_19
#define WAKE_AOWAKE_CNTRL_19_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_19_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_19_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_19_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_19_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_19_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_19_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_19_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_19_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_19_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_19_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_19_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_19_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_19_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_19_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_19_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_19_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_19_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_19_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_19_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_19_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_19_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_19_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_19_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_19_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_19_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_19_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_19_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_19_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_19_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_19_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_19_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_19_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_19_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_19_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_19_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_19_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_19_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_19_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_19_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_19_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_19_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_19_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_19_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_19_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_19_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_19_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_19_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_19_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_19_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_19_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_19_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_19_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_19_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_19_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_19_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_19_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_19_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_19_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_19_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_19_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_19_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_19_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_19_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_19_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_19_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_19_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_19_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_19_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_19_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_19_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_19_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_19_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_19_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_19_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_19_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_19_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_19_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_19_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_19_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_19_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_19_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_19_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_19_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_19_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_19_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_19_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_19_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_19_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_19_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_19_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_19_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_19_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_19_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_19_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_19_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_19_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_19_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_19_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_19_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_19_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_19_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_20
#define WAKE_AOWAKE_CNTRL_20                    _MK_ADDR_CONST(0x50)
#define WAKE_AOWAKE_CNTRL_20_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_20_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_20_SCR                        EVENT_CNTRL_SCR_20
#define WAKE_AOWAKE_CNTRL_20_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_20_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_20_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_20_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_20_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_20_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_20_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_20_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_20_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_20_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_20_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_20_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_20_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_20_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_20_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_20_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_20_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_20_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_20_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_20_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_20_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_20_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_20_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_20_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_20_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_20_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_20_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_20_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_20_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_20_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_20_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_20_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_20_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_20_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_20_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_20_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_20_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_20_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_20_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_20_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_20_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_20_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_20_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_20_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_20_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_20_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_20_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_20_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_20_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_20_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_20_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_20_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_20_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_20_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_20_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_20_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_20_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_20_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_20_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_20_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_20_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_20_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_20_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_20_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_20_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_20_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_20_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_20_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_20_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_20_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_20_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_20_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_20_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_20_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_20_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_20_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_20_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_20_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_20_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_20_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_20_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_20_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_20_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_20_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_20_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_20_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_20_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_20_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_20_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_20_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_20_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_20_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_20_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_20_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_20_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_20_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_20_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_20_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_20_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_20_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_20_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_20_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_21
#define WAKE_AOWAKE_CNTRL_21                    _MK_ADDR_CONST(0x54)
#define WAKE_AOWAKE_CNTRL_21_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_21_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_21_SCR                        EVENT_CNTRL_SCR_21
#define WAKE_AOWAKE_CNTRL_21_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_21_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_21_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_21_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_21_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_21_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_21_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_21_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_21_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_21_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_21_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_21_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_21_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_21_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_21_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_21_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_21_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_21_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_21_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_21_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_21_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_21_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_21_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_21_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_21_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_21_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_21_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_21_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_21_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_21_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_21_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_21_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_21_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_21_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_21_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_21_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_21_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_21_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_21_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_21_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_21_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_21_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_21_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_21_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_21_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_21_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_21_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_21_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_21_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_21_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_21_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_21_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_21_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_21_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_21_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_21_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_21_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_21_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_21_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_21_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_21_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_21_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_21_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_21_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_21_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_21_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_21_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_21_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_21_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_21_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_21_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_21_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_21_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_21_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_21_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_21_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_21_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_21_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_21_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_21_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_21_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_21_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_21_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_21_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_21_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_21_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_21_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_21_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_21_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_21_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_21_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_21_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_21_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_21_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_21_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_21_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_21_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_21_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_21_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_21_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_21_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_21_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_22
#define WAKE_AOWAKE_CNTRL_22                    _MK_ADDR_CONST(0x58)
#define WAKE_AOWAKE_CNTRL_22_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_22_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_22_SCR                        EVENT_CNTRL_SCR_22
#define WAKE_AOWAKE_CNTRL_22_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_22_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_22_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_22_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_22_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_22_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_22_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_22_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_22_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_22_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_22_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_22_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_22_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_22_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_22_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_22_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_22_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_22_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_22_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_22_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_22_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_22_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_22_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_22_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_22_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_22_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_22_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_22_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_22_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_22_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_22_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_22_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_22_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_22_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_22_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_22_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_22_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_22_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_22_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_22_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_22_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_22_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_22_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_22_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_22_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_22_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_22_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_22_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_22_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_22_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_22_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_22_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_22_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_22_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_22_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_22_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_22_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_22_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_22_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_22_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_22_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_22_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_22_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_22_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_22_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_22_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_22_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_22_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_22_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_22_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_22_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_22_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_22_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_22_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_22_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_22_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_22_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_22_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_22_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_22_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_22_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_22_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_22_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_22_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_22_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_22_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_22_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_22_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_22_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_22_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_22_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_22_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_22_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_22_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_22_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_22_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_22_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_22_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_22_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_22_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_22_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_22_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_23
#define WAKE_AOWAKE_CNTRL_23                    _MK_ADDR_CONST(0x5c)
#define WAKE_AOWAKE_CNTRL_23_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_23_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_23_SCR                        EVENT_CNTRL_SCR_23
#define WAKE_AOWAKE_CNTRL_23_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_23_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_23_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_23_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_23_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_23_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_23_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_23_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_23_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_23_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_23_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_23_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_23_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_23_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_23_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_23_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_23_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_23_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_23_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_23_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_23_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_23_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_23_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_23_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_23_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_23_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_23_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_23_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_23_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_23_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_23_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_23_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_23_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_23_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_23_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_23_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_23_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_23_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_23_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_23_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_23_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_23_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_23_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_23_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_23_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_23_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_23_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_23_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_23_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_23_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_23_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_23_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_23_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_23_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_23_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_23_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_23_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_23_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_23_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_23_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_23_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_23_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_23_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_23_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_23_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_23_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_23_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_23_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_23_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_23_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_23_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_23_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_23_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_23_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_23_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_23_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_23_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_23_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_23_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_23_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_23_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_23_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_23_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_23_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_23_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_23_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_23_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_23_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_23_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_23_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_23_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_23_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_23_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_23_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_23_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_23_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_23_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_23_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_23_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_23_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_23_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_23_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_24
#define WAKE_AOWAKE_CNTRL_24                    _MK_ADDR_CONST(0x60)
#define WAKE_AOWAKE_CNTRL_24_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_24_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_24_SCR                        EVENT_CNTRL_SCR_24
#define WAKE_AOWAKE_CNTRL_24_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_24_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_24_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_24_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_24_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_24_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_24_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_24_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_24_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_24_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_24_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_24_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_24_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_24_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_24_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_24_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_24_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_24_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_24_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_24_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_24_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_24_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_24_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_24_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_24_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_24_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_24_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_24_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_24_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_24_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_24_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_24_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_24_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_24_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_24_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_24_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_24_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_24_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_24_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_24_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_24_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_24_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_24_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_24_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_24_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_24_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_24_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_24_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_24_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_24_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_24_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_24_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_24_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_24_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_24_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_24_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_24_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_24_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_24_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_24_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_24_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_24_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_24_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_24_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_24_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_24_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_24_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_24_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_24_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_24_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_24_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_24_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_24_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_24_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_24_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_24_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_24_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_24_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_24_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_24_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_24_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_24_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_24_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_24_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_24_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_24_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_24_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_24_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_24_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_24_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_24_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_24_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_24_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_24_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_24_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_24_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_24_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_24_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_24_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_24_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_24_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_24_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_25
#define WAKE_AOWAKE_CNTRL_25                    _MK_ADDR_CONST(0x64)
#define WAKE_AOWAKE_CNTRL_25_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_25_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_25_SCR                        EVENT_CNTRL_SCR_25
#define WAKE_AOWAKE_CNTRL_25_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_25_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_25_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_25_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_25_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_25_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_25_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_25_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_25_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_25_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_25_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_25_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_25_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_25_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_25_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_25_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_25_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_25_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_25_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_25_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_25_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_25_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_25_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_25_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_25_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_25_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_25_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_25_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_25_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_25_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_25_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_25_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_25_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_25_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_25_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_25_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_25_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_25_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_25_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_25_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_25_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_25_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_25_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_25_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_25_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_25_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_25_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_25_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_25_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_25_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_25_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_25_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_25_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_25_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_25_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_25_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_25_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_25_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_25_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_25_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_25_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_25_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_25_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_25_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_25_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_25_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_25_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_25_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_25_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_25_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_25_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_25_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_25_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_25_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_25_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_25_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_25_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_25_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_25_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_25_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_25_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_25_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_25_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_25_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_25_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_25_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_25_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_25_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_25_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_25_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_25_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_25_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_25_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_25_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_25_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_25_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_25_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_25_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_25_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_25_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_25_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_25_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_26
#define WAKE_AOWAKE_CNTRL_26                    _MK_ADDR_CONST(0x68)
#define WAKE_AOWAKE_CNTRL_26_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_26_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_26_SCR                        EVENT_CNTRL_SCR_26
#define WAKE_AOWAKE_CNTRL_26_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_26_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_26_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_26_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_26_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_26_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_26_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_26_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_26_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_26_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_26_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_26_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_26_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_26_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_26_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_26_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_26_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_26_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_26_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_26_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_26_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_26_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_26_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_26_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_26_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_26_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_26_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_26_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_26_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_26_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_26_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_26_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_26_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_26_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_26_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_26_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_26_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_26_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_26_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_26_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_26_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_26_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_26_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_26_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_26_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_26_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_26_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_26_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_26_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_26_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_26_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_26_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_26_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_26_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_26_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_26_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_26_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_26_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_26_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_26_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_26_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_26_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_26_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_26_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_26_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_26_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_26_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_26_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_26_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_26_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_26_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_26_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_26_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_26_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_26_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_26_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_26_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_26_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_26_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_26_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_26_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_26_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_26_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_26_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_26_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_26_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_26_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_26_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_26_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_26_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_26_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_26_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_26_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_26_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_26_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_26_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_26_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_26_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_26_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_26_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_26_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_26_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_27
#define WAKE_AOWAKE_CNTRL_27                    _MK_ADDR_CONST(0x6c)
#define WAKE_AOWAKE_CNTRL_27_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_27_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_27_SCR                        EVENT_CNTRL_SCR_27
#define WAKE_AOWAKE_CNTRL_27_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_27_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_27_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_27_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_27_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_27_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_27_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_27_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_27_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_27_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_27_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_27_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_27_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_27_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_27_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_27_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_27_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_27_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_27_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_27_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_27_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_27_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_27_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_27_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_27_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_27_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_27_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_27_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_27_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_27_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_27_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_27_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_27_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_27_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_27_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_27_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_27_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_27_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_27_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_27_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_27_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_27_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_27_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_27_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_27_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_27_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_27_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_27_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_27_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_27_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_27_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_27_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_27_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_27_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_27_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_27_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_27_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_27_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_27_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_27_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_27_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_27_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_27_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_27_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_27_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_27_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_27_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_27_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_27_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_27_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_27_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_27_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_27_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_27_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_27_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_27_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_27_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_27_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_27_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_27_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_27_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_27_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_27_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_27_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_27_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_27_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_27_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_27_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_27_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_27_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_27_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_27_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_27_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_27_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_27_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_27_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_27_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_27_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_27_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_27_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_27_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_27_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_28
#define WAKE_AOWAKE_CNTRL_28                    _MK_ADDR_CONST(0x70)
#define WAKE_AOWAKE_CNTRL_28_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_28_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_28_SCR                        EVENT_CNTRL_SCR_28
#define WAKE_AOWAKE_CNTRL_28_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_28_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_28_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_28_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_28_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_28_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_28_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_28_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_28_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_28_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_28_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_28_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_28_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_28_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_28_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_28_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_28_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_28_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_28_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_28_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_28_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_28_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_28_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_28_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_28_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_28_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_28_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_28_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_28_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_28_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_28_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_28_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_28_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_28_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_28_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_28_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_28_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_28_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_28_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_28_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_28_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_28_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_28_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_28_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_28_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_28_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_28_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_28_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_28_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_28_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_28_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_28_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_28_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_28_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_28_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_28_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_28_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_28_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_28_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_28_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_28_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_28_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_28_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_28_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_28_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_28_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_28_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_28_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_28_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_28_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_28_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_28_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_28_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_28_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_28_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_28_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_28_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_28_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_28_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_28_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_28_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_28_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_28_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_28_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_28_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_28_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_28_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_28_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_28_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_28_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_28_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_28_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_28_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_28_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_28_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_28_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_28_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_28_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_28_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_28_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_28_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_28_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_29
#define WAKE_AOWAKE_CNTRL_29                    _MK_ADDR_CONST(0x74)
#define WAKE_AOWAKE_CNTRL_29_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_29_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_29_SCR                        EVENT_CNTRL_SCR_29
#define WAKE_AOWAKE_CNTRL_29_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_29_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_29_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_29_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_29_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_29_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_29_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_29_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_29_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_29_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_29_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_29_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_29_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_29_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_29_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_29_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_29_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_29_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_29_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_29_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_29_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_29_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_29_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_29_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_29_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_29_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_29_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_29_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_29_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_29_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_29_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_29_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_29_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_29_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_29_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_29_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_29_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_29_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_29_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_29_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_29_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_29_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_29_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_29_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_29_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_29_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_29_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_29_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_29_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_29_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_29_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_29_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_29_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_29_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_29_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_29_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_29_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_29_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_29_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_29_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_29_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_29_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_29_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_29_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_29_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_29_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_29_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_29_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_29_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_29_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_29_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_29_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_29_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_29_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_29_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_29_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_29_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_29_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_29_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_29_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_29_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_29_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_29_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_29_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_29_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_29_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_29_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_29_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_29_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_29_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_29_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_29_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_29_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_29_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_29_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_29_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_29_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_29_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_29_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_29_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_29_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_29_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_30
#define WAKE_AOWAKE_CNTRL_30                    _MK_ADDR_CONST(0x78)
#define WAKE_AOWAKE_CNTRL_30_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_30_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_30_SCR                        EVENT_CNTRL_SCR_30
#define WAKE_AOWAKE_CNTRL_30_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_30_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_30_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_30_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_30_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_30_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_30_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_30_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_30_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_30_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_30_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_30_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_30_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_30_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_30_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_30_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_30_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_30_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_30_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_30_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_30_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_30_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_30_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_30_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_30_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_30_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_30_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_30_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_30_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_30_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_30_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_30_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_30_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_30_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_30_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_30_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_30_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_30_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_30_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_30_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_30_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_30_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_30_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_30_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_30_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_30_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_30_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_30_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_30_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_30_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_30_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_30_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_30_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_30_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_30_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_30_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_30_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_30_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_30_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_30_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_30_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_30_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_30_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_30_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_30_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_30_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_30_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_30_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_30_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_30_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_30_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_30_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_30_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_30_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_30_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_30_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_30_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_30_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_30_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_30_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_30_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_30_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_30_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_30_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_30_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_30_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_30_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_30_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_30_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_30_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_30_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_30_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_30_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_30_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_30_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_30_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_30_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_30_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_30_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_30_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_30_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_30_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_31
#define WAKE_AOWAKE_CNTRL_31                    _MK_ADDR_CONST(0x7c)
#define WAKE_AOWAKE_CNTRL_31_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_31_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_31_SCR                        EVENT_CNTRL_SCR_31
#define WAKE_AOWAKE_CNTRL_31_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_31_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_31_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_31_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_31_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_31_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_31_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_31_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_31_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_31_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_31_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_31_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_31_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_31_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_31_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_31_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_31_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_31_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_31_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_31_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_31_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_31_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_31_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_31_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_31_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_31_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_31_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_31_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_31_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_31_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_31_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_31_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_31_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_31_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_31_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_31_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_31_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_31_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_31_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_31_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_31_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_31_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_31_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_31_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_31_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_31_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_31_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_31_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_31_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_31_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_31_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_31_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_31_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_31_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_31_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_31_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_31_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_31_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_31_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_31_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_31_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_31_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_31_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_31_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_31_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_31_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_31_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_31_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_31_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_31_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_31_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_31_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_31_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_31_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_31_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_31_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_31_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_31_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_31_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_31_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_31_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_31_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_31_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_31_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_31_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_31_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_31_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_31_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_31_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_31_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_31_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_31_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_31_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_31_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_31_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_31_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_31_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_31_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_31_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_31_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_31_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_31_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_32
#define WAKE_AOWAKE_CNTRL_32                    _MK_ADDR_CONST(0x80)
#define WAKE_AOWAKE_CNTRL_32_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_32_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_32_SCR                        EVENT_CNTRL_SCR_32
#define WAKE_AOWAKE_CNTRL_32_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_32_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_32_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_32_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_32_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_32_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_32_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_32_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_32_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_32_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_32_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_32_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_32_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_32_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_32_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_32_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_32_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_32_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_32_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_32_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_32_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_32_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_32_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_32_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_32_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_32_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_32_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_32_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_32_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_32_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_32_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_32_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_32_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_32_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_32_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_32_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_32_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_32_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_32_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_32_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_32_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_32_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_32_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_32_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_32_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_32_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_32_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_32_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_32_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_32_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_32_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_32_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_32_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_32_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_32_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_32_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_32_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_32_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_32_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_32_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_32_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_32_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_32_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_32_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_32_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_32_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_32_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_32_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_32_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_32_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_32_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_32_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_32_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_32_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_32_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_32_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_32_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_32_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_32_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_32_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_32_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_32_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_32_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_32_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_32_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_32_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_32_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_32_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_32_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_32_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_32_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_32_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_32_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_32_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_32_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_32_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_32_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_32_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_32_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_32_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_32_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_32_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_33
#define WAKE_AOWAKE_CNTRL_33                    _MK_ADDR_CONST(0x84)
#define WAKE_AOWAKE_CNTRL_33_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_33_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_33_SCR                        EVENT_CNTRL_SCR_33
#define WAKE_AOWAKE_CNTRL_33_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_33_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_33_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_33_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_33_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_33_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_33_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_33_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_33_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_33_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_33_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_33_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_33_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_33_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_33_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_33_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_33_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_33_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_33_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_33_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_33_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_33_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_33_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_33_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_33_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_33_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_33_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_33_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_33_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_33_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_33_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_33_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_33_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_33_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_33_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_33_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_33_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_33_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_33_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_33_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_33_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_33_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_33_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_33_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_33_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_33_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_33_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_33_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_33_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_33_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_33_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_33_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_33_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_33_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_33_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_33_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_33_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_33_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_33_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_33_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_33_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_33_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_33_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_33_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_33_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_33_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_33_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_33_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_33_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_33_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_33_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_33_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_33_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_33_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_33_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_33_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_33_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_33_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_33_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_33_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_33_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_33_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_33_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_33_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_33_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_33_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_33_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_33_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_33_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_33_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_33_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_33_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_33_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_33_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_33_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_33_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_33_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_33_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_33_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_33_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_33_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_33_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_34
#define WAKE_AOWAKE_CNTRL_34                    _MK_ADDR_CONST(0x88)
#define WAKE_AOWAKE_CNTRL_34_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_34_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_34_SCR                        EVENT_CNTRL_SCR_34
#define WAKE_AOWAKE_CNTRL_34_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_34_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_34_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_34_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_34_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_34_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_34_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_34_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_34_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_34_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_34_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_34_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_34_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_34_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_34_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_34_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_34_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_34_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_34_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_34_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_34_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_34_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_34_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_34_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_34_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_34_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_34_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_34_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_34_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_34_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_34_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_34_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_34_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_34_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_34_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_34_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_34_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_34_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_34_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_34_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_34_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_34_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_34_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_34_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_34_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_34_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_34_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_34_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_34_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_34_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_34_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_34_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_34_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_34_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_34_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_34_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_34_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_34_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_34_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_34_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_34_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_34_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_34_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_34_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_34_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_34_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_34_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_34_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_34_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_34_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_34_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_34_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_34_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_34_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_34_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_34_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_34_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_34_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_34_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_34_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_34_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_34_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_34_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_34_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_34_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_34_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_34_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_34_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_34_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_34_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_34_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_34_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_34_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_34_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_34_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_34_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_34_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_34_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_34_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_34_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_34_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_34_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_35
#define WAKE_AOWAKE_CNTRL_35                    _MK_ADDR_CONST(0x8c)
#define WAKE_AOWAKE_CNTRL_35_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_35_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_35_SCR                        EVENT_CNTRL_SCR_35
#define WAKE_AOWAKE_CNTRL_35_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_35_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_35_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_35_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_35_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_35_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_35_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_35_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_35_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_35_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_35_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_35_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_35_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_35_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_35_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_35_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_35_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_35_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_35_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_35_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_35_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_35_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_35_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_35_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_35_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_35_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_35_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_35_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_35_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_35_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_35_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_35_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_35_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_35_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_35_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_35_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_35_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_35_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_35_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_35_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_35_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_35_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_35_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_35_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_35_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_35_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_35_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_35_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_35_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_35_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_35_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_35_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_35_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_35_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_35_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_35_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_35_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_35_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_35_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_35_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_35_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_35_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_35_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_35_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_35_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_35_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_35_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_35_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_35_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_35_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_35_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_35_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_35_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_35_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_35_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_35_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_35_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_35_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_35_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_35_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_35_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_35_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_35_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_35_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_35_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_35_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_35_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_35_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_35_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_35_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_35_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_35_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_35_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_35_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_35_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_35_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_35_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_35_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_35_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_35_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_35_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_35_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_36
#define WAKE_AOWAKE_CNTRL_36                    _MK_ADDR_CONST(0x90)
#define WAKE_AOWAKE_CNTRL_36_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_36_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_36_SCR                        EVENT_CNTRL_SCR_36
#define WAKE_AOWAKE_CNTRL_36_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_36_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_36_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_36_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_36_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_36_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_36_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_36_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_36_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_36_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_36_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_36_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_36_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_36_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_36_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_36_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_36_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_36_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_36_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_36_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_36_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_36_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_36_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_36_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_36_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_36_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_36_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_36_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_36_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_36_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_36_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_36_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_36_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_36_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_36_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_36_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_36_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_36_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_36_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_36_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_36_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_36_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_36_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_36_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_36_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_36_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_36_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_36_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_36_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_36_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_36_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_36_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_36_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_36_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_36_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_36_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_36_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_36_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_36_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_36_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_36_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_36_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_36_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_36_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_36_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_36_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_36_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_36_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_36_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_36_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_36_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_36_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_36_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_36_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_36_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_36_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_36_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_36_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_36_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_36_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_36_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_36_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_36_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_36_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_36_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_36_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_36_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_36_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_36_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_36_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_36_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_36_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_36_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_36_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_36_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_36_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_36_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_36_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_36_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_36_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_36_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_36_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_37
#define WAKE_AOWAKE_CNTRL_37                    _MK_ADDR_CONST(0x94)
#define WAKE_AOWAKE_CNTRL_37_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_37_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_37_SCR                        EVENT_CNTRL_SCR_37
#define WAKE_AOWAKE_CNTRL_37_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_37_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_37_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_37_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_37_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_37_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_37_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_37_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_37_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_37_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_37_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_37_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_37_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_37_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_37_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_37_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_37_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_37_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_37_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_37_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_37_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_37_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_37_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_37_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_37_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_37_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_37_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_37_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_37_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_37_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_37_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_37_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_37_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_37_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_37_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_37_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_37_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_37_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_37_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_37_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_37_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_37_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_37_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_37_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_37_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_37_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_37_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_37_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_37_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_37_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_37_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_37_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_37_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_37_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_37_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_37_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_37_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_37_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_37_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_37_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_37_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_37_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_37_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_37_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_37_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_37_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_37_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_37_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_37_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_37_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_37_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_37_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_37_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_37_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_37_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_37_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_37_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_37_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_37_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_37_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_37_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_37_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_37_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_37_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_37_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_37_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_37_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_37_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_37_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_37_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_37_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_37_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_37_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_37_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_37_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_37_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_37_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_37_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_37_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_37_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_37_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_37_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_38
#define WAKE_AOWAKE_CNTRL_38                    _MK_ADDR_CONST(0x98)
#define WAKE_AOWAKE_CNTRL_38_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_38_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_38_SCR                        EVENT_CNTRL_SCR_38
#define WAKE_AOWAKE_CNTRL_38_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_38_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_38_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_38_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_38_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_38_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_38_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_38_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_38_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_38_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_38_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_38_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_38_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_38_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_38_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_38_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_38_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_38_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_38_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_38_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_38_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_38_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_38_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_38_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_38_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_38_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_38_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_38_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_38_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_38_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_38_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_38_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_38_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_38_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_38_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_38_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_38_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_38_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_38_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_38_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_38_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_38_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_38_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_38_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_38_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_38_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_38_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_38_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_38_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_38_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_38_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_38_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_38_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_38_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_38_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_38_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_38_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_38_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_38_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_38_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_38_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_38_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_38_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_38_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_38_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_38_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_38_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_38_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_38_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_38_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_38_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_38_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_38_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_38_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_38_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_38_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_38_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_38_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_38_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_38_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_38_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_38_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_38_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_38_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_38_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_38_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_38_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_38_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_38_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_38_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_38_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_38_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_38_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_38_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_38_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_38_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_38_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_38_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_38_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_38_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_38_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_38_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_39
#define WAKE_AOWAKE_CNTRL_39                    _MK_ADDR_CONST(0x9c)
#define WAKE_AOWAKE_CNTRL_39_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_39_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_39_SCR                        EVENT_CNTRL_SCR_39
#define WAKE_AOWAKE_CNTRL_39_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_39_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_39_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_39_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_39_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_39_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_39_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_39_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_39_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_39_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_39_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_39_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_39_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_39_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_39_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_39_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_39_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_39_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_39_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_39_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_39_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_39_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_39_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_39_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_39_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_39_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_39_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_39_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_39_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_39_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_39_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_39_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_39_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_39_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_39_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_39_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_39_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_39_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_39_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_39_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_39_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_39_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_39_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_39_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_39_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_39_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_39_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_39_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_39_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_39_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_39_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_39_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_39_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_39_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_39_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_39_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_39_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_39_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_39_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_39_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_39_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_39_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_39_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_39_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_39_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_39_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_39_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_39_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_39_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_39_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_39_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_39_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_39_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_39_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_39_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_39_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_39_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_39_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_39_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_39_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_39_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_39_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_39_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_39_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_39_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_39_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_39_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_39_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_39_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_39_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_39_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_39_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_39_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_39_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_39_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_39_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_39_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_39_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_39_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_39_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_39_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_39_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_40
#define WAKE_AOWAKE_CNTRL_40                    _MK_ADDR_CONST(0xa0)
#define WAKE_AOWAKE_CNTRL_40_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_40_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_40_SCR                        EVENT_CNTRL_SCR_40
#define WAKE_AOWAKE_CNTRL_40_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_40_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_40_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_40_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_40_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_40_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_40_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_40_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_40_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_40_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_40_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_40_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_40_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_40_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_40_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_40_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_40_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_40_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_40_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_40_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_40_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_40_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_40_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_40_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_40_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_40_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_40_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_40_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_40_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_40_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_40_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_40_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_40_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_40_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_40_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_40_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_40_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_40_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_40_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_40_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_40_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_40_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_40_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_40_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_40_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_40_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_40_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_40_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_40_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_40_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_40_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_40_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_40_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_40_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_40_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_40_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_40_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_40_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_40_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_40_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_40_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_40_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_40_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_40_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_40_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_40_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_40_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_40_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_40_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_40_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_40_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_40_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_40_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_40_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_40_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_40_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_40_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_40_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_40_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_40_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_40_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_40_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_40_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_40_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_40_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_40_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_40_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_40_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_40_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_40_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_40_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_40_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_40_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_40_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_40_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_40_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_40_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_40_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_40_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_40_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_40_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_40_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_41
#define WAKE_AOWAKE_CNTRL_41                    _MK_ADDR_CONST(0xa4)
#define WAKE_AOWAKE_CNTRL_41_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_41_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_41_SCR                        EVENT_CNTRL_SCR_41
#define WAKE_AOWAKE_CNTRL_41_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_41_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_41_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_41_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_41_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_41_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_41_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_41_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_41_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_41_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_41_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_41_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_41_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_41_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_41_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_41_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_41_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_41_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_41_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_41_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_41_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_41_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_41_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_41_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_41_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_41_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_41_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_41_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_41_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_41_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_41_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_41_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_41_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_41_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_41_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_41_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_41_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_41_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_41_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_41_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_41_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_41_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_41_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_41_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_41_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_41_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_41_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_41_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_41_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_41_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_41_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_41_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_41_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_41_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_41_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_41_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_41_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_41_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_41_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_41_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_41_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_41_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_41_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_41_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_41_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_41_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_41_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_41_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_41_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_41_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_41_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_41_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_41_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_41_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_41_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_41_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_41_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_41_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_41_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_41_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_41_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_41_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_41_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_41_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_41_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_41_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_41_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_41_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_41_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_41_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_41_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_41_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_41_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_41_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_41_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_41_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_41_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_41_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_41_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_41_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_41_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_41_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_42
#define WAKE_AOWAKE_CNTRL_42                    _MK_ADDR_CONST(0xa8)
#define WAKE_AOWAKE_CNTRL_42_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_42_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_42_SCR                        EVENT_CNTRL_SCR_42
#define WAKE_AOWAKE_CNTRL_42_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_42_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_42_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_42_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_42_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_42_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_42_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_42_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_42_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_42_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_42_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_42_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_42_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_42_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_42_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_42_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_42_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_42_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_42_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_42_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_42_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_42_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_42_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_42_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_42_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_42_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_42_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_42_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_42_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_42_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_42_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_42_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_42_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_42_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_42_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_42_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_42_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_42_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_42_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_42_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_42_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_42_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_42_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_42_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_42_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_42_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_42_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_42_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_42_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_42_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_42_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_42_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_42_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_42_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_42_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_42_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_42_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_42_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_42_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_42_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_42_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_42_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_42_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_42_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_42_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_42_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_42_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_42_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_42_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_42_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_42_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_42_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_42_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_42_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_42_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_42_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_42_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_42_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_42_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_42_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_42_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_42_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_42_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_42_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_42_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_42_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_42_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_42_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_42_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_42_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_42_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_42_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_42_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_42_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_42_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_42_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_42_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_42_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_42_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_42_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_42_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_42_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_43
#define WAKE_AOWAKE_CNTRL_43                    _MK_ADDR_CONST(0xac)
#define WAKE_AOWAKE_CNTRL_43_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_43_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_43_SCR                        EVENT_CNTRL_SCR_43
#define WAKE_AOWAKE_CNTRL_43_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_43_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_43_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_43_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_43_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_43_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_43_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_43_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_43_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_43_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_43_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_43_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_43_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_43_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_43_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_43_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_43_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_43_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_43_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_43_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_43_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_43_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_43_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_43_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_43_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_43_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_43_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_43_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_43_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_43_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_43_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_43_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_43_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_43_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_43_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_43_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_43_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_43_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_43_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_43_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_43_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_43_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_43_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_43_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_43_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_43_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_43_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_43_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_43_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_43_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_43_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_43_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_43_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_43_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_43_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_43_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_43_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_43_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_43_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_43_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_43_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_43_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_43_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_43_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_43_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_43_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_43_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_43_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_43_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_43_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_43_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_43_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_43_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_43_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_43_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_43_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_43_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_43_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_43_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_43_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_43_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_43_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_43_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_43_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_43_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_43_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_43_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_43_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_43_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_43_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_43_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_43_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_43_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_43_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_43_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_43_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_43_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_43_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_43_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_43_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_43_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_43_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_44
#define WAKE_AOWAKE_CNTRL_44                    _MK_ADDR_CONST(0xb0)
#define WAKE_AOWAKE_CNTRL_44_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_44_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_44_SCR                        EVENT_CNTRL_SCR_44
#define WAKE_AOWAKE_CNTRL_44_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_44_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_44_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_44_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_44_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_44_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_44_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_44_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_44_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_44_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_44_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_44_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_44_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_44_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_44_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_44_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_44_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_44_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_44_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_44_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_44_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_44_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_44_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_44_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_44_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_44_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_44_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_44_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_44_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_44_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_44_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_44_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_44_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_44_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_44_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_44_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_44_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_44_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_44_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_44_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_44_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_44_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_44_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_44_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_44_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_44_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_44_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_44_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_44_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_44_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_44_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_44_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_44_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_44_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_44_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_44_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_44_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_44_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_44_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_44_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_44_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_44_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_44_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_44_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_44_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_44_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_44_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_44_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_44_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_44_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_44_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_44_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_44_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_44_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_44_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_44_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_44_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_44_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_44_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_44_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_44_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_44_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_44_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_44_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_44_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_44_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_44_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_44_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_44_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_44_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_44_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_44_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_44_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_44_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_44_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_44_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_44_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_44_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_44_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_44_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_44_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_44_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_45
#define WAKE_AOWAKE_CNTRL_45                    _MK_ADDR_CONST(0xb4)
#define WAKE_AOWAKE_CNTRL_45_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_45_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_45_SCR                        EVENT_CNTRL_SCR_45
#define WAKE_AOWAKE_CNTRL_45_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_45_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_45_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_45_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_45_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_45_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_45_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_45_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_45_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_45_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_45_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_45_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_45_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_45_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_45_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_45_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_45_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_45_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_45_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_45_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_45_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_45_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_45_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_45_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_45_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_45_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_45_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_45_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_45_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_45_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_45_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_45_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_45_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_45_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_45_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_45_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_45_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_45_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_45_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_45_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_45_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_45_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_45_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_45_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_45_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_45_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_45_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_45_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_45_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_45_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_45_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_45_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_45_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_45_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_45_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_45_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_45_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_45_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_45_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_45_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_45_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_45_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_45_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_45_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_45_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_45_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_45_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_45_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_45_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_45_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_45_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_45_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_45_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_45_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_45_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_45_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_45_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_45_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_45_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_45_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_45_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_45_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_45_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_45_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_45_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_45_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_45_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_45_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_45_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_45_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_45_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_45_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_45_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_45_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_45_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_45_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_45_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_45_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_45_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_45_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_45_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_45_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_46
#define WAKE_AOWAKE_CNTRL_46                    _MK_ADDR_CONST(0xb8)
#define WAKE_AOWAKE_CNTRL_46_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_46_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_46_SCR                        EVENT_CNTRL_SCR_46
#define WAKE_AOWAKE_CNTRL_46_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_46_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_46_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_46_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_46_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_46_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_46_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_46_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_46_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_46_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_46_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_46_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_46_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_46_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_46_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_46_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_46_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_46_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_46_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_46_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_46_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_46_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_46_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_46_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_46_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_46_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_46_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_46_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_46_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_46_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_46_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_46_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_46_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_46_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_46_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_46_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_46_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_46_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_46_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_46_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_46_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_46_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_46_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_46_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_46_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_46_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_46_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_46_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_46_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_46_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_46_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_46_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_46_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_46_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_46_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_46_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_46_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_46_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_46_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_46_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_46_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_46_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_46_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_46_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_46_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_46_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_46_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_46_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_46_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_46_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_46_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_46_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_46_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_46_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_46_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_46_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_46_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_46_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_46_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_46_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_46_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_46_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_46_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_46_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_46_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_46_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_46_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_46_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_46_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_46_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_46_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_46_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_46_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_46_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_46_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_46_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_46_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_46_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_46_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_46_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_46_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_46_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_47
#define WAKE_AOWAKE_CNTRL_47                    _MK_ADDR_CONST(0xbc)
#define WAKE_AOWAKE_CNTRL_47_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_47_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_47_SCR                        EVENT_CNTRL_SCR_47
#define WAKE_AOWAKE_CNTRL_47_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_47_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_47_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_47_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_47_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_47_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_47_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_47_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_47_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_47_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_47_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_47_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_47_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_47_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_47_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_47_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_47_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_47_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_47_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_47_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_47_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_47_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_47_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_47_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_47_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_47_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_47_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_47_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_47_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_47_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_47_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_47_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_47_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_47_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_47_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_47_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_47_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_47_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_47_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_47_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_47_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_47_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_47_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_47_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_47_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_47_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_47_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_47_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_47_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_47_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_47_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_47_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_47_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_47_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_47_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_47_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_47_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_47_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_47_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_47_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_47_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_47_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_47_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_47_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_47_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_47_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_47_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_47_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_47_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_47_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_47_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_47_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_47_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_47_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_47_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_47_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_47_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_47_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_47_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_47_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_47_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_47_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_47_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_47_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_47_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_47_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_47_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_47_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_47_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_47_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_47_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_47_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_47_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_47_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_47_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_47_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_47_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_47_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_47_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_47_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_47_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_47_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_48
#define WAKE_AOWAKE_CNTRL_48                    _MK_ADDR_CONST(0xc0)
#define WAKE_AOWAKE_CNTRL_48_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_48_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_48_SCR                        EVENT_CNTRL_SCR_48
#define WAKE_AOWAKE_CNTRL_48_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_48_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_48_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_48_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_48_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_48_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_48_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_48_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_48_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_48_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_48_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_48_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_48_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_48_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_48_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_48_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_48_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_48_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_48_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_48_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_48_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_48_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_48_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_48_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_48_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_48_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_48_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_48_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_48_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_48_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_48_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_48_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_48_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_48_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_48_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_48_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_48_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_48_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_48_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_48_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_48_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_48_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_48_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_48_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_48_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_48_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_48_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_48_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_48_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_48_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_48_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_48_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_48_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_48_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_48_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_48_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_48_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_48_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_48_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_48_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_48_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_48_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_48_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_48_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_48_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_48_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_48_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_48_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_48_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_48_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_48_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_48_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_48_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_48_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_48_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_48_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_48_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_48_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_48_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_48_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_48_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_48_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_48_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_48_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_48_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_48_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_48_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_48_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_48_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_48_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_48_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_48_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_48_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_48_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_48_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_48_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_48_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_48_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_48_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_48_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_48_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_48_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_49
#define WAKE_AOWAKE_CNTRL_49                    _MK_ADDR_CONST(0xc4)
#define WAKE_AOWAKE_CNTRL_49_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_49_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_49_SCR                        EVENT_CNTRL_SCR_49
#define WAKE_AOWAKE_CNTRL_49_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_49_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_49_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_49_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_49_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_49_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_49_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_49_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_49_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_49_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_49_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_49_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_49_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_49_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_49_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_49_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_49_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_49_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_49_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_49_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_49_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_49_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_49_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_49_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_49_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_49_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_49_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_49_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_49_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_49_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_49_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_49_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_49_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_49_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_49_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_49_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_49_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_49_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_49_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_49_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_49_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_49_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_49_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_49_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_49_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_49_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_49_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_49_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_49_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_49_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_49_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_49_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_49_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_49_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_49_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_49_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_49_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_49_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_49_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_49_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_49_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_49_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_49_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_49_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_49_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_49_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_49_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_49_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_49_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_49_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_49_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_49_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_49_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_49_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_49_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_49_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_49_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_49_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_49_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_49_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_49_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_49_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_49_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_49_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_49_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_49_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_49_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_49_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_49_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_49_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_49_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_49_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_49_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_49_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_49_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_49_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_49_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_49_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_49_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_49_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_49_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_49_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_50
#define WAKE_AOWAKE_CNTRL_50                    _MK_ADDR_CONST(0xc8)
#define WAKE_AOWAKE_CNTRL_50_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_50_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_50_SCR                        EVENT_CNTRL_SCR_50
#define WAKE_AOWAKE_CNTRL_50_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_50_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_50_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_50_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_50_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_50_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_50_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_50_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_50_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_50_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_50_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_50_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_50_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_50_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_50_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_50_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_50_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_50_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_50_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_50_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_50_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_50_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_50_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_50_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_50_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_50_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_50_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_50_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_50_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_50_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_50_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_50_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_50_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_50_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_50_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_50_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_50_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_50_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_50_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_50_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_50_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_50_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_50_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_50_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_50_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_50_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_50_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_50_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_50_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_50_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_50_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_50_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_50_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_50_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_50_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_50_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_50_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_50_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_50_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_50_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_50_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_50_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_50_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_50_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_50_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_50_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_50_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_50_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_50_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_50_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_50_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_50_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_50_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_50_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_50_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_50_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_50_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_50_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_50_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_50_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_50_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_50_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_50_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_50_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_50_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_50_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_50_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_50_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_50_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_50_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_50_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_50_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_50_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_50_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_50_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_50_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_50_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_50_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_50_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_50_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_50_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_50_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_51
#define WAKE_AOWAKE_CNTRL_51                    _MK_ADDR_CONST(0xcc)
#define WAKE_AOWAKE_CNTRL_51_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_51_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_51_SCR                        EVENT_CNTRL_SCR_51
#define WAKE_AOWAKE_CNTRL_51_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_51_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_51_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_51_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_51_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_51_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_51_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_51_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_51_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_51_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_51_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_51_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_51_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_51_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_51_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_51_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_51_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_51_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_51_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_51_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_51_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_51_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_51_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_51_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_51_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_51_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_51_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_51_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_51_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_51_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_51_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_51_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_51_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_51_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_51_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_51_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_51_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_51_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_51_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_51_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_51_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_51_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_51_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_51_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_51_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_51_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_51_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_51_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_51_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_51_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_51_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_51_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_51_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_51_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_51_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_51_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_51_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_51_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_51_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_51_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_51_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_51_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_51_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_51_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_51_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_51_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_51_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_51_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_51_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_51_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_51_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_51_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_51_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_51_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_51_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_51_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_51_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_51_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_51_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_51_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_51_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_51_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_51_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_51_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_51_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_51_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_51_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_51_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_51_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_51_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_51_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_51_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_51_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_51_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_51_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_51_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_51_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_51_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_51_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_51_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_51_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_51_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_52
#define WAKE_AOWAKE_CNTRL_52                    _MK_ADDR_CONST(0xd0)
#define WAKE_AOWAKE_CNTRL_52_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_52_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_52_SCR                        EVENT_CNTRL_SCR_52
#define WAKE_AOWAKE_CNTRL_52_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_52_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_52_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_52_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_52_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_52_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_52_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_52_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_52_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_52_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_52_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_52_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_52_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_52_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_52_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_52_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_52_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_52_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_52_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_52_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_52_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_52_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_52_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_52_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_52_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_52_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_52_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_52_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_52_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_52_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_52_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_52_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_52_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_52_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_52_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_52_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_52_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_52_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_52_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_52_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_52_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_52_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_52_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_52_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_52_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_52_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_52_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_52_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_52_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_52_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_52_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_52_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_52_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_52_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_52_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_52_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_52_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_52_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_52_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_52_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_52_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_52_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_52_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_52_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_52_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_52_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_52_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_52_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_52_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_52_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_52_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_52_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_52_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_52_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_52_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_52_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_52_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_52_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_52_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_52_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_52_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_52_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_52_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_52_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_52_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_52_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_52_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_52_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_52_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_52_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_52_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_52_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_52_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_52_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_52_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_52_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_52_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_52_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_52_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_52_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_52_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_52_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_53
#define WAKE_AOWAKE_CNTRL_53                    _MK_ADDR_CONST(0xd4)
#define WAKE_AOWAKE_CNTRL_53_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_53_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_53_SCR                        EVENT_CNTRL_SCR_53
#define WAKE_AOWAKE_CNTRL_53_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_53_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_53_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_53_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_53_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_53_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_53_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_53_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_53_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_53_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_53_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_53_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_53_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_53_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_53_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_53_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_53_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_53_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_53_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_53_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_53_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_53_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_53_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_53_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_53_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_53_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_53_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_53_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_53_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_53_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_53_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_53_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_53_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_53_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_53_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_53_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_53_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_53_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_53_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_53_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_53_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_53_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_53_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_53_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_53_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_53_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_53_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_53_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_53_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_53_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_53_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_53_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_53_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_53_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_53_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_53_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_53_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_53_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_53_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_53_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_53_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_53_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_53_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_53_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_53_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_53_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_53_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_53_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_53_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_53_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_53_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_53_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_53_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_53_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_53_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_53_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_53_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_53_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_53_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_53_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_53_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_53_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_53_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_53_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_53_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_53_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_53_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_53_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_53_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_53_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_53_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_53_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_53_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_53_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_53_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_53_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_53_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_53_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_53_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_53_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_53_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_53_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_54
#define WAKE_AOWAKE_CNTRL_54                    _MK_ADDR_CONST(0xd8)
#define WAKE_AOWAKE_CNTRL_54_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_54_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_54_SCR                        EVENT_CNTRL_SCR_54
#define WAKE_AOWAKE_CNTRL_54_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_54_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_54_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_54_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_54_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_54_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_54_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_54_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_54_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_54_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_54_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_54_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_54_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_54_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_54_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_54_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_54_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_54_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_54_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_54_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_54_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_54_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_54_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_54_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_54_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_54_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_54_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_54_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_54_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_54_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_54_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_54_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_54_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_54_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_54_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_54_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_54_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_54_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_54_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_54_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_54_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_54_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_54_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_54_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_54_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_54_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_54_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_54_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_54_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_54_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_54_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_54_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_54_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_54_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_54_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_54_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_54_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_54_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_54_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_54_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_54_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_54_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_54_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_54_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_54_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_54_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_54_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_54_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_54_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_54_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_54_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_54_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_54_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_54_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_54_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_54_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_54_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_54_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_54_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_54_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_54_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_54_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_54_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_54_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_54_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_54_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_54_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_54_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_54_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_54_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_54_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_54_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_54_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_54_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_54_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_54_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_54_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_54_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_54_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_54_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_54_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_54_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_55
#define WAKE_AOWAKE_CNTRL_55                    _MK_ADDR_CONST(0xdc)
#define WAKE_AOWAKE_CNTRL_55_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_55_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_55_SCR                        EVENT_CNTRL_SCR_55
#define WAKE_AOWAKE_CNTRL_55_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_55_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_55_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_55_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_55_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_55_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_55_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_55_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_55_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_55_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_55_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_55_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_55_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_55_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_55_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_55_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_55_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_55_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_55_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_55_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_55_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_55_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_55_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_55_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_55_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_55_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_55_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_55_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_55_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_55_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_55_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_55_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_55_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_55_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_55_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_55_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_55_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_55_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_55_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_55_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_55_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_55_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_55_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_55_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_55_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_55_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_55_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_55_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_55_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_55_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_55_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_55_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_55_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_55_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_55_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_55_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_55_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_55_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_55_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_55_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_55_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_55_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_55_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_55_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_55_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_55_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_55_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_55_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_55_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_55_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_55_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_55_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_55_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_55_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_55_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_55_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_55_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_55_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_55_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_55_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_55_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_55_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_55_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_55_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_55_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_55_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_55_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_55_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_55_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_55_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_55_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_55_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_55_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_55_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_55_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_55_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_55_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_55_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_55_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_55_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_55_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_55_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_56
#define WAKE_AOWAKE_CNTRL_56                    _MK_ADDR_CONST(0xe0)
#define WAKE_AOWAKE_CNTRL_56_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_56_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_56_SCR                        EVENT_CNTRL_SCR_56
#define WAKE_AOWAKE_CNTRL_56_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_56_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_56_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_56_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_56_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_56_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_56_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_56_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_56_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_56_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_56_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_56_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_56_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_56_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_56_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_56_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_56_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_56_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_56_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_56_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_56_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_56_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_56_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_56_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_56_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_56_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_56_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_56_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_56_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_56_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_56_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_56_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_56_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_56_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_56_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_56_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_56_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_56_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_56_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_56_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_56_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_56_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_56_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_56_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_56_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_56_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_56_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_56_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_56_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_56_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_56_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_56_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_56_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_56_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_56_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_56_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_56_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_56_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_56_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_56_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_56_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_56_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_56_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_56_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_56_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_56_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_56_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_56_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_56_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_56_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_56_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_56_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_56_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_56_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_56_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_56_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_56_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_56_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_56_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_56_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_56_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_56_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_56_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_56_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_56_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_56_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_56_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_56_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_56_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_56_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_56_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_56_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_56_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_56_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_56_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_56_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_56_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_56_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_56_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_56_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_56_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_56_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_57
#define WAKE_AOWAKE_CNTRL_57                    _MK_ADDR_CONST(0xe4)
#define WAKE_AOWAKE_CNTRL_57_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_57_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_57_SCR                        EVENT_CNTRL_SCR_57
#define WAKE_AOWAKE_CNTRL_57_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_57_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_57_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_57_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_57_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_57_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_57_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_57_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_57_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_57_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_57_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_57_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_57_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_57_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_57_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_57_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_57_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_57_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_57_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_57_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_57_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_57_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_57_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_57_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_57_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_57_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_57_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_57_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_57_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_57_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_57_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_57_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_57_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_57_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_57_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_57_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_57_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_57_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_57_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_57_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_57_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_57_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_57_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_57_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_57_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_57_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_57_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_57_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_57_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_57_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_57_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_57_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_57_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_57_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_57_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_57_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_57_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_57_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_57_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_57_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_57_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_57_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_57_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_57_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_57_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_57_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_57_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_57_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_57_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_57_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_57_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_57_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_57_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_57_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_57_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_57_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_57_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_57_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_57_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_57_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_57_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_57_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_57_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_57_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_57_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_57_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_57_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_57_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_57_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_57_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_57_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_57_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_57_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_57_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_57_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_57_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_57_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_57_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_57_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_57_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_57_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_57_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_58
#define WAKE_AOWAKE_CNTRL_58                    _MK_ADDR_CONST(0xe8)
#define WAKE_AOWAKE_CNTRL_58_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_58_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_58_SCR                        EVENT_CNTRL_SCR_58
#define WAKE_AOWAKE_CNTRL_58_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_58_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_58_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_58_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_58_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_58_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_58_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_58_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_58_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_58_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_58_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_58_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_58_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_58_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_58_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_58_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_58_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_58_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_58_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_58_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_58_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_58_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_58_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_58_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_58_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_58_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_58_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_58_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_58_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_58_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_58_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_58_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_58_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_58_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_58_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_58_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_58_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_58_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_58_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_58_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_58_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_58_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_58_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_58_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_58_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_58_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_58_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_58_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_58_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_58_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_58_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_58_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_58_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_58_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_58_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_58_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_58_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_58_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_58_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_58_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_58_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_58_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_58_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_58_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_58_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_58_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_58_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_58_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_58_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_58_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_58_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_58_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_58_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_58_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_58_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_58_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_58_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_58_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_58_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_58_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_58_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_58_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_58_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_58_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_58_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_58_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_58_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_58_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_58_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_58_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_58_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_58_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_58_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_58_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_58_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_58_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_58_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_58_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_58_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_58_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_58_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_58_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_59
#define WAKE_AOWAKE_CNTRL_59                    _MK_ADDR_CONST(0xec)
#define WAKE_AOWAKE_CNTRL_59_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_59_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_59_SCR                        EVENT_CNTRL_SCR_59
#define WAKE_AOWAKE_CNTRL_59_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_59_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_59_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_59_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_59_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_59_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_59_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_59_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_59_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_59_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_59_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_59_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_59_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_59_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_59_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_59_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_59_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_59_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_59_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_59_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_59_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_59_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_59_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_59_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_59_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_59_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_59_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_59_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_59_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_59_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_59_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_59_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_59_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_59_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_59_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_59_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_59_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_59_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_59_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_59_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_59_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_59_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_59_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_59_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_59_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_59_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_59_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_59_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_59_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_59_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_59_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_59_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_59_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_59_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_59_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_59_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_59_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_59_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_59_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_59_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_59_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_59_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_59_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_59_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_59_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_59_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_59_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_59_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_59_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_59_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_59_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_59_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_59_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_59_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_59_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_59_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_59_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_59_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_59_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_59_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_59_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_59_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_59_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_59_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_59_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_59_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_59_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_59_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_59_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_59_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_59_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_59_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_59_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_59_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_59_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_59_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_59_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_59_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_59_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_59_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_59_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_59_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_60
#define WAKE_AOWAKE_CNTRL_60                    _MK_ADDR_CONST(0xf0)
#define WAKE_AOWAKE_CNTRL_60_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_60_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_60_SCR                        EVENT_CNTRL_SCR_60
#define WAKE_AOWAKE_CNTRL_60_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_60_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_60_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_60_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_60_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_60_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_60_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_60_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_60_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_60_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_60_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_60_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_60_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_60_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_60_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_60_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_60_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_60_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_60_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_60_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_60_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_60_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_60_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_60_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_60_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_60_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_60_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_60_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_60_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_60_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_60_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_60_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_60_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_60_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_60_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_60_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_60_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_60_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_60_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_60_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_60_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_60_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_60_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_60_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_60_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_60_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_60_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_60_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_60_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_60_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_60_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_60_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_60_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_60_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_60_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_60_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_60_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_60_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_60_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_60_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_60_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_60_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_60_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_60_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_60_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_60_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_60_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_60_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_60_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_60_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_60_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_60_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_60_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_60_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_60_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_60_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_60_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_60_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_60_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_60_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_60_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_60_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_60_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_60_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_60_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_60_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_60_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_60_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_60_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_60_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_60_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_60_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_60_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_60_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_60_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_60_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_60_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_60_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_60_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_60_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_60_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_60_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_61
#define WAKE_AOWAKE_CNTRL_61                    _MK_ADDR_CONST(0xf4)
#define WAKE_AOWAKE_CNTRL_61_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_61_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_61_SCR                        EVENT_CNTRL_SCR_61
#define WAKE_AOWAKE_CNTRL_61_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_61_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_61_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_61_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_61_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_61_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_61_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_61_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_61_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_61_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_61_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_61_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_61_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_61_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_61_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_61_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_61_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_61_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_61_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_61_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_61_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_61_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_61_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_61_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_61_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_61_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_61_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_61_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_61_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_61_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_61_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_61_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_61_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_61_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_61_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_61_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_61_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_61_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_61_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_61_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_61_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_61_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_61_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_61_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_61_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_61_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_61_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_61_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_61_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_61_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_61_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_61_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_61_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_61_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_61_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_61_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_61_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_61_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_61_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_61_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_61_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_61_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_61_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_61_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_61_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_61_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_61_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_61_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_61_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_61_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_61_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_61_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_61_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_61_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_61_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_61_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_61_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_61_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_61_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_61_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_61_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_61_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_61_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_61_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_61_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_61_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_61_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_61_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_61_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_61_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_61_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_61_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_61_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_61_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_61_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_61_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_61_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_61_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_61_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_61_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_61_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_61_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_62
#define WAKE_AOWAKE_CNTRL_62                    _MK_ADDR_CONST(0xf8)
#define WAKE_AOWAKE_CNTRL_62_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_62_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_62_SCR                        EVENT_CNTRL_SCR_62
#define WAKE_AOWAKE_CNTRL_62_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_62_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_62_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_62_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_62_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_62_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_62_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_62_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_62_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_62_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_62_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_62_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_62_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_62_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_62_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_62_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_62_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_62_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_62_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_62_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_62_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_62_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_62_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_62_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_62_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_62_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_62_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_62_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_62_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_62_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_62_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_62_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_62_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_62_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_62_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_62_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_62_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_62_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_62_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_62_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_62_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_62_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_62_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_62_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_62_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_62_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_62_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_62_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_62_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_62_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_62_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_62_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_62_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_62_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_62_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_62_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_62_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_62_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_62_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_62_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_62_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_62_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_62_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_62_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_62_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_62_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_62_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_62_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_62_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_62_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_62_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_62_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_62_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_62_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_62_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_62_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_62_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_62_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_62_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_62_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_62_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_62_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_62_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_62_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_62_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_62_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_62_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_62_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_62_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_62_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_62_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_62_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_62_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_62_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_62_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_62_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_62_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_62_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_62_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_62_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_62_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_62_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_63
#define WAKE_AOWAKE_CNTRL_63                    _MK_ADDR_CONST(0xfc)
#define WAKE_AOWAKE_CNTRL_63_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_63_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_63_SCR                        EVENT_CNTRL_SCR_63
#define WAKE_AOWAKE_CNTRL_63_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_63_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_63_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_63_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_63_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_63_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_63_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_63_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_63_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_63_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_63_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_63_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_63_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_63_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_63_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_63_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_63_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_63_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_63_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_63_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_63_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_63_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_63_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_63_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_63_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_63_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_63_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_63_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_63_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_63_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_63_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_63_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_63_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_63_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_63_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_63_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_63_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_63_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_63_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_63_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_63_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_63_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_63_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_63_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_63_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_63_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_63_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_63_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_63_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_63_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_63_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_63_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_63_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_63_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_63_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_63_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_63_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_63_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_63_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_63_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_63_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_63_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_63_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_63_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_63_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_63_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_63_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_63_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_63_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_63_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_63_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_63_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_63_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_63_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_63_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_63_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_63_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_63_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_63_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_63_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_63_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_63_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_63_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_63_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_63_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_63_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_63_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_63_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_63_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_63_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_63_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_63_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_63_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_63_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_63_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_63_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_63_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_63_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_63_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_63_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_63_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_63_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_64
#define WAKE_AOWAKE_CNTRL_64                    _MK_ADDR_CONST(0x100)
#define WAKE_AOWAKE_CNTRL_64_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_64_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_64_SCR                        EVENT_CNTRL_SCR_64
#define WAKE_AOWAKE_CNTRL_64_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_64_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_64_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_64_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_64_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_64_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_64_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_64_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_64_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_64_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_64_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_64_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_64_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_64_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_64_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_64_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_64_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_64_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_64_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_64_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_64_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_64_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_64_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_64_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_64_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_64_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_64_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_64_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_64_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_64_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_64_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_64_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_64_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_64_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_64_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_64_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_64_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_64_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_64_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_64_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_64_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_64_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_64_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_64_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_64_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_64_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_64_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_64_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_64_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_64_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_64_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_64_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_64_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_64_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_64_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_64_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_64_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_64_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_64_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_64_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_64_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_64_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_64_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_64_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_64_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_64_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_64_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_64_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_64_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_64_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_64_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_64_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_64_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_64_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_64_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_64_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_64_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_64_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_64_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_64_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_64_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_64_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_64_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_64_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_64_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_64_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_64_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_64_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_64_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_64_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_64_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_64_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_64_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_64_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_64_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_64_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_64_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_64_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_64_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_64_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_64_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_64_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_65
#define WAKE_AOWAKE_CNTRL_65                    _MK_ADDR_CONST(0x104)
#define WAKE_AOWAKE_CNTRL_65_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_65_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_65_SCR                        EVENT_CNTRL_SCR_65
#define WAKE_AOWAKE_CNTRL_65_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_65_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_65_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_65_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_65_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_65_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_65_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_65_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_65_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_65_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_65_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_65_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_65_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_65_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_65_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_65_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_65_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_65_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_65_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_65_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_65_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_65_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_65_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_65_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_65_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_65_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_65_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_65_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_65_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_65_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_65_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_65_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_65_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_65_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_65_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_65_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_65_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_65_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_65_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_65_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_65_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_65_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_65_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_65_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_65_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_65_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_65_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_65_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_65_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_65_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_65_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_65_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_65_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_65_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_65_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_65_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_65_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_65_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_65_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_65_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_65_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_65_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_65_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_65_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_65_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_65_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_65_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_65_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_65_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_65_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_65_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_65_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_65_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_65_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_65_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_65_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_65_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_65_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_65_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_65_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_65_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_65_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_65_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_65_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_65_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_65_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_65_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_65_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_65_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_65_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_65_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_65_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_65_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_65_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_65_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_65_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_65_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_65_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_65_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_65_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_65_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_65_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_66
#define WAKE_AOWAKE_CNTRL_66                    _MK_ADDR_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_66_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_66_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_66_SCR                        EVENT_CNTRL_SCR_66
#define WAKE_AOWAKE_CNTRL_66_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_66_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_66_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_66_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_66_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_66_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_66_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_66_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_66_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_66_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_66_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_66_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_66_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_66_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_66_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_66_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_66_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_66_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_66_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_66_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_66_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_66_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_66_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_66_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_66_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_66_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_66_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_66_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_66_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_66_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_66_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_66_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_66_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_66_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_66_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_66_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_66_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_66_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_66_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_66_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_66_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_66_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_66_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_66_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_66_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_66_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_66_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_66_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_66_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_66_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_66_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_66_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_66_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_66_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_66_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_66_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_66_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_66_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_66_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_66_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_66_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_66_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_66_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_66_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_66_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_66_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_66_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_66_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_66_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_66_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_66_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_66_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_66_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_66_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_66_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_66_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_66_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_66_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_66_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_66_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_66_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_66_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_66_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_66_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_66_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_66_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_66_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_66_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_66_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_66_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_66_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_66_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_66_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_66_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_66_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_66_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_66_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_66_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_66_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_66_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_66_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_66_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_67
#define WAKE_AOWAKE_CNTRL_67                    _MK_ADDR_CONST(0x10c)
#define WAKE_AOWAKE_CNTRL_67_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_67_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_67_SCR                        EVENT_CNTRL_SCR_67
#define WAKE_AOWAKE_CNTRL_67_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_67_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_67_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_67_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_67_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_67_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_67_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_67_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_67_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_67_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_67_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_67_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_67_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_67_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_67_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_67_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_67_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_67_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_67_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_67_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_67_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_67_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_67_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_67_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_67_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_67_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_67_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_67_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_67_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_67_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_67_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_67_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_67_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_67_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_67_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_67_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_67_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_67_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_67_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_67_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_67_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_67_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_67_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_67_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_67_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_67_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_67_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_67_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_67_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_67_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_67_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_67_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_67_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_67_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_67_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_67_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_67_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_67_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_67_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_67_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_67_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_67_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_67_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_67_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_67_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_67_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_67_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_67_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_67_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_67_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_67_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_67_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_67_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_67_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_67_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_67_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_67_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_67_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_67_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_67_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_67_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_67_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_67_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_67_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_67_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_67_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_67_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_67_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_67_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_67_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_67_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_67_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_67_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_67_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_67_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_67_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_67_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_67_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_67_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_67_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_67_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_67_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_68
#define WAKE_AOWAKE_CNTRL_68                    _MK_ADDR_CONST(0x110)
#define WAKE_AOWAKE_CNTRL_68_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_68_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_68_SCR                        EVENT_CNTRL_SCR_68
#define WAKE_AOWAKE_CNTRL_68_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_68_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_68_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_68_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_68_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_68_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_68_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_68_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_68_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_68_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_68_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_68_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_68_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_68_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_68_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_68_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_68_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_68_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_68_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_68_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_68_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_68_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_68_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_68_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_68_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_68_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_68_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_68_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_68_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_68_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_68_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_68_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_68_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_68_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_68_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_68_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_68_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_68_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_68_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_68_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_68_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_68_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_68_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_68_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_68_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_68_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_68_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_68_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_68_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_68_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_68_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_68_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_68_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_68_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_68_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_68_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_68_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_68_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_68_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_68_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_68_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_68_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_68_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_68_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_68_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_68_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_68_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_68_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_68_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_68_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_68_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_68_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_68_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_68_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_68_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_68_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_68_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_68_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_68_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_68_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_68_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_68_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_68_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_68_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_68_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_68_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_68_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_68_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_68_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_68_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_68_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_68_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_68_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_68_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_68_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_68_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_68_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_68_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_68_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_68_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_68_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_68_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_69
#define WAKE_AOWAKE_CNTRL_69                    _MK_ADDR_CONST(0x114)
#define WAKE_AOWAKE_CNTRL_69_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_69_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_69_SCR                        EVENT_CNTRL_SCR_69
#define WAKE_AOWAKE_CNTRL_69_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_69_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_69_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_69_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_69_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_69_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_69_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_69_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_69_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_69_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_69_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_69_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_69_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_69_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_69_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_69_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_69_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_69_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_69_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_69_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_69_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_69_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_69_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_69_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_69_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_69_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_69_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_69_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_69_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_69_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_69_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_69_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_69_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_69_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_69_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_69_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_69_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_69_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_69_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_69_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_69_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_69_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_69_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_69_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_69_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_69_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_69_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_69_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_69_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_69_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_69_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_69_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_69_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_69_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_69_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_69_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_69_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_69_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_69_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_69_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_69_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_69_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_69_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_69_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_69_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_69_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_69_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_69_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_69_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_69_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_69_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_69_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_69_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_69_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_69_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_69_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_69_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_69_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_69_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_69_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_69_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_69_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_69_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_69_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_69_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_69_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_69_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_69_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_69_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_69_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_69_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_69_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_69_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_69_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_69_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_69_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_69_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_69_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_69_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_69_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_69_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_69_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_70
#define WAKE_AOWAKE_CNTRL_70                    _MK_ADDR_CONST(0x118)
#define WAKE_AOWAKE_CNTRL_70_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_70_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_70_SCR                        EVENT_CNTRL_SCR_70
#define WAKE_AOWAKE_CNTRL_70_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_70_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_70_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_70_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_70_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_70_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_70_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_70_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_70_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_70_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_70_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_70_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_70_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_70_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_70_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_70_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_70_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_70_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_70_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_70_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_70_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_70_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_70_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_70_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_70_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_70_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_70_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_70_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_70_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_70_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_70_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_70_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_70_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_70_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_70_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_70_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_70_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_70_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_70_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_70_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_70_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_70_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_70_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_70_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_70_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_70_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_70_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_70_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_70_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_70_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_70_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_70_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_70_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_70_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_70_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_70_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_70_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_70_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_70_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_70_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_70_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_70_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_70_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_70_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_70_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_70_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_70_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_70_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_70_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_70_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_70_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_70_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_70_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_70_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_70_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_70_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_70_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_70_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_70_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_70_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_70_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_70_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_70_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_70_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_70_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_70_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_70_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_70_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_70_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_70_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_70_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_70_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_70_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_70_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_70_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_70_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_70_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_70_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_70_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_70_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_70_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_70_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_71
#define WAKE_AOWAKE_CNTRL_71                    _MK_ADDR_CONST(0x11c)
#define WAKE_AOWAKE_CNTRL_71_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_71_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_71_SCR                        EVENT_CNTRL_SCR_71
#define WAKE_AOWAKE_CNTRL_71_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_71_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_71_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_71_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_71_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_71_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_71_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_71_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_71_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_71_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_71_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_71_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_71_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_71_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_71_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_71_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_71_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_71_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_71_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_71_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_71_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_71_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_71_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_71_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_71_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_71_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_71_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_71_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_71_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_71_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_71_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_71_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_71_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_71_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_71_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_71_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_71_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_71_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_71_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_71_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_71_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_71_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_71_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_71_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_71_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_71_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_71_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_71_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_71_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_71_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_71_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_71_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_71_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_71_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_71_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_71_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_71_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_71_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_71_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_71_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_71_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_71_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_71_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_71_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_71_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_71_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_71_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_71_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_71_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_71_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_71_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_71_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_71_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_71_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_71_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_71_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_71_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_71_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_71_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_71_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_71_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_71_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_71_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_71_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_71_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_71_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_71_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_71_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_71_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_71_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_71_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_71_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_71_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_71_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_71_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_71_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_71_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_71_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_71_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_71_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_71_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_71_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_72
#define WAKE_AOWAKE_CNTRL_72                    _MK_ADDR_CONST(0x120)
#define WAKE_AOWAKE_CNTRL_72_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_72_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_72_SCR                        EVENT_CNTRL_SCR_72
#define WAKE_AOWAKE_CNTRL_72_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_72_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_72_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_72_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_72_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_72_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_72_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_72_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_72_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_72_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_72_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_72_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_72_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_72_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_72_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_72_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_72_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_72_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_72_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_72_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_72_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_72_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_72_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_72_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_72_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_72_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_72_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_72_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_72_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_72_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_72_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_72_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_72_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_72_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_72_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_72_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_72_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_72_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_72_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_72_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_72_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_72_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_72_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_72_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_72_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_72_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_72_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_72_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_72_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_72_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_72_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_72_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_72_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_72_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_72_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_72_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_72_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_72_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_72_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_72_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_72_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_72_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_72_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_72_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_72_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_72_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_72_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_72_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_72_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_72_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_72_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_72_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_72_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_72_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_72_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_72_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_72_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_72_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_72_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_72_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_72_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_72_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_72_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_72_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_72_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_72_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_72_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_72_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_72_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_72_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_72_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_72_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_72_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_72_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_72_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_72_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_72_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_72_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_72_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_72_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_72_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_72_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_73
#define WAKE_AOWAKE_CNTRL_73                    _MK_ADDR_CONST(0x124)
#define WAKE_AOWAKE_CNTRL_73_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_73_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_73_SCR                        EVENT_CNTRL_SCR_73
#define WAKE_AOWAKE_CNTRL_73_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_73_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_73_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_73_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_73_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_73_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_73_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_73_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_73_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_73_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_73_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_73_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_73_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_73_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_73_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_73_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_73_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_73_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_73_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_73_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_73_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_73_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_73_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_73_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_73_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_73_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_73_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_73_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_73_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_73_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_73_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_73_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_73_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_73_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_73_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_73_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_73_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_73_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_73_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_73_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_73_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_73_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_73_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_73_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_73_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_73_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_73_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_73_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_73_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_73_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_73_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_73_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_73_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_73_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_73_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_73_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_73_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_73_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_73_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_73_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_73_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_73_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_73_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_73_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_73_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_73_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_73_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_73_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_73_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_73_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_73_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_73_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_73_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_73_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_73_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_73_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_73_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_73_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_73_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_73_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_73_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_73_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_73_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_73_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_73_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_73_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_73_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_73_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_73_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_73_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_73_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_73_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_73_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_73_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_73_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_73_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_73_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_73_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_73_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_73_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_73_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_73_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_74
#define WAKE_AOWAKE_CNTRL_74                    _MK_ADDR_CONST(0x128)
#define WAKE_AOWAKE_CNTRL_74_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_74_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_74_SCR                        EVENT_CNTRL_SCR_74
#define WAKE_AOWAKE_CNTRL_74_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_74_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_74_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_74_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_74_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_74_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_74_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_74_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_74_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_74_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_74_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_74_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_74_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_74_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_74_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_74_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_74_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_74_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_74_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_74_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_74_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_74_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_74_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_74_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_74_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_74_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_74_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_74_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_74_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_74_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_74_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_74_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_74_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_74_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_74_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_74_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_74_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_74_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_74_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_74_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_74_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_74_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_74_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_74_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_74_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_74_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_74_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_74_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_74_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_74_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_74_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_74_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_74_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_74_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_74_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_74_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_74_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_74_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_74_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_74_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_74_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_74_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_74_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_74_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_74_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_74_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_74_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_74_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_74_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_74_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_74_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_74_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_74_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_74_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_74_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_74_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_74_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_74_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_74_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_74_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_74_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_74_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_74_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_74_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_74_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_74_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_74_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_74_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_74_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_74_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_74_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_74_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_74_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_74_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_74_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_74_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_74_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_74_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_74_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_74_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_74_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_74_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_75
#define WAKE_AOWAKE_CNTRL_75                    _MK_ADDR_CONST(0x12c)
#define WAKE_AOWAKE_CNTRL_75_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_75_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_75_SCR                        EVENT_CNTRL_SCR_75
#define WAKE_AOWAKE_CNTRL_75_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_75_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_75_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_75_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_75_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_75_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_75_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_75_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_75_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_75_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_75_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_75_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_75_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_75_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_75_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_75_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_75_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_75_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_75_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_75_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_75_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_75_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_75_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_75_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_75_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_75_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_75_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_75_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_75_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_75_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_75_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_75_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_75_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_75_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_75_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_75_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_75_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_75_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_75_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_75_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_75_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_75_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_75_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_75_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_75_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_75_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_75_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_75_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_75_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_75_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_75_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_75_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_75_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_75_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_75_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_75_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_75_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_75_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_75_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_75_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_75_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_75_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_75_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_75_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_75_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_75_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_75_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_75_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_75_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_75_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_75_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_75_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_75_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_75_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_75_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_75_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_75_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_75_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_75_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_75_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_75_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_75_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_75_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_75_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_75_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_75_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_75_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_75_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_75_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_75_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_75_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_75_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_75_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_75_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_75_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_75_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_75_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_75_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_75_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_75_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_75_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_75_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_76
#define WAKE_AOWAKE_CNTRL_76                    _MK_ADDR_CONST(0x130)
#define WAKE_AOWAKE_CNTRL_76_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_76_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_76_SCR                        EVENT_CNTRL_SCR_76
#define WAKE_AOWAKE_CNTRL_76_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_76_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_76_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_76_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_76_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_76_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_76_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_76_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_76_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_76_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_76_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_76_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_76_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_76_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_76_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_76_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_76_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_76_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_76_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_76_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_76_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_76_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_76_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_76_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_76_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_76_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_76_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_76_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_76_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_76_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_76_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_76_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_76_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_76_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_76_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_76_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_76_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_76_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_76_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_76_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_76_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_76_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_76_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_76_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_76_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_76_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_76_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_76_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_76_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_76_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_76_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_76_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_76_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_76_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_76_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_76_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_76_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_76_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_76_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_76_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_76_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_76_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_76_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_76_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_76_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_76_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_76_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_76_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_76_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_76_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_76_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_76_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_76_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_76_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_76_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_76_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_76_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_76_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_76_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_76_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_76_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_76_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_76_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_76_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_76_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_76_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_76_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_76_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_76_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_76_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_76_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_76_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_76_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_76_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_76_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_76_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_76_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_76_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_76_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_76_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_76_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_76_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_77
#define WAKE_AOWAKE_CNTRL_77                    _MK_ADDR_CONST(0x134)
#define WAKE_AOWAKE_CNTRL_77_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_77_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_77_SCR                        EVENT_CNTRL_SCR_77
#define WAKE_AOWAKE_CNTRL_77_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_77_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_77_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_77_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_77_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_77_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_77_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_77_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_77_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_77_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_77_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_77_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_77_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_77_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_77_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_77_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_77_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_77_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_77_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_77_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_77_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_77_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_77_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_77_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_77_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_77_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_77_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_77_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_77_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_77_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_77_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_77_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_77_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_77_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_77_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_77_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_77_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_77_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_77_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_77_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_77_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_77_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_77_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_77_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_77_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_77_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_77_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_77_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_77_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_77_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_77_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_77_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_77_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_77_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_77_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_77_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_77_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_77_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_77_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_77_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_77_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_77_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_77_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_77_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_77_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_77_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_77_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_77_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_77_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_77_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_77_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_77_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_77_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_77_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_77_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_77_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_77_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_77_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_77_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_77_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_77_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_77_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_77_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_77_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_77_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_77_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_77_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_77_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_77_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_77_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_77_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_77_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_77_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_77_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_77_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_77_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_77_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_77_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_77_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_77_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_77_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_77_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_78
#define WAKE_AOWAKE_CNTRL_78                    _MK_ADDR_CONST(0x138)
#define WAKE_AOWAKE_CNTRL_78_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_78_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_78_SCR                        EVENT_CNTRL_SCR_78
#define WAKE_AOWAKE_CNTRL_78_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_78_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_78_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_78_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_78_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_78_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_78_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_78_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_78_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_78_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_78_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_78_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_78_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_78_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_78_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_78_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_78_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_78_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_78_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_78_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_78_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_78_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_78_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_78_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_78_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_78_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_78_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_78_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_78_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_78_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_78_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_78_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_78_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_78_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_78_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_78_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_78_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_78_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_78_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_78_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_78_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_78_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_78_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_78_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_78_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_78_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_78_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_78_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_78_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_78_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_78_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_78_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_78_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_78_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_78_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_78_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_78_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_78_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_78_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_78_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_78_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_78_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_78_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_78_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_78_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_78_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_78_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_78_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_78_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_78_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_78_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_78_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_78_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_78_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_78_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_78_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_78_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_78_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_78_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_78_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_78_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_78_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_78_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_78_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_78_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_78_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_78_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_78_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_78_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_78_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_78_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_78_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_78_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_78_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_78_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_78_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_78_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_78_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_78_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_78_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_78_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_78_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_79
#define WAKE_AOWAKE_CNTRL_79                    _MK_ADDR_CONST(0x13c)
#define WAKE_AOWAKE_CNTRL_79_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_79_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_79_SCR                        EVENT_CNTRL_SCR_79
#define WAKE_AOWAKE_CNTRL_79_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_79_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_79_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_79_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_79_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_79_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_79_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_79_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_79_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_79_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_79_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_79_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_79_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_79_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_79_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_79_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_79_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_79_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_79_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_79_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_79_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_79_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_79_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_79_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_79_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_79_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_79_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_79_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_79_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_79_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_79_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_79_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_79_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_79_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_79_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_79_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_79_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_79_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_79_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_79_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_79_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_79_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_79_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_79_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_79_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_79_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_79_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_79_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_79_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_79_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_79_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_79_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_79_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_79_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_79_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_79_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_79_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_79_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_79_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_79_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_79_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_79_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_79_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_79_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_79_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_79_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_79_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_79_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_79_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_79_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_79_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_79_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_79_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_79_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_79_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_79_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_79_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_79_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_79_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_79_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_79_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_79_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_79_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_79_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_79_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_79_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_79_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_79_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_79_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_79_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_79_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_79_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_79_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_79_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_79_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_79_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_79_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_79_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_79_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_79_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_79_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_79_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_80
#define WAKE_AOWAKE_CNTRL_80                    _MK_ADDR_CONST(0x140)
#define WAKE_AOWAKE_CNTRL_80_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_80_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_80_SCR                        EVENT_CNTRL_SCR_80
#define WAKE_AOWAKE_CNTRL_80_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_80_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_80_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_80_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_80_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_80_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_80_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_80_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_80_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_80_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_80_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_80_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_80_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_80_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_80_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_80_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_80_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_80_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_80_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_80_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_80_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_80_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_80_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_80_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_80_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_80_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_80_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_80_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_80_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_80_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_80_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_80_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_80_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_80_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_80_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_80_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_80_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_80_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_80_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_80_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_80_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_80_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_80_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_80_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_80_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_80_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_80_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_80_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_80_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_80_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_80_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_80_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_80_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_80_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_80_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_80_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_80_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_80_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_80_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_80_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_80_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_80_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_80_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_80_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_80_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_80_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_80_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_80_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_80_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_80_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_80_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_80_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_80_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_80_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_80_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_80_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_80_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_80_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_80_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_80_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_80_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_80_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_80_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_80_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_80_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_80_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_80_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_80_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_80_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_80_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_80_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_80_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_80_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_80_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_80_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_80_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_80_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_80_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_80_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_80_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_80_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_80_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_81
#define WAKE_AOWAKE_CNTRL_81                    _MK_ADDR_CONST(0x144)
#define WAKE_AOWAKE_CNTRL_81_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_81_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_81_SCR                        EVENT_CNTRL_SCR_81
#define WAKE_AOWAKE_CNTRL_81_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_81_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_81_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_81_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_81_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_81_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_81_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_81_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_81_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_81_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_81_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_81_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_81_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_81_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_81_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_81_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_81_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_81_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_81_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_81_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_81_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_81_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_81_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_81_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_81_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_81_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_81_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_81_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_81_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_81_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_81_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_81_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_81_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_81_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_81_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_81_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_81_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_81_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_81_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_81_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_81_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_81_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_81_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_81_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_81_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_81_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_81_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_81_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_81_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_81_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_81_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_81_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_81_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_81_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_81_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_81_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_81_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_81_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_81_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_81_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_81_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_81_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_81_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_81_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_81_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_81_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_81_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_81_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_81_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_81_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_81_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_81_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_81_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_81_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_81_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_81_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_81_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_81_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_81_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_81_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_81_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_81_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_81_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_81_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_81_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_81_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_81_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_81_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_81_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_81_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_81_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_81_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_81_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_81_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_81_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_81_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_81_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_81_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_81_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_81_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_81_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_81_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_82
#define WAKE_AOWAKE_CNTRL_82                    _MK_ADDR_CONST(0x148)
#define WAKE_AOWAKE_CNTRL_82_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_82_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_82_SCR                        EVENT_CNTRL_SCR_82
#define WAKE_AOWAKE_CNTRL_82_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_82_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_82_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_82_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_82_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_82_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_82_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_82_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_82_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_82_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_82_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_82_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_82_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_82_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_82_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_82_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_82_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_82_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_82_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_82_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_82_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_82_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_82_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_82_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_82_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_82_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_82_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_82_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_82_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_82_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_82_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_82_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_82_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_82_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_82_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_82_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_82_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_82_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_82_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_82_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_82_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_82_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_82_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_82_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_82_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_82_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_82_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_82_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_82_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_82_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_82_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_82_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_82_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_82_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_82_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_82_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_82_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_82_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_82_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_82_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_82_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_82_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_82_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_82_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_82_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_82_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_82_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_82_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_82_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_82_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_82_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_82_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_82_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_82_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_82_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_82_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_82_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_82_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_82_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_82_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_82_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_82_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_82_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_82_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_82_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_82_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_82_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_82_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_82_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_82_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_82_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_82_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_82_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_82_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_82_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_82_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_82_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_82_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_82_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_82_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_82_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_82_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_83
#define WAKE_AOWAKE_CNTRL_83                    _MK_ADDR_CONST(0x14c)
#define WAKE_AOWAKE_CNTRL_83_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_83_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_83_SCR                        EVENT_CNTRL_SCR_83
#define WAKE_AOWAKE_CNTRL_83_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_83_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_83_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_83_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_83_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_83_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_83_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_83_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_83_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_83_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_83_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_83_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_83_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_83_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_83_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_83_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_83_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_83_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_83_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_83_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_83_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_83_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_83_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_83_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_83_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_83_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_83_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_83_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_83_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_83_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_83_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_83_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_83_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_83_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_83_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_83_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_83_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_83_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_83_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_83_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_83_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_83_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_83_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_83_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_83_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_83_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_83_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_83_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_83_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_83_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_83_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_83_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_83_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_83_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_83_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_83_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_83_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_83_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_83_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_83_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_83_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_83_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_83_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_83_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_83_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_83_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_83_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_83_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_83_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_83_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_83_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_83_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_83_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_83_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_83_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_83_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_83_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_83_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_83_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_83_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_83_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_83_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_83_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_83_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_83_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_83_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_83_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_83_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_83_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_83_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_83_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_83_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_83_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_83_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_83_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_83_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_83_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_83_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_83_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_83_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_83_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_83_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_84
#define WAKE_AOWAKE_CNTRL_84                    _MK_ADDR_CONST(0x150)
#define WAKE_AOWAKE_CNTRL_84_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_84_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_84_SCR                        EVENT_CNTRL_SCR_84
#define WAKE_AOWAKE_CNTRL_84_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_84_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_84_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_84_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_84_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_84_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_84_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_84_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_84_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_84_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_84_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_84_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_84_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_84_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_84_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_84_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_84_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_84_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_84_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_84_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_84_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_84_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_84_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_84_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_84_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_84_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_84_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_84_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_84_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_84_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_84_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_84_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_84_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_84_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_84_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_84_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_84_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_84_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_84_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_84_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_84_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_84_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_84_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_84_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_84_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_84_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_84_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_84_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_84_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_84_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_84_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_84_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_84_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_84_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_84_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_84_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_84_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_84_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_84_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_84_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_84_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_84_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_84_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_84_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_84_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_84_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_84_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_84_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_84_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_84_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_84_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_84_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_84_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_84_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_84_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_84_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_84_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_84_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_84_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_84_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_84_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_84_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_84_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_84_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_84_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_84_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_84_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_84_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_84_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_84_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_84_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_84_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_84_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_84_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_84_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_84_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_84_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_84_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_84_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_84_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_84_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_84_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_85
#define WAKE_AOWAKE_CNTRL_85                    _MK_ADDR_CONST(0x154)
#define WAKE_AOWAKE_CNTRL_85_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_85_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_85_SCR                        EVENT_CNTRL_SCR_85
#define WAKE_AOWAKE_CNTRL_85_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_85_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_85_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_85_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_85_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_85_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_85_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_85_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_85_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_85_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_85_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_85_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_85_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_85_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_85_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_85_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_85_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_85_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_85_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_85_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_85_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_85_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_85_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_85_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_85_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_85_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_85_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_85_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_85_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_85_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_85_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_85_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_85_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_85_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_85_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_85_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_85_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_85_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_85_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_85_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_85_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_85_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_85_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_85_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_85_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_85_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_85_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_85_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_85_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_85_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_85_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_85_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_85_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_85_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_85_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_85_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_85_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_85_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_85_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_85_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_85_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_85_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_85_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_85_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_85_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_85_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_85_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_85_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_85_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_85_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_85_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_85_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_85_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_85_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_85_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_85_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_85_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_85_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_85_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_85_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_85_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_85_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_85_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_85_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_85_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_85_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_85_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_85_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_85_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_85_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_85_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_85_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_85_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_85_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_85_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_85_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_85_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_85_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_85_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_85_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_85_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_85_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_86
#define WAKE_AOWAKE_CNTRL_86                    _MK_ADDR_CONST(0x158)
#define WAKE_AOWAKE_CNTRL_86_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_86_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_86_SCR                        EVENT_CNTRL_SCR_86
#define WAKE_AOWAKE_CNTRL_86_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_86_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_86_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_86_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_86_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_86_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_86_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_86_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_86_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_86_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_86_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_86_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_86_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_86_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_86_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_86_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_86_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_86_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_86_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_86_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_86_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_86_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_86_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_86_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_86_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_86_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_86_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_86_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_86_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_86_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_86_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_86_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_86_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_86_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_86_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_86_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_86_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_86_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_86_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_86_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_86_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_86_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_86_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_86_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_86_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_86_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_86_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_86_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_86_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_86_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_86_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_86_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_86_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_86_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_86_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_86_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_86_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_86_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_86_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_86_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_86_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_86_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_86_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_86_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_86_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_86_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_86_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_86_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_86_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_86_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_86_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_86_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_86_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_86_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_86_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_86_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_86_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_86_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_86_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_86_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_86_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_86_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_86_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_86_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_86_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_86_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_86_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_86_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_86_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_86_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_86_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_86_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_86_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_86_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_86_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_86_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_86_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_86_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_86_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_86_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_86_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_86_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_87
#define WAKE_AOWAKE_CNTRL_87                    _MK_ADDR_CONST(0x15c)
#define WAKE_AOWAKE_CNTRL_87_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_87_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_87_SCR                        EVENT_CNTRL_SCR_87
#define WAKE_AOWAKE_CNTRL_87_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_87_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_87_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_87_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_87_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_87_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_87_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_87_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_87_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_87_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_87_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_87_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_87_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_87_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_87_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_87_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_87_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_87_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_87_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_87_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_87_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_87_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_87_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_87_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_87_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_87_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_87_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_87_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_87_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_87_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_87_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_87_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_87_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_87_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_87_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_87_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_87_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_87_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_87_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_87_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_87_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_87_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_87_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_87_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_87_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_87_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_87_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_87_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_87_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_87_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_87_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_87_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_87_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_87_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_87_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_87_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_87_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_87_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_87_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_87_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_87_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_87_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_87_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_87_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_87_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_87_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_87_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_87_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_87_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_87_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_87_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_87_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_87_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_87_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_87_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_87_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_87_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_87_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_87_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_87_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_87_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_87_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_87_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_87_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_87_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_87_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_87_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_87_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_87_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_87_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_87_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_87_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_87_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_87_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_87_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_87_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_87_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_87_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_87_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_87_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_87_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_87_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_88
#define WAKE_AOWAKE_CNTRL_88                    _MK_ADDR_CONST(0x160)
#define WAKE_AOWAKE_CNTRL_88_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_88_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_88_SCR                        EVENT_CNTRL_SCR_88
#define WAKE_AOWAKE_CNTRL_88_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_88_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_88_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_88_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_88_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_88_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_88_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_88_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_88_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_88_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_88_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_88_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_88_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_88_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_88_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_88_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_88_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_88_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_88_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_88_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_88_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_88_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_88_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_88_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_88_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_88_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_88_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_88_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_88_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_88_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_88_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_88_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_88_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_88_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_88_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_88_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_88_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_88_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_88_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_88_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_88_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_88_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_88_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_88_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_88_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_88_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_88_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_88_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_88_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_88_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_88_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_88_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_88_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_88_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_88_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_88_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_88_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_88_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_88_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_88_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_88_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_88_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_88_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_88_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_88_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_88_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_88_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_88_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_88_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_88_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_88_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_88_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_88_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_88_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_88_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_88_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_88_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_88_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_88_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_88_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_88_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_88_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_88_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_88_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_88_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_88_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_88_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_88_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_88_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_88_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_88_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_88_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_88_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_88_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_88_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_88_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_88_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_88_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_88_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_88_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_88_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_88_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_89
#define WAKE_AOWAKE_CNTRL_89                    _MK_ADDR_CONST(0x164)
#define WAKE_AOWAKE_CNTRL_89_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_89_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_89_SCR                        EVENT_CNTRL_SCR_89
#define WAKE_AOWAKE_CNTRL_89_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_89_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_89_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_89_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_89_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_89_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_89_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_89_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_89_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_89_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_89_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_89_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_89_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_89_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_89_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_89_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_89_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_89_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_89_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_89_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_89_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_89_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_89_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_89_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_89_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_89_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_89_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_89_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_89_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_89_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_89_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_89_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_89_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_89_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_89_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_89_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_89_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_89_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_89_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_89_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_89_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_89_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_89_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_89_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_89_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_89_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_89_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_89_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_89_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_89_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_89_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_89_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_89_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_89_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_89_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_89_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_89_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_89_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_89_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_89_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_89_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_89_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_89_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_89_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_89_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_89_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_89_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_89_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_89_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_89_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_89_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_89_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_89_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_89_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_89_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_89_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_89_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_89_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_89_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_89_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_89_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_89_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_89_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_89_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_89_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_89_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_89_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_89_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_89_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_89_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_89_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_89_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_89_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_89_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_89_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_89_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_89_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_89_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_89_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_89_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_89_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_89_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_90
#define WAKE_AOWAKE_CNTRL_90                    _MK_ADDR_CONST(0x168)
#define WAKE_AOWAKE_CNTRL_90_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_90_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_90_SCR                        EVENT_CNTRL_SCR_90
#define WAKE_AOWAKE_CNTRL_90_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_90_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_90_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_90_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_90_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_90_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_90_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_90_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_90_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_90_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_90_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_90_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_90_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_90_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_90_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_90_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_90_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_90_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_90_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_90_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_90_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_90_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_90_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_90_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_90_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_90_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_90_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_90_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_90_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_90_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_90_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_90_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_90_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_90_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_90_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_90_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_90_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_90_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_90_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_90_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_90_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_90_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_90_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_90_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_90_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_90_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_90_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_90_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_90_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_90_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_90_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_90_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_90_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_90_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_90_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_90_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_90_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_90_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_90_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_90_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_90_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_90_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_90_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_90_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_90_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_90_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_90_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_90_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_90_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_90_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_90_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_90_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_90_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_90_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_90_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_90_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_90_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_90_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_90_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_90_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_90_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_90_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_90_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_90_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_90_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_90_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_90_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_90_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_90_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_90_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_90_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_90_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_90_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_90_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_90_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_90_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_90_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_90_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_90_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_90_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_90_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_90_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_91
#define WAKE_AOWAKE_CNTRL_91                    _MK_ADDR_CONST(0x16c)
#define WAKE_AOWAKE_CNTRL_91_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_91_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_91_SCR                        EVENT_CNTRL_SCR_91
#define WAKE_AOWAKE_CNTRL_91_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_91_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_91_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_91_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_91_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_91_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_91_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_91_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_91_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_91_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_91_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_91_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_91_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_91_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_91_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_91_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_91_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_91_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_91_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_91_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_91_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_91_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_91_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_91_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_91_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_91_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_91_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_91_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_91_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_91_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_91_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_91_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_91_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_91_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_91_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_91_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_91_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_91_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_91_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_91_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_91_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_91_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_91_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_91_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_91_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_91_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_91_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_91_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_91_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_91_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_91_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_91_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_91_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_91_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_91_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_91_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_91_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_91_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_91_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_91_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_91_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_91_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_91_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_91_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_91_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_91_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_91_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_91_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_91_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_91_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_91_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_91_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_91_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_91_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_91_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_91_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_91_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_91_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_91_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_91_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_91_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_91_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_91_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_91_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_91_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_91_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_91_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_91_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_91_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_91_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_91_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_91_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_91_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_91_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_91_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_91_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_91_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_91_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_91_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_91_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_91_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_91_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_92
#define WAKE_AOWAKE_CNTRL_92                    _MK_ADDR_CONST(0x170)
#define WAKE_AOWAKE_CNTRL_92_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_92_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_92_SCR                        EVENT_CNTRL_SCR_92
#define WAKE_AOWAKE_CNTRL_92_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_92_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_92_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_92_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_92_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_92_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_92_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_92_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_92_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_92_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_92_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_92_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_92_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_92_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_92_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_92_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_92_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_92_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_92_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_92_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_92_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_92_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_92_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_92_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_92_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_92_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_92_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_92_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_92_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_92_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_92_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_92_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_92_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_92_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_92_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_92_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_92_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_92_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_92_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_92_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_92_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_92_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_92_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_92_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_92_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_92_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_92_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_92_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_92_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_92_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_92_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_92_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_92_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_92_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_92_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_92_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_92_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_92_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_92_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_92_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_92_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_92_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_92_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_92_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_92_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_92_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_92_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_92_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_92_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_92_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_92_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_92_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_92_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_92_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_92_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_92_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_92_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_92_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_92_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_92_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_92_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_92_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_92_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_92_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_92_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_92_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_92_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_92_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_92_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_92_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_92_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_92_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_92_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_92_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_92_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_92_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_92_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_92_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_92_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_92_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_92_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_92_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_93
#define WAKE_AOWAKE_CNTRL_93                    _MK_ADDR_CONST(0x174)
#define WAKE_AOWAKE_CNTRL_93_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_93_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_93_SCR                        EVENT_CNTRL_SCR_93
#define WAKE_AOWAKE_CNTRL_93_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_93_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_93_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_93_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_93_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_93_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_93_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_93_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_93_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_93_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_93_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_93_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_93_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_93_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_93_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_93_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_93_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_93_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_93_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_93_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_93_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_93_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_93_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_93_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_93_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_93_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_93_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_93_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_93_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_93_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_93_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_93_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_93_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_93_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_93_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_93_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_93_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_93_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_93_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_93_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_93_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_93_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_93_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_93_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_93_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_93_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_93_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_93_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_93_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_93_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_93_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_93_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_93_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_93_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_93_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_93_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_93_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_93_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_93_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_93_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_93_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_93_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_93_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_93_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_93_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_93_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_93_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_93_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_93_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_93_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_93_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_93_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_93_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_93_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_93_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_93_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_93_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_93_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_93_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_93_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_93_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_93_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_93_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_93_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_93_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_93_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_93_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_93_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_93_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_93_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_93_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_93_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_93_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_93_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_93_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_93_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_93_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_93_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_93_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_93_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_93_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_93_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_94
#define WAKE_AOWAKE_CNTRL_94                    _MK_ADDR_CONST(0x178)
#define WAKE_AOWAKE_CNTRL_94_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_94_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_94_SCR                        EVENT_CNTRL_SCR_94
#define WAKE_AOWAKE_CNTRL_94_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_94_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_94_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_94_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_94_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_94_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_94_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_94_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_94_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_94_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_94_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_94_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_94_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_94_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_94_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_94_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_94_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_94_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_94_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_94_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_94_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_94_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_94_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_94_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_94_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_94_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_94_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_94_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_94_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_94_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_94_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_94_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_94_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_94_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_94_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_94_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_94_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_94_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_94_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_94_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_94_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_94_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_94_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_94_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_94_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_94_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_94_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_94_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_94_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_94_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_94_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_94_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_94_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_94_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_94_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_94_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_94_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_94_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_94_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_94_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_94_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_94_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_94_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_94_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_94_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_94_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_94_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_94_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_94_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_94_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_94_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_94_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_94_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_94_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_94_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_94_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_94_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_94_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_94_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_94_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_94_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_94_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_94_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_94_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_94_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_94_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_94_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_94_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_94_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_94_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_94_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_94_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_94_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_94_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_94_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_94_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_94_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_94_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_94_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_94_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_94_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_94_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CNTRL_95
#define WAKE_AOWAKE_CNTRL_95                    _MK_ADDR_CONST(0x17c)
#define WAKE_AOWAKE_CNTRL_95_SECURE                     0x0
#define WAKE_AOWAKE_CNTRL_95_DUAL                       0x0
#define WAKE_AOWAKE_CNTRL_95_SCR                        EVENT_CNTRL_SCR_95
#define WAKE_AOWAKE_CNTRL_95_WORD_COUNT                         0x1
#define WAKE_AOWAKE_CNTRL_95_RESET_VAL                  _MK_MASK_CONST(0x108)
#define WAKE_AOWAKE_CNTRL_95_RESET_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_95_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_95_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_95_READ_MASK                  _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_95_WRITE_MASK                         _MK_MASK_CONST(0xff6f)
#define WAKE_AOWAKE_CNTRL_95_DEBOUNCE_VAL_SHIFT                 _MK_SHIFT_CONST(8)
#define WAKE_AOWAKE_CNTRL_95_DEBOUNCE_VAL_FIELD                 _MK_FIELD_CONST(0xff, WAKE_AOWAKE_CNTRL_95_DEBOUNCE_VAL_SHIFT)
#define WAKE_AOWAKE_CNTRL_95_DEBOUNCE_VAL_RANGE                 15:8
#define WAKE_AOWAKE_CNTRL_95_DEBOUNCE_VAL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_95_DEBOUNCE_VAL_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_95_DEBOUNCE_VAL_DEFAULT_MASK                  _MK_MASK_CONST(0xff)
#define WAKE_AOWAKE_CNTRL_95_DEBOUNCE_VAL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_95_DEBOUNCE_VAL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_95_DEBOUNCE_VAL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_95_DEBOUNCE_VAL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define WAKE_AOWAKE_CNTRL_95_COAL_EN_SHIFT                      _MK_SHIFT_CONST(6)
#define WAKE_AOWAKE_CNTRL_95_COAL_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_95_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_95_COAL_EN_RANGE                      6:6
#define WAKE_AOWAKE_CNTRL_95_COAL_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_95_COAL_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_95_COAL_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_95_COAL_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_95_COAL_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_95_COAL_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_95_COAL_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_95_COAL_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_95_COAL_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_95_COAL_EN_TRUE                       _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_95_COAL_GRP_SEL_SHIFT                 _MK_SHIFT_CONST(5)
#define WAKE_AOWAKE_CNTRL_95_COAL_GRP_SEL_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_95_COAL_GRP_SEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_95_COAL_GRP_SEL_RANGE                 5:5
#define WAKE_AOWAKE_CNTRL_95_COAL_GRP_SEL_WOFFSET                       0x0
#define WAKE_AOWAKE_CNTRL_95_COAL_GRP_SEL_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_95_COAL_GRP_SEL_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_95_COAL_GRP_SEL_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_95_COAL_GRP_SEL_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_95_COAL_GRP_SEL_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_95_COAL_GRP_SEL_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_95_COAL_GRP_SEL_INIT_ENUM                     GROUP0
#define WAKE_AOWAKE_CNTRL_95_COAL_GRP_SEL_GROUP0                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_95_COAL_GRP_SEL_GROUP1                        _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_95_LEVEL_SHIFT                        _MK_SHIFT_CONST(3)
#define WAKE_AOWAKE_CNTRL_95_LEVEL_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_95_LEVEL_SHIFT)
#define WAKE_AOWAKE_CNTRL_95_LEVEL_RANGE                        3:3
#define WAKE_AOWAKE_CNTRL_95_LEVEL_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_95_LEVEL_DEFAULT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_95_LEVEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_95_LEVEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_95_LEVEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_95_LEVEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_95_LEVEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_95_LEVEL_INIT_ENUM                    HIGH
#define WAKE_AOWAKE_CNTRL_95_LEVEL_LOW                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_95_LEVEL_HIGH                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_95_DEBOUNCE_EN_SHIFT                  _MK_SHIFT_CONST(2)
#define WAKE_AOWAKE_CNTRL_95_DEBOUNCE_EN_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_95_DEBOUNCE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_95_DEBOUNCE_EN_RANGE                  2:2
#define WAKE_AOWAKE_CNTRL_95_DEBOUNCE_EN_WOFFSET                        0x0
#define WAKE_AOWAKE_CNTRL_95_DEBOUNCE_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_95_DEBOUNCE_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_95_DEBOUNCE_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_95_DEBOUNCE_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_95_DEBOUNCE_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_95_DEBOUNCE_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_95_DEBOUNCE_EN_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CNTRL_95_DEBOUNCE_EN_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_95_DEBOUNCE_EN_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_95_SR_CAPTURE_EN_SHIFT                        _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CNTRL_95_SR_CAPTURE_EN_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_95_SR_CAPTURE_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_95_SR_CAPTURE_EN_RANGE                        1:1
#define WAKE_AOWAKE_CNTRL_95_SR_CAPTURE_EN_WOFFSET                      0x0
#define WAKE_AOWAKE_CNTRL_95_SR_CAPTURE_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_95_SR_CAPTURE_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_95_SR_CAPTURE_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_95_SR_CAPTURE_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_95_SR_CAPTURE_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_95_SR_CAPTURE_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_95_SR_CAPTURE_EN_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_CNTRL_95_SR_CAPTURE_EN_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_95_SR_CAPTURE_EN_TRUE                 _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CNTRL_95_DELAY_FILTER_EN_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CNTRL_95_DELAY_FILTER_EN_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CNTRL_95_DELAY_FILTER_EN_SHIFT)
#define WAKE_AOWAKE_CNTRL_95_DELAY_FILTER_EN_RANGE                      0:0
#define WAKE_AOWAKE_CNTRL_95_DELAY_FILTER_EN_WOFFSET                    0x0
#define WAKE_AOWAKE_CNTRL_95_DELAY_FILTER_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_95_DELAY_FILTER_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_95_DELAY_FILTER_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_95_DELAY_FILTER_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_95_DELAY_FILTER_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CNTRL_95_DELAY_FILTER_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CNTRL_95_DELAY_FILTER_EN_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_CNTRL_95_DELAY_FILTER_EN_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CNTRL_95_DELAY_FILTER_EN_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_0
#define WAKE_AOWAKE_MASK_W_0                    _MK_ADDR_CONST(0x180)
#define WAKE_AOWAKE_MASK_W_0_SECURE                     0x0
#define WAKE_AOWAKE_MASK_W_0_DUAL                       0x0
#define WAKE_AOWAKE_MASK_W_0_SCR                        EVENT_CNTRL_SCR_0
#define WAKE_AOWAKE_MASK_W_0_WORD_COUNT                         0x1
#define WAKE_AOWAKE_MASK_W_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_0_RESET_MASK                         _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_0_READ_MASK                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_0_WRITE_MASK                         _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_0_MASK_SHIFT                 _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_0_MASK_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_0_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_0_MASK_RANGE                 0:0
#define WAKE_AOWAKE_MASK_W_0_MASK_WOFFSET                       0x0
#define WAKE_AOWAKE_MASK_W_0_MASK_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_0_MASK_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_0_MASK_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_0_MASK_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_0_MASK_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_0_MASK_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_0_MASK_INIT_ENUM                     MASK
#define WAKE_AOWAKE_MASK_W_0_MASK_MASK                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_0_MASK_UNMASK                        _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W
#define WAKE_AOWAKE_MASK_W                      _MK_ADDR_CONST(0x180)
#define WAKE_AOWAKE_MASK_W_SECURE                       0x0
#define WAKE_AOWAKE_MASK_W_DUAL                         0x0
#define WAKE_AOWAKE_MASK_W_SCR                  EVENT_CNTRL_SCR_0
#define WAKE_AOWAKE_MASK_W_WORD_COUNT                   0x1
#define WAKE_AOWAKE_MASK_W_RESET_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_RESET_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_READ_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_WRITE_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_MASK_SHIFT                   _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_MASK_FIELD                   _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_MASK_RANGE                   0:0
#define WAKE_AOWAKE_MASK_W_MASK_WOFFSET                 0x0
#define WAKE_AOWAKE_MASK_W_MASK_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_MASK_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_MASK_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_MASK_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_MASK_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_MASK_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_MASK_INIT_ENUM                       MASK
#define WAKE_AOWAKE_MASK_W_MASK_MASK                    _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_MASK_UNMASK                  _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_1
#define WAKE_AOWAKE_MASK_W_1                    _MK_ADDR_CONST(0x184)
#define WAKE_AOWAKE_MASK_W_1_SECURE                     0x0
#define WAKE_AOWAKE_MASK_W_1_DUAL                       0x0
#define WAKE_AOWAKE_MASK_W_1_SCR                        EVENT_CNTRL_SCR_1
#define WAKE_AOWAKE_MASK_W_1_WORD_COUNT                         0x1
#define WAKE_AOWAKE_MASK_W_1_RESET_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_1_RESET_MASK                         _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_1_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_1_READ_MASK                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_1_WRITE_MASK                         _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_1_MASK_SHIFT                 _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_1_MASK_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_1_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_1_MASK_RANGE                 0:0
#define WAKE_AOWAKE_MASK_W_1_MASK_WOFFSET                       0x0
#define WAKE_AOWAKE_MASK_W_1_MASK_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_1_MASK_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_1_MASK_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_1_MASK_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_1_MASK_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_1_MASK_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_1_MASK_INIT_ENUM                     MASK
#define WAKE_AOWAKE_MASK_W_1_MASK_MASK                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_1_MASK_UNMASK                        _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_2
#define WAKE_AOWAKE_MASK_W_2                    _MK_ADDR_CONST(0x188)
#define WAKE_AOWAKE_MASK_W_2_SECURE                     0x0
#define WAKE_AOWAKE_MASK_W_2_DUAL                       0x0
#define WAKE_AOWAKE_MASK_W_2_SCR                        EVENT_CNTRL_SCR_2
#define WAKE_AOWAKE_MASK_W_2_WORD_COUNT                         0x1
#define WAKE_AOWAKE_MASK_W_2_RESET_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_2_RESET_MASK                         _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_2_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_2_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_2_READ_MASK                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_2_WRITE_MASK                         _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_2_MASK_SHIFT                 _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_2_MASK_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_2_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_2_MASK_RANGE                 0:0
#define WAKE_AOWAKE_MASK_W_2_MASK_WOFFSET                       0x0
#define WAKE_AOWAKE_MASK_W_2_MASK_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_2_MASK_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_2_MASK_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_2_MASK_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_2_MASK_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_2_MASK_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_2_MASK_INIT_ENUM                     MASK
#define WAKE_AOWAKE_MASK_W_2_MASK_MASK                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_2_MASK_UNMASK                        _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_3
#define WAKE_AOWAKE_MASK_W_3                    _MK_ADDR_CONST(0x18c)
#define WAKE_AOWAKE_MASK_W_3_SECURE                     0x0
#define WAKE_AOWAKE_MASK_W_3_DUAL                       0x0
#define WAKE_AOWAKE_MASK_W_3_SCR                        EVENT_CNTRL_SCR_3
#define WAKE_AOWAKE_MASK_W_3_WORD_COUNT                         0x1
#define WAKE_AOWAKE_MASK_W_3_RESET_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_3_RESET_MASK                         _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_3_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_3_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_3_READ_MASK                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_3_WRITE_MASK                         _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_3_MASK_SHIFT                 _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_3_MASK_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_3_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_3_MASK_RANGE                 0:0
#define WAKE_AOWAKE_MASK_W_3_MASK_WOFFSET                       0x0
#define WAKE_AOWAKE_MASK_W_3_MASK_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_3_MASK_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_3_MASK_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_3_MASK_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_3_MASK_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_3_MASK_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_3_MASK_INIT_ENUM                     MASK
#define WAKE_AOWAKE_MASK_W_3_MASK_MASK                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_3_MASK_UNMASK                        _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_4
#define WAKE_AOWAKE_MASK_W_4                    _MK_ADDR_CONST(0x190)
#define WAKE_AOWAKE_MASK_W_4_SECURE                     0x0
#define WAKE_AOWAKE_MASK_W_4_DUAL                       0x0
#define WAKE_AOWAKE_MASK_W_4_SCR                        EVENT_CNTRL_SCR_4
#define WAKE_AOWAKE_MASK_W_4_WORD_COUNT                         0x1
#define WAKE_AOWAKE_MASK_W_4_RESET_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_4_RESET_MASK                         _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_4_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_4_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_4_READ_MASK                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_4_WRITE_MASK                         _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_4_MASK_SHIFT                 _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_4_MASK_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_4_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_4_MASK_RANGE                 0:0
#define WAKE_AOWAKE_MASK_W_4_MASK_WOFFSET                       0x0
#define WAKE_AOWAKE_MASK_W_4_MASK_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_4_MASK_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_4_MASK_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_4_MASK_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_4_MASK_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_4_MASK_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_4_MASK_INIT_ENUM                     MASK
#define WAKE_AOWAKE_MASK_W_4_MASK_MASK                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_4_MASK_UNMASK                        _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_5
#define WAKE_AOWAKE_MASK_W_5                    _MK_ADDR_CONST(0x194)
#define WAKE_AOWAKE_MASK_W_5_SECURE                     0x0
#define WAKE_AOWAKE_MASK_W_5_DUAL                       0x0
#define WAKE_AOWAKE_MASK_W_5_SCR                        EVENT_CNTRL_SCR_5
#define WAKE_AOWAKE_MASK_W_5_WORD_COUNT                         0x1
#define WAKE_AOWAKE_MASK_W_5_RESET_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_5_RESET_MASK                         _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_5_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_5_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_5_READ_MASK                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_5_WRITE_MASK                         _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_5_MASK_SHIFT                 _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_5_MASK_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_5_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_5_MASK_RANGE                 0:0
#define WAKE_AOWAKE_MASK_W_5_MASK_WOFFSET                       0x0
#define WAKE_AOWAKE_MASK_W_5_MASK_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_5_MASK_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_5_MASK_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_5_MASK_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_5_MASK_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_5_MASK_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_5_MASK_INIT_ENUM                     MASK
#define WAKE_AOWAKE_MASK_W_5_MASK_MASK                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_5_MASK_UNMASK                        _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_6
#define WAKE_AOWAKE_MASK_W_6                    _MK_ADDR_CONST(0x198)
#define WAKE_AOWAKE_MASK_W_6_SECURE                     0x0
#define WAKE_AOWAKE_MASK_W_6_DUAL                       0x0
#define WAKE_AOWAKE_MASK_W_6_SCR                        EVENT_CNTRL_SCR_6
#define WAKE_AOWAKE_MASK_W_6_WORD_COUNT                         0x1
#define WAKE_AOWAKE_MASK_W_6_RESET_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_6_RESET_MASK                         _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_6_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_6_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_6_READ_MASK                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_6_WRITE_MASK                         _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_6_MASK_SHIFT                 _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_6_MASK_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_6_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_6_MASK_RANGE                 0:0
#define WAKE_AOWAKE_MASK_W_6_MASK_WOFFSET                       0x0
#define WAKE_AOWAKE_MASK_W_6_MASK_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_6_MASK_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_6_MASK_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_6_MASK_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_6_MASK_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_6_MASK_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_6_MASK_INIT_ENUM                     MASK
#define WAKE_AOWAKE_MASK_W_6_MASK_MASK                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_6_MASK_UNMASK                        _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_7
#define WAKE_AOWAKE_MASK_W_7                    _MK_ADDR_CONST(0x19c)
#define WAKE_AOWAKE_MASK_W_7_SECURE                     0x0
#define WAKE_AOWAKE_MASK_W_7_DUAL                       0x0
#define WAKE_AOWAKE_MASK_W_7_SCR                        EVENT_CNTRL_SCR_7
#define WAKE_AOWAKE_MASK_W_7_WORD_COUNT                         0x1
#define WAKE_AOWAKE_MASK_W_7_RESET_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_7_RESET_MASK                         _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_7_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_7_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_7_READ_MASK                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_7_WRITE_MASK                         _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_7_MASK_SHIFT                 _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_7_MASK_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_7_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_7_MASK_RANGE                 0:0
#define WAKE_AOWAKE_MASK_W_7_MASK_WOFFSET                       0x0
#define WAKE_AOWAKE_MASK_W_7_MASK_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_7_MASK_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_7_MASK_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_7_MASK_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_7_MASK_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_7_MASK_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_7_MASK_INIT_ENUM                     MASK
#define WAKE_AOWAKE_MASK_W_7_MASK_MASK                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_7_MASK_UNMASK                        _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_8
#define WAKE_AOWAKE_MASK_W_8                    _MK_ADDR_CONST(0x1a0)
#define WAKE_AOWAKE_MASK_W_8_SECURE                     0x0
#define WAKE_AOWAKE_MASK_W_8_DUAL                       0x0
#define WAKE_AOWAKE_MASK_W_8_SCR                        EVENT_CNTRL_SCR_8
#define WAKE_AOWAKE_MASK_W_8_WORD_COUNT                         0x1
#define WAKE_AOWAKE_MASK_W_8_RESET_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_8_RESET_MASK                         _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_8_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_8_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_8_READ_MASK                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_8_WRITE_MASK                         _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_8_MASK_SHIFT                 _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_8_MASK_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_8_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_8_MASK_RANGE                 0:0
#define WAKE_AOWAKE_MASK_W_8_MASK_WOFFSET                       0x0
#define WAKE_AOWAKE_MASK_W_8_MASK_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_8_MASK_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_8_MASK_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_8_MASK_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_8_MASK_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_8_MASK_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_8_MASK_INIT_ENUM                     MASK
#define WAKE_AOWAKE_MASK_W_8_MASK_MASK                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_8_MASK_UNMASK                        _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_9
#define WAKE_AOWAKE_MASK_W_9                    _MK_ADDR_CONST(0x1a4)
#define WAKE_AOWAKE_MASK_W_9_SECURE                     0x0
#define WAKE_AOWAKE_MASK_W_9_DUAL                       0x0
#define WAKE_AOWAKE_MASK_W_9_SCR                        EVENT_CNTRL_SCR_9
#define WAKE_AOWAKE_MASK_W_9_WORD_COUNT                         0x1
#define WAKE_AOWAKE_MASK_W_9_RESET_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_9_RESET_MASK                         _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_9_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_9_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_9_READ_MASK                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_9_WRITE_MASK                         _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_9_MASK_SHIFT                 _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_9_MASK_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_9_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_9_MASK_RANGE                 0:0
#define WAKE_AOWAKE_MASK_W_9_MASK_WOFFSET                       0x0
#define WAKE_AOWAKE_MASK_W_9_MASK_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_9_MASK_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_9_MASK_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_9_MASK_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_9_MASK_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_9_MASK_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_9_MASK_INIT_ENUM                     MASK
#define WAKE_AOWAKE_MASK_W_9_MASK_MASK                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_9_MASK_UNMASK                        _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_10
#define WAKE_AOWAKE_MASK_W_10                   _MK_ADDR_CONST(0x1a8)
#define WAKE_AOWAKE_MASK_W_10_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_10_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_10_SCR                       EVENT_CNTRL_SCR_10
#define WAKE_AOWAKE_MASK_W_10_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_10_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_10_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_10_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_10_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_10_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_10_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_10_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_10_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_10_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_10_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_10_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_10_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_10_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_10_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_10_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_10_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_10_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_10_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_10_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_10_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_11
#define WAKE_AOWAKE_MASK_W_11                   _MK_ADDR_CONST(0x1ac)
#define WAKE_AOWAKE_MASK_W_11_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_11_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_11_SCR                       EVENT_CNTRL_SCR_11
#define WAKE_AOWAKE_MASK_W_11_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_11_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_11_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_11_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_11_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_11_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_11_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_11_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_11_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_11_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_11_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_11_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_11_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_11_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_11_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_11_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_11_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_11_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_11_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_11_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_11_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_12
#define WAKE_AOWAKE_MASK_W_12                   _MK_ADDR_CONST(0x1b0)
#define WAKE_AOWAKE_MASK_W_12_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_12_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_12_SCR                       EVENT_CNTRL_SCR_12
#define WAKE_AOWAKE_MASK_W_12_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_12_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_12_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_12_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_12_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_12_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_12_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_12_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_12_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_12_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_12_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_12_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_12_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_12_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_12_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_12_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_12_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_12_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_12_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_12_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_12_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_13
#define WAKE_AOWAKE_MASK_W_13                   _MK_ADDR_CONST(0x1b4)
#define WAKE_AOWAKE_MASK_W_13_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_13_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_13_SCR                       EVENT_CNTRL_SCR_13
#define WAKE_AOWAKE_MASK_W_13_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_13_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_13_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_13_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_13_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_13_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_13_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_13_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_13_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_13_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_13_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_13_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_13_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_13_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_13_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_13_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_13_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_13_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_13_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_13_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_13_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_14
#define WAKE_AOWAKE_MASK_W_14                   _MK_ADDR_CONST(0x1b8)
#define WAKE_AOWAKE_MASK_W_14_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_14_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_14_SCR                       EVENT_CNTRL_SCR_14
#define WAKE_AOWAKE_MASK_W_14_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_14_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_14_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_14_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_14_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_14_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_14_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_14_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_14_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_14_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_14_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_14_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_14_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_14_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_14_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_14_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_14_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_14_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_14_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_14_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_14_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_15
#define WAKE_AOWAKE_MASK_W_15                   _MK_ADDR_CONST(0x1bc)
#define WAKE_AOWAKE_MASK_W_15_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_15_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_15_SCR                       EVENT_CNTRL_SCR_15
#define WAKE_AOWAKE_MASK_W_15_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_15_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_15_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_15_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_15_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_15_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_15_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_15_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_15_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_15_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_15_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_15_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_15_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_15_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_15_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_15_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_15_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_15_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_15_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_15_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_15_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_16
#define WAKE_AOWAKE_MASK_W_16                   _MK_ADDR_CONST(0x1c0)
#define WAKE_AOWAKE_MASK_W_16_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_16_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_16_SCR                       EVENT_CNTRL_SCR_16
#define WAKE_AOWAKE_MASK_W_16_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_16_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_16_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_16_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_16_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_16_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_16_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_16_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_16_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_16_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_16_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_16_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_16_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_16_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_16_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_16_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_16_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_16_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_16_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_16_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_16_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_17
#define WAKE_AOWAKE_MASK_W_17                   _MK_ADDR_CONST(0x1c4)
#define WAKE_AOWAKE_MASK_W_17_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_17_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_17_SCR                       EVENT_CNTRL_SCR_17
#define WAKE_AOWAKE_MASK_W_17_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_17_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_17_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_17_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_17_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_17_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_17_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_17_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_17_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_17_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_17_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_17_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_17_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_17_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_17_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_17_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_17_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_17_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_17_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_17_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_17_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_18
#define WAKE_AOWAKE_MASK_W_18                   _MK_ADDR_CONST(0x1c8)
#define WAKE_AOWAKE_MASK_W_18_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_18_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_18_SCR                       EVENT_CNTRL_SCR_18
#define WAKE_AOWAKE_MASK_W_18_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_18_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_18_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_18_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_18_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_18_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_18_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_18_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_18_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_18_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_18_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_18_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_18_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_18_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_18_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_18_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_18_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_18_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_18_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_18_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_18_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_19
#define WAKE_AOWAKE_MASK_W_19                   _MK_ADDR_CONST(0x1cc)
#define WAKE_AOWAKE_MASK_W_19_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_19_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_19_SCR                       EVENT_CNTRL_SCR_19
#define WAKE_AOWAKE_MASK_W_19_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_19_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_19_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_19_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_19_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_19_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_19_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_19_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_19_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_19_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_19_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_19_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_19_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_19_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_19_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_19_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_19_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_19_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_19_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_19_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_19_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_20
#define WAKE_AOWAKE_MASK_W_20                   _MK_ADDR_CONST(0x1d0)
#define WAKE_AOWAKE_MASK_W_20_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_20_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_20_SCR                       EVENT_CNTRL_SCR_20
#define WAKE_AOWAKE_MASK_W_20_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_20_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_20_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_20_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_20_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_20_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_20_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_20_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_20_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_20_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_20_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_20_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_20_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_20_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_20_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_20_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_20_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_20_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_20_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_20_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_20_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_21
#define WAKE_AOWAKE_MASK_W_21                   _MK_ADDR_CONST(0x1d4)
#define WAKE_AOWAKE_MASK_W_21_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_21_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_21_SCR                       EVENT_CNTRL_SCR_21
#define WAKE_AOWAKE_MASK_W_21_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_21_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_21_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_21_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_21_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_21_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_21_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_21_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_21_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_21_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_21_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_21_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_21_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_21_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_21_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_21_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_21_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_21_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_21_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_21_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_21_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_22
#define WAKE_AOWAKE_MASK_W_22                   _MK_ADDR_CONST(0x1d8)
#define WAKE_AOWAKE_MASK_W_22_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_22_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_22_SCR                       EVENT_CNTRL_SCR_22
#define WAKE_AOWAKE_MASK_W_22_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_22_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_22_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_22_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_22_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_22_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_22_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_22_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_22_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_22_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_22_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_22_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_22_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_22_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_22_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_22_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_22_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_22_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_22_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_22_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_22_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_23
#define WAKE_AOWAKE_MASK_W_23                   _MK_ADDR_CONST(0x1dc)
#define WAKE_AOWAKE_MASK_W_23_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_23_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_23_SCR                       EVENT_CNTRL_SCR_23
#define WAKE_AOWAKE_MASK_W_23_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_23_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_23_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_23_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_23_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_23_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_23_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_23_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_23_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_23_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_23_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_23_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_23_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_23_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_23_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_23_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_23_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_23_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_23_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_23_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_23_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_24
#define WAKE_AOWAKE_MASK_W_24                   _MK_ADDR_CONST(0x1e0)
#define WAKE_AOWAKE_MASK_W_24_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_24_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_24_SCR                       EVENT_CNTRL_SCR_24
#define WAKE_AOWAKE_MASK_W_24_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_24_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_24_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_24_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_24_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_24_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_24_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_24_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_24_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_24_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_24_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_24_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_24_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_24_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_24_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_24_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_24_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_24_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_24_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_24_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_24_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_25
#define WAKE_AOWAKE_MASK_W_25                   _MK_ADDR_CONST(0x1e4)
#define WAKE_AOWAKE_MASK_W_25_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_25_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_25_SCR                       EVENT_CNTRL_SCR_25
#define WAKE_AOWAKE_MASK_W_25_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_25_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_25_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_25_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_25_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_25_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_25_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_25_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_25_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_25_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_25_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_25_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_25_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_25_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_25_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_25_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_25_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_25_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_25_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_25_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_25_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_26
#define WAKE_AOWAKE_MASK_W_26                   _MK_ADDR_CONST(0x1e8)
#define WAKE_AOWAKE_MASK_W_26_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_26_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_26_SCR                       EVENT_CNTRL_SCR_26
#define WAKE_AOWAKE_MASK_W_26_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_26_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_26_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_26_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_26_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_26_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_26_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_26_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_26_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_26_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_26_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_26_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_26_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_26_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_26_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_26_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_26_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_26_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_26_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_26_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_26_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_27
#define WAKE_AOWAKE_MASK_W_27                   _MK_ADDR_CONST(0x1ec)
#define WAKE_AOWAKE_MASK_W_27_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_27_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_27_SCR                       EVENT_CNTRL_SCR_27
#define WAKE_AOWAKE_MASK_W_27_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_27_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_27_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_27_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_27_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_27_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_27_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_27_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_27_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_27_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_27_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_27_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_27_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_27_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_27_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_27_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_27_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_27_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_27_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_27_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_27_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_28
#define WAKE_AOWAKE_MASK_W_28                   _MK_ADDR_CONST(0x1f0)
#define WAKE_AOWAKE_MASK_W_28_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_28_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_28_SCR                       EVENT_CNTRL_SCR_28
#define WAKE_AOWAKE_MASK_W_28_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_28_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_28_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_28_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_28_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_28_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_28_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_28_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_28_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_28_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_28_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_28_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_28_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_28_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_28_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_28_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_28_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_28_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_28_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_28_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_28_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_29
#define WAKE_AOWAKE_MASK_W_29                   _MK_ADDR_CONST(0x1f4)
#define WAKE_AOWAKE_MASK_W_29_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_29_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_29_SCR                       EVENT_CNTRL_SCR_29
#define WAKE_AOWAKE_MASK_W_29_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_29_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_29_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_29_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_29_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_29_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_29_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_29_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_29_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_29_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_29_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_29_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_29_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_29_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_29_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_29_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_29_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_29_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_29_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_29_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_29_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_30
#define WAKE_AOWAKE_MASK_W_30                   _MK_ADDR_CONST(0x1f8)
#define WAKE_AOWAKE_MASK_W_30_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_30_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_30_SCR                       EVENT_CNTRL_SCR_30
#define WAKE_AOWAKE_MASK_W_30_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_30_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_30_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_30_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_30_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_30_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_30_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_30_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_30_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_30_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_30_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_30_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_30_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_30_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_30_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_30_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_30_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_30_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_30_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_30_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_30_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_31
#define WAKE_AOWAKE_MASK_W_31                   _MK_ADDR_CONST(0x1fc)
#define WAKE_AOWAKE_MASK_W_31_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_31_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_31_SCR                       EVENT_CNTRL_SCR_31
#define WAKE_AOWAKE_MASK_W_31_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_31_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_31_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_31_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_31_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_31_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_31_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_31_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_31_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_31_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_31_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_31_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_31_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_31_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_31_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_31_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_31_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_31_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_31_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_31_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_31_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_32
#define WAKE_AOWAKE_MASK_W_32                   _MK_ADDR_CONST(0x200)
#define WAKE_AOWAKE_MASK_W_32_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_32_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_32_SCR                       EVENT_CNTRL_SCR_32
#define WAKE_AOWAKE_MASK_W_32_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_32_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_32_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_32_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_32_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_32_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_32_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_32_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_32_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_32_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_32_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_32_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_32_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_32_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_32_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_32_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_32_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_32_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_32_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_32_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_32_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_33
#define WAKE_AOWAKE_MASK_W_33                   _MK_ADDR_CONST(0x204)
#define WAKE_AOWAKE_MASK_W_33_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_33_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_33_SCR                       EVENT_CNTRL_SCR_33
#define WAKE_AOWAKE_MASK_W_33_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_33_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_33_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_33_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_33_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_33_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_33_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_33_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_33_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_33_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_33_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_33_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_33_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_33_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_33_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_33_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_33_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_33_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_33_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_33_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_33_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_34
#define WAKE_AOWAKE_MASK_W_34                   _MK_ADDR_CONST(0x208)
#define WAKE_AOWAKE_MASK_W_34_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_34_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_34_SCR                       EVENT_CNTRL_SCR_34
#define WAKE_AOWAKE_MASK_W_34_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_34_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_34_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_34_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_34_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_34_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_34_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_34_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_34_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_34_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_34_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_34_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_34_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_34_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_34_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_34_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_34_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_34_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_34_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_34_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_34_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_35
#define WAKE_AOWAKE_MASK_W_35                   _MK_ADDR_CONST(0x20c)
#define WAKE_AOWAKE_MASK_W_35_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_35_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_35_SCR                       EVENT_CNTRL_SCR_35
#define WAKE_AOWAKE_MASK_W_35_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_35_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_35_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_35_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_35_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_35_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_35_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_35_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_35_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_35_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_35_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_35_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_35_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_35_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_35_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_35_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_35_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_35_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_35_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_35_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_35_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_36
#define WAKE_AOWAKE_MASK_W_36                   _MK_ADDR_CONST(0x210)
#define WAKE_AOWAKE_MASK_W_36_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_36_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_36_SCR                       EVENT_CNTRL_SCR_36
#define WAKE_AOWAKE_MASK_W_36_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_36_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_36_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_36_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_36_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_36_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_36_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_36_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_36_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_36_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_36_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_36_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_36_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_36_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_36_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_36_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_36_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_36_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_36_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_36_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_36_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_37
#define WAKE_AOWAKE_MASK_W_37                   _MK_ADDR_CONST(0x214)
#define WAKE_AOWAKE_MASK_W_37_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_37_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_37_SCR                       EVENT_CNTRL_SCR_37
#define WAKE_AOWAKE_MASK_W_37_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_37_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_37_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_37_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_37_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_37_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_37_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_37_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_37_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_37_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_37_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_37_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_37_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_37_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_37_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_37_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_37_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_37_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_37_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_37_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_37_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_38
#define WAKE_AOWAKE_MASK_W_38                   _MK_ADDR_CONST(0x218)
#define WAKE_AOWAKE_MASK_W_38_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_38_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_38_SCR                       EVENT_CNTRL_SCR_38
#define WAKE_AOWAKE_MASK_W_38_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_38_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_38_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_38_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_38_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_38_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_38_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_38_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_38_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_38_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_38_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_38_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_38_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_38_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_38_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_38_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_38_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_38_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_38_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_38_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_38_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_39
#define WAKE_AOWAKE_MASK_W_39                   _MK_ADDR_CONST(0x21c)
#define WAKE_AOWAKE_MASK_W_39_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_39_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_39_SCR                       EVENT_CNTRL_SCR_39
#define WAKE_AOWAKE_MASK_W_39_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_39_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_39_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_39_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_39_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_39_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_39_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_39_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_39_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_39_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_39_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_39_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_39_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_39_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_39_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_39_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_39_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_39_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_39_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_39_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_39_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_40
#define WAKE_AOWAKE_MASK_W_40                   _MK_ADDR_CONST(0x220)
#define WAKE_AOWAKE_MASK_W_40_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_40_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_40_SCR                       EVENT_CNTRL_SCR_40
#define WAKE_AOWAKE_MASK_W_40_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_40_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_40_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_40_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_40_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_40_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_40_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_40_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_40_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_40_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_40_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_40_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_40_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_40_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_40_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_40_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_40_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_40_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_40_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_40_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_40_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_41
#define WAKE_AOWAKE_MASK_W_41                   _MK_ADDR_CONST(0x224)
#define WAKE_AOWAKE_MASK_W_41_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_41_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_41_SCR                       EVENT_CNTRL_SCR_41
#define WAKE_AOWAKE_MASK_W_41_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_41_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_41_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_41_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_41_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_41_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_41_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_41_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_41_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_41_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_41_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_41_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_41_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_41_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_41_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_41_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_41_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_41_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_41_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_41_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_41_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_42
#define WAKE_AOWAKE_MASK_W_42                   _MK_ADDR_CONST(0x228)
#define WAKE_AOWAKE_MASK_W_42_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_42_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_42_SCR                       EVENT_CNTRL_SCR_42
#define WAKE_AOWAKE_MASK_W_42_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_42_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_42_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_42_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_42_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_42_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_42_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_42_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_42_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_42_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_42_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_42_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_42_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_42_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_42_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_42_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_42_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_42_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_42_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_42_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_42_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_43
#define WAKE_AOWAKE_MASK_W_43                   _MK_ADDR_CONST(0x22c)
#define WAKE_AOWAKE_MASK_W_43_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_43_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_43_SCR                       EVENT_CNTRL_SCR_43
#define WAKE_AOWAKE_MASK_W_43_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_43_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_43_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_43_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_43_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_43_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_43_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_43_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_43_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_43_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_43_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_43_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_43_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_43_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_43_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_43_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_43_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_43_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_43_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_43_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_43_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_44
#define WAKE_AOWAKE_MASK_W_44                   _MK_ADDR_CONST(0x230)
#define WAKE_AOWAKE_MASK_W_44_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_44_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_44_SCR                       EVENT_CNTRL_SCR_44
#define WAKE_AOWAKE_MASK_W_44_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_44_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_44_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_44_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_44_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_44_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_44_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_44_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_44_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_44_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_44_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_44_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_44_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_44_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_44_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_44_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_44_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_44_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_44_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_44_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_44_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_45
#define WAKE_AOWAKE_MASK_W_45                   _MK_ADDR_CONST(0x234)
#define WAKE_AOWAKE_MASK_W_45_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_45_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_45_SCR                       EVENT_CNTRL_SCR_45
#define WAKE_AOWAKE_MASK_W_45_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_45_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_45_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_45_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_45_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_45_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_45_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_45_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_45_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_45_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_45_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_45_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_45_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_45_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_45_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_45_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_45_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_45_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_45_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_45_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_45_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_46
#define WAKE_AOWAKE_MASK_W_46                   _MK_ADDR_CONST(0x238)
#define WAKE_AOWAKE_MASK_W_46_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_46_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_46_SCR                       EVENT_CNTRL_SCR_46
#define WAKE_AOWAKE_MASK_W_46_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_46_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_46_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_46_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_46_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_46_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_46_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_46_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_46_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_46_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_46_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_46_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_46_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_46_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_46_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_46_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_46_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_46_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_46_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_46_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_46_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_47
#define WAKE_AOWAKE_MASK_W_47                   _MK_ADDR_CONST(0x23c)
#define WAKE_AOWAKE_MASK_W_47_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_47_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_47_SCR                       EVENT_CNTRL_SCR_47
#define WAKE_AOWAKE_MASK_W_47_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_47_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_47_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_47_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_47_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_47_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_47_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_47_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_47_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_47_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_47_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_47_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_47_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_47_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_47_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_47_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_47_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_47_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_47_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_47_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_47_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_48
#define WAKE_AOWAKE_MASK_W_48                   _MK_ADDR_CONST(0x240)
#define WAKE_AOWAKE_MASK_W_48_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_48_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_48_SCR                       EVENT_CNTRL_SCR_48
#define WAKE_AOWAKE_MASK_W_48_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_48_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_48_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_48_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_48_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_48_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_48_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_48_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_48_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_48_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_48_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_48_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_48_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_48_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_48_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_48_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_48_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_48_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_48_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_48_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_48_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_49
#define WAKE_AOWAKE_MASK_W_49                   _MK_ADDR_CONST(0x244)
#define WAKE_AOWAKE_MASK_W_49_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_49_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_49_SCR                       EVENT_CNTRL_SCR_49
#define WAKE_AOWAKE_MASK_W_49_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_49_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_49_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_49_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_49_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_49_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_49_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_49_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_49_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_49_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_49_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_49_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_49_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_49_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_49_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_49_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_49_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_49_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_49_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_49_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_49_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_50
#define WAKE_AOWAKE_MASK_W_50                   _MK_ADDR_CONST(0x248)
#define WAKE_AOWAKE_MASK_W_50_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_50_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_50_SCR                       EVENT_CNTRL_SCR_50
#define WAKE_AOWAKE_MASK_W_50_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_50_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_50_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_50_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_50_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_50_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_50_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_50_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_50_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_50_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_50_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_50_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_50_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_50_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_50_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_50_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_50_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_50_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_50_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_50_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_50_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_51
#define WAKE_AOWAKE_MASK_W_51                   _MK_ADDR_CONST(0x24c)
#define WAKE_AOWAKE_MASK_W_51_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_51_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_51_SCR                       EVENT_CNTRL_SCR_51
#define WAKE_AOWAKE_MASK_W_51_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_51_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_51_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_51_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_51_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_51_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_51_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_51_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_51_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_51_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_51_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_51_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_51_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_51_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_51_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_51_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_51_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_51_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_51_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_51_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_51_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_52
#define WAKE_AOWAKE_MASK_W_52                   _MK_ADDR_CONST(0x250)
#define WAKE_AOWAKE_MASK_W_52_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_52_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_52_SCR                       EVENT_CNTRL_SCR_52
#define WAKE_AOWAKE_MASK_W_52_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_52_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_52_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_52_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_52_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_52_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_52_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_52_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_52_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_52_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_52_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_52_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_52_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_52_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_52_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_52_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_52_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_52_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_52_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_52_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_52_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_53
#define WAKE_AOWAKE_MASK_W_53                   _MK_ADDR_CONST(0x254)
#define WAKE_AOWAKE_MASK_W_53_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_53_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_53_SCR                       EVENT_CNTRL_SCR_53
#define WAKE_AOWAKE_MASK_W_53_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_53_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_53_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_53_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_53_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_53_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_53_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_53_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_53_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_53_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_53_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_53_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_53_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_53_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_53_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_53_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_53_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_53_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_53_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_53_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_53_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_54
#define WAKE_AOWAKE_MASK_W_54                   _MK_ADDR_CONST(0x258)
#define WAKE_AOWAKE_MASK_W_54_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_54_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_54_SCR                       EVENT_CNTRL_SCR_54
#define WAKE_AOWAKE_MASK_W_54_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_54_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_54_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_54_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_54_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_54_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_54_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_54_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_54_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_54_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_54_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_54_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_54_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_54_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_54_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_54_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_54_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_54_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_54_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_54_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_54_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_55
#define WAKE_AOWAKE_MASK_W_55                   _MK_ADDR_CONST(0x25c)
#define WAKE_AOWAKE_MASK_W_55_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_55_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_55_SCR                       EVENT_CNTRL_SCR_55
#define WAKE_AOWAKE_MASK_W_55_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_55_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_55_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_55_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_55_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_55_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_55_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_55_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_55_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_55_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_55_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_55_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_55_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_55_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_55_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_55_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_55_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_55_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_55_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_55_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_55_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_56
#define WAKE_AOWAKE_MASK_W_56                   _MK_ADDR_CONST(0x260)
#define WAKE_AOWAKE_MASK_W_56_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_56_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_56_SCR                       EVENT_CNTRL_SCR_56
#define WAKE_AOWAKE_MASK_W_56_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_56_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_56_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_56_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_56_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_56_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_56_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_56_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_56_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_56_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_56_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_56_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_56_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_56_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_56_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_56_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_56_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_56_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_56_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_56_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_56_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_57
#define WAKE_AOWAKE_MASK_W_57                   _MK_ADDR_CONST(0x264)
#define WAKE_AOWAKE_MASK_W_57_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_57_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_57_SCR                       EVENT_CNTRL_SCR_57
#define WAKE_AOWAKE_MASK_W_57_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_57_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_57_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_57_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_57_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_57_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_57_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_57_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_57_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_57_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_57_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_57_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_57_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_57_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_57_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_57_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_57_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_57_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_57_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_57_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_57_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_58
#define WAKE_AOWAKE_MASK_W_58                   _MK_ADDR_CONST(0x268)
#define WAKE_AOWAKE_MASK_W_58_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_58_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_58_SCR                       EVENT_CNTRL_SCR_58
#define WAKE_AOWAKE_MASK_W_58_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_58_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_58_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_58_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_58_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_58_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_58_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_58_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_58_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_58_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_58_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_58_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_58_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_58_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_58_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_58_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_58_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_58_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_58_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_58_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_58_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_59
#define WAKE_AOWAKE_MASK_W_59                   _MK_ADDR_CONST(0x26c)
#define WAKE_AOWAKE_MASK_W_59_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_59_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_59_SCR                       EVENT_CNTRL_SCR_59
#define WAKE_AOWAKE_MASK_W_59_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_59_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_59_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_59_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_59_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_59_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_59_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_59_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_59_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_59_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_59_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_59_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_59_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_59_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_59_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_59_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_59_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_59_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_59_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_59_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_59_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_60
#define WAKE_AOWAKE_MASK_W_60                   _MK_ADDR_CONST(0x270)
#define WAKE_AOWAKE_MASK_W_60_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_60_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_60_SCR                       EVENT_CNTRL_SCR_60
#define WAKE_AOWAKE_MASK_W_60_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_60_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_60_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_60_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_60_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_60_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_60_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_60_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_60_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_60_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_60_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_60_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_60_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_60_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_60_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_60_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_60_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_60_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_60_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_60_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_60_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_61
#define WAKE_AOWAKE_MASK_W_61                   _MK_ADDR_CONST(0x274)
#define WAKE_AOWAKE_MASK_W_61_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_61_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_61_SCR                       EVENT_CNTRL_SCR_61
#define WAKE_AOWAKE_MASK_W_61_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_61_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_61_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_61_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_61_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_61_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_61_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_61_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_61_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_61_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_61_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_61_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_61_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_61_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_61_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_61_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_61_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_61_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_61_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_61_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_61_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_62
#define WAKE_AOWAKE_MASK_W_62                   _MK_ADDR_CONST(0x278)
#define WAKE_AOWAKE_MASK_W_62_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_62_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_62_SCR                       EVENT_CNTRL_SCR_62
#define WAKE_AOWAKE_MASK_W_62_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_62_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_62_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_62_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_62_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_62_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_62_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_62_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_62_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_62_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_62_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_62_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_62_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_62_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_62_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_62_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_62_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_62_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_62_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_62_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_62_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_63
#define WAKE_AOWAKE_MASK_W_63                   _MK_ADDR_CONST(0x27c)
#define WAKE_AOWAKE_MASK_W_63_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_63_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_63_SCR                       EVENT_CNTRL_SCR_63
#define WAKE_AOWAKE_MASK_W_63_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_63_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_63_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_63_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_63_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_63_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_63_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_63_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_63_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_63_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_63_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_63_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_63_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_63_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_63_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_63_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_63_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_63_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_63_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_63_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_63_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_64
#define WAKE_AOWAKE_MASK_W_64                   _MK_ADDR_CONST(0x280)
#define WAKE_AOWAKE_MASK_W_64_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_64_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_64_SCR                       EVENT_CNTRL_SCR_64
#define WAKE_AOWAKE_MASK_W_64_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_64_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_64_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_64_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_64_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_64_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_64_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_64_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_64_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_64_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_64_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_64_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_64_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_64_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_64_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_64_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_64_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_64_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_64_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_64_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_64_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_65
#define WAKE_AOWAKE_MASK_W_65                   _MK_ADDR_CONST(0x284)
#define WAKE_AOWAKE_MASK_W_65_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_65_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_65_SCR                       EVENT_CNTRL_SCR_65
#define WAKE_AOWAKE_MASK_W_65_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_65_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_65_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_65_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_65_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_65_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_65_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_65_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_65_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_65_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_65_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_65_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_65_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_65_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_65_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_65_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_65_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_65_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_65_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_65_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_65_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_66
#define WAKE_AOWAKE_MASK_W_66                   _MK_ADDR_CONST(0x288)
#define WAKE_AOWAKE_MASK_W_66_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_66_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_66_SCR                       EVENT_CNTRL_SCR_66
#define WAKE_AOWAKE_MASK_W_66_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_66_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_66_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_66_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_66_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_66_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_66_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_66_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_66_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_66_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_66_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_66_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_66_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_66_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_66_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_66_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_66_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_66_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_66_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_66_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_66_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_67
#define WAKE_AOWAKE_MASK_W_67                   _MK_ADDR_CONST(0x28c)
#define WAKE_AOWAKE_MASK_W_67_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_67_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_67_SCR                       EVENT_CNTRL_SCR_67
#define WAKE_AOWAKE_MASK_W_67_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_67_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_67_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_67_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_67_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_67_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_67_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_67_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_67_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_67_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_67_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_67_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_67_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_67_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_67_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_67_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_67_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_67_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_67_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_67_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_67_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_68
#define WAKE_AOWAKE_MASK_W_68                   _MK_ADDR_CONST(0x290)
#define WAKE_AOWAKE_MASK_W_68_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_68_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_68_SCR                       EVENT_CNTRL_SCR_68
#define WAKE_AOWAKE_MASK_W_68_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_68_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_68_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_68_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_68_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_68_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_68_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_68_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_68_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_68_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_68_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_68_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_68_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_68_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_68_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_68_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_68_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_68_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_68_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_68_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_68_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_69
#define WAKE_AOWAKE_MASK_W_69                   _MK_ADDR_CONST(0x294)
#define WAKE_AOWAKE_MASK_W_69_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_69_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_69_SCR                       EVENT_CNTRL_SCR_69
#define WAKE_AOWAKE_MASK_W_69_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_69_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_69_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_69_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_69_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_69_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_69_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_69_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_69_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_69_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_69_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_69_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_69_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_69_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_69_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_69_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_69_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_69_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_69_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_69_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_69_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_70
#define WAKE_AOWAKE_MASK_W_70                   _MK_ADDR_CONST(0x298)
#define WAKE_AOWAKE_MASK_W_70_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_70_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_70_SCR                       EVENT_CNTRL_SCR_70
#define WAKE_AOWAKE_MASK_W_70_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_70_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_70_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_70_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_70_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_70_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_70_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_70_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_70_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_70_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_70_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_70_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_70_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_70_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_70_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_70_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_70_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_70_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_70_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_70_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_70_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_71
#define WAKE_AOWAKE_MASK_W_71                   _MK_ADDR_CONST(0x29c)
#define WAKE_AOWAKE_MASK_W_71_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_71_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_71_SCR                       EVENT_CNTRL_SCR_71
#define WAKE_AOWAKE_MASK_W_71_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_71_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_71_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_71_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_71_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_71_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_71_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_71_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_71_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_71_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_71_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_71_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_71_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_71_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_71_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_71_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_71_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_71_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_71_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_71_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_71_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_72
#define WAKE_AOWAKE_MASK_W_72                   _MK_ADDR_CONST(0x2a0)
#define WAKE_AOWAKE_MASK_W_72_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_72_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_72_SCR                       EVENT_CNTRL_SCR_72
#define WAKE_AOWAKE_MASK_W_72_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_72_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_72_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_72_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_72_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_72_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_72_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_72_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_72_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_72_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_72_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_72_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_72_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_72_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_72_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_72_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_72_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_72_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_72_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_72_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_72_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_73
#define WAKE_AOWAKE_MASK_W_73                   _MK_ADDR_CONST(0x2a4)
#define WAKE_AOWAKE_MASK_W_73_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_73_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_73_SCR                       EVENT_CNTRL_SCR_73
#define WAKE_AOWAKE_MASK_W_73_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_73_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_73_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_73_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_73_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_73_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_73_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_73_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_73_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_73_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_73_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_73_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_73_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_73_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_73_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_73_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_73_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_73_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_73_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_73_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_73_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_74
#define WAKE_AOWAKE_MASK_W_74                   _MK_ADDR_CONST(0x2a8)
#define WAKE_AOWAKE_MASK_W_74_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_74_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_74_SCR                       EVENT_CNTRL_SCR_74
#define WAKE_AOWAKE_MASK_W_74_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_74_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_74_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_74_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_74_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_74_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_74_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_74_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_74_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_74_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_74_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_74_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_74_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_74_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_74_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_74_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_74_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_74_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_74_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_74_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_74_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_75
#define WAKE_AOWAKE_MASK_W_75                   _MK_ADDR_CONST(0x2ac)
#define WAKE_AOWAKE_MASK_W_75_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_75_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_75_SCR                       EVENT_CNTRL_SCR_75
#define WAKE_AOWAKE_MASK_W_75_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_75_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_75_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_75_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_75_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_75_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_75_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_75_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_75_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_75_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_75_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_75_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_75_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_75_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_75_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_75_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_75_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_75_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_75_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_75_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_75_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_76
#define WAKE_AOWAKE_MASK_W_76                   _MK_ADDR_CONST(0x2b0)
#define WAKE_AOWAKE_MASK_W_76_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_76_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_76_SCR                       EVENT_CNTRL_SCR_76
#define WAKE_AOWAKE_MASK_W_76_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_76_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_76_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_76_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_76_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_76_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_76_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_76_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_76_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_76_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_76_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_76_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_76_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_76_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_76_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_76_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_76_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_76_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_76_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_76_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_76_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_77
#define WAKE_AOWAKE_MASK_W_77                   _MK_ADDR_CONST(0x2b4)
#define WAKE_AOWAKE_MASK_W_77_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_77_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_77_SCR                       EVENT_CNTRL_SCR_77
#define WAKE_AOWAKE_MASK_W_77_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_77_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_77_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_77_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_77_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_77_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_77_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_77_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_77_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_77_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_77_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_77_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_77_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_77_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_77_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_77_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_77_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_77_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_77_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_77_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_77_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_78
#define WAKE_AOWAKE_MASK_W_78                   _MK_ADDR_CONST(0x2b8)
#define WAKE_AOWAKE_MASK_W_78_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_78_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_78_SCR                       EVENT_CNTRL_SCR_78
#define WAKE_AOWAKE_MASK_W_78_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_78_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_78_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_78_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_78_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_78_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_78_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_78_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_78_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_78_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_78_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_78_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_78_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_78_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_78_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_78_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_78_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_78_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_78_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_78_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_78_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_79
#define WAKE_AOWAKE_MASK_W_79                   _MK_ADDR_CONST(0x2bc)
#define WAKE_AOWAKE_MASK_W_79_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_79_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_79_SCR                       EVENT_CNTRL_SCR_79
#define WAKE_AOWAKE_MASK_W_79_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_79_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_79_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_79_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_79_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_79_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_79_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_79_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_79_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_79_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_79_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_79_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_79_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_79_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_79_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_79_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_79_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_79_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_79_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_79_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_79_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_80
#define WAKE_AOWAKE_MASK_W_80                   _MK_ADDR_CONST(0x2c0)
#define WAKE_AOWAKE_MASK_W_80_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_80_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_80_SCR                       EVENT_CNTRL_SCR_80
#define WAKE_AOWAKE_MASK_W_80_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_80_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_80_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_80_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_80_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_80_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_80_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_80_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_80_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_80_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_80_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_80_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_80_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_80_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_80_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_80_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_80_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_80_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_80_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_80_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_80_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_81
#define WAKE_AOWAKE_MASK_W_81                   _MK_ADDR_CONST(0x2c4)
#define WAKE_AOWAKE_MASK_W_81_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_81_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_81_SCR                       EVENT_CNTRL_SCR_81
#define WAKE_AOWAKE_MASK_W_81_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_81_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_81_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_81_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_81_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_81_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_81_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_81_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_81_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_81_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_81_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_81_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_81_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_81_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_81_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_81_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_81_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_81_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_81_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_81_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_81_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_82
#define WAKE_AOWAKE_MASK_W_82                   _MK_ADDR_CONST(0x2c8)
#define WAKE_AOWAKE_MASK_W_82_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_82_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_82_SCR                       EVENT_CNTRL_SCR_82
#define WAKE_AOWAKE_MASK_W_82_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_82_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_82_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_82_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_82_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_82_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_82_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_82_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_82_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_82_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_82_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_82_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_82_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_82_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_82_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_82_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_82_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_82_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_82_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_82_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_82_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_83
#define WAKE_AOWAKE_MASK_W_83                   _MK_ADDR_CONST(0x2cc)
#define WAKE_AOWAKE_MASK_W_83_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_83_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_83_SCR                       EVENT_CNTRL_SCR_83
#define WAKE_AOWAKE_MASK_W_83_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_83_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_83_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_83_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_83_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_83_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_83_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_83_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_83_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_83_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_83_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_83_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_83_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_83_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_83_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_83_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_83_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_83_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_83_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_83_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_83_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_84
#define WAKE_AOWAKE_MASK_W_84                   _MK_ADDR_CONST(0x2d0)
#define WAKE_AOWAKE_MASK_W_84_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_84_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_84_SCR                       EVENT_CNTRL_SCR_84
#define WAKE_AOWAKE_MASK_W_84_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_84_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_84_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_84_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_84_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_84_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_84_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_84_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_84_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_84_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_84_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_84_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_84_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_84_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_84_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_84_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_84_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_84_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_84_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_84_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_84_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_85
#define WAKE_AOWAKE_MASK_W_85                   _MK_ADDR_CONST(0x2d4)
#define WAKE_AOWAKE_MASK_W_85_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_85_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_85_SCR                       EVENT_CNTRL_SCR_85
#define WAKE_AOWAKE_MASK_W_85_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_85_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_85_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_85_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_85_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_85_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_85_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_85_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_85_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_85_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_85_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_85_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_85_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_85_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_85_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_85_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_85_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_85_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_85_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_85_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_85_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_86
#define WAKE_AOWAKE_MASK_W_86                   _MK_ADDR_CONST(0x2d8)
#define WAKE_AOWAKE_MASK_W_86_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_86_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_86_SCR                       EVENT_CNTRL_SCR_86
#define WAKE_AOWAKE_MASK_W_86_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_86_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_86_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_86_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_86_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_86_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_86_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_86_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_86_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_86_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_86_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_86_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_86_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_86_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_86_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_86_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_86_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_86_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_86_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_86_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_86_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_87
#define WAKE_AOWAKE_MASK_W_87                   _MK_ADDR_CONST(0x2dc)
#define WAKE_AOWAKE_MASK_W_87_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_87_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_87_SCR                       EVENT_CNTRL_SCR_87
#define WAKE_AOWAKE_MASK_W_87_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_87_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_87_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_87_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_87_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_87_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_87_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_87_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_87_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_87_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_87_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_87_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_87_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_87_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_87_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_87_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_87_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_87_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_87_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_87_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_87_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_88
#define WAKE_AOWAKE_MASK_W_88                   _MK_ADDR_CONST(0x2e0)
#define WAKE_AOWAKE_MASK_W_88_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_88_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_88_SCR                       EVENT_CNTRL_SCR_88
#define WAKE_AOWAKE_MASK_W_88_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_88_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_88_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_88_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_88_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_88_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_88_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_88_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_88_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_88_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_88_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_88_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_88_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_88_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_88_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_88_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_88_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_88_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_88_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_88_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_88_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_89
#define WAKE_AOWAKE_MASK_W_89                   _MK_ADDR_CONST(0x2e4)
#define WAKE_AOWAKE_MASK_W_89_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_89_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_89_SCR                       EVENT_CNTRL_SCR_89
#define WAKE_AOWAKE_MASK_W_89_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_89_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_89_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_89_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_89_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_89_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_89_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_89_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_89_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_89_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_89_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_89_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_89_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_89_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_89_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_89_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_89_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_89_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_89_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_89_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_89_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_90
#define WAKE_AOWAKE_MASK_W_90                   _MK_ADDR_CONST(0x2e8)
#define WAKE_AOWAKE_MASK_W_90_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_90_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_90_SCR                       EVENT_CNTRL_SCR_90
#define WAKE_AOWAKE_MASK_W_90_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_90_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_90_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_90_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_90_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_90_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_90_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_90_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_90_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_90_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_90_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_90_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_90_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_90_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_90_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_90_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_90_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_90_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_90_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_90_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_90_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_91
#define WAKE_AOWAKE_MASK_W_91                   _MK_ADDR_CONST(0x2ec)
#define WAKE_AOWAKE_MASK_W_91_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_91_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_91_SCR                       EVENT_CNTRL_SCR_91
#define WAKE_AOWAKE_MASK_W_91_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_91_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_91_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_91_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_91_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_91_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_91_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_91_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_91_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_91_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_91_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_91_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_91_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_91_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_91_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_91_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_91_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_91_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_91_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_91_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_91_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_92
#define WAKE_AOWAKE_MASK_W_92                   _MK_ADDR_CONST(0x2f0)
#define WAKE_AOWAKE_MASK_W_92_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_92_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_92_SCR                       EVENT_CNTRL_SCR_92
#define WAKE_AOWAKE_MASK_W_92_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_92_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_92_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_92_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_92_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_92_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_92_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_92_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_92_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_92_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_92_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_92_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_92_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_92_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_92_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_92_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_92_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_92_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_92_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_92_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_92_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_93
#define WAKE_AOWAKE_MASK_W_93                   _MK_ADDR_CONST(0x2f4)
#define WAKE_AOWAKE_MASK_W_93_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_93_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_93_SCR                       EVENT_CNTRL_SCR_93
#define WAKE_AOWAKE_MASK_W_93_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_93_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_93_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_93_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_93_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_93_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_93_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_93_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_93_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_93_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_93_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_93_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_93_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_93_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_93_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_93_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_93_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_93_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_93_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_93_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_93_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_94
#define WAKE_AOWAKE_MASK_W_94                   _MK_ADDR_CONST(0x2f8)
#define WAKE_AOWAKE_MASK_W_94_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_94_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_94_SCR                       EVENT_CNTRL_SCR_94
#define WAKE_AOWAKE_MASK_W_94_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_94_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_94_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_94_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_94_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_94_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_94_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_94_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_94_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_94_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_94_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_94_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_94_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_94_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_94_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_94_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_94_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_94_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_94_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_94_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_94_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_W_95
#define WAKE_AOWAKE_MASK_W_95                   _MK_ADDR_CONST(0x2fc)
#define WAKE_AOWAKE_MASK_W_95_SECURE                    0x0
#define WAKE_AOWAKE_MASK_W_95_DUAL                      0x0
#define WAKE_AOWAKE_MASK_W_95_SCR                       EVENT_CNTRL_SCR_95
#define WAKE_AOWAKE_MASK_W_95_WORD_COUNT                        0x1
#define WAKE_AOWAKE_MASK_W_95_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_95_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_95_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_95_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_95_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_95_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_95_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_W_95_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_MASK_W_95_MASK_SHIFT)
#define WAKE_AOWAKE_MASK_W_95_MASK_RANGE                        0:0
#define WAKE_AOWAKE_MASK_W_95_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_MASK_W_95_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_95_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_95_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_95_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_95_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_W_95_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_MASK_W_95_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_MASK_W_95_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_MASK_W_95_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_MASK_R_31_0_0
#define WAKE_AOWAKE_MASK_R_31_0_0                       _MK_ADDR_CONST(0x300)
#define WAKE_AOWAKE_MASK_R_31_0_0_SECURE                        0x0
#define WAKE_AOWAKE_MASK_R_31_0_0_DUAL                  0x0
#define WAKE_AOWAKE_MASK_R_31_0_0_SCR                   0
#define WAKE_AOWAKE_MASK_R_31_0_0_WORD_COUNT                    0x1
#define WAKE_AOWAKE_MASK_R_31_0_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_R_31_0_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_MASK_R_31_0_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_R_31_0_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_R_31_0_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_MASK_R_31_0_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_R_31_0_0_STATUS_SHIFT                  _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_R_31_0_0_STATUS_FIELD                  _MK_FIELD_CONST(0xffffffff, WAKE_AOWAKE_MASK_R_31_0_0_STATUS_SHIFT)
#define WAKE_AOWAKE_MASK_R_31_0_0_STATUS_RANGE                  31:0
#define WAKE_AOWAKE_MASK_R_31_0_0_STATUS_WOFFSET                        0x0
#define WAKE_AOWAKE_MASK_R_31_0_0_STATUS_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_R_31_0_0_STATUS_DEFAULT_MASK                   _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_MASK_R_31_0_0_STATUS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_R_31_0_0_STATUS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_R_31_0_0_STATUS_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_R_31_0_0_STATUS_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)


// Register WAKE_AOWAKE_MASK_R_63_32_0
#define WAKE_AOWAKE_MASK_R_63_32_0                      _MK_ADDR_CONST(0x304)
#define WAKE_AOWAKE_MASK_R_63_32_0_SECURE                       0x0
#define WAKE_AOWAKE_MASK_R_63_32_0_DUAL                         0x0
#define WAKE_AOWAKE_MASK_R_63_32_0_SCR                  0
#define WAKE_AOWAKE_MASK_R_63_32_0_WORD_COUNT                   0x1
#define WAKE_AOWAKE_MASK_R_63_32_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_R_63_32_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_MASK_R_63_32_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_R_63_32_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_R_63_32_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_MASK_R_63_32_0_WRITE_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_R_63_32_0_STATUS_SHIFT                 _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_R_63_32_0_STATUS_FIELD                 _MK_FIELD_CONST(0xffffffff, WAKE_AOWAKE_MASK_R_63_32_0_STATUS_SHIFT)
#define WAKE_AOWAKE_MASK_R_63_32_0_STATUS_RANGE                 31:0
#define WAKE_AOWAKE_MASK_R_63_32_0_STATUS_WOFFSET                       0x0
#define WAKE_AOWAKE_MASK_R_63_32_0_STATUS_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_R_63_32_0_STATUS_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_MASK_R_63_32_0_STATUS_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_R_63_32_0_STATUS_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_R_63_32_0_STATUS_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_R_63_32_0_STATUS_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register WAKE_AOWAKE_MASK_R_95_64_0
#define WAKE_AOWAKE_MASK_R_95_64_0                      _MK_ADDR_CONST(0x308)
#define WAKE_AOWAKE_MASK_R_95_64_0_SECURE                       0x0
#define WAKE_AOWAKE_MASK_R_95_64_0_DUAL                         0x0
#define WAKE_AOWAKE_MASK_R_95_64_0_SCR                  0
#define WAKE_AOWAKE_MASK_R_95_64_0_WORD_COUNT                   0x1
#define WAKE_AOWAKE_MASK_R_95_64_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_R_95_64_0_RESET_MASK                   _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_MASK_R_95_64_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_R_95_64_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_R_95_64_0_READ_MASK                    _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_MASK_R_95_64_0_WRITE_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_R_95_64_0_STATUS_SHIFT                 _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_MASK_R_95_64_0_STATUS_FIELD                 _MK_FIELD_CONST(0xffffffff, WAKE_AOWAKE_MASK_R_95_64_0_STATUS_SHIFT)
#define WAKE_AOWAKE_MASK_R_95_64_0_STATUS_RANGE                 31:0
#define WAKE_AOWAKE_MASK_R_95_64_0_STATUS_WOFFSET                       0x0
#define WAKE_AOWAKE_MASK_R_95_64_0_STATUS_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_R_95_64_0_STATUS_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_MASK_R_95_64_0_STATUS_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_R_95_64_0_STATUS_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_R_95_64_0_STATUS_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_MASK_R_95_64_0_STATUS_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register WAKE_AOWAKE_STATUS_W_0
#define WAKE_AOWAKE_STATUS_W_0                  _MK_ADDR_CONST(0x30c)
#define WAKE_AOWAKE_STATUS_W_0_SECURE                   0x0
#define WAKE_AOWAKE_STATUS_W_0_DUAL                     0x0
#define WAKE_AOWAKE_STATUS_W_0_SCR                      EVENT_CNTRL_SCR_0
#define WAKE_AOWAKE_STATUS_W_0_WORD_COUNT                       0x1
#define WAKE_AOWAKE_STATUS_W_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_0_RESET_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_0_READ_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_0_WRITE_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_0_CLEAR_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_0_CLEAR_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_0_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_0_CLEAR_RANGE                      0:0
#define WAKE_AOWAKE_STATUS_W_0_CLEAR_WOFFSET                    0x0
#define WAKE_AOWAKE_STATUS_W_0_CLEAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_0_CLEAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_0_CLEAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_0_CLEAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_0_CLEAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_0_CLEAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_0_CLEAR_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_STATUS_W_0_CLEAR_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_0_CLEAR_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W
#define WAKE_AOWAKE_STATUS_W                    _MK_ADDR_CONST(0x30c)
#define WAKE_AOWAKE_STATUS_W_SECURE                     0x0
#define WAKE_AOWAKE_STATUS_W_DUAL                       0x0
#define WAKE_AOWAKE_STATUS_W_SCR                        EVENT_CNTRL_SCR_0
#define WAKE_AOWAKE_STATUS_W_WORD_COUNT                         0x1
#define WAKE_AOWAKE_STATUS_W_RESET_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_RESET_MASK                         _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_READ_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_WRITE_MASK                         _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_CLEAR_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_CLEAR_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_CLEAR_RANGE                        0:0
#define WAKE_AOWAKE_STATUS_W_CLEAR_WOFFSET                      0x0
#define WAKE_AOWAKE_STATUS_W_CLEAR_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_CLEAR_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_CLEAR_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_CLEAR_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_CLEAR_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_CLEAR_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_CLEAR_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_STATUS_W_CLEAR_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_CLEAR_TRUE                 _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_1
#define WAKE_AOWAKE_STATUS_W_1                  _MK_ADDR_CONST(0x310)
#define WAKE_AOWAKE_STATUS_W_1_SECURE                   0x0
#define WAKE_AOWAKE_STATUS_W_1_DUAL                     0x0
#define WAKE_AOWAKE_STATUS_W_1_SCR                      EVENT_CNTRL_SCR_1
#define WAKE_AOWAKE_STATUS_W_1_WORD_COUNT                       0x1
#define WAKE_AOWAKE_STATUS_W_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_1_RESET_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_1_READ_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_1_WRITE_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_1_CLEAR_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_1_CLEAR_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_1_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_1_CLEAR_RANGE                      0:0
#define WAKE_AOWAKE_STATUS_W_1_CLEAR_WOFFSET                    0x0
#define WAKE_AOWAKE_STATUS_W_1_CLEAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_1_CLEAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_1_CLEAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_1_CLEAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_1_CLEAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_1_CLEAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_1_CLEAR_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_STATUS_W_1_CLEAR_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_1_CLEAR_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_2
#define WAKE_AOWAKE_STATUS_W_2                  _MK_ADDR_CONST(0x314)
#define WAKE_AOWAKE_STATUS_W_2_SECURE                   0x0
#define WAKE_AOWAKE_STATUS_W_2_DUAL                     0x0
#define WAKE_AOWAKE_STATUS_W_2_SCR                      EVENT_CNTRL_SCR_2
#define WAKE_AOWAKE_STATUS_W_2_WORD_COUNT                       0x1
#define WAKE_AOWAKE_STATUS_W_2_RESET_VAL                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_2_RESET_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_2_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_2_READ_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_2_WRITE_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_2_CLEAR_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_2_CLEAR_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_2_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_2_CLEAR_RANGE                      0:0
#define WAKE_AOWAKE_STATUS_W_2_CLEAR_WOFFSET                    0x0
#define WAKE_AOWAKE_STATUS_W_2_CLEAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_2_CLEAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_2_CLEAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_2_CLEAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_2_CLEAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_2_CLEAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_2_CLEAR_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_STATUS_W_2_CLEAR_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_2_CLEAR_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_3
#define WAKE_AOWAKE_STATUS_W_3                  _MK_ADDR_CONST(0x318)
#define WAKE_AOWAKE_STATUS_W_3_SECURE                   0x0
#define WAKE_AOWAKE_STATUS_W_3_DUAL                     0x0
#define WAKE_AOWAKE_STATUS_W_3_SCR                      EVENT_CNTRL_SCR_3
#define WAKE_AOWAKE_STATUS_W_3_WORD_COUNT                       0x1
#define WAKE_AOWAKE_STATUS_W_3_RESET_VAL                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_3_RESET_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_3_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_3_READ_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_3_WRITE_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_3_CLEAR_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_3_CLEAR_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_3_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_3_CLEAR_RANGE                      0:0
#define WAKE_AOWAKE_STATUS_W_3_CLEAR_WOFFSET                    0x0
#define WAKE_AOWAKE_STATUS_W_3_CLEAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_3_CLEAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_3_CLEAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_3_CLEAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_3_CLEAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_3_CLEAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_3_CLEAR_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_STATUS_W_3_CLEAR_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_3_CLEAR_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_4
#define WAKE_AOWAKE_STATUS_W_4                  _MK_ADDR_CONST(0x31c)
#define WAKE_AOWAKE_STATUS_W_4_SECURE                   0x0
#define WAKE_AOWAKE_STATUS_W_4_DUAL                     0x0
#define WAKE_AOWAKE_STATUS_W_4_SCR                      EVENT_CNTRL_SCR_4
#define WAKE_AOWAKE_STATUS_W_4_WORD_COUNT                       0x1
#define WAKE_AOWAKE_STATUS_W_4_RESET_VAL                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_4_RESET_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_4_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_4_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_4_READ_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_4_WRITE_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_4_CLEAR_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_4_CLEAR_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_4_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_4_CLEAR_RANGE                      0:0
#define WAKE_AOWAKE_STATUS_W_4_CLEAR_WOFFSET                    0x0
#define WAKE_AOWAKE_STATUS_W_4_CLEAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_4_CLEAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_4_CLEAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_4_CLEAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_4_CLEAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_4_CLEAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_4_CLEAR_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_STATUS_W_4_CLEAR_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_4_CLEAR_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_5
#define WAKE_AOWAKE_STATUS_W_5                  _MK_ADDR_CONST(0x320)
#define WAKE_AOWAKE_STATUS_W_5_SECURE                   0x0
#define WAKE_AOWAKE_STATUS_W_5_DUAL                     0x0
#define WAKE_AOWAKE_STATUS_W_5_SCR                      EVENT_CNTRL_SCR_5
#define WAKE_AOWAKE_STATUS_W_5_WORD_COUNT                       0x1
#define WAKE_AOWAKE_STATUS_W_5_RESET_VAL                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_5_RESET_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_5_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_5_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_5_READ_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_5_WRITE_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_5_CLEAR_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_5_CLEAR_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_5_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_5_CLEAR_RANGE                      0:0
#define WAKE_AOWAKE_STATUS_W_5_CLEAR_WOFFSET                    0x0
#define WAKE_AOWAKE_STATUS_W_5_CLEAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_5_CLEAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_5_CLEAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_5_CLEAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_5_CLEAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_5_CLEAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_5_CLEAR_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_STATUS_W_5_CLEAR_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_5_CLEAR_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_6
#define WAKE_AOWAKE_STATUS_W_6                  _MK_ADDR_CONST(0x324)
#define WAKE_AOWAKE_STATUS_W_6_SECURE                   0x0
#define WAKE_AOWAKE_STATUS_W_6_DUAL                     0x0
#define WAKE_AOWAKE_STATUS_W_6_SCR                      EVENT_CNTRL_SCR_6
#define WAKE_AOWAKE_STATUS_W_6_WORD_COUNT                       0x1
#define WAKE_AOWAKE_STATUS_W_6_RESET_VAL                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_6_RESET_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_6_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_6_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_6_READ_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_6_WRITE_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_6_CLEAR_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_6_CLEAR_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_6_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_6_CLEAR_RANGE                      0:0
#define WAKE_AOWAKE_STATUS_W_6_CLEAR_WOFFSET                    0x0
#define WAKE_AOWAKE_STATUS_W_6_CLEAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_6_CLEAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_6_CLEAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_6_CLEAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_6_CLEAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_6_CLEAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_6_CLEAR_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_STATUS_W_6_CLEAR_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_6_CLEAR_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_7
#define WAKE_AOWAKE_STATUS_W_7                  _MK_ADDR_CONST(0x328)
#define WAKE_AOWAKE_STATUS_W_7_SECURE                   0x0
#define WAKE_AOWAKE_STATUS_W_7_DUAL                     0x0
#define WAKE_AOWAKE_STATUS_W_7_SCR                      EVENT_CNTRL_SCR_7
#define WAKE_AOWAKE_STATUS_W_7_WORD_COUNT                       0x1
#define WAKE_AOWAKE_STATUS_W_7_RESET_VAL                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_7_RESET_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_7_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_7_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_7_READ_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_7_WRITE_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_7_CLEAR_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_7_CLEAR_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_7_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_7_CLEAR_RANGE                      0:0
#define WAKE_AOWAKE_STATUS_W_7_CLEAR_WOFFSET                    0x0
#define WAKE_AOWAKE_STATUS_W_7_CLEAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_7_CLEAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_7_CLEAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_7_CLEAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_7_CLEAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_7_CLEAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_7_CLEAR_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_STATUS_W_7_CLEAR_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_7_CLEAR_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_8
#define WAKE_AOWAKE_STATUS_W_8                  _MK_ADDR_CONST(0x32c)
#define WAKE_AOWAKE_STATUS_W_8_SECURE                   0x0
#define WAKE_AOWAKE_STATUS_W_8_DUAL                     0x0
#define WAKE_AOWAKE_STATUS_W_8_SCR                      EVENT_CNTRL_SCR_8
#define WAKE_AOWAKE_STATUS_W_8_WORD_COUNT                       0x1
#define WAKE_AOWAKE_STATUS_W_8_RESET_VAL                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_8_RESET_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_8_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_8_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_8_READ_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_8_WRITE_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_8_CLEAR_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_8_CLEAR_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_8_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_8_CLEAR_RANGE                      0:0
#define WAKE_AOWAKE_STATUS_W_8_CLEAR_WOFFSET                    0x0
#define WAKE_AOWAKE_STATUS_W_8_CLEAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_8_CLEAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_8_CLEAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_8_CLEAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_8_CLEAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_8_CLEAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_8_CLEAR_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_STATUS_W_8_CLEAR_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_8_CLEAR_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_9
#define WAKE_AOWAKE_STATUS_W_9                  _MK_ADDR_CONST(0x330)
#define WAKE_AOWAKE_STATUS_W_9_SECURE                   0x0
#define WAKE_AOWAKE_STATUS_W_9_DUAL                     0x0
#define WAKE_AOWAKE_STATUS_W_9_SCR                      EVENT_CNTRL_SCR_9
#define WAKE_AOWAKE_STATUS_W_9_WORD_COUNT                       0x1
#define WAKE_AOWAKE_STATUS_W_9_RESET_VAL                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_9_RESET_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_9_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_9_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_9_READ_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_9_WRITE_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_9_CLEAR_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_9_CLEAR_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_9_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_9_CLEAR_RANGE                      0:0
#define WAKE_AOWAKE_STATUS_W_9_CLEAR_WOFFSET                    0x0
#define WAKE_AOWAKE_STATUS_W_9_CLEAR_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_9_CLEAR_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_9_CLEAR_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_9_CLEAR_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_9_CLEAR_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_9_CLEAR_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_9_CLEAR_INIT_ENUM                  FALSE
#define WAKE_AOWAKE_STATUS_W_9_CLEAR_FALSE                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_9_CLEAR_TRUE                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_10
#define WAKE_AOWAKE_STATUS_W_10                 _MK_ADDR_CONST(0x334)
#define WAKE_AOWAKE_STATUS_W_10_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_10_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_10_SCR                     EVENT_CNTRL_SCR_10
#define WAKE_AOWAKE_STATUS_W_10_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_10_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_10_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_10_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_10_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_10_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_10_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_10_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_10_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_10_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_10_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_10_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_10_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_10_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_10_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_10_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_10_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_10_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_10_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_10_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_10_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_11
#define WAKE_AOWAKE_STATUS_W_11                 _MK_ADDR_CONST(0x338)
#define WAKE_AOWAKE_STATUS_W_11_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_11_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_11_SCR                     EVENT_CNTRL_SCR_11
#define WAKE_AOWAKE_STATUS_W_11_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_11_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_11_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_11_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_11_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_11_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_11_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_11_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_11_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_11_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_11_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_11_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_11_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_11_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_11_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_11_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_11_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_11_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_11_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_11_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_11_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_12
#define WAKE_AOWAKE_STATUS_W_12                 _MK_ADDR_CONST(0x33c)
#define WAKE_AOWAKE_STATUS_W_12_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_12_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_12_SCR                     EVENT_CNTRL_SCR_12
#define WAKE_AOWAKE_STATUS_W_12_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_12_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_12_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_12_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_12_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_12_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_12_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_12_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_12_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_12_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_12_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_12_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_12_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_12_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_12_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_12_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_12_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_12_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_12_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_12_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_12_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_13
#define WAKE_AOWAKE_STATUS_W_13                 _MK_ADDR_CONST(0x340)
#define WAKE_AOWAKE_STATUS_W_13_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_13_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_13_SCR                     EVENT_CNTRL_SCR_13
#define WAKE_AOWAKE_STATUS_W_13_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_13_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_13_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_13_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_13_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_13_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_13_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_13_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_13_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_13_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_13_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_13_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_13_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_13_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_13_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_13_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_13_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_13_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_13_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_13_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_13_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_14
#define WAKE_AOWAKE_STATUS_W_14                 _MK_ADDR_CONST(0x344)
#define WAKE_AOWAKE_STATUS_W_14_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_14_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_14_SCR                     EVENT_CNTRL_SCR_14
#define WAKE_AOWAKE_STATUS_W_14_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_14_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_14_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_14_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_14_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_14_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_14_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_14_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_14_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_14_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_14_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_14_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_14_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_14_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_14_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_14_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_14_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_14_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_14_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_14_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_14_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_15
#define WAKE_AOWAKE_STATUS_W_15                 _MK_ADDR_CONST(0x348)
#define WAKE_AOWAKE_STATUS_W_15_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_15_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_15_SCR                     EVENT_CNTRL_SCR_15
#define WAKE_AOWAKE_STATUS_W_15_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_15_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_15_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_15_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_15_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_15_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_15_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_15_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_15_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_15_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_15_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_15_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_15_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_15_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_15_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_15_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_15_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_15_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_15_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_15_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_15_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_16
#define WAKE_AOWAKE_STATUS_W_16                 _MK_ADDR_CONST(0x34c)
#define WAKE_AOWAKE_STATUS_W_16_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_16_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_16_SCR                     EVENT_CNTRL_SCR_16
#define WAKE_AOWAKE_STATUS_W_16_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_16_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_16_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_16_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_16_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_16_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_16_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_16_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_16_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_16_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_16_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_16_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_16_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_16_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_16_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_16_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_16_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_16_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_16_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_16_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_16_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_17
#define WAKE_AOWAKE_STATUS_W_17                 _MK_ADDR_CONST(0x350)
#define WAKE_AOWAKE_STATUS_W_17_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_17_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_17_SCR                     EVENT_CNTRL_SCR_17
#define WAKE_AOWAKE_STATUS_W_17_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_17_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_17_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_17_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_17_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_17_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_17_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_17_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_17_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_17_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_17_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_17_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_17_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_17_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_17_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_17_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_17_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_17_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_17_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_17_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_17_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_18
#define WAKE_AOWAKE_STATUS_W_18                 _MK_ADDR_CONST(0x354)
#define WAKE_AOWAKE_STATUS_W_18_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_18_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_18_SCR                     EVENT_CNTRL_SCR_18
#define WAKE_AOWAKE_STATUS_W_18_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_18_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_18_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_18_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_18_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_18_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_18_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_18_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_18_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_18_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_18_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_18_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_18_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_18_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_18_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_18_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_18_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_18_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_18_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_18_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_18_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_19
#define WAKE_AOWAKE_STATUS_W_19                 _MK_ADDR_CONST(0x358)
#define WAKE_AOWAKE_STATUS_W_19_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_19_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_19_SCR                     EVENT_CNTRL_SCR_19
#define WAKE_AOWAKE_STATUS_W_19_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_19_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_19_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_19_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_19_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_19_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_19_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_19_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_19_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_19_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_19_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_19_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_19_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_19_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_19_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_19_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_19_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_19_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_19_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_19_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_19_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_20
#define WAKE_AOWAKE_STATUS_W_20                 _MK_ADDR_CONST(0x35c)
#define WAKE_AOWAKE_STATUS_W_20_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_20_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_20_SCR                     EVENT_CNTRL_SCR_20
#define WAKE_AOWAKE_STATUS_W_20_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_20_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_20_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_20_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_20_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_20_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_20_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_20_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_20_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_20_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_20_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_20_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_20_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_20_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_20_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_20_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_20_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_20_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_20_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_20_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_20_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_21
#define WAKE_AOWAKE_STATUS_W_21                 _MK_ADDR_CONST(0x360)
#define WAKE_AOWAKE_STATUS_W_21_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_21_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_21_SCR                     EVENT_CNTRL_SCR_21
#define WAKE_AOWAKE_STATUS_W_21_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_21_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_21_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_21_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_21_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_21_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_21_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_21_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_21_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_21_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_21_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_21_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_21_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_21_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_21_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_21_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_21_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_21_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_21_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_21_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_21_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_22
#define WAKE_AOWAKE_STATUS_W_22                 _MK_ADDR_CONST(0x364)
#define WAKE_AOWAKE_STATUS_W_22_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_22_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_22_SCR                     EVENT_CNTRL_SCR_22
#define WAKE_AOWAKE_STATUS_W_22_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_22_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_22_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_22_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_22_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_22_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_22_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_22_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_22_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_22_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_22_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_22_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_22_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_22_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_22_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_22_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_22_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_22_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_22_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_22_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_22_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_23
#define WAKE_AOWAKE_STATUS_W_23                 _MK_ADDR_CONST(0x368)
#define WAKE_AOWAKE_STATUS_W_23_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_23_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_23_SCR                     EVENT_CNTRL_SCR_23
#define WAKE_AOWAKE_STATUS_W_23_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_23_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_23_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_23_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_23_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_23_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_23_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_23_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_23_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_23_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_23_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_23_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_23_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_23_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_23_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_23_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_23_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_23_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_23_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_23_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_23_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_24
#define WAKE_AOWAKE_STATUS_W_24                 _MK_ADDR_CONST(0x36c)
#define WAKE_AOWAKE_STATUS_W_24_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_24_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_24_SCR                     EVENT_CNTRL_SCR_24
#define WAKE_AOWAKE_STATUS_W_24_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_24_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_24_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_24_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_24_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_24_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_24_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_24_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_24_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_24_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_24_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_24_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_24_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_24_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_24_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_24_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_24_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_24_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_24_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_24_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_24_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_25
#define WAKE_AOWAKE_STATUS_W_25                 _MK_ADDR_CONST(0x370)
#define WAKE_AOWAKE_STATUS_W_25_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_25_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_25_SCR                     EVENT_CNTRL_SCR_25
#define WAKE_AOWAKE_STATUS_W_25_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_25_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_25_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_25_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_25_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_25_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_25_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_25_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_25_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_25_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_25_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_25_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_25_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_25_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_25_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_25_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_25_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_25_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_25_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_25_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_25_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_26
#define WAKE_AOWAKE_STATUS_W_26                 _MK_ADDR_CONST(0x374)
#define WAKE_AOWAKE_STATUS_W_26_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_26_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_26_SCR                     EVENT_CNTRL_SCR_26
#define WAKE_AOWAKE_STATUS_W_26_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_26_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_26_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_26_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_26_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_26_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_26_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_26_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_26_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_26_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_26_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_26_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_26_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_26_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_26_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_26_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_26_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_26_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_26_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_26_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_26_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_27
#define WAKE_AOWAKE_STATUS_W_27                 _MK_ADDR_CONST(0x378)
#define WAKE_AOWAKE_STATUS_W_27_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_27_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_27_SCR                     EVENT_CNTRL_SCR_27
#define WAKE_AOWAKE_STATUS_W_27_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_27_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_27_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_27_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_27_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_27_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_27_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_27_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_27_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_27_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_27_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_27_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_27_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_27_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_27_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_27_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_27_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_27_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_27_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_27_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_27_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_28
#define WAKE_AOWAKE_STATUS_W_28                 _MK_ADDR_CONST(0x37c)
#define WAKE_AOWAKE_STATUS_W_28_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_28_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_28_SCR                     EVENT_CNTRL_SCR_28
#define WAKE_AOWAKE_STATUS_W_28_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_28_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_28_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_28_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_28_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_28_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_28_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_28_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_28_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_28_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_28_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_28_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_28_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_28_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_28_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_28_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_28_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_28_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_28_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_28_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_28_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_29
#define WAKE_AOWAKE_STATUS_W_29                 _MK_ADDR_CONST(0x380)
#define WAKE_AOWAKE_STATUS_W_29_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_29_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_29_SCR                     EVENT_CNTRL_SCR_29
#define WAKE_AOWAKE_STATUS_W_29_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_29_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_29_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_29_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_29_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_29_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_29_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_29_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_29_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_29_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_29_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_29_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_29_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_29_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_29_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_29_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_29_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_29_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_29_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_29_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_29_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_30
#define WAKE_AOWAKE_STATUS_W_30                 _MK_ADDR_CONST(0x384)
#define WAKE_AOWAKE_STATUS_W_30_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_30_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_30_SCR                     EVENT_CNTRL_SCR_30
#define WAKE_AOWAKE_STATUS_W_30_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_30_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_30_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_30_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_30_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_30_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_30_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_30_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_30_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_30_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_30_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_30_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_30_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_30_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_30_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_30_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_30_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_30_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_30_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_30_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_30_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_31
#define WAKE_AOWAKE_STATUS_W_31                 _MK_ADDR_CONST(0x388)
#define WAKE_AOWAKE_STATUS_W_31_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_31_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_31_SCR                     EVENT_CNTRL_SCR_31
#define WAKE_AOWAKE_STATUS_W_31_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_31_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_31_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_31_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_31_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_31_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_31_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_31_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_31_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_31_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_31_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_31_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_31_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_31_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_31_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_31_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_31_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_31_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_31_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_31_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_31_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_32
#define WAKE_AOWAKE_STATUS_W_32                 _MK_ADDR_CONST(0x38c)
#define WAKE_AOWAKE_STATUS_W_32_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_32_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_32_SCR                     EVENT_CNTRL_SCR_32
#define WAKE_AOWAKE_STATUS_W_32_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_32_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_32_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_32_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_32_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_32_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_32_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_32_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_32_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_32_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_32_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_32_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_32_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_32_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_32_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_32_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_32_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_32_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_32_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_32_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_32_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_33
#define WAKE_AOWAKE_STATUS_W_33                 _MK_ADDR_CONST(0x390)
#define WAKE_AOWAKE_STATUS_W_33_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_33_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_33_SCR                     EVENT_CNTRL_SCR_33
#define WAKE_AOWAKE_STATUS_W_33_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_33_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_33_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_33_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_33_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_33_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_33_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_33_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_33_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_33_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_33_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_33_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_33_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_33_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_33_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_33_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_33_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_33_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_33_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_33_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_33_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_34
#define WAKE_AOWAKE_STATUS_W_34                 _MK_ADDR_CONST(0x394)
#define WAKE_AOWAKE_STATUS_W_34_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_34_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_34_SCR                     EVENT_CNTRL_SCR_34
#define WAKE_AOWAKE_STATUS_W_34_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_34_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_34_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_34_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_34_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_34_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_34_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_34_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_34_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_34_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_34_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_34_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_34_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_34_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_34_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_34_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_34_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_34_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_34_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_34_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_34_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_35
#define WAKE_AOWAKE_STATUS_W_35                 _MK_ADDR_CONST(0x398)
#define WAKE_AOWAKE_STATUS_W_35_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_35_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_35_SCR                     EVENT_CNTRL_SCR_35
#define WAKE_AOWAKE_STATUS_W_35_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_35_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_35_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_35_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_35_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_35_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_35_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_35_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_35_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_35_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_35_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_35_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_35_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_35_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_35_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_35_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_35_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_35_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_35_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_35_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_35_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_36
#define WAKE_AOWAKE_STATUS_W_36                 _MK_ADDR_CONST(0x39c)
#define WAKE_AOWAKE_STATUS_W_36_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_36_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_36_SCR                     EVENT_CNTRL_SCR_36
#define WAKE_AOWAKE_STATUS_W_36_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_36_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_36_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_36_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_36_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_36_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_36_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_36_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_36_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_36_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_36_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_36_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_36_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_36_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_36_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_36_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_36_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_36_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_36_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_36_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_36_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_37
#define WAKE_AOWAKE_STATUS_W_37                 _MK_ADDR_CONST(0x3a0)
#define WAKE_AOWAKE_STATUS_W_37_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_37_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_37_SCR                     EVENT_CNTRL_SCR_37
#define WAKE_AOWAKE_STATUS_W_37_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_37_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_37_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_37_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_37_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_37_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_37_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_37_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_37_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_37_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_37_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_37_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_37_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_37_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_37_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_37_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_37_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_37_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_37_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_37_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_37_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_38
#define WAKE_AOWAKE_STATUS_W_38                 _MK_ADDR_CONST(0x3a4)
#define WAKE_AOWAKE_STATUS_W_38_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_38_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_38_SCR                     EVENT_CNTRL_SCR_38
#define WAKE_AOWAKE_STATUS_W_38_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_38_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_38_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_38_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_38_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_38_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_38_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_38_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_38_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_38_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_38_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_38_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_38_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_38_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_38_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_38_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_38_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_38_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_38_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_38_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_38_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_39
#define WAKE_AOWAKE_STATUS_W_39                 _MK_ADDR_CONST(0x3a8)
#define WAKE_AOWAKE_STATUS_W_39_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_39_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_39_SCR                     EVENT_CNTRL_SCR_39
#define WAKE_AOWAKE_STATUS_W_39_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_39_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_39_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_39_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_39_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_39_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_39_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_39_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_39_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_39_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_39_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_39_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_39_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_39_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_39_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_39_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_39_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_39_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_39_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_39_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_39_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_40
#define WAKE_AOWAKE_STATUS_W_40                 _MK_ADDR_CONST(0x3ac)
#define WAKE_AOWAKE_STATUS_W_40_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_40_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_40_SCR                     EVENT_CNTRL_SCR_40
#define WAKE_AOWAKE_STATUS_W_40_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_40_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_40_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_40_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_40_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_40_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_40_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_40_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_40_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_40_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_40_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_40_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_40_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_40_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_40_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_40_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_40_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_40_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_40_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_40_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_40_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_41
#define WAKE_AOWAKE_STATUS_W_41                 _MK_ADDR_CONST(0x3b0)
#define WAKE_AOWAKE_STATUS_W_41_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_41_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_41_SCR                     EVENT_CNTRL_SCR_41
#define WAKE_AOWAKE_STATUS_W_41_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_41_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_41_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_41_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_41_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_41_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_41_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_41_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_41_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_41_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_41_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_41_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_41_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_41_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_41_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_41_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_41_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_41_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_41_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_41_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_41_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_42
#define WAKE_AOWAKE_STATUS_W_42                 _MK_ADDR_CONST(0x3b4)
#define WAKE_AOWAKE_STATUS_W_42_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_42_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_42_SCR                     EVENT_CNTRL_SCR_42
#define WAKE_AOWAKE_STATUS_W_42_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_42_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_42_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_42_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_42_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_42_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_42_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_42_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_42_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_42_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_42_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_42_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_42_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_42_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_42_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_42_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_42_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_42_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_42_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_42_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_42_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_43
#define WAKE_AOWAKE_STATUS_W_43                 _MK_ADDR_CONST(0x3b8)
#define WAKE_AOWAKE_STATUS_W_43_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_43_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_43_SCR                     EVENT_CNTRL_SCR_43
#define WAKE_AOWAKE_STATUS_W_43_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_43_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_43_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_43_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_43_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_43_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_43_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_43_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_43_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_43_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_43_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_43_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_43_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_43_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_43_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_43_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_43_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_43_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_43_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_43_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_43_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_44
#define WAKE_AOWAKE_STATUS_W_44                 _MK_ADDR_CONST(0x3bc)
#define WAKE_AOWAKE_STATUS_W_44_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_44_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_44_SCR                     EVENT_CNTRL_SCR_44
#define WAKE_AOWAKE_STATUS_W_44_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_44_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_44_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_44_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_44_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_44_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_44_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_44_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_44_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_44_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_44_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_44_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_44_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_44_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_44_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_44_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_44_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_44_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_44_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_44_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_44_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_45
#define WAKE_AOWAKE_STATUS_W_45                 _MK_ADDR_CONST(0x3c0)
#define WAKE_AOWAKE_STATUS_W_45_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_45_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_45_SCR                     EVENT_CNTRL_SCR_45
#define WAKE_AOWAKE_STATUS_W_45_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_45_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_45_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_45_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_45_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_45_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_45_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_45_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_45_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_45_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_45_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_45_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_45_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_45_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_45_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_45_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_45_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_45_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_45_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_45_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_45_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_46
#define WAKE_AOWAKE_STATUS_W_46                 _MK_ADDR_CONST(0x3c4)
#define WAKE_AOWAKE_STATUS_W_46_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_46_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_46_SCR                     EVENT_CNTRL_SCR_46
#define WAKE_AOWAKE_STATUS_W_46_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_46_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_46_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_46_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_46_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_46_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_46_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_46_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_46_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_46_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_46_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_46_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_46_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_46_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_46_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_46_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_46_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_46_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_46_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_46_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_46_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_47
#define WAKE_AOWAKE_STATUS_W_47                 _MK_ADDR_CONST(0x3c8)
#define WAKE_AOWAKE_STATUS_W_47_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_47_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_47_SCR                     EVENT_CNTRL_SCR_47
#define WAKE_AOWAKE_STATUS_W_47_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_47_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_47_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_47_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_47_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_47_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_47_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_47_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_47_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_47_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_47_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_47_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_47_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_47_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_47_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_47_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_47_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_47_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_47_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_47_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_47_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_48
#define WAKE_AOWAKE_STATUS_W_48                 _MK_ADDR_CONST(0x3cc)
#define WAKE_AOWAKE_STATUS_W_48_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_48_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_48_SCR                     EVENT_CNTRL_SCR_48
#define WAKE_AOWAKE_STATUS_W_48_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_48_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_48_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_48_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_48_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_48_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_48_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_48_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_48_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_48_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_48_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_48_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_48_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_48_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_48_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_48_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_48_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_48_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_48_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_48_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_48_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_49
#define WAKE_AOWAKE_STATUS_W_49                 _MK_ADDR_CONST(0x3d0)
#define WAKE_AOWAKE_STATUS_W_49_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_49_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_49_SCR                     EVENT_CNTRL_SCR_49
#define WAKE_AOWAKE_STATUS_W_49_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_49_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_49_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_49_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_49_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_49_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_49_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_49_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_49_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_49_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_49_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_49_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_49_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_49_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_49_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_49_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_49_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_49_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_49_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_49_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_49_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_50
#define WAKE_AOWAKE_STATUS_W_50                 _MK_ADDR_CONST(0x3d4)
#define WAKE_AOWAKE_STATUS_W_50_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_50_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_50_SCR                     EVENT_CNTRL_SCR_50
#define WAKE_AOWAKE_STATUS_W_50_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_50_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_50_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_50_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_50_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_50_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_50_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_50_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_50_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_50_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_50_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_50_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_50_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_50_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_50_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_50_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_50_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_50_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_50_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_50_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_50_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_51
#define WAKE_AOWAKE_STATUS_W_51                 _MK_ADDR_CONST(0x3d8)
#define WAKE_AOWAKE_STATUS_W_51_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_51_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_51_SCR                     EVENT_CNTRL_SCR_51
#define WAKE_AOWAKE_STATUS_W_51_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_51_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_51_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_51_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_51_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_51_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_51_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_51_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_51_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_51_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_51_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_51_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_51_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_51_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_51_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_51_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_51_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_51_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_51_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_51_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_51_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_52
#define WAKE_AOWAKE_STATUS_W_52                 _MK_ADDR_CONST(0x3dc)
#define WAKE_AOWAKE_STATUS_W_52_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_52_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_52_SCR                     EVENT_CNTRL_SCR_52
#define WAKE_AOWAKE_STATUS_W_52_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_52_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_52_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_52_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_52_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_52_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_52_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_52_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_52_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_52_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_52_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_52_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_52_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_52_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_52_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_52_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_52_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_52_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_52_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_52_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_52_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_53
#define WAKE_AOWAKE_STATUS_W_53                 _MK_ADDR_CONST(0x3e0)
#define WAKE_AOWAKE_STATUS_W_53_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_53_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_53_SCR                     EVENT_CNTRL_SCR_53
#define WAKE_AOWAKE_STATUS_W_53_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_53_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_53_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_53_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_53_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_53_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_53_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_53_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_53_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_53_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_53_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_53_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_53_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_53_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_53_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_53_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_53_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_53_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_53_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_53_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_53_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_54
#define WAKE_AOWAKE_STATUS_W_54                 _MK_ADDR_CONST(0x3e4)
#define WAKE_AOWAKE_STATUS_W_54_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_54_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_54_SCR                     EVENT_CNTRL_SCR_54
#define WAKE_AOWAKE_STATUS_W_54_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_54_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_54_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_54_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_54_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_54_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_54_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_54_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_54_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_54_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_54_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_54_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_54_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_54_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_54_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_54_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_54_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_54_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_54_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_54_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_54_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_55
#define WAKE_AOWAKE_STATUS_W_55                 _MK_ADDR_CONST(0x3e8)
#define WAKE_AOWAKE_STATUS_W_55_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_55_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_55_SCR                     EVENT_CNTRL_SCR_55
#define WAKE_AOWAKE_STATUS_W_55_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_55_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_55_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_55_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_55_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_55_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_55_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_55_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_55_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_55_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_55_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_55_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_55_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_55_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_55_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_55_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_55_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_55_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_55_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_55_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_55_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_56
#define WAKE_AOWAKE_STATUS_W_56                 _MK_ADDR_CONST(0x3ec)
#define WAKE_AOWAKE_STATUS_W_56_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_56_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_56_SCR                     EVENT_CNTRL_SCR_56
#define WAKE_AOWAKE_STATUS_W_56_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_56_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_56_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_56_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_56_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_56_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_56_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_56_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_56_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_56_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_56_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_56_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_56_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_56_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_56_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_56_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_56_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_56_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_56_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_56_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_56_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_57
#define WAKE_AOWAKE_STATUS_W_57                 _MK_ADDR_CONST(0x3f0)
#define WAKE_AOWAKE_STATUS_W_57_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_57_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_57_SCR                     EVENT_CNTRL_SCR_57
#define WAKE_AOWAKE_STATUS_W_57_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_57_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_57_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_57_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_57_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_57_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_57_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_57_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_57_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_57_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_57_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_57_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_57_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_57_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_57_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_57_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_57_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_57_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_57_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_57_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_57_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_58
#define WAKE_AOWAKE_STATUS_W_58                 _MK_ADDR_CONST(0x3f4)
#define WAKE_AOWAKE_STATUS_W_58_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_58_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_58_SCR                     EVENT_CNTRL_SCR_58
#define WAKE_AOWAKE_STATUS_W_58_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_58_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_58_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_58_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_58_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_58_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_58_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_58_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_58_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_58_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_58_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_58_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_58_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_58_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_58_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_58_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_58_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_58_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_58_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_58_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_58_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_59
#define WAKE_AOWAKE_STATUS_W_59                 _MK_ADDR_CONST(0x3f8)
#define WAKE_AOWAKE_STATUS_W_59_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_59_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_59_SCR                     EVENT_CNTRL_SCR_59
#define WAKE_AOWAKE_STATUS_W_59_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_59_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_59_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_59_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_59_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_59_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_59_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_59_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_59_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_59_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_59_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_59_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_59_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_59_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_59_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_59_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_59_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_59_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_59_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_59_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_59_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_60
#define WAKE_AOWAKE_STATUS_W_60                 _MK_ADDR_CONST(0x3fc)
#define WAKE_AOWAKE_STATUS_W_60_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_60_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_60_SCR                     EVENT_CNTRL_SCR_60
#define WAKE_AOWAKE_STATUS_W_60_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_60_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_60_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_60_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_60_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_60_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_60_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_60_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_60_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_60_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_60_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_60_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_60_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_60_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_60_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_60_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_60_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_60_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_60_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_60_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_60_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_61
#define WAKE_AOWAKE_STATUS_W_61                 _MK_ADDR_CONST(0x400)
#define WAKE_AOWAKE_STATUS_W_61_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_61_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_61_SCR                     EVENT_CNTRL_SCR_61
#define WAKE_AOWAKE_STATUS_W_61_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_61_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_61_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_61_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_61_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_61_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_61_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_61_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_61_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_61_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_61_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_61_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_61_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_61_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_61_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_61_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_61_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_61_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_61_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_61_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_61_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_62
#define WAKE_AOWAKE_STATUS_W_62                 _MK_ADDR_CONST(0x404)
#define WAKE_AOWAKE_STATUS_W_62_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_62_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_62_SCR                     EVENT_CNTRL_SCR_62
#define WAKE_AOWAKE_STATUS_W_62_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_62_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_62_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_62_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_62_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_62_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_62_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_62_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_62_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_62_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_62_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_62_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_62_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_62_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_62_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_62_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_62_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_62_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_62_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_62_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_62_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_63
#define WAKE_AOWAKE_STATUS_W_63                 _MK_ADDR_CONST(0x408)
#define WAKE_AOWAKE_STATUS_W_63_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_63_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_63_SCR                     EVENT_CNTRL_SCR_63
#define WAKE_AOWAKE_STATUS_W_63_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_63_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_63_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_63_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_63_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_63_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_63_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_63_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_63_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_63_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_63_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_63_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_63_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_63_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_63_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_63_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_63_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_63_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_63_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_63_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_63_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_64
#define WAKE_AOWAKE_STATUS_W_64                 _MK_ADDR_CONST(0x40c)
#define WAKE_AOWAKE_STATUS_W_64_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_64_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_64_SCR                     EVENT_CNTRL_SCR_64
#define WAKE_AOWAKE_STATUS_W_64_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_64_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_64_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_64_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_64_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_64_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_64_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_64_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_64_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_64_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_64_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_64_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_64_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_64_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_64_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_64_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_64_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_64_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_64_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_64_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_64_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_65
#define WAKE_AOWAKE_STATUS_W_65                 _MK_ADDR_CONST(0x410)
#define WAKE_AOWAKE_STATUS_W_65_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_65_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_65_SCR                     EVENT_CNTRL_SCR_65
#define WAKE_AOWAKE_STATUS_W_65_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_65_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_65_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_65_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_65_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_65_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_65_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_65_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_65_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_65_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_65_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_65_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_65_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_65_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_65_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_65_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_65_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_65_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_65_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_65_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_65_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_66
#define WAKE_AOWAKE_STATUS_W_66                 _MK_ADDR_CONST(0x414)
#define WAKE_AOWAKE_STATUS_W_66_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_66_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_66_SCR                     EVENT_CNTRL_SCR_66
#define WAKE_AOWAKE_STATUS_W_66_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_66_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_66_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_66_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_66_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_66_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_66_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_66_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_66_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_66_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_66_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_66_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_66_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_66_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_66_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_66_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_66_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_66_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_66_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_66_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_66_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_67
#define WAKE_AOWAKE_STATUS_W_67                 _MK_ADDR_CONST(0x418)
#define WAKE_AOWAKE_STATUS_W_67_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_67_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_67_SCR                     EVENT_CNTRL_SCR_67
#define WAKE_AOWAKE_STATUS_W_67_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_67_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_67_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_67_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_67_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_67_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_67_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_67_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_67_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_67_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_67_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_67_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_67_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_67_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_67_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_67_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_67_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_67_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_67_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_67_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_67_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_68
#define WAKE_AOWAKE_STATUS_W_68                 _MK_ADDR_CONST(0x41c)
#define WAKE_AOWAKE_STATUS_W_68_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_68_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_68_SCR                     EVENT_CNTRL_SCR_68
#define WAKE_AOWAKE_STATUS_W_68_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_68_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_68_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_68_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_68_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_68_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_68_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_68_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_68_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_68_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_68_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_68_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_68_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_68_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_68_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_68_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_68_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_68_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_68_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_68_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_68_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_69
#define WAKE_AOWAKE_STATUS_W_69                 _MK_ADDR_CONST(0x420)
#define WAKE_AOWAKE_STATUS_W_69_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_69_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_69_SCR                     EVENT_CNTRL_SCR_69
#define WAKE_AOWAKE_STATUS_W_69_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_69_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_69_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_69_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_69_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_69_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_69_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_69_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_69_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_69_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_69_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_69_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_69_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_69_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_69_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_69_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_69_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_69_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_69_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_69_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_69_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_70
#define WAKE_AOWAKE_STATUS_W_70                 _MK_ADDR_CONST(0x424)
#define WAKE_AOWAKE_STATUS_W_70_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_70_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_70_SCR                     EVENT_CNTRL_SCR_70
#define WAKE_AOWAKE_STATUS_W_70_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_70_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_70_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_70_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_70_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_70_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_70_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_70_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_70_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_70_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_70_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_70_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_70_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_70_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_70_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_70_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_70_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_70_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_70_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_70_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_70_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_71
#define WAKE_AOWAKE_STATUS_W_71                 _MK_ADDR_CONST(0x428)
#define WAKE_AOWAKE_STATUS_W_71_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_71_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_71_SCR                     EVENT_CNTRL_SCR_71
#define WAKE_AOWAKE_STATUS_W_71_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_71_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_71_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_71_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_71_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_71_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_71_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_71_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_71_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_71_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_71_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_71_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_71_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_71_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_71_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_71_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_71_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_71_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_71_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_71_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_71_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_72
#define WAKE_AOWAKE_STATUS_W_72                 _MK_ADDR_CONST(0x42c)
#define WAKE_AOWAKE_STATUS_W_72_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_72_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_72_SCR                     EVENT_CNTRL_SCR_72
#define WAKE_AOWAKE_STATUS_W_72_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_72_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_72_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_72_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_72_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_72_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_72_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_72_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_72_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_72_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_72_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_72_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_72_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_72_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_72_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_72_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_72_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_72_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_72_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_72_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_72_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_73
#define WAKE_AOWAKE_STATUS_W_73                 _MK_ADDR_CONST(0x430)
#define WAKE_AOWAKE_STATUS_W_73_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_73_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_73_SCR                     EVENT_CNTRL_SCR_73
#define WAKE_AOWAKE_STATUS_W_73_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_73_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_73_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_73_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_73_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_73_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_73_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_73_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_73_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_73_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_73_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_73_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_73_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_73_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_73_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_73_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_73_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_73_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_73_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_73_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_73_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_74
#define WAKE_AOWAKE_STATUS_W_74                 _MK_ADDR_CONST(0x434)
#define WAKE_AOWAKE_STATUS_W_74_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_74_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_74_SCR                     EVENT_CNTRL_SCR_74
#define WAKE_AOWAKE_STATUS_W_74_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_74_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_74_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_74_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_74_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_74_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_74_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_74_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_74_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_74_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_74_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_74_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_74_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_74_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_74_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_74_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_74_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_74_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_74_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_74_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_74_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_75
#define WAKE_AOWAKE_STATUS_W_75                 _MK_ADDR_CONST(0x438)
#define WAKE_AOWAKE_STATUS_W_75_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_75_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_75_SCR                     EVENT_CNTRL_SCR_75
#define WAKE_AOWAKE_STATUS_W_75_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_75_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_75_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_75_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_75_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_75_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_75_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_75_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_75_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_75_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_75_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_75_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_75_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_75_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_75_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_75_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_75_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_75_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_75_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_75_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_75_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_76
#define WAKE_AOWAKE_STATUS_W_76                 _MK_ADDR_CONST(0x43c)
#define WAKE_AOWAKE_STATUS_W_76_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_76_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_76_SCR                     EVENT_CNTRL_SCR_76
#define WAKE_AOWAKE_STATUS_W_76_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_76_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_76_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_76_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_76_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_76_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_76_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_76_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_76_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_76_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_76_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_76_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_76_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_76_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_76_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_76_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_76_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_76_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_76_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_76_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_76_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_77
#define WAKE_AOWAKE_STATUS_W_77                 _MK_ADDR_CONST(0x440)
#define WAKE_AOWAKE_STATUS_W_77_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_77_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_77_SCR                     EVENT_CNTRL_SCR_77
#define WAKE_AOWAKE_STATUS_W_77_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_77_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_77_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_77_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_77_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_77_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_77_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_77_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_77_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_77_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_77_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_77_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_77_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_77_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_77_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_77_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_77_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_77_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_77_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_77_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_77_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_78
#define WAKE_AOWAKE_STATUS_W_78                 _MK_ADDR_CONST(0x444)
#define WAKE_AOWAKE_STATUS_W_78_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_78_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_78_SCR                     EVENT_CNTRL_SCR_78
#define WAKE_AOWAKE_STATUS_W_78_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_78_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_78_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_78_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_78_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_78_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_78_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_78_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_78_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_78_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_78_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_78_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_78_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_78_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_78_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_78_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_78_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_78_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_78_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_78_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_78_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_79
#define WAKE_AOWAKE_STATUS_W_79                 _MK_ADDR_CONST(0x448)
#define WAKE_AOWAKE_STATUS_W_79_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_79_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_79_SCR                     EVENT_CNTRL_SCR_79
#define WAKE_AOWAKE_STATUS_W_79_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_79_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_79_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_79_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_79_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_79_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_79_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_79_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_79_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_79_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_79_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_79_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_79_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_79_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_79_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_79_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_79_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_79_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_79_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_79_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_79_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_80
#define WAKE_AOWAKE_STATUS_W_80                 _MK_ADDR_CONST(0x44c)
#define WAKE_AOWAKE_STATUS_W_80_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_80_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_80_SCR                     EVENT_CNTRL_SCR_80
#define WAKE_AOWAKE_STATUS_W_80_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_80_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_80_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_80_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_80_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_80_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_80_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_80_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_80_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_80_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_80_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_80_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_80_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_80_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_80_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_80_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_80_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_80_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_80_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_80_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_80_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_81
#define WAKE_AOWAKE_STATUS_W_81                 _MK_ADDR_CONST(0x450)
#define WAKE_AOWAKE_STATUS_W_81_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_81_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_81_SCR                     EVENT_CNTRL_SCR_81
#define WAKE_AOWAKE_STATUS_W_81_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_81_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_81_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_81_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_81_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_81_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_81_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_81_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_81_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_81_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_81_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_81_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_81_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_81_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_81_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_81_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_81_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_81_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_81_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_81_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_81_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_82
#define WAKE_AOWAKE_STATUS_W_82                 _MK_ADDR_CONST(0x454)
#define WAKE_AOWAKE_STATUS_W_82_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_82_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_82_SCR                     EVENT_CNTRL_SCR_82
#define WAKE_AOWAKE_STATUS_W_82_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_82_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_82_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_82_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_82_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_82_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_82_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_82_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_82_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_82_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_82_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_82_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_82_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_82_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_82_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_82_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_82_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_82_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_82_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_82_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_82_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_83
#define WAKE_AOWAKE_STATUS_W_83                 _MK_ADDR_CONST(0x458)
#define WAKE_AOWAKE_STATUS_W_83_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_83_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_83_SCR                     EVENT_CNTRL_SCR_83
#define WAKE_AOWAKE_STATUS_W_83_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_83_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_83_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_83_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_83_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_83_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_83_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_83_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_83_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_83_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_83_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_83_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_83_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_83_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_83_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_83_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_83_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_83_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_83_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_83_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_83_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_84
#define WAKE_AOWAKE_STATUS_W_84                 _MK_ADDR_CONST(0x45c)
#define WAKE_AOWAKE_STATUS_W_84_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_84_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_84_SCR                     EVENT_CNTRL_SCR_84
#define WAKE_AOWAKE_STATUS_W_84_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_84_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_84_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_84_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_84_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_84_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_84_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_84_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_84_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_84_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_84_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_84_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_84_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_84_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_84_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_84_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_84_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_84_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_84_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_84_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_84_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_85
#define WAKE_AOWAKE_STATUS_W_85                 _MK_ADDR_CONST(0x460)
#define WAKE_AOWAKE_STATUS_W_85_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_85_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_85_SCR                     EVENT_CNTRL_SCR_85
#define WAKE_AOWAKE_STATUS_W_85_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_85_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_85_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_85_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_85_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_85_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_85_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_85_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_85_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_85_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_85_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_85_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_85_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_85_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_85_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_85_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_85_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_85_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_85_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_85_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_85_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_86
#define WAKE_AOWAKE_STATUS_W_86                 _MK_ADDR_CONST(0x464)
#define WAKE_AOWAKE_STATUS_W_86_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_86_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_86_SCR                     EVENT_CNTRL_SCR_86
#define WAKE_AOWAKE_STATUS_W_86_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_86_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_86_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_86_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_86_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_86_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_86_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_86_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_86_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_86_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_86_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_86_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_86_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_86_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_86_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_86_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_86_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_86_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_86_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_86_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_86_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_87
#define WAKE_AOWAKE_STATUS_W_87                 _MK_ADDR_CONST(0x468)
#define WAKE_AOWAKE_STATUS_W_87_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_87_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_87_SCR                     EVENT_CNTRL_SCR_87
#define WAKE_AOWAKE_STATUS_W_87_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_87_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_87_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_87_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_87_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_87_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_87_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_87_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_87_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_87_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_87_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_87_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_87_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_87_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_87_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_87_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_87_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_87_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_87_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_87_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_87_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_88
#define WAKE_AOWAKE_STATUS_W_88                 _MK_ADDR_CONST(0x46c)
#define WAKE_AOWAKE_STATUS_W_88_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_88_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_88_SCR                     EVENT_CNTRL_SCR_88
#define WAKE_AOWAKE_STATUS_W_88_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_88_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_88_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_88_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_88_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_88_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_88_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_88_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_88_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_88_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_88_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_88_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_88_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_88_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_88_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_88_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_88_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_88_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_88_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_88_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_88_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_89
#define WAKE_AOWAKE_STATUS_W_89                 _MK_ADDR_CONST(0x470)
#define WAKE_AOWAKE_STATUS_W_89_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_89_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_89_SCR                     EVENT_CNTRL_SCR_89
#define WAKE_AOWAKE_STATUS_W_89_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_89_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_89_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_89_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_89_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_89_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_89_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_89_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_89_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_89_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_89_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_89_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_89_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_89_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_89_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_89_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_89_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_89_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_89_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_89_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_89_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_90
#define WAKE_AOWAKE_STATUS_W_90                 _MK_ADDR_CONST(0x474)
#define WAKE_AOWAKE_STATUS_W_90_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_90_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_90_SCR                     EVENT_CNTRL_SCR_90
#define WAKE_AOWAKE_STATUS_W_90_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_90_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_90_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_90_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_90_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_90_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_90_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_90_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_90_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_90_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_90_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_90_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_90_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_90_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_90_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_90_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_90_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_90_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_90_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_90_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_90_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_91
#define WAKE_AOWAKE_STATUS_W_91                 _MK_ADDR_CONST(0x478)
#define WAKE_AOWAKE_STATUS_W_91_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_91_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_91_SCR                     EVENT_CNTRL_SCR_91
#define WAKE_AOWAKE_STATUS_W_91_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_91_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_91_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_91_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_91_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_91_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_91_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_91_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_91_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_91_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_91_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_91_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_91_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_91_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_91_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_91_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_91_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_91_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_91_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_91_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_91_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_92
#define WAKE_AOWAKE_STATUS_W_92                 _MK_ADDR_CONST(0x47c)
#define WAKE_AOWAKE_STATUS_W_92_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_92_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_92_SCR                     EVENT_CNTRL_SCR_92
#define WAKE_AOWAKE_STATUS_W_92_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_92_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_92_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_92_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_92_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_92_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_92_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_92_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_92_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_92_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_92_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_92_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_92_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_92_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_92_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_92_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_92_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_92_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_92_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_92_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_92_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_93
#define WAKE_AOWAKE_STATUS_W_93                 _MK_ADDR_CONST(0x480)
#define WAKE_AOWAKE_STATUS_W_93_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_93_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_93_SCR                     EVENT_CNTRL_SCR_93
#define WAKE_AOWAKE_STATUS_W_93_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_93_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_93_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_93_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_93_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_93_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_93_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_93_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_93_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_93_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_93_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_93_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_93_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_93_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_93_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_93_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_93_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_93_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_93_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_93_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_93_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_94
#define WAKE_AOWAKE_STATUS_W_94                 _MK_ADDR_CONST(0x484)
#define WAKE_AOWAKE_STATUS_W_94_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_94_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_94_SCR                     EVENT_CNTRL_SCR_94
#define WAKE_AOWAKE_STATUS_W_94_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_94_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_94_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_94_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_94_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_94_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_94_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_94_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_94_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_94_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_94_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_94_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_94_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_94_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_94_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_94_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_94_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_94_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_94_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_94_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_94_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_W_95
#define WAKE_AOWAKE_STATUS_W_95                 _MK_ADDR_CONST(0x488)
#define WAKE_AOWAKE_STATUS_W_95_SECURE                  0x0
#define WAKE_AOWAKE_STATUS_W_95_DUAL                    0x0
#define WAKE_AOWAKE_STATUS_W_95_SCR                     EVENT_CNTRL_SCR_95
#define WAKE_AOWAKE_STATUS_W_95_WORD_COUNT                      0x1
#define WAKE_AOWAKE_STATUS_W_95_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_95_RESET_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_95_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_95_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_95_READ_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_95_WRITE_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_95_CLEAR_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_W_95_CLEAR_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_STATUS_W_95_CLEAR_SHIFT)
#define WAKE_AOWAKE_STATUS_W_95_CLEAR_RANGE                     0:0
#define WAKE_AOWAKE_STATUS_W_95_CLEAR_WOFFSET                   0x0
#define WAKE_AOWAKE_STATUS_W_95_CLEAR_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_95_CLEAR_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_95_CLEAR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_95_CLEAR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_95_CLEAR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_W_95_CLEAR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_STATUS_W_95_CLEAR_INIT_ENUM                 FALSE
#define WAKE_AOWAKE_STATUS_W_95_CLEAR_FALSE                     _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_STATUS_W_95_CLEAR_TRUE                      _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_STATUS_R_31_0_0
#define WAKE_AOWAKE_STATUS_R_31_0_0                     _MK_ADDR_CONST(0x48c)
#define WAKE_AOWAKE_STATUS_R_31_0_0_SECURE                      0x0
#define WAKE_AOWAKE_STATUS_R_31_0_0_DUAL                        0x0
#define WAKE_AOWAKE_STATUS_R_31_0_0_SCR                         0
#define WAKE_AOWAKE_STATUS_R_31_0_0_WORD_COUNT                  0x1
#define WAKE_AOWAKE_STATUS_R_31_0_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_R_31_0_0_RESET_MASK                  _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_STATUS_R_31_0_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_R_31_0_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_R_31_0_0_READ_MASK                   _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_STATUS_R_31_0_0_WRITE_MASK                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_R_31_0_0_STATUS_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_R_31_0_0_STATUS_FIELD                        _MK_FIELD_CONST(0xffffffff, WAKE_AOWAKE_STATUS_R_31_0_0_STATUS_SHIFT)
#define WAKE_AOWAKE_STATUS_R_31_0_0_STATUS_RANGE                        31:0
#define WAKE_AOWAKE_STATUS_R_31_0_0_STATUS_WOFFSET                      0x0
#define WAKE_AOWAKE_STATUS_R_31_0_0_STATUS_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_R_31_0_0_STATUS_DEFAULT_MASK                 _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_STATUS_R_31_0_0_STATUS_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_R_31_0_0_STATUS_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_R_31_0_0_STATUS_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_R_31_0_0_STATUS_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register WAKE_AOWAKE_STATUS_R_63_32_0
#define WAKE_AOWAKE_STATUS_R_63_32_0                    _MK_ADDR_CONST(0x490)
#define WAKE_AOWAKE_STATUS_R_63_32_0_SECURE                     0x0
#define WAKE_AOWAKE_STATUS_R_63_32_0_DUAL                       0x0
#define WAKE_AOWAKE_STATUS_R_63_32_0_SCR                        0
#define WAKE_AOWAKE_STATUS_R_63_32_0_WORD_COUNT                         0x1
#define WAKE_AOWAKE_STATUS_R_63_32_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_R_63_32_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_STATUS_R_63_32_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_R_63_32_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_R_63_32_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_STATUS_R_63_32_0_WRITE_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_R_63_32_0_STATUS_SHIFT                       _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_R_63_32_0_STATUS_FIELD                       _MK_FIELD_CONST(0xffffffff, WAKE_AOWAKE_STATUS_R_63_32_0_STATUS_SHIFT)
#define WAKE_AOWAKE_STATUS_R_63_32_0_STATUS_RANGE                       31:0
#define WAKE_AOWAKE_STATUS_R_63_32_0_STATUS_WOFFSET                     0x0
#define WAKE_AOWAKE_STATUS_R_63_32_0_STATUS_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_R_63_32_0_STATUS_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_STATUS_R_63_32_0_STATUS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_R_63_32_0_STATUS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_R_63_32_0_STATUS_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_R_63_32_0_STATUS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register WAKE_AOWAKE_STATUS_R_95_64_0
#define WAKE_AOWAKE_STATUS_R_95_64_0                    _MK_ADDR_CONST(0x494)
#define WAKE_AOWAKE_STATUS_R_95_64_0_SECURE                     0x0
#define WAKE_AOWAKE_STATUS_R_95_64_0_DUAL                       0x0
#define WAKE_AOWAKE_STATUS_R_95_64_0_SCR                        0
#define WAKE_AOWAKE_STATUS_R_95_64_0_WORD_COUNT                         0x1
#define WAKE_AOWAKE_STATUS_R_95_64_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_R_95_64_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_STATUS_R_95_64_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_R_95_64_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_R_95_64_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_STATUS_R_95_64_0_WRITE_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_R_95_64_0_STATUS_SHIFT                       _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_STATUS_R_95_64_0_STATUS_FIELD                       _MK_FIELD_CONST(0xffffffff, WAKE_AOWAKE_STATUS_R_95_64_0_STATUS_SHIFT)
#define WAKE_AOWAKE_STATUS_R_95_64_0_STATUS_RANGE                       31:0
#define WAKE_AOWAKE_STATUS_R_95_64_0_STATUS_WOFFSET                     0x0
#define WAKE_AOWAKE_STATUS_R_95_64_0_STATUS_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_R_95_64_0_STATUS_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_STATUS_R_95_64_0_STATUS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_R_95_64_0_STATUS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_R_95_64_0_STATUS_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_STATUS_R_95_64_0_STATUS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register WAKE_AOWAKE_LATCH_SW_0
#define WAKE_AOWAKE_LATCH_SW_0                  _MK_ADDR_CONST(0x498)
#define WAKE_AOWAKE_LATCH_SW_0_SECURE                   0x0
#define WAKE_AOWAKE_LATCH_SW_0_DUAL                     0x0
#define WAKE_AOWAKE_LATCH_SW_0_SCR                      SW_CNTRL_SCR_0
#define WAKE_AOWAKE_LATCH_SW_0_WORD_COUNT                       0x1
#define WAKE_AOWAKE_LATCH_SW_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_LATCH_SW_0_RESET_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_LATCH_SW_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_LATCH_SW_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_LATCH_SW_0_READ_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_LATCH_SW_0_WRITE_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_LATCH_SW_0_LATCH_SWEN_SHIFT                 _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_LATCH_SW_0_LATCH_SWEN_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_LATCH_SW_0_LATCH_SWEN_SHIFT)
#define WAKE_AOWAKE_LATCH_SW_0_LATCH_SWEN_RANGE                 0:0
#define WAKE_AOWAKE_LATCH_SW_0_LATCH_SWEN_WOFFSET                       0x0
#define WAKE_AOWAKE_LATCH_SW_0_LATCH_SWEN_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_LATCH_SW_0_LATCH_SWEN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_LATCH_SW_0_LATCH_SWEN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_LATCH_SW_0_LATCH_SWEN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_LATCH_SW_0_LATCH_SWEN_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_LATCH_SW_0_LATCH_SWEN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_LATCH_SW_0_LATCH_SWEN_INIT_ENUM                     FALSE
#define WAKE_AOWAKE_LATCH_SW_0_LATCH_SWEN_FALSE                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_LATCH_SW_0_LATCH_SWEN_TRUE                  _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_SW_STATUS_W_0
#define WAKE_AOWAKE_SW_STATUS_W_0                       _MK_ADDR_CONST(0x49c)
#define WAKE_AOWAKE_SW_STATUS_W_0_SECURE                        0x0
#define WAKE_AOWAKE_SW_STATUS_W_0_DUAL                  0x0
#define WAKE_AOWAKE_SW_STATUS_W_0_SCR                   SW_CNTRL_SCR_0
#define WAKE_AOWAKE_SW_STATUS_W_0_WORD_COUNT                    0x1
#define WAKE_AOWAKE_SW_STATUS_W_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_W_0_RESET_MASK                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_SW_STATUS_W_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_W_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_W_0_READ_MASK                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_SW_STATUS_W_0_WRITE_MASK                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_SW_STATUS_W_0_CLEAR_SHIFT                   _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_SW_STATUS_W_0_CLEAR_FIELD                   _MK_FIELD_CONST(0x1, WAKE_AOWAKE_SW_STATUS_W_0_CLEAR_SHIFT)
#define WAKE_AOWAKE_SW_STATUS_W_0_CLEAR_RANGE                   0:0
#define WAKE_AOWAKE_SW_STATUS_W_0_CLEAR_WOFFSET                 0x0
#define WAKE_AOWAKE_SW_STATUS_W_0_CLEAR_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_W_0_CLEAR_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_SW_STATUS_W_0_CLEAR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_W_0_CLEAR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_W_0_CLEAR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_W_0_CLEAR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_SW_STATUS_W_0_CLEAR_INIT_ENUM                       FALSE
#define WAKE_AOWAKE_SW_STATUS_W_0_CLEAR_FALSE                   _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_SW_STATUS_W_0_CLEAR_TRUE                    _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_SW_STATUS_31_0_0
#define WAKE_AOWAKE_SW_STATUS_31_0_0                    _MK_ADDR_CONST(0x4a0)
#define WAKE_AOWAKE_SW_STATUS_31_0_0_SECURE                     0x0
#define WAKE_AOWAKE_SW_STATUS_31_0_0_DUAL                       0x0
#define WAKE_AOWAKE_SW_STATUS_31_0_0_SCR                        0
#define WAKE_AOWAKE_SW_STATUS_31_0_0_WORD_COUNT                         0x1
#define WAKE_AOWAKE_SW_STATUS_31_0_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_31_0_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_SW_STATUS_31_0_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_31_0_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_31_0_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_SW_STATUS_31_0_0_WRITE_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_31_0_0_STATUS_SHIFT                       _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_SW_STATUS_31_0_0_STATUS_FIELD                       _MK_FIELD_CONST(0xffffffff, WAKE_AOWAKE_SW_STATUS_31_0_0_STATUS_SHIFT)
#define WAKE_AOWAKE_SW_STATUS_31_0_0_STATUS_RANGE                       31:0
#define WAKE_AOWAKE_SW_STATUS_31_0_0_STATUS_WOFFSET                     0x0
#define WAKE_AOWAKE_SW_STATUS_31_0_0_STATUS_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_31_0_0_STATUS_DEFAULT_MASK                        _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_SW_STATUS_31_0_0_STATUS_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_31_0_0_STATUS_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_31_0_0_STATUS_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_31_0_0_STATUS_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register WAKE_AOWAKE_SW_STATUS_63_32_0
#define WAKE_AOWAKE_SW_STATUS_63_32_0                   _MK_ADDR_CONST(0x4a4)
#define WAKE_AOWAKE_SW_STATUS_63_32_0_SECURE                    0x0
#define WAKE_AOWAKE_SW_STATUS_63_32_0_DUAL                      0x0
#define WAKE_AOWAKE_SW_STATUS_63_32_0_SCR                       0
#define WAKE_AOWAKE_SW_STATUS_63_32_0_WORD_COUNT                        0x1
#define WAKE_AOWAKE_SW_STATUS_63_32_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_63_32_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_SW_STATUS_63_32_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_63_32_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_63_32_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_SW_STATUS_63_32_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_63_32_0_STATUS_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_SW_STATUS_63_32_0_STATUS_FIELD                      _MK_FIELD_CONST(0xffffffff, WAKE_AOWAKE_SW_STATUS_63_32_0_STATUS_SHIFT)
#define WAKE_AOWAKE_SW_STATUS_63_32_0_STATUS_RANGE                      31:0
#define WAKE_AOWAKE_SW_STATUS_63_32_0_STATUS_WOFFSET                    0x0
#define WAKE_AOWAKE_SW_STATUS_63_32_0_STATUS_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_63_32_0_STATUS_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_SW_STATUS_63_32_0_STATUS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_63_32_0_STATUS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_63_32_0_STATUS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_63_32_0_STATUS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register WAKE_AOWAKE_SW_STATUS_95_64_0
#define WAKE_AOWAKE_SW_STATUS_95_64_0                   _MK_ADDR_CONST(0x4a8)
#define WAKE_AOWAKE_SW_STATUS_95_64_0_SECURE                    0x0
#define WAKE_AOWAKE_SW_STATUS_95_64_0_DUAL                      0x0
#define WAKE_AOWAKE_SW_STATUS_95_64_0_SCR                       0
#define WAKE_AOWAKE_SW_STATUS_95_64_0_WORD_COUNT                        0x1
#define WAKE_AOWAKE_SW_STATUS_95_64_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_95_64_0_RESET_MASK                        _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_SW_STATUS_95_64_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_95_64_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_95_64_0_READ_MASK                         _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_SW_STATUS_95_64_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_95_64_0_STATUS_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_SW_STATUS_95_64_0_STATUS_FIELD                      _MK_FIELD_CONST(0xffffffff, WAKE_AOWAKE_SW_STATUS_95_64_0_STATUS_SHIFT)
#define WAKE_AOWAKE_SW_STATUS_95_64_0_STATUS_RANGE                      31:0
#define WAKE_AOWAKE_SW_STATUS_95_64_0_STATUS_WOFFSET                    0x0
#define WAKE_AOWAKE_SW_STATUS_95_64_0_STATUS_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_95_64_0_STATUS_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_SW_STATUS_95_64_0_STATUS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_95_64_0_STATUS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_95_64_0_STATUS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_STATUS_95_64_0_STATUS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register WAKE_AOWAKE_TIER1_CTRL_0
#define WAKE_AOWAKE_TIER1_CTRL_0                        _MK_ADDR_CONST(0x4ac)
#define WAKE_AOWAKE_TIER1_CTRL_0_SECURE                         0x0
#define WAKE_AOWAKE_TIER1_CTRL_0_DUAL                   0x0
#define WAKE_AOWAKE_TIER1_CTRL_0_SCR                    TIER_INT_CTRL_SCR_0
#define WAKE_AOWAKE_TIER1_CTRL_0_WORD_COUNT                     0x1
#define WAKE_AOWAKE_TIER1_CTRL_0_RESET_VAL                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_TIER1_CTRL_0_RESET_MASK                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_TIER1_CTRL_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER1_CTRL_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER1_CTRL_0_READ_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_TIER1_CTRL_0_WRITE_MASK                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_TIER1_CTRL_0_INT_EN_SHIFT                   _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_TIER1_CTRL_0_INT_EN_FIELD                   _MK_FIELD_CONST(0x1, WAKE_AOWAKE_TIER1_CTRL_0_INT_EN_SHIFT)
#define WAKE_AOWAKE_TIER1_CTRL_0_INT_EN_RANGE                   0:0
#define WAKE_AOWAKE_TIER1_CTRL_0_INT_EN_WOFFSET                 0x0
#define WAKE_AOWAKE_TIER1_CTRL_0_INT_EN_DEFAULT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_TIER1_CTRL_0_INT_EN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_TIER1_CTRL_0_INT_EN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER1_CTRL_0_INT_EN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER1_CTRL_0_INT_EN_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER1_CTRL_0_INT_EN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_TIER1_CTRL_0_INT_EN_INIT_ENUM                       TRUE
#define WAKE_AOWAKE_TIER1_CTRL_0_INT_EN_FALSE                   _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_TIER1_CTRL_0_INT_EN_TRUE                    _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_TIER2_CTRL_0
#define WAKE_AOWAKE_TIER2_CTRL_0                        _MK_ADDR_CONST(0x4b0)
#define WAKE_AOWAKE_TIER2_CTRL_0_SECURE                         0x0
#define WAKE_AOWAKE_TIER2_CTRL_0_DUAL                   0x0
#define WAKE_AOWAKE_TIER2_CTRL_0_SCR                    TIER_INT_CTRL_SCR_0
#define WAKE_AOWAKE_TIER2_CTRL_0_WORD_COUNT                     0x1
#define WAKE_AOWAKE_TIER2_CTRL_0_RESET_VAL                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_TIER2_CTRL_0_RESET_MASK                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_TIER2_CTRL_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER2_CTRL_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER2_CTRL_0_READ_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_TIER2_CTRL_0_WRITE_MASK                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_TIER2_CTRL_0_INT_EN_SHIFT                   _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_TIER2_CTRL_0_INT_EN_FIELD                   _MK_FIELD_CONST(0x1, WAKE_AOWAKE_TIER2_CTRL_0_INT_EN_SHIFT)
#define WAKE_AOWAKE_TIER2_CTRL_0_INT_EN_RANGE                   0:0
#define WAKE_AOWAKE_TIER2_CTRL_0_INT_EN_WOFFSET                 0x0
#define WAKE_AOWAKE_TIER2_CTRL_0_INT_EN_DEFAULT                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_TIER2_CTRL_0_INT_EN_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_TIER2_CTRL_0_INT_EN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER2_CTRL_0_INT_EN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER2_CTRL_0_INT_EN_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER2_CTRL_0_INT_EN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_TIER2_CTRL_0_INT_EN_INIT_ENUM                       TRUE
#define WAKE_AOWAKE_TIER2_CTRL_0_INT_EN_FALSE                   _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_TIER2_CTRL_0_INT_EN_TRUE                    _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_TIER0_ROUTING_31_0_0
#define WAKE_AOWAKE_TIER0_ROUTING_31_0_0                        _MK_ADDR_CONST(0x4b4)
#define WAKE_AOWAKE_TIER0_ROUTING_31_0_0_SECURE                         0x0
#define WAKE_AOWAKE_TIER0_ROUTING_31_0_0_DUAL                   0x0
#define WAKE_AOWAKE_TIER0_ROUTING_31_0_0_SCR                    TIER0_ROUTING_SCR_0
#define WAKE_AOWAKE_TIER0_ROUTING_31_0_0_WORD_COUNT                     0x1
#define WAKE_AOWAKE_TIER0_ROUTING_31_0_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER0_ROUTING_31_0_0_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER0_ROUTING_31_0_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER0_ROUTING_31_0_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER0_ROUTING_31_0_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER0_ROUTING_31_0_0_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER0_ROUTING_31_0_0_SEL_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_TIER0_ROUTING_31_0_0_SEL_FIELD                      _MK_FIELD_CONST(0xffffffff, WAKE_AOWAKE_TIER0_ROUTING_31_0_0_SEL_SHIFT)
#define WAKE_AOWAKE_TIER0_ROUTING_31_0_0_SEL_RANGE                      31:0
#define WAKE_AOWAKE_TIER0_ROUTING_31_0_0_SEL_WOFFSET                    0x0
#define WAKE_AOWAKE_TIER0_ROUTING_31_0_0_SEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER0_ROUTING_31_0_0_SEL_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER0_ROUTING_31_0_0_SEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER0_ROUTING_31_0_0_SEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER0_ROUTING_31_0_0_SEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER0_ROUTING_31_0_0_SEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register WAKE_AOWAKE_TIER0_ROUTING_63_32_0
#define WAKE_AOWAKE_TIER0_ROUTING_63_32_0                       _MK_ADDR_CONST(0x4b8)
#define WAKE_AOWAKE_TIER0_ROUTING_63_32_0_SECURE                        0x0
#define WAKE_AOWAKE_TIER0_ROUTING_63_32_0_DUAL                  0x0
#define WAKE_AOWAKE_TIER0_ROUTING_63_32_0_SCR                   TIER0_ROUTING_SCR_0
#define WAKE_AOWAKE_TIER0_ROUTING_63_32_0_WORD_COUNT                    0x1
#define WAKE_AOWAKE_TIER0_ROUTING_63_32_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER0_ROUTING_63_32_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER0_ROUTING_63_32_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER0_ROUTING_63_32_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER0_ROUTING_63_32_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER0_ROUTING_63_32_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER0_ROUTING_63_32_0_SEL_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_TIER0_ROUTING_63_32_0_SEL_FIELD                     _MK_FIELD_CONST(0xffffffff, WAKE_AOWAKE_TIER0_ROUTING_63_32_0_SEL_SHIFT)
#define WAKE_AOWAKE_TIER0_ROUTING_63_32_0_SEL_RANGE                     31:0
#define WAKE_AOWAKE_TIER0_ROUTING_63_32_0_SEL_WOFFSET                   0x0
#define WAKE_AOWAKE_TIER0_ROUTING_63_32_0_SEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER0_ROUTING_63_32_0_SEL_DEFAULT_MASK                      _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER0_ROUTING_63_32_0_SEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER0_ROUTING_63_32_0_SEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER0_ROUTING_63_32_0_SEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER0_ROUTING_63_32_0_SEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register WAKE_AOWAKE_TIER0_ROUTING_95_64_0
#define WAKE_AOWAKE_TIER0_ROUTING_95_64_0                       _MK_ADDR_CONST(0x4bc)
#define WAKE_AOWAKE_TIER0_ROUTING_95_64_0_SECURE                        0x0
#define WAKE_AOWAKE_TIER0_ROUTING_95_64_0_DUAL                  0x0
#define WAKE_AOWAKE_TIER0_ROUTING_95_64_0_SCR                   TIER0_ROUTING_SCR_0
#define WAKE_AOWAKE_TIER0_ROUTING_95_64_0_WORD_COUNT                    0x1
#define WAKE_AOWAKE_TIER0_ROUTING_95_64_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER0_ROUTING_95_64_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER0_ROUTING_95_64_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER0_ROUTING_95_64_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER0_ROUTING_95_64_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER0_ROUTING_95_64_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER0_ROUTING_95_64_0_SEL_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_TIER0_ROUTING_95_64_0_SEL_FIELD                     _MK_FIELD_CONST(0xffffffff, WAKE_AOWAKE_TIER0_ROUTING_95_64_0_SEL_SHIFT)
#define WAKE_AOWAKE_TIER0_ROUTING_95_64_0_SEL_RANGE                     31:0
#define WAKE_AOWAKE_TIER0_ROUTING_95_64_0_SEL_WOFFSET                   0x0
#define WAKE_AOWAKE_TIER0_ROUTING_95_64_0_SEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER0_ROUTING_95_64_0_SEL_DEFAULT_MASK                      _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER0_ROUTING_95_64_0_SEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER0_ROUTING_95_64_0_SEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER0_ROUTING_95_64_0_SEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER0_ROUTING_95_64_0_SEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register WAKE_AOWAKE_TIER1_ROUTING_31_0_0
#define WAKE_AOWAKE_TIER1_ROUTING_31_0_0                        _MK_ADDR_CONST(0x4c0)
#define WAKE_AOWAKE_TIER1_ROUTING_31_0_0_SECURE                         0x0
#define WAKE_AOWAKE_TIER1_ROUTING_31_0_0_DUAL                   0x0
#define WAKE_AOWAKE_TIER1_ROUTING_31_0_0_SCR                    TIER1_ROUTING_SCR_0
#define WAKE_AOWAKE_TIER1_ROUTING_31_0_0_WORD_COUNT                     0x1
#define WAKE_AOWAKE_TIER1_ROUTING_31_0_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER1_ROUTING_31_0_0_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER1_ROUTING_31_0_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER1_ROUTING_31_0_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER1_ROUTING_31_0_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER1_ROUTING_31_0_0_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER1_ROUTING_31_0_0_SEL_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_TIER1_ROUTING_31_0_0_SEL_FIELD                      _MK_FIELD_CONST(0xffffffff, WAKE_AOWAKE_TIER1_ROUTING_31_0_0_SEL_SHIFT)
#define WAKE_AOWAKE_TIER1_ROUTING_31_0_0_SEL_RANGE                      31:0
#define WAKE_AOWAKE_TIER1_ROUTING_31_0_0_SEL_WOFFSET                    0x0
#define WAKE_AOWAKE_TIER1_ROUTING_31_0_0_SEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER1_ROUTING_31_0_0_SEL_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER1_ROUTING_31_0_0_SEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER1_ROUTING_31_0_0_SEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER1_ROUTING_31_0_0_SEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER1_ROUTING_31_0_0_SEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register WAKE_AOWAKE_TIER1_ROUTING_63_32_0
#define WAKE_AOWAKE_TIER1_ROUTING_63_32_0                       _MK_ADDR_CONST(0x4c4)
#define WAKE_AOWAKE_TIER1_ROUTING_63_32_0_SECURE                        0x0
#define WAKE_AOWAKE_TIER1_ROUTING_63_32_0_DUAL                  0x0
#define WAKE_AOWAKE_TIER1_ROUTING_63_32_0_SCR                   TIER1_ROUTING_SCR_0
#define WAKE_AOWAKE_TIER1_ROUTING_63_32_0_WORD_COUNT                    0x1
#define WAKE_AOWAKE_TIER1_ROUTING_63_32_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER1_ROUTING_63_32_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER1_ROUTING_63_32_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER1_ROUTING_63_32_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER1_ROUTING_63_32_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER1_ROUTING_63_32_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER1_ROUTING_63_32_0_SEL_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_TIER1_ROUTING_63_32_0_SEL_FIELD                     _MK_FIELD_CONST(0xffffffff, WAKE_AOWAKE_TIER1_ROUTING_63_32_0_SEL_SHIFT)
#define WAKE_AOWAKE_TIER1_ROUTING_63_32_0_SEL_RANGE                     31:0
#define WAKE_AOWAKE_TIER1_ROUTING_63_32_0_SEL_WOFFSET                   0x0
#define WAKE_AOWAKE_TIER1_ROUTING_63_32_0_SEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER1_ROUTING_63_32_0_SEL_DEFAULT_MASK                      _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER1_ROUTING_63_32_0_SEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER1_ROUTING_63_32_0_SEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER1_ROUTING_63_32_0_SEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER1_ROUTING_63_32_0_SEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register WAKE_AOWAKE_TIER1_ROUTING_95_64_0
#define WAKE_AOWAKE_TIER1_ROUTING_95_64_0                       _MK_ADDR_CONST(0x4c8)
#define WAKE_AOWAKE_TIER1_ROUTING_95_64_0_SECURE                        0x0
#define WAKE_AOWAKE_TIER1_ROUTING_95_64_0_DUAL                  0x0
#define WAKE_AOWAKE_TIER1_ROUTING_95_64_0_SCR                   TIER1_ROUTING_SCR_0
#define WAKE_AOWAKE_TIER1_ROUTING_95_64_0_WORD_COUNT                    0x1
#define WAKE_AOWAKE_TIER1_ROUTING_95_64_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER1_ROUTING_95_64_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER1_ROUTING_95_64_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER1_ROUTING_95_64_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER1_ROUTING_95_64_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER1_ROUTING_95_64_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER1_ROUTING_95_64_0_SEL_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_TIER1_ROUTING_95_64_0_SEL_FIELD                     _MK_FIELD_CONST(0xffffffff, WAKE_AOWAKE_TIER1_ROUTING_95_64_0_SEL_SHIFT)
#define WAKE_AOWAKE_TIER1_ROUTING_95_64_0_SEL_RANGE                     31:0
#define WAKE_AOWAKE_TIER1_ROUTING_95_64_0_SEL_WOFFSET                   0x0
#define WAKE_AOWAKE_TIER1_ROUTING_95_64_0_SEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER1_ROUTING_95_64_0_SEL_DEFAULT_MASK                      _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER1_ROUTING_95_64_0_SEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER1_ROUTING_95_64_0_SEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER1_ROUTING_95_64_0_SEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER1_ROUTING_95_64_0_SEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register WAKE_AOWAKE_TIER2_ROUTING_31_0_0
#define WAKE_AOWAKE_TIER2_ROUTING_31_0_0                        _MK_ADDR_CONST(0x4cc)
#define WAKE_AOWAKE_TIER2_ROUTING_31_0_0_SECURE                         0x0
#define WAKE_AOWAKE_TIER2_ROUTING_31_0_0_DUAL                   0x0
#define WAKE_AOWAKE_TIER2_ROUTING_31_0_0_SCR                    TIER2_ROUTING_SCR_0
#define WAKE_AOWAKE_TIER2_ROUTING_31_0_0_WORD_COUNT                     0x1
#define WAKE_AOWAKE_TIER2_ROUTING_31_0_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER2_ROUTING_31_0_0_RESET_MASK                     _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER2_ROUTING_31_0_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER2_ROUTING_31_0_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER2_ROUTING_31_0_0_READ_MASK                      _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER2_ROUTING_31_0_0_WRITE_MASK                     _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER2_ROUTING_31_0_0_SEL_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_TIER2_ROUTING_31_0_0_SEL_FIELD                      _MK_FIELD_CONST(0xffffffff, WAKE_AOWAKE_TIER2_ROUTING_31_0_0_SEL_SHIFT)
#define WAKE_AOWAKE_TIER2_ROUTING_31_0_0_SEL_RANGE                      31:0
#define WAKE_AOWAKE_TIER2_ROUTING_31_0_0_SEL_WOFFSET                    0x0
#define WAKE_AOWAKE_TIER2_ROUTING_31_0_0_SEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER2_ROUTING_31_0_0_SEL_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER2_ROUTING_31_0_0_SEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER2_ROUTING_31_0_0_SEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER2_ROUTING_31_0_0_SEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER2_ROUTING_31_0_0_SEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register WAKE_AOWAKE_TIER2_ROUTING_63_32_0
#define WAKE_AOWAKE_TIER2_ROUTING_63_32_0                       _MK_ADDR_CONST(0x4d0)
#define WAKE_AOWAKE_TIER2_ROUTING_63_32_0_SECURE                        0x0
#define WAKE_AOWAKE_TIER2_ROUTING_63_32_0_DUAL                  0x0
#define WAKE_AOWAKE_TIER2_ROUTING_63_32_0_SCR                   TIER2_ROUTING_SCR_0
#define WAKE_AOWAKE_TIER2_ROUTING_63_32_0_WORD_COUNT                    0x1
#define WAKE_AOWAKE_TIER2_ROUTING_63_32_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER2_ROUTING_63_32_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER2_ROUTING_63_32_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER2_ROUTING_63_32_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER2_ROUTING_63_32_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER2_ROUTING_63_32_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER2_ROUTING_63_32_0_SEL_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_TIER2_ROUTING_63_32_0_SEL_FIELD                     _MK_FIELD_CONST(0xffffffff, WAKE_AOWAKE_TIER2_ROUTING_63_32_0_SEL_SHIFT)
#define WAKE_AOWAKE_TIER2_ROUTING_63_32_0_SEL_RANGE                     31:0
#define WAKE_AOWAKE_TIER2_ROUTING_63_32_0_SEL_WOFFSET                   0x0
#define WAKE_AOWAKE_TIER2_ROUTING_63_32_0_SEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER2_ROUTING_63_32_0_SEL_DEFAULT_MASK                      _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER2_ROUTING_63_32_0_SEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER2_ROUTING_63_32_0_SEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER2_ROUTING_63_32_0_SEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER2_ROUTING_63_32_0_SEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register WAKE_AOWAKE_TIER2_ROUTING_95_64_0
#define WAKE_AOWAKE_TIER2_ROUTING_95_64_0                       _MK_ADDR_CONST(0x4d4)
#define WAKE_AOWAKE_TIER2_ROUTING_95_64_0_SECURE                        0x0
#define WAKE_AOWAKE_TIER2_ROUTING_95_64_0_DUAL                  0x0
#define WAKE_AOWAKE_TIER2_ROUTING_95_64_0_SCR                   TIER2_ROUTING_SCR_0
#define WAKE_AOWAKE_TIER2_ROUTING_95_64_0_WORD_COUNT                    0x1
#define WAKE_AOWAKE_TIER2_ROUTING_95_64_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER2_ROUTING_95_64_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER2_ROUTING_95_64_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER2_ROUTING_95_64_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER2_ROUTING_95_64_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER2_ROUTING_95_64_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER2_ROUTING_95_64_0_SEL_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_TIER2_ROUTING_95_64_0_SEL_FIELD                     _MK_FIELD_CONST(0xffffffff, WAKE_AOWAKE_TIER2_ROUTING_95_64_0_SEL_SHIFT)
#define WAKE_AOWAKE_TIER2_ROUTING_95_64_0_SEL_RANGE                     31:0
#define WAKE_AOWAKE_TIER2_ROUTING_95_64_0_SEL_WOFFSET                   0x0
#define WAKE_AOWAKE_TIER2_ROUTING_95_64_0_SEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER2_ROUTING_95_64_0_SEL_DEFAULT_MASK                      _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TIER2_ROUTING_95_64_0_SEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER2_ROUTING_95_64_0_SEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER2_ROUTING_95_64_0_SEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TIER2_ROUTING_95_64_0_SEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register WAKE_AOWAKE_SW_WAKE_TIER0_TRIGGER_0
#define WAKE_AOWAKE_SW_WAKE_TIER0_TRIGGER_0                     _MK_ADDR_CONST(0x4d8)
#define WAKE_AOWAKE_SW_WAKE_TIER0_TRIGGER_0_SECURE                      0x0
#define WAKE_AOWAKE_SW_WAKE_TIER0_TRIGGER_0_DUAL                        0x0
#define WAKE_AOWAKE_SW_WAKE_TIER0_TRIGGER_0_SCR                         SW_CNTRL_SCR_0
#define WAKE_AOWAKE_SW_WAKE_TIER0_TRIGGER_0_WORD_COUNT                  0x1
#define WAKE_AOWAKE_SW_WAKE_TIER0_TRIGGER_0_RESET_VAL                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_WAKE_TIER0_TRIGGER_0_RESET_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_SW_WAKE_TIER0_TRIGGER_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_WAKE_TIER0_TRIGGER_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_WAKE_TIER0_TRIGGER_0_READ_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_SW_WAKE_TIER0_TRIGGER_0_WRITE_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_SW_WAKE_TIER0_TRIGGER_0_ENABLE_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_SW_WAKE_TIER0_TRIGGER_0_ENABLE_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_SW_WAKE_TIER0_TRIGGER_0_ENABLE_SHIFT)
#define WAKE_AOWAKE_SW_WAKE_TIER0_TRIGGER_0_ENABLE_RANGE                        0:0
#define WAKE_AOWAKE_SW_WAKE_TIER0_TRIGGER_0_ENABLE_WOFFSET                      0x0
#define WAKE_AOWAKE_SW_WAKE_TIER0_TRIGGER_0_ENABLE_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_WAKE_TIER0_TRIGGER_0_ENABLE_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_SW_WAKE_TIER0_TRIGGER_0_ENABLE_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_WAKE_TIER0_TRIGGER_0_ENABLE_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_WAKE_TIER0_TRIGGER_0_ENABLE_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SW_WAKE_TIER0_TRIGGER_0_ENABLE_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_SW_WAKE_TIER0_TRIGGER_0_ENABLE_INIT_ENUM                    FALSE
#define WAKE_AOWAKE_SW_WAKE_TIER0_TRIGGER_0_ENABLE_FALSE                        _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_SW_WAKE_TIER0_TRIGGER_0_ENABLE_TRUE                 _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_COAL_GRP0_0
#define WAKE_AOWAKE_COAL_GRP0_0                 _MK_ADDR_CONST(0x4dc)
#define WAKE_AOWAKE_COAL_GRP0_0_SECURE                  0x0
#define WAKE_AOWAKE_COAL_GRP0_0_DUAL                    0x0
#define WAKE_AOWAKE_COAL_GRP0_0_SCR                     COAL_SCR_0
#define WAKE_AOWAKE_COAL_GRP0_0_WORD_COUNT                      0x1
#define WAKE_AOWAKE_COAL_GRP0_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_COAL_GRP0_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_COAL_GRP0_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_COAL_GRP0_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_COAL_GRP0_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_COAL_GRP0_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_COAL_GRP0_0_TIMER_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_COAL_GRP0_0_TIMER_FIELD                     _MK_FIELD_CONST(0xffffffff, WAKE_AOWAKE_COAL_GRP0_0_TIMER_SHIFT)
#define WAKE_AOWAKE_COAL_GRP0_0_TIMER_RANGE                     31:0
#define WAKE_AOWAKE_COAL_GRP0_0_TIMER_WOFFSET                   0x0
#define WAKE_AOWAKE_COAL_GRP0_0_TIMER_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_COAL_GRP0_0_TIMER_DEFAULT_MASK                      _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_COAL_GRP0_0_TIMER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_COAL_GRP0_0_TIMER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_COAL_GRP0_0_TIMER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_COAL_GRP0_0_TIMER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register WAKE_AOWAKE_COAL_GRP1_0
#define WAKE_AOWAKE_COAL_GRP1_0                 _MK_ADDR_CONST(0x4e0)
#define WAKE_AOWAKE_COAL_GRP1_0_SECURE                  0x0
#define WAKE_AOWAKE_COAL_GRP1_0_DUAL                    0x0
#define WAKE_AOWAKE_COAL_GRP1_0_SCR                     COAL_SCR_0
#define WAKE_AOWAKE_COAL_GRP1_0_WORD_COUNT                      0x1
#define WAKE_AOWAKE_COAL_GRP1_0_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_COAL_GRP1_0_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_COAL_GRP1_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_COAL_GRP1_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_COAL_GRP1_0_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_COAL_GRP1_0_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_COAL_GRP1_0_TIMER_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_COAL_GRP1_0_TIMER_FIELD                     _MK_FIELD_CONST(0xffffffff, WAKE_AOWAKE_COAL_GRP1_0_TIMER_SHIFT)
#define WAKE_AOWAKE_COAL_GRP1_0_TIMER_RANGE                     31:0
#define WAKE_AOWAKE_COAL_GRP1_0_TIMER_WOFFSET                   0x0
#define WAKE_AOWAKE_COAL_GRP1_0_TIMER_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_COAL_GRP1_0_TIMER_DEFAULT_MASK                      _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_COAL_GRP1_0_TIMER_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_COAL_GRP1_0_TIMER_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_COAL_GRP1_0_TIMER_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_COAL_GRP1_0_TIMER_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register WAKE_AOWAKE_TSC_CTRL_0
#define WAKE_AOWAKE_TSC_CTRL_0                  _MK_ADDR_CONST(0x4e4)
#define WAKE_AOWAKE_TSC_CTRL_0_SECURE                   0x0
#define WAKE_AOWAKE_TSC_CTRL_0_DUAL                     0x0
#define WAKE_AOWAKE_TSC_CTRL_0_SCR                      TSC_CNTRL_SCR_0
#define WAKE_AOWAKE_TSC_CTRL_0_WORD_COUNT                       0x1
#define WAKE_AOWAKE_TSC_CTRL_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TSC_CTRL_0_RESET_MASK                       _MK_MASK_CONST(0x7f)
#define WAKE_AOWAKE_TSC_CTRL_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TSC_CTRL_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TSC_CTRL_0_READ_MASK                        _MK_MASK_CONST(0x7f)
#define WAKE_AOWAKE_TSC_CTRL_0_WRITE_MASK                       _MK_MASK_CONST(0x7f)
#define WAKE_AOWAKE_TSC_CTRL_0_WAKE_INDEX_SHIFT                 _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_TSC_CTRL_0_WAKE_INDEX_FIELD                 _MK_FIELD_CONST(0x7f, WAKE_AOWAKE_TSC_CTRL_0_WAKE_INDEX_SHIFT)
#define WAKE_AOWAKE_TSC_CTRL_0_WAKE_INDEX_RANGE                 6:0
#define WAKE_AOWAKE_TSC_CTRL_0_WAKE_INDEX_WOFFSET                       0x0
#define WAKE_AOWAKE_TSC_CTRL_0_WAKE_INDEX_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TSC_CTRL_0_WAKE_INDEX_DEFAULT_MASK                  _MK_MASK_CONST(0x7f)
#define WAKE_AOWAKE_TSC_CTRL_0_WAKE_INDEX_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TSC_CTRL_0_WAKE_INDEX_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TSC_CTRL_0_WAKE_INDEX_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TSC_CTRL_0_WAKE_INDEX_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register WAKE_AOWAKE_TSC_SNAP_VALUE_0
#define WAKE_AOWAKE_TSC_SNAP_VALUE_0                    _MK_ADDR_CONST(0x4e8)
#define WAKE_AOWAKE_TSC_SNAP_VALUE_0_SECURE                     0x0
#define WAKE_AOWAKE_TSC_SNAP_VALUE_0_DUAL                       0x0
#define WAKE_AOWAKE_TSC_SNAP_VALUE_0_SCR                        0
#define WAKE_AOWAKE_TSC_SNAP_VALUE_0_WORD_COUNT                         0x1
#define WAKE_AOWAKE_TSC_SNAP_VALUE_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TSC_SNAP_VALUE_0_RESET_MASK                         _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TSC_SNAP_VALUE_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TSC_SNAP_VALUE_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TSC_SNAP_VALUE_0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TSC_SNAP_VALUE_0_WRITE_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TSC_SNAP_VALUE_0_DATA_SHIFT                 _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_TSC_SNAP_VALUE_0_DATA_FIELD                 _MK_FIELD_CONST(0xffffffff, WAKE_AOWAKE_TSC_SNAP_VALUE_0_DATA_SHIFT)
#define WAKE_AOWAKE_TSC_SNAP_VALUE_0_DATA_RANGE                 31:0
#define WAKE_AOWAKE_TSC_SNAP_VALUE_0_DATA_WOFFSET                       0x0
#define WAKE_AOWAKE_TSC_SNAP_VALUE_0_DATA_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TSC_SNAP_VALUE_0_DATA_DEFAULT_MASK                  _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_TSC_SNAP_VALUE_0_DATA_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TSC_SNAP_VALUE_0_DATA_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TSC_SNAP_VALUE_0_DATA_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_TSC_SNAP_VALUE_0_DATA_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register WAKE_AOWAKE_DELAY_CELL_CTRL_0
#define WAKE_AOWAKE_DELAY_CELL_CTRL_0                   _MK_ADDR_CONST(0x4ec)
#define WAKE_AOWAKE_DELAY_CELL_CTRL_0_SECURE                    0x0
#define WAKE_AOWAKE_DELAY_CELL_CTRL_0_DUAL                      0x0
#define WAKE_AOWAKE_DELAY_CELL_CTRL_0_SCR                       GLB_CNTRL_SCR_0
#define WAKE_AOWAKE_DELAY_CELL_CTRL_0_WORD_COUNT                        0x1
#define WAKE_AOWAKE_DELAY_CELL_CTRL_0_RESET_VAL                         _MK_MASK_CONST(0x22)
#define WAKE_AOWAKE_DELAY_CELL_CTRL_0_RESET_MASK                        _MK_MASK_CONST(0x3f)
#define WAKE_AOWAKE_DELAY_CELL_CTRL_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DELAY_CELL_CTRL_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DELAY_CELL_CTRL_0_READ_MASK                         _MK_MASK_CONST(0x3f)
#define WAKE_AOWAKE_DELAY_CELL_CTRL_0_WRITE_MASK                        _MK_MASK_CONST(0x3f)
#define WAKE_AOWAKE_DELAY_CELL_CTRL_0_SIG_DELAY_BUF_SEL_SHIFT                   _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_DELAY_CELL_CTRL_0_SIG_DELAY_BUF_SEL_FIELD                   _MK_FIELD_CONST(0x3f, WAKE_AOWAKE_DELAY_CELL_CTRL_0_SIG_DELAY_BUF_SEL_SHIFT)
#define WAKE_AOWAKE_DELAY_CELL_CTRL_0_SIG_DELAY_BUF_SEL_RANGE                   5:0
#define WAKE_AOWAKE_DELAY_CELL_CTRL_0_SIG_DELAY_BUF_SEL_WOFFSET                 0x0
#define WAKE_AOWAKE_DELAY_CELL_CTRL_0_SIG_DELAY_BUF_SEL_DEFAULT                 _MK_MASK_CONST(0x22)
#define WAKE_AOWAKE_DELAY_CELL_CTRL_0_SIG_DELAY_BUF_SEL_DEFAULT_MASK                    _MK_MASK_CONST(0x3f)
#define WAKE_AOWAKE_DELAY_CELL_CTRL_0_SIG_DELAY_BUF_SEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DELAY_CELL_CTRL_0_SIG_DELAY_BUF_SEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DELAY_CELL_CTRL_0_SIG_DELAY_BUF_SEL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DELAY_CELL_CTRL_0_SIG_DELAY_BUF_SEL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register WAKE_AOWAKE_DET_EN_0
#define WAKE_AOWAKE_DET_EN_0                    _MK_ADDR_CONST(0x4f0)
#define WAKE_AOWAKE_DET_EN_0_SECURE                     0x0
#define WAKE_AOWAKE_DET_EN_0_DUAL                       0x0
#define WAKE_AOWAKE_DET_EN_0_SCR                        GLB_CNTRL_SCR_0
#define WAKE_AOWAKE_DET_EN_0_WORD_COUNT                         0x1
#define WAKE_AOWAKE_DET_EN_0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DET_EN_0_RESET_MASK                         _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_DET_EN_0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DET_EN_0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DET_EN_0_READ_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_DET_EN_0_WRITE_MASK                         _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_DET_EN_0_DET_ENABLE_SHIFT                   _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_DET_EN_0_DET_ENABLE_FIELD                   _MK_FIELD_CONST(0x1, WAKE_AOWAKE_DET_EN_0_DET_ENABLE_SHIFT)
#define WAKE_AOWAKE_DET_EN_0_DET_ENABLE_RANGE                   0:0
#define WAKE_AOWAKE_DET_EN_0_DET_ENABLE_WOFFSET                 0x0
#define WAKE_AOWAKE_DET_EN_0_DET_ENABLE_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DET_EN_0_DET_ENABLE_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_DET_EN_0_DET_ENABLE_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DET_EN_0_DET_ENABLE_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DET_EN_0_DET_ENABLE_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DET_EN_0_DET_ENABLE_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_DET_EN_0_DET_ENABLE_INIT_ENUM                       FALSE
#define WAKE_AOWAKE_DET_EN_0_DET_ENABLE_FALSE                   _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_DET_EN_0_DET_ENABLE_TRUE                    _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CTRL_0
#define WAKE_AOWAKE_CTRL_0                      _MK_ADDR_CONST(0x4f4)
#define WAKE_AOWAKE_CTRL_0_SECURE                       0x0
#define WAKE_AOWAKE_CTRL_0_DUAL                         0x0
#define WAKE_AOWAKE_CTRL_0_SCR                  GLB_CNTRL_SCR_0
#define WAKE_AOWAKE_CTRL_0_WORD_COUNT                   0x1
#define WAKE_AOWAKE_CTRL_0_RESET_VAL                    _MK_MASK_CONST(0x2)
#define WAKE_AOWAKE_CTRL_0_RESET_MASK                   _MK_MASK_CONST(0x3)
#define WAKE_AOWAKE_CTRL_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CTRL_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CTRL_0_READ_MASK                    _MK_MASK_CONST(0x3)
#define WAKE_AOWAKE_CTRL_0_WRITE_MASK                   _MK_MASK_CONST(0x3)
#define WAKE_AOWAKE_CTRL_0_INTR_POLARITY_SHIFT                  _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CTRL_0_INTR_POLARITY_FIELD                  _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CTRL_0_INTR_POLARITY_SHIFT)
#define WAKE_AOWAKE_CTRL_0_INTR_POLARITY_RANGE                  0:0
#define WAKE_AOWAKE_CTRL_0_INTR_POLARITY_WOFFSET                        0x0
#define WAKE_AOWAKE_CTRL_0_INTR_POLARITY_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CTRL_0_INTR_POLARITY_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CTRL_0_INTR_POLARITY_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CTRL_0_INTR_POLARITY_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CTRL_0_INTR_POLARITY_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CTRL_0_INTR_POLARITY_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CTRL_0_INTR_POLARITY_INIT_ENUM                      FALSE
#define WAKE_AOWAKE_CTRL_0_INTR_POLARITY_FALSE                  _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CTRL_0_INTR_POLARITY_TRUE                   _MK_ENUM_CONST(1)

#define WAKE_AOWAKE_CTRL_0_GLOBAL_COAL_EN_SHIFT                 _MK_SHIFT_CONST(1)
#define WAKE_AOWAKE_CTRL_0_GLOBAL_COAL_EN_FIELD                 _MK_FIELD_CONST(0x1, WAKE_AOWAKE_CTRL_0_GLOBAL_COAL_EN_SHIFT)
#define WAKE_AOWAKE_CTRL_0_GLOBAL_COAL_EN_RANGE                 1:1
#define WAKE_AOWAKE_CTRL_0_GLOBAL_COAL_EN_WOFFSET                       0x0
#define WAKE_AOWAKE_CTRL_0_GLOBAL_COAL_EN_DEFAULT                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CTRL_0_GLOBAL_COAL_EN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CTRL_0_GLOBAL_COAL_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CTRL_0_GLOBAL_COAL_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CTRL_0_GLOBAL_COAL_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CTRL_0_GLOBAL_COAL_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_CTRL_0_GLOBAL_COAL_EN_INIT_ENUM                     TRUE
#define WAKE_AOWAKE_CTRL_0_GLOBAL_COAL_EN_FALSE                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_CTRL_0_GLOBAL_COAL_EN_TRUE                  _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_CYA_0
#define WAKE_AOWAKE_CYA_0                       _MK_ADDR_CONST(0x4f8)
#define WAKE_AOWAKE_CYA_0_SECURE                        0x0
#define WAKE_AOWAKE_CYA_0_DUAL                  0x0
#define WAKE_AOWAKE_CYA_0_SCR                   0
#define WAKE_AOWAKE_CYA_0_WORD_COUNT                    0x1
#define WAKE_AOWAKE_CYA_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CYA_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_CYA_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CYA_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CYA_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_CYA_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_CYA_0_DATA_SHIFT                    _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CYA_0_DATA_FIELD                    _MK_FIELD_CONST(0xffffffff, WAKE_AOWAKE_CYA_0_DATA_SHIFT)
#define WAKE_AOWAKE_CYA_0_DATA_RANGE                    31:0
#define WAKE_AOWAKE_CYA_0_DATA_WOFFSET                  0x0
#define WAKE_AOWAKE_CYA_0_DATA_DEFAULT                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CYA_0_DATA_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_CYA_0_DATA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CYA_0_DATA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CYA_0_DATA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CYA_0_DATA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register WAKE_AOWAKE_CYA
#define WAKE_AOWAKE_CYA                 _MK_ADDR_CONST(0x4f8)
#define WAKE_AOWAKE_CYA_SECURE                  0x0
#define WAKE_AOWAKE_CYA_DUAL                    0x0
#define WAKE_AOWAKE_CYA_SCR                     0
#define WAKE_AOWAKE_CYA_WORD_COUNT                      0x1
#define WAKE_AOWAKE_CYA_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CYA_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_CYA_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CYA_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CYA_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_CYA_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_CYA_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CYA_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, WAKE_AOWAKE_CYA_DATA_SHIFT)
#define WAKE_AOWAKE_CYA_DATA_RANGE                      31:0
#define WAKE_AOWAKE_CYA_DATA_WOFFSET                    0x0
#define WAKE_AOWAKE_CYA_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CYA_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_CYA_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CYA_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CYA_DATA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CYA_DATA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register WAKE_AOWAKE_CYA_1
#define WAKE_AOWAKE_CYA_1                       _MK_ADDR_CONST(0x4fc)
#define WAKE_AOWAKE_CYA_1_SECURE                        0x0
#define WAKE_AOWAKE_CYA_1_DUAL                  0x0
#define WAKE_AOWAKE_CYA_1_SCR                   0
#define WAKE_AOWAKE_CYA_1_WORD_COUNT                    0x1
#define WAKE_AOWAKE_CYA_1_RESET_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CYA_1_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_CYA_1_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CYA_1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CYA_1_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_CYA_1_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_CYA_1_DATA_SHIFT                    _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_CYA_1_DATA_FIELD                    _MK_FIELD_CONST(0xffffffff, WAKE_AOWAKE_CYA_1_DATA_SHIFT)
#define WAKE_AOWAKE_CYA_1_DATA_RANGE                    31:0
#define WAKE_AOWAKE_CYA_1_DATA_WOFFSET                  0x0
#define WAKE_AOWAKE_CYA_1_DATA_DEFAULT                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CYA_1_DATA_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_CYA_1_DATA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CYA_1_DATA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CYA_1_DATA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_CYA_1_DATA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register WAKE_AOWAKE_DBG_0
#define WAKE_AOWAKE_DBG_0                       _MK_ADDR_CONST(0x500)
#define WAKE_AOWAKE_DBG_0_SECURE                        0x0
#define WAKE_AOWAKE_DBG_0_DUAL                  0x0
#define WAKE_AOWAKE_DBG_0_SCR                   0
#define WAKE_AOWAKE_DBG_0_WORD_COUNT                    0x1
#define WAKE_AOWAKE_DBG_0_RESET_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DBG_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_DBG_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DBG_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DBG_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_DBG_0_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DBG_0_DATA_SHIFT                    _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_DBG_0_DATA_FIELD                    _MK_FIELD_CONST(0xffffffff, WAKE_AOWAKE_DBG_0_DATA_SHIFT)
#define WAKE_AOWAKE_DBG_0_DATA_RANGE                    31:0
#define WAKE_AOWAKE_DBG_0_DATA_WOFFSET                  0x0
#define WAKE_AOWAKE_DBG_0_DATA_DEFAULT                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DBG_0_DATA_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_DBG_0_DATA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DBG_0_DATA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DBG_0_DATA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DBG_0_DATA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register WAKE_AOWAKE_DBG
#define WAKE_AOWAKE_DBG                 _MK_ADDR_CONST(0x500)
#define WAKE_AOWAKE_DBG_SECURE                  0x0
#define WAKE_AOWAKE_DBG_DUAL                    0x0
#define WAKE_AOWAKE_DBG_SCR                     0
#define WAKE_AOWAKE_DBG_WORD_COUNT                      0x1
#define WAKE_AOWAKE_DBG_RESET_VAL                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DBG_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_DBG_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DBG_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DBG_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_DBG_WRITE_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DBG_DATA_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_DBG_DATA_FIELD                      _MK_FIELD_CONST(0xffffffff, WAKE_AOWAKE_DBG_DATA_SHIFT)
#define WAKE_AOWAKE_DBG_DATA_RANGE                      31:0
#define WAKE_AOWAKE_DBG_DATA_WOFFSET                    0x0
#define WAKE_AOWAKE_DBG_DATA_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DBG_DATA_DEFAULT_MASK                       _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_DBG_DATA_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DBG_DATA_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DBG_DATA_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DBG_DATA_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register WAKE_AOWAKE_DBG_1
#define WAKE_AOWAKE_DBG_1                       _MK_ADDR_CONST(0x504)
#define WAKE_AOWAKE_DBG_1_SECURE                        0x0
#define WAKE_AOWAKE_DBG_1_DUAL                  0x0
#define WAKE_AOWAKE_DBG_1_SCR                   0
#define WAKE_AOWAKE_DBG_1_WORD_COUNT                    0x1
#define WAKE_AOWAKE_DBG_1_RESET_VAL                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DBG_1_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_DBG_1_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DBG_1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DBG_1_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_DBG_1_WRITE_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DBG_1_DATA_SHIFT                    _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_DBG_1_DATA_FIELD                    _MK_FIELD_CONST(0xffffffff, WAKE_AOWAKE_DBG_1_DATA_SHIFT)
#define WAKE_AOWAKE_DBG_1_DATA_RANGE                    31:0
#define WAKE_AOWAKE_DBG_1_DATA_WOFFSET                  0x0
#define WAKE_AOWAKE_DBG_1_DATA_DEFAULT                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DBG_1_DATA_DEFAULT_MASK                     _MK_MASK_CONST(0xffffffff)
#define WAKE_AOWAKE_DBG_1_DATA_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DBG_1_DATA_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DBG_1_DATA_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_DBG_1_DATA_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register WAKE_AOWAKE_SPE_AUTO_MASK_W_0
#define WAKE_AOWAKE_SPE_AUTO_MASK_W_0                   _MK_ADDR_CONST(0x508)
#define WAKE_AOWAKE_SPE_AUTO_MASK_W_0_SECURE                    0x0
#define WAKE_AOWAKE_SPE_AUTO_MASK_W_0_DUAL                      0x0
#define WAKE_AOWAKE_SPE_AUTO_MASK_W_0_SCR                       SPE_AUTO_MASK_SCR_0
#define WAKE_AOWAKE_SPE_AUTO_MASK_W_0_WORD_COUNT                        0x1
#define WAKE_AOWAKE_SPE_AUTO_MASK_W_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SPE_AUTO_MASK_W_0_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_SPE_AUTO_MASK_W_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SPE_AUTO_MASK_W_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SPE_AUTO_MASK_W_0_READ_MASK                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SPE_AUTO_MASK_W_0_WRITE_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_SPE_AUTO_MASK_W_0_MASK_SHIFT                        _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_SPE_AUTO_MASK_W_0_MASK_FIELD                        _MK_FIELD_CONST(0x1, WAKE_AOWAKE_SPE_AUTO_MASK_W_0_MASK_SHIFT)
#define WAKE_AOWAKE_SPE_AUTO_MASK_W_0_MASK_RANGE                        0:0
#define WAKE_AOWAKE_SPE_AUTO_MASK_W_0_MASK_WOFFSET                      0x0
#define WAKE_AOWAKE_SPE_AUTO_MASK_W_0_MASK_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SPE_AUTO_MASK_W_0_MASK_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_SPE_AUTO_MASK_W_0_MASK_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SPE_AUTO_MASK_W_0_MASK_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SPE_AUTO_MASK_W_0_MASK_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SPE_AUTO_MASK_W_0_MASK_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_SPE_AUTO_MASK_W_0_MASK_INIT_ENUM                    MASK
#define WAKE_AOWAKE_SPE_AUTO_MASK_W_0_MASK_MASK                 _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_SPE_AUTO_MASK_W_0_MASK_UNMASK                       _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_SPE_AUTO_MASK_R_0
#define WAKE_AOWAKE_SPE_AUTO_MASK_R_0                   _MK_ADDR_CONST(0x50c)
#define WAKE_AOWAKE_SPE_AUTO_MASK_R_0_SECURE                    0x0
#define WAKE_AOWAKE_SPE_AUTO_MASK_R_0_DUAL                      0x0
#define WAKE_AOWAKE_SPE_AUTO_MASK_R_0_SCR                       0
#define WAKE_AOWAKE_SPE_AUTO_MASK_R_0_WORD_COUNT                        0x1
#define WAKE_AOWAKE_SPE_AUTO_MASK_R_0_RESET_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SPE_AUTO_MASK_R_0_RESET_MASK                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_SPE_AUTO_MASK_R_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SPE_AUTO_MASK_R_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SPE_AUTO_MASK_R_0_READ_MASK                         _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_SPE_AUTO_MASK_R_0_WRITE_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SPE_AUTO_MASK_R_0_STATUS_SHIFT                      _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_SPE_AUTO_MASK_R_0_STATUS_FIELD                      _MK_FIELD_CONST(0x1, WAKE_AOWAKE_SPE_AUTO_MASK_R_0_STATUS_SHIFT)
#define WAKE_AOWAKE_SPE_AUTO_MASK_R_0_STATUS_RANGE                      0:0
#define WAKE_AOWAKE_SPE_AUTO_MASK_R_0_STATUS_WOFFSET                    0x0
#define WAKE_AOWAKE_SPE_AUTO_MASK_R_0_STATUS_DEFAULT                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SPE_AUTO_MASK_R_0_STATUS_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_SPE_AUTO_MASK_R_0_STATUS_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SPE_AUTO_MASK_R_0_STATUS_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SPE_AUTO_MASK_R_0_STATUS_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_SPE_AUTO_MASK_R_0_STATUS_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register WAKE_AOWAKE_HSP_MASK_W_0
#define WAKE_AOWAKE_HSP_MASK_W_0                        _MK_ADDR_CONST(0x510)
#define WAKE_AOWAKE_HSP_MASK_W_0_SECURE                         0x0
#define WAKE_AOWAKE_HSP_MASK_W_0_DUAL                   0x0
#define WAKE_AOWAKE_HSP_MASK_W_0_SCR                    HSP_MASK_SCR_0
#define WAKE_AOWAKE_HSP_MASK_W_0_WORD_COUNT                     0x1
#define WAKE_AOWAKE_HSP_MASK_W_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_HSP_MASK_W_0_RESET_MASK                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_HSP_MASK_W_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_HSP_MASK_W_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_HSP_MASK_W_0_READ_MASK                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_HSP_MASK_W_0_WRITE_MASK                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_HSP_MASK_W_0_MASK_SHIFT                     _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_HSP_MASK_W_0_MASK_FIELD                     _MK_FIELD_CONST(0x1, WAKE_AOWAKE_HSP_MASK_W_0_MASK_SHIFT)
#define WAKE_AOWAKE_HSP_MASK_W_0_MASK_RANGE                     0:0
#define WAKE_AOWAKE_HSP_MASK_W_0_MASK_WOFFSET                   0x0
#define WAKE_AOWAKE_HSP_MASK_W_0_MASK_DEFAULT                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_HSP_MASK_W_0_MASK_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_HSP_MASK_W_0_MASK_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_HSP_MASK_W_0_MASK_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_HSP_MASK_W_0_MASK_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_HSP_MASK_W_0_MASK_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_HSP_MASK_W_0_MASK_INIT_ENUM                 MASK
#define WAKE_AOWAKE_HSP_MASK_W_0_MASK_MASK                      _MK_ENUM_CONST(0)
#define WAKE_AOWAKE_HSP_MASK_W_0_MASK_UNMASK                    _MK_ENUM_CONST(1)


// Register WAKE_AOWAKE_HSP_MASK_R_0
#define WAKE_AOWAKE_HSP_MASK_R_0                        _MK_ADDR_CONST(0x514)
#define WAKE_AOWAKE_HSP_MASK_R_0_SECURE                         0x0
#define WAKE_AOWAKE_HSP_MASK_R_0_DUAL                   0x0
#define WAKE_AOWAKE_HSP_MASK_R_0_SCR                    0
#define WAKE_AOWAKE_HSP_MASK_R_0_WORD_COUNT                     0x1
#define WAKE_AOWAKE_HSP_MASK_R_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_HSP_MASK_R_0_RESET_MASK                     _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_HSP_MASK_R_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_HSP_MASK_R_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_HSP_MASK_R_0_READ_MASK                      _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_HSP_MASK_R_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_HSP_MASK_R_0_STATUS_SHIFT                   _MK_SHIFT_CONST(0)
#define WAKE_AOWAKE_HSP_MASK_R_0_STATUS_FIELD                   _MK_FIELD_CONST(0x1, WAKE_AOWAKE_HSP_MASK_R_0_STATUS_SHIFT)
#define WAKE_AOWAKE_HSP_MASK_R_0_STATUS_RANGE                   0:0
#define WAKE_AOWAKE_HSP_MASK_R_0_STATUS_WOFFSET                 0x0
#define WAKE_AOWAKE_HSP_MASK_R_0_STATUS_DEFAULT                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_HSP_MASK_R_0_STATUS_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define WAKE_AOWAKE_HSP_MASK_R_0_STATUS_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_HSP_MASK_R_0_STATUS_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_HSP_MASK_R_0_STATUS_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define WAKE_AOWAKE_HSP_MASK_R_0_STATUS_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


//
// REGISTER LIST
//
#define LIST_ARWAKE_REGS(_op_) \
_op_(WAKE_AOWAKE_CNTRL_0) \
_op_(WAKE_AOWAKE_CNTRL) \
_op_(WAKE_AOWAKE_CNTRL_1) \
_op_(WAKE_AOWAKE_CNTRL_2) \
_op_(WAKE_AOWAKE_CNTRL_3) \
_op_(WAKE_AOWAKE_CNTRL_4) \
_op_(WAKE_AOWAKE_CNTRL_5) \
_op_(WAKE_AOWAKE_CNTRL_6) \
_op_(WAKE_AOWAKE_CNTRL_7) \
_op_(WAKE_AOWAKE_CNTRL_8) \
_op_(WAKE_AOWAKE_CNTRL_9) \
_op_(WAKE_AOWAKE_CNTRL_10) \
_op_(WAKE_AOWAKE_CNTRL_11) \
_op_(WAKE_AOWAKE_CNTRL_12) \
_op_(WAKE_AOWAKE_CNTRL_13) \
_op_(WAKE_AOWAKE_CNTRL_14) \
_op_(WAKE_AOWAKE_CNTRL_15) \
_op_(WAKE_AOWAKE_CNTRL_16) \
_op_(WAKE_AOWAKE_CNTRL_17) \
_op_(WAKE_AOWAKE_CNTRL_18) \
_op_(WAKE_AOWAKE_CNTRL_19) \
_op_(WAKE_AOWAKE_CNTRL_20) \
_op_(WAKE_AOWAKE_CNTRL_21) \
_op_(WAKE_AOWAKE_CNTRL_22) \
_op_(WAKE_AOWAKE_CNTRL_23) \
_op_(WAKE_AOWAKE_CNTRL_24) \
_op_(WAKE_AOWAKE_CNTRL_25) \
_op_(WAKE_AOWAKE_CNTRL_26) \
_op_(WAKE_AOWAKE_CNTRL_27) \
_op_(WAKE_AOWAKE_CNTRL_28) \
_op_(WAKE_AOWAKE_CNTRL_29) \
_op_(WAKE_AOWAKE_CNTRL_30) \
_op_(WAKE_AOWAKE_CNTRL_31) \
_op_(WAKE_AOWAKE_CNTRL_32) \
_op_(WAKE_AOWAKE_CNTRL_33) \
_op_(WAKE_AOWAKE_CNTRL_34) \
_op_(WAKE_AOWAKE_CNTRL_35) \
_op_(WAKE_AOWAKE_CNTRL_36) \
_op_(WAKE_AOWAKE_CNTRL_37) \
_op_(WAKE_AOWAKE_CNTRL_38) \
_op_(WAKE_AOWAKE_CNTRL_39) \
_op_(WAKE_AOWAKE_CNTRL_40) \
_op_(WAKE_AOWAKE_CNTRL_41) \
_op_(WAKE_AOWAKE_CNTRL_42) \
_op_(WAKE_AOWAKE_CNTRL_43) \
_op_(WAKE_AOWAKE_CNTRL_44) \
_op_(WAKE_AOWAKE_CNTRL_45) \
_op_(WAKE_AOWAKE_CNTRL_46) \
_op_(WAKE_AOWAKE_CNTRL_47) \
_op_(WAKE_AOWAKE_CNTRL_48) \
_op_(WAKE_AOWAKE_CNTRL_49) \
_op_(WAKE_AOWAKE_CNTRL_50) \
_op_(WAKE_AOWAKE_CNTRL_51) \
_op_(WAKE_AOWAKE_CNTRL_52) \
_op_(WAKE_AOWAKE_CNTRL_53) \
_op_(WAKE_AOWAKE_CNTRL_54) \
_op_(WAKE_AOWAKE_CNTRL_55) \
_op_(WAKE_AOWAKE_CNTRL_56) \
_op_(WAKE_AOWAKE_CNTRL_57) \
_op_(WAKE_AOWAKE_CNTRL_58) \
_op_(WAKE_AOWAKE_CNTRL_59) \
_op_(WAKE_AOWAKE_CNTRL_60) \
_op_(WAKE_AOWAKE_CNTRL_61) \
_op_(WAKE_AOWAKE_CNTRL_62) \
_op_(WAKE_AOWAKE_CNTRL_63) \
_op_(WAKE_AOWAKE_CNTRL_64) \
_op_(WAKE_AOWAKE_CNTRL_65) \
_op_(WAKE_AOWAKE_CNTRL_66) \
_op_(WAKE_AOWAKE_CNTRL_67) \
_op_(WAKE_AOWAKE_CNTRL_68) \
_op_(WAKE_AOWAKE_CNTRL_69) \
_op_(WAKE_AOWAKE_CNTRL_70) \
_op_(WAKE_AOWAKE_CNTRL_71) \
_op_(WAKE_AOWAKE_CNTRL_72) \
_op_(WAKE_AOWAKE_CNTRL_73) \
_op_(WAKE_AOWAKE_CNTRL_74) \
_op_(WAKE_AOWAKE_CNTRL_75) \
_op_(WAKE_AOWAKE_CNTRL_76) \
_op_(WAKE_AOWAKE_CNTRL_77) \
_op_(WAKE_AOWAKE_CNTRL_78) \
_op_(WAKE_AOWAKE_CNTRL_79) \
_op_(WAKE_AOWAKE_CNTRL_80) \
_op_(WAKE_AOWAKE_CNTRL_81) \
_op_(WAKE_AOWAKE_CNTRL_82) \
_op_(WAKE_AOWAKE_CNTRL_83) \
_op_(WAKE_AOWAKE_CNTRL_84) \
_op_(WAKE_AOWAKE_CNTRL_85) \
_op_(WAKE_AOWAKE_CNTRL_86) \
_op_(WAKE_AOWAKE_CNTRL_87) \
_op_(WAKE_AOWAKE_CNTRL_88) \
_op_(WAKE_AOWAKE_CNTRL_89) \
_op_(WAKE_AOWAKE_CNTRL_90) \
_op_(WAKE_AOWAKE_CNTRL_91) \
_op_(WAKE_AOWAKE_CNTRL_92) \
_op_(WAKE_AOWAKE_CNTRL_93) \
_op_(WAKE_AOWAKE_CNTRL_94) \
_op_(WAKE_AOWAKE_CNTRL_95) \
_op_(WAKE_AOWAKE_MASK_W_0) \
_op_(WAKE_AOWAKE_MASK_W) \
_op_(WAKE_AOWAKE_MASK_W_1) \
_op_(WAKE_AOWAKE_MASK_W_2) \
_op_(WAKE_AOWAKE_MASK_W_3) \
_op_(WAKE_AOWAKE_MASK_W_4) \
_op_(WAKE_AOWAKE_MASK_W_5) \
_op_(WAKE_AOWAKE_MASK_W_6) \
_op_(WAKE_AOWAKE_MASK_W_7) \
_op_(WAKE_AOWAKE_MASK_W_8) \
_op_(WAKE_AOWAKE_MASK_W_9) \
_op_(WAKE_AOWAKE_MASK_W_10) \
_op_(WAKE_AOWAKE_MASK_W_11) \
_op_(WAKE_AOWAKE_MASK_W_12) \
_op_(WAKE_AOWAKE_MASK_W_13) \
_op_(WAKE_AOWAKE_MASK_W_14) \
_op_(WAKE_AOWAKE_MASK_W_15) \
_op_(WAKE_AOWAKE_MASK_W_16) \
_op_(WAKE_AOWAKE_MASK_W_17) \
_op_(WAKE_AOWAKE_MASK_W_18) \
_op_(WAKE_AOWAKE_MASK_W_19) \
_op_(WAKE_AOWAKE_MASK_W_20) \
_op_(WAKE_AOWAKE_MASK_W_21) \
_op_(WAKE_AOWAKE_MASK_W_22) \
_op_(WAKE_AOWAKE_MASK_W_23) \
_op_(WAKE_AOWAKE_MASK_W_24) \
_op_(WAKE_AOWAKE_MASK_W_25) \
_op_(WAKE_AOWAKE_MASK_W_26) \
_op_(WAKE_AOWAKE_MASK_W_27) \
_op_(WAKE_AOWAKE_MASK_W_28) \
_op_(WAKE_AOWAKE_MASK_W_29) \
_op_(WAKE_AOWAKE_MASK_W_30) \
_op_(WAKE_AOWAKE_MASK_W_31) \
_op_(WAKE_AOWAKE_MASK_W_32) \
_op_(WAKE_AOWAKE_MASK_W_33) \
_op_(WAKE_AOWAKE_MASK_W_34) \
_op_(WAKE_AOWAKE_MASK_W_35) \
_op_(WAKE_AOWAKE_MASK_W_36) \
_op_(WAKE_AOWAKE_MASK_W_37) \
_op_(WAKE_AOWAKE_MASK_W_38) \
_op_(WAKE_AOWAKE_MASK_W_39) \
_op_(WAKE_AOWAKE_MASK_W_40) \
_op_(WAKE_AOWAKE_MASK_W_41) \
_op_(WAKE_AOWAKE_MASK_W_42) \
_op_(WAKE_AOWAKE_MASK_W_43) \
_op_(WAKE_AOWAKE_MASK_W_44) \
_op_(WAKE_AOWAKE_MASK_W_45) \
_op_(WAKE_AOWAKE_MASK_W_46) \
_op_(WAKE_AOWAKE_MASK_W_47) \
_op_(WAKE_AOWAKE_MASK_W_48) \
_op_(WAKE_AOWAKE_MASK_W_49) \
_op_(WAKE_AOWAKE_MASK_W_50) \
_op_(WAKE_AOWAKE_MASK_W_51) \
_op_(WAKE_AOWAKE_MASK_W_52) \
_op_(WAKE_AOWAKE_MASK_W_53) \
_op_(WAKE_AOWAKE_MASK_W_54) \
_op_(WAKE_AOWAKE_MASK_W_55) \
_op_(WAKE_AOWAKE_MASK_W_56) \
_op_(WAKE_AOWAKE_MASK_W_57) \
_op_(WAKE_AOWAKE_MASK_W_58) \
_op_(WAKE_AOWAKE_MASK_W_59) \
_op_(WAKE_AOWAKE_MASK_W_60) \
_op_(WAKE_AOWAKE_MASK_W_61) \
_op_(WAKE_AOWAKE_MASK_W_62) \
_op_(WAKE_AOWAKE_MASK_W_63) \
_op_(WAKE_AOWAKE_MASK_W_64) \
_op_(WAKE_AOWAKE_MASK_W_65) \
_op_(WAKE_AOWAKE_MASK_W_66) \
_op_(WAKE_AOWAKE_MASK_W_67) \
_op_(WAKE_AOWAKE_MASK_W_68) \
_op_(WAKE_AOWAKE_MASK_W_69) \
_op_(WAKE_AOWAKE_MASK_W_70) \
_op_(WAKE_AOWAKE_MASK_W_71) \
_op_(WAKE_AOWAKE_MASK_W_72) \
_op_(WAKE_AOWAKE_MASK_W_73) \
_op_(WAKE_AOWAKE_MASK_W_74) \
_op_(WAKE_AOWAKE_MASK_W_75) \
_op_(WAKE_AOWAKE_MASK_W_76) \
_op_(WAKE_AOWAKE_MASK_W_77) \
_op_(WAKE_AOWAKE_MASK_W_78) \
_op_(WAKE_AOWAKE_MASK_W_79) \
_op_(WAKE_AOWAKE_MASK_W_80) \
_op_(WAKE_AOWAKE_MASK_W_81) \
_op_(WAKE_AOWAKE_MASK_W_82) \
_op_(WAKE_AOWAKE_MASK_W_83) \
_op_(WAKE_AOWAKE_MASK_W_84) \
_op_(WAKE_AOWAKE_MASK_W_85) \
_op_(WAKE_AOWAKE_MASK_W_86) \
_op_(WAKE_AOWAKE_MASK_W_87) \
_op_(WAKE_AOWAKE_MASK_W_88) \
_op_(WAKE_AOWAKE_MASK_W_89) \
_op_(WAKE_AOWAKE_MASK_W_90) \
_op_(WAKE_AOWAKE_MASK_W_91) \
_op_(WAKE_AOWAKE_MASK_W_92) \
_op_(WAKE_AOWAKE_MASK_W_93) \
_op_(WAKE_AOWAKE_MASK_W_94) \
_op_(WAKE_AOWAKE_MASK_W_95) \
_op_(WAKE_AOWAKE_MASK_R_31_0_0) \
_op_(WAKE_AOWAKE_MASK_R_63_32_0) \
_op_(WAKE_AOWAKE_MASK_R_95_64_0) \
_op_(WAKE_AOWAKE_STATUS_W_0) \
_op_(WAKE_AOWAKE_STATUS_W) \
_op_(WAKE_AOWAKE_STATUS_W_1) \
_op_(WAKE_AOWAKE_STATUS_W_2) \
_op_(WAKE_AOWAKE_STATUS_W_3) \
_op_(WAKE_AOWAKE_STATUS_W_4) \
_op_(WAKE_AOWAKE_STATUS_W_5) \
_op_(WAKE_AOWAKE_STATUS_W_6) \
_op_(WAKE_AOWAKE_STATUS_W_7) \
_op_(WAKE_AOWAKE_STATUS_W_8) \
_op_(WAKE_AOWAKE_STATUS_W_9) \
_op_(WAKE_AOWAKE_STATUS_W_10) \
_op_(WAKE_AOWAKE_STATUS_W_11) \
_op_(WAKE_AOWAKE_STATUS_W_12) \
_op_(WAKE_AOWAKE_STATUS_W_13) \
_op_(WAKE_AOWAKE_STATUS_W_14) \
_op_(WAKE_AOWAKE_STATUS_W_15) \
_op_(WAKE_AOWAKE_STATUS_W_16) \
_op_(WAKE_AOWAKE_STATUS_W_17) \
_op_(WAKE_AOWAKE_STATUS_W_18) \
_op_(WAKE_AOWAKE_STATUS_W_19) \
_op_(WAKE_AOWAKE_STATUS_W_20) \
_op_(WAKE_AOWAKE_STATUS_W_21) \
_op_(WAKE_AOWAKE_STATUS_W_22) \
_op_(WAKE_AOWAKE_STATUS_W_23) \
_op_(WAKE_AOWAKE_STATUS_W_24) \
_op_(WAKE_AOWAKE_STATUS_W_25) \
_op_(WAKE_AOWAKE_STATUS_W_26) \
_op_(WAKE_AOWAKE_STATUS_W_27) \
_op_(WAKE_AOWAKE_STATUS_W_28) \
_op_(WAKE_AOWAKE_STATUS_W_29) \
_op_(WAKE_AOWAKE_STATUS_W_30) \
_op_(WAKE_AOWAKE_STATUS_W_31) \
_op_(WAKE_AOWAKE_STATUS_W_32) \
_op_(WAKE_AOWAKE_STATUS_W_33) \
_op_(WAKE_AOWAKE_STATUS_W_34) \
_op_(WAKE_AOWAKE_STATUS_W_35) \
_op_(WAKE_AOWAKE_STATUS_W_36) \
_op_(WAKE_AOWAKE_STATUS_W_37) \
_op_(WAKE_AOWAKE_STATUS_W_38) \
_op_(WAKE_AOWAKE_STATUS_W_39) \
_op_(WAKE_AOWAKE_STATUS_W_40) \
_op_(WAKE_AOWAKE_STATUS_W_41) \
_op_(WAKE_AOWAKE_STATUS_W_42) \
_op_(WAKE_AOWAKE_STATUS_W_43) \
_op_(WAKE_AOWAKE_STATUS_W_44) \
_op_(WAKE_AOWAKE_STATUS_W_45) \
_op_(WAKE_AOWAKE_STATUS_W_46) \
_op_(WAKE_AOWAKE_STATUS_W_47) \
_op_(WAKE_AOWAKE_STATUS_W_48) \
_op_(WAKE_AOWAKE_STATUS_W_49) \
_op_(WAKE_AOWAKE_STATUS_W_50) \
_op_(WAKE_AOWAKE_STATUS_W_51) \
_op_(WAKE_AOWAKE_STATUS_W_52) \
_op_(WAKE_AOWAKE_STATUS_W_53) \
_op_(WAKE_AOWAKE_STATUS_W_54) \
_op_(WAKE_AOWAKE_STATUS_W_55) \
_op_(WAKE_AOWAKE_STATUS_W_56) \
_op_(WAKE_AOWAKE_STATUS_W_57) \
_op_(WAKE_AOWAKE_STATUS_W_58) \
_op_(WAKE_AOWAKE_STATUS_W_59) \
_op_(WAKE_AOWAKE_STATUS_W_60) \
_op_(WAKE_AOWAKE_STATUS_W_61) \
_op_(WAKE_AOWAKE_STATUS_W_62) \
_op_(WAKE_AOWAKE_STATUS_W_63) \
_op_(WAKE_AOWAKE_STATUS_W_64) \
_op_(WAKE_AOWAKE_STATUS_W_65) \
_op_(WAKE_AOWAKE_STATUS_W_66) \
_op_(WAKE_AOWAKE_STATUS_W_67) \
_op_(WAKE_AOWAKE_STATUS_W_68) \
_op_(WAKE_AOWAKE_STATUS_W_69) \
_op_(WAKE_AOWAKE_STATUS_W_70) \
_op_(WAKE_AOWAKE_STATUS_W_71) \
_op_(WAKE_AOWAKE_STATUS_W_72) \
_op_(WAKE_AOWAKE_STATUS_W_73) \
_op_(WAKE_AOWAKE_STATUS_W_74) \
_op_(WAKE_AOWAKE_STATUS_W_75) \
_op_(WAKE_AOWAKE_STATUS_W_76) \
_op_(WAKE_AOWAKE_STATUS_W_77) \
_op_(WAKE_AOWAKE_STATUS_W_78) \
_op_(WAKE_AOWAKE_STATUS_W_79) \
_op_(WAKE_AOWAKE_STATUS_W_80) \
_op_(WAKE_AOWAKE_STATUS_W_81) \
_op_(WAKE_AOWAKE_STATUS_W_82) \
_op_(WAKE_AOWAKE_STATUS_W_83) \
_op_(WAKE_AOWAKE_STATUS_W_84) \
_op_(WAKE_AOWAKE_STATUS_W_85) \
_op_(WAKE_AOWAKE_STATUS_W_86) \
_op_(WAKE_AOWAKE_STATUS_W_87) \
_op_(WAKE_AOWAKE_STATUS_W_88) \
_op_(WAKE_AOWAKE_STATUS_W_89) \
_op_(WAKE_AOWAKE_STATUS_W_90) \
_op_(WAKE_AOWAKE_STATUS_W_91) \
_op_(WAKE_AOWAKE_STATUS_W_92) \
_op_(WAKE_AOWAKE_STATUS_W_93) \
_op_(WAKE_AOWAKE_STATUS_W_94) \
_op_(WAKE_AOWAKE_STATUS_W_95) \
_op_(WAKE_AOWAKE_STATUS_R_31_0_0) \
_op_(WAKE_AOWAKE_STATUS_R_63_32_0) \
_op_(WAKE_AOWAKE_STATUS_R_95_64_0) \
_op_(WAKE_AOWAKE_LATCH_SW_0) \
_op_(WAKE_AOWAKE_SW_STATUS_W_0) \
_op_(WAKE_AOWAKE_SW_STATUS_31_0_0) \
_op_(WAKE_AOWAKE_SW_STATUS_63_32_0) \
_op_(WAKE_AOWAKE_SW_STATUS_95_64_0) \
_op_(WAKE_AOWAKE_TIER1_CTRL_0) \
_op_(WAKE_AOWAKE_TIER2_CTRL_0) \
_op_(WAKE_AOWAKE_TIER0_ROUTING_31_0_0) \
_op_(WAKE_AOWAKE_TIER0_ROUTING_63_32_0) \
_op_(WAKE_AOWAKE_TIER0_ROUTING_95_64_0) \
_op_(WAKE_AOWAKE_TIER1_ROUTING_31_0_0) \
_op_(WAKE_AOWAKE_TIER1_ROUTING_63_32_0) \
_op_(WAKE_AOWAKE_TIER1_ROUTING_95_64_0) \
_op_(WAKE_AOWAKE_TIER2_ROUTING_31_0_0) \
_op_(WAKE_AOWAKE_TIER2_ROUTING_63_32_0) \
_op_(WAKE_AOWAKE_TIER2_ROUTING_95_64_0) \
_op_(WAKE_AOWAKE_SW_WAKE_TIER0_TRIGGER_0) \
_op_(WAKE_AOWAKE_COAL_GRP0_0) \
_op_(WAKE_AOWAKE_COAL_GRP1_0) \
_op_(WAKE_AOWAKE_TSC_CTRL_0) \
_op_(WAKE_AOWAKE_TSC_SNAP_VALUE_0) \
_op_(WAKE_AOWAKE_DELAY_CELL_CTRL_0) \
_op_(WAKE_AOWAKE_DET_EN_0) \
_op_(WAKE_AOWAKE_CTRL_0) \
_op_(WAKE_AOWAKE_CYA_0) \
_op_(WAKE_AOWAKE_CYA) \
_op_(WAKE_AOWAKE_CYA_1) \
_op_(WAKE_AOWAKE_DBG_0) \
_op_(WAKE_AOWAKE_DBG) \
_op_(WAKE_AOWAKE_DBG_1) \
_op_(WAKE_AOWAKE_SPE_AUTO_MASK_W_0) \
_op_(WAKE_AOWAKE_SPE_AUTO_MASK_R_0) \
_op_(WAKE_AOWAKE_HSP_MASK_W_0) \
_op_(WAKE_AOWAKE_HSP_MASK_R_0)


//
// ADDRESS SPACES
//

#define BASE_ADDRESS_WAKE       0x00000000

//
// ARWAKE REGISTER BANKS
//

#define WAKE0_FIRST_REG 0x0000 // WAKE_AOWAKE_CNTRL_0
#define WAKE0_LAST_REG 0x0514 // WAKE_AOWAKE_HSP_MASK_R_0

// To satisfy various compilers and platforms,
// we let users control the types and syntax of certain constants, using macros.
#ifndef _MK_SHIFT_CONST
  #define _MK_SHIFT_CONST(_constant_) _constant_
#endif
#ifndef _MK_MASK_CONST
  #define _MK_MASK_CONST(_constant_) _constant_
#endif
#ifndef _MK_ENUM_CONST
  #define _MK_ENUM_CONST(_constant_) (_constant_ ## UL)
#endif
#ifndef _MK_ADDR_CONST
  #define _MK_ADDR_CONST(_constant_) _constant_
#endif
#ifndef _MK_FIELD_CONST
  #define _MK_FIELD_CONST(_mask_, _shift_) (_MK_MASK_CONST(_mask_) << _MK_SHIFT_CONST(_shift_))
#endif

#endif // ifndef ___ARWAKE_H_INC_
