//
// Copyright (c) 2018 NVIDIA Corporation.
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are met:
//
// Redistributions of source code must retain the above copyright notice,
// this list of conditions and the following disclaimer.
//
// Redistributions in binary form must reproduce the above copyright notice,
// this list of conditions and the following disclaimer in the documentation
// and/or other materials provided with the distribution.
//
// Neither the name of the NVIDIA Corporation nor the names of its contributors
// may be used to endorse or promote products derived from this software
// without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
// AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
// ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
// LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
// CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
// SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
// INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
// CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
// POSSIBILITY OF SUCH DAMAGE.
//

//
// DO NOT EDIT - generated by simspec!
//

#ifndef ___ARXUSB_AO_H_INC_
#define ___ARXUSB_AO_H_INC_
#define NV_MOBILE_ARXUSB_AO_H_UNIT_OF_OFFSET 1B


// Register XUSB_AO_GATE_0
#define XUSB_AO_GATE_0                  _MK_ADDR_CONST(0x0)
#define XUSB_AO_GATE_0_SECURE                   0x0
#define XUSB_AO_GATE_0_DUAL                     0x0
#define XUSB_AO_GATE_0_SCR                      0
#define XUSB_AO_GATE_0_WORD_COUNT                       0x1
#define XUSB_AO_GATE_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_AO_GATE_0_RESET_MASK                       _MK_MASK_CONST(0x3)
#define XUSB_AO_GATE_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_AO_GATE_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_GATE_0_READ_MASK                        _MK_MASK_CONST(0x3)
#define XUSB_AO_GATE_0_WRITE_MASK                       _MK_MASK_CONST(0x3)
#define XUSB_AO_GATE_0_GATE_WAKE_SHIFT                  _MK_SHIFT_CONST(0)
#define XUSB_AO_GATE_0_GATE_WAKE_FIELD                  _MK_FIELD_CONST(0x1, XUSB_AO_GATE_0_GATE_WAKE_SHIFT)
#define XUSB_AO_GATE_0_GATE_WAKE_RANGE                  0:0
#define XUSB_AO_GATE_0_GATE_WAKE_WOFFSET                        0x0
#define XUSB_AO_GATE_0_GATE_WAKE_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_GATE_0_GATE_WAKE_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define XUSB_AO_GATE_0_GATE_WAKE_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_GATE_0_GATE_WAKE_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_GATE_0_GATE_WAKE_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define XUSB_AO_GATE_0_GATE_WAKE_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define XUSB_AO_GATE_0_GATE_WAKE_OFF                    _MK_ENUM_CONST(0)
#define XUSB_AO_GATE_0_GATE_WAKE_ON                     _MK_ENUM_CONST(1)

#define XUSB_AO_GATE_0_GATE_DBNS_SHIFT                  _MK_SHIFT_CONST(1)
#define XUSB_AO_GATE_0_GATE_DBNS_FIELD                  _MK_FIELD_CONST(0x1, XUSB_AO_GATE_0_GATE_DBNS_SHIFT)
#define XUSB_AO_GATE_0_GATE_DBNS_RANGE                  1:1
#define XUSB_AO_GATE_0_GATE_DBNS_WOFFSET                        0x0
#define XUSB_AO_GATE_0_GATE_DBNS_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_GATE_0_GATE_DBNS_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define XUSB_AO_GATE_0_GATE_DBNS_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_GATE_0_GATE_DBNS_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_GATE_0_GATE_DBNS_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define XUSB_AO_GATE_0_GATE_DBNS_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define XUSB_AO_GATE_0_GATE_DBNS_OFF                    _MK_ENUM_CONST(0)
#define XUSB_AO_GATE_0_GATE_DBNS_ON                     _MK_ENUM_CONST(1)


// Register XUSB_AO_USB_DEBOUNCE_DEL_0
#define XUSB_AO_USB_DEBOUNCE_DEL_0                      _MK_ADDR_CONST(0x4)
#define XUSB_AO_USB_DEBOUNCE_DEL_0_SECURE                       0x0
#define XUSB_AO_USB_DEBOUNCE_DEL_0_DUAL                         0x0
#define XUSB_AO_USB_DEBOUNCE_DEL_0_SCR                  0
#define XUSB_AO_USB_DEBOUNCE_DEL_0_WORD_COUNT                   0x1
#define XUSB_AO_USB_DEBOUNCE_DEL_0_RESET_VAL                    _MK_MASK_CONST(0x0)
#define XUSB_AO_USB_DEBOUNCE_DEL_0_RESET_MASK                   _MK_MASK_CONST(0xf)
#define XUSB_AO_USB_DEBOUNCE_DEL_0_SW_DEFAULT_VAL                       _MK_MASK_CONST(0x0)
#define XUSB_AO_USB_DEBOUNCE_DEL_0_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_USB_DEBOUNCE_DEL_0_READ_MASK                    _MK_MASK_CONST(0xf)
#define XUSB_AO_USB_DEBOUNCE_DEL_0_WRITE_MASK                   _MK_MASK_CONST(0xf)
#define XUSB_AO_USB_DEBOUNCE_DEL_0_UTMIP_LINE_DEB_CNT_SHIFT                     _MK_SHIFT_CONST(0)
#define XUSB_AO_USB_DEBOUNCE_DEL_0_UTMIP_LINE_DEB_CNT_FIELD                     _MK_FIELD_CONST(0xf, XUSB_AO_USB_DEBOUNCE_DEL_0_UTMIP_LINE_DEB_CNT_SHIFT)
#define XUSB_AO_USB_DEBOUNCE_DEL_0_UTMIP_LINE_DEB_CNT_RANGE                     3:0
#define XUSB_AO_USB_DEBOUNCE_DEL_0_UTMIP_LINE_DEB_CNT_WOFFSET                   0x0
#define XUSB_AO_USB_DEBOUNCE_DEL_0_UTMIP_LINE_DEB_CNT_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_USB_DEBOUNCE_DEL_0_UTMIP_LINE_DEB_CNT_DEFAULT_MASK                      _MK_MASK_CONST(0xf)
#define XUSB_AO_USB_DEBOUNCE_DEL_0_UTMIP_LINE_DEB_CNT_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_USB_DEBOUNCE_DEL_0_UTMIP_LINE_DEB_CNT_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_USB_DEBOUNCE_DEL_0_UTMIP_LINE_DEB_CNT_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_USB_DEBOUNCE_DEL_0_UTMIP_LINE_DEB_CNT_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define XUSB_AO_USB_DEBOUNCE_DEL_0_UTMIP_LINE_DEB_CNT__PROD                     _MK_ENUM_CONST(1)


// Reserved address 0x8

// Reserved address 0xc

// Reserved address 0x10

// Reserved address 0x14

// Reserved address 0x18

// Reserved address 0x1c

// Reserved address 0x20

// Reserved address 0x24

// Reserved address 0x28

// Reserved address 0x2c

// Reserved address 0x30

// Reserved address 0x34

// Reserved address 0x38

// Reserved address 0x3c

// Register XUSB_AO_UTMIP_TRIGGERS_0
#define XUSB_AO_UTMIP_TRIGGERS_0                        _MK_ADDR_CONST(0x40)
#define XUSB_AO_UTMIP_TRIGGERS_0_SECURE                         0x0
#define XUSB_AO_UTMIP_TRIGGERS_0_DUAL                   0x0
#define XUSB_AO_UTMIP_TRIGGERS_0_SCR                    0
#define XUSB_AO_UTMIP_TRIGGERS_0_WORD_COUNT                     0x1
#define XUSB_AO_UTMIP_TRIGGERS_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_0_READ_MASK                      _MK_MASK_CONST(0xf)
#define XUSB_AO_UTMIP_TRIGGERS_0_WRITE_MASK                     _MK_MASK_CONST(0xf)
#define XUSB_AO_UTMIP_TRIGGERS_0_CLR_WALK_PTR_SHIFT                     _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_TRIGGERS_0_CLR_WALK_PTR_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_TRIGGERS_0_CLR_WALK_PTR_SHIFT)
#define XUSB_AO_UTMIP_TRIGGERS_0_CLR_WALK_PTR_RANGE                     0:0
#define XUSB_AO_UTMIP_TRIGGERS_0_CLR_WALK_PTR_WOFFSET                   0x0
#define XUSB_AO_UTMIP_TRIGGERS_0_CLR_WALK_PTR_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_0_CLR_WALK_PTR_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_0_CLR_WALK_PTR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_0_CLR_WALK_PTR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_0_CLR_WALK_PTR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_0_CLR_WALK_PTR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_TRIGGERS_0_CLR_WALK_PTR_NULL                      _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_TRIGGERS_0_CLR_WALK_PTR_TRIG                      _MK_ENUM_CONST(1)

#define XUSB_AO_UTMIP_TRIGGERS_0_CAP_CFG_SHIFT                  _MK_SHIFT_CONST(1)
#define XUSB_AO_UTMIP_TRIGGERS_0_CAP_CFG_FIELD                  _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_TRIGGERS_0_CAP_CFG_SHIFT)
#define XUSB_AO_UTMIP_TRIGGERS_0_CAP_CFG_RANGE                  1:1
#define XUSB_AO_UTMIP_TRIGGERS_0_CAP_CFG_WOFFSET                        0x0
#define XUSB_AO_UTMIP_TRIGGERS_0_CAP_CFG_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_0_CAP_CFG_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_0_CAP_CFG_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_0_CAP_CFG_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_0_CAP_CFG_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_0_CAP_CFG_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_TRIGGERS_0_CAP_CFG_NULL                   _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_TRIGGERS_0_CAP_CFG_TRIG                   _MK_ENUM_CONST(1)

#define XUSB_AO_UTMIP_TRIGGERS_0_FORCE_WALK_SHIFT                       _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_TRIGGERS_0_FORCE_WALK_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_TRIGGERS_0_FORCE_WALK_SHIFT)
#define XUSB_AO_UTMIP_TRIGGERS_0_FORCE_WALK_RANGE                       2:2
#define XUSB_AO_UTMIP_TRIGGERS_0_FORCE_WALK_WOFFSET                     0x0
#define XUSB_AO_UTMIP_TRIGGERS_0_FORCE_WALK_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_0_FORCE_WALK_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_0_FORCE_WALK_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_0_FORCE_WALK_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_0_FORCE_WALK_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_0_FORCE_WALK_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_TRIGGERS_0_FORCE_WALK_NULL                        _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_TRIGGERS_0_FORCE_WALK_TRIG                        _MK_ENUM_CONST(1)

#define XUSB_AO_UTMIP_TRIGGERS_0_CLR_WAKE_ALARM_SHIFT                   _MK_SHIFT_CONST(3)
#define XUSB_AO_UTMIP_TRIGGERS_0_CLR_WAKE_ALARM_FIELD                   _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_TRIGGERS_0_CLR_WAKE_ALARM_SHIFT)
#define XUSB_AO_UTMIP_TRIGGERS_0_CLR_WAKE_ALARM_RANGE                   3:3
#define XUSB_AO_UTMIP_TRIGGERS_0_CLR_WAKE_ALARM_WOFFSET                 0x0
#define XUSB_AO_UTMIP_TRIGGERS_0_CLR_WAKE_ALARM_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_0_CLR_WAKE_ALARM_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_0_CLR_WAKE_ALARM_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_0_CLR_WAKE_ALARM_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_0_CLR_WAKE_ALARM_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_0_CLR_WAKE_ALARM_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_TRIGGERS_0_CLR_WAKE_ALARM_NULL                    _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_TRIGGERS_0_CLR_WAKE_ALARM_TRIG                    _MK_ENUM_CONST(1)


// Register XUSB_AO_UTMIP_TRIGGERS
#define XUSB_AO_UTMIP_TRIGGERS                  _MK_ADDR_CONST(0x40)
#define XUSB_AO_UTMIP_TRIGGERS_SECURE                   0x0
#define XUSB_AO_UTMIP_TRIGGERS_DUAL                     0x0
#define XUSB_AO_UTMIP_TRIGGERS_SCR                      0
#define XUSB_AO_UTMIP_TRIGGERS_WORD_COUNT                       0x1
#define XUSB_AO_UTMIP_TRIGGERS_RESET_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_RESET_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_READ_MASK                        _MK_MASK_CONST(0xf)
#define XUSB_AO_UTMIP_TRIGGERS_WRITE_MASK                       _MK_MASK_CONST(0xf)
#define XUSB_AO_UTMIP_TRIGGERS_CLR_WALK_PTR_SHIFT                       _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_TRIGGERS_CLR_WALK_PTR_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_TRIGGERS_CLR_WALK_PTR_SHIFT)
#define XUSB_AO_UTMIP_TRIGGERS_CLR_WALK_PTR_RANGE                       0:0
#define XUSB_AO_UTMIP_TRIGGERS_CLR_WALK_PTR_WOFFSET                     0x0
#define XUSB_AO_UTMIP_TRIGGERS_CLR_WALK_PTR_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_CLR_WALK_PTR_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_CLR_WALK_PTR_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_CLR_WALK_PTR_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_CLR_WALK_PTR_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_CLR_WALK_PTR_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_TRIGGERS_CLR_WALK_PTR_NULL                        _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_TRIGGERS_CLR_WALK_PTR_TRIG                        _MK_ENUM_CONST(1)

#define XUSB_AO_UTMIP_TRIGGERS_CAP_CFG_SHIFT                    _MK_SHIFT_CONST(1)
#define XUSB_AO_UTMIP_TRIGGERS_CAP_CFG_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_TRIGGERS_CAP_CFG_SHIFT)
#define XUSB_AO_UTMIP_TRIGGERS_CAP_CFG_RANGE                    1:1
#define XUSB_AO_UTMIP_TRIGGERS_CAP_CFG_WOFFSET                  0x0
#define XUSB_AO_UTMIP_TRIGGERS_CAP_CFG_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_CAP_CFG_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_CAP_CFG_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_CAP_CFG_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_CAP_CFG_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_CAP_CFG_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_TRIGGERS_CAP_CFG_NULL                     _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_TRIGGERS_CAP_CFG_TRIG                     _MK_ENUM_CONST(1)

#define XUSB_AO_UTMIP_TRIGGERS_FORCE_WALK_SHIFT                 _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_TRIGGERS_FORCE_WALK_FIELD                 _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_TRIGGERS_FORCE_WALK_SHIFT)
#define XUSB_AO_UTMIP_TRIGGERS_FORCE_WALK_RANGE                 2:2
#define XUSB_AO_UTMIP_TRIGGERS_FORCE_WALK_WOFFSET                       0x0
#define XUSB_AO_UTMIP_TRIGGERS_FORCE_WALK_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_FORCE_WALK_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_FORCE_WALK_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_FORCE_WALK_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_FORCE_WALK_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_FORCE_WALK_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_TRIGGERS_FORCE_WALK_NULL                  _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_TRIGGERS_FORCE_WALK_TRIG                  _MK_ENUM_CONST(1)

#define XUSB_AO_UTMIP_TRIGGERS_CLR_WAKE_ALARM_SHIFT                     _MK_SHIFT_CONST(3)
#define XUSB_AO_UTMIP_TRIGGERS_CLR_WAKE_ALARM_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_TRIGGERS_CLR_WAKE_ALARM_SHIFT)
#define XUSB_AO_UTMIP_TRIGGERS_CLR_WAKE_ALARM_RANGE                     3:3
#define XUSB_AO_UTMIP_TRIGGERS_CLR_WAKE_ALARM_WOFFSET                   0x0
#define XUSB_AO_UTMIP_TRIGGERS_CLR_WAKE_ALARM_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_CLR_WAKE_ALARM_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_CLR_WAKE_ALARM_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_CLR_WAKE_ALARM_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_CLR_WAKE_ALARM_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_CLR_WAKE_ALARM_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_TRIGGERS_CLR_WAKE_ALARM_NULL                      _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_TRIGGERS_CLR_WAKE_ALARM_TRIG                      _MK_ENUM_CONST(1)


// Register XUSB_AO_UTMIP_TRIGGERS_1
#define XUSB_AO_UTMIP_TRIGGERS_1                        _MK_ADDR_CONST(0x44)
#define XUSB_AO_UTMIP_TRIGGERS_1_SECURE                         0x0
#define XUSB_AO_UTMIP_TRIGGERS_1_DUAL                   0x0
#define XUSB_AO_UTMIP_TRIGGERS_1_SCR                    0
#define XUSB_AO_UTMIP_TRIGGERS_1_WORD_COUNT                     0x1
#define XUSB_AO_UTMIP_TRIGGERS_1_RESET_VAL                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_1_RESET_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_1_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_1_READ_MASK                      _MK_MASK_CONST(0xf)
#define XUSB_AO_UTMIP_TRIGGERS_1_WRITE_MASK                     _MK_MASK_CONST(0xf)
#define XUSB_AO_UTMIP_TRIGGERS_1_CLR_WALK_PTR_SHIFT                     _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_TRIGGERS_1_CLR_WALK_PTR_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_TRIGGERS_1_CLR_WALK_PTR_SHIFT)
#define XUSB_AO_UTMIP_TRIGGERS_1_CLR_WALK_PTR_RANGE                     0:0
#define XUSB_AO_UTMIP_TRIGGERS_1_CLR_WALK_PTR_WOFFSET                   0x0
#define XUSB_AO_UTMIP_TRIGGERS_1_CLR_WALK_PTR_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_1_CLR_WALK_PTR_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_1_CLR_WALK_PTR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_1_CLR_WALK_PTR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_1_CLR_WALK_PTR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_1_CLR_WALK_PTR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_TRIGGERS_1_CLR_WALK_PTR_NULL                      _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_TRIGGERS_1_CLR_WALK_PTR_TRIG                      _MK_ENUM_CONST(1)

#define XUSB_AO_UTMIP_TRIGGERS_1_CAP_CFG_SHIFT                  _MK_SHIFT_CONST(1)
#define XUSB_AO_UTMIP_TRIGGERS_1_CAP_CFG_FIELD                  _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_TRIGGERS_1_CAP_CFG_SHIFT)
#define XUSB_AO_UTMIP_TRIGGERS_1_CAP_CFG_RANGE                  1:1
#define XUSB_AO_UTMIP_TRIGGERS_1_CAP_CFG_WOFFSET                        0x0
#define XUSB_AO_UTMIP_TRIGGERS_1_CAP_CFG_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_1_CAP_CFG_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_1_CAP_CFG_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_1_CAP_CFG_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_1_CAP_CFG_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_1_CAP_CFG_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_TRIGGERS_1_CAP_CFG_NULL                   _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_TRIGGERS_1_CAP_CFG_TRIG                   _MK_ENUM_CONST(1)

#define XUSB_AO_UTMIP_TRIGGERS_1_FORCE_WALK_SHIFT                       _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_TRIGGERS_1_FORCE_WALK_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_TRIGGERS_1_FORCE_WALK_SHIFT)
#define XUSB_AO_UTMIP_TRIGGERS_1_FORCE_WALK_RANGE                       2:2
#define XUSB_AO_UTMIP_TRIGGERS_1_FORCE_WALK_WOFFSET                     0x0
#define XUSB_AO_UTMIP_TRIGGERS_1_FORCE_WALK_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_1_FORCE_WALK_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_1_FORCE_WALK_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_1_FORCE_WALK_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_1_FORCE_WALK_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_1_FORCE_WALK_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_TRIGGERS_1_FORCE_WALK_NULL                        _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_TRIGGERS_1_FORCE_WALK_TRIG                        _MK_ENUM_CONST(1)

#define XUSB_AO_UTMIP_TRIGGERS_1_CLR_WAKE_ALARM_SHIFT                   _MK_SHIFT_CONST(3)
#define XUSB_AO_UTMIP_TRIGGERS_1_CLR_WAKE_ALARM_FIELD                   _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_TRIGGERS_1_CLR_WAKE_ALARM_SHIFT)
#define XUSB_AO_UTMIP_TRIGGERS_1_CLR_WAKE_ALARM_RANGE                   3:3
#define XUSB_AO_UTMIP_TRIGGERS_1_CLR_WAKE_ALARM_WOFFSET                 0x0
#define XUSB_AO_UTMIP_TRIGGERS_1_CLR_WAKE_ALARM_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_1_CLR_WAKE_ALARM_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_1_CLR_WAKE_ALARM_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_1_CLR_WAKE_ALARM_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_1_CLR_WAKE_ALARM_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_1_CLR_WAKE_ALARM_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_TRIGGERS_1_CLR_WAKE_ALARM_NULL                    _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_TRIGGERS_1_CLR_WAKE_ALARM_TRIG                    _MK_ENUM_CONST(1)


// Register XUSB_AO_UTMIP_TRIGGERS_2
#define XUSB_AO_UTMIP_TRIGGERS_2                        _MK_ADDR_CONST(0x48)
#define XUSB_AO_UTMIP_TRIGGERS_2_SECURE                         0x0
#define XUSB_AO_UTMIP_TRIGGERS_2_DUAL                   0x0
#define XUSB_AO_UTMIP_TRIGGERS_2_SCR                    0
#define XUSB_AO_UTMIP_TRIGGERS_2_WORD_COUNT                     0x1
#define XUSB_AO_UTMIP_TRIGGERS_2_RESET_VAL                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_2_RESET_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_2_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_2_READ_MASK                      _MK_MASK_CONST(0xf)
#define XUSB_AO_UTMIP_TRIGGERS_2_WRITE_MASK                     _MK_MASK_CONST(0xf)
#define XUSB_AO_UTMIP_TRIGGERS_2_CLR_WALK_PTR_SHIFT                     _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_TRIGGERS_2_CLR_WALK_PTR_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_TRIGGERS_2_CLR_WALK_PTR_SHIFT)
#define XUSB_AO_UTMIP_TRIGGERS_2_CLR_WALK_PTR_RANGE                     0:0
#define XUSB_AO_UTMIP_TRIGGERS_2_CLR_WALK_PTR_WOFFSET                   0x0
#define XUSB_AO_UTMIP_TRIGGERS_2_CLR_WALK_PTR_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_2_CLR_WALK_PTR_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_2_CLR_WALK_PTR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_2_CLR_WALK_PTR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_2_CLR_WALK_PTR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_2_CLR_WALK_PTR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_TRIGGERS_2_CLR_WALK_PTR_NULL                      _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_TRIGGERS_2_CLR_WALK_PTR_TRIG                      _MK_ENUM_CONST(1)

#define XUSB_AO_UTMIP_TRIGGERS_2_CAP_CFG_SHIFT                  _MK_SHIFT_CONST(1)
#define XUSB_AO_UTMIP_TRIGGERS_2_CAP_CFG_FIELD                  _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_TRIGGERS_2_CAP_CFG_SHIFT)
#define XUSB_AO_UTMIP_TRIGGERS_2_CAP_CFG_RANGE                  1:1
#define XUSB_AO_UTMIP_TRIGGERS_2_CAP_CFG_WOFFSET                        0x0
#define XUSB_AO_UTMIP_TRIGGERS_2_CAP_CFG_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_2_CAP_CFG_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_2_CAP_CFG_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_2_CAP_CFG_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_2_CAP_CFG_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_2_CAP_CFG_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_TRIGGERS_2_CAP_CFG_NULL                   _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_TRIGGERS_2_CAP_CFG_TRIG                   _MK_ENUM_CONST(1)

#define XUSB_AO_UTMIP_TRIGGERS_2_FORCE_WALK_SHIFT                       _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_TRIGGERS_2_FORCE_WALK_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_TRIGGERS_2_FORCE_WALK_SHIFT)
#define XUSB_AO_UTMIP_TRIGGERS_2_FORCE_WALK_RANGE                       2:2
#define XUSB_AO_UTMIP_TRIGGERS_2_FORCE_WALK_WOFFSET                     0x0
#define XUSB_AO_UTMIP_TRIGGERS_2_FORCE_WALK_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_2_FORCE_WALK_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_2_FORCE_WALK_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_2_FORCE_WALK_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_2_FORCE_WALK_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_2_FORCE_WALK_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_TRIGGERS_2_FORCE_WALK_NULL                        _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_TRIGGERS_2_FORCE_WALK_TRIG                        _MK_ENUM_CONST(1)

#define XUSB_AO_UTMIP_TRIGGERS_2_CLR_WAKE_ALARM_SHIFT                   _MK_SHIFT_CONST(3)
#define XUSB_AO_UTMIP_TRIGGERS_2_CLR_WAKE_ALARM_FIELD                   _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_TRIGGERS_2_CLR_WAKE_ALARM_SHIFT)
#define XUSB_AO_UTMIP_TRIGGERS_2_CLR_WAKE_ALARM_RANGE                   3:3
#define XUSB_AO_UTMIP_TRIGGERS_2_CLR_WAKE_ALARM_WOFFSET                 0x0
#define XUSB_AO_UTMIP_TRIGGERS_2_CLR_WAKE_ALARM_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_2_CLR_WAKE_ALARM_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_2_CLR_WAKE_ALARM_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_2_CLR_WAKE_ALARM_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_2_CLR_WAKE_ALARM_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_2_CLR_WAKE_ALARM_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_TRIGGERS_2_CLR_WAKE_ALARM_NULL                    _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_TRIGGERS_2_CLR_WAKE_ALARM_TRIG                    _MK_ENUM_CONST(1)


// Register XUSB_AO_UTMIP_TRIGGERS_3
#define XUSB_AO_UTMIP_TRIGGERS_3                        _MK_ADDR_CONST(0x4c)
#define XUSB_AO_UTMIP_TRIGGERS_3_SECURE                         0x0
#define XUSB_AO_UTMIP_TRIGGERS_3_DUAL                   0x0
#define XUSB_AO_UTMIP_TRIGGERS_3_SCR                    0
#define XUSB_AO_UTMIP_TRIGGERS_3_WORD_COUNT                     0x1
#define XUSB_AO_UTMIP_TRIGGERS_3_RESET_VAL                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_3_RESET_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_3_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_3_READ_MASK                      _MK_MASK_CONST(0xf)
#define XUSB_AO_UTMIP_TRIGGERS_3_WRITE_MASK                     _MK_MASK_CONST(0xf)
#define XUSB_AO_UTMIP_TRIGGERS_3_CLR_WALK_PTR_SHIFT                     _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_TRIGGERS_3_CLR_WALK_PTR_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_TRIGGERS_3_CLR_WALK_PTR_SHIFT)
#define XUSB_AO_UTMIP_TRIGGERS_3_CLR_WALK_PTR_RANGE                     0:0
#define XUSB_AO_UTMIP_TRIGGERS_3_CLR_WALK_PTR_WOFFSET                   0x0
#define XUSB_AO_UTMIP_TRIGGERS_3_CLR_WALK_PTR_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_3_CLR_WALK_PTR_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_3_CLR_WALK_PTR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_3_CLR_WALK_PTR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_3_CLR_WALK_PTR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_3_CLR_WALK_PTR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_TRIGGERS_3_CLR_WALK_PTR_NULL                      _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_TRIGGERS_3_CLR_WALK_PTR_TRIG                      _MK_ENUM_CONST(1)

#define XUSB_AO_UTMIP_TRIGGERS_3_CAP_CFG_SHIFT                  _MK_SHIFT_CONST(1)
#define XUSB_AO_UTMIP_TRIGGERS_3_CAP_CFG_FIELD                  _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_TRIGGERS_3_CAP_CFG_SHIFT)
#define XUSB_AO_UTMIP_TRIGGERS_3_CAP_CFG_RANGE                  1:1
#define XUSB_AO_UTMIP_TRIGGERS_3_CAP_CFG_WOFFSET                        0x0
#define XUSB_AO_UTMIP_TRIGGERS_3_CAP_CFG_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_3_CAP_CFG_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_3_CAP_CFG_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_3_CAP_CFG_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_3_CAP_CFG_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_3_CAP_CFG_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_TRIGGERS_3_CAP_CFG_NULL                   _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_TRIGGERS_3_CAP_CFG_TRIG                   _MK_ENUM_CONST(1)

#define XUSB_AO_UTMIP_TRIGGERS_3_FORCE_WALK_SHIFT                       _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_TRIGGERS_3_FORCE_WALK_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_TRIGGERS_3_FORCE_WALK_SHIFT)
#define XUSB_AO_UTMIP_TRIGGERS_3_FORCE_WALK_RANGE                       2:2
#define XUSB_AO_UTMIP_TRIGGERS_3_FORCE_WALK_WOFFSET                     0x0
#define XUSB_AO_UTMIP_TRIGGERS_3_FORCE_WALK_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_3_FORCE_WALK_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_3_FORCE_WALK_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_3_FORCE_WALK_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_3_FORCE_WALK_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_3_FORCE_WALK_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_TRIGGERS_3_FORCE_WALK_NULL                        _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_TRIGGERS_3_FORCE_WALK_TRIG                        _MK_ENUM_CONST(1)

#define XUSB_AO_UTMIP_TRIGGERS_3_CLR_WAKE_ALARM_SHIFT                   _MK_SHIFT_CONST(3)
#define XUSB_AO_UTMIP_TRIGGERS_3_CLR_WAKE_ALARM_FIELD                   _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_TRIGGERS_3_CLR_WAKE_ALARM_SHIFT)
#define XUSB_AO_UTMIP_TRIGGERS_3_CLR_WAKE_ALARM_RANGE                   3:3
#define XUSB_AO_UTMIP_TRIGGERS_3_CLR_WAKE_ALARM_WOFFSET                 0x0
#define XUSB_AO_UTMIP_TRIGGERS_3_CLR_WAKE_ALARM_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_3_CLR_WAKE_ALARM_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_3_CLR_WAKE_ALARM_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_3_CLR_WAKE_ALARM_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_3_CLR_WAKE_ALARM_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_TRIGGERS_3_CLR_WAKE_ALARM_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_TRIGGERS_3_CLR_WAKE_ALARM_NULL                    _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_TRIGGERS_3_CLR_WAKE_ALARM_TRIG                    _MK_ENUM_CONST(1)


// Reserved address 0x50

// Reserved address 0x54

// Reserved address 0x58

// Reserved address 0x5c

// Reserved address 0x60

// Reserved address 0x64

// Reserved address 0x68

// Reserved address 0x6c

// Register XUSB_AO_UTMIP_SAVED_STATE_0
#define XUSB_AO_UTMIP_SAVED_STATE_0                     _MK_ADDR_CONST(0x70)
#define XUSB_AO_UTMIP_SAVED_STATE_0_SECURE                      0x0
#define XUSB_AO_UTMIP_SAVED_STATE_0_DUAL                        0x0
#define XUSB_AO_UTMIP_SAVED_STATE_0_SCR                         0
#define XUSB_AO_UTMIP_SAVED_STATE_0_WORD_COUNT                  0x1
#define XUSB_AO_UTMIP_SAVED_STATE_0_RESET_VAL                   _MK_MASK_CONST(0xf)
#define XUSB_AO_UTMIP_SAVED_STATE_0_RESET_MASK                  _MK_MASK_CONST(0xff)
#define XUSB_AO_UTMIP_SAVED_STATE_0_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_0_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_0_READ_MASK                   _MK_MASK_CONST(0xff)
#define XUSB_AO_UTMIP_SAVED_STATE_0_WRITE_MASK                  _MK_MASK_CONST(0xff)
#define XUSB_AO_UTMIP_SAVED_STATE_0_SPEED_SHIFT                 _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_SAVED_STATE_0_SPEED_FIELD                 _MK_FIELD_CONST(0x3, XUSB_AO_UTMIP_SAVED_STATE_0_SPEED_SHIFT)
#define XUSB_AO_UTMIP_SAVED_STATE_0_SPEED_RANGE                 1:0
#define XUSB_AO_UTMIP_SAVED_STATE_0_SPEED_WOFFSET                       0x0
#define XUSB_AO_UTMIP_SAVED_STATE_0_SPEED_DEFAULT                       _MK_MASK_CONST(0x3)
#define XUSB_AO_UTMIP_SAVED_STATE_0_SPEED_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define XUSB_AO_UTMIP_SAVED_STATE_0_SPEED_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_0_SPEED_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_0_SPEED_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_0_SPEED_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SAVED_STATE_0_SPEED_HS                    _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_SAVED_STATE_0_SPEED_FS                    _MK_ENUM_CONST(1)
#define XUSB_AO_UTMIP_SAVED_STATE_0_SPEED_LS                    _MK_ENUM_CONST(2)
#define XUSB_AO_UTMIP_SAVED_STATE_0_SPEED_RST                   _MK_ENUM_CONST(3)

#define XUSB_AO_UTMIP_SAVED_STATE_0_SCRATCH_SHIFT                       _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_SAVED_STATE_0_SCRATCH_FIELD                       _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_SAVED_STATE_0_SCRATCH_SHIFT)
#define XUSB_AO_UTMIP_SAVED_STATE_0_SCRATCH_RANGE                       5:2
#define XUSB_AO_UTMIP_SAVED_STATE_0_SCRATCH_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SAVED_STATE_0_SCRATCH_DEFAULT                     _MK_MASK_CONST(0x3)
#define XUSB_AO_UTMIP_SAVED_STATE_0_SCRATCH_DEFAULT_MASK                        _MK_MASK_CONST(0xf)
#define XUSB_AO_UTMIP_SAVED_STATE_0_SCRATCH_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_0_SCRATCH_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_0_SCRATCH_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_0_SCRATCH_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SAVED_STATE_0_IGNORE_MASTER_CFG_SHIFT                     _MK_SHIFT_CONST(6)
#define XUSB_AO_UTMIP_SAVED_STATE_0_IGNORE_MASTER_CFG_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SAVED_STATE_0_IGNORE_MASTER_CFG_SHIFT)
#define XUSB_AO_UTMIP_SAVED_STATE_0_IGNORE_MASTER_CFG_RANGE                     6:6
#define XUSB_AO_UTMIP_SAVED_STATE_0_IGNORE_MASTER_CFG_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SAVED_STATE_0_IGNORE_MASTER_CFG_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_0_IGNORE_MASTER_CFG_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SAVED_STATE_0_IGNORE_MASTER_CFG_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_0_IGNORE_MASTER_CFG_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_0_IGNORE_MASTER_CFG_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_0_IGNORE_MASTER_CFG_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SAVED_STATE_0_WAKE_EX_SHIFT                       _MK_SHIFT_CONST(7)
#define XUSB_AO_UTMIP_SAVED_STATE_0_WAKE_EX_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SAVED_STATE_0_WAKE_EX_SHIFT)
#define XUSB_AO_UTMIP_SAVED_STATE_0_WAKE_EX_RANGE                       7:7
#define XUSB_AO_UTMIP_SAVED_STATE_0_WAKE_EX_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SAVED_STATE_0_WAKE_EX_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_0_WAKE_EX_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SAVED_STATE_0_WAKE_EX_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_0_WAKE_EX_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_0_WAKE_EX_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_0_WAKE_EX_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SAVED_STATE_0_WAKE_EX_OFF                 _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_SAVED_STATE_0_WAKE_EX_ON                  _MK_ENUM_CONST(1)


// Register XUSB_AO_UTMIP_SAVED_STATE
#define XUSB_AO_UTMIP_SAVED_STATE                       _MK_ADDR_CONST(0x70)
#define XUSB_AO_UTMIP_SAVED_STATE_SECURE                        0x0
#define XUSB_AO_UTMIP_SAVED_STATE_DUAL                  0x0
#define XUSB_AO_UTMIP_SAVED_STATE_SCR                   0
#define XUSB_AO_UTMIP_SAVED_STATE_WORD_COUNT                    0x1
#define XUSB_AO_UTMIP_SAVED_STATE_RESET_VAL                     _MK_MASK_CONST(0xf)
#define XUSB_AO_UTMIP_SAVED_STATE_RESET_MASK                    _MK_MASK_CONST(0xff)
#define XUSB_AO_UTMIP_SAVED_STATE_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_READ_MASK                     _MK_MASK_CONST(0xff)
#define XUSB_AO_UTMIP_SAVED_STATE_WRITE_MASK                    _MK_MASK_CONST(0xff)
#define XUSB_AO_UTMIP_SAVED_STATE_SPEED_SHIFT                   _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_SAVED_STATE_SPEED_FIELD                   _MK_FIELD_CONST(0x3, XUSB_AO_UTMIP_SAVED_STATE_SPEED_SHIFT)
#define XUSB_AO_UTMIP_SAVED_STATE_SPEED_RANGE                   1:0
#define XUSB_AO_UTMIP_SAVED_STATE_SPEED_WOFFSET                 0x0
#define XUSB_AO_UTMIP_SAVED_STATE_SPEED_DEFAULT                 _MK_MASK_CONST(0x3)
#define XUSB_AO_UTMIP_SAVED_STATE_SPEED_DEFAULT_MASK                    _MK_MASK_CONST(0x3)
#define XUSB_AO_UTMIP_SAVED_STATE_SPEED_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_SPEED_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_SPEED_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_SPEED_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SAVED_STATE_SPEED_HS                      _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_SAVED_STATE_SPEED_FS                      _MK_ENUM_CONST(1)
#define XUSB_AO_UTMIP_SAVED_STATE_SPEED_LS                      _MK_ENUM_CONST(2)
#define XUSB_AO_UTMIP_SAVED_STATE_SPEED_RST                     _MK_ENUM_CONST(3)

#define XUSB_AO_UTMIP_SAVED_STATE_SCRATCH_SHIFT                 _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_SAVED_STATE_SCRATCH_FIELD                 _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_SAVED_STATE_SCRATCH_SHIFT)
#define XUSB_AO_UTMIP_SAVED_STATE_SCRATCH_RANGE                 5:2
#define XUSB_AO_UTMIP_SAVED_STATE_SCRATCH_WOFFSET                       0x0
#define XUSB_AO_UTMIP_SAVED_STATE_SCRATCH_DEFAULT                       _MK_MASK_CONST(0x3)
#define XUSB_AO_UTMIP_SAVED_STATE_SCRATCH_DEFAULT_MASK                  _MK_MASK_CONST(0xf)
#define XUSB_AO_UTMIP_SAVED_STATE_SCRATCH_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_SCRATCH_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_SCRATCH_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_SCRATCH_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SAVED_STATE_IGNORE_MASTER_CFG_SHIFT                       _MK_SHIFT_CONST(6)
#define XUSB_AO_UTMIP_SAVED_STATE_IGNORE_MASTER_CFG_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SAVED_STATE_IGNORE_MASTER_CFG_SHIFT)
#define XUSB_AO_UTMIP_SAVED_STATE_IGNORE_MASTER_CFG_RANGE                       6:6
#define XUSB_AO_UTMIP_SAVED_STATE_IGNORE_MASTER_CFG_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SAVED_STATE_IGNORE_MASTER_CFG_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_IGNORE_MASTER_CFG_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SAVED_STATE_IGNORE_MASTER_CFG_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_IGNORE_MASTER_CFG_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_IGNORE_MASTER_CFG_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_IGNORE_MASTER_CFG_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SAVED_STATE_WAKE_EX_SHIFT                 _MK_SHIFT_CONST(7)
#define XUSB_AO_UTMIP_SAVED_STATE_WAKE_EX_FIELD                 _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SAVED_STATE_WAKE_EX_SHIFT)
#define XUSB_AO_UTMIP_SAVED_STATE_WAKE_EX_RANGE                 7:7
#define XUSB_AO_UTMIP_SAVED_STATE_WAKE_EX_WOFFSET                       0x0
#define XUSB_AO_UTMIP_SAVED_STATE_WAKE_EX_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_WAKE_EX_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SAVED_STATE_WAKE_EX_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_WAKE_EX_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_WAKE_EX_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_WAKE_EX_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SAVED_STATE_WAKE_EX_OFF                   _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_SAVED_STATE_WAKE_EX_ON                    _MK_ENUM_CONST(1)


// Register XUSB_AO_UTMIP_SAVED_STATE_1
#define XUSB_AO_UTMIP_SAVED_STATE_1                     _MK_ADDR_CONST(0x74)
#define XUSB_AO_UTMIP_SAVED_STATE_1_SECURE                      0x0
#define XUSB_AO_UTMIP_SAVED_STATE_1_DUAL                        0x0
#define XUSB_AO_UTMIP_SAVED_STATE_1_SCR                         0
#define XUSB_AO_UTMIP_SAVED_STATE_1_WORD_COUNT                  0x1
#define XUSB_AO_UTMIP_SAVED_STATE_1_RESET_VAL                   _MK_MASK_CONST(0xf)
#define XUSB_AO_UTMIP_SAVED_STATE_1_RESET_MASK                  _MK_MASK_CONST(0xff)
#define XUSB_AO_UTMIP_SAVED_STATE_1_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_1_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_1_READ_MASK                   _MK_MASK_CONST(0xff)
#define XUSB_AO_UTMIP_SAVED_STATE_1_WRITE_MASK                  _MK_MASK_CONST(0xff)
#define XUSB_AO_UTMIP_SAVED_STATE_1_SPEED_SHIFT                 _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_SAVED_STATE_1_SPEED_FIELD                 _MK_FIELD_CONST(0x3, XUSB_AO_UTMIP_SAVED_STATE_1_SPEED_SHIFT)
#define XUSB_AO_UTMIP_SAVED_STATE_1_SPEED_RANGE                 1:0
#define XUSB_AO_UTMIP_SAVED_STATE_1_SPEED_WOFFSET                       0x0
#define XUSB_AO_UTMIP_SAVED_STATE_1_SPEED_DEFAULT                       _MK_MASK_CONST(0x3)
#define XUSB_AO_UTMIP_SAVED_STATE_1_SPEED_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define XUSB_AO_UTMIP_SAVED_STATE_1_SPEED_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_1_SPEED_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_1_SPEED_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_1_SPEED_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SAVED_STATE_1_SPEED_HS                    _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_SAVED_STATE_1_SPEED_FS                    _MK_ENUM_CONST(1)
#define XUSB_AO_UTMIP_SAVED_STATE_1_SPEED_LS                    _MK_ENUM_CONST(2)
#define XUSB_AO_UTMIP_SAVED_STATE_1_SPEED_RST                   _MK_ENUM_CONST(3)

#define XUSB_AO_UTMIP_SAVED_STATE_1_SCRATCH_SHIFT                       _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_SAVED_STATE_1_SCRATCH_FIELD                       _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_SAVED_STATE_1_SCRATCH_SHIFT)
#define XUSB_AO_UTMIP_SAVED_STATE_1_SCRATCH_RANGE                       5:2
#define XUSB_AO_UTMIP_SAVED_STATE_1_SCRATCH_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SAVED_STATE_1_SCRATCH_DEFAULT                     _MK_MASK_CONST(0x3)
#define XUSB_AO_UTMIP_SAVED_STATE_1_SCRATCH_DEFAULT_MASK                        _MK_MASK_CONST(0xf)
#define XUSB_AO_UTMIP_SAVED_STATE_1_SCRATCH_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_1_SCRATCH_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_1_SCRATCH_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_1_SCRATCH_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SAVED_STATE_1_IGNORE_MASTER_CFG_SHIFT                     _MK_SHIFT_CONST(6)
#define XUSB_AO_UTMIP_SAVED_STATE_1_IGNORE_MASTER_CFG_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SAVED_STATE_1_IGNORE_MASTER_CFG_SHIFT)
#define XUSB_AO_UTMIP_SAVED_STATE_1_IGNORE_MASTER_CFG_RANGE                     6:6
#define XUSB_AO_UTMIP_SAVED_STATE_1_IGNORE_MASTER_CFG_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SAVED_STATE_1_IGNORE_MASTER_CFG_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_1_IGNORE_MASTER_CFG_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SAVED_STATE_1_IGNORE_MASTER_CFG_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_1_IGNORE_MASTER_CFG_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_1_IGNORE_MASTER_CFG_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_1_IGNORE_MASTER_CFG_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SAVED_STATE_1_WAKE_EX_SHIFT                       _MK_SHIFT_CONST(7)
#define XUSB_AO_UTMIP_SAVED_STATE_1_WAKE_EX_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SAVED_STATE_1_WAKE_EX_SHIFT)
#define XUSB_AO_UTMIP_SAVED_STATE_1_WAKE_EX_RANGE                       7:7
#define XUSB_AO_UTMIP_SAVED_STATE_1_WAKE_EX_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SAVED_STATE_1_WAKE_EX_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_1_WAKE_EX_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SAVED_STATE_1_WAKE_EX_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_1_WAKE_EX_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_1_WAKE_EX_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_1_WAKE_EX_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SAVED_STATE_1_WAKE_EX_OFF                 _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_SAVED_STATE_1_WAKE_EX_ON                  _MK_ENUM_CONST(1)


// Register XUSB_AO_UTMIP_SAVED_STATE_2
#define XUSB_AO_UTMIP_SAVED_STATE_2                     _MK_ADDR_CONST(0x78)
#define XUSB_AO_UTMIP_SAVED_STATE_2_SECURE                      0x0
#define XUSB_AO_UTMIP_SAVED_STATE_2_DUAL                        0x0
#define XUSB_AO_UTMIP_SAVED_STATE_2_SCR                         0
#define XUSB_AO_UTMIP_SAVED_STATE_2_WORD_COUNT                  0x1
#define XUSB_AO_UTMIP_SAVED_STATE_2_RESET_VAL                   _MK_MASK_CONST(0xf)
#define XUSB_AO_UTMIP_SAVED_STATE_2_RESET_MASK                  _MK_MASK_CONST(0xff)
#define XUSB_AO_UTMIP_SAVED_STATE_2_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_2_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_2_READ_MASK                   _MK_MASK_CONST(0xff)
#define XUSB_AO_UTMIP_SAVED_STATE_2_WRITE_MASK                  _MK_MASK_CONST(0xff)
#define XUSB_AO_UTMIP_SAVED_STATE_2_SPEED_SHIFT                 _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_SAVED_STATE_2_SPEED_FIELD                 _MK_FIELD_CONST(0x3, XUSB_AO_UTMIP_SAVED_STATE_2_SPEED_SHIFT)
#define XUSB_AO_UTMIP_SAVED_STATE_2_SPEED_RANGE                 1:0
#define XUSB_AO_UTMIP_SAVED_STATE_2_SPEED_WOFFSET                       0x0
#define XUSB_AO_UTMIP_SAVED_STATE_2_SPEED_DEFAULT                       _MK_MASK_CONST(0x3)
#define XUSB_AO_UTMIP_SAVED_STATE_2_SPEED_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define XUSB_AO_UTMIP_SAVED_STATE_2_SPEED_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_2_SPEED_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_2_SPEED_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_2_SPEED_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SAVED_STATE_2_SPEED_HS                    _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_SAVED_STATE_2_SPEED_FS                    _MK_ENUM_CONST(1)
#define XUSB_AO_UTMIP_SAVED_STATE_2_SPEED_LS                    _MK_ENUM_CONST(2)
#define XUSB_AO_UTMIP_SAVED_STATE_2_SPEED_RST                   _MK_ENUM_CONST(3)

#define XUSB_AO_UTMIP_SAVED_STATE_2_SCRATCH_SHIFT                       _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_SAVED_STATE_2_SCRATCH_FIELD                       _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_SAVED_STATE_2_SCRATCH_SHIFT)
#define XUSB_AO_UTMIP_SAVED_STATE_2_SCRATCH_RANGE                       5:2
#define XUSB_AO_UTMIP_SAVED_STATE_2_SCRATCH_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SAVED_STATE_2_SCRATCH_DEFAULT                     _MK_MASK_CONST(0x3)
#define XUSB_AO_UTMIP_SAVED_STATE_2_SCRATCH_DEFAULT_MASK                        _MK_MASK_CONST(0xf)
#define XUSB_AO_UTMIP_SAVED_STATE_2_SCRATCH_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_2_SCRATCH_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_2_SCRATCH_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_2_SCRATCH_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SAVED_STATE_2_IGNORE_MASTER_CFG_SHIFT                     _MK_SHIFT_CONST(6)
#define XUSB_AO_UTMIP_SAVED_STATE_2_IGNORE_MASTER_CFG_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SAVED_STATE_2_IGNORE_MASTER_CFG_SHIFT)
#define XUSB_AO_UTMIP_SAVED_STATE_2_IGNORE_MASTER_CFG_RANGE                     6:6
#define XUSB_AO_UTMIP_SAVED_STATE_2_IGNORE_MASTER_CFG_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SAVED_STATE_2_IGNORE_MASTER_CFG_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_2_IGNORE_MASTER_CFG_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SAVED_STATE_2_IGNORE_MASTER_CFG_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_2_IGNORE_MASTER_CFG_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_2_IGNORE_MASTER_CFG_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_2_IGNORE_MASTER_CFG_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SAVED_STATE_2_WAKE_EX_SHIFT                       _MK_SHIFT_CONST(7)
#define XUSB_AO_UTMIP_SAVED_STATE_2_WAKE_EX_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SAVED_STATE_2_WAKE_EX_SHIFT)
#define XUSB_AO_UTMIP_SAVED_STATE_2_WAKE_EX_RANGE                       7:7
#define XUSB_AO_UTMIP_SAVED_STATE_2_WAKE_EX_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SAVED_STATE_2_WAKE_EX_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_2_WAKE_EX_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SAVED_STATE_2_WAKE_EX_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_2_WAKE_EX_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_2_WAKE_EX_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_2_WAKE_EX_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SAVED_STATE_2_WAKE_EX_OFF                 _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_SAVED_STATE_2_WAKE_EX_ON                  _MK_ENUM_CONST(1)


// Register XUSB_AO_UTMIP_SAVED_STATE_3
#define XUSB_AO_UTMIP_SAVED_STATE_3                     _MK_ADDR_CONST(0x7c)
#define XUSB_AO_UTMIP_SAVED_STATE_3_SECURE                      0x0
#define XUSB_AO_UTMIP_SAVED_STATE_3_DUAL                        0x0
#define XUSB_AO_UTMIP_SAVED_STATE_3_SCR                         0
#define XUSB_AO_UTMIP_SAVED_STATE_3_WORD_COUNT                  0x1
#define XUSB_AO_UTMIP_SAVED_STATE_3_RESET_VAL                   _MK_MASK_CONST(0xf)
#define XUSB_AO_UTMIP_SAVED_STATE_3_RESET_MASK                  _MK_MASK_CONST(0xff)
#define XUSB_AO_UTMIP_SAVED_STATE_3_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_3_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_3_READ_MASK                   _MK_MASK_CONST(0xff)
#define XUSB_AO_UTMIP_SAVED_STATE_3_WRITE_MASK                  _MK_MASK_CONST(0xff)
#define XUSB_AO_UTMIP_SAVED_STATE_3_SPEED_SHIFT                 _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_SAVED_STATE_3_SPEED_FIELD                 _MK_FIELD_CONST(0x3, XUSB_AO_UTMIP_SAVED_STATE_3_SPEED_SHIFT)
#define XUSB_AO_UTMIP_SAVED_STATE_3_SPEED_RANGE                 1:0
#define XUSB_AO_UTMIP_SAVED_STATE_3_SPEED_WOFFSET                       0x0
#define XUSB_AO_UTMIP_SAVED_STATE_3_SPEED_DEFAULT                       _MK_MASK_CONST(0x3)
#define XUSB_AO_UTMIP_SAVED_STATE_3_SPEED_DEFAULT_MASK                  _MK_MASK_CONST(0x3)
#define XUSB_AO_UTMIP_SAVED_STATE_3_SPEED_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_3_SPEED_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_3_SPEED_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_3_SPEED_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SAVED_STATE_3_SPEED_HS                    _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_SAVED_STATE_3_SPEED_FS                    _MK_ENUM_CONST(1)
#define XUSB_AO_UTMIP_SAVED_STATE_3_SPEED_LS                    _MK_ENUM_CONST(2)
#define XUSB_AO_UTMIP_SAVED_STATE_3_SPEED_RST                   _MK_ENUM_CONST(3)

#define XUSB_AO_UTMIP_SAVED_STATE_3_SCRATCH_SHIFT                       _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_SAVED_STATE_3_SCRATCH_FIELD                       _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_SAVED_STATE_3_SCRATCH_SHIFT)
#define XUSB_AO_UTMIP_SAVED_STATE_3_SCRATCH_RANGE                       5:2
#define XUSB_AO_UTMIP_SAVED_STATE_3_SCRATCH_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SAVED_STATE_3_SCRATCH_DEFAULT                     _MK_MASK_CONST(0x3)
#define XUSB_AO_UTMIP_SAVED_STATE_3_SCRATCH_DEFAULT_MASK                        _MK_MASK_CONST(0xf)
#define XUSB_AO_UTMIP_SAVED_STATE_3_SCRATCH_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_3_SCRATCH_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_3_SCRATCH_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_3_SCRATCH_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SAVED_STATE_3_IGNORE_MASTER_CFG_SHIFT                     _MK_SHIFT_CONST(6)
#define XUSB_AO_UTMIP_SAVED_STATE_3_IGNORE_MASTER_CFG_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SAVED_STATE_3_IGNORE_MASTER_CFG_SHIFT)
#define XUSB_AO_UTMIP_SAVED_STATE_3_IGNORE_MASTER_CFG_RANGE                     6:6
#define XUSB_AO_UTMIP_SAVED_STATE_3_IGNORE_MASTER_CFG_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SAVED_STATE_3_IGNORE_MASTER_CFG_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_3_IGNORE_MASTER_CFG_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SAVED_STATE_3_IGNORE_MASTER_CFG_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_3_IGNORE_MASTER_CFG_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_3_IGNORE_MASTER_CFG_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_3_IGNORE_MASTER_CFG_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SAVED_STATE_3_WAKE_EX_SHIFT                       _MK_SHIFT_CONST(7)
#define XUSB_AO_UTMIP_SAVED_STATE_3_WAKE_EX_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SAVED_STATE_3_WAKE_EX_SHIFT)
#define XUSB_AO_UTMIP_SAVED_STATE_3_WAKE_EX_RANGE                       7:7
#define XUSB_AO_UTMIP_SAVED_STATE_3_WAKE_EX_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SAVED_STATE_3_WAKE_EX_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_3_WAKE_EX_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SAVED_STATE_3_WAKE_EX_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_3_WAKE_EX_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_3_WAKE_EX_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SAVED_STATE_3_WAKE_EX_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SAVED_STATE_3_WAKE_EX_OFF                 _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_SAVED_STATE_3_WAKE_EX_ON                  _MK_ENUM_CONST(1)


// Reserved address 0x80

// Reserved address 0x84

// Reserved address 0x88

// Reserved address 0x8c

// Reserved address 0x90

// Reserved address 0x94

// Reserved address 0x98

// Reserved address 0x9c

// Register XUSB_AO_UTMIP_SLEEPWALK_STATUS_0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0                        _MK_ADDR_CONST(0xa0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_SECURE                         0x0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_DUAL                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_SCR                    0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_WORD_COUNT                     0x1
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_RESET_VAL                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_RESET_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_READ_MASK                      _MK_MASK_CONST(0x1f)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_WALK_PTR_SHIFT                 _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_WALK_PTR_FIELD                 _MK_FIELD_CONST(0x3, XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_WALK_PTR_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_WALK_PTR_RANGE                 1:0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_WALK_PTR_WOFFSET                       0x0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_WALK_PTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_WALK_PTR_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_WALK_PTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_WALK_PTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_WALK_PTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_WALK_PTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_USBOP_VAL_SHIFT                        _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_USBOP_VAL_FIELD                        _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_USBOP_VAL_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_USBOP_VAL_RANGE                        2:2
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_USBOP_VAL_WOFFSET                      0x0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_USBOP_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_USBOP_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_USBOP_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_USBOP_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_USBOP_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_USBOP_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_USBON_VAL_SHIFT                        _MK_SHIFT_CONST(3)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_USBON_VAL_FIELD                        _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_USBON_VAL_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_USBON_VAL_RANGE                        3:3
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_USBON_VAL_WOFFSET                      0x0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_USBON_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_USBON_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_USBON_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_USBON_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_USBON_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_USBON_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_WAKE_ALARM_SHIFT                       _MK_SHIFT_CONST(4)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_WAKE_ALARM_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_WAKE_ALARM_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_WAKE_ALARM_RANGE                       4:4
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_WAKE_ALARM_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_WAKE_ALARM_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_WAKE_ALARM_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_WAKE_ALARM_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_WAKE_ALARM_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_WAKE_ALARM_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_0_WAKE_ALARM_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register XUSB_AO_UTMIP_SLEEPWALK_STATUS
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS                  _MK_ADDR_CONST(0xa0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_SECURE                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_DUAL                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_SCR                      0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_WORD_COUNT                       0x1
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_RESET_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_RESET_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_READ_MASK                        _MK_MASK_CONST(0x1f)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_WALK_PTR_SHIFT                   _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_WALK_PTR_FIELD                   _MK_FIELD_CONST(0x3, XUSB_AO_UTMIP_SLEEPWALK_STATUS_WALK_PTR_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_WALK_PTR_RANGE                   1:0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_WALK_PTR_WOFFSET                 0x0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_WALK_PTR_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_WALK_PTR_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_WALK_PTR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_WALK_PTR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_WALK_PTR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_WALK_PTR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_USBOP_VAL_SHIFT                  _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_USBOP_VAL_FIELD                  _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_STATUS_USBOP_VAL_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_USBOP_VAL_RANGE                  2:2
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_USBOP_VAL_WOFFSET                        0x0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_USBOP_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_USBOP_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_USBOP_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_USBOP_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_USBOP_VAL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_USBOP_VAL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_USBON_VAL_SHIFT                  _MK_SHIFT_CONST(3)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_USBON_VAL_FIELD                  _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_STATUS_USBON_VAL_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_USBON_VAL_RANGE                  3:3
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_USBON_VAL_WOFFSET                        0x0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_USBON_VAL_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_USBON_VAL_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_USBON_VAL_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_USBON_VAL_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_USBON_VAL_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_USBON_VAL_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_WAKE_ALARM_SHIFT                 _MK_SHIFT_CONST(4)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_WAKE_ALARM_FIELD                 _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_STATUS_WAKE_ALARM_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_WAKE_ALARM_RANGE                 4:4
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_WAKE_ALARM_WOFFSET                       0x0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_WAKE_ALARM_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_WAKE_ALARM_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_WAKE_ALARM_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_WAKE_ALARM_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_WAKE_ALARM_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_WAKE_ALARM_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)


// Register XUSB_AO_UTMIP_SLEEPWALK_STATUS_1
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1                        _MK_ADDR_CONST(0xa4)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_SECURE                         0x0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_DUAL                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_SCR                    0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_WORD_COUNT                     0x1
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_RESET_VAL                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_RESET_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_READ_MASK                      _MK_MASK_CONST(0x1f)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_WALK_PTR_SHIFT                 _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_WALK_PTR_FIELD                 _MK_FIELD_CONST(0x3, XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_WALK_PTR_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_WALK_PTR_RANGE                 1:0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_WALK_PTR_WOFFSET                       0x0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_WALK_PTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_WALK_PTR_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_WALK_PTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_WALK_PTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_WALK_PTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_WALK_PTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_USBOP_VAL_SHIFT                        _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_USBOP_VAL_FIELD                        _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_USBOP_VAL_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_USBOP_VAL_RANGE                        2:2
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_USBOP_VAL_WOFFSET                      0x0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_USBOP_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_USBOP_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_USBOP_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_USBOP_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_USBOP_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_USBOP_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_USBON_VAL_SHIFT                        _MK_SHIFT_CONST(3)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_USBON_VAL_FIELD                        _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_USBON_VAL_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_USBON_VAL_RANGE                        3:3
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_USBON_VAL_WOFFSET                      0x0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_USBON_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_USBON_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_USBON_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_USBON_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_USBON_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_USBON_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_WAKE_ALARM_SHIFT                       _MK_SHIFT_CONST(4)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_WAKE_ALARM_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_WAKE_ALARM_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_WAKE_ALARM_RANGE                       4:4
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_WAKE_ALARM_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_WAKE_ALARM_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_WAKE_ALARM_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_WAKE_ALARM_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_WAKE_ALARM_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_WAKE_ALARM_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_1_WAKE_ALARM_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register XUSB_AO_UTMIP_SLEEPWALK_STATUS_2
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2                        _MK_ADDR_CONST(0xa8)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_SECURE                         0x0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_DUAL                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_SCR                    0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_WORD_COUNT                     0x1
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_RESET_VAL                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_RESET_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_READ_MASK                      _MK_MASK_CONST(0x1f)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_WALK_PTR_SHIFT                 _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_WALK_PTR_FIELD                 _MK_FIELD_CONST(0x3, XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_WALK_PTR_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_WALK_PTR_RANGE                 1:0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_WALK_PTR_WOFFSET                       0x0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_WALK_PTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_WALK_PTR_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_WALK_PTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_WALK_PTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_WALK_PTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_WALK_PTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_USBOP_VAL_SHIFT                        _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_USBOP_VAL_FIELD                        _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_USBOP_VAL_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_USBOP_VAL_RANGE                        2:2
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_USBOP_VAL_WOFFSET                      0x0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_USBOP_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_USBOP_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_USBOP_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_USBOP_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_USBOP_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_USBOP_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_USBON_VAL_SHIFT                        _MK_SHIFT_CONST(3)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_USBON_VAL_FIELD                        _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_USBON_VAL_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_USBON_VAL_RANGE                        3:3
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_USBON_VAL_WOFFSET                      0x0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_USBON_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_USBON_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_USBON_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_USBON_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_USBON_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_USBON_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_WAKE_ALARM_SHIFT                       _MK_SHIFT_CONST(4)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_WAKE_ALARM_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_WAKE_ALARM_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_WAKE_ALARM_RANGE                       4:4
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_WAKE_ALARM_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_WAKE_ALARM_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_WAKE_ALARM_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_WAKE_ALARM_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_WAKE_ALARM_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_WAKE_ALARM_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_2_WAKE_ALARM_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register XUSB_AO_UTMIP_SLEEPWALK_STATUS_3
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3                        _MK_ADDR_CONST(0xac)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_SECURE                         0x0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_DUAL                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_SCR                    0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_WORD_COUNT                     0x1
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_RESET_VAL                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_RESET_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_SW_DEFAULT_VAL                         _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_READ_MASK                      _MK_MASK_CONST(0x1f)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_WRITE_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_WALK_PTR_SHIFT                 _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_WALK_PTR_FIELD                 _MK_FIELD_CONST(0x3, XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_WALK_PTR_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_WALK_PTR_RANGE                 1:0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_WALK_PTR_WOFFSET                       0x0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_WALK_PTR_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_WALK_PTR_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_WALK_PTR_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_WALK_PTR_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_WALK_PTR_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_WALK_PTR_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_USBOP_VAL_SHIFT                        _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_USBOP_VAL_FIELD                        _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_USBOP_VAL_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_USBOP_VAL_RANGE                        2:2
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_USBOP_VAL_WOFFSET                      0x0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_USBOP_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_USBOP_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_USBOP_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_USBOP_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_USBOP_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_USBOP_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_USBON_VAL_SHIFT                        _MK_SHIFT_CONST(3)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_USBON_VAL_FIELD                        _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_USBON_VAL_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_USBON_VAL_RANGE                        3:3
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_USBON_VAL_WOFFSET                      0x0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_USBON_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_USBON_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_USBON_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_USBON_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_USBON_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_USBON_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_WAKE_ALARM_SHIFT                       _MK_SHIFT_CONST(4)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_WAKE_ALARM_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_WAKE_ALARM_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_WAKE_ALARM_RANGE                       4:4
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_WAKE_ALARM_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_WAKE_ALARM_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_WAKE_ALARM_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_WAKE_ALARM_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_WAKE_ALARM_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_WAKE_ALARM_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_STATUS_3_WAKE_ALARM_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Reserved address 0xb0

// Reserved address 0xb4

// Reserved address 0xb8

// Reserved address 0xbc

// Reserved address 0xc0

// Reserved address 0xc4

// Reserved address 0xc8

// Reserved address 0xcc

// Register XUSB_AO_UTMIP_SLEEPWALK_CFG_0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0                   _MK_ADDR_CONST(0xd0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_SECURE                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_DUAL                      0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_SCR                       0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WORD_COUNT                        0x1
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_RESET_VAL                         _MK_MASK_CONST(0x380001)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_RESET_MASK                        _MK_MASK_CONST(0x7fffff)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_READ_MASK                         _MK_MASK_CONST(0x7fffff)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WRITE_MASK                        _MK_MASK_CONST(0x7fffff)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBOP_VAL_SHIFT                      _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBOP_VAL_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBOP_VAL_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBOP_VAL_RANGE                      0:0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBOP_VAL_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBOP_VAL_DEFAULT                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBOP_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBOP_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBOP_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBOP_VAL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBOP_VAL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBON_VAL_SHIFT                      _MK_SHIFT_CONST(1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBON_VAL_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBON_VAL_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBON_VAL_RANGE                      1:1
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBON_VAL_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBON_VAL_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBON_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBON_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBON_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBON_VAL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBON_VAL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBOP_EN_SHIFT                       _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBOP_EN_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBOP_EN_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBOP_EN_RANGE                       2:2
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBOP_EN_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBOP_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBOP_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBOP_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBOP_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBOP_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBOP_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBON_EN_SHIFT                       _MK_SHIFT_CONST(3)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBON_EN_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBON_EN_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBON_EN_RANGE                       3:3
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBON_EN_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBON_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBON_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBON_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBON_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBON_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_FAKE_USBON_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_RESERVED_SHIFT                    _MK_SHIFT_CONST(4)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_RESERVED_FIELD                    _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_SLEEPWALK_CFG_0_RESERVED_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_RESERVED_RANGE                    7:4
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_RESERVED_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_RESERVED_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_RESERVED_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_RESERVED_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_RESERVED_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_RESERVED_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_RESERVED_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_DESIGNATED_GPIO_SHIFT                     _MK_SHIFT_CONST(8)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_DESIGNATED_GPIO_FIELD                     _MK_FIELD_CONST(0x1f, XUSB_AO_UTMIP_SLEEPWALK_CFG_0_DESIGNATED_GPIO_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_DESIGNATED_GPIO_RANGE                     12:8
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_DESIGNATED_GPIO_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_DESIGNATED_GPIO_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_DESIGNATED_GPIO_DEFAULT_MASK                      _MK_MASK_CONST(0x1f)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_DESIGNATED_GPIO_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_DESIGNATED_GPIO_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_DESIGNATED_GPIO_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_DESIGNATED_GPIO_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_GPIO_WALK_EN_SHIFT                        _MK_SHIFT_CONST(13)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_GPIO_WALK_EN_FIELD                        _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_0_GPIO_WALK_EN_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_GPIO_WALK_EN_RANGE                        13:13
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_GPIO_WALK_EN_WOFFSET                      0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_GPIO_WALK_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_GPIO_WALK_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_GPIO_WALK_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_GPIO_WALK_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_GPIO_WALK_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_GPIO_WALK_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_WALK_EN_SHIFT                        _MK_SHIFT_CONST(14)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_WALK_EN_FIELD                        _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_WALK_EN_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_WALK_EN_RANGE                        14:14
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_WALK_EN_WOFFSET                      0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_WALK_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_WALK_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_WALK_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_WALK_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_WALK_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_WALK_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_MASTER_ENABLE_SHIFT                       _MK_SHIFT_CONST(15)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_MASTER_ENABLE_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_0_MASTER_ENABLE_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_MASTER_ENABLE_RANGE                       15:15
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_MASTER_ENABLE_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_MASTER_ENABLE_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_MASTER_ENABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_MASTER_ENABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_MASTER_ENABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_MASTER_ENABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_MASTER_ENABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_LINEVAL_WALK_EN_SHIFT                     _MK_SHIFT_CONST(16)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_LINEVAL_WALK_EN_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_0_LINEVAL_WALK_EN_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_LINEVAL_WALK_EN_RANGE                     16:16
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_LINEVAL_WALK_EN_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_LINEVAL_WALK_EN_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_LINEVAL_WALK_EN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_LINEVAL_WALK_EN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_LINEVAL_WALK_EN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_LINEVAL_WALK_EN_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_LINEVAL_WALK_EN_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_VAL_SHIFT                    _MK_SHIFT_CONST(17)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_VAL_FIELD                    _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_VAL_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_VAL_RANGE                    20:17
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_VAL_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_VAL_DEFAULT                  _MK_MASK_CONST(0xc)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_VAL_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_VAL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_VAL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_VAL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_VAL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_VAL_SE0                      _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_VAL_FSK                      _MK_ENUM_CONST(1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_VAL_FSJ                      _MK_ENUM_CONST(2)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_VAL_SE1                      _MK_ENUM_CONST(3)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_VAL_DM0                      _MK_ENUM_CONST(4)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_VAL_DM1                      _MK_ENUM_CONST(5)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_VAL_DP0                      _MK_ENUM_CONST(8)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_VAL_DP1                      _MK_ENUM_CONST(10)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_VAL_NONE                     _MK_ENUM_CONST(12)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_VAL_DMEDGE                   _MK_ENUM_CONST(13)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_VAL_DPEDGE                   _MK_ENUM_CONST(14)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_WAKE_VAL_ANY                      _MK_ENUM_CONST(15)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_LINE_WAKEUP_EN_SHIFT                      _MK_SHIFT_CONST(21)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_LINE_WAKEUP_EN_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_0_LINE_WAKEUP_EN_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_LINE_WAKEUP_EN_RANGE                      21:21
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_LINE_WAKEUP_EN_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_LINE_WAKEUP_EN_DEFAULT                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_LINE_WAKEUP_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_LINE_WAKEUP_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_LINE_WAKEUP_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_LINE_WAKEUP_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_LINE_WAKEUP_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_MASTER_CFG_SEL_SHIFT                      _MK_SHIFT_CONST(22)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_MASTER_CFG_SEL_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_0_MASTER_CFG_SEL_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_MASTER_CFG_SEL_RANGE                      22:22
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_MASTER_CFG_SEL_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_MASTER_CFG_SEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_MASTER_CFG_SEL_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_MASTER_CFG_SEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_MASTER_CFG_SEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_MASTER_CFG_SEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_0_MASTER_CFG_SEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register XUSB_AO_UTMIP_SLEEPWALK_CFG
#define XUSB_AO_UTMIP_SLEEPWALK_CFG                     _MK_ADDR_CONST(0xd0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_SECURE                      0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_DUAL                        0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_SCR                         0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WORD_COUNT                  0x1
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_RESET_VAL                   _MK_MASK_CONST(0x380001)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_RESET_MASK                  _MK_MASK_CONST(0x7fffff)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_SW_DEFAULT_VAL                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_READ_MASK                   _MK_MASK_CONST(0x7fffff)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WRITE_MASK                  _MK_MASK_CONST(0x7fffff)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBOP_VAL_SHIFT                        _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBOP_VAL_FIELD                        _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBOP_VAL_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBOP_VAL_RANGE                        0:0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBOP_VAL_WOFFSET                      0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBOP_VAL_DEFAULT                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBOP_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBOP_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBOP_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBOP_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBOP_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBON_VAL_SHIFT                        _MK_SHIFT_CONST(1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBON_VAL_FIELD                        _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBON_VAL_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBON_VAL_RANGE                        1:1
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBON_VAL_WOFFSET                      0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBON_VAL_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBON_VAL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBON_VAL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBON_VAL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBON_VAL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBON_VAL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBOP_EN_SHIFT                 _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBOP_EN_FIELD                 _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBOP_EN_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBOP_EN_RANGE                 2:2
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBOP_EN_WOFFSET                       0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBOP_EN_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBOP_EN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBOP_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBOP_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBOP_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBOP_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBON_EN_SHIFT                 _MK_SHIFT_CONST(3)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBON_EN_FIELD                 _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBON_EN_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBON_EN_RANGE                 3:3
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBON_EN_WOFFSET                       0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBON_EN_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBON_EN_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBON_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBON_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBON_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_FAKE_USBON_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_RESERVED_SHIFT                      _MK_SHIFT_CONST(4)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_RESERVED_FIELD                      _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_SLEEPWALK_CFG_RESERVED_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_RESERVED_RANGE                      7:4
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_RESERVED_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_RESERVED_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_RESERVED_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_RESERVED_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_RESERVED_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_RESERVED_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_RESERVED_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_DESIGNATED_GPIO_SHIFT                       _MK_SHIFT_CONST(8)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_DESIGNATED_GPIO_FIELD                       _MK_FIELD_CONST(0x1f, XUSB_AO_UTMIP_SLEEPWALK_CFG_DESIGNATED_GPIO_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_DESIGNATED_GPIO_RANGE                       12:8
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_DESIGNATED_GPIO_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_DESIGNATED_GPIO_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_DESIGNATED_GPIO_DEFAULT_MASK                        _MK_MASK_CONST(0x1f)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_DESIGNATED_GPIO_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_DESIGNATED_GPIO_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_DESIGNATED_GPIO_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_DESIGNATED_GPIO_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_GPIO_WALK_EN_SHIFT                  _MK_SHIFT_CONST(13)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_GPIO_WALK_EN_FIELD                  _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_GPIO_WALK_EN_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_GPIO_WALK_EN_RANGE                  13:13
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_GPIO_WALK_EN_WOFFSET                        0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_GPIO_WALK_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_GPIO_WALK_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_GPIO_WALK_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_GPIO_WALK_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_GPIO_WALK_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_GPIO_WALK_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_WALK_EN_SHIFT                  _MK_SHIFT_CONST(14)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_WALK_EN_FIELD                  _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_WALK_EN_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_WALK_EN_RANGE                  14:14
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_WALK_EN_WOFFSET                        0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_WALK_EN_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_WALK_EN_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_WALK_EN_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_WALK_EN_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_WALK_EN_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_WALK_EN_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_MASTER_ENABLE_SHIFT                 _MK_SHIFT_CONST(15)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_MASTER_ENABLE_FIELD                 _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_MASTER_ENABLE_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_MASTER_ENABLE_RANGE                 15:15
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_MASTER_ENABLE_WOFFSET                       0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_MASTER_ENABLE_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_MASTER_ENABLE_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_MASTER_ENABLE_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_MASTER_ENABLE_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_MASTER_ENABLE_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_MASTER_ENABLE_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_LINEVAL_WALK_EN_SHIFT                       _MK_SHIFT_CONST(16)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_LINEVAL_WALK_EN_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_LINEVAL_WALK_EN_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_LINEVAL_WALK_EN_RANGE                       16:16
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_LINEVAL_WALK_EN_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_LINEVAL_WALK_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_LINEVAL_WALK_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_LINEVAL_WALK_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_LINEVAL_WALK_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_LINEVAL_WALK_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_LINEVAL_WALK_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_VAL_SHIFT                      _MK_SHIFT_CONST(17)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_VAL_FIELD                      _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_VAL_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_VAL_RANGE                      20:17
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_VAL_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_VAL_DEFAULT                    _MK_MASK_CONST(0xc)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0xf)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_VAL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_VAL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_VAL_SE0                        _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_VAL_FSK                        _MK_ENUM_CONST(1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_VAL_FSJ                        _MK_ENUM_CONST(2)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_VAL_SE1                        _MK_ENUM_CONST(3)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_VAL_DM0                        _MK_ENUM_CONST(4)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_VAL_DM1                        _MK_ENUM_CONST(5)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_VAL_DP0                        _MK_ENUM_CONST(8)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_VAL_DP1                        _MK_ENUM_CONST(10)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_VAL_NONE                       _MK_ENUM_CONST(12)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_VAL_DMEDGE                     _MK_ENUM_CONST(13)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_VAL_DPEDGE                     _MK_ENUM_CONST(14)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_WAKE_VAL_ANY                        _MK_ENUM_CONST(15)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_LINE_WAKEUP_EN_SHIFT                        _MK_SHIFT_CONST(21)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_LINE_WAKEUP_EN_FIELD                        _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_LINE_WAKEUP_EN_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_LINE_WAKEUP_EN_RANGE                        21:21
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_LINE_WAKEUP_EN_WOFFSET                      0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_LINE_WAKEUP_EN_DEFAULT                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_LINE_WAKEUP_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_LINE_WAKEUP_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_LINE_WAKEUP_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_LINE_WAKEUP_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_LINE_WAKEUP_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_MASTER_CFG_SEL_SHIFT                        _MK_SHIFT_CONST(22)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_MASTER_CFG_SEL_FIELD                        _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_MASTER_CFG_SEL_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_MASTER_CFG_SEL_RANGE                        22:22
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_MASTER_CFG_SEL_WOFFSET                      0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_MASTER_CFG_SEL_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_MASTER_CFG_SEL_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_MASTER_CFG_SEL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_MASTER_CFG_SEL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_MASTER_CFG_SEL_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_MASTER_CFG_SEL_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register XUSB_AO_UTMIP_SLEEPWALK_CFG_1
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1                   _MK_ADDR_CONST(0xd4)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_SECURE                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_DUAL                      0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_SCR                       0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WORD_COUNT                        0x1
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_RESET_VAL                         _MK_MASK_CONST(0x380001)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_RESET_MASK                        _MK_MASK_CONST(0x7fffff)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_READ_MASK                         _MK_MASK_CONST(0x7fffff)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WRITE_MASK                        _MK_MASK_CONST(0x7fffff)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBOP_VAL_SHIFT                      _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBOP_VAL_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBOP_VAL_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBOP_VAL_RANGE                      0:0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBOP_VAL_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBOP_VAL_DEFAULT                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBOP_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBOP_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBOP_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBOP_VAL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBOP_VAL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBON_VAL_SHIFT                      _MK_SHIFT_CONST(1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBON_VAL_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBON_VAL_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBON_VAL_RANGE                      1:1
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBON_VAL_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBON_VAL_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBON_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBON_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBON_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBON_VAL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBON_VAL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBOP_EN_SHIFT                       _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBOP_EN_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBOP_EN_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBOP_EN_RANGE                       2:2
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBOP_EN_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBOP_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBOP_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBOP_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBOP_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBOP_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBOP_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBON_EN_SHIFT                       _MK_SHIFT_CONST(3)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBON_EN_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBON_EN_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBON_EN_RANGE                       3:3
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBON_EN_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBON_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBON_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBON_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBON_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBON_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_FAKE_USBON_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_RESERVED_SHIFT                    _MK_SHIFT_CONST(4)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_RESERVED_FIELD                    _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_SLEEPWALK_CFG_1_RESERVED_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_RESERVED_RANGE                    7:4
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_RESERVED_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_RESERVED_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_RESERVED_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_RESERVED_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_RESERVED_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_RESERVED_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_RESERVED_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_DESIGNATED_GPIO_SHIFT                     _MK_SHIFT_CONST(8)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_DESIGNATED_GPIO_FIELD                     _MK_FIELD_CONST(0x1f, XUSB_AO_UTMIP_SLEEPWALK_CFG_1_DESIGNATED_GPIO_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_DESIGNATED_GPIO_RANGE                     12:8
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_DESIGNATED_GPIO_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_DESIGNATED_GPIO_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_DESIGNATED_GPIO_DEFAULT_MASK                      _MK_MASK_CONST(0x1f)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_DESIGNATED_GPIO_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_DESIGNATED_GPIO_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_DESIGNATED_GPIO_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_DESIGNATED_GPIO_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_GPIO_WALK_EN_SHIFT                        _MK_SHIFT_CONST(13)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_GPIO_WALK_EN_FIELD                        _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_1_GPIO_WALK_EN_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_GPIO_WALK_EN_RANGE                        13:13
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_GPIO_WALK_EN_WOFFSET                      0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_GPIO_WALK_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_GPIO_WALK_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_GPIO_WALK_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_GPIO_WALK_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_GPIO_WALK_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_GPIO_WALK_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_WALK_EN_SHIFT                        _MK_SHIFT_CONST(14)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_WALK_EN_FIELD                        _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_WALK_EN_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_WALK_EN_RANGE                        14:14
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_WALK_EN_WOFFSET                      0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_WALK_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_WALK_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_WALK_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_WALK_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_WALK_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_WALK_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_MASTER_ENABLE_SHIFT                       _MK_SHIFT_CONST(15)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_MASTER_ENABLE_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_1_MASTER_ENABLE_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_MASTER_ENABLE_RANGE                       15:15
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_MASTER_ENABLE_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_MASTER_ENABLE_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_MASTER_ENABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_MASTER_ENABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_MASTER_ENABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_MASTER_ENABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_MASTER_ENABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_LINEVAL_WALK_EN_SHIFT                     _MK_SHIFT_CONST(16)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_LINEVAL_WALK_EN_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_1_LINEVAL_WALK_EN_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_LINEVAL_WALK_EN_RANGE                     16:16
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_LINEVAL_WALK_EN_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_LINEVAL_WALK_EN_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_LINEVAL_WALK_EN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_LINEVAL_WALK_EN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_LINEVAL_WALK_EN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_LINEVAL_WALK_EN_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_LINEVAL_WALK_EN_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_VAL_SHIFT                    _MK_SHIFT_CONST(17)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_VAL_FIELD                    _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_VAL_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_VAL_RANGE                    20:17
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_VAL_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_VAL_DEFAULT                  _MK_MASK_CONST(0xc)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_VAL_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_VAL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_VAL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_VAL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_VAL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_VAL_SE0                      _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_VAL_FSK                      _MK_ENUM_CONST(1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_VAL_FSJ                      _MK_ENUM_CONST(2)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_VAL_SE1                      _MK_ENUM_CONST(3)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_VAL_DM0                      _MK_ENUM_CONST(4)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_VAL_DM1                      _MK_ENUM_CONST(5)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_VAL_DP0                      _MK_ENUM_CONST(8)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_VAL_DP1                      _MK_ENUM_CONST(10)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_VAL_NONE                     _MK_ENUM_CONST(12)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_VAL_DMEDGE                   _MK_ENUM_CONST(13)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_VAL_DPEDGE                   _MK_ENUM_CONST(14)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_WAKE_VAL_ANY                      _MK_ENUM_CONST(15)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_LINE_WAKEUP_EN_SHIFT                      _MK_SHIFT_CONST(21)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_LINE_WAKEUP_EN_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_1_LINE_WAKEUP_EN_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_LINE_WAKEUP_EN_RANGE                      21:21
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_LINE_WAKEUP_EN_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_LINE_WAKEUP_EN_DEFAULT                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_LINE_WAKEUP_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_LINE_WAKEUP_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_LINE_WAKEUP_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_LINE_WAKEUP_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_LINE_WAKEUP_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_MASTER_CFG_SEL_SHIFT                      _MK_SHIFT_CONST(22)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_MASTER_CFG_SEL_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_1_MASTER_CFG_SEL_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_MASTER_CFG_SEL_RANGE                      22:22
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_MASTER_CFG_SEL_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_MASTER_CFG_SEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_MASTER_CFG_SEL_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_MASTER_CFG_SEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_MASTER_CFG_SEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_MASTER_CFG_SEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_1_MASTER_CFG_SEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register XUSB_AO_UTMIP_SLEEPWALK_CFG_2
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2                   _MK_ADDR_CONST(0xd8)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_SECURE                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_DUAL                      0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_SCR                       0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WORD_COUNT                        0x1
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_RESET_VAL                         _MK_MASK_CONST(0x380001)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_RESET_MASK                        _MK_MASK_CONST(0x7fffff)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_READ_MASK                         _MK_MASK_CONST(0x7fffff)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WRITE_MASK                        _MK_MASK_CONST(0x7fffff)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBOP_VAL_SHIFT                      _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBOP_VAL_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBOP_VAL_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBOP_VAL_RANGE                      0:0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBOP_VAL_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBOP_VAL_DEFAULT                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBOP_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBOP_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBOP_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBOP_VAL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBOP_VAL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBON_VAL_SHIFT                      _MK_SHIFT_CONST(1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBON_VAL_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBON_VAL_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBON_VAL_RANGE                      1:1
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBON_VAL_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBON_VAL_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBON_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBON_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBON_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBON_VAL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBON_VAL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBOP_EN_SHIFT                       _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBOP_EN_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBOP_EN_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBOP_EN_RANGE                       2:2
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBOP_EN_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBOP_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBOP_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBOP_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBOP_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBOP_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBOP_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBON_EN_SHIFT                       _MK_SHIFT_CONST(3)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBON_EN_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBON_EN_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBON_EN_RANGE                       3:3
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBON_EN_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBON_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBON_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBON_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBON_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBON_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_FAKE_USBON_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_RESERVED_SHIFT                    _MK_SHIFT_CONST(4)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_RESERVED_FIELD                    _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_SLEEPWALK_CFG_2_RESERVED_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_RESERVED_RANGE                    7:4
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_RESERVED_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_RESERVED_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_RESERVED_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_RESERVED_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_RESERVED_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_RESERVED_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_RESERVED_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_DESIGNATED_GPIO_SHIFT                     _MK_SHIFT_CONST(8)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_DESIGNATED_GPIO_FIELD                     _MK_FIELD_CONST(0x1f, XUSB_AO_UTMIP_SLEEPWALK_CFG_2_DESIGNATED_GPIO_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_DESIGNATED_GPIO_RANGE                     12:8
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_DESIGNATED_GPIO_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_DESIGNATED_GPIO_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_DESIGNATED_GPIO_DEFAULT_MASK                      _MK_MASK_CONST(0x1f)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_DESIGNATED_GPIO_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_DESIGNATED_GPIO_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_DESIGNATED_GPIO_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_DESIGNATED_GPIO_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_GPIO_WALK_EN_SHIFT                        _MK_SHIFT_CONST(13)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_GPIO_WALK_EN_FIELD                        _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_2_GPIO_WALK_EN_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_GPIO_WALK_EN_RANGE                        13:13
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_GPIO_WALK_EN_WOFFSET                      0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_GPIO_WALK_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_GPIO_WALK_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_GPIO_WALK_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_GPIO_WALK_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_GPIO_WALK_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_GPIO_WALK_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_WALK_EN_SHIFT                        _MK_SHIFT_CONST(14)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_WALK_EN_FIELD                        _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_WALK_EN_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_WALK_EN_RANGE                        14:14
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_WALK_EN_WOFFSET                      0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_WALK_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_WALK_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_WALK_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_WALK_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_WALK_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_WALK_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_MASTER_ENABLE_SHIFT                       _MK_SHIFT_CONST(15)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_MASTER_ENABLE_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_2_MASTER_ENABLE_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_MASTER_ENABLE_RANGE                       15:15
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_MASTER_ENABLE_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_MASTER_ENABLE_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_MASTER_ENABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_MASTER_ENABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_MASTER_ENABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_MASTER_ENABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_MASTER_ENABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_LINEVAL_WALK_EN_SHIFT                     _MK_SHIFT_CONST(16)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_LINEVAL_WALK_EN_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_2_LINEVAL_WALK_EN_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_LINEVAL_WALK_EN_RANGE                     16:16
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_LINEVAL_WALK_EN_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_LINEVAL_WALK_EN_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_LINEVAL_WALK_EN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_LINEVAL_WALK_EN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_LINEVAL_WALK_EN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_LINEVAL_WALK_EN_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_LINEVAL_WALK_EN_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_VAL_SHIFT                    _MK_SHIFT_CONST(17)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_VAL_FIELD                    _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_VAL_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_VAL_RANGE                    20:17
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_VAL_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_VAL_DEFAULT                  _MK_MASK_CONST(0xc)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_VAL_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_VAL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_VAL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_VAL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_VAL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_VAL_SE0                      _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_VAL_FSK                      _MK_ENUM_CONST(1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_VAL_FSJ                      _MK_ENUM_CONST(2)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_VAL_SE1                      _MK_ENUM_CONST(3)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_VAL_DM0                      _MK_ENUM_CONST(4)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_VAL_DM1                      _MK_ENUM_CONST(5)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_VAL_DP0                      _MK_ENUM_CONST(8)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_VAL_DP1                      _MK_ENUM_CONST(10)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_VAL_NONE                     _MK_ENUM_CONST(12)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_VAL_DMEDGE                   _MK_ENUM_CONST(13)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_VAL_DPEDGE                   _MK_ENUM_CONST(14)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_WAKE_VAL_ANY                      _MK_ENUM_CONST(15)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_LINE_WAKEUP_EN_SHIFT                      _MK_SHIFT_CONST(21)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_LINE_WAKEUP_EN_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_2_LINE_WAKEUP_EN_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_LINE_WAKEUP_EN_RANGE                      21:21
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_LINE_WAKEUP_EN_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_LINE_WAKEUP_EN_DEFAULT                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_LINE_WAKEUP_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_LINE_WAKEUP_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_LINE_WAKEUP_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_LINE_WAKEUP_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_LINE_WAKEUP_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_MASTER_CFG_SEL_SHIFT                      _MK_SHIFT_CONST(22)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_MASTER_CFG_SEL_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_2_MASTER_CFG_SEL_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_MASTER_CFG_SEL_RANGE                      22:22
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_MASTER_CFG_SEL_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_MASTER_CFG_SEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_MASTER_CFG_SEL_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_MASTER_CFG_SEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_MASTER_CFG_SEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_MASTER_CFG_SEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_2_MASTER_CFG_SEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register XUSB_AO_UTMIP_SLEEPWALK_CFG_3
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3                   _MK_ADDR_CONST(0xdc)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_SECURE                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_DUAL                      0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_SCR                       0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WORD_COUNT                        0x1
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_RESET_VAL                         _MK_MASK_CONST(0x380001)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_RESET_MASK                        _MK_MASK_CONST(0x7fffff)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_READ_MASK                         _MK_MASK_CONST(0x7fffff)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WRITE_MASK                        _MK_MASK_CONST(0x7fffff)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBOP_VAL_SHIFT                      _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBOP_VAL_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBOP_VAL_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBOP_VAL_RANGE                      0:0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBOP_VAL_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBOP_VAL_DEFAULT                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBOP_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBOP_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBOP_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBOP_VAL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBOP_VAL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBON_VAL_SHIFT                      _MK_SHIFT_CONST(1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBON_VAL_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBON_VAL_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBON_VAL_RANGE                      1:1
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBON_VAL_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBON_VAL_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBON_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBON_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBON_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBON_VAL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBON_VAL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBOP_EN_SHIFT                       _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBOP_EN_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBOP_EN_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBOP_EN_RANGE                       2:2
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBOP_EN_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBOP_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBOP_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBOP_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBOP_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBOP_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBOP_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBON_EN_SHIFT                       _MK_SHIFT_CONST(3)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBON_EN_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBON_EN_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBON_EN_RANGE                       3:3
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBON_EN_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBON_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBON_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBON_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBON_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBON_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_FAKE_USBON_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_RESERVED_SHIFT                    _MK_SHIFT_CONST(4)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_RESERVED_FIELD                    _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_SLEEPWALK_CFG_3_RESERVED_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_RESERVED_RANGE                    7:4
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_RESERVED_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_RESERVED_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_RESERVED_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_RESERVED_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_RESERVED_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_RESERVED_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_RESERVED_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_DESIGNATED_GPIO_SHIFT                     _MK_SHIFT_CONST(8)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_DESIGNATED_GPIO_FIELD                     _MK_FIELD_CONST(0x1f, XUSB_AO_UTMIP_SLEEPWALK_CFG_3_DESIGNATED_GPIO_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_DESIGNATED_GPIO_RANGE                     12:8
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_DESIGNATED_GPIO_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_DESIGNATED_GPIO_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_DESIGNATED_GPIO_DEFAULT_MASK                      _MK_MASK_CONST(0x1f)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_DESIGNATED_GPIO_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_DESIGNATED_GPIO_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_DESIGNATED_GPIO_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_DESIGNATED_GPIO_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_GPIO_WALK_EN_SHIFT                        _MK_SHIFT_CONST(13)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_GPIO_WALK_EN_FIELD                        _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_3_GPIO_WALK_EN_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_GPIO_WALK_EN_RANGE                        13:13
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_GPIO_WALK_EN_WOFFSET                      0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_GPIO_WALK_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_GPIO_WALK_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_GPIO_WALK_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_GPIO_WALK_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_GPIO_WALK_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_GPIO_WALK_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_WALK_EN_SHIFT                        _MK_SHIFT_CONST(14)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_WALK_EN_FIELD                        _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_WALK_EN_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_WALK_EN_RANGE                        14:14
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_WALK_EN_WOFFSET                      0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_WALK_EN_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_WALK_EN_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_WALK_EN_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_WALK_EN_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_WALK_EN_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_WALK_EN_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_MASTER_ENABLE_SHIFT                       _MK_SHIFT_CONST(15)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_MASTER_ENABLE_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_3_MASTER_ENABLE_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_MASTER_ENABLE_RANGE                       15:15
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_MASTER_ENABLE_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_MASTER_ENABLE_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_MASTER_ENABLE_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_MASTER_ENABLE_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_MASTER_ENABLE_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_MASTER_ENABLE_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_MASTER_ENABLE_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_LINEVAL_WALK_EN_SHIFT                     _MK_SHIFT_CONST(16)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_LINEVAL_WALK_EN_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_3_LINEVAL_WALK_EN_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_LINEVAL_WALK_EN_RANGE                     16:16
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_LINEVAL_WALK_EN_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_LINEVAL_WALK_EN_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_LINEVAL_WALK_EN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_LINEVAL_WALK_EN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_LINEVAL_WALK_EN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_LINEVAL_WALK_EN_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_LINEVAL_WALK_EN_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_VAL_SHIFT                    _MK_SHIFT_CONST(17)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_VAL_FIELD                    _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_VAL_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_VAL_RANGE                    20:17
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_VAL_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_VAL_DEFAULT                  _MK_MASK_CONST(0xc)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_VAL_DEFAULT_MASK                     _MK_MASK_CONST(0xf)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_VAL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_VAL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_VAL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_VAL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_VAL_SE0                      _MK_ENUM_CONST(0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_VAL_FSK                      _MK_ENUM_CONST(1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_VAL_FSJ                      _MK_ENUM_CONST(2)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_VAL_SE1                      _MK_ENUM_CONST(3)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_VAL_DM0                      _MK_ENUM_CONST(4)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_VAL_DM1                      _MK_ENUM_CONST(5)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_VAL_DP0                      _MK_ENUM_CONST(8)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_VAL_DP1                      _MK_ENUM_CONST(10)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_VAL_NONE                     _MK_ENUM_CONST(12)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_VAL_DMEDGE                   _MK_ENUM_CONST(13)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_VAL_DPEDGE                   _MK_ENUM_CONST(14)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_WAKE_VAL_ANY                      _MK_ENUM_CONST(15)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_LINE_WAKEUP_EN_SHIFT                      _MK_SHIFT_CONST(21)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_LINE_WAKEUP_EN_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_3_LINE_WAKEUP_EN_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_LINE_WAKEUP_EN_RANGE                      21:21
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_LINE_WAKEUP_EN_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_LINE_WAKEUP_EN_DEFAULT                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_LINE_WAKEUP_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_LINE_WAKEUP_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_LINE_WAKEUP_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_LINE_WAKEUP_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_LINE_WAKEUP_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_MASTER_CFG_SEL_SHIFT                      _MK_SHIFT_CONST(22)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_MASTER_CFG_SEL_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_CFG_3_MASTER_CFG_SEL_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_MASTER_CFG_SEL_RANGE                      22:22
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_MASTER_CFG_SEL_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_MASTER_CFG_SEL_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_MASTER_CFG_SEL_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_MASTER_CFG_SEL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_MASTER_CFG_SEL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_MASTER_CFG_SEL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_CFG_3_MASTER_CFG_SEL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Reserved address 0xe0

// Reserved address 0xe4

// Reserved address 0xe8

// Reserved address 0xec

// Reserved address 0xf0

// Reserved address 0xf4

// Reserved address 0xf8

// Reserved address 0xfc

// Register XUSB_AO_UTMIP_SLEEPWALK_0
#define XUSB_AO_UTMIP_SLEEPWALK_0                       _MK_ADDR_CONST(0x100)
#define XUSB_AO_UTMIP_SLEEPWALK_0_SECURE                        0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_DUAL                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_SCR                   0
#define XUSB_AO_UTMIP_SLEEPWALK_0_WORD_COUNT                    0x1
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESET_VAL                     _MK_MASK_CONST(0x23232363)
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define XUSB_AO_UTMIP_SLEEPWALK_0_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define XUSB_AO_UTMIP_SLEEPWALK_0_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_A_SHIFT                     _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_A_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_A_RANGE                     0:0
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_A_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_A_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_A_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_A_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_A_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_A_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_A_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_A_SHIFT                     _MK_SHIFT_CONST(1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_A_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_A_RANGE                     1:1
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_A_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_A_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_A_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_A_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_A_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_A_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_A_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_A_SHIFT                     _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_A_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_A_RANGE                     2:2
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_A_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_A_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_A_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_A_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_A_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_A_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_A_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_A_SHIFT                     _MK_SHIFT_CONST(3)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_A_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_A_RANGE                     3:3
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_A_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_A_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_A_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_A_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_A_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_A_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_A_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_A_SHIFT                    _MK_SHIFT_CONST(4)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_A_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_AP_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_A_RANGE                    4:4
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_A_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_A_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_A_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_A_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_A_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_A_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_A_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_A_SHIFT                    _MK_SHIFT_CONST(5)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_A_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_AN_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_A_RANGE                    5:5
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_A_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_A_DEFAULT                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_A_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_A_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_A_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_A_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_A_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_A_SHIFT                 _MK_SHIFT_CONST(6)
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_A_FIELD                 _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_A_RANGE                 6:6
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_A_WOFFSET                       0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_A_DEFAULT                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_A_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_A_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_A_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_A_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_A_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_A_SHIFT                      _MK_SHIFT_CONST(7)
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_A_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_A_RANGE                      7:7
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_A_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_A_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_A_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_A_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_A_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_A_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_A_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_B_SHIFT                     _MK_SHIFT_CONST(8)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_B_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_B_RANGE                     8:8
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_B_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_B_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_B_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_B_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_B_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_B_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_B_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_B_SHIFT                     _MK_SHIFT_CONST(9)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_B_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_B_RANGE                     9:9
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_B_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_B_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_B_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_B_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_B_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_B_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_B_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_B_SHIFT                     _MK_SHIFT_CONST(10)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_B_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_B_RANGE                     10:10
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_B_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_B_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_B_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_B_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_B_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_B_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_B_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_B_SHIFT                     _MK_SHIFT_CONST(11)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_B_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_B_RANGE                     11:11
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_B_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_B_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_B_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_B_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_B_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_B_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_B_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_B_SHIFT                    _MK_SHIFT_CONST(12)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_B_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_AP_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_B_RANGE                    12:12
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_B_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_B_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_B_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_B_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_B_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_B_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_B_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_B_SHIFT                    _MK_SHIFT_CONST(13)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_B_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_AN_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_B_RANGE                    13:13
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_B_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_B_DEFAULT                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_B_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_B_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_B_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_B_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_B_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_B_SHIFT                 _MK_SHIFT_CONST(14)
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_B_FIELD                 _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_B_RANGE                 14:14
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_B_WOFFSET                       0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_B_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_B_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_B_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_B_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_B_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_B_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_B_SHIFT                      _MK_SHIFT_CONST(15)
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_B_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_B_RANGE                      15:15
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_B_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_B_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_B_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_B_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_B_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_B_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_B_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_C_SHIFT                     _MK_SHIFT_CONST(16)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_C_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_C_RANGE                     16:16
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_C_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_C_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_C_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_C_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_C_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_C_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_C_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_C_SHIFT                     _MK_SHIFT_CONST(17)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_C_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_C_RANGE                     17:17
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_C_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_C_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_C_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_C_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_C_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_C_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_C_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_C_SHIFT                     _MK_SHIFT_CONST(18)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_C_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_C_RANGE                     18:18
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_C_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_C_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_C_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_C_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_C_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_C_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_C_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_C_SHIFT                     _MK_SHIFT_CONST(19)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_C_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_C_RANGE                     19:19
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_C_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_C_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_C_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_C_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_C_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_C_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_C_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_C_SHIFT                    _MK_SHIFT_CONST(20)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_C_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_AP_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_C_RANGE                    20:20
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_C_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_C_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_C_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_C_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_C_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_C_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_C_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_C_SHIFT                    _MK_SHIFT_CONST(21)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_C_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_AN_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_C_RANGE                    21:21
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_C_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_C_DEFAULT                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_C_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_C_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_C_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_C_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_C_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_C_SHIFT                 _MK_SHIFT_CONST(22)
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_C_FIELD                 _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_C_RANGE                 22:22
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_C_WOFFSET                       0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_C_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_C_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_C_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_C_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_C_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_C_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_C_SHIFT                      _MK_SHIFT_CONST(23)
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_C_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_C_RANGE                      23:23
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_C_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_C_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_C_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_C_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_C_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_C_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_C_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_D_SHIFT                     _MK_SHIFT_CONST(24)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_D_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_D_RANGE                     24:24
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_D_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_D_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_D_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_D_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_D_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_D_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPD_D_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_D_SHIFT                     _MK_SHIFT_CONST(25)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_D_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_D_RANGE                     25:25
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_D_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_D_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_D_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_D_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_D_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_D_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPD_D_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_D_SHIFT                     _MK_SHIFT_CONST(26)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_D_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_D_RANGE                     26:26
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_D_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_D_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_D_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_D_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_D_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_D_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBOP_RPU_D_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_D_SHIFT                     _MK_SHIFT_CONST(27)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_D_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_D_RANGE                     27:27
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_D_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_D_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_D_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_D_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_D_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_D_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_USBON_RPU_D_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_D_SHIFT                    _MK_SHIFT_CONST(28)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_D_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_AP_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_D_RANGE                    28:28
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_D_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_D_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_D_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_D_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_D_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_D_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AP_D_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_D_SHIFT                    _MK_SHIFT_CONST(29)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_D_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_AN_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_D_RANGE                    29:29
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_D_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_D_DEFAULT                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_D_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_D_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_D_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_D_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_AN_D_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_D_SHIFT                 _MK_SHIFT_CONST(30)
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_D_FIELD                 _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_D_RANGE                 30:30
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_D_WOFFSET                       0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_D_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_D_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_D_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_D_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_D_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_HIGHZ_D_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_D_SHIFT                      _MK_SHIFT_CONST(31)
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_D_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_D_RANGE                      31:31
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_D_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_D_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_D_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_D_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_D_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_D_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_0_RESERVED_D_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register XUSB_AO_UTMIP_SLEEPWALK
#define XUSB_AO_UTMIP_SLEEPWALK                 _MK_ADDR_CONST(0x100)
#define XUSB_AO_UTMIP_SLEEPWALK_SECURE                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_DUAL                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_SCR                     0
#define XUSB_AO_UTMIP_SLEEPWALK_WORD_COUNT                      0x1
#define XUSB_AO_UTMIP_SLEEPWALK_RESET_VAL                       _MK_MASK_CONST(0x23232363)
#define XUSB_AO_UTMIP_SLEEPWALK_RESET_MASK                      _MK_MASK_CONST(0xffffffff)
#define XUSB_AO_UTMIP_SLEEPWALK_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_READ_MASK                       _MK_MASK_CONST(0xffffffff)
#define XUSB_AO_UTMIP_SLEEPWALK_WRITE_MASK                      _MK_MASK_CONST(0xffffffff)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_A_SHIFT                       _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_A_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_A_RANGE                       0:0
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_A_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_A_DEFAULT                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_A_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_A_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_A_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_A_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_A_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_A_SHIFT                       _MK_SHIFT_CONST(1)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_A_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_A_RANGE                       1:1
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_A_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_A_DEFAULT                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_A_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_A_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_A_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_A_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_A_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_A_SHIFT                       _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_A_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_A_RANGE                       2:2
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_A_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_A_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_A_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_A_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_A_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_A_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_A_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_A_SHIFT                       _MK_SHIFT_CONST(3)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_A_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_A_RANGE                       3:3
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_A_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_A_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_A_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_A_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_A_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_A_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_A_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_AP_A_SHIFT                      _MK_SHIFT_CONST(4)
#define XUSB_AO_UTMIP_SLEEPWALK_AP_A_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_AP_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_AP_A_RANGE                      4:4
#define XUSB_AO_UTMIP_SLEEPWALK_AP_A_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_AP_A_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_AP_A_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_AP_A_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_AP_A_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_AP_A_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_AP_A_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_AN_A_SHIFT                      _MK_SHIFT_CONST(5)
#define XUSB_AO_UTMIP_SLEEPWALK_AN_A_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_AN_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_AN_A_RANGE                      5:5
#define XUSB_AO_UTMIP_SLEEPWALK_AN_A_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_AN_A_DEFAULT                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_AN_A_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_AN_A_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_AN_A_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_AN_A_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_AN_A_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_A_SHIFT                   _MK_SHIFT_CONST(6)
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_A_FIELD                   _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_A_RANGE                   6:6
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_A_WOFFSET                 0x0
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_A_DEFAULT                 _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_A_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_A_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_A_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_A_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_A_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_A_SHIFT                        _MK_SHIFT_CONST(7)
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_A_FIELD                        _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_RESERVED_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_A_RANGE                        7:7
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_A_WOFFSET                      0x0
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_A_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_A_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_A_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_A_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_A_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_A_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_B_SHIFT                       _MK_SHIFT_CONST(8)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_B_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_B_RANGE                       8:8
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_B_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_B_DEFAULT                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_B_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_B_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_B_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_B_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_B_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_B_SHIFT                       _MK_SHIFT_CONST(9)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_B_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_B_RANGE                       9:9
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_B_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_B_DEFAULT                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_B_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_B_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_B_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_B_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_B_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_B_SHIFT                       _MK_SHIFT_CONST(10)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_B_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_B_RANGE                       10:10
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_B_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_B_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_B_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_B_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_B_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_B_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_B_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_B_SHIFT                       _MK_SHIFT_CONST(11)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_B_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_B_RANGE                       11:11
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_B_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_B_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_B_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_B_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_B_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_B_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_B_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_AP_B_SHIFT                      _MK_SHIFT_CONST(12)
#define XUSB_AO_UTMIP_SLEEPWALK_AP_B_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_AP_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_AP_B_RANGE                      12:12
#define XUSB_AO_UTMIP_SLEEPWALK_AP_B_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_AP_B_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_AP_B_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_AP_B_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_AP_B_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_AP_B_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_AP_B_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_AN_B_SHIFT                      _MK_SHIFT_CONST(13)
#define XUSB_AO_UTMIP_SLEEPWALK_AN_B_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_AN_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_AN_B_RANGE                      13:13
#define XUSB_AO_UTMIP_SLEEPWALK_AN_B_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_AN_B_DEFAULT                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_AN_B_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_AN_B_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_AN_B_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_AN_B_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_AN_B_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_B_SHIFT                   _MK_SHIFT_CONST(14)
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_B_FIELD                   _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_B_RANGE                   14:14
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_B_WOFFSET                 0x0
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_B_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_B_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_B_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_B_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_B_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_B_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_B_SHIFT                        _MK_SHIFT_CONST(15)
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_B_FIELD                        _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_RESERVED_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_B_RANGE                        15:15
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_B_WOFFSET                      0x0
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_B_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_B_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_B_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_B_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_B_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_B_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_C_SHIFT                       _MK_SHIFT_CONST(16)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_C_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_C_RANGE                       16:16
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_C_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_C_DEFAULT                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_C_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_C_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_C_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_C_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_C_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_C_SHIFT                       _MK_SHIFT_CONST(17)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_C_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_C_RANGE                       17:17
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_C_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_C_DEFAULT                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_C_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_C_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_C_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_C_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_C_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_C_SHIFT                       _MK_SHIFT_CONST(18)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_C_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_C_RANGE                       18:18
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_C_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_C_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_C_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_C_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_C_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_C_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_C_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_C_SHIFT                       _MK_SHIFT_CONST(19)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_C_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_C_RANGE                       19:19
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_C_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_C_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_C_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_C_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_C_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_C_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_C_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_AP_C_SHIFT                      _MK_SHIFT_CONST(20)
#define XUSB_AO_UTMIP_SLEEPWALK_AP_C_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_AP_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_AP_C_RANGE                      20:20
#define XUSB_AO_UTMIP_SLEEPWALK_AP_C_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_AP_C_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_AP_C_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_AP_C_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_AP_C_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_AP_C_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_AP_C_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_AN_C_SHIFT                      _MK_SHIFT_CONST(21)
#define XUSB_AO_UTMIP_SLEEPWALK_AN_C_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_AN_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_AN_C_RANGE                      21:21
#define XUSB_AO_UTMIP_SLEEPWALK_AN_C_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_AN_C_DEFAULT                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_AN_C_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_AN_C_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_AN_C_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_AN_C_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_AN_C_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_C_SHIFT                   _MK_SHIFT_CONST(22)
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_C_FIELD                   _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_C_RANGE                   22:22
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_C_WOFFSET                 0x0
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_C_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_C_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_C_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_C_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_C_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_C_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_C_SHIFT                        _MK_SHIFT_CONST(23)
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_C_FIELD                        _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_RESERVED_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_C_RANGE                        23:23
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_C_WOFFSET                      0x0
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_C_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_C_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_C_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_C_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_C_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_C_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_D_SHIFT                       _MK_SHIFT_CONST(24)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_D_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_D_RANGE                       24:24
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_D_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_D_DEFAULT                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_D_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_D_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_D_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_D_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPD_D_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_D_SHIFT                       _MK_SHIFT_CONST(25)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_D_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_D_RANGE                       25:25
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_D_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_D_DEFAULT                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_D_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_D_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_D_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_D_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPD_D_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_D_SHIFT                       _MK_SHIFT_CONST(26)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_D_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_D_RANGE                       26:26
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_D_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_D_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_D_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_D_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_D_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_D_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBOP_RPU_D_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_D_SHIFT                       _MK_SHIFT_CONST(27)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_D_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_D_RANGE                       27:27
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_D_WOFFSET                     0x0
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_D_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_D_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_D_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_D_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_D_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_USBON_RPU_D_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_AP_D_SHIFT                      _MK_SHIFT_CONST(28)
#define XUSB_AO_UTMIP_SLEEPWALK_AP_D_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_AP_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_AP_D_RANGE                      28:28
#define XUSB_AO_UTMIP_SLEEPWALK_AP_D_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_AP_D_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_AP_D_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_AP_D_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_AP_D_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_AP_D_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_AP_D_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_AN_D_SHIFT                      _MK_SHIFT_CONST(29)
#define XUSB_AO_UTMIP_SLEEPWALK_AN_D_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_AN_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_AN_D_RANGE                      29:29
#define XUSB_AO_UTMIP_SLEEPWALK_AN_D_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_AN_D_DEFAULT                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_AN_D_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_AN_D_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_AN_D_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_AN_D_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_AN_D_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_D_SHIFT                   _MK_SHIFT_CONST(30)
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_D_FIELD                   _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_D_RANGE                   30:30
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_D_WOFFSET                 0x0
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_D_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_D_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_D_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_D_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_D_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_HIGHZ_D_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_D_SHIFT                        _MK_SHIFT_CONST(31)
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_D_FIELD                        _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_RESERVED_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_D_RANGE                        31:31
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_D_WOFFSET                      0x0
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_D_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_D_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_D_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_D_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_D_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_RESERVED_D_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)


// Register XUSB_AO_UTMIP_SLEEPWALK_1
#define XUSB_AO_UTMIP_SLEEPWALK_1                       _MK_ADDR_CONST(0x104)
#define XUSB_AO_UTMIP_SLEEPWALK_1_SECURE                        0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_DUAL                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_SCR                   0
#define XUSB_AO_UTMIP_SLEEPWALK_1_WORD_COUNT                    0x1
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESET_VAL                     _MK_MASK_CONST(0x23232363)
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define XUSB_AO_UTMIP_SLEEPWALK_1_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define XUSB_AO_UTMIP_SLEEPWALK_1_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_A_SHIFT                     _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_A_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_A_RANGE                     0:0
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_A_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_A_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_A_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_A_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_A_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_A_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_A_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_A_SHIFT                     _MK_SHIFT_CONST(1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_A_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_A_RANGE                     1:1
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_A_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_A_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_A_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_A_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_A_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_A_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_A_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_A_SHIFT                     _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_A_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_A_RANGE                     2:2
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_A_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_A_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_A_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_A_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_A_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_A_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_A_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_A_SHIFT                     _MK_SHIFT_CONST(3)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_A_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_A_RANGE                     3:3
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_A_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_A_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_A_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_A_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_A_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_A_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_A_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_A_SHIFT                    _MK_SHIFT_CONST(4)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_A_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_AP_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_A_RANGE                    4:4
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_A_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_A_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_A_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_A_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_A_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_A_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_A_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_A_SHIFT                    _MK_SHIFT_CONST(5)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_A_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_AN_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_A_RANGE                    5:5
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_A_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_A_DEFAULT                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_A_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_A_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_A_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_A_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_A_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_A_SHIFT                 _MK_SHIFT_CONST(6)
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_A_FIELD                 _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_A_RANGE                 6:6
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_A_WOFFSET                       0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_A_DEFAULT                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_A_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_A_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_A_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_A_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_A_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_A_SHIFT                      _MK_SHIFT_CONST(7)
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_A_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_A_RANGE                      7:7
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_A_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_A_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_A_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_A_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_A_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_A_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_A_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_B_SHIFT                     _MK_SHIFT_CONST(8)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_B_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_B_RANGE                     8:8
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_B_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_B_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_B_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_B_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_B_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_B_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_B_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_B_SHIFT                     _MK_SHIFT_CONST(9)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_B_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_B_RANGE                     9:9
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_B_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_B_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_B_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_B_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_B_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_B_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_B_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_B_SHIFT                     _MK_SHIFT_CONST(10)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_B_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_B_RANGE                     10:10
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_B_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_B_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_B_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_B_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_B_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_B_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_B_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_B_SHIFT                     _MK_SHIFT_CONST(11)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_B_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_B_RANGE                     11:11
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_B_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_B_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_B_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_B_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_B_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_B_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_B_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_B_SHIFT                    _MK_SHIFT_CONST(12)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_B_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_AP_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_B_RANGE                    12:12
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_B_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_B_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_B_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_B_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_B_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_B_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_B_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_B_SHIFT                    _MK_SHIFT_CONST(13)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_B_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_AN_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_B_RANGE                    13:13
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_B_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_B_DEFAULT                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_B_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_B_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_B_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_B_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_B_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_B_SHIFT                 _MK_SHIFT_CONST(14)
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_B_FIELD                 _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_B_RANGE                 14:14
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_B_WOFFSET                       0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_B_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_B_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_B_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_B_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_B_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_B_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_B_SHIFT                      _MK_SHIFT_CONST(15)
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_B_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_B_RANGE                      15:15
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_B_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_B_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_B_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_B_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_B_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_B_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_B_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_C_SHIFT                     _MK_SHIFT_CONST(16)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_C_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_C_RANGE                     16:16
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_C_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_C_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_C_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_C_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_C_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_C_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_C_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_C_SHIFT                     _MK_SHIFT_CONST(17)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_C_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_C_RANGE                     17:17
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_C_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_C_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_C_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_C_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_C_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_C_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_C_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_C_SHIFT                     _MK_SHIFT_CONST(18)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_C_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_C_RANGE                     18:18
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_C_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_C_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_C_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_C_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_C_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_C_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_C_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_C_SHIFT                     _MK_SHIFT_CONST(19)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_C_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_C_RANGE                     19:19
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_C_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_C_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_C_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_C_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_C_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_C_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_C_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_C_SHIFT                    _MK_SHIFT_CONST(20)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_C_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_AP_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_C_RANGE                    20:20
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_C_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_C_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_C_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_C_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_C_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_C_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_C_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_C_SHIFT                    _MK_SHIFT_CONST(21)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_C_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_AN_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_C_RANGE                    21:21
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_C_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_C_DEFAULT                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_C_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_C_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_C_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_C_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_C_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_C_SHIFT                 _MK_SHIFT_CONST(22)
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_C_FIELD                 _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_C_RANGE                 22:22
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_C_WOFFSET                       0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_C_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_C_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_C_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_C_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_C_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_C_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_C_SHIFT                      _MK_SHIFT_CONST(23)
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_C_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_C_RANGE                      23:23
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_C_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_C_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_C_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_C_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_C_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_C_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_C_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_D_SHIFT                     _MK_SHIFT_CONST(24)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_D_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_D_RANGE                     24:24
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_D_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_D_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_D_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_D_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_D_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_D_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPD_D_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_D_SHIFT                     _MK_SHIFT_CONST(25)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_D_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_D_RANGE                     25:25
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_D_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_D_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_D_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_D_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_D_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_D_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPD_D_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_D_SHIFT                     _MK_SHIFT_CONST(26)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_D_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_D_RANGE                     26:26
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_D_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_D_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_D_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_D_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_D_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_D_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBOP_RPU_D_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_D_SHIFT                     _MK_SHIFT_CONST(27)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_D_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_D_RANGE                     27:27
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_D_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_D_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_D_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_D_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_D_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_D_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_USBON_RPU_D_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_D_SHIFT                    _MK_SHIFT_CONST(28)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_D_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_AP_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_D_RANGE                    28:28
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_D_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_D_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_D_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_D_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_D_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_D_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AP_D_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_D_SHIFT                    _MK_SHIFT_CONST(29)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_D_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_AN_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_D_RANGE                    29:29
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_D_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_D_DEFAULT                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_D_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_D_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_D_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_D_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_AN_D_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_D_SHIFT                 _MK_SHIFT_CONST(30)
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_D_FIELD                 _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_D_RANGE                 30:30
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_D_WOFFSET                       0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_D_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_D_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_D_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_D_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_D_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_HIGHZ_D_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_D_SHIFT                      _MK_SHIFT_CONST(31)
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_D_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_D_RANGE                      31:31
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_D_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_D_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_D_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_D_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_D_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_D_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_1_RESERVED_D_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register XUSB_AO_UTMIP_SLEEPWALK_2
#define XUSB_AO_UTMIP_SLEEPWALK_2                       _MK_ADDR_CONST(0x108)
#define XUSB_AO_UTMIP_SLEEPWALK_2_SECURE                        0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_DUAL                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_SCR                   0
#define XUSB_AO_UTMIP_SLEEPWALK_2_WORD_COUNT                    0x1
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESET_VAL                     _MK_MASK_CONST(0x23232363)
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define XUSB_AO_UTMIP_SLEEPWALK_2_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define XUSB_AO_UTMIP_SLEEPWALK_2_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_A_SHIFT                     _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_A_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_A_RANGE                     0:0
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_A_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_A_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_A_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_A_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_A_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_A_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_A_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_A_SHIFT                     _MK_SHIFT_CONST(1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_A_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_A_RANGE                     1:1
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_A_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_A_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_A_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_A_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_A_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_A_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_A_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_A_SHIFT                     _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_A_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_A_RANGE                     2:2
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_A_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_A_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_A_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_A_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_A_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_A_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_A_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_A_SHIFT                     _MK_SHIFT_CONST(3)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_A_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_A_RANGE                     3:3
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_A_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_A_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_A_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_A_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_A_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_A_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_A_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_A_SHIFT                    _MK_SHIFT_CONST(4)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_A_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_AP_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_A_RANGE                    4:4
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_A_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_A_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_A_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_A_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_A_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_A_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_A_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_A_SHIFT                    _MK_SHIFT_CONST(5)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_A_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_AN_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_A_RANGE                    5:5
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_A_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_A_DEFAULT                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_A_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_A_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_A_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_A_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_A_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_A_SHIFT                 _MK_SHIFT_CONST(6)
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_A_FIELD                 _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_A_RANGE                 6:6
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_A_WOFFSET                       0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_A_DEFAULT                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_A_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_A_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_A_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_A_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_A_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_A_SHIFT                      _MK_SHIFT_CONST(7)
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_A_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_A_RANGE                      7:7
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_A_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_A_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_A_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_A_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_A_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_A_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_A_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_B_SHIFT                     _MK_SHIFT_CONST(8)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_B_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_B_RANGE                     8:8
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_B_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_B_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_B_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_B_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_B_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_B_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_B_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_B_SHIFT                     _MK_SHIFT_CONST(9)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_B_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_B_RANGE                     9:9
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_B_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_B_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_B_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_B_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_B_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_B_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_B_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_B_SHIFT                     _MK_SHIFT_CONST(10)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_B_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_B_RANGE                     10:10
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_B_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_B_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_B_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_B_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_B_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_B_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_B_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_B_SHIFT                     _MK_SHIFT_CONST(11)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_B_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_B_RANGE                     11:11
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_B_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_B_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_B_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_B_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_B_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_B_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_B_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_B_SHIFT                    _MK_SHIFT_CONST(12)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_B_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_AP_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_B_RANGE                    12:12
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_B_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_B_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_B_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_B_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_B_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_B_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_B_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_B_SHIFT                    _MK_SHIFT_CONST(13)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_B_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_AN_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_B_RANGE                    13:13
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_B_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_B_DEFAULT                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_B_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_B_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_B_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_B_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_B_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_B_SHIFT                 _MK_SHIFT_CONST(14)
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_B_FIELD                 _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_B_RANGE                 14:14
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_B_WOFFSET                       0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_B_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_B_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_B_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_B_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_B_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_B_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_B_SHIFT                      _MK_SHIFT_CONST(15)
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_B_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_B_RANGE                      15:15
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_B_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_B_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_B_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_B_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_B_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_B_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_B_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_C_SHIFT                     _MK_SHIFT_CONST(16)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_C_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_C_RANGE                     16:16
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_C_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_C_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_C_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_C_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_C_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_C_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_C_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_C_SHIFT                     _MK_SHIFT_CONST(17)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_C_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_C_RANGE                     17:17
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_C_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_C_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_C_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_C_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_C_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_C_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_C_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_C_SHIFT                     _MK_SHIFT_CONST(18)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_C_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_C_RANGE                     18:18
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_C_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_C_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_C_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_C_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_C_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_C_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_C_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_C_SHIFT                     _MK_SHIFT_CONST(19)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_C_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_C_RANGE                     19:19
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_C_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_C_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_C_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_C_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_C_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_C_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_C_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_C_SHIFT                    _MK_SHIFT_CONST(20)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_C_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_AP_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_C_RANGE                    20:20
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_C_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_C_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_C_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_C_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_C_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_C_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_C_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_C_SHIFT                    _MK_SHIFT_CONST(21)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_C_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_AN_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_C_RANGE                    21:21
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_C_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_C_DEFAULT                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_C_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_C_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_C_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_C_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_C_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_C_SHIFT                 _MK_SHIFT_CONST(22)
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_C_FIELD                 _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_C_RANGE                 22:22
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_C_WOFFSET                       0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_C_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_C_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_C_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_C_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_C_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_C_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_C_SHIFT                      _MK_SHIFT_CONST(23)
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_C_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_C_RANGE                      23:23
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_C_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_C_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_C_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_C_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_C_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_C_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_C_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_D_SHIFT                     _MK_SHIFT_CONST(24)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_D_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_D_RANGE                     24:24
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_D_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_D_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_D_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_D_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_D_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_D_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPD_D_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_D_SHIFT                     _MK_SHIFT_CONST(25)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_D_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_D_RANGE                     25:25
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_D_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_D_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_D_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_D_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_D_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_D_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPD_D_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_D_SHIFT                     _MK_SHIFT_CONST(26)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_D_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_D_RANGE                     26:26
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_D_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_D_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_D_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_D_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_D_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_D_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBOP_RPU_D_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_D_SHIFT                     _MK_SHIFT_CONST(27)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_D_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_D_RANGE                     27:27
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_D_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_D_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_D_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_D_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_D_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_D_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_USBON_RPU_D_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_D_SHIFT                    _MK_SHIFT_CONST(28)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_D_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_AP_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_D_RANGE                    28:28
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_D_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_D_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_D_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_D_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_D_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_D_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AP_D_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_D_SHIFT                    _MK_SHIFT_CONST(29)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_D_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_AN_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_D_RANGE                    29:29
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_D_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_D_DEFAULT                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_D_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_D_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_D_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_D_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_AN_D_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_D_SHIFT                 _MK_SHIFT_CONST(30)
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_D_FIELD                 _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_D_RANGE                 30:30
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_D_WOFFSET                       0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_D_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_D_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_D_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_D_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_D_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_HIGHZ_D_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_D_SHIFT                      _MK_SHIFT_CONST(31)
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_D_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_D_RANGE                      31:31
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_D_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_D_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_D_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_D_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_D_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_D_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_2_RESERVED_D_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register XUSB_AO_UTMIP_SLEEPWALK_3
#define XUSB_AO_UTMIP_SLEEPWALK_3                       _MK_ADDR_CONST(0x10c)
#define XUSB_AO_UTMIP_SLEEPWALK_3_SECURE                        0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_DUAL                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_SCR                   0
#define XUSB_AO_UTMIP_SLEEPWALK_3_WORD_COUNT                    0x1
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESET_VAL                     _MK_MASK_CONST(0x23232363)
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESET_MASK                    _MK_MASK_CONST(0xffffffff)
#define XUSB_AO_UTMIP_SLEEPWALK_3_SW_DEFAULT_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_READ_MASK                     _MK_MASK_CONST(0xffffffff)
#define XUSB_AO_UTMIP_SLEEPWALK_3_WRITE_MASK                    _MK_MASK_CONST(0xffffffff)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_A_SHIFT                     _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_A_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_A_RANGE                     0:0
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_A_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_A_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_A_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_A_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_A_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_A_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_A_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_A_SHIFT                     _MK_SHIFT_CONST(1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_A_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_A_RANGE                     1:1
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_A_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_A_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_A_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_A_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_A_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_A_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_A_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_A_SHIFT                     _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_A_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_A_RANGE                     2:2
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_A_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_A_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_A_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_A_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_A_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_A_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_A_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_A_SHIFT                     _MK_SHIFT_CONST(3)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_A_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_A_RANGE                     3:3
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_A_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_A_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_A_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_A_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_A_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_A_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_A_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_A_SHIFT                    _MK_SHIFT_CONST(4)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_A_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_AP_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_A_RANGE                    4:4
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_A_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_A_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_A_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_A_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_A_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_A_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_A_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_A_SHIFT                    _MK_SHIFT_CONST(5)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_A_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_AN_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_A_RANGE                    5:5
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_A_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_A_DEFAULT                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_A_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_A_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_A_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_A_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_A_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_A_SHIFT                 _MK_SHIFT_CONST(6)
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_A_FIELD                 _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_A_RANGE                 6:6
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_A_WOFFSET                       0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_A_DEFAULT                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_A_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_A_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_A_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_A_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_A_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_A_SHIFT                      _MK_SHIFT_CONST(7)
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_A_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_A_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_A_RANGE                      7:7
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_A_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_A_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_A_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_A_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_A_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_A_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_A_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_B_SHIFT                     _MK_SHIFT_CONST(8)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_B_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_B_RANGE                     8:8
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_B_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_B_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_B_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_B_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_B_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_B_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_B_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_B_SHIFT                     _MK_SHIFT_CONST(9)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_B_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_B_RANGE                     9:9
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_B_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_B_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_B_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_B_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_B_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_B_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_B_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_B_SHIFT                     _MK_SHIFT_CONST(10)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_B_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_B_RANGE                     10:10
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_B_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_B_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_B_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_B_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_B_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_B_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_B_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_B_SHIFT                     _MK_SHIFT_CONST(11)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_B_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_B_RANGE                     11:11
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_B_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_B_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_B_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_B_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_B_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_B_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_B_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_B_SHIFT                    _MK_SHIFT_CONST(12)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_B_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_AP_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_B_RANGE                    12:12
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_B_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_B_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_B_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_B_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_B_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_B_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_B_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_B_SHIFT                    _MK_SHIFT_CONST(13)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_B_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_AN_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_B_RANGE                    13:13
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_B_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_B_DEFAULT                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_B_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_B_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_B_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_B_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_B_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_B_SHIFT                 _MK_SHIFT_CONST(14)
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_B_FIELD                 _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_B_RANGE                 14:14
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_B_WOFFSET                       0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_B_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_B_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_B_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_B_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_B_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_B_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_B_SHIFT                      _MK_SHIFT_CONST(15)
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_B_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_B_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_B_RANGE                      15:15
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_B_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_B_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_B_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_B_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_B_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_B_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_B_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_C_SHIFT                     _MK_SHIFT_CONST(16)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_C_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_C_RANGE                     16:16
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_C_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_C_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_C_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_C_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_C_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_C_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_C_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_C_SHIFT                     _MK_SHIFT_CONST(17)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_C_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_C_RANGE                     17:17
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_C_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_C_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_C_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_C_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_C_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_C_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_C_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_C_SHIFT                     _MK_SHIFT_CONST(18)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_C_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_C_RANGE                     18:18
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_C_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_C_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_C_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_C_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_C_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_C_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_C_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_C_SHIFT                     _MK_SHIFT_CONST(19)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_C_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_C_RANGE                     19:19
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_C_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_C_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_C_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_C_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_C_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_C_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_C_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_C_SHIFT                    _MK_SHIFT_CONST(20)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_C_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_AP_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_C_RANGE                    20:20
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_C_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_C_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_C_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_C_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_C_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_C_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_C_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_C_SHIFT                    _MK_SHIFT_CONST(21)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_C_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_AN_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_C_RANGE                    21:21
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_C_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_C_DEFAULT                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_C_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_C_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_C_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_C_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_C_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_C_SHIFT                 _MK_SHIFT_CONST(22)
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_C_FIELD                 _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_C_RANGE                 22:22
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_C_WOFFSET                       0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_C_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_C_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_C_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_C_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_C_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_C_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_C_SHIFT                      _MK_SHIFT_CONST(23)
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_C_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_C_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_C_RANGE                      23:23
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_C_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_C_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_C_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_C_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_C_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_C_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_C_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_D_SHIFT                     _MK_SHIFT_CONST(24)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_D_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_D_RANGE                     24:24
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_D_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_D_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_D_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_D_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_D_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_D_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPD_D_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_D_SHIFT                     _MK_SHIFT_CONST(25)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_D_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_D_RANGE                     25:25
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_D_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_D_DEFAULT                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_D_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_D_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_D_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_D_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPD_D_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_D_SHIFT                     _MK_SHIFT_CONST(26)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_D_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_D_RANGE                     26:26
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_D_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_D_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_D_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_D_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_D_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_D_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBOP_RPU_D_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_D_SHIFT                     _MK_SHIFT_CONST(27)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_D_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_D_RANGE                     27:27
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_D_WOFFSET                   0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_D_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_D_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_D_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_D_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_D_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_USBON_RPU_D_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_D_SHIFT                    _MK_SHIFT_CONST(28)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_D_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_AP_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_D_RANGE                    28:28
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_D_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_D_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_D_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_D_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_D_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_D_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AP_D_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_D_SHIFT                    _MK_SHIFT_CONST(29)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_D_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_AN_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_D_RANGE                    29:29
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_D_WOFFSET                  0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_D_DEFAULT                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_D_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_D_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_D_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_D_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_AN_D_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_D_SHIFT                 _MK_SHIFT_CONST(30)
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_D_FIELD                 _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_D_RANGE                 30:30
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_D_WOFFSET                       0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_D_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_D_DEFAULT_MASK                  _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_D_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_D_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_D_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_HIGHZ_D_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_D_SHIFT                      _MK_SHIFT_CONST(31)
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_D_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_D_SHIFT)
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_D_RANGE                      31:31
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_D_WOFFSET                    0x0
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_D_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_D_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_D_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_D_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_D_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_SLEEPWALK_3_RESERVED_D_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Reserved address 0x110

// Reserved address 0x114

// Reserved address 0x118

// Reserved address 0x11c

// Reserved address 0x120

// Reserved address 0x124

// Reserved address 0x128

// Reserved address 0x12c

// Register XUSB_AO_UTMIP_PAD_CFG_0
#define XUSB_AO_UTMIP_PAD_CFG_0                 _MK_ADDR_CONST(0x130)
#define XUSB_AO_UTMIP_PAD_CFG_0_SECURE                  0x0
#define XUSB_AO_UTMIP_PAD_CFG_0_DUAL                    0x0
#define XUSB_AO_UTMIP_PAD_CFG_0_SCR                     0
#define XUSB_AO_UTMIP_PAD_CFG_0_WORD_COUNT                      0x1
#define XUSB_AO_UTMIP_PAD_CFG_0_RESET_VAL                       _MK_MASK_CONST(0x300)
#define XUSB_AO_UTMIP_PAD_CFG_0_RESET_MASK                      _MK_MASK_CONST(0xfff)
#define XUSB_AO_UTMIP_PAD_CFG_0_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_READ_MASK                       _MK_MASK_CONST(0xfff)
#define XUSB_AO_UTMIP_PAD_CFG_0_WRITE_MASK                      _MK_MASK_CONST(0xfff)
#define XUSB_AO_UTMIP_PAD_CFG_0_DM_WEAKPD_CFG_SHIFT                     _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_PAD_CFG_0_DM_WEAKPD_CFG_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_0_DM_WEAKPD_CFG_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_0_DM_WEAKPD_CFG_RANGE                     0:0
#define XUSB_AO_UTMIP_PAD_CFG_0_DM_WEAKPD_CFG_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_CFG_0_DM_WEAKPD_CFG_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_DM_WEAKPD_CFG_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_0_DM_WEAKPD_CFG_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_DM_WEAKPD_CFG_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_DM_WEAKPD_CFG_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_DM_WEAKPD_CFG_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_0_DP_WEAKPD_CFG_SHIFT                     _MK_SHIFT_CONST(1)
#define XUSB_AO_UTMIP_PAD_CFG_0_DP_WEAKPD_CFG_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_0_DP_WEAKPD_CFG_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_0_DP_WEAKPD_CFG_RANGE                     1:1
#define XUSB_AO_UTMIP_PAD_CFG_0_DP_WEAKPD_CFG_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_CFG_0_DP_WEAKPD_CFG_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_DP_WEAKPD_CFG_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_0_DP_WEAKPD_CFG_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_DP_WEAKPD_CFG_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_DP_WEAKPD_CFG_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_DP_WEAKPD_CFG_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_0_WEAKPD_ANYTIME_SHIFT                    _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_PAD_CFG_0_WEAKPD_ANYTIME_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_0_WEAKPD_ANYTIME_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_0_WEAKPD_ANYTIME_RANGE                    2:2
#define XUSB_AO_UTMIP_PAD_CFG_0_WEAKPD_ANYTIME_WOFFSET                  0x0
#define XUSB_AO_UTMIP_PAD_CFG_0_WEAKPD_ANYTIME_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_WEAKPD_ANYTIME_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_0_WEAKPD_ANYTIME_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_WEAKPD_ANYTIME_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_WEAKPD_ANYTIME_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_WEAKPD_ANYTIME_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_0_FSLS_USE_XUSB_AO_SHIFT                  _MK_SHIFT_CONST(3)
#define XUSB_AO_UTMIP_PAD_CFG_0_FSLS_USE_XUSB_AO_FIELD                  _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_0_FSLS_USE_XUSB_AO_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_0_FSLS_USE_XUSB_AO_RANGE                  3:3
#define XUSB_AO_UTMIP_PAD_CFG_0_FSLS_USE_XUSB_AO_WOFFSET                        0x0
#define XUSB_AO_UTMIP_PAD_CFG_0_FSLS_USE_XUSB_AO_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_FSLS_USE_XUSB_AO_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_0_FSLS_USE_XUSB_AO_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_FSLS_USE_XUSB_AO_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_FSLS_USE_XUSB_AO_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_FSLS_USE_XUSB_AO_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_0_TRK_CTRL_USE_XUSB_AO_SHIFT                      _MK_SHIFT_CONST(4)
#define XUSB_AO_UTMIP_PAD_CFG_0_TRK_CTRL_USE_XUSB_AO_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_0_TRK_CTRL_USE_XUSB_AO_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_0_TRK_CTRL_USE_XUSB_AO_RANGE                      4:4
#define XUSB_AO_UTMIP_PAD_CFG_0_TRK_CTRL_USE_XUSB_AO_WOFFSET                    0x0
#define XUSB_AO_UTMIP_PAD_CFG_0_TRK_CTRL_USE_XUSB_AO_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_TRK_CTRL_USE_XUSB_AO_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_0_TRK_CTRL_USE_XUSB_AO_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_TRK_CTRL_USE_XUSB_AO_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_TRK_CTRL_USE_XUSB_AO_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_TRK_CTRL_USE_XUSB_AO_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_0_RPD_CTRL_USE_XUSB_AO_SHIFT                      _MK_SHIFT_CONST(5)
#define XUSB_AO_UTMIP_PAD_CFG_0_RPD_CTRL_USE_XUSB_AO_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_0_RPD_CTRL_USE_XUSB_AO_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_0_RPD_CTRL_USE_XUSB_AO_RANGE                      5:5
#define XUSB_AO_UTMIP_PAD_CFG_0_RPD_CTRL_USE_XUSB_AO_WOFFSET                    0x0
#define XUSB_AO_UTMIP_PAD_CFG_0_RPD_CTRL_USE_XUSB_AO_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_RPD_CTRL_USE_XUSB_AO_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_0_RPD_CTRL_USE_XUSB_AO_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_RPD_CTRL_USE_XUSB_AO_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_RPD_CTRL_USE_XUSB_AO_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_RPD_CTRL_USE_XUSB_AO_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_0_RPU_USE_XUSB_AO_SHIFT                   _MK_SHIFT_CONST(6)
#define XUSB_AO_UTMIP_PAD_CFG_0_RPU_USE_XUSB_AO_FIELD                   _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_0_RPU_USE_XUSB_AO_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_0_RPU_USE_XUSB_AO_RANGE                   6:6
#define XUSB_AO_UTMIP_PAD_CFG_0_RPU_USE_XUSB_AO_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_CFG_0_RPU_USE_XUSB_AO_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_RPU_USE_XUSB_AO_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_0_RPU_USE_XUSB_AO_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_RPU_USE_XUSB_AO_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_RPU_USE_XUSB_AO_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_RPU_USE_XUSB_AO_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_0_VREG_USE_XUSB_AO_SHIFT                  _MK_SHIFT_CONST(7)
#define XUSB_AO_UTMIP_PAD_CFG_0_VREG_USE_XUSB_AO_FIELD                  _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_0_VREG_USE_XUSB_AO_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_0_VREG_USE_XUSB_AO_RANGE                  7:7
#define XUSB_AO_UTMIP_PAD_CFG_0_VREG_USE_XUSB_AO_WOFFSET                        0x0
#define XUSB_AO_UTMIP_PAD_CFG_0_VREG_USE_XUSB_AO_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_VREG_USE_XUSB_AO_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_0_VREG_USE_XUSB_AO_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_VREG_USE_XUSB_AO_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_VREG_USE_XUSB_AO_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_VREG_USE_XUSB_AO_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_0_USBOP_VAL_PD_SHIFT                      _MK_SHIFT_CONST(8)
#define XUSB_AO_UTMIP_PAD_CFG_0_USBOP_VAL_PD_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_0_USBOP_VAL_PD_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_0_USBOP_VAL_PD_RANGE                      8:8
#define XUSB_AO_UTMIP_PAD_CFG_0_USBOP_VAL_PD_WOFFSET                    0x0
#define XUSB_AO_UTMIP_PAD_CFG_0_USBOP_VAL_PD_DEFAULT                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_0_USBOP_VAL_PD_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_0_USBOP_VAL_PD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_USBOP_VAL_PD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_USBOP_VAL_PD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_USBOP_VAL_PD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_0_USBON_VAL_PD_SHIFT                      _MK_SHIFT_CONST(9)
#define XUSB_AO_UTMIP_PAD_CFG_0_USBON_VAL_PD_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_0_USBON_VAL_PD_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_0_USBON_VAL_PD_RANGE                      9:9
#define XUSB_AO_UTMIP_PAD_CFG_0_USBON_VAL_PD_WOFFSET                    0x0
#define XUSB_AO_UTMIP_PAD_CFG_0_USBON_VAL_PD_DEFAULT                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_0_USBON_VAL_PD_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_0_USBON_VAL_PD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_USBON_VAL_PD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_USBON_VAL_PD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_USBON_VAL_PD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_0_E_DPD_OVRD_EN_SHIFT                     _MK_SHIFT_CONST(10)
#define XUSB_AO_UTMIP_PAD_CFG_0_E_DPD_OVRD_EN_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_0_E_DPD_OVRD_EN_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_0_E_DPD_OVRD_EN_RANGE                     10:10
#define XUSB_AO_UTMIP_PAD_CFG_0_E_DPD_OVRD_EN_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_CFG_0_E_DPD_OVRD_EN_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_E_DPD_OVRD_EN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_0_E_DPD_OVRD_EN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_E_DPD_OVRD_EN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_E_DPD_OVRD_EN_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_E_DPD_OVRD_EN_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_0_E_DPD_OVRD_VAL_SHIFT                    _MK_SHIFT_CONST(11)
#define XUSB_AO_UTMIP_PAD_CFG_0_E_DPD_OVRD_VAL_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_0_E_DPD_OVRD_VAL_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_0_E_DPD_OVRD_VAL_RANGE                    11:11
#define XUSB_AO_UTMIP_PAD_CFG_0_E_DPD_OVRD_VAL_WOFFSET                  0x0
#define XUSB_AO_UTMIP_PAD_CFG_0_E_DPD_OVRD_VAL_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_E_DPD_OVRD_VAL_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_0_E_DPD_OVRD_VAL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_E_DPD_OVRD_VAL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_E_DPD_OVRD_VAL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_0_E_DPD_OVRD_VAL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register XUSB_AO_UTMIP_PAD_CFG
#define XUSB_AO_UTMIP_PAD_CFG                   _MK_ADDR_CONST(0x130)
#define XUSB_AO_UTMIP_PAD_CFG_SECURE                    0x0
#define XUSB_AO_UTMIP_PAD_CFG_DUAL                      0x0
#define XUSB_AO_UTMIP_PAD_CFG_SCR                       0
#define XUSB_AO_UTMIP_PAD_CFG_WORD_COUNT                        0x1
#define XUSB_AO_UTMIP_PAD_CFG_RESET_VAL                         _MK_MASK_CONST(0x300)
#define XUSB_AO_UTMIP_PAD_CFG_RESET_MASK                        _MK_MASK_CONST(0xfff)
#define XUSB_AO_UTMIP_PAD_CFG_SW_DEFAULT_VAL                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_READ_MASK                         _MK_MASK_CONST(0xfff)
#define XUSB_AO_UTMIP_PAD_CFG_WRITE_MASK                        _MK_MASK_CONST(0xfff)
#define XUSB_AO_UTMIP_PAD_CFG_DM_WEAKPD_CFG_SHIFT                       _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_PAD_CFG_DM_WEAKPD_CFG_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_DM_WEAKPD_CFG_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_DM_WEAKPD_CFG_RANGE                       0:0
#define XUSB_AO_UTMIP_PAD_CFG_DM_WEAKPD_CFG_WOFFSET                     0x0
#define XUSB_AO_UTMIP_PAD_CFG_DM_WEAKPD_CFG_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_DM_WEAKPD_CFG_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_DM_WEAKPD_CFG_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_DM_WEAKPD_CFG_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_DM_WEAKPD_CFG_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_DM_WEAKPD_CFG_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_DP_WEAKPD_CFG_SHIFT                       _MK_SHIFT_CONST(1)
#define XUSB_AO_UTMIP_PAD_CFG_DP_WEAKPD_CFG_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_DP_WEAKPD_CFG_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_DP_WEAKPD_CFG_RANGE                       1:1
#define XUSB_AO_UTMIP_PAD_CFG_DP_WEAKPD_CFG_WOFFSET                     0x0
#define XUSB_AO_UTMIP_PAD_CFG_DP_WEAKPD_CFG_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_DP_WEAKPD_CFG_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_DP_WEAKPD_CFG_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_DP_WEAKPD_CFG_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_DP_WEAKPD_CFG_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_DP_WEAKPD_CFG_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_WEAKPD_ANYTIME_SHIFT                      _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_PAD_CFG_WEAKPD_ANYTIME_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_WEAKPD_ANYTIME_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_WEAKPD_ANYTIME_RANGE                      2:2
#define XUSB_AO_UTMIP_PAD_CFG_WEAKPD_ANYTIME_WOFFSET                    0x0
#define XUSB_AO_UTMIP_PAD_CFG_WEAKPD_ANYTIME_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_WEAKPD_ANYTIME_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_WEAKPD_ANYTIME_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_WEAKPD_ANYTIME_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_WEAKPD_ANYTIME_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_WEAKPD_ANYTIME_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_FSLS_USE_XUSB_AO_SHIFT                    _MK_SHIFT_CONST(3)
#define XUSB_AO_UTMIP_PAD_CFG_FSLS_USE_XUSB_AO_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_FSLS_USE_XUSB_AO_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_FSLS_USE_XUSB_AO_RANGE                    3:3
#define XUSB_AO_UTMIP_PAD_CFG_FSLS_USE_XUSB_AO_WOFFSET                  0x0
#define XUSB_AO_UTMIP_PAD_CFG_FSLS_USE_XUSB_AO_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_FSLS_USE_XUSB_AO_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_FSLS_USE_XUSB_AO_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_FSLS_USE_XUSB_AO_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_FSLS_USE_XUSB_AO_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_FSLS_USE_XUSB_AO_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_TRK_CTRL_USE_XUSB_AO_SHIFT                        _MK_SHIFT_CONST(4)
#define XUSB_AO_UTMIP_PAD_CFG_TRK_CTRL_USE_XUSB_AO_FIELD                        _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_TRK_CTRL_USE_XUSB_AO_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_TRK_CTRL_USE_XUSB_AO_RANGE                        4:4
#define XUSB_AO_UTMIP_PAD_CFG_TRK_CTRL_USE_XUSB_AO_WOFFSET                      0x0
#define XUSB_AO_UTMIP_PAD_CFG_TRK_CTRL_USE_XUSB_AO_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_TRK_CTRL_USE_XUSB_AO_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_TRK_CTRL_USE_XUSB_AO_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_TRK_CTRL_USE_XUSB_AO_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_TRK_CTRL_USE_XUSB_AO_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_TRK_CTRL_USE_XUSB_AO_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_RPD_CTRL_USE_XUSB_AO_SHIFT                        _MK_SHIFT_CONST(5)
#define XUSB_AO_UTMIP_PAD_CFG_RPD_CTRL_USE_XUSB_AO_FIELD                        _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_RPD_CTRL_USE_XUSB_AO_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_RPD_CTRL_USE_XUSB_AO_RANGE                        5:5
#define XUSB_AO_UTMIP_PAD_CFG_RPD_CTRL_USE_XUSB_AO_WOFFSET                      0x0
#define XUSB_AO_UTMIP_PAD_CFG_RPD_CTRL_USE_XUSB_AO_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_RPD_CTRL_USE_XUSB_AO_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_RPD_CTRL_USE_XUSB_AO_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_RPD_CTRL_USE_XUSB_AO_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_RPD_CTRL_USE_XUSB_AO_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_RPD_CTRL_USE_XUSB_AO_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_RPU_USE_XUSB_AO_SHIFT                     _MK_SHIFT_CONST(6)
#define XUSB_AO_UTMIP_PAD_CFG_RPU_USE_XUSB_AO_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_RPU_USE_XUSB_AO_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_RPU_USE_XUSB_AO_RANGE                     6:6
#define XUSB_AO_UTMIP_PAD_CFG_RPU_USE_XUSB_AO_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_CFG_RPU_USE_XUSB_AO_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_RPU_USE_XUSB_AO_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_RPU_USE_XUSB_AO_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_RPU_USE_XUSB_AO_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_RPU_USE_XUSB_AO_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_RPU_USE_XUSB_AO_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_VREG_USE_XUSB_AO_SHIFT                    _MK_SHIFT_CONST(7)
#define XUSB_AO_UTMIP_PAD_CFG_VREG_USE_XUSB_AO_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_VREG_USE_XUSB_AO_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_VREG_USE_XUSB_AO_RANGE                    7:7
#define XUSB_AO_UTMIP_PAD_CFG_VREG_USE_XUSB_AO_WOFFSET                  0x0
#define XUSB_AO_UTMIP_PAD_CFG_VREG_USE_XUSB_AO_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_VREG_USE_XUSB_AO_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_VREG_USE_XUSB_AO_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_VREG_USE_XUSB_AO_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_VREG_USE_XUSB_AO_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_VREG_USE_XUSB_AO_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_USBOP_VAL_PD_SHIFT                        _MK_SHIFT_CONST(8)
#define XUSB_AO_UTMIP_PAD_CFG_USBOP_VAL_PD_FIELD                        _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_USBOP_VAL_PD_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_USBOP_VAL_PD_RANGE                        8:8
#define XUSB_AO_UTMIP_PAD_CFG_USBOP_VAL_PD_WOFFSET                      0x0
#define XUSB_AO_UTMIP_PAD_CFG_USBOP_VAL_PD_DEFAULT                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_USBOP_VAL_PD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_USBOP_VAL_PD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_USBOP_VAL_PD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_USBOP_VAL_PD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_USBOP_VAL_PD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_USBON_VAL_PD_SHIFT                        _MK_SHIFT_CONST(9)
#define XUSB_AO_UTMIP_PAD_CFG_USBON_VAL_PD_FIELD                        _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_USBON_VAL_PD_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_USBON_VAL_PD_RANGE                        9:9
#define XUSB_AO_UTMIP_PAD_CFG_USBON_VAL_PD_WOFFSET                      0x0
#define XUSB_AO_UTMIP_PAD_CFG_USBON_VAL_PD_DEFAULT                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_USBON_VAL_PD_DEFAULT_MASK                 _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_USBON_VAL_PD_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_USBON_VAL_PD_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_USBON_VAL_PD_PARITY_PROTECTION                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_USBON_VAL_PD_PLATFORM_DEPENDENT                   _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_E_DPD_OVRD_EN_SHIFT                       _MK_SHIFT_CONST(10)
#define XUSB_AO_UTMIP_PAD_CFG_E_DPD_OVRD_EN_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_E_DPD_OVRD_EN_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_E_DPD_OVRD_EN_RANGE                       10:10
#define XUSB_AO_UTMIP_PAD_CFG_E_DPD_OVRD_EN_WOFFSET                     0x0
#define XUSB_AO_UTMIP_PAD_CFG_E_DPD_OVRD_EN_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_E_DPD_OVRD_EN_DEFAULT_MASK                        _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_E_DPD_OVRD_EN_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_E_DPD_OVRD_EN_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_E_DPD_OVRD_EN_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_E_DPD_OVRD_EN_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_E_DPD_OVRD_VAL_SHIFT                      _MK_SHIFT_CONST(11)
#define XUSB_AO_UTMIP_PAD_CFG_E_DPD_OVRD_VAL_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_E_DPD_OVRD_VAL_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_E_DPD_OVRD_VAL_RANGE                      11:11
#define XUSB_AO_UTMIP_PAD_CFG_E_DPD_OVRD_VAL_WOFFSET                    0x0
#define XUSB_AO_UTMIP_PAD_CFG_E_DPD_OVRD_VAL_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_E_DPD_OVRD_VAL_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_E_DPD_OVRD_VAL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_E_DPD_OVRD_VAL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_E_DPD_OVRD_VAL_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_E_DPD_OVRD_VAL_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)


// Register XUSB_AO_UTMIP_PAD_CFG_1
#define XUSB_AO_UTMIP_PAD_CFG_1                 _MK_ADDR_CONST(0x134)
#define XUSB_AO_UTMIP_PAD_CFG_1_SECURE                  0x0
#define XUSB_AO_UTMIP_PAD_CFG_1_DUAL                    0x0
#define XUSB_AO_UTMIP_PAD_CFG_1_SCR                     0
#define XUSB_AO_UTMIP_PAD_CFG_1_WORD_COUNT                      0x1
#define XUSB_AO_UTMIP_PAD_CFG_1_RESET_VAL                       _MK_MASK_CONST(0x300)
#define XUSB_AO_UTMIP_PAD_CFG_1_RESET_MASK                      _MK_MASK_CONST(0xfff)
#define XUSB_AO_UTMIP_PAD_CFG_1_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_READ_MASK                       _MK_MASK_CONST(0xfff)
#define XUSB_AO_UTMIP_PAD_CFG_1_WRITE_MASK                      _MK_MASK_CONST(0xfff)
#define XUSB_AO_UTMIP_PAD_CFG_1_DM_WEAKPD_CFG_SHIFT                     _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_PAD_CFG_1_DM_WEAKPD_CFG_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_1_DM_WEAKPD_CFG_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_1_DM_WEAKPD_CFG_RANGE                     0:0
#define XUSB_AO_UTMIP_PAD_CFG_1_DM_WEAKPD_CFG_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_CFG_1_DM_WEAKPD_CFG_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_DM_WEAKPD_CFG_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_1_DM_WEAKPD_CFG_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_DM_WEAKPD_CFG_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_DM_WEAKPD_CFG_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_DM_WEAKPD_CFG_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_1_DP_WEAKPD_CFG_SHIFT                     _MK_SHIFT_CONST(1)
#define XUSB_AO_UTMIP_PAD_CFG_1_DP_WEAKPD_CFG_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_1_DP_WEAKPD_CFG_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_1_DP_WEAKPD_CFG_RANGE                     1:1
#define XUSB_AO_UTMIP_PAD_CFG_1_DP_WEAKPD_CFG_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_CFG_1_DP_WEAKPD_CFG_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_DP_WEAKPD_CFG_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_1_DP_WEAKPD_CFG_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_DP_WEAKPD_CFG_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_DP_WEAKPD_CFG_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_DP_WEAKPD_CFG_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_1_WEAKPD_ANYTIME_SHIFT                    _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_PAD_CFG_1_WEAKPD_ANYTIME_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_1_WEAKPD_ANYTIME_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_1_WEAKPD_ANYTIME_RANGE                    2:2
#define XUSB_AO_UTMIP_PAD_CFG_1_WEAKPD_ANYTIME_WOFFSET                  0x0
#define XUSB_AO_UTMIP_PAD_CFG_1_WEAKPD_ANYTIME_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_WEAKPD_ANYTIME_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_1_WEAKPD_ANYTIME_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_WEAKPD_ANYTIME_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_WEAKPD_ANYTIME_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_WEAKPD_ANYTIME_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_1_FSLS_USE_XUSB_AO_SHIFT                  _MK_SHIFT_CONST(3)
#define XUSB_AO_UTMIP_PAD_CFG_1_FSLS_USE_XUSB_AO_FIELD                  _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_1_FSLS_USE_XUSB_AO_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_1_FSLS_USE_XUSB_AO_RANGE                  3:3
#define XUSB_AO_UTMIP_PAD_CFG_1_FSLS_USE_XUSB_AO_WOFFSET                        0x0
#define XUSB_AO_UTMIP_PAD_CFG_1_FSLS_USE_XUSB_AO_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_FSLS_USE_XUSB_AO_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_1_FSLS_USE_XUSB_AO_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_FSLS_USE_XUSB_AO_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_FSLS_USE_XUSB_AO_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_FSLS_USE_XUSB_AO_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_1_TRK_CTRL_USE_XUSB_AO_SHIFT                      _MK_SHIFT_CONST(4)
#define XUSB_AO_UTMIP_PAD_CFG_1_TRK_CTRL_USE_XUSB_AO_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_1_TRK_CTRL_USE_XUSB_AO_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_1_TRK_CTRL_USE_XUSB_AO_RANGE                      4:4
#define XUSB_AO_UTMIP_PAD_CFG_1_TRK_CTRL_USE_XUSB_AO_WOFFSET                    0x0
#define XUSB_AO_UTMIP_PAD_CFG_1_TRK_CTRL_USE_XUSB_AO_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_TRK_CTRL_USE_XUSB_AO_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_1_TRK_CTRL_USE_XUSB_AO_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_TRK_CTRL_USE_XUSB_AO_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_TRK_CTRL_USE_XUSB_AO_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_TRK_CTRL_USE_XUSB_AO_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_1_RPD_CTRL_USE_XUSB_AO_SHIFT                      _MK_SHIFT_CONST(5)
#define XUSB_AO_UTMIP_PAD_CFG_1_RPD_CTRL_USE_XUSB_AO_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_1_RPD_CTRL_USE_XUSB_AO_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_1_RPD_CTRL_USE_XUSB_AO_RANGE                      5:5
#define XUSB_AO_UTMIP_PAD_CFG_1_RPD_CTRL_USE_XUSB_AO_WOFFSET                    0x0
#define XUSB_AO_UTMIP_PAD_CFG_1_RPD_CTRL_USE_XUSB_AO_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_RPD_CTRL_USE_XUSB_AO_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_1_RPD_CTRL_USE_XUSB_AO_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_RPD_CTRL_USE_XUSB_AO_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_RPD_CTRL_USE_XUSB_AO_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_RPD_CTRL_USE_XUSB_AO_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_1_RPU_USE_XUSB_AO_SHIFT                   _MK_SHIFT_CONST(6)
#define XUSB_AO_UTMIP_PAD_CFG_1_RPU_USE_XUSB_AO_FIELD                   _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_1_RPU_USE_XUSB_AO_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_1_RPU_USE_XUSB_AO_RANGE                   6:6
#define XUSB_AO_UTMIP_PAD_CFG_1_RPU_USE_XUSB_AO_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_CFG_1_RPU_USE_XUSB_AO_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_RPU_USE_XUSB_AO_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_1_RPU_USE_XUSB_AO_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_RPU_USE_XUSB_AO_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_RPU_USE_XUSB_AO_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_RPU_USE_XUSB_AO_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_1_VREG_USE_XUSB_AO_SHIFT                  _MK_SHIFT_CONST(7)
#define XUSB_AO_UTMIP_PAD_CFG_1_VREG_USE_XUSB_AO_FIELD                  _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_1_VREG_USE_XUSB_AO_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_1_VREG_USE_XUSB_AO_RANGE                  7:7
#define XUSB_AO_UTMIP_PAD_CFG_1_VREG_USE_XUSB_AO_WOFFSET                        0x0
#define XUSB_AO_UTMIP_PAD_CFG_1_VREG_USE_XUSB_AO_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_VREG_USE_XUSB_AO_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_1_VREG_USE_XUSB_AO_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_VREG_USE_XUSB_AO_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_VREG_USE_XUSB_AO_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_VREG_USE_XUSB_AO_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_1_USBOP_VAL_PD_SHIFT                      _MK_SHIFT_CONST(8)
#define XUSB_AO_UTMIP_PAD_CFG_1_USBOP_VAL_PD_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_1_USBOP_VAL_PD_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_1_USBOP_VAL_PD_RANGE                      8:8
#define XUSB_AO_UTMIP_PAD_CFG_1_USBOP_VAL_PD_WOFFSET                    0x0
#define XUSB_AO_UTMIP_PAD_CFG_1_USBOP_VAL_PD_DEFAULT                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_1_USBOP_VAL_PD_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_1_USBOP_VAL_PD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_USBOP_VAL_PD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_USBOP_VAL_PD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_USBOP_VAL_PD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_1_USBON_VAL_PD_SHIFT                      _MK_SHIFT_CONST(9)
#define XUSB_AO_UTMIP_PAD_CFG_1_USBON_VAL_PD_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_1_USBON_VAL_PD_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_1_USBON_VAL_PD_RANGE                      9:9
#define XUSB_AO_UTMIP_PAD_CFG_1_USBON_VAL_PD_WOFFSET                    0x0
#define XUSB_AO_UTMIP_PAD_CFG_1_USBON_VAL_PD_DEFAULT                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_1_USBON_VAL_PD_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_1_USBON_VAL_PD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_USBON_VAL_PD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_USBON_VAL_PD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_USBON_VAL_PD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_1_E_DPD_OVRD_EN_SHIFT                     _MK_SHIFT_CONST(10)
#define XUSB_AO_UTMIP_PAD_CFG_1_E_DPD_OVRD_EN_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_1_E_DPD_OVRD_EN_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_1_E_DPD_OVRD_EN_RANGE                     10:10
#define XUSB_AO_UTMIP_PAD_CFG_1_E_DPD_OVRD_EN_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_CFG_1_E_DPD_OVRD_EN_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_E_DPD_OVRD_EN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_1_E_DPD_OVRD_EN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_E_DPD_OVRD_EN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_E_DPD_OVRD_EN_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_E_DPD_OVRD_EN_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_1_E_DPD_OVRD_VAL_SHIFT                    _MK_SHIFT_CONST(11)
#define XUSB_AO_UTMIP_PAD_CFG_1_E_DPD_OVRD_VAL_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_1_E_DPD_OVRD_VAL_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_1_E_DPD_OVRD_VAL_RANGE                    11:11
#define XUSB_AO_UTMIP_PAD_CFG_1_E_DPD_OVRD_VAL_WOFFSET                  0x0
#define XUSB_AO_UTMIP_PAD_CFG_1_E_DPD_OVRD_VAL_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_E_DPD_OVRD_VAL_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_1_E_DPD_OVRD_VAL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_E_DPD_OVRD_VAL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_E_DPD_OVRD_VAL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_1_E_DPD_OVRD_VAL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register XUSB_AO_UTMIP_PAD_CFG_2
#define XUSB_AO_UTMIP_PAD_CFG_2                 _MK_ADDR_CONST(0x138)
#define XUSB_AO_UTMIP_PAD_CFG_2_SECURE                  0x0
#define XUSB_AO_UTMIP_PAD_CFG_2_DUAL                    0x0
#define XUSB_AO_UTMIP_PAD_CFG_2_SCR                     0
#define XUSB_AO_UTMIP_PAD_CFG_2_WORD_COUNT                      0x1
#define XUSB_AO_UTMIP_PAD_CFG_2_RESET_VAL                       _MK_MASK_CONST(0x300)
#define XUSB_AO_UTMIP_PAD_CFG_2_RESET_MASK                      _MK_MASK_CONST(0xfff)
#define XUSB_AO_UTMIP_PAD_CFG_2_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_READ_MASK                       _MK_MASK_CONST(0xfff)
#define XUSB_AO_UTMIP_PAD_CFG_2_WRITE_MASK                      _MK_MASK_CONST(0xfff)
#define XUSB_AO_UTMIP_PAD_CFG_2_DM_WEAKPD_CFG_SHIFT                     _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_PAD_CFG_2_DM_WEAKPD_CFG_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_2_DM_WEAKPD_CFG_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_2_DM_WEAKPD_CFG_RANGE                     0:0
#define XUSB_AO_UTMIP_PAD_CFG_2_DM_WEAKPD_CFG_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_CFG_2_DM_WEAKPD_CFG_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_DM_WEAKPD_CFG_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_2_DM_WEAKPD_CFG_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_DM_WEAKPD_CFG_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_DM_WEAKPD_CFG_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_DM_WEAKPD_CFG_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_2_DP_WEAKPD_CFG_SHIFT                     _MK_SHIFT_CONST(1)
#define XUSB_AO_UTMIP_PAD_CFG_2_DP_WEAKPD_CFG_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_2_DP_WEAKPD_CFG_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_2_DP_WEAKPD_CFG_RANGE                     1:1
#define XUSB_AO_UTMIP_PAD_CFG_2_DP_WEAKPD_CFG_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_CFG_2_DP_WEAKPD_CFG_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_DP_WEAKPD_CFG_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_2_DP_WEAKPD_CFG_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_DP_WEAKPD_CFG_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_DP_WEAKPD_CFG_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_DP_WEAKPD_CFG_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_2_WEAKPD_ANYTIME_SHIFT                    _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_PAD_CFG_2_WEAKPD_ANYTIME_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_2_WEAKPD_ANYTIME_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_2_WEAKPD_ANYTIME_RANGE                    2:2
#define XUSB_AO_UTMIP_PAD_CFG_2_WEAKPD_ANYTIME_WOFFSET                  0x0
#define XUSB_AO_UTMIP_PAD_CFG_2_WEAKPD_ANYTIME_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_WEAKPD_ANYTIME_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_2_WEAKPD_ANYTIME_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_WEAKPD_ANYTIME_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_WEAKPD_ANYTIME_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_WEAKPD_ANYTIME_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_2_FSLS_USE_XUSB_AO_SHIFT                  _MK_SHIFT_CONST(3)
#define XUSB_AO_UTMIP_PAD_CFG_2_FSLS_USE_XUSB_AO_FIELD                  _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_2_FSLS_USE_XUSB_AO_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_2_FSLS_USE_XUSB_AO_RANGE                  3:3
#define XUSB_AO_UTMIP_PAD_CFG_2_FSLS_USE_XUSB_AO_WOFFSET                        0x0
#define XUSB_AO_UTMIP_PAD_CFG_2_FSLS_USE_XUSB_AO_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_FSLS_USE_XUSB_AO_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_2_FSLS_USE_XUSB_AO_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_FSLS_USE_XUSB_AO_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_FSLS_USE_XUSB_AO_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_FSLS_USE_XUSB_AO_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_2_TRK_CTRL_USE_XUSB_AO_SHIFT                      _MK_SHIFT_CONST(4)
#define XUSB_AO_UTMIP_PAD_CFG_2_TRK_CTRL_USE_XUSB_AO_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_2_TRK_CTRL_USE_XUSB_AO_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_2_TRK_CTRL_USE_XUSB_AO_RANGE                      4:4
#define XUSB_AO_UTMIP_PAD_CFG_2_TRK_CTRL_USE_XUSB_AO_WOFFSET                    0x0
#define XUSB_AO_UTMIP_PAD_CFG_2_TRK_CTRL_USE_XUSB_AO_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_TRK_CTRL_USE_XUSB_AO_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_2_TRK_CTRL_USE_XUSB_AO_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_TRK_CTRL_USE_XUSB_AO_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_TRK_CTRL_USE_XUSB_AO_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_TRK_CTRL_USE_XUSB_AO_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_2_RPD_CTRL_USE_XUSB_AO_SHIFT                      _MK_SHIFT_CONST(5)
#define XUSB_AO_UTMIP_PAD_CFG_2_RPD_CTRL_USE_XUSB_AO_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_2_RPD_CTRL_USE_XUSB_AO_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_2_RPD_CTRL_USE_XUSB_AO_RANGE                      5:5
#define XUSB_AO_UTMIP_PAD_CFG_2_RPD_CTRL_USE_XUSB_AO_WOFFSET                    0x0
#define XUSB_AO_UTMIP_PAD_CFG_2_RPD_CTRL_USE_XUSB_AO_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_RPD_CTRL_USE_XUSB_AO_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_2_RPD_CTRL_USE_XUSB_AO_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_RPD_CTRL_USE_XUSB_AO_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_RPD_CTRL_USE_XUSB_AO_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_RPD_CTRL_USE_XUSB_AO_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_2_RPU_USE_XUSB_AO_SHIFT                   _MK_SHIFT_CONST(6)
#define XUSB_AO_UTMIP_PAD_CFG_2_RPU_USE_XUSB_AO_FIELD                   _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_2_RPU_USE_XUSB_AO_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_2_RPU_USE_XUSB_AO_RANGE                   6:6
#define XUSB_AO_UTMIP_PAD_CFG_2_RPU_USE_XUSB_AO_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_CFG_2_RPU_USE_XUSB_AO_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_RPU_USE_XUSB_AO_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_2_RPU_USE_XUSB_AO_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_RPU_USE_XUSB_AO_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_RPU_USE_XUSB_AO_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_RPU_USE_XUSB_AO_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_2_VREG_USE_XUSB_AO_SHIFT                  _MK_SHIFT_CONST(7)
#define XUSB_AO_UTMIP_PAD_CFG_2_VREG_USE_XUSB_AO_FIELD                  _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_2_VREG_USE_XUSB_AO_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_2_VREG_USE_XUSB_AO_RANGE                  7:7
#define XUSB_AO_UTMIP_PAD_CFG_2_VREG_USE_XUSB_AO_WOFFSET                        0x0
#define XUSB_AO_UTMIP_PAD_CFG_2_VREG_USE_XUSB_AO_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_VREG_USE_XUSB_AO_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_2_VREG_USE_XUSB_AO_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_VREG_USE_XUSB_AO_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_VREG_USE_XUSB_AO_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_VREG_USE_XUSB_AO_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_2_USBOP_VAL_PD_SHIFT                      _MK_SHIFT_CONST(8)
#define XUSB_AO_UTMIP_PAD_CFG_2_USBOP_VAL_PD_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_2_USBOP_VAL_PD_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_2_USBOP_VAL_PD_RANGE                      8:8
#define XUSB_AO_UTMIP_PAD_CFG_2_USBOP_VAL_PD_WOFFSET                    0x0
#define XUSB_AO_UTMIP_PAD_CFG_2_USBOP_VAL_PD_DEFAULT                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_2_USBOP_VAL_PD_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_2_USBOP_VAL_PD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_USBOP_VAL_PD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_USBOP_VAL_PD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_USBOP_VAL_PD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_2_USBON_VAL_PD_SHIFT                      _MK_SHIFT_CONST(9)
#define XUSB_AO_UTMIP_PAD_CFG_2_USBON_VAL_PD_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_2_USBON_VAL_PD_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_2_USBON_VAL_PD_RANGE                      9:9
#define XUSB_AO_UTMIP_PAD_CFG_2_USBON_VAL_PD_WOFFSET                    0x0
#define XUSB_AO_UTMIP_PAD_CFG_2_USBON_VAL_PD_DEFAULT                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_2_USBON_VAL_PD_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_2_USBON_VAL_PD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_USBON_VAL_PD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_USBON_VAL_PD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_USBON_VAL_PD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_2_E_DPD_OVRD_EN_SHIFT                     _MK_SHIFT_CONST(10)
#define XUSB_AO_UTMIP_PAD_CFG_2_E_DPD_OVRD_EN_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_2_E_DPD_OVRD_EN_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_2_E_DPD_OVRD_EN_RANGE                     10:10
#define XUSB_AO_UTMIP_PAD_CFG_2_E_DPD_OVRD_EN_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_CFG_2_E_DPD_OVRD_EN_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_E_DPD_OVRD_EN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_2_E_DPD_OVRD_EN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_E_DPD_OVRD_EN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_E_DPD_OVRD_EN_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_E_DPD_OVRD_EN_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_2_E_DPD_OVRD_VAL_SHIFT                    _MK_SHIFT_CONST(11)
#define XUSB_AO_UTMIP_PAD_CFG_2_E_DPD_OVRD_VAL_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_2_E_DPD_OVRD_VAL_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_2_E_DPD_OVRD_VAL_RANGE                    11:11
#define XUSB_AO_UTMIP_PAD_CFG_2_E_DPD_OVRD_VAL_WOFFSET                  0x0
#define XUSB_AO_UTMIP_PAD_CFG_2_E_DPD_OVRD_VAL_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_E_DPD_OVRD_VAL_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_2_E_DPD_OVRD_VAL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_E_DPD_OVRD_VAL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_E_DPD_OVRD_VAL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_2_E_DPD_OVRD_VAL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Register XUSB_AO_UTMIP_PAD_CFG_3
#define XUSB_AO_UTMIP_PAD_CFG_3                 _MK_ADDR_CONST(0x13c)
#define XUSB_AO_UTMIP_PAD_CFG_3_SECURE                  0x0
#define XUSB_AO_UTMIP_PAD_CFG_3_DUAL                    0x0
#define XUSB_AO_UTMIP_PAD_CFG_3_SCR                     0
#define XUSB_AO_UTMIP_PAD_CFG_3_WORD_COUNT                      0x1
#define XUSB_AO_UTMIP_PAD_CFG_3_RESET_VAL                       _MK_MASK_CONST(0x300)
#define XUSB_AO_UTMIP_PAD_CFG_3_RESET_MASK                      _MK_MASK_CONST(0xfff)
#define XUSB_AO_UTMIP_PAD_CFG_3_SW_DEFAULT_VAL                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_SW_DEFAULT_MASK                         _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_READ_MASK                       _MK_MASK_CONST(0xfff)
#define XUSB_AO_UTMIP_PAD_CFG_3_WRITE_MASK                      _MK_MASK_CONST(0xfff)
#define XUSB_AO_UTMIP_PAD_CFG_3_DM_WEAKPD_CFG_SHIFT                     _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_PAD_CFG_3_DM_WEAKPD_CFG_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_3_DM_WEAKPD_CFG_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_3_DM_WEAKPD_CFG_RANGE                     0:0
#define XUSB_AO_UTMIP_PAD_CFG_3_DM_WEAKPD_CFG_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_CFG_3_DM_WEAKPD_CFG_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_DM_WEAKPD_CFG_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_3_DM_WEAKPD_CFG_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_DM_WEAKPD_CFG_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_DM_WEAKPD_CFG_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_DM_WEAKPD_CFG_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_3_DP_WEAKPD_CFG_SHIFT                     _MK_SHIFT_CONST(1)
#define XUSB_AO_UTMIP_PAD_CFG_3_DP_WEAKPD_CFG_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_3_DP_WEAKPD_CFG_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_3_DP_WEAKPD_CFG_RANGE                     1:1
#define XUSB_AO_UTMIP_PAD_CFG_3_DP_WEAKPD_CFG_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_CFG_3_DP_WEAKPD_CFG_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_DP_WEAKPD_CFG_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_3_DP_WEAKPD_CFG_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_DP_WEAKPD_CFG_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_DP_WEAKPD_CFG_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_DP_WEAKPD_CFG_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_3_WEAKPD_ANYTIME_SHIFT                    _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_PAD_CFG_3_WEAKPD_ANYTIME_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_3_WEAKPD_ANYTIME_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_3_WEAKPD_ANYTIME_RANGE                    2:2
#define XUSB_AO_UTMIP_PAD_CFG_3_WEAKPD_ANYTIME_WOFFSET                  0x0
#define XUSB_AO_UTMIP_PAD_CFG_3_WEAKPD_ANYTIME_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_WEAKPD_ANYTIME_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_3_WEAKPD_ANYTIME_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_WEAKPD_ANYTIME_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_WEAKPD_ANYTIME_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_WEAKPD_ANYTIME_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_3_FSLS_USE_XUSB_AO_SHIFT                  _MK_SHIFT_CONST(3)
#define XUSB_AO_UTMIP_PAD_CFG_3_FSLS_USE_XUSB_AO_FIELD                  _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_3_FSLS_USE_XUSB_AO_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_3_FSLS_USE_XUSB_AO_RANGE                  3:3
#define XUSB_AO_UTMIP_PAD_CFG_3_FSLS_USE_XUSB_AO_WOFFSET                        0x0
#define XUSB_AO_UTMIP_PAD_CFG_3_FSLS_USE_XUSB_AO_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_FSLS_USE_XUSB_AO_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_3_FSLS_USE_XUSB_AO_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_FSLS_USE_XUSB_AO_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_FSLS_USE_XUSB_AO_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_FSLS_USE_XUSB_AO_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_3_TRK_CTRL_USE_XUSB_AO_SHIFT                      _MK_SHIFT_CONST(4)
#define XUSB_AO_UTMIP_PAD_CFG_3_TRK_CTRL_USE_XUSB_AO_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_3_TRK_CTRL_USE_XUSB_AO_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_3_TRK_CTRL_USE_XUSB_AO_RANGE                      4:4
#define XUSB_AO_UTMIP_PAD_CFG_3_TRK_CTRL_USE_XUSB_AO_WOFFSET                    0x0
#define XUSB_AO_UTMIP_PAD_CFG_3_TRK_CTRL_USE_XUSB_AO_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_TRK_CTRL_USE_XUSB_AO_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_3_TRK_CTRL_USE_XUSB_AO_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_TRK_CTRL_USE_XUSB_AO_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_TRK_CTRL_USE_XUSB_AO_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_TRK_CTRL_USE_XUSB_AO_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_3_RPD_CTRL_USE_XUSB_AO_SHIFT                      _MK_SHIFT_CONST(5)
#define XUSB_AO_UTMIP_PAD_CFG_3_RPD_CTRL_USE_XUSB_AO_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_3_RPD_CTRL_USE_XUSB_AO_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_3_RPD_CTRL_USE_XUSB_AO_RANGE                      5:5
#define XUSB_AO_UTMIP_PAD_CFG_3_RPD_CTRL_USE_XUSB_AO_WOFFSET                    0x0
#define XUSB_AO_UTMIP_PAD_CFG_3_RPD_CTRL_USE_XUSB_AO_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_RPD_CTRL_USE_XUSB_AO_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_3_RPD_CTRL_USE_XUSB_AO_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_RPD_CTRL_USE_XUSB_AO_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_RPD_CTRL_USE_XUSB_AO_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_RPD_CTRL_USE_XUSB_AO_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_3_RPU_USE_XUSB_AO_SHIFT                   _MK_SHIFT_CONST(6)
#define XUSB_AO_UTMIP_PAD_CFG_3_RPU_USE_XUSB_AO_FIELD                   _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_3_RPU_USE_XUSB_AO_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_3_RPU_USE_XUSB_AO_RANGE                   6:6
#define XUSB_AO_UTMIP_PAD_CFG_3_RPU_USE_XUSB_AO_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_CFG_3_RPU_USE_XUSB_AO_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_RPU_USE_XUSB_AO_DEFAULT_MASK                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_3_RPU_USE_XUSB_AO_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_RPU_USE_XUSB_AO_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_RPU_USE_XUSB_AO_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_RPU_USE_XUSB_AO_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_3_VREG_USE_XUSB_AO_SHIFT                  _MK_SHIFT_CONST(7)
#define XUSB_AO_UTMIP_PAD_CFG_3_VREG_USE_XUSB_AO_FIELD                  _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_3_VREG_USE_XUSB_AO_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_3_VREG_USE_XUSB_AO_RANGE                  7:7
#define XUSB_AO_UTMIP_PAD_CFG_3_VREG_USE_XUSB_AO_WOFFSET                        0x0
#define XUSB_AO_UTMIP_PAD_CFG_3_VREG_USE_XUSB_AO_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_VREG_USE_XUSB_AO_DEFAULT_MASK                   _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_3_VREG_USE_XUSB_AO_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_VREG_USE_XUSB_AO_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_VREG_USE_XUSB_AO_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_VREG_USE_XUSB_AO_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_3_USBOP_VAL_PD_SHIFT                      _MK_SHIFT_CONST(8)
#define XUSB_AO_UTMIP_PAD_CFG_3_USBOP_VAL_PD_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_3_USBOP_VAL_PD_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_3_USBOP_VAL_PD_RANGE                      8:8
#define XUSB_AO_UTMIP_PAD_CFG_3_USBOP_VAL_PD_WOFFSET                    0x0
#define XUSB_AO_UTMIP_PAD_CFG_3_USBOP_VAL_PD_DEFAULT                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_3_USBOP_VAL_PD_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_3_USBOP_VAL_PD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_USBOP_VAL_PD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_USBOP_VAL_PD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_USBOP_VAL_PD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_3_USBON_VAL_PD_SHIFT                      _MK_SHIFT_CONST(9)
#define XUSB_AO_UTMIP_PAD_CFG_3_USBON_VAL_PD_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_3_USBON_VAL_PD_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_3_USBON_VAL_PD_RANGE                      9:9
#define XUSB_AO_UTMIP_PAD_CFG_3_USBON_VAL_PD_WOFFSET                    0x0
#define XUSB_AO_UTMIP_PAD_CFG_3_USBON_VAL_PD_DEFAULT                    _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_3_USBON_VAL_PD_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_3_USBON_VAL_PD_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_USBON_VAL_PD_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_USBON_VAL_PD_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_USBON_VAL_PD_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_3_E_DPD_OVRD_EN_SHIFT                     _MK_SHIFT_CONST(10)
#define XUSB_AO_UTMIP_PAD_CFG_3_E_DPD_OVRD_EN_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_3_E_DPD_OVRD_EN_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_3_E_DPD_OVRD_EN_RANGE                     10:10
#define XUSB_AO_UTMIP_PAD_CFG_3_E_DPD_OVRD_EN_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_CFG_3_E_DPD_OVRD_EN_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_E_DPD_OVRD_EN_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_3_E_DPD_OVRD_EN_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_E_DPD_OVRD_EN_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_E_DPD_OVRD_EN_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_E_DPD_OVRD_EN_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_CFG_3_E_DPD_OVRD_VAL_SHIFT                    _MK_SHIFT_CONST(11)
#define XUSB_AO_UTMIP_PAD_CFG_3_E_DPD_OVRD_VAL_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_CFG_3_E_DPD_OVRD_VAL_SHIFT)
#define XUSB_AO_UTMIP_PAD_CFG_3_E_DPD_OVRD_VAL_RANGE                    11:11
#define XUSB_AO_UTMIP_PAD_CFG_3_E_DPD_OVRD_VAL_WOFFSET                  0x0
#define XUSB_AO_UTMIP_PAD_CFG_3_E_DPD_OVRD_VAL_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_E_DPD_OVRD_VAL_DEFAULT_MASK                     _MK_MASK_CONST(0x1)
#define XUSB_AO_UTMIP_PAD_CFG_3_E_DPD_OVRD_VAL_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_E_DPD_OVRD_VAL_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_E_DPD_OVRD_VAL_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_CFG_3_E_DPD_OVRD_VAL_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)


// Reserved address 0x140

// Reserved address 0x144

// Reserved address 0x148

// Reserved address 0x14c

// Reserved address 0x150

// Reserved address 0x154

// Reserved address 0x158

// Reserved address 0x15c

// Register XUSB_AO_UTMIP_PAD_STS_SAVED0_0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0                  _MK_ADDR_CONST(0x160)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_SECURE                   0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_DUAL                     0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_SCR                      0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_WORD_COUNT                       0x1
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RESET_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_FS_RSLEW_SHIFT                   _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_FS_RSLEW_FIELD                   _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_PAD_STS_SAVED0_0_FS_RSLEW_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_FS_RSLEW_RANGE                   3:0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_FS_RSLEW_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_FS_RSLEW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_FS_RSLEW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_FS_RSLEW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_FS_RSLEW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_FS_RSLEW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_FS_RSLEW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_FS_FSLEW_SHIFT                   _MK_SHIFT_CONST(4)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_FS_FSLEW_FIELD                   _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_PAD_STS_SAVED0_0_FS_FSLEW_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_FS_FSLEW_RANGE                   7:4
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_FS_FSLEW_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_FS_FSLEW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_FS_FSLEW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_FS_FSLEW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_FS_FSLEW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_FS_FSLEW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_FS_FSLEW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LS_RSLEW_SHIFT                   _MK_SHIFT_CONST(8)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LS_RSLEW_FIELD                   _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LS_RSLEW_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LS_RSLEW_RANGE                   11:8
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LS_RSLEW_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LS_RSLEW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LS_RSLEW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LS_RSLEW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LS_RSLEW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LS_RSLEW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LS_RSLEW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LS_FSLEW_SHIFT                   _MK_SHIFT_CONST(12)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LS_FSLEW_FIELD                   _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LS_FSLEW_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LS_FSLEW_RANGE                   15:12
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LS_FSLEW_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LS_FSLEW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LS_FSLEW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LS_FSLEW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LS_FSLEW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LS_FSLEW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LS_FSLEW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_SPARE_AO_SHIFT                   _MK_SHIFT_CONST(16)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_SPARE_AO_FIELD                   _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_PAD_STS_SAVED0_0_SPARE_AO_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_SPARE_AO_RANGE                   19:16
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_SPARE_AO_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_SPARE_AO_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_SPARE_AO_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_SPARE_AO_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_SPARE_AO_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_SPARE_AO_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_SPARE_AO_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPD_CTRL_SHIFT                   _MK_SHIFT_CONST(20)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPD_CTRL_FIELD                   _MK_FIELD_CONST(0x1f, XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPD_CTRL_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPD_CTRL_RANGE                   24:20
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPD_CTRL_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPD_CTRL_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPD_CTRL_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPD_CTRL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPD_CTRL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPD_CTRL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPD_CTRL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_SWITCH_LOW_SHIFT                     _MK_SHIFT_CONST(25)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_SWITCH_LOW_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_SWITCH_LOW_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_SWITCH_LOW_RANGE                     25:25
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_SWITCH_LOW_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_SWITCH_LOW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_SWITCH_LOW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_SWITCH_LOW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_SWITCH_LOW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_SWITCH_LOW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_SWITCH_LOW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_AUTO_SWITCH_EN_SHIFT                 _MK_SHIFT_CONST(26)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_AUTO_SWITCH_EN_FIELD                 _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_AUTO_SWITCH_EN_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_AUTO_SWITCH_EN_RANGE                 26:26
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_AUTO_SWITCH_EN_WOFFSET                       0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_AUTO_SWITCH_EN_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_AUTO_SWITCH_EN_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_AUTO_SWITCH_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_AUTO_SWITCH_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_AUTO_SWITCH_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_AUTO_SWITCH_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_HIGH_FIXED_SHIFT                     _MK_SHIFT_CONST(27)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_HIGH_FIXED_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_HIGH_FIXED_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_HIGH_FIXED_RANGE                     27:27
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_HIGH_FIXED_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_HIGH_FIXED_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_HIGH_FIXED_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_HIGH_FIXED_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_HIGH_FIXED_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_HIGH_FIXED_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_RPU_HIGH_FIXED_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_PD_VREG_SHIFT                    _MK_SHIFT_CONST(28)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_PD_VREG_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_STS_SAVED0_0_PD_VREG_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_PD_VREG_RANGE                    28:28
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_PD_VREG_WOFFSET                  0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_PD_VREG_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_PD_VREG_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_PD_VREG_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_PD_VREG_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_PD_VREG_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_PD_VREG_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_VREG_DIR_SHIFT                   _MK_SHIFT_CONST(29)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_VREG_DIR_FIELD                   _MK_FIELD_CONST(0x3, XUSB_AO_UTMIP_PAD_STS_SAVED0_0_VREG_DIR_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_VREG_DIR_RANGE                   30:29
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_VREG_DIR_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_VREG_DIR_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_VREG_DIR_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_VREG_DIR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_VREG_DIR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_VREG_DIR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_VREG_DIR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LO_SPD_SHIFT                     _MK_SHIFT_CONST(31)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LO_SPD_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LO_SPD_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LO_SPD_RANGE                     31:31
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LO_SPD_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LO_SPD_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LO_SPD_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LO_SPD_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LO_SPD_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LO_SPD_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_0_LO_SPD_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register XUSB_AO_UTMIP_PAD_STS_SAVED0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0                    _MK_ADDR_CONST(0x160)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_SECURE                     0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_DUAL                       0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_SCR                        0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_WORD_COUNT                         0x1
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RESET_VAL                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RESET_MASK                         _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_READ_MASK                  _MK_MASK_CONST(0xffffffff)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_WRITE_MASK                         _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_FS_RSLEW_SHIFT                     _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_FS_RSLEW_FIELD                     _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_PAD_STS_SAVED0_FS_RSLEW_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_FS_RSLEW_RANGE                     3:0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_FS_RSLEW_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_FS_RSLEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_FS_RSLEW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_FS_RSLEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_FS_RSLEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_FS_RSLEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_FS_RSLEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_FS_FSLEW_SHIFT                     _MK_SHIFT_CONST(4)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_FS_FSLEW_FIELD                     _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_PAD_STS_SAVED0_FS_FSLEW_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_FS_FSLEW_RANGE                     7:4
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_FS_FSLEW_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_FS_FSLEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_FS_FSLEW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_FS_FSLEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_FS_FSLEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_FS_FSLEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_FS_FSLEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_LS_RSLEW_SHIFT                     _MK_SHIFT_CONST(8)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_LS_RSLEW_FIELD                     _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_PAD_STS_SAVED0_LS_RSLEW_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_LS_RSLEW_RANGE                     11:8
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_LS_RSLEW_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_LS_RSLEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_LS_RSLEW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_LS_RSLEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_LS_RSLEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_LS_RSLEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_LS_RSLEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_LS_FSLEW_SHIFT                     _MK_SHIFT_CONST(12)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_LS_FSLEW_FIELD                     _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_PAD_STS_SAVED0_LS_FSLEW_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_LS_FSLEW_RANGE                     15:12
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_LS_FSLEW_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_LS_FSLEW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_LS_FSLEW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_LS_FSLEW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_LS_FSLEW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_LS_FSLEW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_LS_FSLEW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_SPARE_AO_SHIFT                     _MK_SHIFT_CONST(16)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_SPARE_AO_FIELD                     _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_PAD_STS_SAVED0_SPARE_AO_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_SPARE_AO_RANGE                     19:16
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_SPARE_AO_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_SPARE_AO_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_SPARE_AO_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_SPARE_AO_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_SPARE_AO_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_SPARE_AO_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_SPARE_AO_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPD_CTRL_SHIFT                     _MK_SHIFT_CONST(20)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPD_CTRL_FIELD                     _MK_FIELD_CONST(0x1f, XUSB_AO_UTMIP_PAD_STS_SAVED0_RPD_CTRL_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPD_CTRL_RANGE                     24:20
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPD_CTRL_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPD_CTRL_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPD_CTRL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPD_CTRL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPD_CTRL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPD_CTRL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPD_CTRL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_SWITCH_LOW_SHIFT                       _MK_SHIFT_CONST(25)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_SWITCH_LOW_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_SWITCH_LOW_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_SWITCH_LOW_RANGE                       25:25
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_SWITCH_LOW_WOFFSET                     0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_SWITCH_LOW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_SWITCH_LOW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_SWITCH_LOW_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_SWITCH_LOW_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_SWITCH_LOW_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_SWITCH_LOW_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_AUTO_SWITCH_EN_SHIFT                   _MK_SHIFT_CONST(26)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_AUTO_SWITCH_EN_FIELD                   _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_AUTO_SWITCH_EN_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_AUTO_SWITCH_EN_RANGE                   26:26
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_AUTO_SWITCH_EN_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_AUTO_SWITCH_EN_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_AUTO_SWITCH_EN_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_AUTO_SWITCH_EN_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_AUTO_SWITCH_EN_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_AUTO_SWITCH_EN_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_AUTO_SWITCH_EN_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_HIGH_FIXED_SHIFT                       _MK_SHIFT_CONST(27)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_HIGH_FIXED_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_HIGH_FIXED_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_HIGH_FIXED_RANGE                       27:27
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_HIGH_FIXED_WOFFSET                     0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_HIGH_FIXED_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_HIGH_FIXED_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_HIGH_FIXED_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_HIGH_FIXED_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_HIGH_FIXED_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_RPU_HIGH_FIXED_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_PD_VREG_SHIFT                      _MK_SHIFT_CONST(28)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_PD_VREG_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_STS_SAVED0_PD_VREG_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_PD_VREG_RANGE                      28:28
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_PD_VREG_WOFFSET                    0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_PD_VREG_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_PD_VREG_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_PD_VREG_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_PD_VREG_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_PD_VREG_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_PD_VREG_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_VREG_DIR_SHIFT                     _MK_SHIFT_CONST(29)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_VREG_DIR_FIELD                     _MK_FIELD_CONST(0x3, XUSB_AO_UTMIP_PAD_STS_SAVED0_VREG_DIR_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_VREG_DIR_RANGE                     30:29
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_VREG_DIR_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_VREG_DIR_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_VREG_DIR_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_VREG_DIR_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_VREG_DIR_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_VREG_DIR_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_VREG_DIR_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_LO_SPD_SHIFT                       _MK_SHIFT_CONST(31)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_LO_SPD_FIELD                       _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_STS_SAVED0_LO_SPD_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_LO_SPD_RANGE                       31:31
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_LO_SPD_WOFFSET                     0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_LO_SPD_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_LO_SPD_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_LO_SPD_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_LO_SPD_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_LO_SPD_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_LO_SPD_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)


// Register XUSB_AO_UTMIP_PAD_STS_SAVED0_1
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1                  _MK_ADDR_CONST(0x164)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_SECURE                   0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_DUAL                     0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_SCR                      0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_WORD_COUNT                       0x1
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RESET_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_FS_RSLEW_SHIFT                   _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_FS_RSLEW_FIELD                   _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_PAD_STS_SAVED0_1_FS_RSLEW_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_FS_RSLEW_RANGE                   3:0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_FS_RSLEW_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_FS_RSLEW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_FS_RSLEW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_FS_RSLEW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_FS_RSLEW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_FS_RSLEW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_FS_RSLEW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_FS_FSLEW_SHIFT                   _MK_SHIFT_CONST(4)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_FS_FSLEW_FIELD                   _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_PAD_STS_SAVED0_1_FS_FSLEW_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_FS_FSLEW_RANGE                   7:4
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_FS_FSLEW_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_FS_FSLEW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_FS_FSLEW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_FS_FSLEW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_FS_FSLEW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_FS_FSLEW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_FS_FSLEW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LS_RSLEW_SHIFT                   _MK_SHIFT_CONST(8)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LS_RSLEW_FIELD                   _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LS_RSLEW_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LS_RSLEW_RANGE                   11:8
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LS_RSLEW_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LS_RSLEW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LS_RSLEW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LS_RSLEW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LS_RSLEW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LS_RSLEW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LS_RSLEW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LS_FSLEW_SHIFT                   _MK_SHIFT_CONST(12)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LS_FSLEW_FIELD                   _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LS_FSLEW_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LS_FSLEW_RANGE                   15:12
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LS_FSLEW_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LS_FSLEW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LS_FSLEW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LS_FSLEW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LS_FSLEW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LS_FSLEW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LS_FSLEW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_SPARE_AO_SHIFT                   _MK_SHIFT_CONST(16)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_SPARE_AO_FIELD                   _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_PAD_STS_SAVED0_1_SPARE_AO_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_SPARE_AO_RANGE                   19:16
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_SPARE_AO_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_SPARE_AO_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_SPARE_AO_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_SPARE_AO_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_SPARE_AO_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_SPARE_AO_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_SPARE_AO_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPD_CTRL_SHIFT                   _MK_SHIFT_CONST(20)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPD_CTRL_FIELD                   _MK_FIELD_CONST(0x1f, XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPD_CTRL_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPD_CTRL_RANGE                   24:20
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPD_CTRL_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPD_CTRL_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPD_CTRL_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPD_CTRL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPD_CTRL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPD_CTRL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPD_CTRL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_SWITCH_LOW_SHIFT                     _MK_SHIFT_CONST(25)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_SWITCH_LOW_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_SWITCH_LOW_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_SWITCH_LOW_RANGE                     25:25
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_SWITCH_LOW_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_SWITCH_LOW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_SWITCH_LOW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_SWITCH_LOW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_SWITCH_LOW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_SWITCH_LOW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_SWITCH_LOW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_AUTO_SWITCH_EN_SHIFT                 _MK_SHIFT_CONST(26)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_AUTO_SWITCH_EN_FIELD                 _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_AUTO_SWITCH_EN_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_AUTO_SWITCH_EN_RANGE                 26:26
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_AUTO_SWITCH_EN_WOFFSET                       0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_AUTO_SWITCH_EN_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_AUTO_SWITCH_EN_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_AUTO_SWITCH_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_AUTO_SWITCH_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_AUTO_SWITCH_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_AUTO_SWITCH_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_HIGH_FIXED_SHIFT                     _MK_SHIFT_CONST(27)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_HIGH_FIXED_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_HIGH_FIXED_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_HIGH_FIXED_RANGE                     27:27
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_HIGH_FIXED_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_HIGH_FIXED_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_HIGH_FIXED_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_HIGH_FIXED_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_HIGH_FIXED_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_HIGH_FIXED_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_RPU_HIGH_FIXED_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_PD_VREG_SHIFT                    _MK_SHIFT_CONST(28)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_PD_VREG_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_STS_SAVED0_1_PD_VREG_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_PD_VREG_RANGE                    28:28
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_PD_VREG_WOFFSET                  0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_PD_VREG_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_PD_VREG_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_PD_VREG_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_PD_VREG_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_PD_VREG_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_PD_VREG_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_VREG_DIR_SHIFT                   _MK_SHIFT_CONST(29)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_VREG_DIR_FIELD                   _MK_FIELD_CONST(0x3, XUSB_AO_UTMIP_PAD_STS_SAVED0_1_VREG_DIR_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_VREG_DIR_RANGE                   30:29
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_VREG_DIR_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_VREG_DIR_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_VREG_DIR_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_VREG_DIR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_VREG_DIR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_VREG_DIR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_VREG_DIR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LO_SPD_SHIFT                     _MK_SHIFT_CONST(31)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LO_SPD_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LO_SPD_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LO_SPD_RANGE                     31:31
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LO_SPD_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LO_SPD_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LO_SPD_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LO_SPD_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LO_SPD_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LO_SPD_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_1_LO_SPD_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register XUSB_AO_UTMIP_PAD_STS_SAVED0_2
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2                  _MK_ADDR_CONST(0x168)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_SECURE                   0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_DUAL                     0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_SCR                      0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_WORD_COUNT                       0x1
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RESET_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RESET_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_FS_RSLEW_SHIFT                   _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_FS_RSLEW_FIELD                   _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_PAD_STS_SAVED0_2_FS_RSLEW_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_FS_RSLEW_RANGE                   3:0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_FS_RSLEW_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_FS_RSLEW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_FS_RSLEW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_FS_RSLEW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_FS_RSLEW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_FS_RSLEW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_FS_RSLEW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_FS_FSLEW_SHIFT                   _MK_SHIFT_CONST(4)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_FS_FSLEW_FIELD                   _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_PAD_STS_SAVED0_2_FS_FSLEW_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_FS_FSLEW_RANGE                   7:4
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_FS_FSLEW_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_FS_FSLEW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_FS_FSLEW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_FS_FSLEW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_FS_FSLEW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_FS_FSLEW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_FS_FSLEW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LS_RSLEW_SHIFT                   _MK_SHIFT_CONST(8)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LS_RSLEW_FIELD                   _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LS_RSLEW_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LS_RSLEW_RANGE                   11:8
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LS_RSLEW_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LS_RSLEW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LS_RSLEW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LS_RSLEW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LS_RSLEW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LS_RSLEW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LS_RSLEW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LS_FSLEW_SHIFT                   _MK_SHIFT_CONST(12)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LS_FSLEW_FIELD                   _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LS_FSLEW_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LS_FSLEW_RANGE                   15:12
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LS_FSLEW_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LS_FSLEW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LS_FSLEW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LS_FSLEW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LS_FSLEW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LS_FSLEW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LS_FSLEW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_SPARE_AO_SHIFT                   _MK_SHIFT_CONST(16)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_SPARE_AO_FIELD                   _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_PAD_STS_SAVED0_2_SPARE_AO_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_SPARE_AO_RANGE                   19:16
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_SPARE_AO_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_SPARE_AO_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_SPARE_AO_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_SPARE_AO_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_SPARE_AO_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_SPARE_AO_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_SPARE_AO_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPD_CTRL_SHIFT                   _MK_SHIFT_CONST(20)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPD_CTRL_FIELD                   _MK_FIELD_CONST(0x1f, XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPD_CTRL_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPD_CTRL_RANGE                   24:20
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPD_CTRL_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPD_CTRL_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPD_CTRL_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPD_CTRL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPD_CTRL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPD_CTRL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPD_CTRL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_SWITCH_LOW_SHIFT                     _MK_SHIFT_CONST(25)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_SWITCH_LOW_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_SWITCH_LOW_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_SWITCH_LOW_RANGE                     25:25
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_SWITCH_LOW_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_SWITCH_LOW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_SWITCH_LOW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_SWITCH_LOW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_SWITCH_LOW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_SWITCH_LOW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_SWITCH_LOW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_AUTO_SWITCH_EN_SHIFT                 _MK_SHIFT_CONST(26)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_AUTO_SWITCH_EN_FIELD                 _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_AUTO_SWITCH_EN_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_AUTO_SWITCH_EN_RANGE                 26:26
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_AUTO_SWITCH_EN_WOFFSET                       0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_AUTO_SWITCH_EN_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_AUTO_SWITCH_EN_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_AUTO_SWITCH_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_AUTO_SWITCH_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_AUTO_SWITCH_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_AUTO_SWITCH_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_HIGH_FIXED_SHIFT                     _MK_SHIFT_CONST(27)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_HIGH_FIXED_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_HIGH_FIXED_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_HIGH_FIXED_RANGE                     27:27
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_HIGH_FIXED_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_HIGH_FIXED_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_HIGH_FIXED_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_HIGH_FIXED_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_HIGH_FIXED_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_HIGH_FIXED_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_RPU_HIGH_FIXED_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_PD_VREG_SHIFT                    _MK_SHIFT_CONST(28)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_PD_VREG_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_STS_SAVED0_2_PD_VREG_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_PD_VREG_RANGE                    28:28
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_PD_VREG_WOFFSET                  0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_PD_VREG_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_PD_VREG_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_PD_VREG_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_PD_VREG_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_PD_VREG_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_PD_VREG_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_VREG_DIR_SHIFT                   _MK_SHIFT_CONST(29)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_VREG_DIR_FIELD                   _MK_FIELD_CONST(0x3, XUSB_AO_UTMIP_PAD_STS_SAVED0_2_VREG_DIR_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_VREG_DIR_RANGE                   30:29
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_VREG_DIR_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_VREG_DIR_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_VREG_DIR_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_VREG_DIR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_VREG_DIR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_VREG_DIR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_VREG_DIR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LO_SPD_SHIFT                     _MK_SHIFT_CONST(31)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LO_SPD_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LO_SPD_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LO_SPD_RANGE                     31:31
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LO_SPD_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LO_SPD_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LO_SPD_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LO_SPD_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LO_SPD_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LO_SPD_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_2_LO_SPD_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register XUSB_AO_UTMIP_PAD_STS_SAVED0_3
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3                  _MK_ADDR_CONST(0x16c)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_SECURE                   0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_DUAL                     0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_SCR                      0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_WORD_COUNT                       0x1
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RESET_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RESET_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_READ_MASK                        _MK_MASK_CONST(0xffffffff)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_FS_RSLEW_SHIFT                   _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_FS_RSLEW_FIELD                   _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_PAD_STS_SAVED0_3_FS_RSLEW_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_FS_RSLEW_RANGE                   3:0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_FS_RSLEW_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_FS_RSLEW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_FS_RSLEW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_FS_RSLEW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_FS_RSLEW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_FS_RSLEW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_FS_RSLEW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_FS_FSLEW_SHIFT                   _MK_SHIFT_CONST(4)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_FS_FSLEW_FIELD                   _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_PAD_STS_SAVED0_3_FS_FSLEW_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_FS_FSLEW_RANGE                   7:4
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_FS_FSLEW_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_FS_FSLEW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_FS_FSLEW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_FS_FSLEW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_FS_FSLEW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_FS_FSLEW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_FS_FSLEW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LS_RSLEW_SHIFT                   _MK_SHIFT_CONST(8)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LS_RSLEW_FIELD                   _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LS_RSLEW_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LS_RSLEW_RANGE                   11:8
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LS_RSLEW_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LS_RSLEW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LS_RSLEW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LS_RSLEW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LS_RSLEW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LS_RSLEW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LS_RSLEW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LS_FSLEW_SHIFT                   _MK_SHIFT_CONST(12)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LS_FSLEW_FIELD                   _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LS_FSLEW_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LS_FSLEW_RANGE                   15:12
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LS_FSLEW_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LS_FSLEW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LS_FSLEW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LS_FSLEW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LS_FSLEW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LS_FSLEW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LS_FSLEW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_SPARE_AO_SHIFT                   _MK_SHIFT_CONST(16)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_SPARE_AO_FIELD                   _MK_FIELD_CONST(0xf, XUSB_AO_UTMIP_PAD_STS_SAVED0_3_SPARE_AO_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_SPARE_AO_RANGE                   19:16
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_SPARE_AO_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_SPARE_AO_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_SPARE_AO_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_SPARE_AO_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_SPARE_AO_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_SPARE_AO_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_SPARE_AO_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPD_CTRL_SHIFT                   _MK_SHIFT_CONST(20)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPD_CTRL_FIELD                   _MK_FIELD_CONST(0x1f, XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPD_CTRL_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPD_CTRL_RANGE                   24:20
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPD_CTRL_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPD_CTRL_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPD_CTRL_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPD_CTRL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPD_CTRL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPD_CTRL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPD_CTRL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_SWITCH_LOW_SHIFT                     _MK_SHIFT_CONST(25)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_SWITCH_LOW_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_SWITCH_LOW_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_SWITCH_LOW_RANGE                     25:25
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_SWITCH_LOW_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_SWITCH_LOW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_SWITCH_LOW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_SWITCH_LOW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_SWITCH_LOW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_SWITCH_LOW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_SWITCH_LOW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_AUTO_SWITCH_EN_SHIFT                 _MK_SHIFT_CONST(26)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_AUTO_SWITCH_EN_FIELD                 _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_AUTO_SWITCH_EN_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_AUTO_SWITCH_EN_RANGE                 26:26
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_AUTO_SWITCH_EN_WOFFSET                       0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_AUTO_SWITCH_EN_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_AUTO_SWITCH_EN_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_AUTO_SWITCH_EN_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_AUTO_SWITCH_EN_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_AUTO_SWITCH_EN_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_AUTO_SWITCH_EN_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_HIGH_FIXED_SHIFT                     _MK_SHIFT_CONST(27)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_HIGH_FIXED_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_HIGH_FIXED_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_HIGH_FIXED_RANGE                     27:27
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_HIGH_FIXED_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_HIGH_FIXED_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_HIGH_FIXED_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_HIGH_FIXED_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_HIGH_FIXED_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_HIGH_FIXED_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_RPU_HIGH_FIXED_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_PD_VREG_SHIFT                    _MK_SHIFT_CONST(28)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_PD_VREG_FIELD                    _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_STS_SAVED0_3_PD_VREG_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_PD_VREG_RANGE                    28:28
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_PD_VREG_WOFFSET                  0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_PD_VREG_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_PD_VREG_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_PD_VREG_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_PD_VREG_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_PD_VREG_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_PD_VREG_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_VREG_DIR_SHIFT                   _MK_SHIFT_CONST(29)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_VREG_DIR_FIELD                   _MK_FIELD_CONST(0x3, XUSB_AO_UTMIP_PAD_STS_SAVED0_3_VREG_DIR_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_VREG_DIR_RANGE                   30:29
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_VREG_DIR_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_VREG_DIR_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_VREG_DIR_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_VREG_DIR_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_VREG_DIR_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_VREG_DIR_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_VREG_DIR_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LO_SPD_SHIFT                     _MK_SHIFT_CONST(31)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LO_SPD_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LO_SPD_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LO_SPD_RANGE                     31:31
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LO_SPD_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LO_SPD_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LO_SPD_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LO_SPD_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LO_SPD_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LO_SPD_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED0_3_LO_SPD_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Reserved address 0x170

// Reserved address 0x174

// Reserved address 0x178

// Reserved address 0x17c

// Register XUSB_AO_UTMIP_PAD_STS_SAVED1_0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0                  _MK_ADDR_CONST(0x180)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_SECURE                   0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_DUAL                     0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_SCR                      0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_WORD_COUNT                       0x1
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_RESET_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_READ_MASK                        _MK_MASK_CONST(0x7fffff)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_VREG_LEV_SHIFT                   _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_VREG_LEV_FIELD                   _MK_FIELD_CONST(0x3, XUSB_AO_UTMIP_PAD_STS_SAVED1_0_VREG_LEV_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_VREG_LEV_RANGE                   1:0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_VREG_LEV_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_VREG_LEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_VREG_LEV_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_VREG_LEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_VREG_LEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_VREG_LEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_VREG_LEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_VREG_DYN_DLY_SHIFT                       _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_VREG_DYN_DLY_FIELD                       _MK_FIELD_CONST(0x3, XUSB_AO_UTMIP_PAD_STS_SAVED1_0_VREG_DYN_DLY_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_VREG_DYN_DLY_RANGE                       3:2
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_VREG_DYN_DLY_WOFFSET                     0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_VREG_DYN_DLY_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_VREG_DYN_DLY_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_VREG_DYN_DLY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_VREG_DYN_DLY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_VREG_DYN_DLY_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_VREG_DYN_DLY_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_PCTRL_TRK_SHIFT                  _MK_SHIFT_CONST(4)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_PCTRL_TRK_FIELD                  _MK_FIELD_CONST(0x3f, XUSB_AO_UTMIP_PAD_STS_SAVED1_0_PCTRL_TRK_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_PCTRL_TRK_RANGE                  9:4
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_PCTRL_TRK_WOFFSET                        0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_PCTRL_TRK_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_PCTRL_TRK_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_PCTRL_TRK_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_PCTRL_TRK_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_PCTRL_TRK_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_PCTRL_TRK_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TCTRL_TRK_SHIFT                  _MK_SHIFT_CONST(10)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TCTRL_TRK_FIELD                  _MK_FIELD_CONST(0x3f, XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TCTRL_TRK_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TCTRL_TRK_RANGE                  15:10
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TCTRL_TRK_WOFFSET                        0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TCTRL_TRK_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TCTRL_TRK_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TCTRL_TRK_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TCTRL_TRK_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TCTRL_TRK_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TCTRL_TRK_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TERM_SEL_SHIFT                   _MK_SHIFT_CONST(16)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TERM_SEL_FIELD                   _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TERM_SEL_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TERM_SEL_RANGE                   16:16
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TERM_SEL_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TERM_SEL_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TERM_SEL_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TERM_SEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TERM_SEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TERM_SEL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TERM_SEL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TCTRL_SW_SHIFT                   _MK_SHIFT_CONST(17)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TCTRL_SW_FIELD                   _MK_FIELD_CONST(0x3f, XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TCTRL_SW_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TCTRL_SW_RANGE                   22:17
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TCTRL_SW_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TCTRL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TCTRL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TCTRL_SW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TCTRL_SW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TCTRL_SW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_0_TCTRL_SW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register XUSB_AO_UTMIP_PAD_STS_SAVED1
#define XUSB_AO_UTMIP_PAD_STS_SAVED1                    _MK_ADDR_CONST(0x180)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_SECURE                     0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_DUAL                       0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_SCR                        0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_WORD_COUNT                         0x1
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_RESET_VAL                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_RESET_MASK                         _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_SW_DEFAULT_VAL                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_READ_MASK                  _MK_MASK_CONST(0x7fffff)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_WRITE_MASK                         _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_VREG_LEV_SHIFT                     _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_VREG_LEV_FIELD                     _MK_FIELD_CONST(0x3, XUSB_AO_UTMIP_PAD_STS_SAVED1_VREG_LEV_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_VREG_LEV_RANGE                     1:0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_VREG_LEV_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_VREG_LEV_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_VREG_LEV_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_VREG_LEV_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_VREG_LEV_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_VREG_LEV_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_VREG_LEV_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED1_VREG_DYN_DLY_SHIFT                 _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_VREG_DYN_DLY_FIELD                 _MK_FIELD_CONST(0x3, XUSB_AO_UTMIP_PAD_STS_SAVED1_VREG_DYN_DLY_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_VREG_DYN_DLY_RANGE                 3:2
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_VREG_DYN_DLY_WOFFSET                       0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_VREG_DYN_DLY_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_VREG_DYN_DLY_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_VREG_DYN_DLY_SW_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_VREG_DYN_DLY_SW_DEFAULT_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_VREG_DYN_DLY_PARITY_PROTECTION                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_VREG_DYN_DLY_PLATFORM_DEPENDENT                    _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED1_PCTRL_TRK_SHIFT                    _MK_SHIFT_CONST(4)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_PCTRL_TRK_FIELD                    _MK_FIELD_CONST(0x3f, XUSB_AO_UTMIP_PAD_STS_SAVED1_PCTRL_TRK_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_PCTRL_TRK_RANGE                    9:4
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_PCTRL_TRK_WOFFSET                  0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_PCTRL_TRK_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_PCTRL_TRK_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_PCTRL_TRK_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_PCTRL_TRK_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_PCTRL_TRK_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_PCTRL_TRK_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED1_TCTRL_TRK_SHIFT                    _MK_SHIFT_CONST(10)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_TCTRL_TRK_FIELD                    _MK_FIELD_CONST(0x3f, XUSB_AO_UTMIP_PAD_STS_SAVED1_TCTRL_TRK_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_TCTRL_TRK_RANGE                    15:10
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_TCTRL_TRK_WOFFSET                  0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_TCTRL_TRK_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_TCTRL_TRK_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_TCTRL_TRK_SW_DEFAULT                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_TCTRL_TRK_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_TCTRL_TRK_PARITY_PROTECTION                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_TCTRL_TRK_PLATFORM_DEPENDENT                       _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED1_TERM_SEL_SHIFT                     _MK_SHIFT_CONST(16)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_TERM_SEL_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_STS_SAVED1_TERM_SEL_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_TERM_SEL_RANGE                     16:16
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_TERM_SEL_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_TERM_SEL_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_TERM_SEL_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_TERM_SEL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_TERM_SEL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_TERM_SEL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_TERM_SEL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED1_TCTRL_SW_SHIFT                     _MK_SHIFT_CONST(17)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_TCTRL_SW_FIELD                     _MK_FIELD_CONST(0x3f, XUSB_AO_UTMIP_PAD_STS_SAVED1_TCTRL_SW_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_TCTRL_SW_RANGE                     22:17
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_TCTRL_SW_WOFFSET                   0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_TCTRL_SW_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_TCTRL_SW_DEFAULT_MASK                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_TCTRL_SW_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_TCTRL_SW_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_TCTRL_SW_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_TCTRL_SW_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Register XUSB_AO_UTMIP_PAD_STS_SAVED1_1
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1                  _MK_ADDR_CONST(0x184)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_SECURE                   0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_DUAL                     0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_SCR                      0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_WORD_COUNT                       0x1
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_RESET_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_RESET_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_READ_MASK                        _MK_MASK_CONST(0x7fffff)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_VREG_LEV_SHIFT                   _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_VREG_LEV_FIELD                   _MK_FIELD_CONST(0x3, XUSB_AO_UTMIP_PAD_STS_SAVED1_1_VREG_LEV_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_VREG_LEV_RANGE                   1:0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_VREG_LEV_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_VREG_LEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_VREG_LEV_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_VREG_LEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_VREG_LEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_VREG_LEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_VREG_LEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_VREG_DYN_DLY_SHIFT                       _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_VREG_DYN_DLY_FIELD                       _MK_FIELD_CONST(0x3, XUSB_AO_UTMIP_PAD_STS_SAVED1_1_VREG_DYN_DLY_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_VREG_DYN_DLY_RANGE                       3:2
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_VREG_DYN_DLY_WOFFSET                     0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_VREG_DYN_DLY_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_VREG_DYN_DLY_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_VREG_DYN_DLY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_VREG_DYN_DLY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_VREG_DYN_DLY_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_VREG_DYN_DLY_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_PCTRL_TRK_SHIFT                  _MK_SHIFT_CONST(4)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_PCTRL_TRK_FIELD                  _MK_FIELD_CONST(0x3f, XUSB_AO_UTMIP_PAD_STS_SAVED1_1_PCTRL_TRK_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_PCTRL_TRK_RANGE                  9:4
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_PCTRL_TRK_WOFFSET                        0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_PCTRL_TRK_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_PCTRL_TRK_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_PCTRL_TRK_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_PCTRL_TRK_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_PCTRL_TRK_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_PCTRL_TRK_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TCTRL_TRK_SHIFT                  _MK_SHIFT_CONST(10)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TCTRL_TRK_FIELD                  _MK_FIELD_CONST(0x3f, XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TCTRL_TRK_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TCTRL_TRK_RANGE                  15:10
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TCTRL_TRK_WOFFSET                        0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TCTRL_TRK_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TCTRL_TRK_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TCTRL_TRK_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TCTRL_TRK_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TCTRL_TRK_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TCTRL_TRK_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TERM_SEL_SHIFT                   _MK_SHIFT_CONST(16)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TERM_SEL_FIELD                   _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TERM_SEL_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TERM_SEL_RANGE                   16:16
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TERM_SEL_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TERM_SEL_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TERM_SEL_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TERM_SEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TERM_SEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TERM_SEL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TERM_SEL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TCTRL_SW_SHIFT                   _MK_SHIFT_CONST(17)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TCTRL_SW_FIELD                   _MK_FIELD_CONST(0x3f, XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TCTRL_SW_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TCTRL_SW_RANGE                   22:17
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TCTRL_SW_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TCTRL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TCTRL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TCTRL_SW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TCTRL_SW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TCTRL_SW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_1_TCTRL_SW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register XUSB_AO_UTMIP_PAD_STS_SAVED1_2
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2                  _MK_ADDR_CONST(0x188)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_SECURE                   0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_DUAL                     0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_SCR                      0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_WORD_COUNT                       0x1
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_RESET_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_RESET_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_READ_MASK                        _MK_MASK_CONST(0x7fffff)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_VREG_LEV_SHIFT                   _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_VREG_LEV_FIELD                   _MK_FIELD_CONST(0x3, XUSB_AO_UTMIP_PAD_STS_SAVED1_2_VREG_LEV_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_VREG_LEV_RANGE                   1:0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_VREG_LEV_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_VREG_LEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_VREG_LEV_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_VREG_LEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_VREG_LEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_VREG_LEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_VREG_LEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_VREG_DYN_DLY_SHIFT                       _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_VREG_DYN_DLY_FIELD                       _MK_FIELD_CONST(0x3, XUSB_AO_UTMIP_PAD_STS_SAVED1_2_VREG_DYN_DLY_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_VREG_DYN_DLY_RANGE                       3:2
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_VREG_DYN_DLY_WOFFSET                     0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_VREG_DYN_DLY_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_VREG_DYN_DLY_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_VREG_DYN_DLY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_VREG_DYN_DLY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_VREG_DYN_DLY_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_VREG_DYN_DLY_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_PCTRL_TRK_SHIFT                  _MK_SHIFT_CONST(4)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_PCTRL_TRK_FIELD                  _MK_FIELD_CONST(0x3f, XUSB_AO_UTMIP_PAD_STS_SAVED1_2_PCTRL_TRK_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_PCTRL_TRK_RANGE                  9:4
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_PCTRL_TRK_WOFFSET                        0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_PCTRL_TRK_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_PCTRL_TRK_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_PCTRL_TRK_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_PCTRL_TRK_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_PCTRL_TRK_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_PCTRL_TRK_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TCTRL_TRK_SHIFT                  _MK_SHIFT_CONST(10)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TCTRL_TRK_FIELD                  _MK_FIELD_CONST(0x3f, XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TCTRL_TRK_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TCTRL_TRK_RANGE                  15:10
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TCTRL_TRK_WOFFSET                        0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TCTRL_TRK_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TCTRL_TRK_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TCTRL_TRK_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TCTRL_TRK_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TCTRL_TRK_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TCTRL_TRK_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TERM_SEL_SHIFT                   _MK_SHIFT_CONST(16)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TERM_SEL_FIELD                   _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TERM_SEL_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TERM_SEL_RANGE                   16:16
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TERM_SEL_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TERM_SEL_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TERM_SEL_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TERM_SEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TERM_SEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TERM_SEL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TERM_SEL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TCTRL_SW_SHIFT                   _MK_SHIFT_CONST(17)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TCTRL_SW_FIELD                   _MK_FIELD_CONST(0x3f, XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TCTRL_SW_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TCTRL_SW_RANGE                   22:17
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TCTRL_SW_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TCTRL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TCTRL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TCTRL_SW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TCTRL_SW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TCTRL_SW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_2_TCTRL_SW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Register XUSB_AO_UTMIP_PAD_STS_SAVED1_3
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3                  _MK_ADDR_CONST(0x18c)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_SECURE                   0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_DUAL                     0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_SCR                      0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_WORD_COUNT                       0x1
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_RESET_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_RESET_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_READ_MASK                        _MK_MASK_CONST(0x7fffff)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_WRITE_MASK                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_VREG_LEV_SHIFT                   _MK_SHIFT_CONST(0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_VREG_LEV_FIELD                   _MK_FIELD_CONST(0x3, XUSB_AO_UTMIP_PAD_STS_SAVED1_3_VREG_LEV_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_VREG_LEV_RANGE                   1:0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_VREG_LEV_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_VREG_LEV_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_VREG_LEV_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_VREG_LEV_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_VREG_LEV_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_VREG_LEV_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_VREG_LEV_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_VREG_DYN_DLY_SHIFT                       _MK_SHIFT_CONST(2)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_VREG_DYN_DLY_FIELD                       _MK_FIELD_CONST(0x3, XUSB_AO_UTMIP_PAD_STS_SAVED1_3_VREG_DYN_DLY_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_VREG_DYN_DLY_RANGE                       3:2
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_VREG_DYN_DLY_WOFFSET                     0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_VREG_DYN_DLY_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_VREG_DYN_DLY_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_VREG_DYN_DLY_SW_DEFAULT                  _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_VREG_DYN_DLY_SW_DEFAULT_MASK                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_VREG_DYN_DLY_PARITY_PROTECTION                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_VREG_DYN_DLY_PLATFORM_DEPENDENT                  _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_PCTRL_TRK_SHIFT                  _MK_SHIFT_CONST(4)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_PCTRL_TRK_FIELD                  _MK_FIELD_CONST(0x3f, XUSB_AO_UTMIP_PAD_STS_SAVED1_3_PCTRL_TRK_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_PCTRL_TRK_RANGE                  9:4
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_PCTRL_TRK_WOFFSET                        0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_PCTRL_TRK_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_PCTRL_TRK_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_PCTRL_TRK_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_PCTRL_TRK_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_PCTRL_TRK_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_PCTRL_TRK_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TCTRL_TRK_SHIFT                  _MK_SHIFT_CONST(10)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TCTRL_TRK_FIELD                  _MK_FIELD_CONST(0x3f, XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TCTRL_TRK_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TCTRL_TRK_RANGE                  15:10
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TCTRL_TRK_WOFFSET                        0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TCTRL_TRK_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TCTRL_TRK_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TCTRL_TRK_SW_DEFAULT                     _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TCTRL_TRK_SW_DEFAULT_MASK                        _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TCTRL_TRK_PARITY_PROTECTION                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TCTRL_TRK_PLATFORM_DEPENDENT                     _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TERM_SEL_SHIFT                   _MK_SHIFT_CONST(16)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TERM_SEL_FIELD                   _MK_FIELD_CONST(0x1, XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TERM_SEL_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TERM_SEL_RANGE                   16:16
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TERM_SEL_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TERM_SEL_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TERM_SEL_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TERM_SEL_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TERM_SEL_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TERM_SEL_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TERM_SEL_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TCTRL_SW_SHIFT                   _MK_SHIFT_CONST(17)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TCTRL_SW_FIELD                   _MK_FIELD_CONST(0x3f, XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TCTRL_SW_SHIFT)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TCTRL_SW_RANGE                   22:17
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TCTRL_SW_WOFFSET                 0x0
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TCTRL_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TCTRL_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TCTRL_SW_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TCTRL_SW_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TCTRL_SW_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_UTMIP_PAD_STS_SAVED1_3_TCTRL_SW_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)


// Reserved address 0x190

// Reserved address 0x194

// Reserved address 0x198

// Reserved address 0x19c

// Reserved address 0x1a0

// Reserved address 0x1a4

// Reserved address 0x1a8

// Reserved address 0x1ac

// Register XUSB_AO_BIAS_PAD_CFG_0
#define XUSB_AO_BIAS_PAD_CFG_0                  _MK_ADDR_CONST(0x1b0)
#define XUSB_AO_BIAS_PAD_CFG_0_SECURE                   0x0
#define XUSB_AO_BIAS_PAD_CFG_0_DUAL                     0x0
#define XUSB_AO_BIAS_PAD_CFG_0_SCR                      0
#define XUSB_AO_BIAS_PAD_CFG_0_WORD_COUNT                       0x1
#define XUSB_AO_BIAS_PAD_CFG_0_RESET_VAL                        _MK_MASK_CONST(0x0)
#define XUSB_AO_BIAS_PAD_CFG_0_RESET_MASK                       _MK_MASK_CONST(0x3f)
#define XUSB_AO_BIAS_PAD_CFG_0_SW_DEFAULT_VAL                   _MK_MASK_CONST(0x0)
#define XUSB_AO_BIAS_PAD_CFG_0_SW_DEFAULT_MASK                  _MK_MASK_CONST(0x0)
#define XUSB_AO_BIAS_PAD_CFG_0_READ_MASK                        _MK_MASK_CONST(0x3f)
#define XUSB_AO_BIAS_PAD_CFG_0_WRITE_MASK                       _MK_MASK_CONST(0x3f)
#define XUSB_AO_BIAS_PAD_CFG_0_SPARE_AO_SHIFT                   _MK_SHIFT_CONST(0)
#define XUSB_AO_BIAS_PAD_CFG_0_SPARE_AO_FIELD                   _MK_FIELD_CONST(0xf, XUSB_AO_BIAS_PAD_CFG_0_SPARE_AO_SHIFT)
#define XUSB_AO_BIAS_PAD_CFG_0_SPARE_AO_RANGE                   3:0
#define XUSB_AO_BIAS_PAD_CFG_0_SPARE_AO_WOFFSET                 0x0
#define XUSB_AO_BIAS_PAD_CFG_0_SPARE_AO_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_BIAS_PAD_CFG_0_SPARE_AO_DEFAULT_MASK                    _MK_MASK_CONST(0xf)
#define XUSB_AO_BIAS_PAD_CFG_0_SPARE_AO_SW_DEFAULT                      _MK_MASK_CONST(0x0)
#define XUSB_AO_BIAS_PAD_CFG_0_SPARE_AO_SW_DEFAULT_MASK                 _MK_MASK_CONST(0x0)
#define XUSB_AO_BIAS_PAD_CFG_0_SPARE_AO_PARITY_PROTECTION                       _MK_MASK_CONST(0x0)
#define XUSB_AO_BIAS_PAD_CFG_0_SPARE_AO_PLATFORM_DEPENDENT                      _MK_MASK_CONST(0x1)

#define XUSB_AO_BIAS_PAD_CFG_0_E_DPD_OVRD_EN_SHIFT                      _MK_SHIFT_CONST(4)
#define XUSB_AO_BIAS_PAD_CFG_0_E_DPD_OVRD_EN_FIELD                      _MK_FIELD_CONST(0x1, XUSB_AO_BIAS_PAD_CFG_0_E_DPD_OVRD_EN_SHIFT)
#define XUSB_AO_BIAS_PAD_CFG_0_E_DPD_OVRD_EN_RANGE                      4:4
#define XUSB_AO_BIAS_PAD_CFG_0_E_DPD_OVRD_EN_WOFFSET                    0x0
#define XUSB_AO_BIAS_PAD_CFG_0_E_DPD_OVRD_EN_DEFAULT                    _MK_MASK_CONST(0x0)
#define XUSB_AO_BIAS_PAD_CFG_0_E_DPD_OVRD_EN_DEFAULT_MASK                       _MK_MASK_CONST(0x1)
#define XUSB_AO_BIAS_PAD_CFG_0_E_DPD_OVRD_EN_SW_DEFAULT                 _MK_MASK_CONST(0x0)
#define XUSB_AO_BIAS_PAD_CFG_0_E_DPD_OVRD_EN_SW_DEFAULT_MASK                    _MK_MASK_CONST(0x0)
#define XUSB_AO_BIAS_PAD_CFG_0_E_DPD_OVRD_EN_PARITY_PROTECTION                  _MK_MASK_CONST(0x0)
#define XUSB_AO_BIAS_PAD_CFG_0_E_DPD_OVRD_EN_PLATFORM_DEPENDENT                 _MK_MASK_CONST(0x1)

#define XUSB_AO_BIAS_PAD_CFG_0_E_DPD_OVRD_VAL_SHIFT                     _MK_SHIFT_CONST(5)
#define XUSB_AO_BIAS_PAD_CFG_0_E_DPD_OVRD_VAL_FIELD                     _MK_FIELD_CONST(0x1, XUSB_AO_BIAS_PAD_CFG_0_E_DPD_OVRD_VAL_SHIFT)
#define XUSB_AO_BIAS_PAD_CFG_0_E_DPD_OVRD_VAL_RANGE                     5:5
#define XUSB_AO_BIAS_PAD_CFG_0_E_DPD_OVRD_VAL_WOFFSET                   0x0
#define XUSB_AO_BIAS_PAD_CFG_0_E_DPD_OVRD_VAL_DEFAULT                   _MK_MASK_CONST(0x0)
#define XUSB_AO_BIAS_PAD_CFG_0_E_DPD_OVRD_VAL_DEFAULT_MASK                      _MK_MASK_CONST(0x1)
#define XUSB_AO_BIAS_PAD_CFG_0_E_DPD_OVRD_VAL_SW_DEFAULT                        _MK_MASK_CONST(0x0)
#define XUSB_AO_BIAS_PAD_CFG_0_E_DPD_OVRD_VAL_SW_DEFAULT_MASK                   _MK_MASK_CONST(0x0)
#define XUSB_AO_BIAS_PAD_CFG_0_E_DPD_OVRD_VAL_PARITY_PROTECTION                 _MK_MASK_CONST(0x0)
#define XUSB_AO_BIAS_PAD_CFG_0_E_DPD_OVRD_VAL_PLATFORM_DEPENDENT                        _MK_MASK_CONST(0x1)


// Reserved address 0x1b4

//
// REGISTER LIST
//
#define LIST_ARXUSB_AO_REGS(_op_) \
_op_(XUSB_AO_GATE_0) \
_op_(XUSB_AO_USB_DEBOUNCE_DEL_0) \
_op_(XUSB_AO_UTMIP_TRIGGERS_0) \
_op_(XUSB_AO_UTMIP_TRIGGERS) \
_op_(XUSB_AO_UTMIP_TRIGGERS_1) \
_op_(XUSB_AO_UTMIP_TRIGGERS_2) \
_op_(XUSB_AO_UTMIP_TRIGGERS_3) \
_op_(XUSB_AO_UTMIP_SAVED_STATE_0) \
_op_(XUSB_AO_UTMIP_SAVED_STATE) \
_op_(XUSB_AO_UTMIP_SAVED_STATE_1) \
_op_(XUSB_AO_UTMIP_SAVED_STATE_2) \
_op_(XUSB_AO_UTMIP_SAVED_STATE_3) \
_op_(XUSB_AO_UTMIP_SLEEPWALK_STATUS_0) \
_op_(XUSB_AO_UTMIP_SLEEPWALK_STATUS) \
_op_(XUSB_AO_UTMIP_SLEEPWALK_STATUS_1) \
_op_(XUSB_AO_UTMIP_SLEEPWALK_STATUS_2) \
_op_(XUSB_AO_UTMIP_SLEEPWALK_STATUS_3) \
_op_(XUSB_AO_UTMIP_SLEEPWALK_CFG_0) \
_op_(XUSB_AO_UTMIP_SLEEPWALK_CFG) \
_op_(XUSB_AO_UTMIP_SLEEPWALK_CFG_1) \
_op_(XUSB_AO_UTMIP_SLEEPWALK_CFG_2) \
_op_(XUSB_AO_UTMIP_SLEEPWALK_CFG_3) \
_op_(XUSB_AO_UTMIP_SLEEPWALK_0) \
_op_(XUSB_AO_UTMIP_SLEEPWALK) \
_op_(XUSB_AO_UTMIP_SLEEPWALK_1) \
_op_(XUSB_AO_UTMIP_SLEEPWALK_2) \
_op_(XUSB_AO_UTMIP_SLEEPWALK_3) \
_op_(XUSB_AO_UTMIP_PAD_CFG_0) \
_op_(XUSB_AO_UTMIP_PAD_CFG) \
_op_(XUSB_AO_UTMIP_PAD_CFG_1) \
_op_(XUSB_AO_UTMIP_PAD_CFG_2) \
_op_(XUSB_AO_UTMIP_PAD_CFG_3) \
_op_(XUSB_AO_UTMIP_PAD_STS_SAVED0_0) \
_op_(XUSB_AO_UTMIP_PAD_STS_SAVED0) \
_op_(XUSB_AO_UTMIP_PAD_STS_SAVED0_1) \
_op_(XUSB_AO_UTMIP_PAD_STS_SAVED0_2) \
_op_(XUSB_AO_UTMIP_PAD_STS_SAVED0_3) \
_op_(XUSB_AO_UTMIP_PAD_STS_SAVED1_0) \
_op_(XUSB_AO_UTMIP_PAD_STS_SAVED1) \
_op_(XUSB_AO_UTMIP_PAD_STS_SAVED1_1) \
_op_(XUSB_AO_UTMIP_PAD_STS_SAVED1_2) \
_op_(XUSB_AO_UTMIP_PAD_STS_SAVED1_3) \
_op_(XUSB_AO_BIAS_PAD_CFG_0)


//
// ADDRESS SPACES
//

#define BASE_ADDRESS_XUSB_AO    0x00000000

//
// ARXUSB_AO REGISTER BANKS
//

#define XUSB_AO0_FIRST_REG 0x0000 // XUSB_AO_GATE_0
#define XUSB_AO0_LAST_REG 0x0004 // XUSB_AO_USB_DEBOUNCE_DEL_0
#define XUSB_AO1_FIRST_REG 0x0040 // XUSB_AO_UTMIP_TRIGGERS_0
#define XUSB_AO1_LAST_REG 0x004c // XUSB_AO_UTMIP_TRIGGERS_3
#define XUSB_AO2_FIRST_REG 0x0070 // XUSB_AO_UTMIP_SAVED_STATE_0
#define XUSB_AO2_LAST_REG 0x007c // XUSB_AO_UTMIP_SAVED_STATE_3
#define XUSB_AO3_FIRST_REG 0x00a0 // XUSB_AO_UTMIP_SLEEPWALK_STATUS_0
#define XUSB_AO3_LAST_REG 0x00ac // XUSB_AO_UTMIP_SLEEPWALK_STATUS_3
#define XUSB_AO4_FIRST_REG 0x00d0 // XUSB_AO_UTMIP_SLEEPWALK_CFG_0
#define XUSB_AO4_LAST_REG 0x00dc // XUSB_AO_UTMIP_SLEEPWALK_CFG_3
#define XUSB_AO5_FIRST_REG 0x0100 // XUSB_AO_UTMIP_SLEEPWALK_0
#define XUSB_AO5_LAST_REG 0x010c // XUSB_AO_UTMIP_SLEEPWALK_3
#define XUSB_AO6_FIRST_REG 0x0130 // XUSB_AO_UTMIP_PAD_CFG_0
#define XUSB_AO6_LAST_REG 0x013c // XUSB_AO_UTMIP_PAD_CFG_3
#define XUSB_AO7_FIRST_REG 0x0160 // XUSB_AO_UTMIP_PAD_STS_SAVED0_0
#define XUSB_AO7_LAST_REG 0x016c // XUSB_AO_UTMIP_PAD_STS_SAVED0_3
#define XUSB_AO8_FIRST_REG 0x0180 // XUSB_AO_UTMIP_PAD_STS_SAVED1_0
#define XUSB_AO8_LAST_REG 0x018c // XUSB_AO_UTMIP_PAD_STS_SAVED1_3
#define XUSB_AO9_FIRST_REG 0x01b0 // XUSB_AO_BIAS_PAD_CFG_0
#define XUSB_AO9_LAST_REG 0x01b0 // XUSB_AO_BIAS_PAD_CFG_0

// To satisfy various compilers and platforms,
// we let users control the types and syntax of certain constants, using macros.
#ifndef _MK_SHIFT_CONST
  #define _MK_SHIFT_CONST(_constant_) _constant_
#endif
#ifndef _MK_MASK_CONST
  #define _MK_MASK_CONST(_constant_) _constant_
#endif
#ifndef _MK_ENUM_CONST
  #define _MK_ENUM_CONST(_constant_) (_constant_ ## UL)
#endif
#ifndef _MK_ADDR_CONST
  #define _MK_ADDR_CONST(_constant_) _constant_
#endif
#ifndef _MK_FIELD_CONST
  #define _MK_FIELD_CONST(_mask_, _shift_) (_MK_MASK_CONST(_mask_) << _MK_SHIFT_CONST(_shift_))
#endif

#endif // ifndef ___ARXUSB_AO_H_INC_
