//
// Copyright (c) 2019 NVIDIA Corporation.
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
//  * Redistributions of source code must retain the above copyright
//    notice, this list of conditions and the following disclaimer.
//  * Redistributions in binary form must reproduce the above copyright
//    notice, this list of conditions and the following disclaimer in the
//    documentation and/or other materials provided with the distribution.
//  * Neither the name of NVIDIA CORPORATION nor the names of its
//    contributors may be used to endorse or promote products derived
//    from this software without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS ``AS IS'' AND ANY
// EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
// PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR
// CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
// EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
// PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
// PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
// OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
// (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
// OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//

// SDRAM MSSAON register generated by tool warmboot_code_gen
// LPDDR2 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_1_0_EMC_MRW_LPDDR2_ZCAL_WARM_BOOT_0_MRW_MA_RANGE\
                                                                             7: 0
// LPDDR2 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_1_0_EMC_MRW_LPDDR2_ZCAL_WARM_BOOT_0_MRW_OP_RANGE\
                                                                            15: 8
// LPDDR2 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_1_0_EMC_WARM_BOOT_MRW_EXTRA_0_MRW_MA_RANGE\
                                                                            23:16
// LPDDR2 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_1_0_EMC_WARM_BOOT_MRW_EXTRA_0_MRW_OP_RANGE\
                                                                            31:24
// DDR3 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_1_0_EMC_MRS_0_MRS_ADR_RANGE       13: 0
// DDR3 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_1_0_EMC_EMRS_0_EMRS_ADR_RANGE     27:14
// DDR3 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_1_0_EMC_MRS_0_MRS_BA_RANGE        29:28
// DDR3 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_1_0_EMC_EMRS_0_EMRS_BA_RANGE      31:30

// LPDDR2 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_2_0_EMC_MRW_LPDDR2_ZCAL_WARM_BOOT_0_MRW_DEV_SELECTN_RANGE\
                                                                             1: 0
// LPDDR2 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_2_0_EMC_WARM_BOOT_MRW_EXTRA_0_MRW_DEV_SELECTN_RANGE\
                                                                             3: 2
// LPDDR2 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_2_0_EMC_MRW_LPDDR2_ZCAL_WARM_BOOT_0_USE_MRW_LONG_CNT_RANGE\
                                                                             4: 4
// LPDDR2 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_2_0_EMC_MRW_LPDDR2_ZCAL_WARM_BOOT_0_USE_MRW_EXT_CNT_RANGE\
                                                                             5: 5
// LPDDR2 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_2_0_EMC_WARM_BOOT_MRW_EXTRA_0_USE_MRW_LONG_CNT_RANGE\
                                                                             6: 6
// LPDDR2 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_2_0_EMC_WARM_BOOT_MRW_EXTRA_0_USE_MRW_EXT_CNT_RANGE\
                                                                             7: 7
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_2_0_CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_EMC_2X_CLK_DIVISOR_RANGE\
                                                                            15: 8
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_2_0_CLK_RST_CONTROLLER_CLK_SOURCE_EMC_DLL_ALIAS_0_EMC_DLL_CLK_DIVISOR_RANGE\
                                                                            23:16
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_2_0_CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_EMC_2X_CLK_SRC_RANGE\
                                                                            26:24
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_2_0_CLK_RST_CONTROLLER_CLK_SOURCE_EMC_DLL_ALIAS_0_EMC_DLL_CLK_SRC_RANGE\
                                                                            29:27
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_2_0_CLK_RST_CONTROLLER_CLK_SOURCE_EMC_DLL_ALIAS_0_DDLL_CLK_SEL_RANGE\
                                                                            31:30

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_3_0_CLK_RST_CONTROLLER_PLLM_MISC1_ALIAS_0_PLLM_SETUP_RANGE\
                                                                            27: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_3_0_CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_VREG14V_CTRL_RANGE\
                                                                            29:28
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_3_0_CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_VREG10V_CTRL_RANGE\
                                                                            31:30

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_PTS_RANGE\
                                                                             1: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_KCP_RANGE\
                                                                             3: 2
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_EMC_MISC_ALIAS_0_EMCHUB_CLK_SEL_RANGE\
                                                                             5: 4
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_CAL_SUBP_SELECTN_RANGE\
                                                                             7: 6
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_CAL_DEV_SELECTN_RANGE\
                                                                             9: 8
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_MSS_AON_CFG_DDR_VDDP_SEL_0_XM0_VDDP_SEL_RANGE\
                                                                            11:10
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_EMC_CLK_DIV2_EN_RANGE\
                                                                            12:12
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_MC_EMC_SAME_FREQ_RANGE\
                                                                            13:13
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_EMC_INVERT_DCD_RANGE\
                                                                            14:14
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_PLLC_OUT_FOR_EMC_EN_RANGE\
                                                                            15:15
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_USE_32KHZ_AS_CLK_M_RANGE\
                                                                            16:16
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_FORCE_CC_TRIGGER_RANGE\
                                                                            17:17
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_EMC_SWITCH_COMPLETE_RANGE\
                                                                            18:18
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CFPA_RANGE\
                                                                            19:19
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CEPA_RANGE\
                                                                            20:20
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CDPA_RANGE\
                                                                            21:21
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CCPA_RANGE\
                                                                            22:22
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CBPA_RANGE\
                                                                            23:23
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CAPA_RANGE\
                                                                            24:24
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_MSS_AON_CFG_DDR_MISC_CTRL_0_XM0_TX_DISABLE_PREDRV_RAILGATE_RANGE\
                                                                            25:25
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_MSS_AON_CFG_DDR_MISC_CTRL_0_XM0_TX_FORCE_TRISTATE_RANGE\
                                                                            26:26
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_MSS_AON_CFG_DDR_MISC_CTRL_0_XM1_TX_DISABLE_PREDRV_RAILGATE_RANGE\
                                                                            27:27
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_MSS_AON_CFG_DDR_MISC_CTRL_0_XM1_TX_FORCE_TRISTATE_RANGE\
                                                                            28:28
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_MSS_AON_CFG_DDR_MISC_CTRL_0_XM2_TX_DISABLE_PREDRV_RAILGATE_RANGE\
                                                                            29:29
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_MSS_AON_CFG_DDR_MISC_CTRL_0_XM2_TX_FORCE_TRISTATE_RANGE\
                                                                            30:30
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_MSS_AON_CFG_DDR_MISC_CTRL_0_XM3_TX_DISABLE_PREDRV_RAILGATE_RANGE\
                                                                            31:31

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_MSS_AON_CFG_DDR_MISC_CTRL_0_XM3_TX_FORCE_TRISTATE_RANGE\
                                                                             0: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_OVERRIDE_SYNCMUX_RANGE\
                                                                             1: 1
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_VCO_SEL_RANGE\
                                                                             2: 2
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_SYNC_MUX_CTRL_RANGE\
                                                                             3: 3
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_ENABLE_SW_OVERRIDE_RANGE\
                                                                             4: 4
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_IDDQ_RANGE\
                                                                             5: 5
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_EN_LCKDET_RANGE\
                                                                             6: 6
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_LOCK_OVERRIDE_RANGE\
                                                                             7: 7
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_KVCO_RANGE\
                                                                             8: 8
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_MCHUBSC_RANGE\
                                                                             9: 9
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_MC5_RANGE\
                                                                            10:10
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_EMCSC_IOBIST_RANGE\
                                                                            11:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_EMCSC_LATENCY_RANGE\
                                                                            12:12
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_MC_BBC_RANGE\
                                                                            13:13
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CPU_RANGE\
                                                                            14:14
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_EMC_DLL_RANGE\
                                                                            15:15
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_MEM_RANGE\
                                                                            16:16
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_EMC_RANGE\
                                                                            17:17
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_MCHUBSB_RANGE\
                                                                            18:18
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_MC3_RANGE\
                                                                            19:19
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_EMCSB_IOBIST_RANGE\
                                                                            20:20
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_EMCSB_LATENCY_RANGE\
                                                                            21:21
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_MC_BBC_RANGE\
                                                                            22:22
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_MC_CPU_RANGE\
                                                                            23:23
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_EMC_DLL_RANGE\
                                                                            24:24
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_MEM_RANGE\
                                                                            25:25
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_EMC_RANGE\
                                                                            26:26
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_MCHUBSD_RANGE\
                                                                            27:27
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_MC7_RANGE\
                                                                            28:28
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_EMCSD_IOBIST_RANGE\
                                                                            29:29
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_EMCSD_LATENCY_RANGE\
                                                                            30:30
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_MC_BBC_RANGE\
                                                                            31:31

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_MC_CPU_RANGE\
                                                                             0: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_EMC_DLL_RANGE\
                                                                             1: 1
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_MEM_RANGE\
                                                                             2: 2
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_EMC_RANGE\
                                                                             3: 3
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_CLK_RST_CONTROLLER_EMC_MISC_ALIAS_0_MCHUB_CLK_RATIO_RANGE\
                                                                             4: 4
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_CAL_CMD_RANGE\
                                                                             5: 5
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_LATCH_CMD_RANGE\
                                                                             6: 6
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_CAL_LENGTH_RANGE\
                                                                             7: 7
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MCHUBSA_RANGE\
                                                                             8: 8
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC1_RANGE\
                                                                             9: 9
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_EMC_IOBIST_RANGE\
                                                                            10:10
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_EMC_LATENCY_RANGE\
                                                                            11:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_BBC_RANGE\
                                                                            12:12
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CPU_RANGE\
                                                                            13:13
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_EMC_DLL_RANGE\
                                                                            14:14
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MEM_RANGE\
                                                                            15:15
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_EMC_RANGE\
                                                                            16:16
#define EMC_PMACRO_DDLL_PWRD_2_0_15_1_RANGE                                 15:1
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_EMC_PMACRO_DDLL_PWRD_2_0_15_1_RANGE\
                                                                            31:17

#define EMC_MRW6_0_31_0_RANGE                                               31:0
// LPDDR2 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_7_0_EMC_MRW6_0_31_0_RANGE         31: 0
// DDR3 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_7_0_EMC_EMRS2_0_EMRS2_ADR_RANGE   13: 0
// DDR3 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_7_0_EMC_EMRS3_0_EMRS3_ADR_RANGE   27:14
// DDR3 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_7_0_EMC_EMRS2_0_EMRS2_BA_RANGE    29:28
// DDR3 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_7_0_EMC_EMRS3_0_EMRS3_BA_RANGE    31:30

#define EMC_MRW8_0_31_0_RANGE                                               31:0
// LPDDR2 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_8_0_EMC_MRW8_0_31_0_RANGE         31: 0
// DDR3 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_8_0_EMC_WARM_BOOT_MRS_EXTRA_0_MRS_ADR_RANGE\
                                                                            13: 0
#define EMC_MRS_0_31_26_RANGE                                               31:26
// DDR3 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_8_0_EMC_MRS_0_31_26_RANGE         19:14
#define EMC_EMRS_0_31_26_RANGE                                              31:26
// DDR3 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_8_0_EMC_EMRS_0_31_26_RANGE        25:20
#define EMC_EMRS2_0_31_26_RANGE                                             31:26
// DDR3 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_8_0_EMC_EMRS2_0_31_26_RANGE       31:26

#define EMC_MRW10_0_31_0_RANGE                                              31:0
// LPDDR2 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_9_0_EMC_MRW10_0_31_0_RANGE        31: 0
#define EMC_EMRS3_0_31_26_RANGE                                             31:26
// DDR3 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_9_0_EMC_EMRS3_0_31_26_RANGE        5: 0
// DDR3 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_9_0_EMC_WARM_BOOT_MRS_EXTRA_0_MRS_DEV_SELECTN_RANGE\
                                                                             7: 6
// DDR3 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_9_0_EMC_WARM_BOOT_MRS_EXTRA_0_MRS_BA_RANGE\
                                                                             9: 8
// DDR3 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_9_0_EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_CAL_SUBP_SELECTN_RANGE\
                                                                            11:10
// DDR3 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_9_0_EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_CAL_DEV_SELECTN_RANGE\
                                                                            13:12
// DDR3 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_9_0_EMC_WARM_BOOT_MRS_EXTRA_0_USE_MRS_EXT_CNT_RANGE\
                                                                            14:14
// DDR3 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_9_0_EMC_WARM_BOOT_MRS_EXTRA_0_USE_MRS_LONG_CNT_RANGE\
                                                                            15:15
// DDR3 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_9_0_EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_CAL_CMD_RANGE\
                                                                            16:16
// DDR3 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_9_0_EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_LATCH_CMD_RANGE\
                                                                            17:17
// DDR3 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_9_0_EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_CAL_LENGTH_RANGE\
                                                                            18:18

#define EMC_MRW12_0_31_0_RANGE                                              31:0
// LPDDR2 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_10_0_EMC_MRW12_0_31_0_RANGE       31: 0

#define EMC_MRW13_0_31_0_RANGE                                              31:0
// LPDDR2 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_11_0_EMC_MRW13_0_31_0_RANGE       31: 0

#define EMC_MRW14_0_31_0_RANGE                                              31:0
// LPDDR2 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_12_0_EMC_MRW14_0_31_0_RANGE       31: 0

// LPDDR2 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_13_0_EMC_MRW_0_MRW_OP_RANGE        7: 0
#define EMC_MRW_0_31_16_RANGE                                               31:16
// LPDDR2 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_13_0_EMC_MRW_0_31_16_RANGE        23: 8
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_13_0_EMC_RC_0_RC_RANGE            31:24

// LPDDR2 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_14_0_EMC_WARM_BOOT_MRW_EXTRA_0_MRW_OP_RANGE\
                                                                             7: 0
#define EMC_WARM_BOOT_MRW_EXTRA_0_31_16_RANGE                               31:16
// LPDDR2 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_14_0_EMC_WARM_BOOT_MRW_EXTRA_0_31_16_RANGE\
                                                                            23: 8
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_14_0_EMC_QSAFE_0_QSAFE_RANGE      31:24

// LPDDR2 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_15_0_EMC_MRW2_0_MRW2_OP_RANGE      7: 0
#define EMC_MRW2_0_31_16_RANGE                                              31:16
// LPDDR2 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_15_0_EMC_MRW2_0_31_16_RANGE       23: 8
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_15_0_EMC_RDV_0_RDV_RANGE          31:24

// LPDDR2 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_16_0_EMC_MRW3_0_MRW3_OP_RANGE      7: 0
#define EMC_MRW3_0_31_16_RANGE                                              31:16
// LPDDR2 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_16_0_EMC_MRW3_0_31_16_RANGE       23: 8
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_16_0_EMC_AUTO_CAL_CONFIG9_0_AUTO_CAL_DISABLE_MASTER_RANGE\
                                                                            24:24
#define EMC_AUTO_CAL_CONFIG9_0_6_0_RANGE                                    6:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_16_0_EMC_AUTO_CAL_CONFIG9_0_6_0_RANGE\
                                                                            31:25

// LPDDR2 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_17_0_EMC_MRW4_0_MRW4_OP_RANGE      7: 0
#define EMC_MRW4_0_31_16_RANGE                                              31:16
// LPDDR2 only
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_17_0_EMC_MRW4_0_31_16_RANGE       23: 8
#define EMC_PMACRO_AUTOCAL_CFG_2_0_CH12_3_0_RANGE                           3:0
#define EMC_PMACRO_AUTOCAL_CFG_2_0_3_0_RANGE                                3:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_17_0_EMC_PMACRO_AUTOCAL_CFG_2_0_CH12_3_0_RANGE\
                                                                            27:24
#define EMC_PMACRO_AUTOCAL_CFG_2_0_CH12_11_8_RANGE                          11:8
#define EMC_PMACRO_AUTOCAL_CFG_2_0_11_8_RANGE                               11:8
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_17_0_EMC_PMACRO_AUTOCAL_CFG_2_0_CH12_11_8_RANGE\
                                                                            31:28

#define EMC_FBIO_SPARE_0_31_0_RANGE                                         31:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_18_0_EMC_FBIO_SPARE_0_31_0_RANGE  31: 0

#define EMC_CFG_RSV_0_31_0_RANGE                                            31:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_19_0_EMC_CFG_RSV_0_31_0_RANGE     31: 0

#define EMC_MRW9_0_CH6_31_0_RANGE                                           31:0
#define EMC_MRW9_0_31_0_RANGE                                               31:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_20_0_EMC_MRW9_0_CH6_31_0_RANGE    31: 0

#define EMC_MRW9_0_CH14_31_0_RANGE                                          31:0
#define EMC_MRW9_0_31_0_RANGE                                               31:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_21_0_EMC_MRW9_0_CH14_31_0_RANGE   31: 0

#define EMC_MRW9_0_CH12_31_0_RANGE                                          31:0
#define EMC_MRW9_0_31_0_RANGE                                               31:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_22_0_EMC_MRW9_0_CH12_31_0_RANGE   31: 0

#define EMC_MRW9_0_CH10_31_0_RANGE                                          31:0
#define EMC_MRW9_0_31_0_RANGE                                               31:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_23_0_EMC_MRW9_0_CH10_31_0_RANGE   31: 0

#define EMC_MRW9_0_CH8_31_0_RANGE                                           31:0
#define EMC_MRW9_0_31_0_RANGE                                               31:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_24_0_EMC_MRW9_0_CH8_31_0_RANGE    31: 0

#define EMC_MRW9_0_CH4_31_0_RANGE                                           31:0
#define EMC_MRW9_0_31_0_RANGE                                               31:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_25_0_EMC_MRW9_0_CH4_31_0_RANGE    31: 0

#define EMC_MRW9_0_CH0_31_0_RANGE                                           31:0
#define EMC_MRW9_0_31_0_RANGE                                               31:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_26_0_EMC_MRW9_0_CH0_31_0_RANGE    31: 0

#define EMC_MRW9_0_CH2_31_0_RANGE                                           31:0
#define EMC_MRW9_0_31_0_RANGE                                               31:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_27_0_EMC_MRW9_0_CH2_31_0_RANGE    31: 0

#define EMC_AUTO_CAL_CONFIG_0_31_0_RANGE                                    31:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_28_0_EMC_AUTO_CAL_CONFIG_0_31_0_RANGE\
                                                                            31: 0

#define EMC_AUTO_CAL_VREF_SEL_0_0_31_0_RANGE                                31:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_29_0_EMC_AUTO_CAL_VREF_SEL_0_0_31_0_RANGE\
                                                                            31: 0

#define EMC_PMACRO_BRICK_CTRL_RFU1_0_31_0_RANGE                             31:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_30_0_EMC_PMACRO_BRICK_CTRL_RFU1_0_31_0_RANGE\
                                                                            31: 0

#define EMC_PMACRO_BRICK_CTRL_RFU2_0_31_0_RANGE                             31:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_31_0_EMC_PMACRO_BRICK_CTRL_RFU2_0_31_0_RANGE\
                                                                            31: 0

#define EMC_PMC_SCRATCH1_0_CH4_SCRATCH1_RANGE                               EMC_PMC_SCRATCH1_0_SCRATCH1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_32_0_EMC_PMC_SCRATCH1_0_CH4_SCRATCH1_RANGE\
                                                                            31: 0

#define EMC_PMC_SCRATCH1_0_CH0_SCRATCH1_RANGE                               EMC_PMC_SCRATCH1_0_SCRATCH1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_33_0_EMC_PMC_SCRATCH1_0_CH0_SCRATCH1_RANGE\
                                                                            31: 0

#define EMC_PMC_SCRATCH1_0_CH8_SCRATCH1_RANGE                               EMC_PMC_SCRATCH1_0_SCRATCH1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_34_0_EMC_PMC_SCRATCH1_0_CH8_SCRATCH1_RANGE\
                                                                            31: 0

#define EMC_PMC_SCRATCH1_0_CH12_SCRATCH1_RANGE                              EMC_PMC_SCRATCH1_0_SCRATCH1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_35_0_EMC_PMC_SCRATCH1_0_CH12_SCRATCH1_RANGE\
                                                                            31: 0

#define EMC_PMC_SCRATCH2_0_CH12_SCRATCH2_RANGE                              EMC_PMC_SCRATCH2_0_SCRATCH2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_36_0_EMC_PMC_SCRATCH2_0_CH12_SCRATCH2_RANGE\
                                                                            31: 0

#define EMC_PMC_SCRATCH2_0_CH8_SCRATCH2_RANGE                               EMC_PMC_SCRATCH2_0_SCRATCH2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_37_0_EMC_PMC_SCRATCH2_0_CH8_SCRATCH2_RANGE\
                                                                            31: 0

#define EMC_PMC_SCRATCH2_0_CH0_SCRATCH2_RANGE                               EMC_PMC_SCRATCH2_0_SCRATCH2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_38_0_EMC_PMC_SCRATCH2_0_CH0_SCRATCH2_RANGE\
                                                                            31: 0

#define EMC_PMC_SCRATCH2_0_CH4_SCRATCH2_RANGE                               EMC_PMC_SCRATCH2_0_SCRATCH2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_39_0_EMC_PMC_SCRATCH2_0_CH4_SCRATCH2_RANGE\
                                                                            31: 0

#define EMC_PMC_SCRATCH3_0_CH0_SCRATCH3_RANGE                               EMC_PMC_SCRATCH3_0_SCRATCH3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_40_0_EMC_PMC_SCRATCH3_0_CH0_SCRATCH3_RANGE\
                                                                            31: 0

#define EMC_PMC_SCRATCH3_0_CH4_SCRATCH3_RANGE                               EMC_PMC_SCRATCH3_0_SCRATCH3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_41_0_EMC_PMC_SCRATCH3_0_CH4_SCRATCH3_RANGE\
                                                                            31: 0

#define EMC_PMC_SCRATCH3_0_CH8_SCRATCH3_RANGE                               EMC_PMC_SCRATCH3_0_SCRATCH3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_42_0_EMC_PMC_SCRATCH3_0_CH8_SCRATCH3_RANGE\
                                                                            31: 0

#define EMC_PMC_SCRATCH3_0_CH12_SCRATCH3_RANGE                              EMC_PMC_SCRATCH3_0_SCRATCH3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_43_0_EMC_PMC_SCRATCH3_0_CH12_SCRATCH3_RANGE\
                                                                            31: 0

#define EMC_PMACRO_PERBIT_FGCG_CTRL_0_0_31_0_RANGE                          31:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_44_0_EMC_PMACRO_PERBIT_FGCG_CTRL_0_0_31_0_RANGE\
                                                                            31: 0

#define EMC_PMACRO_PERBIT_FGCG_CTRL_1_0_31_0_RANGE                          31:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_45_0_EMC_PMACRO_PERBIT_FGCG_CTRL_1_0_31_0_RANGE\
                                                                            31: 0

#define EMC_PMACRO_PERBIT_FGCG_CTRL_4_0_31_0_RANGE                          31:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_46_0_EMC_PMACRO_PERBIT_FGCG_CTRL_4_0_31_0_RANGE\
                                                                            31: 0

#define EMC_PMACRO_PERBIT_RFU_CTRL_0_0_31_0_RANGE                           31:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_47_0_EMC_PMACRO_PERBIT_RFU_CTRL_0_0_31_0_RANGE\
                                                                            31: 0

#define EMC_PMACRO_PERBIT_RFU_CTRL_1_0_31_0_RANGE                           31:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_48_0_EMC_PMACRO_PERBIT_RFU_CTRL_1_0_31_0_RANGE\
                                                                            31: 0

#define EMC_PMACRO_PERBIT_RFU_CTRL_4_0_31_0_RANGE                           31:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_49_0_EMC_PMACRO_PERBIT_RFU_CTRL_4_0_31_0_RANGE\
                                                                            31: 0

#define MC_MCF_IREQX_SRC_WEIGHT_0_0_31_0_RANGE                              31:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_50_0_MC_MCF_IREQX_SRC_WEIGHT_0_0_31_0_RANGE\
                                                                            31: 0

#define MC_MSS_SBS_VC_LIMIT_0_31_0_RANGE                                    31:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_51_0_MC_MSS_SBS_VC_LIMIT_0_31_0_RANGE\
                                                                            31: 0

#define MC_EMEM_ARB_DA_TURNS_0_31_0_RANGE                                   31:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_52_0_MC_EMEM_ARB_DA_TURNS_0_31_0_RANGE\
                                                                            31: 0

#define MC_CLKEN_OVERRIDE_0_31_0_RANGE                                      31:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_53_0_MC_CLKEN_OVERRIDE_0_31_0_RANGE\
                                                                            31: 0

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_31_0_RANGE                       31:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_54_0_MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_31_0_RANGE\
                                                                            31: 0

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_55_0_EMC_BCT_SPARE_13_RANGE       31: 0

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_56_0_EMC_BCT_SPARE_12_RANGE       31: 0

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_57_0_PLLM_STABLE_ALIAS_0_RANGE    31: 0

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_58_0_EMC_BCT_SPARE_7_RANGE        31: 0

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_59_0_EMC_BCT_SPARE_6_RANGE        31: 0

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_60_0_EMC_BCT_SPARE_5_RANGE        31: 0

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_61_0_EMC_BCT_SPARE_4_RANGE        31: 0

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_62_0_EMC_BCT_SPARE_3_RANGE        31: 0

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_63_0_EMC_BCT_SPARE_0_RANGE        31: 0

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_64_0_EMC_BCT_SPARE_1_RANGE        31: 0

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_65_0_EMC_BCT_SPARE_9_RANGE        31: 0

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_66_0_EMC_BCT_SPARE_2_RANGE        31: 0

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_67_0_BOOT_ROM_PATCH_DATA_RANGE    31: 0

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_68_0_MEMORY_IO_VOLTAGE_RANGE      31: 0

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_69_0_BOOT_ROM_PATCH_CONTROL_RANGE 31: 0

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_70_0_EMC_BCT_SPARE_8_RANGE        31: 0

#define EMC_SWIZZLE_RANK0_BYTE0_0_CH6_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE0_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_71_0_EMC_SWIZZLE_RANK0_BYTE0_0_CH6_30_0_RANGE\
                                                                            30: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_71_0_EMC_FDPD_CTRL_CMD_NO_RAMP_0_CMD_DPD_NO_RAMP_ENABLE_RANGE\
                                                                            31:31

#define EMC_SWIZZLE_RANK0_BYTE0_0_CH4_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE0_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_72_0_EMC_SWIZZLE_RANK0_BYTE0_0_CH4_30_0_RANGE\
                                                                            30: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_72_0_EMC_CFG_PIPE_CLK_0_PIPE_CLK_ENABLE_OVERRIDE_RANGE\
                                                                            31:31

#define EMC_SWIZZLE_RANK0_BYTE0_0_CH2_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE0_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_73_0_EMC_SWIZZLE_RANK0_BYTE0_0_CH2_30_0_RANGE\
                                                                            30: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_73_0_MC_HUB_CLKEN_OVERRIDE_0_HUB2MCF_CLKEN_OVR_RANGE\
                                                                            31:31

#define EMC_SWIZZLE_RANK0_BYTE0_0_CH0_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE0_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_74_0_EMC_SWIZZLE_RANK0_BYTE0_0_CH0_30_0_RANGE\
                                                                            30: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_74_0_MC_DA_CONFIG0_0_NEW_ARB_SCHEME_RANGE\
                                                                            31:31

#define EMC_SWIZZLE_RANK0_BYTE0_0_CH8_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE0_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_75_0_EMC_SWIZZLE_RANK0_BYTE0_0_CH8_30_0_RANGE\
                                                                            30: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_75_0_MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0_SINGLE_ARB_ENABLE_RANGE\
                                                                            31:31

#define EMC_SWIZZLE_RANK0_BYTE0_0_CH14_30_0_RANGE                           30:0
#define EMC_SWIZZLE_RANK0_BYTE0_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_76_0_EMC_SWIZZLE_RANK0_BYTE0_0_CH14_30_0_RANGE\
                                                                            30: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_76_0_MC_CLK_EN_A1_OVERRIDE_ALL_WARM_BOOT_RANGE\
                                                                            31:31

#define EMC_SWIZZLE_RANK0_BYTE0_0_CH10_30_0_RANGE                           30:0
#define EMC_SWIZZLE_RANK0_BYTE0_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_77_0_EMC_SWIZZLE_RANK0_BYTE0_0_CH10_30_0_RANGE\
                                                                            30: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_77_0_INIT_EXTRA_FOR_FPGA_RANGE    31:31

#define EMC_SWIZZLE_RANK0_BYTE0_0_CH12_30_0_RANGE                           30:0
#define EMC_SWIZZLE_RANK0_BYTE0_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_78_0_EMC_SWIZZLE_RANK0_BYTE0_0_CH12_30_0_RANGE\
                                                                            30: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_78_0_MC_CLK_EN_OVERRIDE_ALL_WARM_BOOT_RANGE\
                                                                            31:31

#define EMC_SWIZZLE_RANK0_BYTE1_0_CH14_30_0_RANGE                           30:0
#define EMC_SWIZZLE_RANK0_BYTE1_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_79_0_EMC_SWIZZLE_RANK0_BYTE1_0_CH14_30_0_RANGE\
                                                                            30: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_79_0_EMC_MRS_WARM_BOOT_ENABLE_RANGE\
                                                                            31:31

#define EMC_SWIZZLE_RANK0_BYTE1_0_CH12_30_0_RANGE                           30:0
#define EMC_SWIZZLE_RANK0_BYTE1_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_80_0_EMC_SWIZZLE_RANK0_BYTE1_0_CH12_30_0_RANGE\
                                                                            30: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_80_0_PLLM_KVCO_RANGE              31:31

#define EMC_SWIZZLE_RANK0_BYTE1_0_CH10_30_0_RANGE                           30:0
#define EMC_SWIZZLE_RANK0_BYTE1_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_81_0_EMC_SWIZZLE_RANK0_BYTE1_0_CH10_30_0_RANGE\
                                                                            30: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_81_0_EMC_CLK_EN_OVERRIDE_ALL_WARM_BOOT_RANGE\
                                                                            31:31

#define EMC_SWIZZLE_RANK0_BYTE1_0_CH8_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE1_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_82_0_EMC_SWIZZLE_RANK0_BYTE1_0_CH8_30_0_RANGE\
                                                                            30: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_82_0_EMC_EXTRA_MODE_REG_WRITE_ENABLE_RANGE\
                                                                            31:31

#define EMC_SWIZZLE_RANK0_BYTE1_0_CH6_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE1_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_83_0_EMC_SWIZZLE_RANK0_BYTE1_0_CH6_30_0_RANGE\
                                                                            30: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_83_0_OVERRIDE_PLLM_MISC2_ALIAS_0_RANGE\
                                                                            31:31

#define EMC_SWIZZLE_RANK0_BYTE1_0_CH2_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE1_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_84_0_EMC_SWIZZLE_RANK0_BYTE1_0_CH2_30_0_RANGE\
                                                                            30: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_84_0_PLLM_DIVP_RANGE              31:31

#define EMC_SWIZZLE_RANK0_BYTE1_0_CH0_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE1_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_85_0_EMC_SWIZZLE_RANK0_BYTE1_0_CH0_30_0_RANGE\
                                                                            30: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_85_0_EMC_DBG_WRITE_MUX_RANGE      31:31

#define EMC_SWIZZLE_RANK0_BYTE1_0_CH4_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE1_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_86_0_EMC_SWIZZLE_RANK0_BYTE1_0_CH4_30_0_RANGE\
                                                                            30: 0

#define EMC_SWIZZLE_RANK0_BYTE2_0_CH12_30_0_RANGE                           30:0
#define EMC_SWIZZLE_RANK0_BYTE2_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_87_0_EMC_SWIZZLE_RANK0_BYTE2_0_CH12_30_0_RANGE\
                                                                            30: 0

#define EMC_SWIZZLE_RANK0_BYTE2_0_CH10_30_0_RANGE                           30:0
#define EMC_SWIZZLE_RANK0_BYTE2_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_88_0_EMC_SWIZZLE_RANK0_BYTE2_0_CH10_30_0_RANGE\
                                                                            30: 0

#define EMC_SWIZZLE_RANK0_BYTE2_0_CH8_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE2_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_89_0_EMC_SWIZZLE_RANK0_BYTE2_0_CH8_30_0_RANGE\
                                                                            30: 0

#define EMC_SWIZZLE_RANK0_BYTE2_0_CH0_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE2_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_90_0_EMC_SWIZZLE_RANK0_BYTE2_0_CH0_30_0_RANGE\
                                                                            30: 0

#define EMC_SWIZZLE_RANK0_BYTE2_0_CH2_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE2_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_91_0_EMC_SWIZZLE_RANK0_BYTE2_0_CH2_30_0_RANGE\
                                                                            30: 0

#define EMC_SWIZZLE_RANK0_BYTE2_0_CH4_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE2_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_92_0_EMC_SWIZZLE_RANK0_BYTE2_0_CH4_30_0_RANGE\
                                                                            30: 0

#define EMC_SWIZZLE_RANK0_BYTE2_0_CH6_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE2_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_93_0_EMC_SWIZZLE_RANK0_BYTE2_0_CH6_30_0_RANGE\
                                                                            30: 0

#define EMC_SWIZZLE_RANK0_BYTE2_0_CH14_30_0_RANGE                           30:0
#define EMC_SWIZZLE_RANK0_BYTE2_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_94_0_EMC_SWIZZLE_RANK0_BYTE2_0_CH14_30_0_RANGE\
                                                                            30: 0

#define EMC_SWIZZLE_RANK0_BYTE3_0_CH14_30_0_RANGE                           30:0
#define EMC_SWIZZLE_RANK0_BYTE3_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_95_0_EMC_SWIZZLE_RANK0_BYTE3_0_CH14_30_0_RANGE\
                                                                            30: 0

#define EMC_SWIZZLE_RANK0_BYTE3_0_CH10_30_0_RANGE                           30:0
#define EMC_SWIZZLE_RANK0_BYTE3_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_96_0_EMC_SWIZZLE_RANK0_BYTE3_0_CH10_30_0_RANGE\
                                                                            30: 0

#define EMC_SWIZZLE_RANK0_BYTE3_0_CH12_30_0_RANGE                           30:0
#define EMC_SWIZZLE_RANK0_BYTE3_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_97_0_EMC_SWIZZLE_RANK0_BYTE3_0_CH12_30_0_RANGE\
                                                                            30: 0

#define EMC_SWIZZLE_RANK0_BYTE3_0_CH0_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE3_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_98_0_EMC_SWIZZLE_RANK0_BYTE3_0_CH0_30_0_RANGE\
                                                                            30: 0

#define EMC_SWIZZLE_RANK0_BYTE3_0_CH2_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE3_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_99_0_EMC_SWIZZLE_RANK0_BYTE3_0_CH2_30_0_RANGE\
                                                                            30: 0

#define EMC_SWIZZLE_RANK0_BYTE3_0_CH8_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE3_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_100_0_EMC_SWIZZLE_RANK0_BYTE3_0_CH8_30_0_RANGE\
                                                                            30: 0

#define EMC_SWIZZLE_RANK0_BYTE3_0_CH4_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE3_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_101_0_EMC_SWIZZLE_RANK0_BYTE3_0_CH4_30_0_RANGE\
                                                                            30: 0

#define EMC_SWIZZLE_RANK0_BYTE3_0_CH6_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE3_0_30_0_RANGE                                30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_102_0_EMC_SWIZZLE_RANK0_BYTE3_0_CH6_30_0_RANGE\
                                                                            30: 0

#define EMC_PMACRO_DDLL_PWRD_0_0_31_1_RANGE                                 31:1
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_103_0_EMC_PMACRO_DDLL_PWRD_0_0_31_1_RANGE\
                                                                            30: 0

#define EMC_PMACRO_DDLL_SHORT_CMD_0_0_30_0_RANGE                            30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_104_0_EMC_PMACRO_DDLL_SHORT_CMD_0_0_30_0_RANGE\
                                                                            30: 0

#define EMC_PMACRO_DDLL_SHORT_CMD_1_0_30_0_RANGE                            30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_105_0_EMC_PMACRO_DDLL_SHORT_CMD_1_0_30_0_RANGE\
                                                                            30: 0

#define EMC_PMACRO_CMD_PAD_TX_CTRL_0_30_0_RANGE                             30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_106_0_EMC_PMACRO_CMD_PAD_TX_CTRL_0_30_0_RANGE\
                                                                            30: 0

#define EMC_PMACRO_DATA_PAD_TX_CTRL_0_30_0_RANGE                            30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_107_0_EMC_PMACRO_DATA_PAD_TX_CTRL_0_30_0_RANGE\
                                                                            30: 0

#define MC_CIFLL_REQ_MT_FIFO_CREDITS_0_30_0_RANGE                           30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_108_0_MC_CIFLL_REQ_MT_FIFO_CREDITS_0_30_0_RANGE\
                                                                            30: 0

#define MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_30_0_RANGE                         30:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_109_0_MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_30_0_RANGE\
                                                                            30: 0

#define EMC_PMACRO_RX_TERM_0_29_0_RANGE                                     29:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_110_0_EMC_PMACRO_RX_TERM_0_29_0_RANGE\
                                                                            29: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_110_0_EMC_PMACRO_BG_BIAS_CTRL_0_0_XM2COMP_BG_ILVL_CTRL_RANGE\
                                                                            31:30

#define EMC_PMACRO_DQ_TX_DRV_0_29_0_RANGE                                   29:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_111_0_EMC_PMACRO_DQ_TX_DRV_0_29_0_RANGE\
                                                                            29: 0
#define MC_MSS_SBS_ARB_0_1_0_RANGE                                          1:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_111_0_MC_MSS_SBS_ARB_0_1_0_RANGE  31:30

#define EMC_PMACRO_CA_TX_DRV_0_29_0_RANGE                                   29:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_112_0_EMC_PMACRO_CA_TX_DRV_0_29_0_RANGE\
                                                                            29: 0
#define MC_CLKEN_A1_OVERRIDE_0_1_0_RANGE                                    1:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_112_0_MC_CLKEN_A1_OVERRIDE_0_1_0_RANGE\
                                                                            31:30

#define EMC_CFG_2_0_16_0_RANGE                                              16:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_113_0_EMC_CFG_2_0_16_0_RANGE      16: 0
#define EMC_CFG_2_0_31_20_RANGE                                             31:20
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_113_0_EMC_CFG_2_0_31_20_RANGE     28:17
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_113_0_MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_RANGE\
                                                                            30:29
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_113_0_MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_OVERRIDE_RANGE\
                                                                            31:31

#define EMC_CFG_DIG_DLL_0_10_0_RANGE                                        10:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_114_0_EMC_CFG_DIG_DLL_0_10_0_RANGE\
                                                                            10: 0
#define EMC_CFG_DIG_DLL_0_31_14_RANGE                                       31:14
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_114_0_EMC_CFG_DIG_DLL_0_31_14_RANGE\
                                                                            28:11
#define MC_MSS_SBS_CLKEN_OVERRIDE_0_2_0_RANGE                               2:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_114_0_MC_MSS_SBS_CLKEN_OVERRIDE_0_2_0_RANGE\
                                                                            31:29

#define EMC_FDPD_CTRL_DQ_0_16_0_RANGE                                       16:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_115_0_EMC_FDPD_CTRL_DQ_0_16_0_RANGE\
                                                                            16: 0
#define EMC_FDPD_CTRL_DQ_0_31_20_RANGE                                      31:20
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_115_0_EMC_FDPD_CTRL_DQ_0_31_20_RANGE\
                                                                            28:17
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_115_0_PMC_IO_DPD3_REQ_WAIT_RANGE  31:29

#define EMC_FDPD_CTRL_CMD_0_16_0_RANGE                                      16:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_116_0_EMC_FDPD_CTRL_CMD_0_16_0_RANGE\
                                                                            16: 0
#define EMC_FDPD_CTRL_CMD_0_31_20_RANGE                                     31:20
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_116_0_EMC_FDPD_CTRL_CMD_0_31_20_RANGE\
                                                                            28:17
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_116_0_EMC_EXTRA_REFRES_NUM_RANGE  31:29

#define MC_EMEM_ARB_REFPB_HP_CTRL_0_28_0_RANGE                              28:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_117_0_MC_EMEM_ARB_REFPB_HP_CTRL_0_28_0_RANGE\
                                                                            28: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_117_0_MEMORY_TYPE_RANGE           31:29

#define EMC_FBIO_CFG5_0_15_0_RANGE                                          15:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_118_0_EMC_FBIO_CFG5_0_15_0_RANGE  15: 0
#define EMC_FBIO_CFG5_0_31_20_RANGE                                         31:20
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_118_0_EMC_FBIO_CFG5_0_31_20_RANGE 27:16
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_118_0_EMC_BURST_REFRESH_NUM_0_BURST_REFRESH_NUM_RANGE\
                                                                            31:28

#define EMC_AUTO_CAL_CONFIG2_0_27_0_RANGE                                   27:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_119_0_EMC_AUTO_CAL_CONFIG2_0_27_0_RANGE\
                                                                            27: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_119_0_EMC_TPPD_0_TPPD_RANGE       31:28

#define EMC_AUTO_CAL_VREF_SEL_1_0_15_0_RANGE                                15:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_120_0_EMC_AUTO_CAL_VREF_SEL_1_0_15_0_RANGE\
                                                                            15: 0
#define EMC_AUTO_CAL_VREF_SEL_1_0_31_20_RANGE                               31:20
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_120_0_EMC_AUTO_CAL_VREF_SEL_1_0_31_20_RANGE\
                                                                            27:16
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_120_0_EMC_R2R_0_R2R_RANGE         31:28

#define EMC_AUTO_CAL_CHANNEL_0_11_0_RANGE                                   11:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_121_0_EMC_AUTO_CAL_CHANNEL_0_11_0_RANGE\
                                                                            11: 0
#define EMC_AUTO_CAL_CHANNEL_0_31_16_RANGE                                  31:16
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_121_0_EMC_AUTO_CAL_CHANNEL_0_31_16_RANGE\
                                                                            27:12
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_121_0_EMC_W2W_0_W2W_RANGE         31:28

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_122_0_EMC_XM2COMPPADCTRL_0_XM2COMP_VTTCDB_VDDA_LOAD_RANGE\
                                                                             7: 0
#define EMC_XM2COMPPADCTRL_0_19_0_RANGE                                     19:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_122_0_EMC_XM2COMPPADCTRL_0_19_0_RANGE\
                                                                            27: 8
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_122_0_MC_MCF_IREQX_SRC_WEIGHT_1_0_IREQX_SRC8_WEIGHT_RANGE\
                                                                            31:28

#define EMC_PMACRO_DDLL_PERIODIC_OFFSET_0_16_0_RANGE                        16:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_123_0_EMC_PMACRO_DDLL_PERIODIC_OFFSET_0_16_0_RANGE\
                                                                            16: 0
#define EMC_PMACRO_DDLL_PERIODIC_OFFSET_0_30_20_RANGE                       30:20
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_123_0_EMC_PMACRO_DDLL_PERIODIC_OFFSET_0_30_20_RANGE\
                                                                            27:17
#define MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_3_0_RANGE                            3:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_123_0_MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_3_0_RANGE\
                                                                            31:28

#define MC_EMEM_ARB_DA_HYSTERESIS_0_15_0_RANGE                              15:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_124_0_MC_EMEM_ARB_DA_HYSTERESIS_0_15_0_RANGE\
                                                                            15: 0
#define MC_EMEM_ARB_DA_HYSTERESIS_0_31_20_RANGE                             31:20
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_124_0_MC_EMEM_ARB_DA_HYSTERESIS_0_31_20_RANGE\
                                                                            27:16
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_124_0_PMC_IO_DPD4_REQ_WAIT_RANGE  30:28

#define MC_EMEM_ARB_MISC3_0_23_0_RANGE                                      23:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_125_0_MC_EMEM_ARB_MISC3_0_23_0_RANGE\
                                                                            23: 0
#define MC_EMEM_ARB_MISC3_0_31_28_RANGE                                     31:28
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_125_0_MC_EMEM_ARB_MISC3_0_31_28_RANGE\
                                                                            27:24
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_125_0_EMC_ZCAL_WARM_COLD_BOOT_ENABLE_RANGE\
                                                                            29:28
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_125_0_EMC_PIN_GPIO_RANGE          31:30

#define MC_EMEM_ARB_MISC1_0_15_0_RANGE                                      15:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_126_0_MC_EMEM_ARB_MISC1_0_15_0_RANGE\
                                                                            15: 0
#define MC_EMEM_ARB_MISC1_0_31_21_RANGE                                     31:21
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_126_0_MC_EMEM_ARB_MISC1_0_31_21_RANGE\
                                                                            26:16
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_126_0_EMC_RRD_0_RRD_RANGE         31:27

#define EMC_PMACRO_DLL_CFG_0_0_29_4_RANGE                                   29:4
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_127_0_EMC_PMACRO_DLL_CFG_0_0_29_4_RANGE\
                                                                            25: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_127_0_EMC_RP_0_RP_RANGE           31:26

#define EMC_PMACRO_DLL_CFG_1_0_24_0_RANGE                                   24:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_128_0_EMC_PMACRO_DLL_CFG_1_0_24_0_RANGE\
                                                                            24: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_128_0_EMC_CONFIG_SAMPLE_DELAY_0_PMACRO_SAMPLE_DELAY_RANGE\
                                                                            31:25

#define EMC_AUTO_CAL_CONFIG3_0_23_0_RANGE                                   23:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_129_0_EMC_AUTO_CAL_CONFIG3_0_23_0_RANGE\
                                                                            23: 0
#define EMC_PMACRO_AUTOCAL_CFG_2_0_CH8_3_0_RANGE                            3:0
#define EMC_PMACRO_AUTOCAL_CFG_2_0_3_0_RANGE                                3:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_129_0_EMC_PMACRO_AUTOCAL_CFG_2_0_CH8_3_0_RANGE\
                                                                            27:24
#define EMC_PMACRO_AUTOCAL_CFG_2_0_CH8_11_8_RANGE                           11:8
#define EMC_PMACRO_AUTOCAL_CFG_2_0_11_8_RANGE                               11:8
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_129_0_EMC_PMACRO_AUTOCAL_CFG_2_0_CH8_11_8_RANGE\
                                                                            31:28

#define EMC_AUTO_CAL_CONFIG4_0_23_0_RANGE                                   23:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_130_0_EMC_AUTO_CAL_CONFIG4_0_23_0_RANGE\
                                                                            23: 0
#define EMC_PMACRO_AUTOCAL_CFG_2_0_CH0_3_0_RANGE                            3:0
#define EMC_PMACRO_AUTOCAL_CFG_2_0_3_0_RANGE                                3:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_130_0_EMC_PMACRO_AUTOCAL_CFG_2_0_CH0_3_0_RANGE\
                                                                            27:24
#define EMC_PMACRO_AUTOCAL_CFG_2_0_CH0_11_8_RANGE                           11:8
#define EMC_PMACRO_AUTOCAL_CFG_2_0_11_8_RANGE                               11:8
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_130_0_EMC_PMACRO_AUTOCAL_CFG_2_0_CH0_11_8_RANGE\
                                                                            31:28

#define EMC_AUTO_CAL_CONFIG5_0_23_0_RANGE                                   23:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_131_0_EMC_AUTO_CAL_CONFIG5_0_23_0_RANGE\
                                                                            23: 0
#define EMC_PMACRO_AUTOCAL_CFG_2_0_CH4_3_0_RANGE                            3:0
#define EMC_PMACRO_AUTOCAL_CFG_2_0_3_0_RANGE                                3:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_131_0_EMC_PMACRO_AUTOCAL_CFG_2_0_CH4_3_0_RANGE\
                                                                            27:24
#define EMC_PMACRO_AUTOCAL_CFG_2_0_CH4_11_8_RANGE                           11:8
#define EMC_PMACRO_AUTOCAL_CFG_2_0_11_8_RANGE                               11:8
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_131_0_EMC_PMACRO_AUTOCAL_CFG_2_0_CH4_11_8_RANGE\
                                                                            31:28

#define EMC_AUTO_CAL_CONFIG6_0_23_0_RANGE                                   23:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_132_0_EMC_AUTO_CAL_CONFIG6_0_23_0_RANGE\
                                                                            23: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_132_0_EMC_RDV_MASK_0_RDV_MASK_RANGE\
                                                                            31:24

#define EMC_AUTO_CAL_CONFIG7_0_23_0_RANGE                                   23:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_133_0_EMC_AUTO_CAL_CONFIG7_0_23_0_RANGE\
                                                                            23: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_133_0_EMC_RDV_EARLY_MASK_0_RDV_EARLY_MASK_RANGE\
                                                                            31:24

#define EMC_AUTO_CAL_CONFIG8_0_23_0_RANGE                                   23:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_134_0_EMC_AUTO_CAL_CONFIG8_0_23_0_RANGE\
                                                                            23: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_134_0_EMC_RDV_EARLY_0_RDV_EARLY_RANGE\
                                                                            31:24

#define EMC_PMACRO_ZCTRL_0_27_4_RANGE                                       27:4
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_135_0_EMC_PMACRO_ZCTRL_0_27_4_RANGE\
                                                                            23: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_135_0_EMC_OBDLY_0_OBDLY_RANGE     29:24
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_135_0_EMC_OBDLY_0_OBDLY_MODE_RANGE\
                                                                            31:30

#define EMC_XM2COMPPADCTRL2_0_5_0_RANGE                                     5:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_136_0_EMC_XM2COMPPADCTRL2_0_5_0_RANGE\
                                                                             5: 0
#define EMC_XM2COMPPADCTRL2_0_29_12_RANGE                                   29:12
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_136_0_EMC_XM2COMPPADCTRL2_0_29_12_RANGE\
                                                                            23: 6
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_136_0_EMC_PMACRO_VTTGEN_CTRL_1_0_VTT_VDDA_CTRL_RANGE\
                                                                            29:24
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_136_0_EMC_PMACRO_VTTGEN_CTRL_1_0_VTT_VDDA_WB_CTRL_RANGE\
                                                                            31:30

#define EMC_ZCAL_INTERVAL_0_23_0_RANGE                                      23:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_137_0_EMC_ZCAL_INTERVAL_0_23_0_RANGE\
                                                                            23: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_137_0_EMC_PMACRO_VTTGEN_CTRL_2_0_VTT_VDDA_LOAD_RANGE\
                                                                            31:24

#define EMC_PMACRO_CMD_PAD_RX_CTRL_0_5_0_RANGE                              5:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_138_0_EMC_PMACRO_CMD_PAD_RX_CTRL_0_5_0_RANGE\
                                                                             5: 0
#define EMC_PMACRO_CMD_PAD_RX_CTRL_0_29_12_RANGE                            29:12
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_138_0_EMC_PMACRO_CMD_PAD_RX_CTRL_0_29_12_RANGE\
                                                                            23: 6
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_138_0_MC_MCF_SLICE_FL_NISO_LIMIT_0_FL_NISO_LIMIT_RANGE\
                                                                            31:24

#define EMC_PMACRO_DATA_PAD_RX_CTRL_0_5_0_RANGE                             5:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_139_0_EMC_PMACRO_DATA_PAD_RX_CTRL_0_5_0_RANGE\
                                                                             5: 0
#define EMC_PMACRO_DATA_PAD_RX_CTRL_0_29_12_RANGE                           29:12
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_139_0_EMC_PMACRO_DATA_PAD_RX_CTRL_0_29_12_RANGE\
                                                                            23: 6
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_139_0_MC_MCF_SLICE_FL_SISO_LIMIT_0_FL_SISO_LIMIT_RANGE\
                                                                            31:24

#define MC_MCF_IREQX_VCARB_CONFIG_0_23_0_RANGE                              23:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_140_0_MC_MCF_IREQX_VCARB_CONFIG_0_23_0_RANGE\
                                                                            23: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_140_0_MC_MCF_SLICE_FL_ISO_LIMIT_0_FL_ISO_LIMIT_RANGE\
                                                                            31:24

#define MC_EMEM_ARB_DA_COVERS_0_23_0_RANGE                                  23:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_141_0_MC_EMEM_ARB_DA_COVERS_0_23_0_RANGE\
                                                                            23: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_141_0_MC_MCF_SLICE_FL_TRANSDONE_LIMIT_0_FL_TRANSDONE_LIMIT_RANGE\
                                                                            31:24

#define MC_EMEM_ARB_OVERRIDE_1_0_7_5_RANGE                                  7:5
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_142_0_MC_EMEM_ARB_OVERRIDE_1_0_7_5_RANGE\
                                                                             2: 0
#define MC_EMEM_ARB_OVERRIDE_1_0_31_11_RANGE                                31:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_142_0_MC_EMEM_ARB_OVERRIDE_1_0_31_11_RANGE\
                                                                            23: 3
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_142_0_MC_MCF_SLICE_FL_NISO_REMOTE_LIMIT_0_FL_NISO_REMOTE_LIMIT_RANGE\
                                                                            31:24

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_143_0_EMC_MRS_WAIT_CNT2_0_MRS_EXT1_WAIT_CNT_RANGE\
                                                                            10: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_143_0_EMC_MRS_WAIT_CNT2_0_MRS_EXT2_WAIT_CNT_RANGE\
                                                                            22:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_143_0_EMC_RFCPB_0_RFCPB_RANGE     31:23

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_144_0_EMC_MRS_WAIT_CNT_0_MRS_SHORT_WAIT_CNT_RANGE\
                                                                            10: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_144_0_EMC_MRS_WAIT_CNT_0_MRS_LONG_WAIT_CNT_RANGE\
                                                                            22:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_144_0_EMC_PBR2PBR_0_PBR2PBR_RANGE 31:23

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_145_0_MC_EMEM_ARB_MISC2_0_PRIORITY_INVERSION_ISO_THRESHOLD_RANGE\
                                                                             7: 0
#define MC_EMEM_ARB_MISC2_0_11_1_RANGE                                      11:1
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_145_0_MC_EMEM_ARB_MISC2_0_11_1_RANGE\
                                                                            18: 8
#define MC_EMEM_ARB_MISC2_0_31_28_RANGE                                     31:28
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_145_0_MC_EMEM_ARB_MISC2_0_31_28_RANGE\
                                                                            22:19
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_145_0_EMC_AR2PDEN_0_AR2PDEN_RANGE 31:23

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_146_0_MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_DEADLOCK_CHECK_OVERRIDE_RANGE\
                                                                             0: 0
#define MC_EMEM_ARB_OVERRIDE_0_27_8_RANGE                                   27:8
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_146_0_MC_EMEM_ARB_OVERRIDE_0_27_8_RANGE\
                                                                            20: 1
#define MC_EMEM_ARB_OVERRIDE_0_4_3_RANGE                                    4:3
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_146_0_MC_EMEM_ARB_OVERRIDE_0_4_3_RANGE\
                                                                            22:21
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_146_0_EMC_RFC_SLR_0_RFC_SLR_RANGE 31:23

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH8_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_147_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH8_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH8_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_147_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH8_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE\
                                                                            21:11
#define EMC_CFG_UPDATE_0_2_0_RANGE                                          2:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_147_0_EMC_CFG_UPDATE_0_2_0_RANGE  24:22
#define EMC_CFG_UPDATE_0_10_8_RANGE                                         10:8
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_147_0_EMC_CFG_UPDATE_0_10_8_RANGE 27:25
#define EMC_CFG_UPDATE_0_31_28_RANGE                                        31:28
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_147_0_EMC_CFG_UPDATE_0_31_28_RANGE\
                                                                            31:28

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH6_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_148_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH6_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH6_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_148_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH6_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_148_0_EMC_RFC_0_RFC_RANGE         31:22

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH4_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_149_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH4_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH4_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_149_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH4_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_149_0_EMC_TXSR_0_TXSR_RANGE       31:22

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH2_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_150_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH2_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH2_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_150_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH2_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_150_0_EMC_MC2EMCQ_0_MCREQ_DEPTH_RANGE\
                                                                            24:22
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_150_0_EMC_MC2EMCQ_0_MCACT_DEPTH_RANGE\
                                                                            27:25
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_150_0_EMC_MC2EMCQ_0_MCWD_DEPTH_RANGE\
                                                                            31:28

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_151_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_151_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_151_0_EMC_SEL_DPD_CTRL_0_SEL_DPD_DLY_RANGE\
                                                                            24:22
#define EMC_SEL_DPD_CTRL_0_8_2_RANGE                                        8:2
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_151_0_EMC_SEL_DPD_CTRL_0_8_2_RANGE\
                                                                            31:25

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH14_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_152_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH14_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH14_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_152_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH14_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_152_0_EMC_IBDLY_0_IBDLY_RANGE     29:22
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_152_0_EMC_IBDLY_0_IBDLY_MODE_RANGE\
                                                                            31:30

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH12_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_153_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH12_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH12_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_153_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH12_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE\
                                                                            21:11
#define EMC_CFG_3_0_6_0_RANGE                                               6:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_153_0_EMC_CFG_3_0_6_0_RANGE       28:22
#define EMC_CFG_3_0_18_16_RANGE                                             18:16
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_153_0_EMC_CFG_3_0_18_16_RANGE     31:29

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH10_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_154_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH10_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH10_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_154_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH10_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_154_0_MC_EMEM_ARB_TIMING_SREX_0_SREX_RANGE\
                                                                            31:22

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH14_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_155_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH14_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH14_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_155_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH14_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_155_0_EMC_AUTO_CAL_TIME_RANGE     31:22

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH10_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_156_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH10_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH10_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_156_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH10_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE\
                                                                            21:11
#define MC_MCF_ORSPX_ARB_CONFIG_0_8_0_RANGE                                 8:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_156_0_MC_MCF_ORSPX_ARB_CONFIG_0_8_0_RANGE\
                                                                            30:22

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH12_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_157_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH12_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH12_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_157_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH12_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_157_0_MC_MCF_OREQX_LLARB_CONFIG_0_OREQX_LLARB_CNT_MAX_M1_RANGE\
                                                                            29:22
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_157_0_MC_MCF_OREQX_LLARB_CONFIG_0_OREQX_LLARB_CNT_EN_RANGE\
                                                                            30:30

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_158_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_158_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_158_0_MC_EMEM_ARB_TIMING_RFCPB_0_RFCPB_RANGE\
                                                                            30:22

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH6_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_159_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH6_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH6_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_159_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH6_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_159_0_MC_EMEM_ARB_TIMING_PBR2PBR_0_PBR2PBR_RANGE\
                                                                            30:22

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH4_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_160_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH4_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH4_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_160_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH4_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_160_0_MC_MCF_SLICE_FL_ORD1_LIMIT_0_FL_ORD1_LIMIT_RANGE\
                                                                            29:22
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_160_0_PLLM_KCP_RANGE              31:30

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH2_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_161_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH2_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH2_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_161_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH2_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_161_0_MC_MCF_SLICE_FL_ORD2_LIMIT_0_FL_ORD2_LIMIT_RANGE\
                                                                            29:22
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_161_0_EMC_PIN_GPIO_EN_RANGE       31:30

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH8_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_162_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH8_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH8_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_162_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH8_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_162_0_MC_MCF_SLICE_FL_ORD3_LIMIT_0_FL_ORD3_LIMIT_RANGE\
                                                                            29:22
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_162_0_EMC_DEV_SELN_RANGE          31:30

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH4_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_163_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH4_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH4_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_163_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH4_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_163_0_MC_EMEM_ARB_TIMING_RC_0_RC_RANGE\
                                                                            29:22
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_163_0_EMC_PIN_GPIORAMDUMP_RANGE   31:30

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH12_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_164_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH12_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH12_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_164_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH12_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_164_0_MC_EMEM_ARB_TIMING_WAP2PRE_0_WAP2PRE_RANGE\
                                                                            29:22
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_164_0_EMC_DIG_DLL_PERIOD_WARM_BOOT_RANGE\
                                                                            31:30

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH8_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_165_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH8_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH8_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_165_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH8_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_165_0_MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE0_RANGE\
                                                                            29:22

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH6_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_166_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH6_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH6_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_166_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH6_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE\
                                                                            21:11
#define MC_STAT_CONTROL_0_7_0_RANGE                                         7:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_166_0_MC_STAT_CONTROL_0_7_0_RANGE 29:22

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH2_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_167_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH2_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH2_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_167_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH2_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_167_0_EMC_TIMING_CONTROL_WAIT_RANGE\
                                                                            29:22

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_168_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_168_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_168_0_PLLM_DIVN_RANGE             29:22

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH14_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_169_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH14_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH14_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_169_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH14_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_169_0_PLLM_DIVM_RANGE             29:22

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH10_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_170_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH10_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH10_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_170_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH10_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_170_0_WARM_BOOT_WAIT_RANGE        29:22

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH6_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_171_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH6_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH6_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_171_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH6_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_171_0_EMC_ZCAL_WARM_BOOT_WAIT_RANGE\
                                                                            29:22

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH4_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_172_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH4_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH4_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_172_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH4_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_172_0_EMC_PIN_PROGRAM_WAIT_RANGE  29:22

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH2_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_173_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH2_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH2_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_173_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH2_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_173_0_EMC_RAS_0_RAS_RANGE         28:22

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_174_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_174_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_174_0_EMC_W2P_0_W2P_RANGE         28:22

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH8_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_175_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH8_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH8_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_175_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH8_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_175_0_EMC_RW2PDEN_0_RW2PDEN_RANGE 28:22

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH14_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_176_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH14_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH14_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_176_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH14_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_176_0_EMC_TFAW_0_TFAW_RANGE       28:22

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH10_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_177_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH10_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH10_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_177_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH10_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_177_0_EMC_TCLKSTABLE_0_TCLKSTABLE_RANGE\
                                                                            28:22

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH12_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_178_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH12_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH12_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_178_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH12_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_178_0_EMC_TRTM_0_TRTM_RANGE       28:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH14_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_179_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH14_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH14_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_179_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH14_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_179_0_EMC_TWTM_0_TWTM_RANGE       28:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH10_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_180_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH10_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH10_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_180_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH10_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_180_0_EMC_TRATM_0_TRATM_RANGE     28:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH12_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_181_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH12_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH12_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_181_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH12_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_181_0_EMC_TWATM_0_TWATM_RANGE     28:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH8_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_182_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH8_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH8_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_182_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH8_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_182_0_EMC_TR2REF_0_TR2REF_RANGE   28:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_183_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_183_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_183_0_EMC_PDEX2MRR_0_PDEX2MRR_RANGE\
                                                                            28:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH2_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_184_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH2_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH2_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_184_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH2_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_184_0_EMC_QUSE_WIDTH_0_QUSE_DURATION_RANGE\
                                                                            26:22
#define EMC_QUSE_WIDTH_0_29_28_RANGE                                        29:28
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_184_0_EMC_QUSE_WIDTH_0_29_28_RANGE\
                                                                            28:27

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH4_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_185_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH4_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH4_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_185_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH4_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_185_0_EMC_PMACRO_DDLL_SHORT_CMD_2_0_DDLL_SHORT_CMD_RESET_RANGE\
                                                                            28:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH6_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_186_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH6_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH6_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_186_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH6_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_186_0_MC_EMEM_ARB_TIMING_RP_0_RP_RANGE\
                                                                            28:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH12_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_187_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH12_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH12_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_187_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH12_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_187_0_MC_EMEM_ARB_TIMING_RAS_0_RAS_RANGE\
                                                                            28:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH10_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_188_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH10_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH10_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_188_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH10_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_188_0_MC_EMEM_ARB_TIMING_FAW_0_FAW_RANGE\
                                                                            28:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_189_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_189_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_189_0_MC_EMEM_ARB_TIMING_RAP2PRE_0_RAP2PRE_RANGE\
                                                                            28:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH2_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_190_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH2_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH2_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_190_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH2_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_190_0_MC_EMEM_ARB_TIMING_R2W_0_R2W_RANGE\
                                                                            28:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH4_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_191_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH4_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH4_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_191_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH4_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_191_0_MC_EMEM_ARB_TIMING_W2R_0_W2R_RANGE\
                                                                            28:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH6_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_192_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH6_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH6_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_192_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH6_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_192_0_MC_EMEM_ARB_TIMING_PDEX_0_PDEX_RANGE\
                                                                            28:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH8_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_193_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH8_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH8_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_193_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH8_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_193_0_EMC_R2W_0_R2W_RANGE         27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH14_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_194_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH14_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH14_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_194_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH14_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_194_0_EMC_W2R_0_W2R_RANGE         27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH10_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_195_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH10_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH10_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_195_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH10_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_195_0_EMC_R2P_0_R2P_RANGE         27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH12_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_196_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH12_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH12_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_196_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH12_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_196_0_EMC_CCDMW_0_CCDMW_RANGE     27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH14_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_197_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH14_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH14_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_197_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH14_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_197_0_EMC_RD_RCD_0_RD_RCD_RANGE   27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH4_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_198_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH4_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH4_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_198_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH4_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_198_0_EMC_WR_RCD_0_WR_RCD_RANGE   27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH6_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_199_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH6_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH6_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_199_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH6_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_199_0_EMC_WDV_0_WDV_RANGE         27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_200_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_200_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_200_0_EMC_QUSE_0_QUSE_RANGE       27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH2_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_201_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH2_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH2_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_201_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH2_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_201_0_EMC_PDEX2WR_0_PDEX2WR_RANGE 27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH8_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_202_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH8_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH8_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_202_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH8_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_202_0_EMC_PDEX2RD_0_PDEX2RD_RANGE 27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH12_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_203_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH12_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH12_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_203_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH12_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_203_0_EMC_PDEX2CKE_0_PDEX2CKE_RANGE\
                                                                            27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH10_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_204_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH10_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH10_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_204_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH10_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_204_0_EMC_PCHG2PDEN_0_PCHG2PDEN_RANGE\
                                                                            27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH14_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_205_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH14_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH14_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_205_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH14_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_205_0_EMC_ACT2PDEN_0_ACT2PDEN_RANGE\
                                                                            27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH8_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_206_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH8_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH8_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_206_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH8_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_206_0_EMC_CKE2PDEN_0_CKE2PDEN_RANGE\
                                                                            27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_207_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_207_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_207_0_EMC_TCKE_0_TCKE_RANGE       27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH2_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_208_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH2_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH2_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_208_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH2_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_208_0_EMC_TRPAB_0_TRPAB_RANGE     27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH4_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_209_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH4_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH4_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_209_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH4_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_209_0_EMC_EINPUT_0_EINPUT_RANGE   27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH6_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_210_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH6_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH6_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_210_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH6_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_210_0_EMC_EINPUT_DURATION_0_EINPUT_DURATION_RANGE\
                                                                            27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_211_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_211_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_211_0_EMC_PUTERM_EXTRA_0_RXTERM_RANGE\
                                                                            27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH2_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_212_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH2_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH2_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_212_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH2_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_212_0_EMC_TCKESR_0_TCKESR_RANGE   27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH4_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_213_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH4_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH4_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_213_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH4_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_213_0_EMC_TPD_0_TPD_RANGE         27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH6_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_214_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH6_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH6_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_214_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH6_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_214_0_EMC_WDV_MASK_0_WDV_MASK_RANGE\
                                                                            27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH8_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_215_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH8_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH8_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_215_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH8_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_215_0_EMC_WDV_CHK_0_WDV_CHK_BASE_RANGE\
                                                                            27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH14_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_216_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH14_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH14_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_216_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH14_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE\
                                                                            21:11
#define EMC_CMD_BRLSHFT_0_0_5_0_RANGE                                       5:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_216_0_EMC_CMD_BRLSHFT_0_0_5_0_RANGE\
                                                                            27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH10_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_217_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH10_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH10_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_217_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH10_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE\
                                                                            21:11
#define EMC_CMD_BRLSHFT_1_0_5_0_RANGE                                       5:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_217_0_EMC_CMD_BRLSHFT_1_0_5_0_RANGE\
                                                                            27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH12_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_218_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH12_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH12_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_218_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH12_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE\
                                                                            21:11
#define EMC_CMD_BRLSHFT_2_0_5_0_RANGE                                       5:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_218_0_EMC_CMD_BRLSHFT_2_0_5_0_RANGE\
                                                                            27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH14_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_219_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH14_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH14_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_219_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH14_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE\
                                                                            21:11
#define EMC_CMD_BRLSHFT_3_0_5_0_RANGE                                       5:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_219_0_EMC_CMD_BRLSHFT_3_0_5_0_RANGE\
                                                                            27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH12_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_220_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH12_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH12_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_220_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH12_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE\
                                                                            21:11
#define EMC_FBIO_CFG8_0_21_16_RANGE                                         21:16
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_220_0_EMC_FBIO_CFG8_0_21_16_RANGE 27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH10_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_221_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH10_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH10_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_221_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH10_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_221_0_EMC_WE_DURATION_0_WE_DURATION_RANGE\
                                                                            27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH4_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_222_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH4_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH4_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_222_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH4_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_222_0_EMC_WS_DURATION_0_WS_DURATION_RANGE\
                                                                            27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH6_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_223_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH6_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH6_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_223_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH6_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_223_0_EMC_WEV_0_WEV_RANGE         27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_224_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_224_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_224_0_EMC_WSV_0_WSV_RANGE         27:22

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH2_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_225_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH2_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH2_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_225_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH2_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_225_0_EMC_PUTERM_WIDTH_0_CFG_STATIC_TERM_RANGE\
                                                                            22:22
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_225_0_EMC_PUTERM_WIDTH_0_RXTERM_DURATION_RANGE\
                                                                            27:23

#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH8_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_226_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH8_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH8_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_226_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH8_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE\
                                                                            21:11
#define MC_MCF_IREQX_CLKEN_OVERRIDE_0_5_0_RANGE                             5:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_226_0_MC_MCF_IREQX_CLKEN_OVERRIDE_0_5_0_RANGE\
                                                                            27:22

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH6_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_227_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH6_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH6_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_227_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH6_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE\
                                                                            21:11
#define MC_MCF_OREQX_CLKEN_OVERRIDE_0_5_0_RANGE                             5:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_227_0_MC_MCF_OREQX_CLKEN_OVERRIDE_0_5_0_RANGE\
                                                                            27:22

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH4_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_228_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH4_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH4_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_228_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH4_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE\
                                                                            21:11
#define MC_MCF_SLICE_CLKEN_OVERRIDE_0_5_0_RANGE                             5:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_228_0_MC_MCF_SLICE_CLKEN_OVERRIDE_0_5_0_RANGE\
                                                                            27:22

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH2_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_229_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH2_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH2_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_229_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH2_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_229_0_MC_EMEM_ARB_TIMING_RCD_0_RCD_RANGE\
                                                                            27:22

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_230_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_230_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_230_0_MC_EMEM_ARB_TIMING_R2R_0_R2R_RANGE\
                                                                            27:22

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH8_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_231_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH8_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH8_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_231_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH8_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_231_0_MC_EMEM_ARB_TIMING_W2W_0_W2W_RANGE\
                                                                            27:22

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH12_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_232_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH12_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH12_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_232_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH12_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_232_0_MC_EMEM_ARB_TIMING_CCDMW_0_CCDMW_RANGE\
                                                                            27:22

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH10_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_233_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH10_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH10_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_233_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH10_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_233_0_EMC_REXT_0_REXT_RANGE       26:22
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_233_0_EMC_TCLKSTOP_0_TCLKSTOP_RANGE\
                                                                            31:27

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH14_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_234_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH14_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH14_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_234_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH14_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE\
                                                                            21:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_234_0_EMC_WEXT_0_WEXT_RANGE       26:22
#define EMC_PMACRO_VTTGEN_CTRL_0_0_19_15_RANGE                              19:15
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_234_0_EMC_PMACRO_VTTGEN_CTRL_0_0_19_15_RANGE\
                                                                            31:27

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH10_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_235_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH10_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH10_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_235_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH10_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE\
                                                                            21:11
#define MC_MCF_ORSPX_CLKEN_OVERRIDE_0_4_0_RANGE                             4:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_235_0_MC_MCF_ORSPX_CLKEN_OVERRIDE_0_4_0_RANGE\
                                                                            26:22
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_235_0_MC_EMEM_ARB_TIMING_RRD_0_RRD_RANGE\
                                                                            31:27

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH12_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_236_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH12_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH12_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_236_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH12_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE\
                                                                            21:11

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH14_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_237_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH14_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH14_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_237_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH14_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE\
                                                                            21:11

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH8_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_238_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH8_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH8_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_238_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH8_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE\
                                                                            21:11

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH6_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_239_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH6_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH6_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_239_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH6_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE\
                                                                            21:11

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH4_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_240_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH4_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH4_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_240_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH4_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE\
                                                                            21:11

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH2_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_241_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH2_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH2_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_241_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH2_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE\
                                                                            21:11

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_242_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_242_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE\
                                                                            21:11

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH6_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_243_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH6_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH6_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_243_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH6_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE\
                                                                            21:11

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH4_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_244_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH4_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH4_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_244_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH4_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE\
                                                                            21:11

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH2_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_245_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH2_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH2_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_245_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH2_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE\
                                                                            21:11

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_246_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_246_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE\
                                                                            21:11

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH8_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_247_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH8_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH8_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_247_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH8_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE\
                                                                            21:11

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH10_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_248_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH10_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH10_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_248_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH10_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE\
                                                                            21:11

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH12_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_249_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH12_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH12_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_249_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH12_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE\
                                                                            21:11

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH14_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_250_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH14_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH14_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_250_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH14_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE\
                                                                            21:11

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH6_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_251_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH6_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH6_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_251_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH6_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE\
                                                                            21:11

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH4_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_252_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH4_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH4_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_252_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH4_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE\
                                                                            21:11

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH14_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_253_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH14_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH14_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_253_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH14_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE\
                                                                            21:11

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH12_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_254_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH12_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH12_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_254_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH12_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE\
                                                                            21:11

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH10_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_255_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH10_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH10_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_255_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH10_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE\
                                                                            21:11

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH8_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_256_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH8_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH8_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_256_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH8_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE\
                                                                            21:11

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH2_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_257_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH2_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH2_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_257_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH2_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE\
                                                                            21:11

#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_258_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_258_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH10_DDLL_LONG_CMD_CKE0_RANGE          EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_259_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH10_DDLL_LONG_CMD_CKE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH10_DDLL_LONG_CMD_CKE1_RANGE          EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_259_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH10_DDLL_LONG_CMD_CKE1_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH12_DDLL_LONG_CMD_CKE0_RANGE          EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_260_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH12_DDLL_LONG_CMD_CKE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH12_DDLL_LONG_CMD_CKE1_RANGE          EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_260_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH12_DDLL_LONG_CMD_CKE1_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH14_DDLL_LONG_CMD_CKE0_RANGE          EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_261_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH14_DDLL_LONG_CMD_CKE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH14_DDLL_LONG_CMD_CKE1_RANGE          EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_261_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH14_DDLL_LONG_CMD_CKE1_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH8_DDLL_LONG_CMD_CKE0_RANGE           EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_262_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH8_DDLL_LONG_CMD_CKE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH8_DDLL_LONG_CMD_CKE1_RANGE           EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_262_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH8_DDLL_LONG_CMD_CKE1_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH0_DDLL_LONG_CMD_CKE0_RANGE           EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_263_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH0_DDLL_LONG_CMD_CKE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH0_DDLL_LONG_CMD_CKE1_RANGE           EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_263_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH0_DDLL_LONG_CMD_CKE1_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH2_DDLL_LONG_CMD_CKE0_RANGE           EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_264_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH2_DDLL_LONG_CMD_CKE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH2_DDLL_LONG_CMD_CKE1_RANGE           EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_264_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH2_DDLL_LONG_CMD_CKE1_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH4_DDLL_LONG_CMD_CKE0_RANGE           EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_265_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH4_DDLL_LONG_CMD_CKE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH4_DDLL_LONG_CMD_CKE1_RANGE           EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_265_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH4_DDLL_LONG_CMD_CKE1_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH6_DDLL_LONG_CMD_CKE0_RANGE           EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_266_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH6_DDLL_LONG_CMD_CKE0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH6_DDLL_LONG_CMD_CKE1_RANGE           EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_266_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH6_DDLL_LONG_CMD_CKE1_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH4_DDLL_LONG_CMD_CKE2_RANGE           EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_267_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH4_DDLL_LONG_CMD_CKE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH4_DDLL_LONG_CMD_CKE3_RANGE           EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_267_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH4_DDLL_LONG_CMD_CKE3_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH0_DDLL_LONG_CMD_CKE2_RANGE           EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_268_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH0_DDLL_LONG_CMD_CKE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH0_DDLL_LONG_CMD_CKE3_RANGE           EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_268_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH0_DDLL_LONG_CMD_CKE3_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH2_DDLL_LONG_CMD_CKE2_RANGE           EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_269_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH2_DDLL_LONG_CMD_CKE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH2_DDLL_LONG_CMD_CKE3_RANGE           EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_269_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH2_DDLL_LONG_CMD_CKE3_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH8_DDLL_LONG_CMD_CKE2_RANGE           EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_270_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH8_DDLL_LONG_CMD_CKE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH8_DDLL_LONG_CMD_CKE3_RANGE           EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_270_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH8_DDLL_LONG_CMD_CKE3_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH12_DDLL_LONG_CMD_CKE2_RANGE          EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_271_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH12_DDLL_LONG_CMD_CKE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH12_DDLL_LONG_CMD_CKE3_RANGE          EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_271_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH12_DDLL_LONG_CMD_CKE3_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH10_DDLL_LONG_CMD_CKE2_RANGE          EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_272_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH10_DDLL_LONG_CMD_CKE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH10_DDLL_LONG_CMD_CKE3_RANGE          EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_272_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH10_DDLL_LONG_CMD_CKE3_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH14_DDLL_LONG_CMD_CKE2_RANGE          EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_273_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH14_DDLL_LONG_CMD_CKE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH14_DDLL_LONG_CMD_CKE3_RANGE          EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_273_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH14_DDLL_LONG_CMD_CKE3_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH6_DDLL_LONG_CMD_CKE2_RANGE           EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_274_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH6_DDLL_LONG_CMD_CKE2_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH6_DDLL_LONG_CMD_CKE3_RANGE           EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_274_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH6_DDLL_LONG_CMD_CKE3_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH12_DDLL_LONG_CMD_CKE4_RANGE          EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_275_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH12_DDLL_LONG_CMD_CKE4_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH12_DDLL_LONG_CMD_CKE5_RANGE          EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_275_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH12_DDLL_LONG_CMD_CKE5_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH10_DDLL_LONG_CMD_CKE4_RANGE          EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_276_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH10_DDLL_LONG_CMD_CKE4_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH10_DDLL_LONG_CMD_CKE5_RANGE          EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_276_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH10_DDLL_LONG_CMD_CKE5_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH14_DDLL_LONG_CMD_CKE4_RANGE          EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_277_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH14_DDLL_LONG_CMD_CKE4_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH14_DDLL_LONG_CMD_CKE5_RANGE          EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_277_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH14_DDLL_LONG_CMD_CKE5_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH2_DDLL_LONG_CMD_CKE4_RANGE           EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_278_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH2_DDLL_LONG_CMD_CKE4_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH2_DDLL_LONG_CMD_CKE5_RANGE           EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_278_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH2_DDLL_LONG_CMD_CKE5_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH0_DDLL_LONG_CMD_CKE4_RANGE           EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_279_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH0_DDLL_LONG_CMD_CKE4_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH0_DDLL_LONG_CMD_CKE5_RANGE           EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_279_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH0_DDLL_LONG_CMD_CKE5_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH8_DDLL_LONG_CMD_CKE4_RANGE           EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_280_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH8_DDLL_LONG_CMD_CKE4_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH8_DDLL_LONG_CMD_CKE5_RANGE           EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_280_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH8_DDLL_LONG_CMD_CKE5_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH6_DDLL_LONG_CMD_CKE4_RANGE           EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_281_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH6_DDLL_LONG_CMD_CKE4_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH6_DDLL_LONG_CMD_CKE5_RANGE           EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_281_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH6_DDLL_LONG_CMD_CKE5_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH4_DDLL_LONG_CMD_CKE4_RANGE           EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_282_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH4_DDLL_LONG_CMD_CKE4_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH4_DDLL_LONG_CMD_CKE5_RANGE           EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_282_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH4_DDLL_LONG_CMD_CKE5_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH8_DDLL_LONG_CMD_CKE6_RANGE           EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_283_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH8_DDLL_LONG_CMD_CKE6_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH8_DDLL_LONG_CMD_CKE7_RANGE           EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_283_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH8_DDLL_LONG_CMD_CKE7_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH6_DDLL_LONG_CMD_CKE6_RANGE           EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_284_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH6_DDLL_LONG_CMD_CKE6_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH6_DDLL_LONG_CMD_CKE7_RANGE           EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_284_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH6_DDLL_LONG_CMD_CKE7_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH4_DDLL_LONG_CMD_CKE6_RANGE           EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_285_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH4_DDLL_LONG_CMD_CKE6_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH4_DDLL_LONG_CMD_CKE7_RANGE           EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_285_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH4_DDLL_LONG_CMD_CKE7_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH2_DDLL_LONG_CMD_CKE6_RANGE           EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_286_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH2_DDLL_LONG_CMD_CKE6_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH2_DDLL_LONG_CMD_CKE7_RANGE           EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_286_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH2_DDLL_LONG_CMD_CKE7_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH0_DDLL_LONG_CMD_CKE6_RANGE           EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_287_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH0_DDLL_LONG_CMD_CKE6_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH0_DDLL_LONG_CMD_CKE7_RANGE           EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_287_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH0_DDLL_LONG_CMD_CKE7_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH14_DDLL_LONG_CMD_CKE6_RANGE          EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_288_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH14_DDLL_LONG_CMD_CKE6_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH14_DDLL_LONG_CMD_CKE7_RANGE          EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_288_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH14_DDLL_LONG_CMD_CKE7_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH10_DDLL_LONG_CMD_CKE6_RANGE          EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_289_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH10_DDLL_LONG_CMD_CKE6_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH10_DDLL_LONG_CMD_CKE7_RANGE          EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_289_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH10_DDLL_LONG_CMD_CKE7_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH12_DDLL_LONG_CMD_CKE6_RANGE          EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_290_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH12_DDLL_LONG_CMD_CKE6_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH12_DDLL_LONG_CMD_CKE7_RANGE          EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_290_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH12_DDLL_LONG_CMD_CKE7_RANGE\
                                                                            21:11

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_291_0_MC_EMEM_ARB_CFG_0_CYCLES_PER_UPDATE_RANGE\
                                                                             8: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_291_0_MC_EMEM_ARB_CFG_0_EXTRA_TICKS_PER_UPDATE_RANGE\
                                                                            13: 9
#define MC_EMEM_ARB_CFG_0_31_24_RANGE                                       31:24
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_291_0_MC_EMEM_ARB_CFG_0_31_24_RANGE\
                                                                            21:14

#define EMC_DBG_0_4_0_RANGE                                                 4:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_292_0_EMC_DBG_0_4_0_RANGE          4: 0
#define EMC_DBG_0_13_9_RANGE                                                13:9
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_292_0_EMC_DBG_0_13_9_RANGE         9: 5
#define EMC_DBG_0_31_21_RANGE                                               31:21
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_292_0_EMC_DBG_0_31_21_RANGE       20:10
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH12_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_292_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH12_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE\
                                                                            31:21

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_293_0_EMC_AUTO_CAL_INTERVAL_0_AUTO_CAL_INTERVAL_RANGE\
                                                                            20: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH10_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_293_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH10_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE\
                                                                            31:21

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_294_0_EMC_CFG_DIG_DLL_1_0_CFG_DLL_UPDATE_WAIT_MC_ACK_RANGE\
                                                                             0: 0
#define EMC_CFG_DIG_DLL_1_0_19_0_RANGE                                      19:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_294_0_EMC_CFG_DIG_DLL_1_0_19_0_RANGE\
                                                                            20: 1
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH14_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_294_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH14_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE\
                                                                            31:21

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_295_0_EMC_ZCAL_MRW_CMD_0_ZQ_MRW_OP_RANGE\
                                                                             7: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_295_0_EMC_ZCAL_MRW_CMD_0_ZQ_MRW_MA_RANGE\
                                                                            15: 8
#define EMC_ZCAL_MRW_CMD_0_31_27_RANGE                                      31:27
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_295_0_EMC_ZCAL_MRW_CMD_0_31_27_RANGE\
                                                                            20:16
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH8_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_295_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH8_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE\
                                                                            31:21

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_296_0_EMC_PMACRO_DDLL_BYPASS_0_DATA_USE_PMACRO_BRLSHFT_RANGE\
                                                                             0: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_296_0_EMC_PMACRO_DDLL_BYPASS_0_CMD_USE_PMACRO_BRLSHFT_RANGE\
                                                                             1: 1
#define EMC_PMACRO_DDLL_BYPASS_0_18_8_RANGE                                 18:8
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_296_0_EMC_PMACRO_DDLL_BYPASS_0_18_8_RANGE\
                                                                            12: 2
#define EMC_PMACRO_DDLL_BYPASS_0_31_24_RANGE                                31:24
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_296_0_EMC_PMACRO_DDLL_BYPASS_0_31_24_RANGE\
                                                                            20:13
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH2_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_296_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH2_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE\
                                                                            31:21

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_3_0_RANGE                        3:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_297_0_MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_3_0_RANGE\
                                                                             3: 0
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_8_7_RANGE                        8:7
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_297_0_MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_8_7_RANGE\
                                                                             5: 4
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_31_17_RANGE                      31:17
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_297_0_MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_31_17_RANGE\
                                                                            20: 6
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_297_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE\
                                                                            31:21

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_298_0_EMC_ZCAL_WAIT_CNT_0_ZCAL_WAIT_CNT_RANGE\
                                                                            11: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_298_0_EMC_ZCAL_WAIT_CNT_0_ZCAL_LATCH_CNT_RANGE\
                                                                            18:12
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_298_0_EMC_ZCAL_WAIT_CNT_0_ZCAL_RESISTOR_SHARED_RANGE\
                                                                            19:19
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_298_0_EMC_TXSRDLL_0_TXSRDLL_RANGE 31:20

#define EMC_FBIO_CFG7_0_19_0_RANGE                                          19:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_299_0_EMC_FBIO_CFG7_0_19_0_RANGE  19: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_299_0_EMC_TXDSRVTTGEN_0_TXDSRVTTGEN_RANGE\
                                                                            31:20

#define EMC_QUSE_BRLSHFT_0_0_19_0_RANGE                                     19:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_300_0_EMC_QUSE_BRLSHFT_0_0_19_0_RANGE\
                                                                            19: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_300_0_EMC_PMACRO_DSR_VTTGEN_CTRL_0_0_DSR_VTT_VDDA_LVL_RANGE\
                                                                            23:20
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_300_0_EMC_PMACRO_DSR_VTTGEN_CTRL_0_0_DSR_VTT_VDDA_LOAD_RANGE\
                                                                            31:24

#define EMC_QUSE_BRLSHFT_2_0_19_0_RANGE                                     19:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_301_0_EMC_QUSE_BRLSHFT_2_0_19_0_RANGE\
                                                                            19: 0
#define EMC_PMACRO_PERBIT_RFU1_CTRL_0_0_5_0_RANGE                           5:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_301_0_EMC_PMACRO_PERBIT_RFU1_CTRL_0_0_5_0_RANGE\
                                                                            25:20
#define EMC_PMACRO_PERBIT_RFU1_CTRL_0_0_21_16_RANGE                         21:16
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_301_0_EMC_PMACRO_PERBIT_RFU1_CTRL_0_0_21_16_RANGE\
                                                                            31:26

#define EMC_CFG_0_8_6_RANGE                                                 8:6
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_302_0_EMC_CFG_0_8_6_RANGE          2: 0
#define EMC_CFG_0_31_16_RANGE                                               31:16
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_302_0_EMC_CFG_0_31_16_RANGE       18: 3
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_302_0_EMC_QRST_0_QRST_RANGE       26:19
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_302_0_EMC_QRST_0_QRST_DURATION_RANGE\
                                                                            31:27

#define MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_18_0_RANGE                       18:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_303_0_MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_18_0_RANGE\
                                                                            18: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_303_0_EMC_ODT_WRITE_0_ENABLE_ODT_DURING_WRITE_RANGE\
                                                                            19:19
#define EMC_ODT_WRITE_0_11_0_RANGE                                          11:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_303_0_EMC_ODT_WRITE_0_11_0_RANGE  31:20

#define EMC_XM2COMPPADCTRL3_0_5_0_RANGE                                     5:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_304_0_EMC_XM2COMPPADCTRL3_0_5_0_RANGE\
                                                                             5: 0
#define EMC_XM2COMPPADCTRL3_0_23_12_RANGE                                   23:12
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_304_0_EMC_XM2COMPPADCTRL3_0_23_12_RANGE\
                                                                            17: 6
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_304_0_EMC_TREFBW_0_TREFBW_RANGE   31:18

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_305_0_EMC_PMACRO_CMD_CTRL_0_0_CMD_E_INPUT_CKE0_RANGE\
                                                                             0: 0
#define EMC_PMACRO_CMD_CTRL_0_0_8_4_RANGE                                   8:4
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_305_0_EMC_PMACRO_CMD_CTRL_0_0_8_4_RANGE\
                                                                             5: 1
#define EMC_PMACRO_CMD_CTRL_0_0_16_12_RANGE                                 16:12
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_305_0_EMC_PMACRO_CMD_CTRL_0_0_16_12_RANGE\
                                                                            10: 6
#define EMC_PMACRO_CMD_CTRL_0_0_24_20_RANGE                                 24:20
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_305_0_EMC_PMACRO_CMD_CTRL_0_0_24_20_RANGE\
                                                                            15:11
#define EMC_PMACRO_CMD_CTRL_0_0_29_28_RANGE                                 29:28
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_305_0_EMC_PMACRO_CMD_CTRL_0_0_29_28_RANGE\
                                                                            17:16
#define EMC_PMACRO_CMD_TX_DRV_0_13_0_RANGE                                  13:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_305_0_EMC_PMACRO_CMD_TX_DRV_0_13_0_RANGE\
                                                                            31:18

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_306_0_EMC_PMACRO_CMD_CTRL_1_0_CMD_E_INPUT_CKE4_RANGE\
                                                                             0: 0
#define EMC_PMACRO_CMD_CTRL_1_0_8_4_RANGE                                   8:4
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_306_0_EMC_PMACRO_CMD_CTRL_1_0_8_4_RANGE\
                                                                             5: 1
#define EMC_PMACRO_CMD_CTRL_1_0_16_12_RANGE                                 16:12
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_306_0_EMC_PMACRO_CMD_CTRL_1_0_16_12_RANGE\
                                                                            10: 6
#define EMC_PMACRO_CMD_CTRL_1_0_24_20_RANGE                                 24:20
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_306_0_EMC_PMACRO_CMD_CTRL_1_0_24_20_RANGE\
                                                                            15:11
#define EMC_PMACRO_CMD_CTRL_1_0_29_28_RANGE                                 29:28
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_306_0_EMC_PMACRO_CMD_CTRL_1_0_29_28_RANGE\
                                                                            17:16
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_306_0_EMC_PMACRO_IB_VREF_DQ_0_0_IB_VREF_DQ_BYTE0_RANGE\
                                                                            24:18
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_306_0_EMC_PMACRO_IB_VREF_DQ_0_0_IB_VREF_DQ_BYTE1_RANGE\
                                                                            31:25

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_307_0_EMC_PMACRO_CMD_CTRL_2_0_CMD_E_INPUT_RESET_RANGE\
                                                                             0: 0
#define EMC_PMACRO_CMD_CTRL_2_0_8_4_RANGE                                   8:4
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_307_0_EMC_PMACRO_CMD_CTRL_2_0_8_4_RANGE\
                                                                             5: 1
#define EMC_PMACRO_CMD_CTRL_2_0_16_12_RANGE                                 16:12
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_307_0_EMC_PMACRO_CMD_CTRL_2_0_16_12_RANGE\
                                                                            10: 6
#define EMC_PMACRO_CMD_CTRL_2_0_24_20_RANGE                                 24:20
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_307_0_EMC_PMACRO_CMD_CTRL_2_0_24_20_RANGE\
                                                                            15:11
#define EMC_PMACRO_CMD_CTRL_2_0_29_28_RANGE                                 29:28
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_307_0_EMC_PMACRO_CMD_CTRL_2_0_29_28_RANGE\
                                                                            17:16
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_307_0_EMC_PMACRO_IB_VREF_DQ_1_0_IB_VREF_DQ_BYTE2_RANGE\
                                                                            24:18
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_307_0_EMC_PMACRO_IB_VREF_DQ_1_0_IB_VREF_DQ_BYTE3_RANGE\
                                                                            31:25

#define EMC_PMACRO_CMD_BRICK_CTRL_FDPD_0_17_0_RANGE                         17:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_308_0_EMC_PMACRO_CMD_BRICK_CTRL_FDPD_0_17_0_RANGE\
                                                                            17: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_308_0_EMC_PMACRO_IB_VREF_DQS_0_0_IB_VREF_DQS_BYTE0_RANGE\
                                                                            24:18
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_308_0_EMC_PMACRO_IB_VREF_DQS_0_0_IB_VREF_DQS_BYTE1_RANGE\
                                                                            31:25

#define EMC_PMACRO_DATA_BRICK_CTRL_FDPD_0_17_0_RANGE                        17:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_309_0_EMC_PMACRO_DATA_BRICK_CTRL_FDPD_0_17_0_RANGE\
                                                                            17: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_309_0_EMC_PMACRO_IB_VREF_DQS_1_0_IB_VREF_DQS_BYTE2_RANGE\
                                                                            24:18
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_309_0_EMC_PMACRO_IB_VREF_DQS_1_0_IB_VREF_DQS_BYTE3_RANGE\
                                                                            31:25

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_310_0_MC_EMEM_ARB_MISC0_0_BC2AA_HOLDOFF_THRESHOLD_RANGE\
                                                                             7: 0
#define MC_EMEM_ARB_MISC0_0_30_21_RANGE                                     30:21
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_310_0_MC_EMEM_ARB_MISC0_0_30_21_RANGE\
                                                                            17: 8
#define MC_MCF_OREQX_VCARB_CONFIG_0_13_0_RANGE                              13:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_310_0_MC_MCF_OREQX_VCARB_CONFIG_0_13_0_RANGE\
                                                                            31:18

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_311_0_EMC_CMDQ_0_RW_DEPTH_RANGE    4: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_311_0_EMC_CMDQ_0_RW_WD_DEPTH_RANGE\
                                                                             9: 5
#define EMC_CMDQ_0_14_8_RANGE                                               14:8
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_311_0_EMC_CMDQ_0_14_8_RANGE       16:10
#define MC_MCF_IRSPX_CLKEN_OVERRIDE_0_14_0_RANGE                            14:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_311_0_MC_MCF_IRSPX_CLKEN_OVERRIDE_0_14_0_RANGE\
                                                                            31:17

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_312_0_EMC_CLKEN_OVERRIDE_0_OBS_BUS_CLKEN_RANGE\
                                                                             0: 0
#define EMC_CLKEN_OVERRIDE_0_11_1_RANGE                                     11:1
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_312_0_EMC_CLKEN_OVERRIDE_0_11_1_RANGE\
                                                                            11: 1
#define EMC_CLKEN_OVERRIDE_0_20_16_RANGE                                    20:16
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_312_0_EMC_CLKEN_OVERRIDE_0_20_16_RANGE\
                                                                            16:12
#define MC_MSS_SBS_ASYNC_0_14_0_RANGE                                       14:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_312_0_MC_MSS_SBS_ASYNC_0_14_0_RANGE\
                                                                            31:17

#define EMC_PMACRO_AUTOCAL_CFG_COMMON_0_16_0_RANGE                          16:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_313_0_EMC_PMACRO_AUTOCAL_CFG_COMMON_0_16_0_RANGE\
                                                                            16: 0
#define MC_EMEM_ARB_REFPB_BANK_CTRL_0_14_0_RANGE                            14:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_313_0_MC_EMEM_ARB_REFPB_BANK_CTRL_0_14_0_RANGE\
                                                                            31:17

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_314_0_EMC_REFCTRL2_0_REFRESH_PER_DEVICE_RANGE\
                                                                             0: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_314_0_EMC_REFCTRL2_0_REFPB_VALID_RANGE\
                                                                             1: 1
#define EMC_REFCTRL2_0_26_12_RANGE                                          26:12
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_314_0_EMC_REFCTRL2_0_26_12_RANGE  16: 2
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_314_0_MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_RANGE\
                                                                            22:17
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_314_0_MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_HIGH_RANGE\
                                                                            28:23
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_314_0_MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_DISABLE_CNT_EVENT_RANGE\
                                                                            29:29

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_315_0_EMC_DYN_SELF_REF_CONTROL_0_DSR_THRESHOLD_RANGE\
                                                                            15: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_315_0_EMC_DYN_SELF_REF_CONTROL_0_DSR_PER_DEVICE_RANGE\
                                                                            16:16
#define EMC_PMACRO_PERBIT_RFU1_CTRL_1_0_5_0_RANGE                           5:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_315_0_EMC_PMACRO_PERBIT_RFU1_CTRL_1_0_5_0_RANGE\
                                                                            22:17
#define EMC_PMACRO_PERBIT_RFU1_CTRL_1_0_21_16_RANGE                         21:16
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_315_0_EMC_PMACRO_PERBIT_RFU1_CTRL_1_0_21_16_RANGE\
                                                                            28:23

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_316_0_EMC_ASR_CONTROL_0_DISPLAY_STUTTER_EN_RANGE\
                                                                             0: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_316_0_EMC_ASR_CONTROL_0_ASR_THRESHOLD_RANGE\
                                                                            16: 1
#define EMC_PMACRO_PERBIT_RFU1_CTRL_4_0_5_0_RANGE                           5:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_316_0_EMC_PMACRO_PERBIT_RFU1_CTRL_4_0_5_0_RANGE\
                                                                            22:17
#define EMC_PMACRO_PERBIT_RFU1_CTRL_4_0_21_16_RANGE                         21:16
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_316_0_EMC_PMACRO_PERBIT_RFU1_CTRL_4_0_21_16_RANGE\
                                                                            28:23

#define EMC_REFRESH_0_15_0_RANGE                                            15:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_317_0_EMC_REFRESH_0_15_0_RANGE    15: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_317_0_EMC_ACPD_CONTROL_0_ACPD_THRESHOLD_RANGE\
                                                                            31:16

#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH12_3_0_RANGE                           3:0
#define EMC_PMACRO_AUTOCAL_CFG_0_0_3_0_RANGE                                3:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_318_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH12_3_0_RANGE\
                                                                             3: 0
#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH12_11_8_RANGE                          11:8
#define EMC_PMACRO_AUTOCAL_CFG_0_0_11_8_RANGE                               11:8
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_318_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH12_11_8_RANGE\
                                                                             7: 4
#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH12_19_16_RANGE                         19:16
#define EMC_PMACRO_AUTOCAL_CFG_0_0_19_16_RANGE                              19:16
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_318_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH12_19_16_RANGE\
                                                                            11: 8
#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH12_27_24_RANGE                         27:24
#define EMC_PMACRO_AUTOCAL_CFG_0_0_27_24_RANGE                              27:24
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_318_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH12_27_24_RANGE\
                                                                            15:12
#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH8_3_0_RANGE                            3:0
#define EMC_PMACRO_AUTOCAL_CFG_0_0_3_0_RANGE                                3:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_318_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH8_3_0_RANGE\
                                                                            19:16
#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH8_11_8_RANGE                           11:8
#define EMC_PMACRO_AUTOCAL_CFG_0_0_11_8_RANGE                               11:8
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_318_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH8_11_8_RANGE\
                                                                            23:20
#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH8_19_16_RANGE                          19:16
#define EMC_PMACRO_AUTOCAL_CFG_0_0_19_16_RANGE                              19:16
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_318_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH8_19_16_RANGE\
                                                                            27:24
#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH8_27_24_RANGE                          27:24
#define EMC_PMACRO_AUTOCAL_CFG_0_0_27_24_RANGE                              27:24
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_318_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH8_27_24_RANGE\
                                                                            31:28

#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH4_3_0_RANGE                            3:0
#define EMC_PMACRO_AUTOCAL_CFG_0_0_3_0_RANGE                                3:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_319_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH4_3_0_RANGE\
                                                                             3: 0
#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH4_11_8_RANGE                           11:8
#define EMC_PMACRO_AUTOCAL_CFG_0_0_11_8_RANGE                               11:8
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_319_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH4_11_8_RANGE\
                                                                             7: 4
#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH4_19_16_RANGE                          19:16
#define EMC_PMACRO_AUTOCAL_CFG_0_0_19_16_RANGE                              19:16
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_319_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH4_19_16_RANGE\
                                                                            11: 8
#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH4_27_24_RANGE                          27:24
#define EMC_PMACRO_AUTOCAL_CFG_0_0_27_24_RANGE                              27:24
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_319_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH4_27_24_RANGE\
                                                                            15:12
#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH0_3_0_RANGE                            3:0
#define EMC_PMACRO_AUTOCAL_CFG_0_0_3_0_RANGE                                3:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_319_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH0_3_0_RANGE\
                                                                            19:16
#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH0_11_8_RANGE                           11:8
#define EMC_PMACRO_AUTOCAL_CFG_0_0_11_8_RANGE                               11:8
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_319_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH0_11_8_RANGE\
                                                                            23:20
#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH0_19_16_RANGE                          19:16
#define EMC_PMACRO_AUTOCAL_CFG_0_0_19_16_RANGE                              19:16
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_319_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH0_19_16_RANGE\
                                                                            27:24
#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH0_27_24_RANGE                          27:24
#define EMC_PMACRO_AUTOCAL_CFG_0_0_27_24_RANGE                              27:24
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_319_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH0_27_24_RANGE\
                                                                            31:28

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_320_0_EMC_CFG_DIG_DLL_PERIOD_0_CFG_DLL_RUN_PERIOD_RANGE\
                                                                            15: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_320_0_EMC_PRE_REFRESH_REQ_CNT_0_PRE_REF_REQ_CNT_RANGE\
                                                                            31:16

#define EMC_DATA_BRLSHFT_0_0_CH14_15_0_RANGE                                15:0
#define EMC_DATA_BRLSHFT_0_0_15_0_RANGE                                     15:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_321_0_EMC_DATA_BRLSHFT_0_0_CH14_15_0_RANGE\
                                                                            15: 0
#define EMC_DATA_BRLSHFT_0_0_CH12_15_0_RANGE                                15:0
#define EMC_DATA_BRLSHFT_0_0_15_0_RANGE                                     15:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_321_0_EMC_DATA_BRLSHFT_0_0_CH12_15_0_RANGE\
                                                                            31:16

#define EMC_DATA_BRLSHFT_0_0_CH10_15_0_RANGE                                15:0
#define EMC_DATA_BRLSHFT_0_0_15_0_RANGE                                     15:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_322_0_EMC_DATA_BRLSHFT_0_0_CH10_15_0_RANGE\
                                                                            15: 0
#define EMC_DATA_BRLSHFT_0_0_CH4_15_0_RANGE                                 15:0
#define EMC_DATA_BRLSHFT_0_0_15_0_RANGE                                     15:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_322_0_EMC_DATA_BRLSHFT_0_0_CH4_15_0_RANGE\
                                                                            31:16

#define EMC_DATA_BRLSHFT_0_0_CH0_15_0_RANGE                                 15:0
#define EMC_DATA_BRLSHFT_0_0_15_0_RANGE                                     15:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_323_0_EMC_DATA_BRLSHFT_0_0_CH0_15_0_RANGE\
                                                                            15: 0
#define EMC_DATA_BRLSHFT_0_0_CH2_15_0_RANGE                                 15:0
#define EMC_DATA_BRLSHFT_0_0_15_0_RANGE                                     15:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_323_0_EMC_DATA_BRLSHFT_0_0_CH2_15_0_RANGE\
                                                                            31:16

#define EMC_DATA_BRLSHFT_0_0_CH8_15_0_RANGE                                 15:0
#define EMC_DATA_BRLSHFT_0_0_15_0_RANGE                                     15:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_324_0_EMC_DATA_BRLSHFT_0_0_CH8_15_0_RANGE\
                                                                            15: 0
#define EMC_DATA_BRLSHFT_0_0_CH6_15_0_RANGE                                 15:0
#define EMC_DATA_BRLSHFT_0_0_15_0_RANGE                                     15:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_324_0_EMC_DATA_BRLSHFT_0_0_CH6_15_0_RANGE\
                                                                            31:16

#define EMC_DATA_BRLSHFT_1_0_CH4_15_0_RANGE                                 15:0
#define EMC_DATA_BRLSHFT_1_0_15_0_RANGE                                     15:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_325_0_EMC_DATA_BRLSHFT_1_0_CH4_15_0_RANGE\
                                                                            15: 0
#define EMC_DATA_BRLSHFT_1_0_CH6_15_0_RANGE                                 15:0
#define EMC_DATA_BRLSHFT_1_0_15_0_RANGE                                     15:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_325_0_EMC_DATA_BRLSHFT_1_0_CH6_15_0_RANGE\
                                                                            31:16

#define EMC_DATA_BRLSHFT_1_0_CH0_15_0_RANGE                                 15:0
#define EMC_DATA_BRLSHFT_1_0_15_0_RANGE                                     15:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_326_0_EMC_DATA_BRLSHFT_1_0_CH0_15_0_RANGE\
                                                                            15: 0
#define EMC_DATA_BRLSHFT_1_0_CH2_15_0_RANGE                                 15:0
#define EMC_DATA_BRLSHFT_1_0_15_0_RANGE                                     15:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_326_0_EMC_DATA_BRLSHFT_1_0_CH2_15_0_RANGE\
                                                                            31:16

#define EMC_DATA_BRLSHFT_1_0_CH8_15_0_RANGE                                 15:0
#define EMC_DATA_BRLSHFT_1_0_15_0_RANGE                                     15:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_327_0_EMC_DATA_BRLSHFT_1_0_CH8_15_0_RANGE\
                                                                            15: 0
#define EMC_DATA_BRLSHFT_1_0_CH14_15_0_RANGE                                15:0
#define EMC_DATA_BRLSHFT_1_0_15_0_RANGE                                     15:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_327_0_EMC_DATA_BRLSHFT_1_0_CH14_15_0_RANGE\
                                                                            31:16

#define EMC_DATA_BRLSHFT_1_0_CH10_15_0_RANGE                                15:0
#define EMC_DATA_BRLSHFT_1_0_15_0_RANGE                                     15:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_328_0_EMC_DATA_BRLSHFT_1_0_CH10_15_0_RANGE\
                                                                            15: 0
#define EMC_DATA_BRLSHFT_1_0_CH12_15_0_RANGE                                15:0
#define EMC_DATA_BRLSHFT_1_0_15_0_RANGE                                     15:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_328_0_EMC_DATA_BRLSHFT_1_0_CH12_15_0_RANGE\
                                                                            31:16

#define EMC_DQS_BRLSHFT_0_0_15_0_RANGE                                      15:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_329_0_EMC_DQS_BRLSHFT_0_0_15_0_RANGE\
                                                                            15: 0
#define EMC_DQS_BRLSHFT_1_0_15_0_RANGE                                      15:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_329_0_EMC_DQS_BRLSHFT_1_0_15_0_RANGE\
                                                                            31:16

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_330_0_EMC_QPOP_0_QPOP_RANGE        7: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_330_0_EMC_QPOP_0_QPOP_PREAMBLE_RANGE\
                                                                            15: 8
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_330_0_EMC_PERIODIC_TR_CTRL_1_0_TR_RD2TRIM_UPDATE_RANGE\
                                                                            23:16
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_330_0_EMC_PERIODIC_TR_CTRL_1_0_TR_WR2TRIM_UPDATE_RANGE\
                                                                            31:24

#define MC_EMEM_ARB_MISC4_0_15_0_RANGE                                      15:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_331_0_MC_EMEM_ARB_MISC4_0_15_0_RANGE\
                                                                            15: 0
#define MC_MCF_IRSPX_RDRSP_OPT_0_11_0_RANGE                                 11:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_331_0_MC_MCF_IRSPX_RDRSP_OPT_0_11_0_RANGE\
                                                                            27:16

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_332_0_MC_EMEM_ARB_OUTSTANDING_REQ_0_ARB_MAX_OUTSTANDING_RANGE\
                                                                             9: 0
#define MC_EMEM_ARB_OUTSTANDING_REQ_0_31_30_RANGE                           31:30
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_332_0_MC_EMEM_ARB_OUTSTANDING_REQ_0_31_30_RANGE\
                                                                            11:10
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_332_0_MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_LOW_RANGE\
                                                                            17:12
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_332_0_MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_HIGH_RANGE\
                                                                            23:18

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_333_0_MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_ARB_MAX_OUTSTANDING_NISO_RANGE\
                                                                             9: 0
#define MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_31_30_RANGE                      31:30
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_333_0_MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_31_30_RANGE\
                                                                            11:10
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_333_0_MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_APB_RANGE\
                                                                            12:12
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_333_0_MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SAX_RANGE\
                                                                            13:13
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_19_17_RANGE                        19:17
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_333_0_MC_EMEM_ARB_NISO_THROTTLE_MASK_0_19_17_RANGE\
                                                                            16:14
#define MC_EMEM_ARB_NISO_THROTTLE_MASK_0_29_23_RANGE                        29:23
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_333_0_MC_EMEM_ARB_NISO_THROTTLE_MASK_0_29_23_RANGE\
                                                                            23:17

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH6_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_334_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH6_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH4_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_334_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH4_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE\
                                                                            21:11

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH8_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_335_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH8_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH10_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_335_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH10_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE\
                                                                            21:11

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH14_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_336_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH14_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH2_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_336_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH2_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE\
                                                                            21:11

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_337_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH6_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_337_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH6_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE\
                                                                            21:11

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH4_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_338_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH4_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH12_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_338_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH12_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE\
                                                                            21:11

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH12_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_339_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH12_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH2_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_339_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH2_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE\
                                                                            21:11

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH10_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_340_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH10_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH14_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_340_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH14_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE\
                                                                            21:11

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH8_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_341_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH8_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_341_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE\
                                                                            21:11

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH6_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_342_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH6_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH4_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_342_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH4_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE\
                                                                            21:11

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH2_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_343_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH2_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_343_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE\
                                                                            21:11

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH6_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_344_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH6_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH4_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_344_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH4_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE\
                                                                            21:11

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH8_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_345_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH8_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH12_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_345_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH12_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE\
                                                                            21:11

#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH10_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_346_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH10_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE\
                                                                            10: 0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH14_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_346_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH14_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE\
                                                                            21:11

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_347_0_EMC_PMACRO_IB_RXRT_0_IB_RXRT_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_4_0_CH14_DDLL_LONG_CMD_RESET_RANGE         EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_347_0_EMC_PMACRO_DDLL_LONG_CMD_4_0_CH14_DDLL_LONG_CMD_RESET_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_4_0_CH10_DDLL_LONG_CMD_RESET_RANGE         EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_348_0_EMC_PMACRO_DDLL_LONG_CMD_4_0_CH10_DDLL_LONG_CMD_RESET_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_4_0_CH12_DDLL_LONG_CMD_RESET_RANGE         EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_348_0_EMC_PMACRO_DDLL_LONG_CMD_4_0_CH12_DDLL_LONG_CMD_RESET_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_4_0_CH8_DDLL_LONG_CMD_RESET_RANGE          EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_349_0_EMC_PMACRO_DDLL_LONG_CMD_4_0_CH8_DDLL_LONG_CMD_RESET_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_4_0_CH4_DDLL_LONG_CMD_RESET_RANGE          EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_349_0_EMC_PMACRO_DDLL_LONG_CMD_4_0_CH4_DDLL_LONG_CMD_RESET_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_4_0_CH6_DDLL_LONG_CMD_RESET_RANGE          EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_350_0_EMC_PMACRO_DDLL_LONG_CMD_4_0_CH6_DDLL_LONG_CMD_RESET_RANGE\
                                                                            10: 0
#define EMC_PMACRO_DDLL_LONG_CMD_4_0_CH0_DDLL_LONG_CMD_RESET_RANGE          EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_350_0_EMC_PMACRO_DDLL_LONG_CMD_4_0_CH0_DDLL_LONG_CMD_RESET_RANGE\
                                                                            21:11

#define EMC_PMACRO_DDLL_LONG_CMD_4_0_CH2_DDLL_LONG_CMD_RESET_RANGE          EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_351_0_EMC_PMACRO_DDLL_LONG_CMD_4_0_CH2_DDLL_LONG_CMD_RESET_RANGE\
                                                                            10: 0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_351_0_EMC_PMACRO_PAD_CFG_CTRL_0_TX_BPS_AUTOCAL_DRVDEC_RANGE\
                                                                            11:11
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_351_0_EMC_PMACRO_PAD_CFG_CTRL_0_IB_BYTE_USE_MAX_PBDQS_RANGE\
                                                                            12:12
#define EMC_PMACRO_PAD_CFG_CTRL_0_17_9_RANGE                                17:9
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_351_0_EMC_PMACRO_PAD_CFG_CTRL_0_17_9_RANGE\
                                                                            21:13

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_352_0_EMC_PMACRO_CMD_RX_TERM_MODE_0_CMD_E_PWRD_RX_RANGE\
                                                                             0: 0
#define EMC_PMACRO_CMD_RX_TERM_MODE_0_9_0_RANGE                             9:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_352_0_EMC_PMACRO_CMD_RX_TERM_MODE_0_9_0_RANGE\
                                                                            10: 1
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_352_0_EMC_PMACRO_DATA_RX_TERM_MODE_0_DATA_E_PWRD_RX_RANGE\
                                                                            11:11
#define EMC_PMACRO_DATA_RX_TERM_MODE_0_9_0_RANGE                            9:0
#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_352_0_EMC_PMACRO_DATA_RX_TERM_MODE_0_9_0_RANGE\
                                                                            21:12

#define MSS_AON_CFG_NONSECURE_EMC_SCRATCH_353_0_MC_LATENCY_ALLOWANCE_CIFLL_WR_0_0_ALLOWANCE_CIFLL_WR_RANGE\
                                                                            10: 0

// macros for variables with different names but sharing the same registers
#define EMC_MRW_LPDDR2_ZCAL_WARM_BOOT_0_MRW_MA_RANGE \
        EMC_MRW_0_MRW_MA_RANGE
#define EMC_MRW_LPDDR2_ZCAL_WARM_BOOT_0_MRW_OP_RANGE \
        EMC_MRW_0_MRW_OP_RANGE
#define EMC_MRW_LPDDR2_ZCAL_WARM_BOOT_0_USE_MRW_LONG_CNT_RANGE \
        EMC_MRW_0_USE_MRW_LONG_CNT_RANGE
#define EMC_MRW_LPDDR2_ZCAL_WARM_BOOT_0_USE_MRW_EXT_CNT_RANGE \
        EMC_MRW_0_USE_MRW_EXT_CNT_RANGE
#define EMC_MRW_LPDDR2_ZCAL_WARM_BOOT_0_MRW_DEV_SELECTN_RANGE \
        EMC_MRW_0_MRW_DEV_SELECTN_RANGE
#define CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_EMC_2X_CLK_SRC_RANGE \
        CLK_RST_CONTROLLER_CLK_SOURCE_EMC_0_EMC_2X_CLK_SRC_RANGE
#define CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_EMC_CLK_DIV2_EN_RANGE \
        CLK_RST_CONTROLLER_CLK_SOURCE_EMC_0_EMC_CLK_DIV2_EN_RANGE
#define CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_EMC_2X_CLK_DIVISOR_RANGE \
        CLK_RST_CONTROLLER_CLK_SOURCE_EMC_0_EMC_2X_CLK_DIVISOR_RANGE
#define CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_MC_EMC_SAME_FREQ_RANGE \
        CLK_RST_CONTROLLER_CLK_SOURCE_EMC_0_MC_EMC_SAME_FREQ_RANGE
#define CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_EMC_INVERT_DCD_RANGE \
        CLK_RST_CONTROLLER_CLK_SOURCE_EMC_0_EMC_INVERT_DCD_RANGE
#define CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_PLLC_OUT_FOR_EMC_EN_RANGE \
        CLK_RST_CONTROLLER_CLK_SOURCE_EMC_0_PLLC_OUT_FOR_EMC_EN_RANGE
#define CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_USE_32KHZ_AS_CLK_M_RANGE \
        CLK_RST_CONTROLLER_CLK_SOURCE_EMC_0_USE_32KHZ_AS_CLK_M_RANGE
#define CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_FORCE_CC_TRIGGER_RANGE \
        CLK_RST_CONTROLLER_CLK_SOURCE_EMC_0_FORCE_CC_TRIGGER_RANGE
#define CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_EMC_SWITCH_COMPLETE_RANGE \
        CLK_RST_CONTROLLER_CLK_SOURCE_EMC_0_EMC_SWITCH_COMPLETE_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CFPA_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCHUB_CLR_0_CLR_CLK_ENB_MC_CFPA_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CEPA_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCHUB_CLR_0_CLR_CLK_ENB_MC_CEPA_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CDPA_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCHUB_CLR_0_CLR_CLK_ENB_MC_CDPA_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CCPA_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCHUB_CLR_0_CLR_CLK_ENB_MC_CCPA_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CBPA_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCHUB_CLR_0_CLR_CLK_ENB_MC_CBPA_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CAPA_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCHUB_CLR_0_CLR_CLK_ENB_MC_CAPA_RANGE
#define EMC_WARM_BOOT_MRS_EXTRA_0_MRS_DEV_SELECTN_RANGE \
        EMC_MRS_0_MRS_DEV_SELECTN_RANGE
#define EMC_WARM_BOOT_MRS_EXTRA_0_USE_MRS_EXT_CNT_RANGE \
        EMC_MRS_0_USE_MRS_EXT_CNT_RANGE
#define EMC_WARM_BOOT_MRS_EXTRA_0_USE_MRS_LONG_CNT_RANGE \
        EMC_MRS_0_USE_MRS_LONG_CNT_RANGE
#define EMC_WARM_BOOT_MRS_EXTRA_0_MRS_BA_RANGE \
        EMC_MRS_0_MRS_BA_RANGE
#define EMC_WARM_BOOT_MRS_EXTRA_0_MRS_ADR_RANGE \
        EMC_MRS_0_MRS_ADR_RANGE
#define MSS_AON_CFG_DDR_MISC_CTRL_0_XM0_TX_DISABLE_PREDRV_RAILGATE_RANGE \
        MSS_AON_CFG_XM0_PAD_MISC_CTRL_0_XM0_TX_DISABLE_PREDRV_RAILGATE_RANGE
#define MSS_AON_CFG_DDR_MISC_CTRL_0_XM0_TX_FORCE_TRISTATE_RANGE \
        MSS_AON_CFG_XM0_PAD_MISC_CTRL_0_XM0_TX_FORCE_TRISTATE_RANGE
#define MSS_AON_CFG_DDR_MISC_CTRL_0_XM1_TX_DISABLE_PREDRV_RAILGATE_RANGE \
        MSS_AON_CFG_XM0_PAD_MISC_CTRL_0_XM1_TX_DISABLE_PREDRV_RAILGATE_RANGE
#define MSS_AON_CFG_DDR_MISC_CTRL_0_XM1_TX_FORCE_TRISTATE_RANGE \
        MSS_AON_CFG_XM0_PAD_MISC_CTRL_0_XM1_TX_FORCE_TRISTATE_RANGE
#define MSS_AON_CFG_DDR_MISC_CTRL_0_XM2_TX_DISABLE_PREDRV_RAILGATE_RANGE \
        MSS_AON_CFG_XM0_PAD_MISC_CTRL_0_XM2_TX_DISABLE_PREDRV_RAILGATE_RANGE
#define MSS_AON_CFG_DDR_MISC_CTRL_0_XM2_TX_FORCE_TRISTATE_RANGE \
        MSS_AON_CFG_XM0_PAD_MISC_CTRL_0_XM2_TX_FORCE_TRISTATE_RANGE
#define MSS_AON_CFG_DDR_MISC_CTRL_0_XM3_TX_DISABLE_PREDRV_RAILGATE_RANGE \
        MSS_AON_CFG_XM0_PAD_MISC_CTRL_0_XM3_TX_DISABLE_PREDRV_RAILGATE_RANGE
#define MSS_AON_CFG_DDR_MISC_CTRL_0_XM3_TX_FORCE_TRISTATE_RANGE \
        MSS_AON_CFG_XM0_PAD_MISC_CTRL_0_XM3_TX_FORCE_TRISTATE_RANGE
#define CLK_RST_CONTROLLER_CLK_SOURCE_EMC_DLL_ALIAS_0_EMC_DLL_CLK_SRC_RANGE \
        CLK_RST_CONTROLLER_CLK_SOURCE_EMC_DLL_0_EMC_DLL_CLK_SRC_RANGE
#define CLK_RST_CONTROLLER_CLK_SOURCE_EMC_DLL_ALIAS_0_DDLL_CLK_SEL_RANGE \
        CLK_RST_CONTROLLER_CLK_SOURCE_EMC_DLL_0_DDLL_CLK_SEL_RANGE
#define CLK_RST_CONTROLLER_CLK_SOURCE_EMC_DLL_ALIAS_0_EMC_DLL_CLK_DIVISOR_RANGE \
        CLK_RST_CONTROLLER_CLK_SOURCE_EMC_DLL_0_EMC_DLL_CLK_DIVISOR_RANGE
#define CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_VREG14V_CTRL_RANGE \
        CLK_RST_CONTROLLER_PLLM_MISC2_0_PLLM_VREG14V_CTRL_RANGE
#define CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_VREG10V_CTRL_RANGE \
        CLK_RST_CONTROLLER_PLLM_MISC2_0_PLLM_VREG10V_CTRL_RANGE
#define CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_OVERRIDE_SYNCMUX_RANGE \
        CLK_RST_CONTROLLER_PLLM_MISC2_0_PLLM_OVERRIDE_SYNCMUX_RANGE
#define CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_VCO_SEL_RANGE \
        CLK_RST_CONTROLLER_PLLM_MISC2_0_PLLM_VCO_SEL_RANGE
#define CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_SYNC_MUX_CTRL_RANGE \
        CLK_RST_CONTROLLER_PLLM_MISC2_0_PLLM_SYNC_MUX_CTRL_RANGE
#define CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_ENABLE_SW_OVERRIDE_RANGE \
        CLK_RST_CONTROLLER_PLLM_MISC2_0_PLLM_ENABLE_SW_OVERRIDE_RANGE
#define CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_PTS_RANGE \
        CLK_RST_CONTROLLER_PLLM_MISC2_0_PLLM_PTS_RANGE
#define CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_IDDQ_RANGE \
        CLK_RST_CONTROLLER_PLLM_MISC2_0_PLLM_IDDQ_RANGE
#define CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_EN_LCKDET_RANGE \
        CLK_RST_CONTROLLER_PLLM_MISC2_0_PLLM_EN_LCKDET_RANGE
#define CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_LOCK_OVERRIDE_RANGE \
        CLK_RST_CONTROLLER_PLLM_MISC2_0_PLLM_LOCK_OVERRIDE_RANGE
#define CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_KCP_RANGE \
        CLK_RST_CONTROLLER_PLLM_MISC2_0_PLLM_KCP_RANGE
#define CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_KVCO_RANGE \
        CLK_RST_CONTROLLER_PLLM_MISC2_0_PLLM_KVCO_RANGE
#define CLK_RST_CONTROLLER_PLLM_MISC1_ALIAS_0_PLLM_SETUP_RANGE \
        CLK_RST_CONTROLLER_PLLM_MISC1_0_PLLM_SETUP_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_MCHUBSC_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_0_CLR_CLK_ENB_MCHUBSC_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_MC5_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_0_CLR_CLK_ENB_MC5_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_EMCSC_IOBIST_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_0_CLR_CLK_ENB_EMCSC_IOBIST_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_EMCSC_LATENCY_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_0_CLR_CLK_ENB_EMCSC_LATENCY_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_MC_BBC_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_0_CLR_CLK_ENB_MC_BBC_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CPU_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_0_CLR_CLK_ENB_MC_CPU_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_EMC_DLL_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_0_CLR_CLK_ENB_EMC_DLL_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_MEM_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_0_CLR_CLK_ENB_MEM_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_EMC_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_0_CLR_CLK_ENB_EMC_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_MCHUBSB_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_0_CLR_CLK_ENB_MCHUBSB_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_MC3_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_0_CLR_CLK_ENB_MC3_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_EMCSB_IOBIST_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_0_CLR_CLK_ENB_EMCSB_IOBIST_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_EMCSB_LATENCY_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_0_CLR_CLK_ENB_EMCSB_LATENCY_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_MC_BBC_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_0_CLR_CLK_ENB_MC_BBC_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_MC_CPU_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_0_CLR_CLK_ENB_MC_CPU_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_EMC_DLL_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_0_CLR_CLK_ENB_EMC_DLL_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_MEM_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_0_CLR_CLK_ENB_MEM_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_EMC_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_0_CLR_CLK_ENB_EMC_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_MCHUBSD_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_0_CLR_CLK_ENB_MCHUBSD_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_MC7_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_0_CLR_CLK_ENB_MC7_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_EMCSD_IOBIST_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_0_CLR_CLK_ENB_EMCSD_IOBIST_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_EMCSD_LATENCY_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_0_CLR_CLK_ENB_EMCSD_LATENCY_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_MC_BBC_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_0_CLR_CLK_ENB_MC_BBC_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_MC_CPU_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_0_CLR_CLK_ENB_MC_CPU_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_EMC_DLL_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_0_CLR_CLK_ENB_EMC_DLL_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_MEM_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_0_CLR_CLK_ENB_MEM_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_EMC_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_0_CLR_CLK_ENB_EMC_RANGE
#define CLK_RST_CONTROLLER_EMC_MISC_ALIAS_0_MCHUB_CLK_RATIO_RANGE \
        CLK_RST_CONTROLLER_EMC_MISC_0_MCHUB_CLK_RATIO_RANGE
#define CLK_RST_CONTROLLER_EMC_MISC_ALIAS_0_EMCHUB_CLK_SEL_RANGE \
        CLK_RST_CONTROLLER_EMC_MISC_0_EMCHUB_CLK_SEL_RANGE
#define EMC_WARM_BOOT_MRW_EXTRA_0_MRW_MA_RANGE \
        EMC_MRW_0_MRW_MA_RANGE
#define EMC_WARM_BOOT_MRW_EXTRA_0_MRW_OP_RANGE \
        EMC_MRW_0_MRW_OP_RANGE
#define EMC_WARM_BOOT_MRW_EXTRA_0_USE_MRW_LONG_CNT_RANGE \
        EMC_MRW_0_USE_MRW_LONG_CNT_RANGE
#define EMC_WARM_BOOT_MRW_EXTRA_0_USE_MRW_EXT_CNT_RANGE \
        EMC_MRW_0_USE_MRW_EXT_CNT_RANGE
#define EMC_WARM_BOOT_MRW_EXTRA_0_MRW_DEV_SELECTN_RANGE \
        EMC_MRW_0_MRW_DEV_SELECTN_RANGE
#define EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_CAL_CMD_RANGE \
        EMC_ZQ_CAL_0_ZQ_CAL_CMD_RANGE
#define EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_LATCH_CMD_RANGE \
        EMC_ZQ_CAL_0_ZQ_LATCH_CMD_RANGE
#define EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_CAL_LENGTH_RANGE \
        EMC_ZQ_CAL_0_ZQ_CAL_LENGTH_RANGE
#define EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_CAL_SUBP_SELECTN_RANGE \
        EMC_ZQ_CAL_0_ZQ_CAL_SUBP_SELECTN_RANGE
#define EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_CAL_DEV_SELECTN_RANGE \
        EMC_ZQ_CAL_0_ZQ_CAL_DEV_SELECTN_RANGE
#define MSS_AON_CFG_DDR_VDDP_SEL_0_XM0_VDDP_SEL_RANGE \
        MSS_AON_CFG_XM0_PAD_VDDP_SEL_CTRL_0_XM0_VDDP_SEL_RANGE
#define EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_CAL_CMD_RANGE \
        EMC_ZQ_CAL_0_ZQ_CAL_CMD_RANGE
#define EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_LATCH_CMD_RANGE \
        EMC_ZQ_CAL_0_ZQ_LATCH_CMD_RANGE
#define EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_CAL_LENGTH_RANGE \
        EMC_ZQ_CAL_0_ZQ_CAL_LENGTH_RANGE
#define EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_CAL_SUBP_SELECTN_RANGE \
        EMC_ZQ_CAL_0_ZQ_CAL_SUBP_SELECTN_RANGE
#define EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_CAL_DEV_SELECTN_RANGE \
        EMC_ZQ_CAL_0_ZQ_CAL_DEV_SELECTN_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MCHUBSA_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_0_CLR_CLK_ENB_MCHUBSA_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC1_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_0_CLR_CLK_ENB_MC1_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_EMC_IOBIST_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_0_CLR_CLK_ENB_EMC_IOBIST_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_EMC_LATENCY_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_0_CLR_CLK_ENB_EMC_LATENCY_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_BBC_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_0_CLR_CLK_ENB_MC_BBC_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CPU_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_0_CLR_CLK_ENB_MC_CPU_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_EMC_DLL_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_0_CLR_CLK_ENB_EMC_DLL_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MEM_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_0_CLR_CLK_ENB_MEM_RANGE
#define CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_EMC_RANGE \
        CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_0_CLR_CLK_ENB_EMC_RANGE





#define EMC_PMACRO_AUTOCAL_CFG_2_0_CH12_3_0_RANGE                           3:0
#define EMC_PMACRO_AUTOCAL_CFG_2_0_CH12_11_8_RANGE                          11:8
#define EMC_MRW9_0_CH6_31_0_RANGE                                           31:0
#define EMC_MRW9_0_CH14_31_0_RANGE                                          31:0
#define EMC_MRW9_0_CH12_31_0_RANGE                                          31:0
#define EMC_MRW9_0_CH10_31_0_RANGE                                          31:0
#define EMC_MRW9_0_CH8_31_0_RANGE                                           31:0
#define EMC_MRW9_0_CH4_31_0_RANGE                                           31:0
#define EMC_MRW9_0_CH0_31_0_RANGE                                           31:0
#define EMC_MRW9_0_CH2_31_0_RANGE                                           31:0
#define EMC_PMC_SCRATCH1_0_CH4_SCRATCH1_RANGE                               EMC_PMC_SCRATCH1_0_SCRATCH1_RANGE
#define EMC_PMC_SCRATCH1_0_CH0_SCRATCH1_RANGE                               EMC_PMC_SCRATCH1_0_SCRATCH1_RANGE
#define EMC_PMC_SCRATCH1_0_CH8_SCRATCH1_RANGE                               EMC_PMC_SCRATCH1_0_SCRATCH1_RANGE
#define EMC_PMC_SCRATCH1_0_CH12_SCRATCH1_RANGE                              EMC_PMC_SCRATCH1_0_SCRATCH1_RANGE
#define EMC_PMC_SCRATCH2_0_CH12_SCRATCH2_RANGE                              EMC_PMC_SCRATCH2_0_SCRATCH2_RANGE
#define EMC_PMC_SCRATCH2_0_CH8_SCRATCH2_RANGE                               EMC_PMC_SCRATCH2_0_SCRATCH2_RANGE
#define EMC_PMC_SCRATCH2_0_CH0_SCRATCH2_RANGE                               EMC_PMC_SCRATCH2_0_SCRATCH2_RANGE
#define EMC_PMC_SCRATCH2_0_CH4_SCRATCH2_RANGE                               EMC_PMC_SCRATCH2_0_SCRATCH2_RANGE
#define EMC_PMC_SCRATCH3_0_CH0_SCRATCH3_RANGE                               EMC_PMC_SCRATCH3_0_SCRATCH3_RANGE
#define EMC_PMC_SCRATCH3_0_CH4_SCRATCH3_RANGE                               EMC_PMC_SCRATCH3_0_SCRATCH3_RANGE
#define EMC_PMC_SCRATCH3_0_CH8_SCRATCH3_RANGE                               EMC_PMC_SCRATCH3_0_SCRATCH3_RANGE
#define EMC_PMC_SCRATCH3_0_CH12_SCRATCH3_RANGE                              EMC_PMC_SCRATCH3_0_SCRATCH3_RANGE
#define EMC_SWIZZLE_RANK0_BYTE0_0_CH6_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE0_0_CH4_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE0_0_CH2_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE0_0_CH0_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE0_0_CH8_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE0_0_CH14_30_0_RANGE                           30:0
#define EMC_SWIZZLE_RANK0_BYTE0_0_CH10_30_0_RANGE                           30:0
#define EMC_SWIZZLE_RANK0_BYTE0_0_CH12_30_0_RANGE                           30:0
#define EMC_SWIZZLE_RANK0_BYTE1_0_CH14_30_0_RANGE                           30:0
#define EMC_SWIZZLE_RANK0_BYTE1_0_CH12_30_0_RANGE                           30:0
#define EMC_SWIZZLE_RANK0_BYTE1_0_CH10_30_0_RANGE                           30:0
#define EMC_SWIZZLE_RANK0_BYTE1_0_CH8_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE1_0_CH6_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE1_0_CH2_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE1_0_CH0_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE1_0_CH4_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE2_0_CH12_30_0_RANGE                           30:0
#define EMC_SWIZZLE_RANK0_BYTE2_0_CH10_30_0_RANGE                           30:0
#define EMC_SWIZZLE_RANK0_BYTE2_0_CH8_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE2_0_CH0_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE2_0_CH2_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE2_0_CH4_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE2_0_CH6_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE2_0_CH14_30_0_RANGE                           30:0
#define EMC_SWIZZLE_RANK0_BYTE3_0_CH14_30_0_RANGE                           30:0
#define EMC_SWIZZLE_RANK0_BYTE3_0_CH10_30_0_RANGE                           30:0
#define EMC_SWIZZLE_RANK0_BYTE3_0_CH12_30_0_RANGE                           30:0
#define EMC_SWIZZLE_RANK0_BYTE3_0_CH0_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE3_0_CH2_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE3_0_CH8_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE3_0_CH4_30_0_RANGE                            30:0
#define EMC_SWIZZLE_RANK0_BYTE3_0_CH6_30_0_RANGE                            30:0
#define EMC_PMACRO_AUTOCAL_CFG_2_0_CH8_3_0_RANGE                            3:0
#define EMC_PMACRO_AUTOCAL_CFG_2_0_CH8_11_8_RANGE                           11:8
#define EMC_PMACRO_AUTOCAL_CFG_2_0_CH0_3_0_RANGE                            3:0
#define EMC_PMACRO_AUTOCAL_CFG_2_0_CH0_11_8_RANGE                           11:8
#define EMC_PMACRO_AUTOCAL_CFG_2_0_CH4_3_0_RANGE                            3:0
#define EMC_PMACRO_AUTOCAL_CFG_2_0_CH4_11_8_RANGE                           11:8
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH8_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH8_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH6_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH6_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH4_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH4_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH2_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH2_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH14_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH14_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH12_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH12_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH10_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH10_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH14_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH14_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH10_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH10_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH12_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH12_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH6_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH6_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH4_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH4_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH2_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH2_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH8_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH8_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH4_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH4_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH12_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH12_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH8_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH8_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH6_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH6_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH2_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH2_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH14_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH14_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH10_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH10_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH6_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH6_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH4_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH4_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH2_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH2_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH8_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH8_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH14_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH14_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH10_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH10_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH12_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH12_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH14_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH14_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH10_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH10_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH12_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH12_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH8_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH8_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH2_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH2_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH4_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH4_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH6_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH6_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH12_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH12_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH10_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH10_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH2_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH2_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH4_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH4_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH6_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH6_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH8_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH8_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH14_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH14_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH10_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH10_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH12_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH12_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH14_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH14_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH4_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH4_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH6_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH6_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH2_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH2_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH8_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH8_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH12_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH12_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH10_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH10_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH14_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH14_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH8_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH8_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH2_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH2_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH4_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH4_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH6_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH6_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH2_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH2_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH4_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH4_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH6_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH6_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH8_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH8_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH14_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH14_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH10_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH10_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH12_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH12_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH14_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH14_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH12_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH12_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH10_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH10_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH4_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH4_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH6_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH6_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH2_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH2_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH8_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH8_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH6_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH6_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH4_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH4_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH2_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH2_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH8_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH8_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH12_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH12_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH10_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH10_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH14_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH14_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH10_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH10_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH12_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH12_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH14_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH14_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH8_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH8_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH6_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH6_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH4_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH4_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH2_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH2_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH6_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH6_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH4_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH4_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH2_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH2_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH8_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH8_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH10_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH10_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH12_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH12_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH14_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH14_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH6_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH6_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH4_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH4_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH14_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH14_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH12_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH12_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH10_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH10_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH8_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH8_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH2_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH2_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE
#define EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH10_DDLL_LONG_CMD_CKE0_RANGE          EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH10_DDLL_LONG_CMD_CKE1_RANGE          EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH12_DDLL_LONG_CMD_CKE0_RANGE          EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH12_DDLL_LONG_CMD_CKE1_RANGE          EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH14_DDLL_LONG_CMD_CKE0_RANGE          EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH14_DDLL_LONG_CMD_CKE1_RANGE          EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH8_DDLL_LONG_CMD_CKE0_RANGE           EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH8_DDLL_LONG_CMD_CKE1_RANGE           EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH0_DDLL_LONG_CMD_CKE0_RANGE           EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH0_DDLL_LONG_CMD_CKE1_RANGE           EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH2_DDLL_LONG_CMD_CKE0_RANGE           EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH2_DDLL_LONG_CMD_CKE1_RANGE           EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH4_DDLL_LONG_CMD_CKE0_RANGE           EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH4_DDLL_LONG_CMD_CKE1_RANGE           EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH6_DDLL_LONG_CMD_CKE0_RANGE           EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_0_0_CH6_DDLL_LONG_CMD_CKE1_RANGE           EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH4_DDLL_LONG_CMD_CKE2_RANGE           EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH4_DDLL_LONG_CMD_CKE3_RANGE           EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH0_DDLL_LONG_CMD_CKE2_RANGE           EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH0_DDLL_LONG_CMD_CKE3_RANGE           EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH2_DDLL_LONG_CMD_CKE2_RANGE           EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH2_DDLL_LONG_CMD_CKE3_RANGE           EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH8_DDLL_LONG_CMD_CKE2_RANGE           EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH8_DDLL_LONG_CMD_CKE3_RANGE           EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH12_DDLL_LONG_CMD_CKE2_RANGE          EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH12_DDLL_LONG_CMD_CKE3_RANGE          EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH10_DDLL_LONG_CMD_CKE2_RANGE          EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH10_DDLL_LONG_CMD_CKE3_RANGE          EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH14_DDLL_LONG_CMD_CKE2_RANGE          EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH14_DDLL_LONG_CMD_CKE3_RANGE          EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH6_DDLL_LONG_CMD_CKE2_RANGE           EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_1_0_CH6_DDLL_LONG_CMD_CKE3_RANGE           EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH12_DDLL_LONG_CMD_CKE4_RANGE          EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH12_DDLL_LONG_CMD_CKE5_RANGE          EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH10_DDLL_LONG_CMD_CKE4_RANGE          EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH10_DDLL_LONG_CMD_CKE5_RANGE          EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH14_DDLL_LONG_CMD_CKE4_RANGE          EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH14_DDLL_LONG_CMD_CKE5_RANGE          EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH2_DDLL_LONG_CMD_CKE4_RANGE           EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH2_DDLL_LONG_CMD_CKE5_RANGE           EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH0_DDLL_LONG_CMD_CKE4_RANGE           EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH0_DDLL_LONG_CMD_CKE5_RANGE           EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH8_DDLL_LONG_CMD_CKE4_RANGE           EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH8_DDLL_LONG_CMD_CKE5_RANGE           EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH6_DDLL_LONG_CMD_CKE4_RANGE           EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH6_DDLL_LONG_CMD_CKE5_RANGE           EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH4_DDLL_LONG_CMD_CKE4_RANGE           EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_2_0_CH4_DDLL_LONG_CMD_CKE5_RANGE           EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH8_DDLL_LONG_CMD_CKE6_RANGE           EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH8_DDLL_LONG_CMD_CKE7_RANGE           EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH6_DDLL_LONG_CMD_CKE6_RANGE           EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH6_DDLL_LONG_CMD_CKE7_RANGE           EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH4_DDLL_LONG_CMD_CKE6_RANGE           EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH4_DDLL_LONG_CMD_CKE7_RANGE           EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH2_DDLL_LONG_CMD_CKE6_RANGE           EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH2_DDLL_LONG_CMD_CKE7_RANGE           EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH0_DDLL_LONG_CMD_CKE6_RANGE           EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH0_DDLL_LONG_CMD_CKE7_RANGE           EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH14_DDLL_LONG_CMD_CKE6_RANGE          EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH14_DDLL_LONG_CMD_CKE7_RANGE          EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH10_DDLL_LONG_CMD_CKE6_RANGE          EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH10_DDLL_LONG_CMD_CKE7_RANGE          EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH12_DDLL_LONG_CMD_CKE6_RANGE          EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_3_0_CH12_DDLL_LONG_CMD_CKE7_RANGE          EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH12_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH10_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH14_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH8_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH2_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE
#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH12_3_0_RANGE                           3:0
#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH12_11_8_RANGE                          11:8
#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH12_19_16_RANGE                         19:16
#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH12_27_24_RANGE                         27:24
#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH8_3_0_RANGE                            3:0
#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH8_11_8_RANGE                           11:8
#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH8_19_16_RANGE                          19:16
#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH8_27_24_RANGE                          27:24
#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH4_3_0_RANGE                            3:0
#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH4_11_8_RANGE                           11:8
#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH4_19_16_RANGE                          19:16
#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH4_27_24_RANGE                          27:24
#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH0_3_0_RANGE                            3:0
#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH0_11_8_RANGE                           11:8
#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH0_19_16_RANGE                          19:16
#define EMC_PMACRO_AUTOCAL_CFG_0_0_CH0_27_24_RANGE                          27:24
#define EMC_DATA_BRLSHFT_0_0_CH14_15_0_RANGE                                15:0
#define EMC_DATA_BRLSHFT_0_0_CH12_15_0_RANGE                                15:0
#define EMC_DATA_BRLSHFT_0_0_CH10_15_0_RANGE                                15:0
#define EMC_DATA_BRLSHFT_0_0_CH4_15_0_RANGE                                 15:0
#define EMC_DATA_BRLSHFT_0_0_CH0_15_0_RANGE                                 15:0
#define EMC_DATA_BRLSHFT_0_0_CH2_15_0_RANGE                                 15:0
#define EMC_DATA_BRLSHFT_0_0_CH8_15_0_RANGE                                 15:0
#define EMC_DATA_BRLSHFT_0_0_CH6_15_0_RANGE                                 15:0
#define EMC_DATA_BRLSHFT_1_0_CH4_15_0_RANGE                                 15:0
#define EMC_DATA_BRLSHFT_1_0_CH6_15_0_RANGE                                 15:0
#define EMC_DATA_BRLSHFT_1_0_CH0_15_0_RANGE                                 15:0
#define EMC_DATA_BRLSHFT_1_0_CH2_15_0_RANGE                                 15:0
#define EMC_DATA_BRLSHFT_1_0_CH8_15_0_RANGE                                 15:0
#define EMC_DATA_BRLSHFT_1_0_CH14_15_0_RANGE                                15:0
#define EMC_DATA_BRLSHFT_1_0_CH10_15_0_RANGE                                15:0
#define EMC_DATA_BRLSHFT_1_0_CH12_15_0_RANGE                                15:0
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH6_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH4_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH8_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH10_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH14_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH2_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH6_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH4_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH12_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH12_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH2_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH10_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH14_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH8_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH6_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH4_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH2_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH6_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH4_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH8_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH12_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH10_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE
#define EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH14_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_4_0_CH14_DDLL_LONG_CMD_RESET_RANGE         EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_4_0_CH10_DDLL_LONG_CMD_RESET_RANGE         EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_4_0_CH12_DDLL_LONG_CMD_RESET_RANGE         EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_4_0_CH8_DDLL_LONG_CMD_RESET_RANGE          EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_4_0_CH4_DDLL_LONG_CMD_RESET_RANGE          EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_4_0_CH6_DDLL_LONG_CMD_RESET_RANGE          EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_4_0_CH0_DDLL_LONG_CMD_RESET_RANGE          EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE
#define EMC_PMACRO_DDLL_LONG_CMD_4_0_CH2_DDLL_LONG_CMD_RESET_RANGE          EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE
// SDRAM non secure packing structure array initialization
#define PACK_SIZE 865
#define PACK_VALS_SIZE 28

typedef struct PACKLIST {

   unsigned short int pmcScratchOffs;
   NvU32 bctMask;
   unsigned short int bct2PmcShift;
   unsigned short int bctPtr;
} packlist;

#define m_offsetof(type, member)   ((size_t)((char *)&(*(type *)0).member - (char *)&(*(type *)0)))
static const packlist pmc_list[] = { {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_2,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_EMC_2X_CLK_DIVISOR_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_2_0_CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_EMC_2X_CLK_DIVISOR_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_EMC_2X_CLK_DIVISOR_RANGE)), m_offsetof(NvBootSdramParams, EmcClockSource)}, //0
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_2,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_SOURCE_EMC_DLL_ALIAS_0_EMC_DLL_CLK_DIVISOR_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_2_0_CLK_RST_CONTROLLER_CLK_SOURCE_EMC_DLL_ALIAS_0_EMC_DLL_CLK_DIVISOR_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_SOURCE_EMC_DLL_ALIAS_0_EMC_DLL_CLK_DIVISOR_RANGE)), m_offsetof(NvBootSdramParams, EmcClockSourceDll)}, //1
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_2,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_EMC_2X_CLK_SRC_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_2_0_CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_EMC_2X_CLK_SRC_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_EMC_2X_CLK_SRC_RANGE)), m_offsetof(NvBootSdramParams, EmcClockSource)}, //2
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_2,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_SOURCE_EMC_DLL_ALIAS_0_EMC_DLL_CLK_SRC_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_2_0_CLK_RST_CONTROLLER_CLK_SOURCE_EMC_DLL_ALIAS_0_EMC_DLL_CLK_SRC_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_SOURCE_EMC_DLL_ALIAS_0_EMC_DLL_CLK_SRC_RANGE)), m_offsetof(NvBootSdramParams, EmcClockSourceDll)}, //3
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_2,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_SOURCE_EMC_DLL_ALIAS_0_DDLL_CLK_SEL_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_2_0_CLK_RST_CONTROLLER_CLK_SOURCE_EMC_DLL_ALIAS_0_DDLL_CLK_SEL_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_SOURCE_EMC_DLL_ALIAS_0_DDLL_CLK_SEL_RANGE)), m_offsetof(NvBootSdramParams, EmcClockSourceDll)}, //4
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_3,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_PLLM_MISC1_ALIAS_0_PLLM_SETUP_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_3_0_CLK_RST_CONTROLLER_PLLM_MISC1_ALIAS_0_PLLM_SETUP_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_PLLM_MISC1_ALIAS_0_PLLM_SETUP_RANGE)), m_offsetof(NvBootSdramParams, PllMSetupControl)}, //5
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_3,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_VREG14V_CTRL_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_3_0_CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_VREG14V_CTRL_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_VREG14V_CTRL_RANGE)), m_offsetof(NvBootSdramParams, ClkRstControllerPllmMisc2Override)}, //6
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_3,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_VREG10V_CTRL_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_3_0_CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_VREG10V_CTRL_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_VREG10V_CTRL_RANGE)), m_offsetof(NvBootSdramParams, ClkRstControllerPllmMisc2Override)}, //7
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_PTS_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_PTS_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_PTS_RANGE)), m_offsetof(NvBootSdramParams, ClkRstControllerPllmMisc2Override)}, //8
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_KCP_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_KCP_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_KCP_RANGE)), m_offsetof(NvBootSdramParams, ClkRstControllerPllmMisc2Override)}, //9
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_EMC_MISC_ALIAS_0_EMCHUB_CLK_SEL_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_EMC_MISC_ALIAS_0_EMCHUB_CLK_SEL_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_EMC_MISC_ALIAS_0_EMCHUB_CLK_SEL_RANGE)), m_offsetof(NvBootSdramParams, ClkRstEmcMisc)}, //10
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4,  NV_FIELD_SHIFTMASK(EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_CAL_SUBP_SELECTN_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_CAL_SUBP_SELECTN_RANGE) - NV_FIELD_SHIFT(EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_CAL_SUBP_SELECTN_RANGE)), m_offsetof(NvBootSdramParams, EmcZqCalLpDdr4WarmBoot)}, //11
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4,  NV_FIELD_SHIFTMASK(EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_CAL_DEV_SELECTN_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_CAL_DEV_SELECTN_RANGE) - NV_FIELD_SHIFT(EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_CAL_DEV_SELECTN_RANGE)), m_offsetof(NvBootSdramParams, EmcZqCalLpDdr4WarmBoot)}, //12
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4,  NV_FIELD_SHIFTMASK(MSS_AON_CFG_DDR_VDDP_SEL_0_XM0_VDDP_SEL_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_MSS_AON_CFG_DDR_VDDP_SEL_0_XM0_VDDP_SEL_RANGE) - NV_FIELD_SHIFT(MSS_AON_CFG_DDR_VDDP_SEL_0_XM0_VDDP_SEL_RANGE)), m_offsetof(NvBootSdramParams, MssAonVddpSel)}, //13
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_EMC_CLK_DIV2_EN_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_EMC_CLK_DIV2_EN_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_EMC_CLK_DIV2_EN_RANGE)), m_offsetof(NvBootSdramParams, EmcClockSource)}, //14
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_MC_EMC_SAME_FREQ_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_MC_EMC_SAME_FREQ_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_MC_EMC_SAME_FREQ_RANGE)), m_offsetof(NvBootSdramParams, EmcClockSource)}, //15
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_EMC_INVERT_DCD_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_EMC_INVERT_DCD_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_EMC_INVERT_DCD_RANGE)), m_offsetof(NvBootSdramParams, EmcClockSource)}, //16
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_PLLC_OUT_FOR_EMC_EN_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_PLLC_OUT_FOR_EMC_EN_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_PLLC_OUT_FOR_EMC_EN_RANGE)), m_offsetof(NvBootSdramParams, EmcClockSource)}, //17
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_USE_32KHZ_AS_CLK_M_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_USE_32KHZ_AS_CLK_M_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_USE_32KHZ_AS_CLK_M_RANGE)), m_offsetof(NvBootSdramParams, EmcClockSource)}, //18
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_FORCE_CC_TRIGGER_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_FORCE_CC_TRIGGER_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_FORCE_CC_TRIGGER_RANGE)), m_offsetof(NvBootSdramParams, EmcClockSource)}, //19
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_EMC_SWITCH_COMPLETE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_EMC_SWITCH_COMPLETE_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_SOURCE_EMC_ALIAS_0_EMC_SWITCH_COMPLETE_RANGE)), m_offsetof(NvBootSdramParams, EmcClockSource)}, //20
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CFPA_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CFPA_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CFPA_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmchub)}, //21
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CEPA_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CEPA_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CEPA_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmchub)}, //22
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CDPA_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CDPA_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CDPA_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmchub)}, //23
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CCPA_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CCPA_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CCPA_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmchub)}, //24
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CBPA_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CBPA_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CBPA_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmchub)}, //25
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CAPA_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CAPA_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CAPA_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmchub)}, //26
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4,  NV_FIELD_SHIFTMASK(MSS_AON_CFG_DDR_MISC_CTRL_0_XM0_TX_DISABLE_PREDRV_RAILGATE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_MSS_AON_CFG_DDR_MISC_CTRL_0_XM0_TX_DISABLE_PREDRV_RAILGATE_RANGE) - NV_FIELD_SHIFT(MSS_AON_CFG_DDR_MISC_CTRL_0_XM0_TX_DISABLE_PREDRV_RAILGATE_RANGE)), m_offsetof(NvBootSdramParams, MssAonNoIoPower)}, //27
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4,  NV_FIELD_SHIFTMASK(MSS_AON_CFG_DDR_MISC_CTRL_0_XM0_TX_FORCE_TRISTATE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_MSS_AON_CFG_DDR_MISC_CTRL_0_XM0_TX_FORCE_TRISTATE_RANGE) - NV_FIELD_SHIFT(MSS_AON_CFG_DDR_MISC_CTRL_0_XM0_TX_FORCE_TRISTATE_RANGE)), m_offsetof(NvBootSdramParams, MssAonNoIoPower)}, //28
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4,  NV_FIELD_SHIFTMASK(MSS_AON_CFG_DDR_MISC_CTRL_0_XM1_TX_DISABLE_PREDRV_RAILGATE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_MSS_AON_CFG_DDR_MISC_CTRL_0_XM1_TX_DISABLE_PREDRV_RAILGATE_RANGE) - NV_FIELD_SHIFT(MSS_AON_CFG_DDR_MISC_CTRL_0_XM1_TX_DISABLE_PREDRV_RAILGATE_RANGE)), m_offsetof(NvBootSdramParams, MssAonNoIoPower)}, //29
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4,  NV_FIELD_SHIFTMASK(MSS_AON_CFG_DDR_MISC_CTRL_0_XM1_TX_FORCE_TRISTATE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_MSS_AON_CFG_DDR_MISC_CTRL_0_XM1_TX_FORCE_TRISTATE_RANGE) - NV_FIELD_SHIFT(MSS_AON_CFG_DDR_MISC_CTRL_0_XM1_TX_FORCE_TRISTATE_RANGE)), m_offsetof(NvBootSdramParams, MssAonNoIoPower)}, //30
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4,  NV_FIELD_SHIFTMASK(MSS_AON_CFG_DDR_MISC_CTRL_0_XM2_TX_DISABLE_PREDRV_RAILGATE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_MSS_AON_CFG_DDR_MISC_CTRL_0_XM2_TX_DISABLE_PREDRV_RAILGATE_RANGE) - NV_FIELD_SHIFT(MSS_AON_CFG_DDR_MISC_CTRL_0_XM2_TX_DISABLE_PREDRV_RAILGATE_RANGE)), m_offsetof(NvBootSdramParams, MssAonNoIoPower)}, //31
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4,  NV_FIELD_SHIFTMASK(MSS_AON_CFG_DDR_MISC_CTRL_0_XM2_TX_FORCE_TRISTATE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_MSS_AON_CFG_DDR_MISC_CTRL_0_XM2_TX_FORCE_TRISTATE_RANGE) - NV_FIELD_SHIFT(MSS_AON_CFG_DDR_MISC_CTRL_0_XM2_TX_FORCE_TRISTATE_RANGE)), m_offsetof(NvBootSdramParams, MssAonNoIoPower)}, //32
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4,  NV_FIELD_SHIFTMASK(MSS_AON_CFG_DDR_MISC_CTRL_0_XM3_TX_DISABLE_PREDRV_RAILGATE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_4_0_MSS_AON_CFG_DDR_MISC_CTRL_0_XM3_TX_DISABLE_PREDRV_RAILGATE_RANGE) - NV_FIELD_SHIFT(MSS_AON_CFG_DDR_MISC_CTRL_0_XM3_TX_DISABLE_PREDRV_RAILGATE_RANGE)), m_offsetof(NvBootSdramParams, MssAonNoIoPower)}, //33
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(MSS_AON_CFG_DDR_MISC_CTRL_0_XM3_TX_FORCE_TRISTATE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_MSS_AON_CFG_DDR_MISC_CTRL_0_XM3_TX_FORCE_TRISTATE_RANGE) - NV_FIELD_SHIFT(MSS_AON_CFG_DDR_MISC_CTRL_0_XM3_TX_FORCE_TRISTATE_RANGE)), m_offsetof(NvBootSdramParams, MssAonNoIoPower)}, //34
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_OVERRIDE_SYNCMUX_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_OVERRIDE_SYNCMUX_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_OVERRIDE_SYNCMUX_RANGE)), m_offsetof(NvBootSdramParams, ClkRstControllerPllmMisc2Override)}, //35
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_VCO_SEL_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_VCO_SEL_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_VCO_SEL_RANGE)), m_offsetof(NvBootSdramParams, ClkRstControllerPllmMisc2Override)}, //36
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_SYNC_MUX_CTRL_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_SYNC_MUX_CTRL_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_SYNC_MUX_CTRL_RANGE)), m_offsetof(NvBootSdramParams, ClkRstControllerPllmMisc2Override)}, //37
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_ENABLE_SW_OVERRIDE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_ENABLE_SW_OVERRIDE_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_ENABLE_SW_OVERRIDE_RANGE)), m_offsetof(NvBootSdramParams, ClkRstControllerPllmMisc2Override)}, //38
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_IDDQ_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_IDDQ_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_IDDQ_RANGE)), m_offsetof(NvBootSdramParams, ClkRstControllerPllmMisc2Override)}, //39
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_EN_LCKDET_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_EN_LCKDET_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_EN_LCKDET_RANGE)), m_offsetof(NvBootSdramParams, ClkRstControllerPllmMisc2Override)}, //40
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_LOCK_OVERRIDE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_LOCK_OVERRIDE_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_LOCK_OVERRIDE_RANGE)), m_offsetof(NvBootSdramParams, ClkRstControllerPllmMisc2Override)}, //41
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_KVCO_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_KVCO_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_PLLM_MISC2_ALIAS_0_PLLM_KVCO_RANGE)), m_offsetof(NvBootSdramParams, ClkRstControllerPllmMisc2Override)}, //42
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_MCHUBSC_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_MCHUBSC_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_MCHUBSC_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmcSc)}, //43
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_MC5_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_MC5_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_MC5_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmcSc)}, //44
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_EMCSC_IOBIST_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_EMCSC_IOBIST_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_EMCSC_IOBIST_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmcSc)}, //45
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_EMCSC_LATENCY_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_EMCSC_LATENCY_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_EMCSC_LATENCY_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmcSc)}, //46
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_MC_BBC_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_MC_BBC_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_MC_BBC_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmcSc)}, //47
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CPU_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CPU_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CPU_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmcSc)}, //48
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_EMC_DLL_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_EMC_DLL_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_EMC_DLL_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmcSc)}, //49
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_MEM_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_MEM_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_MEM_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmcSc)}, //50
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_EMC_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_EMC_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSC_CLR_ALIAS_0_CLR_CLK_ENB_EMC_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmcSc)}, //51
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_MCHUBSB_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_MCHUBSB_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_MCHUBSB_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmcSb)}, //52
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_MC3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_MC3_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_MC3_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmcSb)}, //53
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_EMCSB_IOBIST_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_EMCSB_IOBIST_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_EMCSB_IOBIST_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmcSb)}, //54
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_EMCSB_LATENCY_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_EMCSB_LATENCY_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_EMCSB_LATENCY_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmcSb)}, //55
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_MC_BBC_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_MC_BBC_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_MC_BBC_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmcSb)}, //56
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_MC_CPU_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_MC_CPU_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_MC_CPU_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmcSb)}, //57
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_EMC_DLL_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_EMC_DLL_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_EMC_DLL_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmcSb)}, //58
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_MEM_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_MEM_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_MEM_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmcSb)}, //59
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_EMC_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_EMC_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSB_CLR_ALIAS_0_CLR_CLK_ENB_EMC_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmcSb)}, //60
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_MCHUBSD_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_MCHUBSD_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_MCHUBSD_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmcSd)}, //61
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_MC7_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_MC7_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_MC7_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmcSd)}, //62
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_EMCSD_IOBIST_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_EMCSD_IOBIST_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_EMCSD_IOBIST_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmcSd)}, //63
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_EMCSD_LATENCY_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_EMCSD_LATENCY_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_EMCSD_LATENCY_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmcSd)}, //64
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_MC_BBC_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_5_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_MC_BBC_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_MC_BBC_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmcSd)}, //65
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_MC_CPU_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_MC_CPU_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_MC_CPU_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmcSd)}, //66
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_EMC_DLL_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_EMC_DLL_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_EMC_DLL_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmcSd)}, //67
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_MEM_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_MEM_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_MEM_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmcSd)}, //68
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_EMC_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_EMC_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMCSD_CLR_ALIAS_0_CLR_CLK_ENB_EMC_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmcSd)}, //69
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_EMC_MISC_ALIAS_0_MCHUB_CLK_RATIO_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_CLK_RST_CONTROLLER_EMC_MISC_ALIAS_0_MCHUB_CLK_RATIO_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_EMC_MISC_ALIAS_0_MCHUB_CLK_RATIO_RANGE)), m_offsetof(NvBootSdramParams, ClkRstEmcMisc)}, //70
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6,  NV_FIELD_SHIFTMASK(EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_CAL_CMD_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_CAL_CMD_RANGE) - NV_FIELD_SHIFT(EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_CAL_CMD_RANGE)), m_offsetof(NvBootSdramParams, EmcZqCalLpDdr4WarmBoot)}, //71
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6,  NV_FIELD_SHIFTMASK(EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_LATCH_CMD_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_LATCH_CMD_RANGE) - NV_FIELD_SHIFT(EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_LATCH_CMD_RANGE)), m_offsetof(NvBootSdramParams, EmcZqCalLpDdr4WarmBoot)}, //72
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6,  NV_FIELD_SHIFTMASK(EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_CAL_LENGTH_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_CAL_LENGTH_RANGE) - NV_FIELD_SHIFT(EMC_ZQ_CAL_DDR3_WARM_BOOT_0_ZQ_CAL_LENGTH_RANGE)), m_offsetof(NvBootSdramParams, EmcZqCalLpDdr4WarmBoot)}, //73
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MCHUBSA_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MCHUBSA_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MCHUBSA_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmc)}, //74
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC1_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC1_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmc)}, //75
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_EMC_IOBIST_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_EMC_IOBIST_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_EMC_IOBIST_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmc)}, //76
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_EMC_LATENCY_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_EMC_LATENCY_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_EMC_LATENCY_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmc)}, //77
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_BBC_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_BBC_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_BBC_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmc)}, //78
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CPU_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CPU_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MC_CPU_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmc)}, //79
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_EMC_DLL_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_EMC_DLL_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_EMC_DLL_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmc)}, //80
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MEM_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MEM_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_MEM_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmc)}, //81
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6,  NV_FIELD_SHIFTMASK(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_EMC_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_EMC_RANGE) - NV_FIELD_SHIFT(CLK_RST_CONTROLLER_CLK_OUT_ENB_EMC_CLR_ALIAS_0_CLR_CLK_ENB_EMC_RANGE)), m_offsetof(NvBootSdramParams, ClkRstClkEnbClrEmc)}, //82
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_PWRD_2_0_15_1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_6_0_EMC_PMACRO_DDLL_PWRD_2_0_15_1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_PWRD_2_0_15_1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllPwrd2)}, //83
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_13,  NV_FIELD_SHIFTMASK(EMC_RC_0_RC_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_13_0_EMC_RC_0_RC_RANGE) - NV_FIELD_SHIFT(EMC_RC_0_RC_RANGE)), m_offsetof(NvBootSdramParams, EmcRc)}, //84
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_14,  NV_FIELD_SHIFTMASK(EMC_QSAFE_0_QSAFE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_14_0_EMC_QSAFE_0_QSAFE_RANGE) - NV_FIELD_SHIFT(EMC_QSAFE_0_QSAFE_RANGE)), m_offsetof(NvBootSdramParams, EmcQSafe)}, //85
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_15,  NV_FIELD_SHIFTMASK(EMC_RDV_0_RDV_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_15_0_EMC_RDV_0_RDV_RANGE) - NV_FIELD_SHIFT(EMC_RDV_0_RDV_RANGE)), m_offsetof(NvBootSdramParams, EmcRdv)}, //86
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_16,  NV_FIELD_SHIFTMASK(EMC_AUTO_CAL_CONFIG9_0_AUTO_CAL_DISABLE_MASTER_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_16_0_EMC_AUTO_CAL_CONFIG9_0_AUTO_CAL_DISABLE_MASTER_RANGE) - NV_FIELD_SHIFT(EMC_AUTO_CAL_CONFIG9_0_AUTO_CAL_DISABLE_MASTER_RANGE)), m_offsetof(NvBootSdramParams, EmcAutoCalConfig9)}, //87
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_16,  NV_FIELD_SHIFTMASK(EMC_AUTO_CAL_CONFIG9_0_6_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_16_0_EMC_AUTO_CAL_CONFIG9_0_6_0_RANGE) - NV_FIELD_SHIFT(EMC_AUTO_CAL_CONFIG9_0_6_0_RANGE)), m_offsetof(NvBootSdramParams, EmcAutoCalConfig9)}, //88
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_17,  NV_FIELD_SHIFTMASK(EMC_PMACRO_AUTOCAL_CFG_2_0_3_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_17_0_EMC_PMACRO_AUTOCAL_CFG_2_0_CH12_3_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_AUTOCAL_CFG_2_0_3_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroAutocalCfg2_12)}, //89
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_17,  NV_FIELD_SHIFTMASK(EMC_PMACRO_AUTOCAL_CFG_2_0_11_8_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_17_0_EMC_PMACRO_AUTOCAL_CFG_2_0_CH12_11_8_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_AUTOCAL_CFG_2_0_11_8_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroAutocalCfg2_12)}, //90
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_18,  NV_FIELD_SHIFTMASK(EMC_FBIO_SPARE_0_31_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_18_0_EMC_FBIO_SPARE_0_31_0_RANGE) - NV_FIELD_SHIFT(EMC_FBIO_SPARE_0_31_0_RANGE)), m_offsetof(NvBootSdramParams, EmcFbioSpare)}, //91
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_19,  NV_FIELD_SHIFTMASK(EMC_CFG_RSV_0_31_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_19_0_EMC_CFG_RSV_0_31_0_RANGE) - NV_FIELD_SHIFT(EMC_CFG_RSV_0_31_0_RANGE)), m_offsetof(NvBootSdramParams, EmcCfgRsv)}, //92
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_20,  NV_FIELD_SHIFTMASK(EMC_MRW9_0_31_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_20_0_EMC_MRW9_0_CH6_31_0_RANGE) - NV_FIELD_SHIFT(EMC_MRW9_0_31_0_RANGE)), m_offsetof(NvBootSdramParams, EmcMrw9_6)}, //93
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_21,  NV_FIELD_SHIFTMASK(EMC_MRW9_0_31_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_21_0_EMC_MRW9_0_CH14_31_0_RANGE) - NV_FIELD_SHIFT(EMC_MRW9_0_31_0_RANGE)), m_offsetof(NvBootSdramParams, EmcMrw9_14)}, //94
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_22,  NV_FIELD_SHIFTMASK(EMC_MRW9_0_31_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_22_0_EMC_MRW9_0_CH12_31_0_RANGE) - NV_FIELD_SHIFT(EMC_MRW9_0_31_0_RANGE)), m_offsetof(NvBootSdramParams, EmcMrw9_12)}, //95
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_23,  NV_FIELD_SHIFTMASK(EMC_MRW9_0_31_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_23_0_EMC_MRW9_0_CH10_31_0_RANGE) - NV_FIELD_SHIFT(EMC_MRW9_0_31_0_RANGE)), m_offsetof(NvBootSdramParams, EmcMrw9_10)}, //96
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_24,  NV_FIELD_SHIFTMASK(EMC_MRW9_0_31_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_24_0_EMC_MRW9_0_CH8_31_0_RANGE) - NV_FIELD_SHIFT(EMC_MRW9_0_31_0_RANGE)), m_offsetof(NvBootSdramParams, EmcMrw9_8)}, //97
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_25,  NV_FIELD_SHIFTMASK(EMC_MRW9_0_31_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_25_0_EMC_MRW9_0_CH4_31_0_RANGE) - NV_FIELD_SHIFT(EMC_MRW9_0_31_0_RANGE)), m_offsetof(NvBootSdramParams, EmcMrw9_4)}, //98
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_26,  NV_FIELD_SHIFTMASK(EMC_MRW9_0_31_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_26_0_EMC_MRW9_0_CH0_31_0_RANGE) - NV_FIELD_SHIFT(EMC_MRW9_0_31_0_RANGE)), m_offsetof(NvBootSdramParams, EmcMrw9_0)}, //99
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_27,  NV_FIELD_SHIFTMASK(EMC_MRW9_0_31_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_27_0_EMC_MRW9_0_CH2_31_0_RANGE) - NV_FIELD_SHIFT(EMC_MRW9_0_31_0_RANGE)), m_offsetof(NvBootSdramParams, EmcMrw9_2)}, //100
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_28,  NV_FIELD_SHIFTMASK(EMC_AUTO_CAL_CONFIG_0_31_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_28_0_EMC_AUTO_CAL_CONFIG_0_31_0_RANGE) - NV_FIELD_SHIFT(EMC_AUTO_CAL_CONFIG_0_31_0_RANGE)), m_offsetof(NvBootSdramParams, EmcAutoCalConfig)}, //101
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_29,  NV_FIELD_SHIFTMASK(EMC_AUTO_CAL_VREF_SEL_0_0_31_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_29_0_EMC_AUTO_CAL_VREF_SEL_0_0_31_0_RANGE) - NV_FIELD_SHIFT(EMC_AUTO_CAL_VREF_SEL_0_0_31_0_RANGE)), m_offsetof(NvBootSdramParams, EmcAutoCalVrefSel0)}, //102
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_30,  NV_FIELD_SHIFTMASK(EMC_PMACRO_BRICK_CTRL_RFU1_0_31_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_30_0_EMC_PMACRO_BRICK_CTRL_RFU1_0_31_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_BRICK_CTRL_RFU1_0_31_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroBrickCtrlRfu1)}, //103
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_31,  NV_FIELD_SHIFTMASK(EMC_PMACRO_BRICK_CTRL_RFU2_0_31_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_31_0_EMC_PMACRO_BRICK_CTRL_RFU2_0_31_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_BRICK_CTRL_RFU2_0_31_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroBrickCtrlRfu2)}, //104
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_32,  NV_FIELD_SHIFTMASK(EMC_PMC_SCRATCH1_0_SCRATCH1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_32_0_EMC_PMC_SCRATCH1_0_CH4_SCRATCH1_RANGE) - NV_FIELD_SHIFT(EMC_PMC_SCRATCH1_0_SCRATCH1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmcScratch1_4)}, //105
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_33,  NV_FIELD_SHIFTMASK(EMC_PMC_SCRATCH1_0_SCRATCH1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_33_0_EMC_PMC_SCRATCH1_0_CH0_SCRATCH1_RANGE) - NV_FIELD_SHIFT(EMC_PMC_SCRATCH1_0_SCRATCH1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmcScratch1_0)}, //106
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_34,  NV_FIELD_SHIFTMASK(EMC_PMC_SCRATCH1_0_SCRATCH1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_34_0_EMC_PMC_SCRATCH1_0_CH8_SCRATCH1_RANGE) - NV_FIELD_SHIFT(EMC_PMC_SCRATCH1_0_SCRATCH1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmcScratch1_8)}, //107
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_35,  NV_FIELD_SHIFTMASK(EMC_PMC_SCRATCH1_0_SCRATCH1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_35_0_EMC_PMC_SCRATCH1_0_CH12_SCRATCH1_RANGE) - NV_FIELD_SHIFT(EMC_PMC_SCRATCH1_0_SCRATCH1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmcScratch1_12)}, //108
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_36,  NV_FIELD_SHIFTMASK(EMC_PMC_SCRATCH2_0_SCRATCH2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_36_0_EMC_PMC_SCRATCH2_0_CH12_SCRATCH2_RANGE) - NV_FIELD_SHIFT(EMC_PMC_SCRATCH2_0_SCRATCH2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmcScratch2_12)}, //109
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_37,  NV_FIELD_SHIFTMASK(EMC_PMC_SCRATCH2_0_SCRATCH2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_37_0_EMC_PMC_SCRATCH2_0_CH8_SCRATCH2_RANGE) - NV_FIELD_SHIFT(EMC_PMC_SCRATCH2_0_SCRATCH2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmcScratch2_8)}, //110
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_38,  NV_FIELD_SHIFTMASK(EMC_PMC_SCRATCH2_0_SCRATCH2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_38_0_EMC_PMC_SCRATCH2_0_CH0_SCRATCH2_RANGE) - NV_FIELD_SHIFT(EMC_PMC_SCRATCH2_0_SCRATCH2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmcScratch2_0)}, //111
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_39,  NV_FIELD_SHIFTMASK(EMC_PMC_SCRATCH2_0_SCRATCH2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_39_0_EMC_PMC_SCRATCH2_0_CH4_SCRATCH2_RANGE) - NV_FIELD_SHIFT(EMC_PMC_SCRATCH2_0_SCRATCH2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmcScratch2_4)}, //112
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_40,  NV_FIELD_SHIFTMASK(EMC_PMC_SCRATCH3_0_SCRATCH3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_40_0_EMC_PMC_SCRATCH3_0_CH0_SCRATCH3_RANGE) - NV_FIELD_SHIFT(EMC_PMC_SCRATCH3_0_SCRATCH3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmcScratch3_0)}, //113
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_41,  NV_FIELD_SHIFTMASK(EMC_PMC_SCRATCH3_0_SCRATCH3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_41_0_EMC_PMC_SCRATCH3_0_CH4_SCRATCH3_RANGE) - NV_FIELD_SHIFT(EMC_PMC_SCRATCH3_0_SCRATCH3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmcScratch3_4)}, //114
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_42,  NV_FIELD_SHIFTMASK(EMC_PMC_SCRATCH3_0_SCRATCH3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_42_0_EMC_PMC_SCRATCH3_0_CH8_SCRATCH3_RANGE) - NV_FIELD_SHIFT(EMC_PMC_SCRATCH3_0_SCRATCH3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmcScratch3_8)}, //115
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_43,  NV_FIELD_SHIFTMASK(EMC_PMC_SCRATCH3_0_SCRATCH3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_43_0_EMC_PMC_SCRATCH3_0_CH12_SCRATCH3_RANGE) - NV_FIELD_SHIFT(EMC_PMC_SCRATCH3_0_SCRATCH3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmcScratch3_12)}, //116
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_44,  NV_FIELD_SHIFTMASK(EMC_PMACRO_PERBIT_FGCG_CTRL_0_0_31_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_44_0_EMC_PMACRO_PERBIT_FGCG_CTRL_0_0_31_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_PERBIT_FGCG_CTRL_0_0_31_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroPerbitFgcgCtrl0)}, //117
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_45,  NV_FIELD_SHIFTMASK(EMC_PMACRO_PERBIT_FGCG_CTRL_1_0_31_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_45_0_EMC_PMACRO_PERBIT_FGCG_CTRL_1_0_31_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_PERBIT_FGCG_CTRL_1_0_31_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroPerbitFgcgCtrl1)}, //118
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_46,  NV_FIELD_SHIFTMASK(EMC_PMACRO_PERBIT_FGCG_CTRL_4_0_31_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_46_0_EMC_PMACRO_PERBIT_FGCG_CTRL_4_0_31_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_PERBIT_FGCG_CTRL_4_0_31_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroPerbitFgcgCtrl4)}, //119
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_47,  NV_FIELD_SHIFTMASK(EMC_PMACRO_PERBIT_RFU_CTRL_0_0_31_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_47_0_EMC_PMACRO_PERBIT_RFU_CTRL_0_0_31_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_PERBIT_RFU_CTRL_0_0_31_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroPerbitRfuCtrl0)}, //120
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_48,  NV_FIELD_SHIFTMASK(EMC_PMACRO_PERBIT_RFU_CTRL_1_0_31_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_48_0_EMC_PMACRO_PERBIT_RFU_CTRL_1_0_31_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_PERBIT_RFU_CTRL_1_0_31_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroPerbitRfuCtrl1)}, //121
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_49,  NV_FIELD_SHIFTMASK(EMC_PMACRO_PERBIT_RFU_CTRL_4_0_31_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_49_0_EMC_PMACRO_PERBIT_RFU_CTRL_4_0_31_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_PERBIT_RFU_CTRL_4_0_31_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroPerbitRfuCtrl4)}, //122
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_50,  NV_FIELD_SHIFTMASK(MC_MCF_IREQX_SRC_WEIGHT_0_0_31_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_50_0_MC_MCF_IREQX_SRC_WEIGHT_0_0_31_0_RANGE) - NV_FIELD_SHIFT(MC_MCF_IREQX_SRC_WEIGHT_0_0_31_0_RANGE)), m_offsetof(NvBootSdramParams, McMcfIreqxSrcWeight0)}, //123
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_51,  NV_FIELD_SHIFTMASK(MC_MSS_SBS_VC_LIMIT_0_31_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_51_0_MC_MSS_SBS_VC_LIMIT_0_31_0_RANGE) - NV_FIELD_SHIFT(MC_MSS_SBS_VC_LIMIT_0_31_0_RANGE)), m_offsetof(NvBootSdramParams, McMssSbsVcLimit)}, //124
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_52,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_DA_TURNS_0_31_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_52_0_MC_EMEM_ARB_DA_TURNS_0_31_0_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_DA_TURNS_0_31_0_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbDaTurns)}, //125
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_53,  NV_FIELD_SHIFTMASK(MC_CLKEN_OVERRIDE_0_31_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_53_0_MC_CLKEN_OVERRIDE_0_31_0_RANGE) - NV_FIELD_SHIFT(MC_CLKEN_OVERRIDE_0_31_0_RANGE)), m_offsetof(NvBootSdramParams, McClkenOverride)}, //126
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_54,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_31_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_54_0_MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_31_0_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_NISO_THROTTLE_MASK_2_0_31_0_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbNisoThrottleMask2)}, //127
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_55,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_55_0_EMC_BCT_SPARE_13_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_55_0_EMC_BCT_SPARE_13_RANGE), m_offsetof(NvBootSdramParams, EmcBctSpare13)}, //128
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_56,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_56_0_EMC_BCT_SPARE_12_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_56_0_EMC_BCT_SPARE_12_RANGE), m_offsetof(NvBootSdramParams, EmcBctSpare12)}, //129
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_57,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_57_0_PLLM_STABLE_ALIAS_0_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_57_0_PLLM_STABLE_ALIAS_0_RANGE), m_offsetof(NvBootSdramParams, PllMStableTime)}, //130
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_58,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_58_0_EMC_BCT_SPARE_7_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_58_0_EMC_BCT_SPARE_7_RANGE), m_offsetof(NvBootSdramParams, EmcBctSpare7)}, //131
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_59,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_59_0_EMC_BCT_SPARE_6_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_59_0_EMC_BCT_SPARE_6_RANGE), m_offsetof(NvBootSdramParams, EmcBctSpare6)}, //132
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_60,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_60_0_EMC_BCT_SPARE_5_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_60_0_EMC_BCT_SPARE_5_RANGE), m_offsetof(NvBootSdramParams, EmcBctSpare5)}, //133
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_61,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_61_0_EMC_BCT_SPARE_4_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_61_0_EMC_BCT_SPARE_4_RANGE), m_offsetof(NvBootSdramParams, EmcBctSpare4)}, //134
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_62,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_62_0_EMC_BCT_SPARE_3_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_62_0_EMC_BCT_SPARE_3_RANGE), m_offsetof(NvBootSdramParams, EmcBctSpare3)}, //135
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_63,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_63_0_EMC_BCT_SPARE_0_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_63_0_EMC_BCT_SPARE_0_RANGE), m_offsetof(NvBootSdramParams, EmcBctSpare0)}, //136
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_64,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_64_0_EMC_BCT_SPARE_1_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_64_0_EMC_BCT_SPARE_1_RANGE), m_offsetof(NvBootSdramParams, EmcBctSpare1)}, //137
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_65,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_65_0_EMC_BCT_SPARE_9_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_65_0_EMC_BCT_SPARE_9_RANGE), m_offsetof(NvBootSdramParams, EmcBctSpare9)}, //138
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_66,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_66_0_EMC_BCT_SPARE_2_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_66_0_EMC_BCT_SPARE_2_RANGE), m_offsetof(NvBootSdramParams, EmcBctSpare2)}, //139
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_67,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_67_0_BOOT_ROM_PATCH_DATA_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_67_0_BOOT_ROM_PATCH_DATA_RANGE), m_offsetof(NvBootSdramParams, BootRomPatchData)}, //140
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_68,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_68_0_MEMORY_IO_VOLTAGE_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_68_0_MEMORY_IO_VOLTAGE_RANGE), m_offsetof(NvBootSdramParams, MemIoVoltage)}, //141
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_69,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_69_0_BOOT_ROM_PATCH_CONTROL_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_69_0_BOOT_ROM_PATCH_CONTROL_RANGE), m_offsetof(NvBootSdramParams, BootRomPatchControl)}, //142
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_70,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_70_0_EMC_BCT_SPARE_8_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_70_0_EMC_BCT_SPARE_8_RANGE), m_offsetof(NvBootSdramParams, EmcBctSpare8)}, //143
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_71,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE0_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_71_0_EMC_SWIZZLE_RANK0_BYTE0_0_CH6_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE0_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte0_6)}, //144
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_71,  NV_FIELD_SHIFTMASK(EMC_FDPD_CTRL_CMD_NO_RAMP_0_CMD_DPD_NO_RAMP_ENABLE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_71_0_EMC_FDPD_CTRL_CMD_NO_RAMP_0_CMD_DPD_NO_RAMP_ENABLE_RANGE) - NV_FIELD_SHIFT(EMC_FDPD_CTRL_CMD_NO_RAMP_0_CMD_DPD_NO_RAMP_ENABLE_RANGE)), m_offsetof(NvBootSdramParams, EmcFdpdCtrlCmdNoRamp)}, //145
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_72,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE0_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_72_0_EMC_SWIZZLE_RANK0_BYTE0_0_CH4_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE0_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte0_4)}, //146
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_72,  NV_FIELD_SHIFTMASK(EMC_CFG_PIPE_CLK_0_PIPE_CLK_ENABLE_OVERRIDE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_72_0_EMC_CFG_PIPE_CLK_0_PIPE_CLK_ENABLE_OVERRIDE_RANGE) - NV_FIELD_SHIFT(EMC_CFG_PIPE_CLK_0_PIPE_CLK_ENABLE_OVERRIDE_RANGE)), m_offsetof(NvBootSdramParams, EmcCfgPipeClk)}, //147
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_73,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE0_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_73_0_EMC_SWIZZLE_RANK0_BYTE0_0_CH2_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE0_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte0_2)}, //148
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_73,  NV_FIELD_SHIFTMASK(MC_HUB_CLKEN_OVERRIDE_0_HUB2MCF_CLKEN_OVR_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_73_0_MC_HUB_CLKEN_OVERRIDE_0_HUB2MCF_CLKEN_OVR_RANGE) - NV_FIELD_SHIFT(MC_HUB_CLKEN_OVERRIDE_0_HUB2MCF_CLKEN_OVR_RANGE)), m_offsetof(NvBootSdramParams, McHubClkenOverride)}, //149
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_74,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE0_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_74_0_EMC_SWIZZLE_RANK0_BYTE0_0_CH0_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE0_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte0_0)}, //150
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_74,  NV_FIELD_SHIFTMASK(MC_DA_CONFIG0_0_NEW_ARB_SCHEME_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_74_0_MC_DA_CONFIG0_0_NEW_ARB_SCHEME_RANGE) - NV_FIELD_SHIFT(MC_DA_CONFIG0_0_NEW_ARB_SCHEME_RANGE)), m_offsetof(NvBootSdramParams, McDaCfg0)}, //151
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_75,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE0_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_75_0_EMC_SWIZZLE_RANK0_BYTE0_0_CH8_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE0_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte0_8)}, //152
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_75,  NV_FIELD_SHIFTMASK(MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0_SINGLE_ARB_ENABLE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_75_0_MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0_SINGLE_ARB_ENABLE_RANGE) - NV_FIELD_SHIFT(MC_CONFIG_TSA_SINGLE_ARB_ENABLE_0_SINGLE_ARB_ENABLE_RANGE)), m_offsetof(NvBootSdramParams, McConfigTsaSingleArbEnable)}, //153
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_76,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE0_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_76_0_EMC_SWIZZLE_RANK0_BYTE0_0_CH14_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE0_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte0_14)}, //154
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_77,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE0_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_77_0_EMC_SWIZZLE_RANK0_BYTE0_0_CH10_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE0_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte0_10)}, //155
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_78,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE0_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_78_0_EMC_SWIZZLE_RANK0_BYTE0_0_CH12_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE0_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte0_12)}, //156
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_79,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE1_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_79_0_EMC_SWIZZLE_RANK0_BYTE1_0_CH14_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE1_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte1_14)}, //157
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_80,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE1_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_80_0_EMC_SWIZZLE_RANK0_BYTE1_0_CH12_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE1_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte1_12)}, //158
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_81,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE1_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_81_0_EMC_SWIZZLE_RANK0_BYTE1_0_CH10_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE1_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte1_10)}, //159
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_82,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE1_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_82_0_EMC_SWIZZLE_RANK0_BYTE1_0_CH8_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE1_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte1_8)}, //160
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_83,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE1_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_83_0_EMC_SWIZZLE_RANK0_BYTE1_0_CH6_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE1_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte1_6)}, //161
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_84,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE1_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_84_0_EMC_SWIZZLE_RANK0_BYTE1_0_CH2_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE1_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte1_2)}, //162
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_85,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE1_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_85_0_EMC_SWIZZLE_RANK0_BYTE1_0_CH0_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE1_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte1_0)}, //163
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_86,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE1_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_86_0_EMC_SWIZZLE_RANK0_BYTE1_0_CH4_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE1_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte1_4)}, //164
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_87,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE2_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_87_0_EMC_SWIZZLE_RANK0_BYTE2_0_CH12_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE2_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte2_12)}, //165
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_88,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE2_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_88_0_EMC_SWIZZLE_RANK0_BYTE2_0_CH10_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE2_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte2_10)}, //166
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_89,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE2_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_89_0_EMC_SWIZZLE_RANK0_BYTE2_0_CH8_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE2_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte2_8)}, //167
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_90,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE2_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_90_0_EMC_SWIZZLE_RANK0_BYTE2_0_CH0_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE2_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte2_0)}, //168
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_91,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE2_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_91_0_EMC_SWIZZLE_RANK0_BYTE2_0_CH2_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE2_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte2_2)}, //169
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_92,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE2_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_92_0_EMC_SWIZZLE_RANK0_BYTE2_0_CH4_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE2_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte2_4)}, //170
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_93,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE2_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_93_0_EMC_SWIZZLE_RANK0_BYTE2_0_CH6_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE2_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte2_6)}, //171
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_94,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE2_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_94_0_EMC_SWIZZLE_RANK0_BYTE2_0_CH14_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE2_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte2_14)}, //172
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_95,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE3_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_95_0_EMC_SWIZZLE_RANK0_BYTE3_0_CH14_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE3_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte3_14)}, //173
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_96,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE3_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_96_0_EMC_SWIZZLE_RANK0_BYTE3_0_CH10_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE3_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte3_10)}, //174
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_97,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE3_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_97_0_EMC_SWIZZLE_RANK0_BYTE3_0_CH12_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE3_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte3_12)}, //175
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_98,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE3_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_98_0_EMC_SWIZZLE_RANK0_BYTE3_0_CH0_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE3_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte3_0)}, //176
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_99,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE3_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_99_0_EMC_SWIZZLE_RANK0_BYTE3_0_CH2_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE3_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte3_2)}, //177
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_100,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE3_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_100_0_EMC_SWIZZLE_RANK0_BYTE3_0_CH8_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE3_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte3_8)}, //178
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_101,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE3_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_101_0_EMC_SWIZZLE_RANK0_BYTE3_0_CH4_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE3_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte3_4)}, //179
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_102,  NV_FIELD_SHIFTMASK(EMC_SWIZZLE_RANK0_BYTE3_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_102_0_EMC_SWIZZLE_RANK0_BYTE3_0_CH6_30_0_RANGE) - NV_FIELD_SHIFT(EMC_SWIZZLE_RANK0_BYTE3_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcSwizzleRank0Byte3_6)}, //180
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_103,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_PWRD_0_0_31_1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_103_0_EMC_PMACRO_DDLL_PWRD_0_0_31_1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_PWRD_0_0_31_1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllPwrd0)}, //181
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_104,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_SHORT_CMD_0_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_104_0_EMC_PMACRO_DDLL_SHORT_CMD_0_0_30_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_SHORT_CMD_0_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllShortCmd_0)}, //182
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_105,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_SHORT_CMD_1_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_105_0_EMC_PMACRO_DDLL_SHORT_CMD_1_0_30_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_SHORT_CMD_1_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllShortCmd_1)}, //183
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_106,  NV_FIELD_SHIFTMASK(EMC_PMACRO_CMD_PAD_TX_CTRL_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_106_0_EMC_PMACRO_CMD_PAD_TX_CTRL_0_30_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_CMD_PAD_TX_CTRL_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroCmdPadTxCtrl)}, //184
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_107,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DATA_PAD_TX_CTRL_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_107_0_EMC_PMACRO_DATA_PAD_TX_CTRL_0_30_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DATA_PAD_TX_CTRL_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDataPadTxCtrl)}, //185
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_108,  NV_FIELD_SHIFTMASK(MC_CIFLL_REQ_MT_FIFO_CREDITS_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_108_0_MC_CIFLL_REQ_MT_FIFO_CREDITS_0_30_0_RANGE) - NV_FIELD_SHIFT(MC_CIFLL_REQ_MT_FIFO_CREDITS_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, McCifllReqWrlimit)}, //186
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_109,  NV_FIELD_SHIFTMASK(MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_30_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_109_0_MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_30_0_RANGE) - NV_FIELD_SHIFT(MC_CIFLL_WRDAT_MT_FIFO_CREDITS_0_30_0_RANGE)), m_offsetof(NvBootSdramParams, McCifllWrdatWrlimit)}, //187
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_110,  NV_FIELD_SHIFTMASK(EMC_PMACRO_RX_TERM_0_29_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_110_0_EMC_PMACRO_RX_TERM_0_29_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_RX_TERM_0_29_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroRxTerm)}, //188
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_110,  NV_FIELD_SHIFTMASK(EMC_PMACRO_BG_BIAS_CTRL_0_0_XM2COMP_BG_ILVL_CTRL_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_110_0_EMC_PMACRO_BG_BIAS_CTRL_0_0_XM2COMP_BG_ILVL_CTRL_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_BG_BIAS_CTRL_0_0_XM2COMP_BG_ILVL_CTRL_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroBgBiasCtrl0)}, //189
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_111,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DQ_TX_DRV_0_29_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_111_0_EMC_PMACRO_DQ_TX_DRV_0_29_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DQ_TX_DRV_0_29_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDqTxDrv)}, //190
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_111,  NV_FIELD_SHIFTMASK(MC_MSS_SBS_ARB_0_1_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_111_0_MC_MSS_SBS_ARB_0_1_0_RANGE) - NV_FIELD_SHIFT(MC_MSS_SBS_ARB_0_1_0_RANGE)), m_offsetof(NvBootSdramParams, McMssSbsArb)}, //191
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_112,  NV_FIELD_SHIFTMASK(EMC_PMACRO_CA_TX_DRV_0_29_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_112_0_EMC_PMACRO_CA_TX_DRV_0_29_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_CA_TX_DRV_0_29_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroCaTxDrv)}, //192
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_112,  NV_FIELD_SHIFTMASK(MC_CLKEN_A1_OVERRIDE_0_1_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_112_0_MC_CLKEN_A1_OVERRIDE_0_1_0_RANGE) - NV_FIELD_SHIFT(MC_CLKEN_A1_OVERRIDE_0_1_0_RANGE)), m_offsetof(NvBootSdramParams, McClkenA1Override)}, //193
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_113,  NV_FIELD_SHIFTMASK(EMC_CFG_2_0_16_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_113_0_EMC_CFG_2_0_16_0_RANGE) - NV_FIELD_SHIFT(EMC_CFG_2_0_16_0_RANGE)), m_offsetof(NvBootSdramParams, EmcCfg2)}, //194
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_113,  NV_FIELD_SHIFTMASK(EMC_CFG_2_0_31_20_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_113_0_EMC_CFG_2_0_31_20_RANGE) - NV_FIELD_SHIFT(EMC_CFG_2_0_31_20_RANGE)), m_offsetof(NvBootSdramParams, EmcCfg2)}, //195
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_113,  NV_FIELD_SHIFTMASK(MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_113_0_MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_RANGE) - NV_FIELD_SHIFT(MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_RANGE)), m_offsetof(NvBootSdramParams, McMcfOreqxStatControl)}, //196
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_113,  NV_FIELD_SHIFTMASK(MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_OVERRIDE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_113_0_MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_OVERRIDE_RANGE) - NV_FIELD_SHIFT(MC_MCF_OREQX_STAT_CONTROL_0_OREQX_STAT_GATHER_OVERRIDE_RANGE)), m_offsetof(NvBootSdramParams, McMcfOreqxStatControl)}, //197
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_114,  NV_FIELD_SHIFTMASK(EMC_CFG_DIG_DLL_0_10_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_114_0_EMC_CFG_DIG_DLL_0_10_0_RANGE) - NV_FIELD_SHIFT(EMC_CFG_DIG_DLL_0_10_0_RANGE)), m_offsetof(NvBootSdramParams, EmcCfgDigDll)}, //198
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_114,  NV_FIELD_SHIFTMASK(EMC_CFG_DIG_DLL_0_31_14_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_114_0_EMC_CFG_DIG_DLL_0_31_14_RANGE) - NV_FIELD_SHIFT(EMC_CFG_DIG_DLL_0_31_14_RANGE)), m_offsetof(NvBootSdramParams, EmcCfgDigDll)}, //199
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_114,  NV_FIELD_SHIFTMASK(MC_MSS_SBS_CLKEN_OVERRIDE_0_2_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_114_0_MC_MSS_SBS_CLKEN_OVERRIDE_0_2_0_RANGE) - NV_FIELD_SHIFT(MC_MSS_SBS_CLKEN_OVERRIDE_0_2_0_RANGE)), m_offsetof(NvBootSdramParams, McMssSbsClkenOverride)}, //200
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_115,  NV_FIELD_SHIFTMASK(EMC_FDPD_CTRL_DQ_0_16_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_115_0_EMC_FDPD_CTRL_DQ_0_16_0_RANGE) - NV_FIELD_SHIFT(EMC_FDPD_CTRL_DQ_0_16_0_RANGE)), m_offsetof(NvBootSdramParams, EmcFdpdCtrlDq)}, //201
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_115,  NV_FIELD_SHIFTMASK(EMC_FDPD_CTRL_DQ_0_31_20_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_115_0_EMC_FDPD_CTRL_DQ_0_31_20_RANGE) - NV_FIELD_SHIFT(EMC_FDPD_CTRL_DQ_0_31_20_RANGE)), m_offsetof(NvBootSdramParams, EmcFdpdCtrlDq)}, //202
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_116,  NV_FIELD_SHIFTMASK(EMC_FDPD_CTRL_CMD_0_16_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_116_0_EMC_FDPD_CTRL_CMD_0_16_0_RANGE) - NV_FIELD_SHIFT(EMC_FDPD_CTRL_CMD_0_16_0_RANGE)), m_offsetof(NvBootSdramParams, EmcFdpdCtrlCmd)}, //203
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_116,  NV_FIELD_SHIFTMASK(EMC_FDPD_CTRL_CMD_0_31_20_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_116_0_EMC_FDPD_CTRL_CMD_0_31_20_RANGE) - NV_FIELD_SHIFT(EMC_FDPD_CTRL_CMD_0_31_20_RANGE)), m_offsetof(NvBootSdramParams, EmcFdpdCtrlCmd)}, //204
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_117,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_REFPB_HP_CTRL_0_28_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_117_0_MC_EMEM_ARB_REFPB_HP_CTRL_0_28_0_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_REFPB_HP_CTRL_0_28_0_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbRefpbHpCtrl)}, //205
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_118,  NV_FIELD_SHIFTMASK(EMC_FBIO_CFG5_0_15_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_118_0_EMC_FBIO_CFG5_0_15_0_RANGE) - NV_FIELD_SHIFT(EMC_FBIO_CFG5_0_15_0_RANGE)), m_offsetof(NvBootSdramParams, EmcFbioCfg5)}, //206
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_118,  NV_FIELD_SHIFTMASK(EMC_FBIO_CFG5_0_31_20_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_118_0_EMC_FBIO_CFG5_0_31_20_RANGE) - NV_FIELD_SHIFT(EMC_FBIO_CFG5_0_31_20_RANGE)), m_offsetof(NvBootSdramParams, EmcFbioCfg5)}, //207
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_118,  NV_FIELD_SHIFTMASK(EMC_BURST_REFRESH_NUM_0_BURST_REFRESH_NUM_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_118_0_EMC_BURST_REFRESH_NUM_0_BURST_REFRESH_NUM_RANGE) - NV_FIELD_SHIFT(EMC_BURST_REFRESH_NUM_0_BURST_REFRESH_NUM_RANGE)), m_offsetof(NvBootSdramParams, EmcBurstRefreshNum)}, //208
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_119,  NV_FIELD_SHIFTMASK(EMC_AUTO_CAL_CONFIG2_0_27_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_119_0_EMC_AUTO_CAL_CONFIG2_0_27_0_RANGE) - NV_FIELD_SHIFT(EMC_AUTO_CAL_CONFIG2_0_27_0_RANGE)), m_offsetof(NvBootSdramParams, EmcAutoCalConfig2)}, //209
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_119,  NV_FIELD_SHIFTMASK(EMC_TPPD_0_TPPD_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_119_0_EMC_TPPD_0_TPPD_RANGE) - NV_FIELD_SHIFT(EMC_TPPD_0_TPPD_RANGE)), m_offsetof(NvBootSdramParams, EmcTppd)}, //210
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_120,  NV_FIELD_SHIFTMASK(EMC_AUTO_CAL_VREF_SEL_1_0_15_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_120_0_EMC_AUTO_CAL_VREF_SEL_1_0_15_0_RANGE) - NV_FIELD_SHIFT(EMC_AUTO_CAL_VREF_SEL_1_0_15_0_RANGE)), m_offsetof(NvBootSdramParams, EmcAutoCalVrefSel1)}, //211
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_120,  NV_FIELD_SHIFTMASK(EMC_AUTO_CAL_VREF_SEL_1_0_31_20_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_120_0_EMC_AUTO_CAL_VREF_SEL_1_0_31_20_RANGE) - NV_FIELD_SHIFT(EMC_AUTO_CAL_VREF_SEL_1_0_31_20_RANGE)), m_offsetof(NvBootSdramParams, EmcAutoCalVrefSel1)}, //212
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_120,  NV_FIELD_SHIFTMASK(EMC_R2R_0_R2R_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_120_0_EMC_R2R_0_R2R_RANGE) - NV_FIELD_SHIFT(EMC_R2R_0_R2R_RANGE)), m_offsetof(NvBootSdramParams, EmcR2r)}, //213
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_121,  NV_FIELD_SHIFTMASK(EMC_AUTO_CAL_CHANNEL_0_11_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_121_0_EMC_AUTO_CAL_CHANNEL_0_11_0_RANGE) - NV_FIELD_SHIFT(EMC_AUTO_CAL_CHANNEL_0_11_0_RANGE)), m_offsetof(NvBootSdramParams, EmcAutoCalChannel)}, //214
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_121,  NV_FIELD_SHIFTMASK(EMC_AUTO_CAL_CHANNEL_0_31_16_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_121_0_EMC_AUTO_CAL_CHANNEL_0_31_16_RANGE) - NV_FIELD_SHIFT(EMC_AUTO_CAL_CHANNEL_0_31_16_RANGE)), m_offsetof(NvBootSdramParams, EmcAutoCalChannel)}, //215
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_121,  NV_FIELD_SHIFTMASK(EMC_W2W_0_W2W_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_121_0_EMC_W2W_0_W2W_RANGE) - NV_FIELD_SHIFT(EMC_W2W_0_W2W_RANGE)), m_offsetof(NvBootSdramParams, EmcW2w)}, //216
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_122,  NV_FIELD_SHIFTMASK(EMC_XM2COMPPADCTRL_0_XM2COMP_VTTCDB_VDDA_LOAD_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_122_0_EMC_XM2COMPPADCTRL_0_XM2COMP_VTTCDB_VDDA_LOAD_RANGE) - NV_FIELD_SHIFT(EMC_XM2COMPPADCTRL_0_XM2COMP_VTTCDB_VDDA_LOAD_RANGE)), m_offsetof(NvBootSdramParams, EmcXm2CompPadCtrl)}, //217
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_122,  NV_FIELD_SHIFTMASK(EMC_XM2COMPPADCTRL_0_19_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_122_0_EMC_XM2COMPPADCTRL_0_19_0_RANGE) - NV_FIELD_SHIFT(EMC_XM2COMPPADCTRL_0_19_0_RANGE)), m_offsetof(NvBootSdramParams, EmcXm2CompPadCtrl)}, //218
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_122,  NV_FIELD_SHIFTMASK(MC_MCF_IREQX_SRC_WEIGHT_1_0_IREQX_SRC8_WEIGHT_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_122_0_MC_MCF_IREQX_SRC_WEIGHT_1_0_IREQX_SRC8_WEIGHT_RANGE) - NV_FIELD_SHIFT(MC_MCF_IREQX_SRC_WEIGHT_1_0_IREQX_SRC8_WEIGHT_RANGE)), m_offsetof(NvBootSdramParams, McMcfIreqxSrcWeight1)}, //219
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_123,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_PERIODIC_OFFSET_0_16_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_123_0_EMC_PMACRO_DDLL_PERIODIC_OFFSET_0_16_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_PERIODIC_OFFSET_0_16_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllPeriodicOffset)}, //220
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_123,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_PERIODIC_OFFSET_0_30_20_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_123_0_EMC_PMACRO_DDLL_PERIODIC_OFFSET_0_30_20_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_PERIODIC_OFFSET_0_30_20_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllPeriodicOffset)}, //221
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_123,  NV_FIELD_SHIFTMASK(MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_3_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_123_0_MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_3_0_RANGE) - NV_FIELD_SHIFT(MC_MSS_SYSRAM_CLKEN_OVERRIDE_0_3_0_RANGE)), m_offsetof(NvBootSdramParams, McMssSysramClkenOverride)}, //222
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_124,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_DA_HYSTERESIS_0_15_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_124_0_MC_EMEM_ARB_DA_HYSTERESIS_0_15_0_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_DA_HYSTERESIS_0_15_0_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbDaHysteresis)}, //223
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_124,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_DA_HYSTERESIS_0_31_20_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_124_0_MC_EMEM_ARB_DA_HYSTERESIS_0_31_20_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_DA_HYSTERESIS_0_31_20_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbDaHysteresis)}, //224
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_125,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_MISC3_0_23_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_125_0_MC_EMEM_ARB_MISC3_0_23_0_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_MISC3_0_23_0_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbMisc3)}, //225
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_125,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_MISC3_0_31_28_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_125_0_MC_EMEM_ARB_MISC3_0_31_28_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_MISC3_0_31_28_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbMisc3)}, //226
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_126,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_MISC1_0_15_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_126_0_MC_EMEM_ARB_MISC1_0_15_0_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_MISC1_0_15_0_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbMisc1)}, //227
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_126,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_MISC1_0_31_21_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_126_0_MC_EMEM_ARB_MISC1_0_31_21_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_MISC1_0_31_21_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbMisc1)}, //228
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_126,  NV_FIELD_SHIFTMASK(EMC_RRD_0_RRD_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_126_0_EMC_RRD_0_RRD_RANGE) - NV_FIELD_SHIFT(EMC_RRD_0_RRD_RANGE)), m_offsetof(NvBootSdramParams, EmcRrd)}, //229
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_127,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DLL_CFG_0_0_29_4_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_127_0_EMC_PMACRO_DLL_CFG_0_0_29_4_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DLL_CFG_0_0_29_4_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDllCfg0)}, //230
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_127,  NV_FIELD_SHIFTMASK(EMC_RP_0_RP_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_127_0_EMC_RP_0_RP_RANGE) - NV_FIELD_SHIFT(EMC_RP_0_RP_RANGE)), m_offsetof(NvBootSdramParams, EmcRp)}, //231
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_128,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DLL_CFG_1_0_24_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_128_0_EMC_PMACRO_DLL_CFG_1_0_24_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DLL_CFG_1_0_24_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDllCfg1)}, //232
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_128,  NV_FIELD_SHIFTMASK(EMC_CONFIG_SAMPLE_DELAY_0_PMACRO_SAMPLE_DELAY_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_128_0_EMC_CONFIG_SAMPLE_DELAY_0_PMACRO_SAMPLE_DELAY_RANGE) - NV_FIELD_SHIFT(EMC_CONFIG_SAMPLE_DELAY_0_PMACRO_SAMPLE_DELAY_RANGE)), m_offsetof(NvBootSdramParams, EmcConfigSampleDelay)}, //233
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_129,  NV_FIELD_SHIFTMASK(EMC_AUTO_CAL_CONFIG3_0_23_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_129_0_EMC_AUTO_CAL_CONFIG3_0_23_0_RANGE) - NV_FIELD_SHIFT(EMC_AUTO_CAL_CONFIG3_0_23_0_RANGE)), m_offsetof(NvBootSdramParams, EmcAutoCalConfig3)}, //234
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_129,  NV_FIELD_SHIFTMASK(EMC_PMACRO_AUTOCAL_CFG_2_0_3_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_129_0_EMC_PMACRO_AUTOCAL_CFG_2_0_CH8_3_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_AUTOCAL_CFG_2_0_3_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroAutocalCfg2_8)}, //235
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_129,  NV_FIELD_SHIFTMASK(EMC_PMACRO_AUTOCAL_CFG_2_0_11_8_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_129_0_EMC_PMACRO_AUTOCAL_CFG_2_0_CH8_11_8_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_AUTOCAL_CFG_2_0_11_8_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroAutocalCfg2_8)}, //236
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_130,  NV_FIELD_SHIFTMASK(EMC_AUTO_CAL_CONFIG4_0_23_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_130_0_EMC_AUTO_CAL_CONFIG4_0_23_0_RANGE) - NV_FIELD_SHIFT(EMC_AUTO_CAL_CONFIG4_0_23_0_RANGE)), m_offsetof(NvBootSdramParams, EmcAutoCalConfig4)}, //237
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_130,  NV_FIELD_SHIFTMASK(EMC_PMACRO_AUTOCAL_CFG_2_0_3_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_130_0_EMC_PMACRO_AUTOCAL_CFG_2_0_CH0_3_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_AUTOCAL_CFG_2_0_3_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroAutocalCfg2_0)}, //238
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_130,  NV_FIELD_SHIFTMASK(EMC_PMACRO_AUTOCAL_CFG_2_0_11_8_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_130_0_EMC_PMACRO_AUTOCAL_CFG_2_0_CH0_11_8_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_AUTOCAL_CFG_2_0_11_8_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroAutocalCfg2_0)}, //239
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_131,  NV_FIELD_SHIFTMASK(EMC_AUTO_CAL_CONFIG5_0_23_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_131_0_EMC_AUTO_CAL_CONFIG5_0_23_0_RANGE) - NV_FIELD_SHIFT(EMC_AUTO_CAL_CONFIG5_0_23_0_RANGE)), m_offsetof(NvBootSdramParams, EmcAutoCalConfig5)}, //240
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_131,  NV_FIELD_SHIFTMASK(EMC_PMACRO_AUTOCAL_CFG_2_0_3_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_131_0_EMC_PMACRO_AUTOCAL_CFG_2_0_CH4_3_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_AUTOCAL_CFG_2_0_3_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroAutocalCfg2_4)}, //241
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_131,  NV_FIELD_SHIFTMASK(EMC_PMACRO_AUTOCAL_CFG_2_0_11_8_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_131_0_EMC_PMACRO_AUTOCAL_CFG_2_0_CH4_11_8_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_AUTOCAL_CFG_2_0_11_8_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroAutocalCfg2_4)}, //242
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_132,  NV_FIELD_SHIFTMASK(EMC_AUTO_CAL_CONFIG6_0_23_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_132_0_EMC_AUTO_CAL_CONFIG6_0_23_0_RANGE) - NV_FIELD_SHIFT(EMC_AUTO_CAL_CONFIG6_0_23_0_RANGE)), m_offsetof(NvBootSdramParams, EmcAutoCalConfig6)}, //243
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_132,  NV_FIELD_SHIFTMASK(EMC_RDV_MASK_0_RDV_MASK_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_132_0_EMC_RDV_MASK_0_RDV_MASK_RANGE) - NV_FIELD_SHIFT(EMC_RDV_MASK_0_RDV_MASK_RANGE)), m_offsetof(NvBootSdramParams, EmcRdvMask)}, //244
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_133,  NV_FIELD_SHIFTMASK(EMC_AUTO_CAL_CONFIG7_0_23_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_133_0_EMC_AUTO_CAL_CONFIG7_0_23_0_RANGE) - NV_FIELD_SHIFT(EMC_AUTO_CAL_CONFIG7_0_23_0_RANGE)), m_offsetof(NvBootSdramParams, EmcAutoCalConfig7)}, //245
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_133,  NV_FIELD_SHIFTMASK(EMC_RDV_EARLY_MASK_0_RDV_EARLY_MASK_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_133_0_EMC_RDV_EARLY_MASK_0_RDV_EARLY_MASK_RANGE) - NV_FIELD_SHIFT(EMC_RDV_EARLY_MASK_0_RDV_EARLY_MASK_RANGE)), m_offsetof(NvBootSdramParams, EmcRdvEarlyMask)}, //246
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_134,  NV_FIELD_SHIFTMASK(EMC_AUTO_CAL_CONFIG8_0_23_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_134_0_EMC_AUTO_CAL_CONFIG8_0_23_0_RANGE) - NV_FIELD_SHIFT(EMC_AUTO_CAL_CONFIG8_0_23_0_RANGE)), m_offsetof(NvBootSdramParams, EmcAutoCalConfig8)}, //247
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_134,  NV_FIELD_SHIFTMASK(EMC_RDV_EARLY_0_RDV_EARLY_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_134_0_EMC_RDV_EARLY_0_RDV_EARLY_RANGE) - NV_FIELD_SHIFT(EMC_RDV_EARLY_0_RDV_EARLY_RANGE)), m_offsetof(NvBootSdramParams, EmcRdvEarly)}, //248
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_135,  NV_FIELD_SHIFTMASK(EMC_PMACRO_ZCTRL_0_27_4_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_135_0_EMC_PMACRO_ZCTRL_0_27_4_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_ZCTRL_0_27_4_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroZctrl)}, //249
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_135,  NV_FIELD_SHIFTMASK(EMC_OBDLY_0_OBDLY_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_135_0_EMC_OBDLY_0_OBDLY_RANGE) - NV_FIELD_SHIFT(EMC_OBDLY_0_OBDLY_RANGE)), m_offsetof(NvBootSdramParams, EmcObdly)}, //250
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_135,  NV_FIELD_SHIFTMASK(EMC_OBDLY_0_OBDLY_MODE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_135_0_EMC_OBDLY_0_OBDLY_MODE_RANGE) - NV_FIELD_SHIFT(EMC_OBDLY_0_OBDLY_MODE_RANGE)), m_offsetof(NvBootSdramParams, EmcObdly)}, //251
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_136,  NV_FIELD_SHIFTMASK(EMC_XM2COMPPADCTRL2_0_5_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_136_0_EMC_XM2COMPPADCTRL2_0_5_0_RANGE) - NV_FIELD_SHIFT(EMC_XM2COMPPADCTRL2_0_5_0_RANGE)), m_offsetof(NvBootSdramParams, EmcXm2CompPadCtrl2)}, //252
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_136,  NV_FIELD_SHIFTMASK(EMC_XM2COMPPADCTRL2_0_29_12_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_136_0_EMC_XM2COMPPADCTRL2_0_29_12_RANGE) - NV_FIELD_SHIFT(EMC_XM2COMPPADCTRL2_0_29_12_RANGE)), m_offsetof(NvBootSdramParams, EmcXm2CompPadCtrl2)}, //253
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_136,  NV_FIELD_SHIFTMASK(EMC_PMACRO_VTTGEN_CTRL_1_0_VTT_VDDA_CTRL_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_136_0_EMC_PMACRO_VTTGEN_CTRL_1_0_VTT_VDDA_CTRL_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_VTTGEN_CTRL_1_0_VTT_VDDA_CTRL_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroVttgenCtrl1)}, //254
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_136,  NV_FIELD_SHIFTMASK(EMC_PMACRO_VTTGEN_CTRL_1_0_VTT_VDDA_WB_CTRL_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_136_0_EMC_PMACRO_VTTGEN_CTRL_1_0_VTT_VDDA_WB_CTRL_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_VTTGEN_CTRL_1_0_VTT_VDDA_WB_CTRL_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroVttgenCtrl1)}, //255
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_137,  NV_FIELD_SHIFTMASK(EMC_ZCAL_INTERVAL_0_23_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_137_0_EMC_ZCAL_INTERVAL_0_23_0_RANGE) - NV_FIELD_SHIFT(EMC_ZCAL_INTERVAL_0_23_0_RANGE)), m_offsetof(NvBootSdramParams, EmcZcalInterval)}, //256
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_137,  NV_FIELD_SHIFTMASK(EMC_PMACRO_VTTGEN_CTRL_2_0_VTT_VDDA_LOAD_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_137_0_EMC_PMACRO_VTTGEN_CTRL_2_0_VTT_VDDA_LOAD_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_VTTGEN_CTRL_2_0_VTT_VDDA_LOAD_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroVttgenCtrl2)}, //257
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_138,  NV_FIELD_SHIFTMASK(EMC_PMACRO_CMD_PAD_RX_CTRL_0_5_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_138_0_EMC_PMACRO_CMD_PAD_RX_CTRL_0_5_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_CMD_PAD_RX_CTRL_0_5_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroCmdPadRxCtrl)}, //258
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_138,  NV_FIELD_SHIFTMASK(EMC_PMACRO_CMD_PAD_RX_CTRL_0_29_12_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_138_0_EMC_PMACRO_CMD_PAD_RX_CTRL_0_29_12_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_CMD_PAD_RX_CTRL_0_29_12_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroCmdPadRxCtrl)}, //259
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_138,  NV_FIELD_SHIFTMASK(MC_MCF_SLICE_FL_NISO_LIMIT_0_FL_NISO_LIMIT_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_138_0_MC_MCF_SLICE_FL_NISO_LIMIT_0_FL_NISO_LIMIT_RANGE) - NV_FIELD_SHIFT(MC_MCF_SLICE_FL_NISO_LIMIT_0_FL_NISO_LIMIT_RANGE)), m_offsetof(NvBootSdramParams, McMcfSliceFlNisoLimit)}, //260
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_139,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DATA_PAD_RX_CTRL_0_5_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_139_0_EMC_PMACRO_DATA_PAD_RX_CTRL_0_5_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DATA_PAD_RX_CTRL_0_5_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDataPadRxCtrl)}, //261
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_139,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DATA_PAD_RX_CTRL_0_29_12_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_139_0_EMC_PMACRO_DATA_PAD_RX_CTRL_0_29_12_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DATA_PAD_RX_CTRL_0_29_12_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDataPadRxCtrl)}, //262
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_139,  NV_FIELD_SHIFTMASK(MC_MCF_SLICE_FL_SISO_LIMIT_0_FL_SISO_LIMIT_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_139_0_MC_MCF_SLICE_FL_SISO_LIMIT_0_FL_SISO_LIMIT_RANGE) - NV_FIELD_SHIFT(MC_MCF_SLICE_FL_SISO_LIMIT_0_FL_SISO_LIMIT_RANGE)), m_offsetof(NvBootSdramParams, McMcfSliceFlSisoLimit)}, //263
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_140,  NV_FIELD_SHIFTMASK(MC_MCF_IREQX_VCARB_CONFIG_0_23_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_140_0_MC_MCF_IREQX_VCARB_CONFIG_0_23_0_RANGE) - NV_FIELD_SHIFT(MC_MCF_IREQX_VCARB_CONFIG_0_23_0_RANGE)), m_offsetof(NvBootSdramParams, McMcfIreqxVcarbConfig)}, //264
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_140,  NV_FIELD_SHIFTMASK(MC_MCF_SLICE_FL_ISO_LIMIT_0_FL_ISO_LIMIT_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_140_0_MC_MCF_SLICE_FL_ISO_LIMIT_0_FL_ISO_LIMIT_RANGE) - NV_FIELD_SHIFT(MC_MCF_SLICE_FL_ISO_LIMIT_0_FL_ISO_LIMIT_RANGE)), m_offsetof(NvBootSdramParams, McMcfSliceFlIsoLimit)}, //265
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_141,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_DA_COVERS_0_23_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_141_0_MC_EMEM_ARB_DA_COVERS_0_23_0_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_DA_COVERS_0_23_0_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbDaCovers)}, //266
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_141,  NV_FIELD_SHIFTMASK(MC_MCF_SLICE_FL_TRANSDONE_LIMIT_0_FL_TRANSDONE_LIMIT_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_141_0_MC_MCF_SLICE_FL_TRANSDONE_LIMIT_0_FL_TRANSDONE_LIMIT_RANGE) - NV_FIELD_SHIFT(MC_MCF_SLICE_FL_TRANSDONE_LIMIT_0_FL_TRANSDONE_LIMIT_RANGE)), m_offsetof(NvBootSdramParams, McMcfSliceFlTransdoneLimit)}, //267
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_142,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_OVERRIDE_1_0_7_5_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_142_0_MC_EMEM_ARB_OVERRIDE_1_0_7_5_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_OVERRIDE_1_0_7_5_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbOverride1)}, //268
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_142,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_OVERRIDE_1_0_31_11_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_142_0_MC_EMEM_ARB_OVERRIDE_1_0_31_11_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_OVERRIDE_1_0_31_11_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbOverride1)}, //269
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_142,  NV_FIELD_SHIFTMASK(MC_MCF_SLICE_FL_NISO_REMOTE_LIMIT_0_FL_NISO_REMOTE_LIMIT_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_142_0_MC_MCF_SLICE_FL_NISO_REMOTE_LIMIT_0_FL_NISO_REMOTE_LIMIT_RANGE) - NV_FIELD_SHIFT(MC_MCF_SLICE_FL_NISO_REMOTE_LIMIT_0_FL_NISO_REMOTE_LIMIT_RANGE)), m_offsetof(NvBootSdramParams, McMcfSliceFlNisoRemoteLimit)}, //270
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_143,  NV_FIELD_SHIFTMASK(EMC_MRS_WAIT_CNT2_0_MRS_EXT1_WAIT_CNT_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_143_0_EMC_MRS_WAIT_CNT2_0_MRS_EXT1_WAIT_CNT_RANGE) - NV_FIELD_SHIFT(EMC_MRS_WAIT_CNT2_0_MRS_EXT1_WAIT_CNT_RANGE)), m_offsetof(NvBootSdramParams, EmcMrsWaitCnt2)}, //271
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_143,  NV_FIELD_SHIFTMASK(EMC_MRS_WAIT_CNT2_0_MRS_EXT2_WAIT_CNT_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_143_0_EMC_MRS_WAIT_CNT2_0_MRS_EXT2_WAIT_CNT_RANGE) - NV_FIELD_SHIFT(EMC_MRS_WAIT_CNT2_0_MRS_EXT2_WAIT_CNT_RANGE)), m_offsetof(NvBootSdramParams, EmcMrsWaitCnt2)}, //272
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_143,  NV_FIELD_SHIFTMASK(EMC_RFCPB_0_RFCPB_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_143_0_EMC_RFCPB_0_RFCPB_RANGE) - NV_FIELD_SHIFT(EMC_RFCPB_0_RFCPB_RANGE)), m_offsetof(NvBootSdramParams, EmcRfcPb)}, //273
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_144,  NV_FIELD_SHIFTMASK(EMC_MRS_WAIT_CNT_0_MRS_SHORT_WAIT_CNT_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_144_0_EMC_MRS_WAIT_CNT_0_MRS_SHORT_WAIT_CNT_RANGE) - NV_FIELD_SHIFT(EMC_MRS_WAIT_CNT_0_MRS_SHORT_WAIT_CNT_RANGE)), m_offsetof(NvBootSdramParams, EmcMrsWaitCnt)}, //274
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_144,  NV_FIELD_SHIFTMASK(EMC_MRS_WAIT_CNT_0_MRS_LONG_WAIT_CNT_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_144_0_EMC_MRS_WAIT_CNT_0_MRS_LONG_WAIT_CNT_RANGE) - NV_FIELD_SHIFT(EMC_MRS_WAIT_CNT_0_MRS_LONG_WAIT_CNT_RANGE)), m_offsetof(NvBootSdramParams, EmcMrsWaitCnt)}, //275
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_144,  NV_FIELD_SHIFTMASK(EMC_PBR2PBR_0_PBR2PBR_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_144_0_EMC_PBR2PBR_0_PBR2PBR_RANGE) - NV_FIELD_SHIFT(EMC_PBR2PBR_0_PBR2PBR_RANGE)), m_offsetof(NvBootSdramParams, EmcPbr2Pbr)}, //276
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_145,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_MISC2_0_PRIORITY_INVERSION_ISO_THRESHOLD_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_145_0_MC_EMEM_ARB_MISC2_0_PRIORITY_INVERSION_ISO_THRESHOLD_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_MISC2_0_PRIORITY_INVERSION_ISO_THRESHOLD_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbMisc2)}, //277
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_145,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_MISC2_0_11_1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_145_0_MC_EMEM_ARB_MISC2_0_11_1_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_MISC2_0_11_1_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbMisc2)}, //278
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_145,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_MISC2_0_31_28_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_145_0_MC_EMEM_ARB_MISC2_0_31_28_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_MISC2_0_31_28_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbMisc2)}, //279
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_145,  NV_FIELD_SHIFTMASK(EMC_AR2PDEN_0_AR2PDEN_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_145_0_EMC_AR2PDEN_0_AR2PDEN_RANGE) - NV_FIELD_SHIFT(EMC_AR2PDEN_0_AR2PDEN_RANGE)), m_offsetof(NvBootSdramParams, EmcAr2Pden)}, //280
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_146,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_DEADLOCK_CHECK_OVERRIDE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_146_0_MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_DEADLOCK_CHECK_OVERRIDE_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_OVERRIDE_0_ARB_HUM_FIFO_DEADLOCK_CHECK_OVERRIDE_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbOverride)}, //281
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_146,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_OVERRIDE_0_27_8_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_146_0_MC_EMEM_ARB_OVERRIDE_0_27_8_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_OVERRIDE_0_27_8_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbOverride)}, //282
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_146,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_OVERRIDE_0_4_3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_146_0_MC_EMEM_ARB_OVERRIDE_0_4_3_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_OVERRIDE_0_4_3_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbOverride)}, //283
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_146,  NV_FIELD_SHIFTMASK(EMC_RFC_SLR_0_RFC_SLR_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_146_0_EMC_RFC_SLR_0_RFC_SLR_RANGE) - NV_FIELD_SHIFT(EMC_RFC_SLR_0_RFC_SLR_RANGE)), m_offsetof(NvBootSdramParams, EmcRfcSlr)}, //284
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_147,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_147_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH8_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_0_8)}, //285
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_147,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_147_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH8_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_0_8)}, //286
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_147,  NV_FIELD_SHIFTMASK(EMC_CFG_UPDATE_0_2_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_147_0_EMC_CFG_UPDATE_0_2_0_RANGE) - NV_FIELD_SHIFT(EMC_CFG_UPDATE_0_2_0_RANGE)), m_offsetof(NvBootSdramParams, EmcCfgUpdate)}, //287
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_147,  NV_FIELD_SHIFTMASK(EMC_CFG_UPDATE_0_10_8_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_147_0_EMC_CFG_UPDATE_0_10_8_RANGE) - NV_FIELD_SHIFT(EMC_CFG_UPDATE_0_10_8_RANGE)), m_offsetof(NvBootSdramParams, EmcCfgUpdate)}, //288
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_147,  NV_FIELD_SHIFTMASK(EMC_CFG_UPDATE_0_31_28_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_147_0_EMC_CFG_UPDATE_0_31_28_RANGE) - NV_FIELD_SHIFT(EMC_CFG_UPDATE_0_31_28_RANGE)), m_offsetof(NvBootSdramParams, EmcCfgUpdate)}, //289
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_148,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_148_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH6_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_0_6)}, //290
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_148,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_148_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH6_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_0_6)}, //291
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_148,  NV_FIELD_SHIFTMASK(EMC_RFC_0_RFC_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_148_0_EMC_RFC_0_RFC_RANGE) - NV_FIELD_SHIFT(EMC_RFC_0_RFC_RANGE)), m_offsetof(NvBootSdramParams, EmcRfc)}, //292
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_149,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_149_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH4_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_0_4)}, //293
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_149,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_149_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH4_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_0_4)}, //294
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_149,  NV_FIELD_SHIFTMASK(EMC_TXSR_0_TXSR_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_149_0_EMC_TXSR_0_TXSR_RANGE) - NV_FIELD_SHIFT(EMC_TXSR_0_TXSR_RANGE)), m_offsetof(NvBootSdramParams, EmcTxsr)}, //295
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_150,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_150_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH2_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_0_2)}, //296
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_150,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_150_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH2_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_0_2)}, //297
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_150,  NV_FIELD_SHIFTMASK(EMC_MC2EMCQ_0_MCREQ_DEPTH_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_150_0_EMC_MC2EMCQ_0_MCREQ_DEPTH_RANGE) - NV_FIELD_SHIFT(EMC_MC2EMCQ_0_MCREQ_DEPTH_RANGE)), m_offsetof(NvBootSdramParams, EmcMc2EmcQ)}, //298
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_150,  NV_FIELD_SHIFTMASK(EMC_MC2EMCQ_0_MCACT_DEPTH_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_150_0_EMC_MC2EMCQ_0_MCACT_DEPTH_RANGE) - NV_FIELD_SHIFT(EMC_MC2EMCQ_0_MCACT_DEPTH_RANGE)), m_offsetof(NvBootSdramParams, EmcMc2EmcQ)}, //299
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_150,  NV_FIELD_SHIFTMASK(EMC_MC2EMCQ_0_MCWD_DEPTH_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_150_0_EMC_MC2EMCQ_0_MCWD_DEPTH_RANGE) - NV_FIELD_SHIFT(EMC_MC2EMCQ_0_MCWD_DEPTH_RANGE)), m_offsetof(NvBootSdramParams, EmcMc2EmcQ)}, //300
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_151,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_151_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_0_0)}, //301
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_151,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_151_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_0_0)}, //302
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_151,  NV_FIELD_SHIFTMASK(EMC_SEL_DPD_CTRL_0_SEL_DPD_DLY_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_151_0_EMC_SEL_DPD_CTRL_0_SEL_DPD_DLY_RANGE) - NV_FIELD_SHIFT(EMC_SEL_DPD_CTRL_0_SEL_DPD_DLY_RANGE)), m_offsetof(NvBootSdramParams, EmcSelDpdCtrl)}, //303
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_151,  NV_FIELD_SHIFTMASK(EMC_SEL_DPD_CTRL_0_8_2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_151_0_EMC_SEL_DPD_CTRL_0_8_2_RANGE) - NV_FIELD_SHIFT(EMC_SEL_DPD_CTRL_0_8_2_RANGE)), m_offsetof(NvBootSdramParams, EmcSelDpdCtrl)}, //304
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_152,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_152_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH14_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_0_14)}, //305
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_152,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_152_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH14_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_0_14)}, //306
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_152,  NV_FIELD_SHIFTMASK(EMC_IBDLY_0_IBDLY_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_152_0_EMC_IBDLY_0_IBDLY_RANGE) - NV_FIELD_SHIFT(EMC_IBDLY_0_IBDLY_RANGE)), m_offsetof(NvBootSdramParams, EmcIbdly)}, //307
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_152,  NV_FIELD_SHIFTMASK(EMC_IBDLY_0_IBDLY_MODE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_152_0_EMC_IBDLY_0_IBDLY_MODE_RANGE) - NV_FIELD_SHIFT(EMC_IBDLY_0_IBDLY_MODE_RANGE)), m_offsetof(NvBootSdramParams, EmcIbdly)}, //308
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_153,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_153_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH12_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_0_12)}, //309
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_153,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_153_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH12_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_0_12)}, //310
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_153,  NV_FIELD_SHIFTMASK(EMC_CFG_3_0_6_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_153_0_EMC_CFG_3_0_6_0_RANGE) - NV_FIELD_SHIFT(EMC_CFG_3_0_6_0_RANGE)), m_offsetof(NvBootSdramParams, EmcCfg3)}, //311
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_153,  NV_FIELD_SHIFTMASK(EMC_CFG_3_0_18_16_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_153_0_EMC_CFG_3_0_18_16_RANGE) - NV_FIELD_SHIFT(EMC_CFG_3_0_18_16_RANGE)), m_offsetof(NvBootSdramParams, EmcCfg3)}, //312
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_154,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_154_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH10_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_0_10)}, //313
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_154,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_154_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_CH10_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_0_0_OB_DDLL_LONG_DQ_RANK0_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_0_10)}, //314
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_154,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_TIMING_SREX_0_SREX_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_154_0_MC_EMEM_ARB_TIMING_SREX_0_SREX_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_TIMING_SREX_0_SREX_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbTimingSREX)}, //315
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_155,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_155_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH14_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_1_14)}, //316
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_155,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_155_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH14_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_1_14)}, //317
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_156,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_156_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH10_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_1_10)}, //318
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_156,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_156_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH10_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_1_10)}, //319
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_156,  NV_FIELD_SHIFTMASK(MC_MCF_ORSPX_ARB_CONFIG_0_8_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_156_0_MC_MCF_ORSPX_ARB_CONFIG_0_8_0_RANGE) - NV_FIELD_SHIFT(MC_MCF_ORSPX_ARB_CONFIG_0_8_0_RANGE)), m_offsetof(NvBootSdramParams, McMcfOrspxArbConfig)}, //320
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_157,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_157_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH12_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_1_12)}, //321
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_157,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_157_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH12_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_1_12)}, //322
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_157,  NV_FIELD_SHIFTMASK(MC_MCF_OREQX_LLARB_CONFIG_0_OREQX_LLARB_CNT_MAX_M1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_157_0_MC_MCF_OREQX_LLARB_CONFIG_0_OREQX_LLARB_CNT_MAX_M1_RANGE) - NV_FIELD_SHIFT(MC_MCF_OREQX_LLARB_CONFIG_0_OREQX_LLARB_CNT_MAX_M1_RANGE)), m_offsetof(NvBootSdramParams, McMcfOreqxLlarbConfig)}, //323
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_157,  NV_FIELD_SHIFTMASK(MC_MCF_OREQX_LLARB_CONFIG_0_OREQX_LLARB_CNT_EN_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_157_0_MC_MCF_OREQX_LLARB_CONFIG_0_OREQX_LLARB_CNT_EN_RANGE) - NV_FIELD_SHIFT(MC_MCF_OREQX_LLARB_CONFIG_0_OREQX_LLARB_CNT_EN_RANGE)), m_offsetof(NvBootSdramParams, McMcfOreqxLlarbConfig)}, //324
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_158,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_158_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_1_0)}, //325
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_158,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_158_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_1_0)}, //326
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_158,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_TIMING_RFCPB_0_RFCPB_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_158_0_MC_EMEM_ARB_TIMING_RFCPB_0_RFCPB_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_TIMING_RFCPB_0_RFCPB_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbTimingRFCPB)}, //327
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_159,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_159_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH6_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_1_6)}, //328
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_159,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_159_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH6_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_1_6)}, //329
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_159,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_TIMING_PBR2PBR_0_PBR2PBR_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_159_0_MC_EMEM_ARB_TIMING_PBR2PBR_0_PBR2PBR_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_TIMING_PBR2PBR_0_PBR2PBR_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbTimingPBR2PBR)}, //330
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_160,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_160_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH4_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_1_4)}, //331
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_160,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_160_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH4_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_1_4)}, //332
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_160,  NV_FIELD_SHIFTMASK(MC_MCF_SLICE_FL_ORD1_LIMIT_0_FL_ORD1_LIMIT_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_160_0_MC_MCF_SLICE_FL_ORD1_LIMIT_0_FL_ORD1_LIMIT_RANGE) - NV_FIELD_SHIFT(MC_MCF_SLICE_FL_ORD1_LIMIT_0_FL_ORD1_LIMIT_RANGE)), m_offsetof(NvBootSdramParams, McMcfSliceFlOrd1Limit)}, //333
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_161,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_161_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH2_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_1_2)}, //334
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_161,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_161_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH2_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_1_2)}, //335
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_161,  NV_FIELD_SHIFTMASK(MC_MCF_SLICE_FL_ORD2_LIMIT_0_FL_ORD2_LIMIT_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_161_0_MC_MCF_SLICE_FL_ORD2_LIMIT_0_FL_ORD2_LIMIT_RANGE) - NV_FIELD_SHIFT(MC_MCF_SLICE_FL_ORD2_LIMIT_0_FL_ORD2_LIMIT_RANGE)), m_offsetof(NvBootSdramParams, McMcfSliceFlOrd2Limit)}, //336
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_162,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_162_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH8_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_1_8)}, //337
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_162,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_162_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_CH8_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_1_0_OB_DDLL_LONG_DQ_RANK0_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_1_8)}, //338
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_162,  NV_FIELD_SHIFTMASK(MC_MCF_SLICE_FL_ORD3_LIMIT_0_FL_ORD3_LIMIT_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_162_0_MC_MCF_SLICE_FL_ORD3_LIMIT_0_FL_ORD3_LIMIT_RANGE) - NV_FIELD_SHIFT(MC_MCF_SLICE_FL_ORD3_LIMIT_0_FL_ORD3_LIMIT_RANGE)), m_offsetof(NvBootSdramParams, McMcfSliceFlOrd3Limit)}, //339
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_163,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_163_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH4_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_0_4)}, //340
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_163,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_163_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH4_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_0_4)}, //341
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_163,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_TIMING_RC_0_RC_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_163_0_MC_EMEM_ARB_TIMING_RC_0_RC_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_TIMING_RC_0_RC_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbTimingRc)}, //342
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_164,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_164_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH12_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_0_12)}, //343
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_164,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_164_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH12_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_0_12)}, //344
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_164,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_TIMING_WAP2PRE_0_WAP2PRE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_164_0_MC_EMEM_ARB_TIMING_WAP2PRE_0_WAP2PRE_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_TIMING_WAP2PRE_0_WAP2PRE_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbTimingWap2Pre)}, //345
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_165,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_165_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH8_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_0_8)}, //346
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_165,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_165_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH8_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_0_8)}, //347
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_165,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_165_0_MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE0_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_RSV_0_EMEM_ARB_RESERVED_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbRsv)}, //348
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_166,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_166_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH6_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_0_6)}, //349
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_166,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_166_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH6_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_0_6)}, //350
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_166,  NV_FIELD_SHIFTMASK(MC_STAT_CONTROL_0_7_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_166_0_MC_STAT_CONTROL_0_7_0_RANGE) - NV_FIELD_SHIFT(MC_STAT_CONTROL_0_7_0_RANGE)), m_offsetof(NvBootSdramParams, McStatControl)}, //351
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_167,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_167_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH2_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_0_2)}, //352
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_167,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_167_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH2_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_0_2)}, //353
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_168,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_168_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_0_0)}, //354
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_168,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_168_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_0_0)}, //355
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_169,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_169_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH14_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_0_14)}, //356
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_169,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_169_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH14_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_0_14)}, //357
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_170,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_170_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH10_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_0_10)}, //358
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_170,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_170_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_CH10_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_0_0_OB_DDLL_LONG_DQ_RANK1_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_0_10)}, //359
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_171,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_171_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH6_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_1_6)}, //360
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_171,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_171_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH6_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_1_6)}, //361
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_172,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_172_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH4_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_1_4)}, //362
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_172,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_172_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH4_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_1_4)}, //363
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_173,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_173_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH2_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_1_2)}, //364
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_173,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_173_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH2_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_1_2)}, //365
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_173,  NV_FIELD_SHIFTMASK(EMC_RAS_0_RAS_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_173_0_EMC_RAS_0_RAS_RANGE) - NV_FIELD_SHIFT(EMC_RAS_0_RAS_RANGE)), m_offsetof(NvBootSdramParams, EmcRas)}, //366
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_174,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_174_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_1_0)}, //367
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_174,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_174_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_1_0)}, //368
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_174,  NV_FIELD_SHIFTMASK(EMC_W2P_0_W2P_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_174_0_EMC_W2P_0_W2P_RANGE) - NV_FIELD_SHIFT(EMC_W2P_0_W2P_RANGE)), m_offsetof(NvBootSdramParams, EmcW2p)}, //369
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_175,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_175_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH8_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_1_8)}, //370
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_175,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_175_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH8_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_1_8)}, //371
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_175,  NV_FIELD_SHIFTMASK(EMC_RW2PDEN_0_RW2PDEN_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_175_0_EMC_RW2PDEN_0_RW2PDEN_RANGE) - NV_FIELD_SHIFT(EMC_RW2PDEN_0_RW2PDEN_RANGE)), m_offsetof(NvBootSdramParams, EmcRw2Pden)}, //372
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_176,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_176_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH14_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_1_14)}, //373
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_176,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_176_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH14_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_1_14)}, //374
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_176,  NV_FIELD_SHIFTMASK(EMC_TFAW_0_TFAW_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_176_0_EMC_TFAW_0_TFAW_RANGE) - NV_FIELD_SHIFT(EMC_TFAW_0_TFAW_RANGE)), m_offsetof(NvBootSdramParams, EmcTfaw)}, //375
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_177,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_177_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH10_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_1_10)}, //376
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_177,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_177_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH10_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_1_10)}, //377
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_177,  NV_FIELD_SHIFTMASK(EMC_TCLKSTABLE_0_TCLKSTABLE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_177_0_EMC_TCLKSTABLE_0_TCLKSTABLE_RANGE) - NV_FIELD_SHIFT(EMC_TCLKSTABLE_0_TCLKSTABLE_RANGE)), m_offsetof(NvBootSdramParams, EmcTClkStable)}, //378
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_178,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_178_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH12_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_1_12)}, //379
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_178,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_178_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_CH12_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_1_0_OB_DDLL_LONG_DQ_RANK1_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_1_12)}, //380
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_178,  NV_FIELD_SHIFTMASK(EMC_TRTM_0_TRTM_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_178_0_EMC_TRTM_0_TRTM_RANGE) - NV_FIELD_SHIFT(EMC_TRTM_0_TRTM_RANGE)), m_offsetof(NvBootSdramParams, EmcTrtm)}, //381
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_179,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_179_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH14_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_0_14)}, //382
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_179,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_179_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH14_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_0_14)}, //383
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_179,  NV_FIELD_SHIFTMASK(EMC_TWTM_0_TWTM_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_179_0_EMC_TWTM_0_TWTM_RANGE) - NV_FIELD_SHIFT(EMC_TWTM_0_TWTM_RANGE)), m_offsetof(NvBootSdramParams, EmcTwtm)}, //384
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_180,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_180_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH10_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_0_10)}, //385
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_180,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_180_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH10_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_0_10)}, //386
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_180,  NV_FIELD_SHIFTMASK(EMC_TRATM_0_TRATM_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_180_0_EMC_TRATM_0_TRATM_RANGE) - NV_FIELD_SHIFT(EMC_TRATM_0_TRATM_RANGE)), m_offsetof(NvBootSdramParams, EmcTratm)}, //387
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_181,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_181_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH12_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_0_12)}, //388
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_181,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_181_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH12_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_0_12)}, //389
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_181,  NV_FIELD_SHIFTMASK(EMC_TWATM_0_TWATM_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_181_0_EMC_TWATM_0_TWATM_RANGE) - NV_FIELD_SHIFT(EMC_TWATM_0_TWATM_RANGE)), m_offsetof(NvBootSdramParams, EmcTwatm)}, //390
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_182,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_182_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH8_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_0_8)}, //391
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_182,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_182_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH8_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_0_8)}, //392
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_182,  NV_FIELD_SHIFTMASK(EMC_TR2REF_0_TR2REF_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_182_0_EMC_TR2REF_0_TR2REF_RANGE) - NV_FIELD_SHIFT(EMC_TR2REF_0_TR2REF_RANGE)), m_offsetof(NvBootSdramParams, EmcTr2ref)}, //393
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_183,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_183_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_0_0)}, //394
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_183,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_183_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_0_0)}, //395
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_183,  NV_FIELD_SHIFTMASK(EMC_PDEX2MRR_0_PDEX2MRR_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_183_0_EMC_PDEX2MRR_0_PDEX2MRR_RANGE) - NV_FIELD_SHIFT(EMC_PDEX2MRR_0_PDEX2MRR_RANGE)), m_offsetof(NvBootSdramParams, EmcPdex2Mrr)}, //396
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_184,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_184_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH2_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_0_2)}, //397
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_184,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_184_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH2_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_0_2)}, //398
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_184,  NV_FIELD_SHIFTMASK(EMC_QUSE_WIDTH_0_QUSE_DURATION_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_184_0_EMC_QUSE_WIDTH_0_QUSE_DURATION_RANGE) - NV_FIELD_SHIFT(EMC_QUSE_WIDTH_0_QUSE_DURATION_RANGE)), m_offsetof(NvBootSdramParams, EmcQuseWidth)}, //399
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_184,  NV_FIELD_SHIFTMASK(EMC_QUSE_WIDTH_0_29_28_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_184_0_EMC_QUSE_WIDTH_0_29_28_RANGE) - NV_FIELD_SHIFT(EMC_QUSE_WIDTH_0_29_28_RANGE)), m_offsetof(NvBootSdramParams, EmcQuseWidth)}, //400
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_185,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_185_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH4_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_0_4)}, //401
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_185,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_185_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH4_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_0_4)}, //402
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_185,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_SHORT_CMD_2_0_DDLL_SHORT_CMD_RESET_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_185_0_EMC_PMACRO_DDLL_SHORT_CMD_2_0_DDLL_SHORT_CMD_RESET_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_SHORT_CMD_2_0_DDLL_SHORT_CMD_RESET_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllShortCmd_2)}, //403
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_186,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_186_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH6_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_0_6)}, //404
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_186,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_186_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_CH6_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_0_0_OB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_0_6)}, //405
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_186,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_TIMING_RP_0_RP_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_186_0_MC_EMEM_ARB_TIMING_RP_0_RP_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_TIMING_RP_0_RP_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbTimingRp)}, //406
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_187,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_187_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH12_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_1_12)}, //407
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_187,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_187_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH12_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_1_12)}, //408
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_187,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_TIMING_RAS_0_RAS_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_187_0_MC_EMEM_ARB_TIMING_RAS_0_RAS_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_TIMING_RAS_0_RAS_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbTimingRas)}, //409
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_188,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_188_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH10_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_1_10)}, //410
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_188,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_188_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH10_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_1_10)}, //411
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_188,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_TIMING_FAW_0_FAW_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_188_0_MC_EMEM_ARB_TIMING_FAW_0_FAW_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_TIMING_FAW_0_FAW_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbTimingFaw)}, //412
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_189,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_189_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_1_0)}, //413
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_189,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_189_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_1_0)}, //414
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_189,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_TIMING_RAP2PRE_0_RAP2PRE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_189_0_MC_EMEM_ARB_TIMING_RAP2PRE_0_RAP2PRE_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_TIMING_RAP2PRE_0_RAP2PRE_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbTimingRap2Pre)}, //415
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_190,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_190_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH2_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_1_2)}, //416
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_190,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_190_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH2_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_1_2)}, //417
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_190,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_TIMING_R2W_0_R2W_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_190_0_MC_EMEM_ARB_TIMING_R2W_0_R2W_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_TIMING_R2W_0_R2W_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbTimingR2W)}, //418
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_191,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_191_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH4_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_1_4)}, //419
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_191,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_191_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH4_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_1_4)}, //420
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_191,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_TIMING_W2R_0_W2R_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_191_0_MC_EMEM_ARB_TIMING_W2R_0_W2R_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_TIMING_W2R_0_W2R_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbTimingW2R)}, //421
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_192,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_192_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH6_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_1_6)}, //422
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_192,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_192_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH6_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_1_6)}, //423
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_192,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_TIMING_PDEX_0_PDEX_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_192_0_MC_EMEM_ARB_TIMING_PDEX_0_PDEX_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_TIMING_PDEX_0_PDEX_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbTimingPDEX)}, //424
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_193,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_193_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH8_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_1_8)}, //425
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_193,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_193_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH8_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_1_8)}, //426
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_193,  NV_FIELD_SHIFTMASK(EMC_R2W_0_R2W_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_193_0_EMC_R2W_0_R2W_RANGE) - NV_FIELD_SHIFT(EMC_R2W_0_R2W_RANGE)), m_offsetof(NvBootSdramParams, EmcR2w)}, //427
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_194,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_194_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH14_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_1_14)}, //428
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_194,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_194_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_CH14_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_1_0_OB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_1_14)}, //429
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_194,  NV_FIELD_SHIFTMASK(EMC_W2R_0_W2R_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_194_0_EMC_W2R_0_W2R_RANGE) - NV_FIELD_SHIFT(EMC_W2R_0_W2R_RANGE)), m_offsetof(NvBootSdramParams, EmcW2r)}, //430
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_195,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_195_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH10_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_4_10)}, //431
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_195,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_195_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH10_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_4_10)}, //432
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_195,  NV_FIELD_SHIFTMASK(EMC_R2P_0_R2P_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_195_0_EMC_R2P_0_R2P_RANGE) - NV_FIELD_SHIFT(EMC_R2P_0_R2P_RANGE)), m_offsetof(NvBootSdramParams, EmcR2p)}, //433
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_196,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_196_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH12_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_4_12)}, //434
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_196,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_196_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH12_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_4_12)}, //435
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_196,  NV_FIELD_SHIFTMASK(EMC_CCDMW_0_CCDMW_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_196_0_EMC_CCDMW_0_CCDMW_RANGE) - NV_FIELD_SHIFT(EMC_CCDMW_0_CCDMW_RANGE)), m_offsetof(NvBootSdramParams, EmcCcdmw)}, //436
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_197,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_197_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH14_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_4_14)}, //437
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_197,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_197_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH14_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_4_14)}, //438
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_197,  NV_FIELD_SHIFTMASK(EMC_RD_RCD_0_RD_RCD_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_197_0_EMC_RD_RCD_0_RD_RCD_RANGE) - NV_FIELD_SHIFT(EMC_RD_RCD_0_RD_RCD_RANGE)), m_offsetof(NvBootSdramParams, EmcRdRcd)}, //439
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_198,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_198_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH4_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_4_4)}, //440
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_198,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_198_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH4_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_4_4)}, //441
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_198,  NV_FIELD_SHIFTMASK(EMC_WR_RCD_0_WR_RCD_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_198_0_EMC_WR_RCD_0_WR_RCD_RANGE) - NV_FIELD_SHIFT(EMC_WR_RCD_0_WR_RCD_RANGE)), m_offsetof(NvBootSdramParams, EmcWrRcd)}, //442
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_199,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_199_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH6_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_4_6)}, //443
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_199,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_199_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH6_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_4_6)}, //444
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_199,  NV_FIELD_SHIFTMASK(EMC_WDV_0_WDV_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_199_0_EMC_WDV_0_WDV_RANGE) - NV_FIELD_SHIFT(EMC_WDV_0_WDV_RANGE)), m_offsetof(NvBootSdramParams, EmcWdv)}, //445
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_200,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_200_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_4_0)}, //446
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_200,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_200_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_4_0)}, //447
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_200,  NV_FIELD_SHIFTMASK(EMC_QUSE_0_QUSE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_200_0_EMC_QUSE_0_QUSE_RANGE) - NV_FIELD_SHIFT(EMC_QUSE_0_QUSE_RANGE)), m_offsetof(NvBootSdramParams, EmcQUse)}, //448
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_201,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_201_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH2_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_4_2)}, //449
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_201,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_201_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH2_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_4_2)}, //450
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_201,  NV_FIELD_SHIFTMASK(EMC_PDEX2WR_0_PDEX2WR_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_201_0_EMC_PDEX2WR_0_PDEX2WR_RANGE) - NV_FIELD_SHIFT(EMC_PDEX2WR_0_PDEX2WR_RANGE)), m_offsetof(NvBootSdramParams, EmcPdEx2Wr)}, //451
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_202,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_202_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH8_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_4_8)}, //452
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_202,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_202_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_CH8_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK0_4_0_OB_DDLL_LONG_DQS_RANK0_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank0_4_8)}, //453
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_202,  NV_FIELD_SHIFTMASK(EMC_PDEX2RD_0_PDEX2RD_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_202_0_EMC_PDEX2RD_0_PDEX2RD_RANGE) - NV_FIELD_SHIFT(EMC_PDEX2RD_0_PDEX2RD_RANGE)), m_offsetof(NvBootSdramParams, EmcPdEx2Rd)}, //454
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_203,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_203_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH12_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_0_12)}, //455
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_203,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_203_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH12_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_0_12)}, //456
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_203,  NV_FIELD_SHIFTMASK(EMC_PDEX2CKE_0_PDEX2CKE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_203_0_EMC_PDEX2CKE_0_PDEX2CKE_RANGE) - NV_FIELD_SHIFT(EMC_PDEX2CKE_0_PDEX2CKE_RANGE)), m_offsetof(NvBootSdramParams, EmcPdex2Cke)}, //457
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_204,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_204_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH10_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_0_10)}, //458
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_204,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_204_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH10_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_0_10)}, //459
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_204,  NV_FIELD_SHIFTMASK(EMC_PCHG2PDEN_0_PCHG2PDEN_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_204_0_EMC_PCHG2PDEN_0_PCHG2PDEN_RANGE) - NV_FIELD_SHIFT(EMC_PCHG2PDEN_0_PCHG2PDEN_RANGE)), m_offsetof(NvBootSdramParams, EmcPChg2Pden)}, //460
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_205,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_205_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH14_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_0_14)}, //461
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_205,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_205_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH14_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_0_14)}, //462
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_205,  NV_FIELD_SHIFTMASK(EMC_ACT2PDEN_0_ACT2PDEN_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_205_0_EMC_ACT2PDEN_0_ACT2PDEN_RANGE) - NV_FIELD_SHIFT(EMC_ACT2PDEN_0_ACT2PDEN_RANGE)), m_offsetof(NvBootSdramParams, EmcAct2Pden)}, //463
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_206,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_206_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH8_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_0_8)}, //464
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_206,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_206_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH8_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_0_8)}, //465
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_206,  NV_FIELD_SHIFTMASK(EMC_CKE2PDEN_0_CKE2PDEN_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_206_0_EMC_CKE2PDEN_0_CKE2PDEN_RANGE) - NV_FIELD_SHIFT(EMC_CKE2PDEN_0_CKE2PDEN_RANGE)), m_offsetof(NvBootSdramParams, EmcCke2Pden)}, //466
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_207,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_207_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_0_0)}, //467
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_207,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_207_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_0_0)}, //468
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_207,  NV_FIELD_SHIFTMASK(EMC_TCKE_0_TCKE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_207_0_EMC_TCKE_0_TCKE_RANGE) - NV_FIELD_SHIFT(EMC_TCKE_0_TCKE_RANGE)), m_offsetof(NvBootSdramParams, EmcTcke)}, //469
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_208,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_208_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH2_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_0_2)}, //470
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_208,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_208_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH2_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_0_2)}, //471
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_208,  NV_FIELD_SHIFTMASK(EMC_TRPAB_0_TRPAB_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_208_0_EMC_TRPAB_0_TRPAB_RANGE) - NV_FIELD_SHIFT(EMC_TRPAB_0_TRPAB_RANGE)), m_offsetof(NvBootSdramParams, EmcTrpab)}, //472
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_209,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_209_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH4_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_0_4)}, //473
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_209,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_209_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH4_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_0_4)}, //474
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_209,  NV_FIELD_SHIFTMASK(EMC_EINPUT_0_EINPUT_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_209_0_EMC_EINPUT_0_EINPUT_RANGE) - NV_FIELD_SHIFT(EMC_EINPUT_0_EINPUT_RANGE)), m_offsetof(NvBootSdramParams, EmcEInput)}, //475
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_210,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_210_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH6_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_0_6)}, //476
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_210,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_210_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_CH6_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_0_0_OB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_0_6)}, //477
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_210,  NV_FIELD_SHIFTMASK(EMC_EINPUT_DURATION_0_EINPUT_DURATION_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_210_0_EMC_EINPUT_DURATION_0_EINPUT_DURATION_RANGE) - NV_FIELD_SHIFT(EMC_EINPUT_DURATION_0_EINPUT_DURATION_RANGE)), m_offsetof(NvBootSdramParams, EmcEInputDuration)}, //478
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_211,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_211_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_1_0)}, //479
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_211,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_211_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_1_0)}, //480
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_211,  NV_FIELD_SHIFTMASK(EMC_PUTERM_EXTRA_0_RXTERM_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_211_0_EMC_PUTERM_EXTRA_0_RXTERM_RANGE) - NV_FIELD_SHIFT(EMC_PUTERM_EXTRA_0_RXTERM_RANGE)), m_offsetof(NvBootSdramParams, EmcPutermExtra)}, //481
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_212,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_212_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH2_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_1_2)}, //482
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_212,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_212_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH2_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_1_2)}, //483
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_212,  NV_FIELD_SHIFTMASK(EMC_TCKESR_0_TCKESR_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_212_0_EMC_TCKESR_0_TCKESR_RANGE) - NV_FIELD_SHIFT(EMC_TCKESR_0_TCKESR_RANGE)), m_offsetof(NvBootSdramParams, EmcTckesr)}, //484
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_213,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_213_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH4_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_1_4)}, //485
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_213,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_213_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH4_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_1_4)}, //486
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_213,  NV_FIELD_SHIFTMASK(EMC_TPD_0_TPD_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_213_0_EMC_TPD_0_TPD_RANGE) - NV_FIELD_SHIFT(EMC_TPD_0_TPD_RANGE)), m_offsetof(NvBootSdramParams, EmcTpd)}, //487
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_214,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_214_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH6_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_1_6)}, //488
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_214,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_214_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH6_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_1_6)}, //489
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_214,  NV_FIELD_SHIFTMASK(EMC_WDV_MASK_0_WDV_MASK_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_214_0_EMC_WDV_MASK_0_WDV_MASK_RANGE) - NV_FIELD_SHIFT(EMC_WDV_MASK_0_WDV_MASK_RANGE)), m_offsetof(NvBootSdramParams, EmcWdvMask)}, //490
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_215,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_215_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH8_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_1_8)}, //491
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_215,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_215_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH8_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_1_8)}, //492
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_215,  NV_FIELD_SHIFTMASK(EMC_WDV_CHK_0_WDV_CHK_BASE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_215_0_EMC_WDV_CHK_0_WDV_CHK_BASE_RANGE) - NV_FIELD_SHIFT(EMC_WDV_CHK_0_WDV_CHK_BASE_RANGE)), m_offsetof(NvBootSdramParams, EmcWdvChk)}, //493
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_216,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_216_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH14_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_1_14)}, //494
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_216,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_216_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH14_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_1_14)}, //495
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_216,  NV_FIELD_SHIFTMASK(EMC_CMD_BRLSHFT_0_0_5_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_216_0_EMC_CMD_BRLSHFT_0_0_5_0_RANGE) - NV_FIELD_SHIFT(EMC_CMD_BRLSHFT_0_0_5_0_RANGE)), m_offsetof(NvBootSdramParams, EmcCmdBrlshft0)}, //496
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_217,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_217_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH10_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_1_10)}, //497
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_217,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_217_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH10_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_1_10)}, //498
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_217,  NV_FIELD_SHIFTMASK(EMC_CMD_BRLSHFT_1_0_5_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_217_0_EMC_CMD_BRLSHFT_1_0_5_0_RANGE) - NV_FIELD_SHIFT(EMC_CMD_BRLSHFT_1_0_5_0_RANGE)), m_offsetof(NvBootSdramParams, EmcCmdBrlshft1)}, //499
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_218,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_218_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH12_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_1_12)}, //500
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_218,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_218_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_CH12_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_1_0_OB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_1_12)}, //501
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_218,  NV_FIELD_SHIFTMASK(EMC_CMD_BRLSHFT_2_0_5_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_218_0_EMC_CMD_BRLSHFT_2_0_5_0_RANGE) - NV_FIELD_SHIFT(EMC_CMD_BRLSHFT_2_0_5_0_RANGE)), m_offsetof(NvBootSdramParams, EmcCmdBrlshft2)}, //502
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_219,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_219_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH14_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_4_14)}, //503
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_219,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_219_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH14_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_4_14)}, //504
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_219,  NV_FIELD_SHIFTMASK(EMC_CMD_BRLSHFT_3_0_5_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_219_0_EMC_CMD_BRLSHFT_3_0_5_0_RANGE) - NV_FIELD_SHIFT(EMC_CMD_BRLSHFT_3_0_5_0_RANGE)), m_offsetof(NvBootSdramParams, EmcCmdBrlshft3)}, //505
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_220,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_220_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH12_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_4_12)}, //506
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_220,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_220_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH12_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_4_12)}, //507
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_220,  NV_FIELD_SHIFTMASK(EMC_FBIO_CFG8_0_21_16_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_220_0_EMC_FBIO_CFG8_0_21_16_RANGE) - NV_FIELD_SHIFT(EMC_FBIO_CFG8_0_21_16_RANGE)), m_offsetof(NvBootSdramParams, EmcFbioCfg8)}, //508
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_221,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_221_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH10_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_4_10)}, //509
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_221,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_221_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH10_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_4_10)}, //510
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_221,  NV_FIELD_SHIFTMASK(EMC_WE_DURATION_0_WE_DURATION_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_221_0_EMC_WE_DURATION_0_WE_DURATION_RANGE) - NV_FIELD_SHIFT(EMC_WE_DURATION_0_WE_DURATION_RANGE)), m_offsetof(NvBootSdramParams, EmcWeDuration)}, //511
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_222,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_222_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH4_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_4_4)}, //512
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_222,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_222_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH4_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_4_4)}, //513
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_222,  NV_FIELD_SHIFTMASK(EMC_WS_DURATION_0_WS_DURATION_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_222_0_EMC_WS_DURATION_0_WS_DURATION_RANGE) - NV_FIELD_SHIFT(EMC_WS_DURATION_0_WS_DURATION_RANGE)), m_offsetof(NvBootSdramParams, EmcWsDuration)}, //514
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_223,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_223_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH6_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_4_6)}, //515
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_223,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_223_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH6_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_4_6)}, //516
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_223,  NV_FIELD_SHIFTMASK(EMC_WEV_0_WEV_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_223_0_EMC_WEV_0_WEV_RANGE) - NV_FIELD_SHIFT(EMC_WEV_0_WEV_RANGE)), m_offsetof(NvBootSdramParams, EmcWev)}, //517
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_224,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_224_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_4_0)}, //518
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_224,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_224_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_4_0)}, //519
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_224,  NV_FIELD_SHIFTMASK(EMC_WSV_0_WSV_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_224_0_EMC_WSV_0_WSV_RANGE) - NV_FIELD_SHIFT(EMC_WSV_0_WSV_RANGE)), m_offsetof(NvBootSdramParams, EmcWsv)}, //520
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_225,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_225_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH2_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_4_2)}, //521
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_225,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_225_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH2_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_4_2)}, //522
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_225,  NV_FIELD_SHIFTMASK(EMC_PUTERM_WIDTH_0_CFG_STATIC_TERM_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_225_0_EMC_PUTERM_WIDTH_0_CFG_STATIC_TERM_RANGE) - NV_FIELD_SHIFT(EMC_PUTERM_WIDTH_0_CFG_STATIC_TERM_RANGE)), m_offsetof(NvBootSdramParams, EmcPutermWidth)}, //523
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_225,  NV_FIELD_SHIFTMASK(EMC_PUTERM_WIDTH_0_RXTERM_DURATION_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_225_0_EMC_PUTERM_WIDTH_0_RXTERM_DURATION_RANGE) - NV_FIELD_SHIFT(EMC_PUTERM_WIDTH_0_RXTERM_DURATION_RANGE)), m_offsetof(NvBootSdramParams, EmcPutermWidth)}, //524
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_226,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_226_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH8_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_4_8)}, //525
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_226,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_226_0_EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_CH8_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQS_RANK1_4_0_OB_DDLL_LONG_DQS_RANK1_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqsRank1_4_8)}, //526
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_226,  NV_FIELD_SHIFTMASK(MC_MCF_IREQX_CLKEN_OVERRIDE_0_5_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_226_0_MC_MCF_IREQX_CLKEN_OVERRIDE_0_5_0_RANGE) - NV_FIELD_SHIFT(MC_MCF_IREQX_CLKEN_OVERRIDE_0_5_0_RANGE)), m_offsetof(NvBootSdramParams, McMcfIreqxClkenOverride)}, //527
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_227,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_227_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH6_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_0_6)}, //528
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_227,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_227_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH6_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_0_6)}, //529
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_227,  NV_FIELD_SHIFTMASK(MC_MCF_OREQX_CLKEN_OVERRIDE_0_5_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_227_0_MC_MCF_OREQX_CLKEN_OVERRIDE_0_5_0_RANGE) - NV_FIELD_SHIFT(MC_MCF_OREQX_CLKEN_OVERRIDE_0_5_0_RANGE)), m_offsetof(NvBootSdramParams, McMcfOreqxClkenOverride)}, //530
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_228,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_228_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH4_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_0_4)}, //531
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_228,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_228_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH4_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_0_4)}, //532
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_228,  NV_FIELD_SHIFTMASK(MC_MCF_SLICE_CLKEN_OVERRIDE_0_5_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_228_0_MC_MCF_SLICE_CLKEN_OVERRIDE_0_5_0_RANGE) - NV_FIELD_SHIFT(MC_MCF_SLICE_CLKEN_OVERRIDE_0_5_0_RANGE)), m_offsetof(NvBootSdramParams, McMcfSliceClkenOverride)}, //533
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_229,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_229_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH2_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_0_2)}, //534
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_229,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_229_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH2_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_0_2)}, //535
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_229,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_TIMING_RCD_0_RCD_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_229_0_MC_EMEM_ARB_TIMING_RCD_0_RCD_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_TIMING_RCD_0_RCD_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbTimingRcd)}, //536
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_230,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_230_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_0_0)}, //537
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_230,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_230_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_0_0)}, //538
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_230,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_TIMING_R2R_0_R2R_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_230_0_MC_EMEM_ARB_TIMING_R2R_0_R2R_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_TIMING_R2R_0_R2R_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbTimingR2R)}, //539
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_231,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_231_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH8_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_0_8)}, //540
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_231,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_231_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH8_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_0_8)}, //541
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_231,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_TIMING_W2W_0_W2W_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_231_0_MC_EMEM_ARB_TIMING_W2W_0_W2W_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_TIMING_W2W_0_W2W_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbTimingW2W)}, //542
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_232,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_232_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH12_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_0_12)}, //543
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_232,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_232_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH12_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_0_12)}, //544
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_232,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_TIMING_CCDMW_0_CCDMW_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_232_0_MC_EMEM_ARB_TIMING_CCDMW_0_CCDMW_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_TIMING_CCDMW_0_CCDMW_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbTimingCcdmw)}, //545
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_233,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_233_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH10_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_0_10)}, //546
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_233,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_233_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH10_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_0_10)}, //547
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_233,  NV_FIELD_SHIFTMASK(EMC_REXT_0_REXT_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_233_0_EMC_REXT_0_REXT_RANGE) - NV_FIELD_SHIFT(EMC_REXT_0_REXT_RANGE)), m_offsetof(NvBootSdramParams, EmcRext)}, //548
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_233,  NV_FIELD_SHIFTMASK(EMC_TCLKSTOP_0_TCLKSTOP_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_233_0_EMC_TCLKSTOP_0_TCLKSTOP_RANGE) - NV_FIELD_SHIFT(EMC_TCLKSTOP_0_TCLKSTOP_RANGE)), m_offsetof(NvBootSdramParams, EmcTClkStop)}, //549
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_234,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_234_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH14_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_0_14)}, //550
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_234,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_234_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_CH14_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_0_0_IB_DDLL_LONG_DQS_RANK0_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_0_14)}, //551
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_234,  NV_FIELD_SHIFTMASK(EMC_WEXT_0_WEXT_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_234_0_EMC_WEXT_0_WEXT_RANGE) - NV_FIELD_SHIFT(EMC_WEXT_0_WEXT_RANGE)), m_offsetof(NvBootSdramParams, EmcWext)}, //552
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_234,  NV_FIELD_SHIFTMASK(EMC_PMACRO_VTTGEN_CTRL_0_0_19_15_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_234_0_EMC_PMACRO_VTTGEN_CTRL_0_0_19_15_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_VTTGEN_CTRL_0_0_19_15_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroVttgenCtrl0)}, //553
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_235,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_235_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH10_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_1_10)}, //554
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_235,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_235_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH10_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_1_10)}, //555
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_235,  NV_FIELD_SHIFTMASK(MC_MCF_ORSPX_CLKEN_OVERRIDE_0_4_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_235_0_MC_MCF_ORSPX_CLKEN_OVERRIDE_0_4_0_RANGE) - NV_FIELD_SHIFT(MC_MCF_ORSPX_CLKEN_OVERRIDE_0_4_0_RANGE)), m_offsetof(NvBootSdramParams, McMcfOrspxClkenOverride)}, //556
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_235,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_TIMING_RRD_0_RRD_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_235_0_MC_EMEM_ARB_TIMING_RRD_0_RRD_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_TIMING_RRD_0_RRD_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbTimingRrd)}, //557
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_236,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_236_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH12_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_1_12)}, //558
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_236,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_236_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH12_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_1_12)}, //559
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_237,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_237_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH14_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_1_14)}, //560
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_237,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_237_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH14_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_1_14)}, //561
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_238,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_238_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH8_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_1_8)}, //562
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_238,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_238_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH8_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_1_8)}, //563
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_239,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_239_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH6_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_1_6)}, //564
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_239,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_239_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH6_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_1_6)}, //565
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_240,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_240_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH4_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_1_4)}, //566
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_240,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_240_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH4_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_1_4)}, //567
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_241,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_241_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH2_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_1_2)}, //568
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_241,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_241_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH2_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_1_2)}, //569
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_242,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_242_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_1_0)}, //570
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_242,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_242_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_CH0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK0_1_0_IB_DDLL_LONG_DQS_RANK0_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank0_1_0)}, //571
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_243,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_243_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH6_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_0_6)}, //572
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_243,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_243_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH6_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_0_6)}, //573
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_244,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_244_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH4_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_0_4)}, //574
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_244,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_244_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH4_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_0_4)}, //575
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_245,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_245_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH2_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_0_2)}, //576
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_245,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_245_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH2_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_0_2)}, //577
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_246,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_246_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_0_0)}, //578
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_246,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_246_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_0_0)}, //579
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_247,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_247_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH8_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_0_8)}, //580
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_247,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_247_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH8_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_0_8)}, //581
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_248,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_248_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH10_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_0_10)}, //582
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_248,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_248_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH10_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_0_10)}, //583
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_249,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_249_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH12_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_0_12)}, //584
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_249,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_249_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH12_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_0_12)}, //585
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_250,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_250_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH14_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_0_14)}, //586
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_250,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_250_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_CH14_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_0_0_IB_DDLL_LONG_DQS_RANK1_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_0_14)}, //587
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_251,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_251_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH6_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_1_6)}, //588
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_251,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_251_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH6_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_1_6)}, //589
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_252,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_252_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH4_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_1_4)}, //590
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_252,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_252_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH4_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_1_4)}, //591
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_253,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_253_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH14_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_1_14)}, //592
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_253,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_253_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH14_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_1_14)}, //593
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_254,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_254_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH12_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_1_12)}, //594
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_254,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_254_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH12_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_1_12)}, //595
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_255,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_255_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH10_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_1_10)}, //596
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_255,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_255_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH10_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_1_10)}, //597
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_256,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_256_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH8_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_1_8)}, //598
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_256,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_256_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH8_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_1_8)}, //599
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_257,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_257_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH2_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_1_2)}, //600
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_257,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_257_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH2_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_1_2)}, //601
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_258,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_258_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_1_0)}, //602
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_258,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_258_0_EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_CH0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_DDLL_LONG_DQS_RANK1_1_0_IB_DDLL_LONG_DQS_RANK1_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbDdllLongDqsRank1_1_0)}, //603
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_259,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_259_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH10_DDLL_LONG_CMD_CKE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_0_10)}, //604
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_259,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_259_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH10_DDLL_LONG_CMD_CKE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_0_10)}, //605
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_260,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_260_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH12_DDLL_LONG_CMD_CKE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_0_12)}, //606
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_260,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_260_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH12_DDLL_LONG_CMD_CKE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_0_12)}, //607
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_261,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_261_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH14_DDLL_LONG_CMD_CKE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_0_14)}, //608
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_261,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_261_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH14_DDLL_LONG_CMD_CKE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_0_14)}, //609
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_262,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_262_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH8_DDLL_LONG_CMD_CKE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_0_8)}, //610
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_262,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_262_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH8_DDLL_LONG_CMD_CKE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_0_8)}, //611
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_263,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_263_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH0_DDLL_LONG_CMD_CKE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_0_0)}, //612
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_263,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_263_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH0_DDLL_LONG_CMD_CKE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_0_0)}, //613
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_264,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_264_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH2_DDLL_LONG_CMD_CKE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_0_2)}, //614
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_264,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_264_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH2_DDLL_LONG_CMD_CKE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_0_2)}, //615
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_265,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_265_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH4_DDLL_LONG_CMD_CKE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_0_4)}, //616
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_265,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_265_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH4_DDLL_LONG_CMD_CKE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_0_4)}, //617
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_266,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_266_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH6_DDLL_LONG_CMD_CKE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_0_6)}, //618
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_266,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_266_0_EMC_PMACRO_DDLL_LONG_CMD_0_0_CH6_DDLL_LONG_CMD_CKE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_0_0_DDLL_LONG_CMD_CKE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_0_6)}, //619
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_267,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_267_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH4_DDLL_LONG_CMD_CKE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_1_4)}, //620
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_267,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_267_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH4_DDLL_LONG_CMD_CKE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_1_4)}, //621
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_268,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_268_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH0_DDLL_LONG_CMD_CKE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_1_0)}, //622
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_268,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_268_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH0_DDLL_LONG_CMD_CKE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_1_0)}, //623
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_269,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_269_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH2_DDLL_LONG_CMD_CKE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_1_2)}, //624
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_269,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_269_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH2_DDLL_LONG_CMD_CKE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_1_2)}, //625
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_270,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_270_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH8_DDLL_LONG_CMD_CKE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_1_8)}, //626
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_270,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_270_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH8_DDLL_LONG_CMD_CKE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_1_8)}, //627
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_271,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_271_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH12_DDLL_LONG_CMD_CKE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_1_12)}, //628
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_271,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_271_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH12_DDLL_LONG_CMD_CKE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_1_12)}, //629
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_272,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_272_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH10_DDLL_LONG_CMD_CKE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_1_10)}, //630
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_272,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_272_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH10_DDLL_LONG_CMD_CKE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_1_10)}, //631
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_273,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_273_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH14_DDLL_LONG_CMD_CKE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_1_14)}, //632
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_273,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_273_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH14_DDLL_LONG_CMD_CKE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_1_14)}, //633
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_274,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_274_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH6_DDLL_LONG_CMD_CKE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_1_6)}, //634
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_274,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_274_0_EMC_PMACRO_DDLL_LONG_CMD_1_0_CH6_DDLL_LONG_CMD_CKE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_1_0_DDLL_LONG_CMD_CKE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_1_6)}, //635
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_275,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_275_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH12_DDLL_LONG_CMD_CKE4_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_2_12)}, //636
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_275,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_275_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH12_DDLL_LONG_CMD_CKE5_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_2_12)}, //637
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_276,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_276_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH10_DDLL_LONG_CMD_CKE4_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_2_10)}, //638
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_276,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_276_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH10_DDLL_LONG_CMD_CKE5_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_2_10)}, //639
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_277,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_277_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH14_DDLL_LONG_CMD_CKE4_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_2_14)}, //640
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_277,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_277_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH14_DDLL_LONG_CMD_CKE5_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_2_14)}, //641
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_278,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_278_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH2_DDLL_LONG_CMD_CKE4_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_2_2)}, //642
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_278,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_278_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH2_DDLL_LONG_CMD_CKE5_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_2_2)}, //643
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_279,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_279_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH0_DDLL_LONG_CMD_CKE4_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_2_0)}, //644
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_279,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_279_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH0_DDLL_LONG_CMD_CKE5_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_2_0)}, //645
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_280,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_280_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH8_DDLL_LONG_CMD_CKE4_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_2_8)}, //646
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_280,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_280_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH8_DDLL_LONG_CMD_CKE5_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_2_8)}, //647
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_281,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_281_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH6_DDLL_LONG_CMD_CKE4_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_2_6)}, //648
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_281,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_281_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH6_DDLL_LONG_CMD_CKE5_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_2_6)}, //649
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_282,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_282_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH4_DDLL_LONG_CMD_CKE4_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE4_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_2_4)}, //650
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_282,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_282_0_EMC_PMACRO_DDLL_LONG_CMD_2_0_CH4_DDLL_LONG_CMD_CKE5_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_2_0_DDLL_LONG_CMD_CKE5_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_2_4)}, //651
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_283,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_283_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH8_DDLL_LONG_CMD_CKE6_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_3_8)}, //652
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_283,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_283_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH8_DDLL_LONG_CMD_CKE7_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_3_8)}, //653
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_284,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_284_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH6_DDLL_LONG_CMD_CKE6_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_3_6)}, //654
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_284,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_284_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH6_DDLL_LONG_CMD_CKE7_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_3_6)}, //655
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_285,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_285_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH4_DDLL_LONG_CMD_CKE6_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_3_4)}, //656
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_285,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_285_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH4_DDLL_LONG_CMD_CKE7_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_3_4)}, //657
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_286,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_286_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH2_DDLL_LONG_CMD_CKE6_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_3_2)}, //658
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_286,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_286_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH2_DDLL_LONG_CMD_CKE7_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_3_2)}, //659
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_287,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_287_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH0_DDLL_LONG_CMD_CKE6_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_3_0)}, //660
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_287,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_287_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH0_DDLL_LONG_CMD_CKE7_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_3_0)}, //661
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_288,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_288_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH14_DDLL_LONG_CMD_CKE6_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_3_14)}, //662
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_288,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_288_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH14_DDLL_LONG_CMD_CKE7_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_3_14)}, //663
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_289,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_289_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH10_DDLL_LONG_CMD_CKE6_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_3_10)}, //664
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_289,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_289_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH10_DDLL_LONG_CMD_CKE7_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_3_10)}, //665
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_290,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_290_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH12_DDLL_LONG_CMD_CKE6_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE6_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_3_12)}, //666
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_290,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_290_0_EMC_PMACRO_DDLL_LONG_CMD_3_0_CH12_DDLL_LONG_CMD_CKE7_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_3_0_DDLL_LONG_CMD_CKE7_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_3_12)}, //667
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_291,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_CFG_0_CYCLES_PER_UPDATE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_291_0_MC_EMEM_ARB_CFG_0_CYCLES_PER_UPDATE_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_CFG_0_CYCLES_PER_UPDATE_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbCfg)}, //668
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_291,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_CFG_0_EXTRA_TICKS_PER_UPDATE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_291_0_MC_EMEM_ARB_CFG_0_EXTRA_TICKS_PER_UPDATE_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_CFG_0_EXTRA_TICKS_PER_UPDATE_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbCfg)}, //669
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_291,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_CFG_0_31_24_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_291_0_MC_EMEM_ARB_CFG_0_31_24_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_CFG_0_31_24_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbCfg)}, //670
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_292,  NV_FIELD_SHIFTMASK(EMC_DBG_0_4_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_292_0_EMC_DBG_0_4_0_RANGE) - NV_FIELD_SHIFT(EMC_DBG_0_4_0_RANGE)), m_offsetof(NvBootSdramParams, EmcDbg)}, //671
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_292,  NV_FIELD_SHIFTMASK(EMC_DBG_0_13_9_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_292_0_EMC_DBG_0_13_9_RANGE) - NV_FIELD_SHIFT(EMC_DBG_0_13_9_RANGE)), m_offsetof(NvBootSdramParams, EmcDbg)}, //672
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_292,  NV_FIELD_SHIFTMASK(EMC_DBG_0_31_21_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_292_0_EMC_DBG_0_31_21_RANGE) - NV_FIELD_SHIFT(EMC_DBG_0_31_21_RANGE)), m_offsetof(NvBootSdramParams, EmcDbg)}, //673
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_292,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_292_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH12_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_4_12)}, //674
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_293,  NV_FIELD_SHIFTMASK(EMC_AUTO_CAL_INTERVAL_0_AUTO_CAL_INTERVAL_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_293_0_EMC_AUTO_CAL_INTERVAL_0_AUTO_CAL_INTERVAL_RANGE) - NV_FIELD_SHIFT(EMC_AUTO_CAL_INTERVAL_0_AUTO_CAL_INTERVAL_RANGE)), m_offsetof(NvBootSdramParams, EmcAutoCalInterval)}, //675
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_293,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_293_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH10_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_4_10)}, //676
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_294,  NV_FIELD_SHIFTMASK(EMC_CFG_DIG_DLL_1_0_CFG_DLL_UPDATE_WAIT_MC_ACK_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_294_0_EMC_CFG_DIG_DLL_1_0_CFG_DLL_UPDATE_WAIT_MC_ACK_RANGE) - NV_FIELD_SHIFT(EMC_CFG_DIG_DLL_1_0_CFG_DLL_UPDATE_WAIT_MC_ACK_RANGE)), m_offsetof(NvBootSdramParams, EmcCfgDigDll_1)}, //677
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_294,  NV_FIELD_SHIFTMASK(EMC_CFG_DIG_DLL_1_0_19_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_294_0_EMC_CFG_DIG_DLL_1_0_19_0_RANGE) - NV_FIELD_SHIFT(EMC_CFG_DIG_DLL_1_0_19_0_RANGE)), m_offsetof(NvBootSdramParams, EmcCfgDigDll_1)}, //678
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_294,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_294_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH14_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_4_14)}, //679
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_295,  NV_FIELD_SHIFTMASK(EMC_ZCAL_MRW_CMD_0_ZQ_MRW_OP_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_295_0_EMC_ZCAL_MRW_CMD_0_ZQ_MRW_OP_RANGE) - NV_FIELD_SHIFT(EMC_ZCAL_MRW_CMD_0_ZQ_MRW_OP_RANGE)), m_offsetof(NvBootSdramParams, EmcZcalMrwCmd)}, //680
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_295,  NV_FIELD_SHIFTMASK(EMC_ZCAL_MRW_CMD_0_ZQ_MRW_MA_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_295_0_EMC_ZCAL_MRW_CMD_0_ZQ_MRW_MA_RANGE) - NV_FIELD_SHIFT(EMC_ZCAL_MRW_CMD_0_ZQ_MRW_MA_RANGE)), m_offsetof(NvBootSdramParams, EmcZcalMrwCmd)}, //681
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_295,  NV_FIELD_SHIFTMASK(EMC_ZCAL_MRW_CMD_0_31_27_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_295_0_EMC_ZCAL_MRW_CMD_0_31_27_RANGE) - NV_FIELD_SHIFT(EMC_ZCAL_MRW_CMD_0_31_27_RANGE)), m_offsetof(NvBootSdramParams, EmcZcalMrwCmd)}, //682
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_295,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_295_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH8_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_4_8)}, //683
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_296,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_BYPASS_0_DATA_USE_PMACRO_BRLSHFT_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_296_0_EMC_PMACRO_DDLL_BYPASS_0_DATA_USE_PMACRO_BRLSHFT_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_BYPASS_0_DATA_USE_PMACRO_BRLSHFT_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllBypass)}, //684
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_296,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_BYPASS_0_CMD_USE_PMACRO_BRLSHFT_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_296_0_EMC_PMACRO_DDLL_BYPASS_0_CMD_USE_PMACRO_BRLSHFT_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_BYPASS_0_CMD_USE_PMACRO_BRLSHFT_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllBypass)}, //685
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_296,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_BYPASS_0_18_8_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_296_0_EMC_PMACRO_DDLL_BYPASS_0_18_8_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_BYPASS_0_18_8_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllBypass)}, //686
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_296,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_BYPASS_0_31_24_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_296_0_EMC_PMACRO_DDLL_BYPASS_0_31_24_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_BYPASS_0_31_24_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllBypass)}, //687
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_296,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_296_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH2_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_4_2)}, //688
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_297,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_3_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_297_0_MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_3_0_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_3_0_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbNisoThrottleMask1)}, //689
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_297,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_8_7_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_297_0_MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_8_7_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_8_7_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbNisoThrottleMask1)}, //690
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_297,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_31_17_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_297_0_MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_31_17_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_NISO_THROTTLE_MASK_1_0_31_17_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbNisoThrottleMask1)}, //691
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_297,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_297_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_4_0)}, //692
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_298,  NV_FIELD_SHIFTMASK(EMC_ZCAL_WAIT_CNT_0_ZCAL_WAIT_CNT_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_298_0_EMC_ZCAL_WAIT_CNT_0_ZCAL_WAIT_CNT_RANGE) - NV_FIELD_SHIFT(EMC_ZCAL_WAIT_CNT_0_ZCAL_WAIT_CNT_RANGE)), m_offsetof(NvBootSdramParams, EmcZcalWaitCnt)}, //693
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_298,  NV_FIELD_SHIFTMASK(EMC_ZCAL_WAIT_CNT_0_ZCAL_LATCH_CNT_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_298_0_EMC_ZCAL_WAIT_CNT_0_ZCAL_LATCH_CNT_RANGE) - NV_FIELD_SHIFT(EMC_ZCAL_WAIT_CNT_0_ZCAL_LATCH_CNT_RANGE)), m_offsetof(NvBootSdramParams, EmcZcalWaitCnt)}, //694
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_298,  NV_FIELD_SHIFTMASK(EMC_ZCAL_WAIT_CNT_0_ZCAL_RESISTOR_SHARED_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_298_0_EMC_ZCAL_WAIT_CNT_0_ZCAL_RESISTOR_SHARED_RANGE) - NV_FIELD_SHIFT(EMC_ZCAL_WAIT_CNT_0_ZCAL_RESISTOR_SHARED_RANGE)), m_offsetof(NvBootSdramParams, EmcZcalWaitCnt)}, //695
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_298,  NV_FIELD_SHIFTMASK(EMC_TXSRDLL_0_TXSRDLL_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_298_0_EMC_TXSRDLL_0_TXSRDLL_RANGE) - NV_FIELD_SHIFT(EMC_TXSRDLL_0_TXSRDLL_RANGE)), m_offsetof(NvBootSdramParams, EmcTxsrDll)}, //696
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_299,  NV_FIELD_SHIFTMASK(EMC_FBIO_CFG7_0_19_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_299_0_EMC_FBIO_CFG7_0_19_0_RANGE) - NV_FIELD_SHIFT(EMC_FBIO_CFG7_0_19_0_RANGE)), m_offsetof(NvBootSdramParams, EmcFbioCfg7)}, //697
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_299,  NV_FIELD_SHIFTMASK(EMC_TXDSRVTTGEN_0_TXDSRVTTGEN_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_299_0_EMC_TXDSRVTTGEN_0_TXDSRVTTGEN_RANGE) - NV_FIELD_SHIFT(EMC_TXDSRVTTGEN_0_TXDSRVTTGEN_RANGE)), m_offsetof(NvBootSdramParams, EmcTxdsrvttgen)}, //698
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_300,  NV_FIELD_SHIFTMASK(EMC_QUSE_BRLSHFT_0_0_19_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_300_0_EMC_QUSE_BRLSHFT_0_0_19_0_RANGE) - NV_FIELD_SHIFT(EMC_QUSE_BRLSHFT_0_0_19_0_RANGE)), m_offsetof(NvBootSdramParams, EmcQuseBrlshft0)}, //699
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_300,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DSR_VTTGEN_CTRL_0_0_DSR_VTT_VDDA_LVL_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_300_0_EMC_PMACRO_DSR_VTTGEN_CTRL_0_0_DSR_VTT_VDDA_LVL_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DSR_VTTGEN_CTRL_0_0_DSR_VTT_VDDA_LVL_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDsrVttgenCtrl0)}, //700
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_300,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DSR_VTTGEN_CTRL_0_0_DSR_VTT_VDDA_LOAD_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_300_0_EMC_PMACRO_DSR_VTTGEN_CTRL_0_0_DSR_VTT_VDDA_LOAD_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DSR_VTTGEN_CTRL_0_0_DSR_VTT_VDDA_LOAD_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDsrVttgenCtrl0)}, //701
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_301,  NV_FIELD_SHIFTMASK(EMC_QUSE_BRLSHFT_2_0_19_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_301_0_EMC_QUSE_BRLSHFT_2_0_19_0_RANGE) - NV_FIELD_SHIFT(EMC_QUSE_BRLSHFT_2_0_19_0_RANGE)), m_offsetof(NvBootSdramParams, EmcQuseBrlshft2)}, //702
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_301,  NV_FIELD_SHIFTMASK(EMC_PMACRO_PERBIT_RFU1_CTRL_0_0_5_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_301_0_EMC_PMACRO_PERBIT_RFU1_CTRL_0_0_5_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_PERBIT_RFU1_CTRL_0_0_5_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroPerbitRfu1Ctrl0)}, //703
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_301,  NV_FIELD_SHIFTMASK(EMC_PMACRO_PERBIT_RFU1_CTRL_0_0_21_16_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_301_0_EMC_PMACRO_PERBIT_RFU1_CTRL_0_0_21_16_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_PERBIT_RFU1_CTRL_0_0_21_16_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroPerbitRfu1Ctrl0)}, //704
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_302,  NV_FIELD_SHIFTMASK(EMC_CFG_0_8_6_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_302_0_EMC_CFG_0_8_6_RANGE) - NV_FIELD_SHIFT(EMC_CFG_0_8_6_RANGE)), m_offsetof(NvBootSdramParams, EmcCfg)}, //705
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_302,  NV_FIELD_SHIFTMASK(EMC_CFG_0_31_16_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_302_0_EMC_CFG_0_31_16_RANGE) - NV_FIELD_SHIFT(EMC_CFG_0_31_16_RANGE)), m_offsetof(NvBootSdramParams, EmcCfg)}, //706
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_302,  NV_FIELD_SHIFTMASK(EMC_QRST_0_QRST_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_302_0_EMC_QRST_0_QRST_RANGE) - NV_FIELD_SHIFT(EMC_QRST_0_QRST_RANGE)), m_offsetof(NvBootSdramParams, EmcQRst)}, //707
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_302,  NV_FIELD_SHIFTMASK(EMC_QRST_0_QRST_DURATION_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_302_0_EMC_QRST_0_QRST_DURATION_RANGE) - NV_FIELD_SHIFT(EMC_QRST_0_QRST_DURATION_RANGE)), m_offsetof(NvBootSdramParams, EmcQRst)}, //708
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_303,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_18_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_303_0_MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_18_0_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_NISO_THROTTLE_MASK_3_0_18_0_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbNisoThrottleMask3)}, //709
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_303,  NV_FIELD_SHIFTMASK(EMC_ODT_WRITE_0_ENABLE_ODT_DURING_WRITE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_303_0_EMC_ODT_WRITE_0_ENABLE_ODT_DURING_WRITE_RANGE) - NV_FIELD_SHIFT(EMC_ODT_WRITE_0_ENABLE_ODT_DURING_WRITE_RANGE)), m_offsetof(NvBootSdramParams, EmcOdtWrite)}, //710
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_303,  NV_FIELD_SHIFTMASK(EMC_ODT_WRITE_0_11_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_303_0_EMC_ODT_WRITE_0_11_0_RANGE) - NV_FIELD_SHIFT(EMC_ODT_WRITE_0_11_0_RANGE)), m_offsetof(NvBootSdramParams, EmcOdtWrite)}, //711
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_304,  NV_FIELD_SHIFTMASK(EMC_XM2COMPPADCTRL3_0_5_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_304_0_EMC_XM2COMPPADCTRL3_0_5_0_RANGE) - NV_FIELD_SHIFT(EMC_XM2COMPPADCTRL3_0_5_0_RANGE)), m_offsetof(NvBootSdramParams, EmcXm2CompPadCtrl3)}, //712
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_304,  NV_FIELD_SHIFTMASK(EMC_XM2COMPPADCTRL3_0_23_12_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_304_0_EMC_XM2COMPPADCTRL3_0_23_12_RANGE) - NV_FIELD_SHIFT(EMC_XM2COMPPADCTRL3_0_23_12_RANGE)), m_offsetof(NvBootSdramParams, EmcXm2CompPadCtrl3)}, //713
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_304,  NV_FIELD_SHIFTMASK(EMC_TREFBW_0_TREFBW_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_304_0_EMC_TREFBW_0_TREFBW_RANGE) - NV_FIELD_SHIFT(EMC_TREFBW_0_TREFBW_RANGE)), m_offsetof(NvBootSdramParams, EmcTRefBw)}, //714
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_305,  NV_FIELD_SHIFTMASK(EMC_PMACRO_CMD_CTRL_0_0_CMD_E_INPUT_CKE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_305_0_EMC_PMACRO_CMD_CTRL_0_0_CMD_E_INPUT_CKE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_CMD_CTRL_0_0_CMD_E_INPUT_CKE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroCmdCtrl0)}, //715
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_305,  NV_FIELD_SHIFTMASK(EMC_PMACRO_CMD_CTRL_0_0_8_4_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_305_0_EMC_PMACRO_CMD_CTRL_0_0_8_4_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_CMD_CTRL_0_0_8_4_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroCmdCtrl0)}, //716
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_305,  NV_FIELD_SHIFTMASK(EMC_PMACRO_CMD_CTRL_0_0_16_12_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_305_0_EMC_PMACRO_CMD_CTRL_0_0_16_12_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_CMD_CTRL_0_0_16_12_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroCmdCtrl0)}, //717
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_305,  NV_FIELD_SHIFTMASK(EMC_PMACRO_CMD_CTRL_0_0_24_20_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_305_0_EMC_PMACRO_CMD_CTRL_0_0_24_20_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_CMD_CTRL_0_0_24_20_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroCmdCtrl0)}, //718
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_305,  NV_FIELD_SHIFTMASK(EMC_PMACRO_CMD_CTRL_0_0_29_28_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_305_0_EMC_PMACRO_CMD_CTRL_0_0_29_28_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_CMD_CTRL_0_0_29_28_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroCmdCtrl0)}, //719
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_305,  NV_FIELD_SHIFTMASK(EMC_PMACRO_CMD_TX_DRV_0_13_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_305_0_EMC_PMACRO_CMD_TX_DRV_0_13_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_CMD_TX_DRV_0_13_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroCmdTxDrv)}, //720
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_306,  NV_FIELD_SHIFTMASK(EMC_PMACRO_CMD_CTRL_1_0_CMD_E_INPUT_CKE4_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_306_0_EMC_PMACRO_CMD_CTRL_1_0_CMD_E_INPUT_CKE4_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_CMD_CTRL_1_0_CMD_E_INPUT_CKE4_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroCmdCtrl1)}, //721
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_306,  NV_FIELD_SHIFTMASK(EMC_PMACRO_CMD_CTRL_1_0_8_4_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_306_0_EMC_PMACRO_CMD_CTRL_1_0_8_4_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_CMD_CTRL_1_0_8_4_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroCmdCtrl1)}, //722
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_306,  NV_FIELD_SHIFTMASK(EMC_PMACRO_CMD_CTRL_1_0_16_12_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_306_0_EMC_PMACRO_CMD_CTRL_1_0_16_12_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_CMD_CTRL_1_0_16_12_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroCmdCtrl1)}, //723
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_306,  NV_FIELD_SHIFTMASK(EMC_PMACRO_CMD_CTRL_1_0_24_20_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_306_0_EMC_PMACRO_CMD_CTRL_1_0_24_20_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_CMD_CTRL_1_0_24_20_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroCmdCtrl1)}, //724
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_306,  NV_FIELD_SHIFTMASK(EMC_PMACRO_CMD_CTRL_1_0_29_28_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_306_0_EMC_PMACRO_CMD_CTRL_1_0_29_28_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_CMD_CTRL_1_0_29_28_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroCmdCtrl1)}, //725
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_306,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_VREF_DQ_0_0_IB_VREF_DQ_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_306_0_EMC_PMACRO_IB_VREF_DQ_0_0_IB_VREF_DQ_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_VREF_DQ_0_0_IB_VREF_DQ_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbVrefDq_0)}, //726
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_306,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_VREF_DQ_0_0_IB_VREF_DQ_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_306_0_EMC_PMACRO_IB_VREF_DQ_0_0_IB_VREF_DQ_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_VREF_DQ_0_0_IB_VREF_DQ_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbVrefDq_0)}, //727
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_307,  NV_FIELD_SHIFTMASK(EMC_PMACRO_CMD_CTRL_2_0_CMD_E_INPUT_RESET_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_307_0_EMC_PMACRO_CMD_CTRL_2_0_CMD_E_INPUT_RESET_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_CMD_CTRL_2_0_CMD_E_INPUT_RESET_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroCmdCtrl2)}, //728
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_307,  NV_FIELD_SHIFTMASK(EMC_PMACRO_CMD_CTRL_2_0_8_4_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_307_0_EMC_PMACRO_CMD_CTRL_2_0_8_4_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_CMD_CTRL_2_0_8_4_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroCmdCtrl2)}, //729
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_307,  NV_FIELD_SHIFTMASK(EMC_PMACRO_CMD_CTRL_2_0_16_12_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_307_0_EMC_PMACRO_CMD_CTRL_2_0_16_12_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_CMD_CTRL_2_0_16_12_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroCmdCtrl2)}, //730
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_307,  NV_FIELD_SHIFTMASK(EMC_PMACRO_CMD_CTRL_2_0_24_20_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_307_0_EMC_PMACRO_CMD_CTRL_2_0_24_20_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_CMD_CTRL_2_0_24_20_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroCmdCtrl2)}, //731
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_307,  NV_FIELD_SHIFTMASK(EMC_PMACRO_CMD_CTRL_2_0_29_28_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_307_0_EMC_PMACRO_CMD_CTRL_2_0_29_28_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_CMD_CTRL_2_0_29_28_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroCmdCtrl2)}, //732
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_307,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_VREF_DQ_1_0_IB_VREF_DQ_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_307_0_EMC_PMACRO_IB_VREF_DQ_1_0_IB_VREF_DQ_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_VREF_DQ_1_0_IB_VREF_DQ_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbVrefDq_1)}, //733
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_307,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_VREF_DQ_1_0_IB_VREF_DQ_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_307_0_EMC_PMACRO_IB_VREF_DQ_1_0_IB_VREF_DQ_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_VREF_DQ_1_0_IB_VREF_DQ_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbVrefDq_1)}, //734
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_308,  NV_FIELD_SHIFTMASK(EMC_PMACRO_CMD_BRICK_CTRL_FDPD_0_17_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_308_0_EMC_PMACRO_CMD_BRICK_CTRL_FDPD_0_17_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_CMD_BRICK_CTRL_FDPD_0_17_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroCmdBrickCtrlFdpd)}, //735
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_308,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_VREF_DQS_0_0_IB_VREF_DQS_BYTE0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_308_0_EMC_PMACRO_IB_VREF_DQS_0_0_IB_VREF_DQS_BYTE0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_VREF_DQS_0_0_IB_VREF_DQS_BYTE0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbVrefDqs_0)}, //736
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_308,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_VREF_DQS_0_0_IB_VREF_DQS_BYTE1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_308_0_EMC_PMACRO_IB_VREF_DQS_0_0_IB_VREF_DQS_BYTE1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_VREF_DQS_0_0_IB_VREF_DQS_BYTE1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbVrefDqs_0)}, //737
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_309,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DATA_BRICK_CTRL_FDPD_0_17_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_309_0_EMC_PMACRO_DATA_BRICK_CTRL_FDPD_0_17_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DATA_BRICK_CTRL_FDPD_0_17_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDataBrickCtrlFdpd)}, //738
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_309,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_VREF_DQS_1_0_IB_VREF_DQS_BYTE2_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_309_0_EMC_PMACRO_IB_VREF_DQS_1_0_IB_VREF_DQS_BYTE2_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_VREF_DQS_1_0_IB_VREF_DQS_BYTE2_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbVrefDqs_1)}, //739
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_309,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_VREF_DQS_1_0_IB_VREF_DQS_BYTE3_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_309_0_EMC_PMACRO_IB_VREF_DQS_1_0_IB_VREF_DQS_BYTE3_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_VREF_DQS_1_0_IB_VREF_DQS_BYTE3_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbVrefDqs_1)}, //740
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_310,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_MISC0_0_BC2AA_HOLDOFF_THRESHOLD_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_310_0_MC_EMEM_ARB_MISC0_0_BC2AA_HOLDOFF_THRESHOLD_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_MISC0_0_BC2AA_HOLDOFF_THRESHOLD_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbMisc0)}, //741
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_310,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_MISC0_0_30_21_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_310_0_MC_EMEM_ARB_MISC0_0_30_21_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_MISC0_0_30_21_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbMisc0)}, //742
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_310,  NV_FIELD_SHIFTMASK(MC_MCF_OREQX_VCARB_CONFIG_0_13_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_310_0_MC_MCF_OREQX_VCARB_CONFIG_0_13_0_RANGE) - NV_FIELD_SHIFT(MC_MCF_OREQX_VCARB_CONFIG_0_13_0_RANGE)), m_offsetof(NvBootSdramParams, McMcfOreqxVcarbConfig)}, //743
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_311,  NV_FIELD_SHIFTMASK(EMC_CMDQ_0_RW_DEPTH_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_311_0_EMC_CMDQ_0_RW_DEPTH_RANGE) - NV_FIELD_SHIFT(EMC_CMDQ_0_RW_DEPTH_RANGE)), m_offsetof(NvBootSdramParams, EmcCmdQ)}, //744
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_311,  NV_FIELD_SHIFTMASK(EMC_CMDQ_0_RW_WD_DEPTH_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_311_0_EMC_CMDQ_0_RW_WD_DEPTH_RANGE) - NV_FIELD_SHIFT(EMC_CMDQ_0_RW_WD_DEPTH_RANGE)), m_offsetof(NvBootSdramParams, EmcCmdQ)}, //745
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_311,  NV_FIELD_SHIFTMASK(EMC_CMDQ_0_14_8_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_311_0_EMC_CMDQ_0_14_8_RANGE) - NV_FIELD_SHIFT(EMC_CMDQ_0_14_8_RANGE)), m_offsetof(NvBootSdramParams, EmcCmdQ)}, //746
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_311,  NV_FIELD_SHIFTMASK(MC_MCF_IRSPX_CLKEN_OVERRIDE_0_14_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_311_0_MC_MCF_IRSPX_CLKEN_OVERRIDE_0_14_0_RANGE) - NV_FIELD_SHIFT(MC_MCF_IRSPX_CLKEN_OVERRIDE_0_14_0_RANGE)), m_offsetof(NvBootSdramParams, McMcfIrspxClkenOverride)}, //747
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_312,  NV_FIELD_SHIFTMASK(EMC_CLKEN_OVERRIDE_0_OBS_BUS_CLKEN_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_312_0_EMC_CLKEN_OVERRIDE_0_OBS_BUS_CLKEN_RANGE) - NV_FIELD_SHIFT(EMC_CLKEN_OVERRIDE_0_OBS_BUS_CLKEN_RANGE)), m_offsetof(NvBootSdramParams, EmcClkenOverride)}, //748
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_312,  NV_FIELD_SHIFTMASK(EMC_CLKEN_OVERRIDE_0_11_1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_312_0_EMC_CLKEN_OVERRIDE_0_11_1_RANGE) - NV_FIELD_SHIFT(EMC_CLKEN_OVERRIDE_0_11_1_RANGE)), m_offsetof(NvBootSdramParams, EmcClkenOverride)}, //749
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_312,  NV_FIELD_SHIFTMASK(EMC_CLKEN_OVERRIDE_0_20_16_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_312_0_EMC_CLKEN_OVERRIDE_0_20_16_RANGE) - NV_FIELD_SHIFT(EMC_CLKEN_OVERRIDE_0_20_16_RANGE)), m_offsetof(NvBootSdramParams, EmcClkenOverride)}, //750
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_312,  NV_FIELD_SHIFTMASK(MC_MSS_SBS_ASYNC_0_14_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_312_0_MC_MSS_SBS_ASYNC_0_14_0_RANGE) - NV_FIELD_SHIFT(MC_MSS_SBS_ASYNC_0_14_0_RANGE)), m_offsetof(NvBootSdramParams, McMssSbsAsync)}, //751
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_313,  NV_FIELD_SHIFTMASK(EMC_PMACRO_AUTOCAL_CFG_COMMON_0_16_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_313_0_EMC_PMACRO_AUTOCAL_CFG_COMMON_0_16_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_AUTOCAL_CFG_COMMON_0_16_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroAutocalCfgCommon)}, //752
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_313,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_REFPB_BANK_CTRL_0_14_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_313_0_MC_EMEM_ARB_REFPB_BANK_CTRL_0_14_0_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_REFPB_BANK_CTRL_0_14_0_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbRefpbBankCtrl)}, //753
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_314,  NV_FIELD_SHIFTMASK(EMC_REFCTRL2_0_REFRESH_PER_DEVICE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_314_0_EMC_REFCTRL2_0_REFRESH_PER_DEVICE_RANGE) - NV_FIELD_SHIFT(EMC_REFCTRL2_0_REFRESH_PER_DEVICE_RANGE)), m_offsetof(NvBootSdramParams, EmcRefctrl2)}, //754
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_314,  NV_FIELD_SHIFTMASK(EMC_REFCTRL2_0_REFPB_VALID_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_314_0_EMC_REFCTRL2_0_REFPB_VALID_RANGE) - NV_FIELD_SHIFT(EMC_REFCTRL2_0_REFPB_VALID_RANGE)), m_offsetof(NvBootSdramParams, EmcRefctrl2)}, //755
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_314,  NV_FIELD_SHIFTMASK(EMC_REFCTRL2_0_26_12_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_314_0_EMC_REFCTRL2_0_26_12_RANGE) - NV_FIELD_SHIFT(EMC_REFCTRL2_0_26_12_RANGE)), m_offsetof(NvBootSdramParams, EmcRefctrl2)}, //756
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_314,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_314_0_MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbNisoThrottle)}, //757
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_314,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_HIGH_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_314_0_MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_HIGH_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_CYCLES_HIGH_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbNisoThrottle)}, //758
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_314,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_DISABLE_CNT_EVENT_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_314_0_MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_DISABLE_CNT_EVENT_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_NISO_THROTTLE_0_NISO_THROTTLE_DISABLE_CNT_EVENT_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbNisoThrottle)}, //759
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_315,  NV_FIELD_SHIFTMASK(EMC_DYN_SELF_REF_CONTROL_0_DSR_THRESHOLD_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_315_0_EMC_DYN_SELF_REF_CONTROL_0_DSR_THRESHOLD_RANGE) - NV_FIELD_SHIFT(EMC_DYN_SELF_REF_CONTROL_0_DSR_THRESHOLD_RANGE)), m_offsetof(NvBootSdramParams, EmcDynSelfRefControl)}, //760
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_315,  NV_FIELD_SHIFTMASK(EMC_DYN_SELF_REF_CONTROL_0_DSR_PER_DEVICE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_315_0_EMC_DYN_SELF_REF_CONTROL_0_DSR_PER_DEVICE_RANGE) - NV_FIELD_SHIFT(EMC_DYN_SELF_REF_CONTROL_0_DSR_PER_DEVICE_RANGE)), m_offsetof(NvBootSdramParams, EmcDynSelfRefControl)}, //761
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_315,  NV_FIELD_SHIFTMASK(EMC_PMACRO_PERBIT_RFU1_CTRL_1_0_5_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_315_0_EMC_PMACRO_PERBIT_RFU1_CTRL_1_0_5_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_PERBIT_RFU1_CTRL_1_0_5_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroPerbitRfu1Ctrl1)}, //762
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_315,  NV_FIELD_SHIFTMASK(EMC_PMACRO_PERBIT_RFU1_CTRL_1_0_21_16_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_315_0_EMC_PMACRO_PERBIT_RFU1_CTRL_1_0_21_16_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_PERBIT_RFU1_CTRL_1_0_21_16_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroPerbitRfu1Ctrl1)}, //763
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_316,  NV_FIELD_SHIFTMASK(EMC_ASR_CONTROL_0_DISPLAY_STUTTER_EN_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_316_0_EMC_ASR_CONTROL_0_DISPLAY_STUTTER_EN_RANGE) - NV_FIELD_SHIFT(EMC_ASR_CONTROL_0_DISPLAY_STUTTER_EN_RANGE)), m_offsetof(NvBootSdramParams, EmcAsrControl)}, //764
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_316,  NV_FIELD_SHIFTMASK(EMC_ASR_CONTROL_0_ASR_THRESHOLD_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_316_0_EMC_ASR_CONTROL_0_ASR_THRESHOLD_RANGE) - NV_FIELD_SHIFT(EMC_ASR_CONTROL_0_ASR_THRESHOLD_RANGE)), m_offsetof(NvBootSdramParams, EmcAsrControl)}, //765
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_316,  NV_FIELD_SHIFTMASK(EMC_PMACRO_PERBIT_RFU1_CTRL_4_0_5_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_316_0_EMC_PMACRO_PERBIT_RFU1_CTRL_4_0_5_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_PERBIT_RFU1_CTRL_4_0_5_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroPerbitRfu1Ctrl4)}, //766
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_316,  NV_FIELD_SHIFTMASK(EMC_PMACRO_PERBIT_RFU1_CTRL_4_0_21_16_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_316_0_EMC_PMACRO_PERBIT_RFU1_CTRL_4_0_21_16_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_PERBIT_RFU1_CTRL_4_0_21_16_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroPerbitRfu1Ctrl4)}, //767
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_317,  NV_FIELD_SHIFTMASK(EMC_REFRESH_0_15_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_317_0_EMC_REFRESH_0_15_0_RANGE) - NV_FIELD_SHIFT(EMC_REFRESH_0_15_0_RANGE)), m_offsetof(NvBootSdramParams, EmcRefresh)}, //768
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_317,  NV_FIELD_SHIFTMASK(EMC_ACPD_CONTROL_0_ACPD_THRESHOLD_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_317_0_EMC_ACPD_CONTROL_0_ACPD_THRESHOLD_RANGE) - NV_FIELD_SHIFT(EMC_ACPD_CONTROL_0_ACPD_THRESHOLD_RANGE)), m_offsetof(NvBootSdramParams, EmcAcpdControl)}, //769
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_318,  NV_FIELD_SHIFTMASK(EMC_PMACRO_AUTOCAL_CFG_0_0_3_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_318_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH12_3_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_AUTOCAL_CFG_0_0_3_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroAutocalCfg0_12)}, //770
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_318,  NV_FIELD_SHIFTMASK(EMC_PMACRO_AUTOCAL_CFG_0_0_11_8_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_318_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH12_11_8_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_AUTOCAL_CFG_0_0_11_8_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroAutocalCfg0_12)}, //771
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_318,  NV_FIELD_SHIFTMASK(EMC_PMACRO_AUTOCAL_CFG_0_0_19_16_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_318_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH12_19_16_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_AUTOCAL_CFG_0_0_19_16_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroAutocalCfg0_12)}, //772
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_318,  NV_FIELD_SHIFTMASK(EMC_PMACRO_AUTOCAL_CFG_0_0_27_24_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_318_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH12_27_24_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_AUTOCAL_CFG_0_0_27_24_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroAutocalCfg0_12)}, //773
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_318,  NV_FIELD_SHIFTMASK(EMC_PMACRO_AUTOCAL_CFG_0_0_3_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_318_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH8_3_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_AUTOCAL_CFG_0_0_3_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroAutocalCfg0_8)}, //774
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_318,  NV_FIELD_SHIFTMASK(EMC_PMACRO_AUTOCAL_CFG_0_0_11_8_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_318_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH8_11_8_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_AUTOCAL_CFG_0_0_11_8_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroAutocalCfg0_8)}, //775
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_318,  NV_FIELD_SHIFTMASK(EMC_PMACRO_AUTOCAL_CFG_0_0_19_16_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_318_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH8_19_16_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_AUTOCAL_CFG_0_0_19_16_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroAutocalCfg0_8)}, //776
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_318,  NV_FIELD_SHIFTMASK(EMC_PMACRO_AUTOCAL_CFG_0_0_27_24_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_318_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH8_27_24_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_AUTOCAL_CFG_0_0_27_24_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroAutocalCfg0_8)}, //777
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_319,  NV_FIELD_SHIFTMASK(EMC_PMACRO_AUTOCAL_CFG_0_0_3_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_319_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH4_3_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_AUTOCAL_CFG_0_0_3_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroAutocalCfg0_4)}, //778
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_319,  NV_FIELD_SHIFTMASK(EMC_PMACRO_AUTOCAL_CFG_0_0_11_8_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_319_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH4_11_8_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_AUTOCAL_CFG_0_0_11_8_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroAutocalCfg0_4)}, //779
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_319,  NV_FIELD_SHIFTMASK(EMC_PMACRO_AUTOCAL_CFG_0_0_19_16_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_319_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH4_19_16_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_AUTOCAL_CFG_0_0_19_16_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroAutocalCfg0_4)}, //780
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_319,  NV_FIELD_SHIFTMASK(EMC_PMACRO_AUTOCAL_CFG_0_0_27_24_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_319_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH4_27_24_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_AUTOCAL_CFG_0_0_27_24_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroAutocalCfg0_4)}, //781
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_319,  NV_FIELD_SHIFTMASK(EMC_PMACRO_AUTOCAL_CFG_0_0_3_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_319_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH0_3_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_AUTOCAL_CFG_0_0_3_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroAutocalCfg0_0)}, //782
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_319,  NV_FIELD_SHIFTMASK(EMC_PMACRO_AUTOCAL_CFG_0_0_11_8_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_319_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH0_11_8_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_AUTOCAL_CFG_0_0_11_8_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroAutocalCfg0_0)}, //783
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_319,  NV_FIELD_SHIFTMASK(EMC_PMACRO_AUTOCAL_CFG_0_0_19_16_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_319_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH0_19_16_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_AUTOCAL_CFG_0_0_19_16_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroAutocalCfg0_0)}, //784
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_319,  NV_FIELD_SHIFTMASK(EMC_PMACRO_AUTOCAL_CFG_0_0_27_24_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_319_0_EMC_PMACRO_AUTOCAL_CFG_0_0_CH0_27_24_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_AUTOCAL_CFG_0_0_27_24_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroAutocalCfg0_0)}, //785
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_320,  NV_FIELD_SHIFTMASK(EMC_CFG_DIG_DLL_PERIOD_0_CFG_DLL_RUN_PERIOD_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_320_0_EMC_CFG_DIG_DLL_PERIOD_0_CFG_DLL_RUN_PERIOD_RANGE) - NV_FIELD_SHIFT(EMC_CFG_DIG_DLL_PERIOD_0_CFG_DLL_RUN_PERIOD_RANGE)), m_offsetof(NvBootSdramParams, EmcCfgDigDllPeriod)}, //786
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_320,  NV_FIELD_SHIFTMASK(EMC_PRE_REFRESH_REQ_CNT_0_PRE_REF_REQ_CNT_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_320_0_EMC_PRE_REFRESH_REQ_CNT_0_PRE_REF_REQ_CNT_RANGE) - NV_FIELD_SHIFT(EMC_PRE_REFRESH_REQ_CNT_0_PRE_REF_REQ_CNT_RANGE)), m_offsetof(NvBootSdramParams, EmcPreRefreshReqCnt)}, //787
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_321,  NV_FIELD_SHIFTMASK(EMC_DATA_BRLSHFT_0_0_15_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_321_0_EMC_DATA_BRLSHFT_0_0_CH14_15_0_RANGE) - NV_FIELD_SHIFT(EMC_DATA_BRLSHFT_0_0_15_0_RANGE)), m_offsetof(NvBootSdramParams, EmcDataBrlshft0_14)}, //788
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_321,  NV_FIELD_SHIFTMASK(EMC_DATA_BRLSHFT_0_0_15_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_321_0_EMC_DATA_BRLSHFT_0_0_CH12_15_0_RANGE) - NV_FIELD_SHIFT(EMC_DATA_BRLSHFT_0_0_15_0_RANGE)), m_offsetof(NvBootSdramParams, EmcDataBrlshft0_12)}, //789
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_322,  NV_FIELD_SHIFTMASK(EMC_DATA_BRLSHFT_0_0_15_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_322_0_EMC_DATA_BRLSHFT_0_0_CH10_15_0_RANGE) - NV_FIELD_SHIFT(EMC_DATA_BRLSHFT_0_0_15_0_RANGE)), m_offsetof(NvBootSdramParams, EmcDataBrlshft0_10)}, //790
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_322,  NV_FIELD_SHIFTMASK(EMC_DATA_BRLSHFT_0_0_15_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_322_0_EMC_DATA_BRLSHFT_0_0_CH4_15_0_RANGE) - NV_FIELD_SHIFT(EMC_DATA_BRLSHFT_0_0_15_0_RANGE)), m_offsetof(NvBootSdramParams, EmcDataBrlshft0_4)}, //791
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_323,  NV_FIELD_SHIFTMASK(EMC_DATA_BRLSHFT_0_0_15_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_323_0_EMC_DATA_BRLSHFT_0_0_CH0_15_0_RANGE) - NV_FIELD_SHIFT(EMC_DATA_BRLSHFT_0_0_15_0_RANGE)), m_offsetof(NvBootSdramParams, EmcDataBrlshft0_0)}, //792
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_323,  NV_FIELD_SHIFTMASK(EMC_DATA_BRLSHFT_0_0_15_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_323_0_EMC_DATA_BRLSHFT_0_0_CH2_15_0_RANGE) - NV_FIELD_SHIFT(EMC_DATA_BRLSHFT_0_0_15_0_RANGE)), m_offsetof(NvBootSdramParams, EmcDataBrlshft0_2)}, //793
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_324,  NV_FIELD_SHIFTMASK(EMC_DATA_BRLSHFT_0_0_15_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_324_0_EMC_DATA_BRLSHFT_0_0_CH8_15_0_RANGE) - NV_FIELD_SHIFT(EMC_DATA_BRLSHFT_0_0_15_0_RANGE)), m_offsetof(NvBootSdramParams, EmcDataBrlshft0_8)}, //794
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_324,  NV_FIELD_SHIFTMASK(EMC_DATA_BRLSHFT_0_0_15_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_324_0_EMC_DATA_BRLSHFT_0_0_CH6_15_0_RANGE) - NV_FIELD_SHIFT(EMC_DATA_BRLSHFT_0_0_15_0_RANGE)), m_offsetof(NvBootSdramParams, EmcDataBrlshft0_6)}, //795
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_325,  NV_FIELD_SHIFTMASK(EMC_DATA_BRLSHFT_1_0_15_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_325_0_EMC_DATA_BRLSHFT_1_0_CH4_15_0_RANGE) - NV_FIELD_SHIFT(EMC_DATA_BRLSHFT_1_0_15_0_RANGE)), m_offsetof(NvBootSdramParams, EmcDataBrlshft1_4)}, //796
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_325,  NV_FIELD_SHIFTMASK(EMC_DATA_BRLSHFT_1_0_15_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_325_0_EMC_DATA_BRLSHFT_1_0_CH6_15_0_RANGE) - NV_FIELD_SHIFT(EMC_DATA_BRLSHFT_1_0_15_0_RANGE)), m_offsetof(NvBootSdramParams, EmcDataBrlshft1_6)}, //797
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_326,  NV_FIELD_SHIFTMASK(EMC_DATA_BRLSHFT_1_0_15_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_326_0_EMC_DATA_BRLSHFT_1_0_CH0_15_0_RANGE) - NV_FIELD_SHIFT(EMC_DATA_BRLSHFT_1_0_15_0_RANGE)), m_offsetof(NvBootSdramParams, EmcDataBrlshft1_0)}, //798
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_326,  NV_FIELD_SHIFTMASK(EMC_DATA_BRLSHFT_1_0_15_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_326_0_EMC_DATA_BRLSHFT_1_0_CH2_15_0_RANGE) - NV_FIELD_SHIFT(EMC_DATA_BRLSHFT_1_0_15_0_RANGE)), m_offsetof(NvBootSdramParams, EmcDataBrlshft1_2)}, //799
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_327,  NV_FIELD_SHIFTMASK(EMC_DATA_BRLSHFT_1_0_15_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_327_0_EMC_DATA_BRLSHFT_1_0_CH8_15_0_RANGE) - NV_FIELD_SHIFT(EMC_DATA_BRLSHFT_1_0_15_0_RANGE)), m_offsetof(NvBootSdramParams, EmcDataBrlshft1_8)}, //800
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_327,  NV_FIELD_SHIFTMASK(EMC_DATA_BRLSHFT_1_0_15_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_327_0_EMC_DATA_BRLSHFT_1_0_CH14_15_0_RANGE) - NV_FIELD_SHIFT(EMC_DATA_BRLSHFT_1_0_15_0_RANGE)), m_offsetof(NvBootSdramParams, EmcDataBrlshft1_14)}, //801
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_328,  NV_FIELD_SHIFTMASK(EMC_DATA_BRLSHFT_1_0_15_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_328_0_EMC_DATA_BRLSHFT_1_0_CH10_15_0_RANGE) - NV_FIELD_SHIFT(EMC_DATA_BRLSHFT_1_0_15_0_RANGE)), m_offsetof(NvBootSdramParams, EmcDataBrlshft1_10)}, //802
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_328,  NV_FIELD_SHIFTMASK(EMC_DATA_BRLSHFT_1_0_15_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_328_0_EMC_DATA_BRLSHFT_1_0_CH12_15_0_RANGE) - NV_FIELD_SHIFT(EMC_DATA_BRLSHFT_1_0_15_0_RANGE)), m_offsetof(NvBootSdramParams, EmcDataBrlshft1_12)}, //803
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_329,  NV_FIELD_SHIFTMASK(EMC_DQS_BRLSHFT_0_0_15_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_329_0_EMC_DQS_BRLSHFT_0_0_15_0_RANGE) - NV_FIELD_SHIFT(EMC_DQS_BRLSHFT_0_0_15_0_RANGE)), m_offsetof(NvBootSdramParams, EmcDqsBrlshft0)}, //804
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_329,  NV_FIELD_SHIFTMASK(EMC_DQS_BRLSHFT_1_0_15_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_329_0_EMC_DQS_BRLSHFT_1_0_15_0_RANGE) - NV_FIELD_SHIFT(EMC_DQS_BRLSHFT_1_0_15_0_RANGE)), m_offsetof(NvBootSdramParams, EmcDqsBrlshft1)}, //805
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_330,  NV_FIELD_SHIFTMASK(EMC_QPOP_0_QPOP_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_330_0_EMC_QPOP_0_QPOP_RANGE) - NV_FIELD_SHIFT(EMC_QPOP_0_QPOP_RANGE)), m_offsetof(NvBootSdramParams, EmcQpop)}, //806
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_330,  NV_FIELD_SHIFTMASK(EMC_QPOP_0_QPOP_PREAMBLE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_330_0_EMC_QPOP_0_QPOP_PREAMBLE_RANGE) - NV_FIELD_SHIFT(EMC_QPOP_0_QPOP_PREAMBLE_RANGE)), m_offsetof(NvBootSdramParams, EmcQpop)}, //807
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_330,  NV_FIELD_SHIFTMASK(EMC_PERIODIC_TR_CTRL_1_0_TR_RD2TRIM_UPDATE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_330_0_EMC_PERIODIC_TR_CTRL_1_0_TR_RD2TRIM_UPDATE_RANGE) - NV_FIELD_SHIFT(EMC_PERIODIC_TR_CTRL_1_0_TR_RD2TRIM_UPDATE_RANGE)), m_offsetof(NvBootSdramParams, EmcPeriodicTrCtrl1)}, //808
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_330,  NV_FIELD_SHIFTMASK(EMC_PERIODIC_TR_CTRL_1_0_TR_WR2TRIM_UPDATE_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_330_0_EMC_PERIODIC_TR_CTRL_1_0_TR_WR2TRIM_UPDATE_RANGE) - NV_FIELD_SHIFT(EMC_PERIODIC_TR_CTRL_1_0_TR_WR2TRIM_UPDATE_RANGE)), m_offsetof(NvBootSdramParams, EmcPeriodicTrCtrl1)}, //809
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_331,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_MISC4_0_15_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_331_0_MC_EMEM_ARB_MISC4_0_15_0_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_MISC4_0_15_0_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbMisc4)}, //810
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_331,  NV_FIELD_SHIFTMASK(MC_MCF_IRSPX_RDRSP_OPT_0_11_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_331_0_MC_MCF_IRSPX_RDRSP_OPT_0_11_0_RANGE) - NV_FIELD_SHIFT(MC_MCF_IRSPX_RDRSP_OPT_0_11_0_RANGE)), m_offsetof(NvBootSdramParams, McMcfIrspxRdrspOpt)}, //811
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_332,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_OUTSTANDING_REQ_0_ARB_MAX_OUTSTANDING_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_332_0_MC_EMEM_ARB_OUTSTANDING_REQ_0_ARB_MAX_OUTSTANDING_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_OUTSTANDING_REQ_0_ARB_MAX_OUTSTANDING_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbOutstandingReq)}, //812
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_332,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_OUTSTANDING_REQ_0_31_30_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_332_0_MC_EMEM_ARB_OUTSTANDING_REQ_0_31_30_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_OUTSTANDING_REQ_0_31_30_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbOutstandingReq)}, //813
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_332,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_LOW_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_332_0_MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_LOW_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_LOW_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbRing1Throttle)}, //814
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_332,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_HIGH_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_332_0_MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_HIGH_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_RING1_THROTTLE_0_RING1_THROTTLE_CYCLES_HIGH_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbRing1Throttle)}, //815
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_333,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_ARB_MAX_OUTSTANDING_NISO_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_333_0_MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_ARB_MAX_OUTSTANDING_NISO_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_ARB_MAX_OUTSTANDING_NISO_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbOutstandingReqNiso)}, //816
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_333,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_31_30_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_333_0_MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_31_30_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_OUTSTANDING_REQ_NISO_0_31_30_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbOutstandingReqNiso)}, //817
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_333,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_APB_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_333_0_MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_APB_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_APB_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbNisoThrottleMask)}, //818
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_333,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SAX_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_333_0_MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SAX_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_NISO_THROTTLE_MASK_0_NISO_THROTTLE_MASK_SAX_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbNisoThrottleMask)}, //819
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_333,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_NISO_THROTTLE_MASK_0_19_17_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_333_0_MC_EMEM_ARB_NISO_THROTTLE_MASK_0_19_17_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_NISO_THROTTLE_MASK_0_19_17_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbNisoThrottleMask)}, //820
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_333,  NV_FIELD_SHIFTMASK(MC_EMEM_ARB_NISO_THROTTLE_MASK_0_29_23_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_333_0_MC_EMEM_ARB_NISO_THROTTLE_MASK_0_29_23_RANGE) - NV_FIELD_SHIFT(MC_EMEM_ARB_NISO_THROTTLE_MASK_0_29_23_RANGE)), m_offsetof(NvBootSdramParams, McEmemArbNisoThrottleMask)}, //821
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_334,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_334_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH6_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_4_6)}, //822
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_334,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_334_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_CH4_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_4_0_OB_DDLL_LONG_DQ_RANK0_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_4_4)}, //823
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_335,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_335_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH8_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_5_8)}, //824
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_335,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_335_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH10_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_5_10)}, //825
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_336,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_336_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH14_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_5_14)}, //826
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_336,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_336_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH2_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_5_2)}, //827
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_337,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_337_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_5_0)}, //828
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_337,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_337_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH6_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_5_6)}, //829
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_338,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_338_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH4_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_5_4)}, //830
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_338,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_338_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_CH12_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK0_5_0_OB_DDLL_LONG_DQ_RANK0_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank0_5_12)}, //831
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_339,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_339_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH12_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_4_12)}, //832
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_339,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_339_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH2_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_4_2)}, //833
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_340,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_340_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH10_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_4_10)}, //834
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_340,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_340_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH14_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_4_14)}, //835
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_341,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_341_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH8_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_4_8)}, //836
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_341,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_341_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_4_0)}, //837
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_342,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_342_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH6_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_4_6)}, //838
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_342,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_342_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_CH4_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_4_0_OB_DDLL_LONG_DQ_RANK1_CMD0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_4_4)}, //839
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_343,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_343_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH2_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_5_2)}, //840
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_343,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_343_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_5_0)}, //841
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_344,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_344_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH6_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_5_6)}, //842
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_344,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_344_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH4_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_5_4)}, //843
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_345,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_345_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH8_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_5_8)}, //844
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_345,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_345_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH12_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_5_12)}, //845
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_346,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_346_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH10_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_5_10)}, //846
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_346,  NV_FIELD_SHIFTMASK(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_346_0_EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_CH14_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_OB_DDLL_LONG_DQ_RANK1_5_0_OB_DDLL_LONG_DQ_RANK1_CMD1_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroObDdllLongDqRank1_5_14)}, //847
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_347,  NV_FIELD_SHIFTMASK(EMC_PMACRO_IB_RXRT_0_IB_RXRT_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_347_0_EMC_PMACRO_IB_RXRT_0_IB_RXRT_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_IB_RXRT_0_IB_RXRT_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroIbRxrt)}, //848
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_347,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_347_0_EMC_PMACRO_DDLL_LONG_CMD_4_0_CH14_DDLL_LONG_CMD_RESET_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_4_14)}, //849
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_348,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_348_0_EMC_PMACRO_DDLL_LONG_CMD_4_0_CH10_DDLL_LONG_CMD_RESET_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_4_10)}, //850
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_348,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_348_0_EMC_PMACRO_DDLL_LONG_CMD_4_0_CH12_DDLL_LONG_CMD_RESET_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_4_12)}, //851
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_349,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_349_0_EMC_PMACRO_DDLL_LONG_CMD_4_0_CH8_DDLL_LONG_CMD_RESET_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_4_8)}, //852
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_349,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_349_0_EMC_PMACRO_DDLL_LONG_CMD_4_0_CH4_DDLL_LONG_CMD_RESET_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_4_4)}, //853
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_350,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_350_0_EMC_PMACRO_DDLL_LONG_CMD_4_0_CH6_DDLL_LONG_CMD_RESET_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_4_6)}, //854
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_350,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_350_0_EMC_PMACRO_DDLL_LONG_CMD_4_0_CH0_DDLL_LONG_CMD_RESET_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_4_0)}, //855
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_351,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_351_0_EMC_PMACRO_DDLL_LONG_CMD_4_0_CH2_DDLL_LONG_CMD_RESET_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DDLL_LONG_CMD_4_0_DDLL_LONG_CMD_RESET_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDdllLongCmd_4_2)}, //856
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_351,  NV_FIELD_SHIFTMASK(EMC_PMACRO_PAD_CFG_CTRL_0_TX_BPS_AUTOCAL_DRVDEC_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_351_0_EMC_PMACRO_PAD_CFG_CTRL_0_TX_BPS_AUTOCAL_DRVDEC_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_PAD_CFG_CTRL_0_TX_BPS_AUTOCAL_DRVDEC_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroPadCfgCtrl)}, //857
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_351,  NV_FIELD_SHIFTMASK(EMC_PMACRO_PAD_CFG_CTRL_0_IB_BYTE_USE_MAX_PBDQS_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_351_0_EMC_PMACRO_PAD_CFG_CTRL_0_IB_BYTE_USE_MAX_PBDQS_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_PAD_CFG_CTRL_0_IB_BYTE_USE_MAX_PBDQS_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroPadCfgCtrl)}, //858
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_351,  NV_FIELD_SHIFTMASK(EMC_PMACRO_PAD_CFG_CTRL_0_17_9_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_351_0_EMC_PMACRO_PAD_CFG_CTRL_0_17_9_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_PAD_CFG_CTRL_0_17_9_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroPadCfgCtrl)}, //859
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_352,  NV_FIELD_SHIFTMASK(EMC_PMACRO_CMD_RX_TERM_MODE_0_CMD_E_PWRD_RX_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_352_0_EMC_PMACRO_CMD_RX_TERM_MODE_0_CMD_E_PWRD_RX_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_CMD_RX_TERM_MODE_0_CMD_E_PWRD_RX_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroCmdRxTermMode)}, //860
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_352,  NV_FIELD_SHIFTMASK(EMC_PMACRO_CMD_RX_TERM_MODE_0_9_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_352_0_EMC_PMACRO_CMD_RX_TERM_MODE_0_9_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_CMD_RX_TERM_MODE_0_9_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroCmdRxTermMode)}, //861
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_352,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DATA_RX_TERM_MODE_0_DATA_E_PWRD_RX_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_352_0_EMC_PMACRO_DATA_RX_TERM_MODE_0_DATA_E_PWRD_RX_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DATA_RX_TERM_MODE_0_DATA_E_PWRD_RX_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDataRxTermMode)}, //862
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_352,  NV_FIELD_SHIFTMASK(EMC_PMACRO_DATA_RX_TERM_MODE_0_9_0_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_352_0_EMC_PMACRO_DATA_RX_TERM_MODE_0_9_0_RANGE) - NV_FIELD_SHIFT(EMC_PMACRO_DATA_RX_TERM_MODE_0_9_0_RANGE)), m_offsetof(NvBootSdramParams, EmcPmacroDataRxTermMode)}, //863
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_353,  NV_FIELD_SHIFTMASK(MC_LATENCY_ALLOWANCE_CIFLL_WR_0_0_ALLOWANCE_CIFLL_WR_RANGE), (uint16_t)(NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_353_0_MC_LATENCY_ALLOWANCE_CIFLL_WR_0_0_ALLOWANCE_CIFLL_WR_RANGE) - NV_FIELD_SHIFT(MC_LATENCY_ALLOWANCE_CIFLL_WR_0_0_ALLOWANCE_CIFLL_WR_RANGE)), m_offsetof(NvBootSdramParams, McLatencyAllowanceCifllWr0)}, //864
};

static const packlist pmc_vals_list[] = { {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_76,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_76_0_MC_CLK_EN_A1_OVERRIDE_ALL_WARM_BOOT_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_76_0_MC_CLK_EN_A1_OVERRIDE_ALL_WARM_BOOT_RANGE), m_offsetof(NvBootSdramParams, McClkenA1OverrideAllWarmBoot)}, //155
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_77,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_77_0_INIT_EXTRA_FOR_FPGA_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_77_0_INIT_EXTRA_FOR_FPGA_RANGE), m_offsetof(NvBootSdramParams, InitExtraForFpga)}, //156
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_78,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_78_0_MC_CLK_EN_OVERRIDE_ALL_WARM_BOOT_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_78_0_MC_CLK_EN_OVERRIDE_ALL_WARM_BOOT_RANGE), m_offsetof(NvBootSdramParams, McClkenOverrideAllWarmBoot)}, //157
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_79,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_79_0_EMC_MRS_WARM_BOOT_ENABLE_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_79_0_EMC_MRS_WARM_BOOT_ENABLE_RANGE), m_offsetof(NvBootSdramParams, EmcMrsWarmBootEnable)}, //158
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_80,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_80_0_PLLM_KVCO_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_80_0_PLLM_KVCO_RANGE), m_offsetof(NvBootSdramParams, PllMKVCO)}, //159
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_81,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_81_0_EMC_CLK_EN_OVERRIDE_ALL_WARM_BOOT_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_81_0_EMC_CLK_EN_OVERRIDE_ALL_WARM_BOOT_RANGE), m_offsetof(NvBootSdramParams, EmcClkenOverrideAllWarmBoot)}, //160
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_82,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_82_0_EMC_EXTRA_MODE_REG_WRITE_ENABLE_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_82_0_EMC_EXTRA_MODE_REG_WRITE_ENABLE_RANGE), m_offsetof(NvBootSdramParams, EmcWarmBootExtraModeRegWriteEnable)}, //161
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_83,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_83_0_OVERRIDE_PLLM_MISC2_ALIAS_0_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_83_0_OVERRIDE_PLLM_MISC2_ALIAS_0_RANGE), m_offsetof(NvBootSdramParams, ClkRstControllerPllmMisc2OverrideEnable)}, //162
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_84,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_84_0_PLLM_DIVP_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_84_0_PLLM_DIVP_RANGE), m_offsetof(NvBootSdramParams, PllMPostDivider)}, //163
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_85,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_85_0_EMC_DBG_WRITE_MUX_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_85_0_EMC_DBG_WRITE_MUX_RANGE), m_offsetof(NvBootSdramParams, EmcDbgWriteMux)}, //164
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_115,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_115_0_PMC_IO_DPD3_REQ_WAIT_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_115_0_PMC_IO_DPD3_REQ_WAIT_RANGE), m_offsetof(NvBootSdramParams, PmcIoDpd3ReqWait)}, //203
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_116,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_116_0_EMC_EXTRA_REFRES_NUM_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_116_0_EMC_EXTRA_REFRES_NUM_RANGE), m_offsetof(NvBootSdramParams, EmcExtraRefreshNum)}, //205
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_117,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_117_0_MEMORY_TYPE_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_117_0_MEMORY_TYPE_RANGE), m_offsetof(NvBootSdramParams, MemoryType)}, //206
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_124,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_124_0_PMC_IO_DPD4_REQ_WAIT_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_124_0_PMC_IO_DPD4_REQ_WAIT_RANGE), m_offsetof(NvBootSdramParams, PmcIoDpd4ReqWait)}, //225
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_125,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_125_0_EMC_ZCAL_WARM_COLD_BOOT_ENABLE_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_125_0_EMC_ZCAL_WARM_COLD_BOOT_ENABLE_RANGE), m_offsetof(NvBootSdramParams, EmcZcalWarmColdBootEnables)}, //227
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_125,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_125_0_EMC_PIN_GPIO_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_125_0_EMC_PIN_GPIO_RANGE), m_offsetof(NvBootSdramParams, EmcPinGpio)}, //227
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_155,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_155_0_EMC_AUTO_CAL_TIME_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_155_0_EMC_AUTO_CAL_TIME_RANGE), m_offsetof(NvBootSdramParams, EmcAutoCalWait)}, //318
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_160,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_160_0_PLLM_KCP_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_160_0_PLLM_KCP_RANGE), m_offsetof(NvBootSdramParams, PllMKCP)}, //334
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_161,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_161_0_EMC_PIN_GPIO_EN_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_161_0_EMC_PIN_GPIO_EN_RANGE), m_offsetof(NvBootSdramParams, EmcPinGpioEn)}, //337
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_162,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_162_0_EMC_DEV_SELN_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_162_0_EMC_DEV_SELN_RANGE), m_offsetof(NvBootSdramParams, EmcDevSelect)}, //340
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_163,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_163_0_EMC_PIN_GPIORAMDUMP_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_163_0_EMC_PIN_GPIORAMDUMP_RANGE), m_offsetof(NvBootSdramParams, EmcPinGpioRamdump)}, //343
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_164,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_164_0_EMC_DIG_DLL_PERIOD_WARM_BOOT_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_164_0_EMC_DIG_DLL_PERIOD_WARM_BOOT_RANGE), m_offsetof(NvBootSdramParams, EmcCfgDigDllPeriodWarmBoot)}, //346
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_167,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_167_0_EMC_TIMING_CONTROL_WAIT_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_167_0_EMC_TIMING_CONTROL_WAIT_RANGE), m_offsetof(NvBootSdramParams, EmcTimingControlWait)}, //354
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_168,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_168_0_PLLM_DIVN_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_168_0_PLLM_DIVN_RANGE), m_offsetof(NvBootSdramParams, PllMFeedbackDivider)}, //356
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_169,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_169_0_PLLM_DIVM_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_169_0_PLLM_DIVM_RANGE), m_offsetof(NvBootSdramParams, PllMInputDivider)}, //358
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_170,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_170_0_WARM_BOOT_WAIT_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_170_0_WARM_BOOT_WAIT_RANGE), m_offsetof(NvBootSdramParams, WarmBootWait)}, //360
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_171,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_171_0_EMC_ZCAL_WARM_BOOT_WAIT_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_171_0_EMC_ZCAL_WARM_BOOT_WAIT_RANGE), m_offsetof(NvBootSdramParams, EmcZcalWarmBootWait)}, //362
 {MSS_AON_CFG_NONSECURE_EMC_SCRATCH_172,  NV_FIELD_MASK(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_172_0_EMC_PIN_PROGRAM_WAIT_RANGE), NV_FIELD_SHIFT(MSS_AON_CFG_NONSECURE_EMC_SCRATCH_172_0_EMC_PIN_PROGRAM_WAIT_RANGE), m_offsetof(NvBootSdramParams, EmcPinProgramWait)}, //364
};

// LPDDR2 only register field packing list
#define LPDDR2_PMC_FIELDS(_) \
    _( 1,  EMC, MRW_LPDDR2_ZCAL_WARM_BOOT, MRW_MA, EmcMrwLpddr2ZcalWarmBoot) \
    _( 1,  EMC, MRW_LPDDR2_ZCAL_WARM_BOOT, MRW_OP, EmcMrwLpddr2ZcalWarmBoot) \
    _( 1,  EMC, WARM_BOOT_MRW_EXTRA, MRW_MA, EmcWarmBootMrwExtra) \
    _( 1,  EMC, WARM_BOOT_MRW_EXTRA, MRW_OP, EmcWarmBootMrwExtra) \
    _( 2,  EMC, MRW_LPDDR2_ZCAL_WARM_BOOT, MRW_DEV_SELECTN, EmcMrwLpddr2ZcalWarmBoot) \
    _( 2,  EMC, WARM_BOOT_MRW_EXTRA, MRW_DEV_SELECTN, EmcWarmBootMrwExtra) \
    _( 2,  EMC, MRW_LPDDR2_ZCAL_WARM_BOOT, USE_MRW_LONG_CNT, EmcMrwLpddr2ZcalWarmBoot) \
    _( 2,  EMC, MRW_LPDDR2_ZCAL_WARM_BOOT, USE_MRW_EXT_CNT, EmcMrwLpddr2ZcalWarmBoot) \
    _( 2,  EMC, WARM_BOOT_MRW_EXTRA, USE_MRW_LONG_CNT, EmcWarmBootMrwExtra) \
    _( 2,  EMC, WARM_BOOT_MRW_EXTRA, USE_MRW_EXT_CNT, EmcWarmBootMrwExtra) \
    _( 7,  EMC, MRW6, 31_0, EmcMrw6) \
    _( 8,  EMC, MRW8, 31_0, EmcMrw8) \
    _( 9,  EMC, MRW10, 31_0, EmcMrw10) \
    _(10,  EMC, MRW12, 31_0, EmcMrw12) \
    _(11,  EMC, MRW13, 31_0, EmcMrw13) \
    _(12,  EMC, MRW14, 31_0, EmcMrw14) \
    _(13,  EMC, MRW, MRW_OP, EmcMrw1) \
    _(13,  EMC, MRW, 31_16, EmcMrw1) \
    _(14,  EMC, WARM_BOOT_MRW_EXTRA, MRW_OP, EmcWarmBootMrwExtra) \
    _(14,  EMC, WARM_BOOT_MRW_EXTRA, 31_16, EmcWarmBootMrwExtra) \
    _(15,  EMC, MRW2, MRW2_OP, EmcMrw2) \
    _(15,  EMC, MRW2, 31_16, EmcMrw2) \
    _(16,  EMC, MRW3, MRW3_OP, EmcMrw3) \
    _(16,  EMC, MRW3, 31_16, EmcMrw3) \
    _(17,  EMC, MRW4, MRW4_OP, EmcMrw4) \
    _(17,  EMC, MRW4, 31_16, EmcMrw4) \

// DDR3 only register field packing list
#define DDR3_PMC_FIELDS(_) \
    _( 1,  EMC, MRS, MRS_ADR, EmcMrs) \
    _( 1,  EMC, EMRS, EMRS_ADR, EmcEmrs) \
    _( 1,  EMC, MRS, MRS_BA, EmcMrs) \
    _( 1,  EMC, EMRS, EMRS_BA, EmcEmrs) \
    _( 7,  EMC, EMRS2, EMRS2_ADR, EmcEmrs2) \
    _( 7,  EMC, EMRS3, EMRS3_ADR, EmcEmrs3) \
    _( 7,  EMC, EMRS2, EMRS2_BA, EmcEmrs2) \
    _( 7,  EMC, EMRS3, EMRS3_BA, EmcEmrs3) \
    _( 8,  EMC, WARM_BOOT_MRS_EXTRA, MRS_ADR, EmcWarmBootMrsExtra) \
    _( 8,  EMC, MRS, 31_26, EmcMrs) \
    _( 8,  EMC, EMRS, 31_26, EmcEmrs) \
    _( 8,  EMC, EMRS2, 31_26, EmcEmrs2) \
    _( 9,  EMC, EMRS3, 31_26, EmcEmrs3) \
    _( 9,  EMC, WARM_BOOT_MRS_EXTRA, MRS_DEV_SELECTN, EmcWarmBootMrsExtra) \
    _( 9,  EMC, WARM_BOOT_MRS_EXTRA, MRS_BA, EmcWarmBootMrsExtra) \
    _( 9,  EMC, ZQ_CAL_DDR3_WARM_BOOT, ZQ_CAL_SUBP_SELECTN, EmcZqCalDdr3WarmBoot) \
    _( 9,  EMC, ZQ_CAL_DDR3_WARM_BOOT, ZQ_CAL_DEV_SELECTN, EmcZqCalDdr3WarmBoot) \
    _( 9,  EMC, WARM_BOOT_MRS_EXTRA, USE_MRS_EXT_CNT, EmcWarmBootMrsExtra) \
    _( 9,  EMC, WARM_BOOT_MRS_EXTRA, USE_MRS_LONG_CNT, EmcWarmBootMrsExtra) \
    _( 9,  EMC, ZQ_CAL_DDR3_WARM_BOOT, ZQ_CAL_CMD, EmcZqCalDdr3WarmBoot) \
    _( 9,  EMC, ZQ_CAL_DDR3_WARM_BOOT, ZQ_LATCH_CMD, EmcZqCalDdr3WarmBoot) \
    _( 9,  EMC, ZQ_CAL_DDR3_WARM_BOOT, ZQ_CAL_LENGTH, EmcZqCalDdr3WarmBoot) \

// BCT value packing list generated by tool warmboot_code_gen
#define SDRAM_PMC_BCTS(_) \


// End of generated code by warmboot_code_gen
